#ifdef GET_RISCVMaskedPseudosTable_DECL
const RISCVMaskedPseudoInfo *getMaskedPseudoInfo(unsigned MaskedPseudo);
const RISCVMaskedPseudoInfo *lookupMaskedIntrinsicByUnmasked(unsigned UnmaskedPseudo);
#endif

#ifdef GET_RISCVMaskedPseudosTable_IMPL
constexpr RISCVMaskedPseudoInfo RISCVMaskedPseudosTable[] = {
  { PseudoTHVdotVMAQASU_VV_M1_MASK, PseudoTHVdotVMAQASU_VV_M1, 0x3, false }, // 0
  { PseudoTHVdotVMAQASU_VV_M2_MASK, PseudoTHVdotVMAQASU_VV_M2, 0x3, false }, // 1
  { PseudoTHVdotVMAQASU_VV_M4_MASK, PseudoTHVdotVMAQASU_VV_M4, 0x3, false }, // 2
  { PseudoTHVdotVMAQASU_VV_M8_MASK, PseudoTHVdotVMAQASU_VV_M8, 0x3, false }, // 3
  { PseudoTHVdotVMAQASU_VV_MF2_MASK, PseudoTHVdotVMAQASU_VV_MF2, 0x3, false }, // 4
  { PseudoTHVdotVMAQASU_VX_M1_MASK, PseudoTHVdotVMAQASU_VX_M1, 0x3, false }, // 5
  { PseudoTHVdotVMAQASU_VX_M2_MASK, PseudoTHVdotVMAQASU_VX_M2, 0x3, false }, // 6
  { PseudoTHVdotVMAQASU_VX_M4_MASK, PseudoTHVdotVMAQASU_VX_M4, 0x3, false }, // 7
  { PseudoTHVdotVMAQASU_VX_M8_MASK, PseudoTHVdotVMAQASU_VX_M8, 0x3, false }, // 8
  { PseudoTHVdotVMAQASU_VX_MF2_MASK, PseudoTHVdotVMAQASU_VX_MF2, 0x3, false }, // 9
  { PseudoTHVdotVMAQAUS_VX_M1_MASK, PseudoTHVdotVMAQAUS_VX_M1, 0x3, false }, // 10
  { PseudoTHVdotVMAQAUS_VX_M2_MASK, PseudoTHVdotVMAQAUS_VX_M2, 0x3, false }, // 11
  { PseudoTHVdotVMAQAUS_VX_M4_MASK, PseudoTHVdotVMAQAUS_VX_M4, 0x3, false }, // 12
  { PseudoTHVdotVMAQAUS_VX_M8_MASK, PseudoTHVdotVMAQAUS_VX_M8, 0x3, false }, // 13
  { PseudoTHVdotVMAQAUS_VX_MF2_MASK, PseudoTHVdotVMAQAUS_VX_MF2, 0x3, false }, // 14
  { PseudoTHVdotVMAQAU_VV_M1_MASK, PseudoTHVdotVMAQAU_VV_M1, 0x3, false }, // 15
  { PseudoTHVdotVMAQAU_VV_M2_MASK, PseudoTHVdotVMAQAU_VV_M2, 0x3, false }, // 16
  { PseudoTHVdotVMAQAU_VV_M4_MASK, PseudoTHVdotVMAQAU_VV_M4, 0x3, false }, // 17
  { PseudoTHVdotVMAQAU_VV_M8_MASK, PseudoTHVdotVMAQAU_VV_M8, 0x3, false }, // 18
  { PseudoTHVdotVMAQAU_VV_MF2_MASK, PseudoTHVdotVMAQAU_VV_MF2, 0x3, false }, // 19
  { PseudoTHVdotVMAQAU_VX_M1_MASK, PseudoTHVdotVMAQAU_VX_M1, 0x3, false }, // 20
  { PseudoTHVdotVMAQAU_VX_M2_MASK, PseudoTHVdotVMAQAU_VX_M2, 0x3, false }, // 21
  { PseudoTHVdotVMAQAU_VX_M4_MASK, PseudoTHVdotVMAQAU_VX_M4, 0x3, false }, // 22
  { PseudoTHVdotVMAQAU_VX_M8_MASK, PseudoTHVdotVMAQAU_VX_M8, 0x3, false }, // 23
  { PseudoTHVdotVMAQAU_VX_MF2_MASK, PseudoTHVdotVMAQAU_VX_MF2, 0x3, false }, // 24
  { PseudoTHVdotVMAQA_VV_M1_MASK, PseudoTHVdotVMAQA_VV_M1, 0x3, false }, // 25
  { PseudoTHVdotVMAQA_VV_M2_MASK, PseudoTHVdotVMAQA_VV_M2, 0x3, false }, // 26
  { PseudoTHVdotVMAQA_VV_M4_MASK, PseudoTHVdotVMAQA_VV_M4, 0x3, false }, // 27
  { PseudoTHVdotVMAQA_VV_M8_MASK, PseudoTHVdotVMAQA_VV_M8, 0x3, false }, // 28
  { PseudoTHVdotVMAQA_VV_MF2_MASK, PseudoTHVdotVMAQA_VV_MF2, 0x3, false }, // 29
  { PseudoTHVdotVMAQA_VX_M1_MASK, PseudoTHVdotVMAQA_VX_M1, 0x3, false }, // 30
  { PseudoTHVdotVMAQA_VX_M2_MASK, PseudoTHVdotVMAQA_VX_M2, 0x3, false }, // 31
  { PseudoTHVdotVMAQA_VX_M4_MASK, PseudoTHVdotVMAQA_VX_M4, 0x3, false }, // 32
  { PseudoTHVdotVMAQA_VX_M8_MASK, PseudoTHVdotVMAQA_VX_M8, 0x3, false }, // 33
  { PseudoTHVdotVMAQA_VX_MF2_MASK, PseudoTHVdotVMAQA_VX_MF2, 0x3, false }, // 34
  { PseudoVAADDU_VV_M1_MASK, PseudoVAADDU_VV_M1, 0x3, false }, // 35
  { PseudoVAADDU_VV_M2_MASK, PseudoVAADDU_VV_M2, 0x3, false }, // 36
  { PseudoVAADDU_VV_M4_MASK, PseudoVAADDU_VV_M4, 0x3, false }, // 37
  { PseudoVAADDU_VV_M8_MASK, PseudoVAADDU_VV_M8, 0x3, false }, // 38
  { PseudoVAADDU_VV_MF2_MASK, PseudoVAADDU_VV_MF2, 0x3, false }, // 39
  { PseudoVAADDU_VV_MF4_MASK, PseudoVAADDU_VV_MF4, 0x3, false }, // 40
  { PseudoVAADDU_VV_MF8_MASK, PseudoVAADDU_VV_MF8, 0x3, false }, // 41
  { PseudoVAADDU_VX_M1_MASK, PseudoVAADDU_VX_M1, 0x3, false }, // 42
  { PseudoVAADDU_VX_M2_MASK, PseudoVAADDU_VX_M2, 0x3, false }, // 43
  { PseudoVAADDU_VX_M4_MASK, PseudoVAADDU_VX_M4, 0x3, false }, // 44
  { PseudoVAADDU_VX_M8_MASK, PseudoVAADDU_VX_M8, 0x3, false }, // 45
  { PseudoVAADDU_VX_MF2_MASK, PseudoVAADDU_VX_MF2, 0x3, false }, // 46
  { PseudoVAADDU_VX_MF4_MASK, PseudoVAADDU_VX_MF4, 0x3, false }, // 47
  { PseudoVAADDU_VX_MF8_MASK, PseudoVAADDU_VX_MF8, 0x3, false }, // 48
  { PseudoVAADD_VV_M1_MASK, PseudoVAADD_VV_M1, 0x3, false }, // 49
  { PseudoVAADD_VV_M2_MASK, PseudoVAADD_VV_M2, 0x3, false }, // 50
  { PseudoVAADD_VV_M4_MASK, PseudoVAADD_VV_M4, 0x3, false }, // 51
  { PseudoVAADD_VV_M8_MASK, PseudoVAADD_VV_M8, 0x3, false }, // 52
  { PseudoVAADD_VV_MF2_MASK, PseudoVAADD_VV_MF2, 0x3, false }, // 53
  { PseudoVAADD_VV_MF4_MASK, PseudoVAADD_VV_MF4, 0x3, false }, // 54
  { PseudoVAADD_VV_MF8_MASK, PseudoVAADD_VV_MF8, 0x3, false }, // 55
  { PseudoVAADD_VX_M1_MASK, PseudoVAADD_VX_M1, 0x3, false }, // 56
  { PseudoVAADD_VX_M2_MASK, PseudoVAADD_VX_M2, 0x3, false }, // 57
  { PseudoVAADD_VX_M4_MASK, PseudoVAADD_VX_M4, 0x3, false }, // 58
  { PseudoVAADD_VX_M8_MASK, PseudoVAADD_VX_M8, 0x3, false }, // 59
  { PseudoVAADD_VX_MF2_MASK, PseudoVAADD_VX_MF2, 0x3, false }, // 60
  { PseudoVAADD_VX_MF4_MASK, PseudoVAADD_VX_MF4, 0x3, false }, // 61
  { PseudoVAADD_VX_MF8_MASK, PseudoVAADD_VX_MF8, 0x3, false }, // 62
  { PseudoVADD_VI_M1_MASK, PseudoVADD_VI_M1, 0x3, false }, // 63
  { PseudoVADD_VI_M2_MASK, PseudoVADD_VI_M2, 0x3, false }, // 64
  { PseudoVADD_VI_M4_MASK, PseudoVADD_VI_M4, 0x3, false }, // 65
  { PseudoVADD_VI_M8_MASK, PseudoVADD_VI_M8, 0x3, false }, // 66
  { PseudoVADD_VI_MF2_MASK, PseudoVADD_VI_MF2, 0x3, false }, // 67
  { PseudoVADD_VI_MF4_MASK, PseudoVADD_VI_MF4, 0x3, false }, // 68
  { PseudoVADD_VI_MF8_MASK, PseudoVADD_VI_MF8, 0x3, false }, // 69
  { PseudoVADD_VV_M1_MASK, PseudoVADD_VV_M1, 0x3, false }, // 70
  { PseudoVADD_VV_M2_MASK, PseudoVADD_VV_M2, 0x3, false }, // 71
  { PseudoVADD_VV_M4_MASK, PseudoVADD_VV_M4, 0x3, false }, // 72
  { PseudoVADD_VV_M8_MASK, PseudoVADD_VV_M8, 0x3, false }, // 73
  { PseudoVADD_VV_MF2_MASK, PseudoVADD_VV_MF2, 0x3, false }, // 74
  { PseudoVADD_VV_MF4_MASK, PseudoVADD_VV_MF4, 0x3, false }, // 75
  { PseudoVADD_VV_MF8_MASK, PseudoVADD_VV_MF8, 0x3, false }, // 76
  { PseudoVADD_VX_M1_MASK, PseudoVADD_VX_M1, 0x3, false }, // 77
  { PseudoVADD_VX_M2_MASK, PseudoVADD_VX_M2, 0x3, false }, // 78
  { PseudoVADD_VX_M4_MASK, PseudoVADD_VX_M4, 0x3, false }, // 79
  { PseudoVADD_VX_M8_MASK, PseudoVADD_VX_M8, 0x3, false }, // 80
  { PseudoVADD_VX_MF2_MASK, PseudoVADD_VX_MF2, 0x3, false }, // 81
  { PseudoVADD_VX_MF4_MASK, PseudoVADD_VX_MF4, 0x3, false }, // 82
  { PseudoVADD_VX_MF8_MASK, PseudoVADD_VX_MF8, 0x3, false }, // 83
  { PseudoVANDN_VV_M1_MASK, PseudoVANDN_VV_M1, 0x3, false }, // 84
  { PseudoVANDN_VV_M2_MASK, PseudoVANDN_VV_M2, 0x3, false }, // 85
  { PseudoVANDN_VV_M4_MASK, PseudoVANDN_VV_M4, 0x3, false }, // 86
  { PseudoVANDN_VV_M8_MASK, PseudoVANDN_VV_M8, 0x3, false }, // 87
  { PseudoVANDN_VV_MF2_MASK, PseudoVANDN_VV_MF2, 0x3, false }, // 88
  { PseudoVANDN_VV_MF4_MASK, PseudoVANDN_VV_MF4, 0x3, false }, // 89
  { PseudoVANDN_VV_MF8_MASK, PseudoVANDN_VV_MF8, 0x3, false }, // 90
  { PseudoVANDN_VX_M1_MASK, PseudoVANDN_VX_M1, 0x3, false }, // 91
  { PseudoVANDN_VX_M2_MASK, PseudoVANDN_VX_M2, 0x3, false }, // 92
  { PseudoVANDN_VX_M4_MASK, PseudoVANDN_VX_M4, 0x3, false }, // 93
  { PseudoVANDN_VX_M8_MASK, PseudoVANDN_VX_M8, 0x3, false }, // 94
  { PseudoVANDN_VX_MF2_MASK, PseudoVANDN_VX_MF2, 0x3, false }, // 95
  { PseudoVANDN_VX_MF4_MASK, PseudoVANDN_VX_MF4, 0x3, false }, // 96
  { PseudoVANDN_VX_MF8_MASK, PseudoVANDN_VX_MF8, 0x3, false }, // 97
  { PseudoVAND_VI_M1_MASK, PseudoVAND_VI_M1, 0x3, false }, // 98
  { PseudoVAND_VI_M2_MASK, PseudoVAND_VI_M2, 0x3, false }, // 99
  { PseudoVAND_VI_M4_MASK, PseudoVAND_VI_M4, 0x3, false }, // 100
  { PseudoVAND_VI_M8_MASK, PseudoVAND_VI_M8, 0x3, false }, // 101
  { PseudoVAND_VI_MF2_MASK, PseudoVAND_VI_MF2, 0x3, false }, // 102
  { PseudoVAND_VI_MF4_MASK, PseudoVAND_VI_MF4, 0x3, false }, // 103
  { PseudoVAND_VI_MF8_MASK, PseudoVAND_VI_MF8, 0x3, false }, // 104
  { PseudoVAND_VV_M1_MASK, PseudoVAND_VV_M1, 0x3, false }, // 105
  { PseudoVAND_VV_M2_MASK, PseudoVAND_VV_M2, 0x3, false }, // 106
  { PseudoVAND_VV_M4_MASK, PseudoVAND_VV_M4, 0x3, false }, // 107
  { PseudoVAND_VV_M8_MASK, PseudoVAND_VV_M8, 0x3, false }, // 108
  { PseudoVAND_VV_MF2_MASK, PseudoVAND_VV_MF2, 0x3, false }, // 109
  { PseudoVAND_VV_MF4_MASK, PseudoVAND_VV_MF4, 0x3, false }, // 110
  { PseudoVAND_VV_MF8_MASK, PseudoVAND_VV_MF8, 0x3, false }, // 111
  { PseudoVAND_VX_M1_MASK, PseudoVAND_VX_M1, 0x3, false }, // 112
  { PseudoVAND_VX_M2_MASK, PseudoVAND_VX_M2, 0x3, false }, // 113
  { PseudoVAND_VX_M4_MASK, PseudoVAND_VX_M4, 0x3, false }, // 114
  { PseudoVAND_VX_M8_MASK, PseudoVAND_VX_M8, 0x3, false }, // 115
  { PseudoVAND_VX_MF2_MASK, PseudoVAND_VX_MF2, 0x3, false }, // 116
  { PseudoVAND_VX_MF4_MASK, PseudoVAND_VX_MF4, 0x3, false }, // 117
  { PseudoVAND_VX_MF8_MASK, PseudoVAND_VX_MF8, 0x3, false }, // 118
  { PseudoVASUBU_VV_M1_MASK, PseudoVASUBU_VV_M1, 0x3, false }, // 119
  { PseudoVASUBU_VV_M2_MASK, PseudoVASUBU_VV_M2, 0x3, false }, // 120
  { PseudoVASUBU_VV_M4_MASK, PseudoVASUBU_VV_M4, 0x3, false }, // 121
  { PseudoVASUBU_VV_M8_MASK, PseudoVASUBU_VV_M8, 0x3, false }, // 122
  { PseudoVASUBU_VV_MF2_MASK, PseudoVASUBU_VV_MF2, 0x3, false }, // 123
  { PseudoVASUBU_VV_MF4_MASK, PseudoVASUBU_VV_MF4, 0x3, false }, // 124
  { PseudoVASUBU_VV_MF8_MASK, PseudoVASUBU_VV_MF8, 0x3, false }, // 125
  { PseudoVASUBU_VX_M1_MASK, PseudoVASUBU_VX_M1, 0x3, false }, // 126
  { PseudoVASUBU_VX_M2_MASK, PseudoVASUBU_VX_M2, 0x3, false }, // 127
  { PseudoVASUBU_VX_M4_MASK, PseudoVASUBU_VX_M4, 0x3, false }, // 128
  { PseudoVASUBU_VX_M8_MASK, PseudoVASUBU_VX_M8, 0x3, false }, // 129
  { PseudoVASUBU_VX_MF2_MASK, PseudoVASUBU_VX_MF2, 0x3, false }, // 130
  { PseudoVASUBU_VX_MF4_MASK, PseudoVASUBU_VX_MF4, 0x3, false }, // 131
  { PseudoVASUBU_VX_MF8_MASK, PseudoVASUBU_VX_MF8, 0x3, false }, // 132
  { PseudoVASUB_VV_M1_MASK, PseudoVASUB_VV_M1, 0x3, false }, // 133
  { PseudoVASUB_VV_M2_MASK, PseudoVASUB_VV_M2, 0x3, false }, // 134
  { PseudoVASUB_VV_M4_MASK, PseudoVASUB_VV_M4, 0x3, false }, // 135
  { PseudoVASUB_VV_M8_MASK, PseudoVASUB_VV_M8, 0x3, false }, // 136
  { PseudoVASUB_VV_MF2_MASK, PseudoVASUB_VV_MF2, 0x3, false }, // 137
  { PseudoVASUB_VV_MF4_MASK, PseudoVASUB_VV_MF4, 0x3, false }, // 138
  { PseudoVASUB_VV_MF8_MASK, PseudoVASUB_VV_MF8, 0x3, false }, // 139
  { PseudoVASUB_VX_M1_MASK, PseudoVASUB_VX_M1, 0x3, false }, // 140
  { PseudoVASUB_VX_M2_MASK, PseudoVASUB_VX_M2, 0x3, false }, // 141
  { PseudoVASUB_VX_M4_MASK, PseudoVASUB_VX_M4, 0x3, false }, // 142
  { PseudoVASUB_VX_M8_MASK, PseudoVASUB_VX_M8, 0x3, false }, // 143
  { PseudoVASUB_VX_MF2_MASK, PseudoVASUB_VX_MF2, 0x3, false }, // 144
  { PseudoVASUB_VX_MF4_MASK, PseudoVASUB_VX_MF4, 0x3, false }, // 145
  { PseudoVASUB_VX_MF8_MASK, PseudoVASUB_VX_MF8, 0x3, false }, // 146
  { PseudoVBREV8_V_M1_MASK, PseudoVBREV8_V_M1, 0x2, false }, // 147
  { PseudoVBREV8_V_M2_MASK, PseudoVBREV8_V_M2, 0x2, false }, // 148
  { PseudoVBREV8_V_M4_MASK, PseudoVBREV8_V_M4, 0x2, false }, // 149
  { PseudoVBREV8_V_M8_MASK, PseudoVBREV8_V_M8, 0x2, false }, // 150
  { PseudoVBREV8_V_MF2_MASK, PseudoVBREV8_V_MF2, 0x2, false }, // 151
  { PseudoVBREV8_V_MF4_MASK, PseudoVBREV8_V_MF4, 0x2, false }, // 152
  { PseudoVBREV8_V_MF8_MASK, PseudoVBREV8_V_MF8, 0x2, false }, // 153
  { PseudoVBREV_V_M1_MASK, PseudoVBREV_V_M1, 0x2, false }, // 154
  { PseudoVBREV_V_M2_MASK, PseudoVBREV_V_M2, 0x2, false }, // 155
  { PseudoVBREV_V_M4_MASK, PseudoVBREV_V_M4, 0x2, false }, // 156
  { PseudoVBREV_V_M8_MASK, PseudoVBREV_V_M8, 0x2, false }, // 157
  { PseudoVBREV_V_MF2_MASK, PseudoVBREV_V_MF2, 0x2, false }, // 158
  { PseudoVBREV_V_MF4_MASK, PseudoVBREV_V_MF4, 0x2, false }, // 159
  { PseudoVBREV_V_MF8_MASK, PseudoVBREV_V_MF8, 0x2, false }, // 160
  { PseudoVCLMULH_VV_M1_MASK, PseudoVCLMULH_VV_M1, 0x3, false }, // 161
  { PseudoVCLMULH_VV_M2_MASK, PseudoVCLMULH_VV_M2, 0x3, false }, // 162
  { PseudoVCLMULH_VV_M4_MASK, PseudoVCLMULH_VV_M4, 0x3, false }, // 163
  { PseudoVCLMULH_VV_M8_MASK, PseudoVCLMULH_VV_M8, 0x3, false }, // 164
  { PseudoVCLMULH_VV_MF2_MASK, PseudoVCLMULH_VV_MF2, 0x3, false }, // 165
  { PseudoVCLMULH_VV_MF4_MASK, PseudoVCLMULH_VV_MF4, 0x3, false }, // 166
  { PseudoVCLMULH_VV_MF8_MASK, PseudoVCLMULH_VV_MF8, 0x3, false }, // 167
  { PseudoVCLMULH_VX_M1_MASK, PseudoVCLMULH_VX_M1, 0x3, false }, // 168
  { PseudoVCLMULH_VX_M2_MASK, PseudoVCLMULH_VX_M2, 0x3, false }, // 169
  { PseudoVCLMULH_VX_M4_MASK, PseudoVCLMULH_VX_M4, 0x3, false }, // 170
  { PseudoVCLMULH_VX_M8_MASK, PseudoVCLMULH_VX_M8, 0x3, false }, // 171
  { PseudoVCLMULH_VX_MF2_MASK, PseudoVCLMULH_VX_MF2, 0x3, false }, // 172
  { PseudoVCLMULH_VX_MF4_MASK, PseudoVCLMULH_VX_MF4, 0x3, false }, // 173
  { PseudoVCLMULH_VX_MF8_MASK, PseudoVCLMULH_VX_MF8, 0x3, false }, // 174
  { PseudoVCLMUL_VV_M1_MASK, PseudoVCLMUL_VV_M1, 0x3, false }, // 175
  { PseudoVCLMUL_VV_M2_MASK, PseudoVCLMUL_VV_M2, 0x3, false }, // 176
  { PseudoVCLMUL_VV_M4_MASK, PseudoVCLMUL_VV_M4, 0x3, false }, // 177
  { PseudoVCLMUL_VV_M8_MASK, PseudoVCLMUL_VV_M8, 0x3, false }, // 178
  { PseudoVCLMUL_VV_MF2_MASK, PseudoVCLMUL_VV_MF2, 0x3, false }, // 179
  { PseudoVCLMUL_VV_MF4_MASK, PseudoVCLMUL_VV_MF4, 0x3, false }, // 180
  { PseudoVCLMUL_VV_MF8_MASK, PseudoVCLMUL_VV_MF8, 0x3, false }, // 181
  { PseudoVCLMUL_VX_M1_MASK, PseudoVCLMUL_VX_M1, 0x3, false }, // 182
  { PseudoVCLMUL_VX_M2_MASK, PseudoVCLMUL_VX_M2, 0x3, false }, // 183
  { PseudoVCLMUL_VX_M4_MASK, PseudoVCLMUL_VX_M4, 0x3, false }, // 184
  { PseudoVCLMUL_VX_M8_MASK, PseudoVCLMUL_VX_M8, 0x3, false }, // 185
  { PseudoVCLMUL_VX_MF2_MASK, PseudoVCLMUL_VX_MF2, 0x3, false }, // 186
  { PseudoVCLMUL_VX_MF4_MASK, PseudoVCLMUL_VX_MF4, 0x3, false }, // 187
  { PseudoVCLMUL_VX_MF8_MASK, PseudoVCLMUL_VX_MF8, 0x3, false }, // 188
  { PseudoVCLZ_V_M1_MASK, PseudoVCLZ_V_M1, 0x2, false }, // 189
  { PseudoVCLZ_V_M2_MASK, PseudoVCLZ_V_M2, 0x2, false }, // 190
  { PseudoVCLZ_V_M4_MASK, PseudoVCLZ_V_M4, 0x2, false }, // 191
  { PseudoVCLZ_V_M8_MASK, PseudoVCLZ_V_M8, 0x2, false }, // 192
  { PseudoVCLZ_V_MF2_MASK, PseudoVCLZ_V_MF2, 0x2, false }, // 193
  { PseudoVCLZ_V_MF4_MASK, PseudoVCLZ_V_MF4, 0x2, false }, // 194
  { PseudoVCLZ_V_MF8_MASK, PseudoVCLZ_V_MF8, 0x2, false }, // 195
  { PseudoVCPOP_V_M1_MASK, PseudoVCPOP_V_M1, 0x2, false }, // 196
  { PseudoVCPOP_V_M2_MASK, PseudoVCPOP_V_M2, 0x2, false }, // 197
  { PseudoVCPOP_V_M4_MASK, PseudoVCPOP_V_M4, 0x2, false }, // 198
  { PseudoVCPOP_V_M8_MASK, PseudoVCPOP_V_M8, 0x2, false }, // 199
  { PseudoVCPOP_V_MF2_MASK, PseudoVCPOP_V_MF2, 0x2, false }, // 200
  { PseudoVCPOP_V_MF4_MASK, PseudoVCPOP_V_MF4, 0x2, false }, // 201
  { PseudoVCPOP_V_MF8_MASK, PseudoVCPOP_V_MF8, 0x2, false }, // 202
  { PseudoVCTZ_V_M1_MASK, PseudoVCTZ_V_M1, 0x2, false }, // 203
  { PseudoVCTZ_V_M2_MASK, PseudoVCTZ_V_M2, 0x2, false }, // 204
  { PseudoVCTZ_V_M4_MASK, PseudoVCTZ_V_M4, 0x2, false }, // 205
  { PseudoVCTZ_V_M8_MASK, PseudoVCTZ_V_M8, 0x2, false }, // 206
  { PseudoVCTZ_V_MF2_MASK, PseudoVCTZ_V_MF2, 0x2, false }, // 207
  { PseudoVCTZ_V_MF4_MASK, PseudoVCTZ_V_MF4, 0x2, false }, // 208
  { PseudoVCTZ_V_MF8_MASK, PseudoVCTZ_V_MF8, 0x2, false }, // 209
  { PseudoVDIVU_VV_M1_E16_MASK, PseudoVDIVU_VV_M1_E16, 0x3, false }, // 210
  { PseudoVDIVU_VV_M1_E32_MASK, PseudoVDIVU_VV_M1_E32, 0x3, false }, // 211
  { PseudoVDIVU_VV_M1_E64_MASK, PseudoVDIVU_VV_M1_E64, 0x3, false }, // 212
  { PseudoVDIVU_VV_M1_E8_MASK, PseudoVDIVU_VV_M1_E8, 0x3, false }, // 213
  { PseudoVDIVU_VV_M2_E16_MASK, PseudoVDIVU_VV_M2_E16, 0x3, false }, // 214
  { PseudoVDIVU_VV_M2_E32_MASK, PseudoVDIVU_VV_M2_E32, 0x3, false }, // 215
  { PseudoVDIVU_VV_M2_E64_MASK, PseudoVDIVU_VV_M2_E64, 0x3, false }, // 216
  { PseudoVDIVU_VV_M2_E8_MASK, PseudoVDIVU_VV_M2_E8, 0x3, false }, // 217
  { PseudoVDIVU_VV_M4_E16_MASK, PseudoVDIVU_VV_M4_E16, 0x3, false }, // 218
  { PseudoVDIVU_VV_M4_E32_MASK, PseudoVDIVU_VV_M4_E32, 0x3, false }, // 219
  { PseudoVDIVU_VV_M4_E64_MASK, PseudoVDIVU_VV_M4_E64, 0x3, false }, // 220
  { PseudoVDIVU_VV_M4_E8_MASK, PseudoVDIVU_VV_M4_E8, 0x3, false }, // 221
  { PseudoVDIVU_VV_M8_E16_MASK, PseudoVDIVU_VV_M8_E16, 0x3, false }, // 222
  { PseudoVDIVU_VV_M8_E32_MASK, PseudoVDIVU_VV_M8_E32, 0x3, false }, // 223
  { PseudoVDIVU_VV_M8_E64_MASK, PseudoVDIVU_VV_M8_E64, 0x3, false }, // 224
  { PseudoVDIVU_VV_M8_E8_MASK, PseudoVDIVU_VV_M8_E8, 0x3, false }, // 225
  { PseudoVDIVU_VV_MF2_E16_MASK, PseudoVDIVU_VV_MF2_E16, 0x3, false }, // 226
  { PseudoVDIVU_VV_MF2_E32_MASK, PseudoVDIVU_VV_MF2_E32, 0x3, false }, // 227
  { PseudoVDIVU_VV_MF2_E8_MASK, PseudoVDIVU_VV_MF2_E8, 0x3, false }, // 228
  { PseudoVDIVU_VV_MF4_E16_MASK, PseudoVDIVU_VV_MF4_E16, 0x3, false }, // 229
  { PseudoVDIVU_VV_MF4_E8_MASK, PseudoVDIVU_VV_MF4_E8, 0x3, false }, // 230
  { PseudoVDIVU_VV_MF8_E8_MASK, PseudoVDIVU_VV_MF8_E8, 0x3, false }, // 231
  { PseudoVDIVU_VX_M1_E16_MASK, PseudoVDIVU_VX_M1_E16, 0x3, false }, // 232
  { PseudoVDIVU_VX_M1_E32_MASK, PseudoVDIVU_VX_M1_E32, 0x3, false }, // 233
  { PseudoVDIVU_VX_M1_E64_MASK, PseudoVDIVU_VX_M1_E64, 0x3, false }, // 234
  { PseudoVDIVU_VX_M1_E8_MASK, PseudoVDIVU_VX_M1_E8, 0x3, false }, // 235
  { PseudoVDIVU_VX_M2_E16_MASK, PseudoVDIVU_VX_M2_E16, 0x3, false }, // 236
  { PseudoVDIVU_VX_M2_E32_MASK, PseudoVDIVU_VX_M2_E32, 0x3, false }, // 237
  { PseudoVDIVU_VX_M2_E64_MASK, PseudoVDIVU_VX_M2_E64, 0x3, false }, // 238
  { PseudoVDIVU_VX_M2_E8_MASK, PseudoVDIVU_VX_M2_E8, 0x3, false }, // 239
  { PseudoVDIVU_VX_M4_E16_MASK, PseudoVDIVU_VX_M4_E16, 0x3, false }, // 240
  { PseudoVDIVU_VX_M4_E32_MASK, PseudoVDIVU_VX_M4_E32, 0x3, false }, // 241
  { PseudoVDIVU_VX_M4_E64_MASK, PseudoVDIVU_VX_M4_E64, 0x3, false }, // 242
  { PseudoVDIVU_VX_M4_E8_MASK, PseudoVDIVU_VX_M4_E8, 0x3, false }, // 243
  { PseudoVDIVU_VX_M8_E16_MASK, PseudoVDIVU_VX_M8_E16, 0x3, false }, // 244
  { PseudoVDIVU_VX_M8_E32_MASK, PseudoVDIVU_VX_M8_E32, 0x3, false }, // 245
  { PseudoVDIVU_VX_M8_E64_MASK, PseudoVDIVU_VX_M8_E64, 0x3, false }, // 246
  { PseudoVDIVU_VX_M8_E8_MASK, PseudoVDIVU_VX_M8_E8, 0x3, false }, // 247
  { PseudoVDIVU_VX_MF2_E16_MASK, PseudoVDIVU_VX_MF2_E16, 0x3, false }, // 248
  { PseudoVDIVU_VX_MF2_E32_MASK, PseudoVDIVU_VX_MF2_E32, 0x3, false }, // 249
  { PseudoVDIVU_VX_MF2_E8_MASK, PseudoVDIVU_VX_MF2_E8, 0x3, false }, // 250
  { PseudoVDIVU_VX_MF4_E16_MASK, PseudoVDIVU_VX_MF4_E16, 0x3, false }, // 251
  { PseudoVDIVU_VX_MF4_E8_MASK, PseudoVDIVU_VX_MF4_E8, 0x3, false }, // 252
  { PseudoVDIVU_VX_MF8_E8_MASK, PseudoVDIVU_VX_MF8_E8, 0x3, false }, // 253
  { PseudoVDIV_VV_M1_E16_MASK, PseudoVDIV_VV_M1_E16, 0x3, false }, // 254
  { PseudoVDIV_VV_M1_E32_MASK, PseudoVDIV_VV_M1_E32, 0x3, false }, // 255
  { PseudoVDIV_VV_M1_E64_MASK, PseudoVDIV_VV_M1_E64, 0x3, false }, // 256
  { PseudoVDIV_VV_M1_E8_MASK, PseudoVDIV_VV_M1_E8, 0x3, false }, // 257
  { PseudoVDIV_VV_M2_E16_MASK, PseudoVDIV_VV_M2_E16, 0x3, false }, // 258
  { PseudoVDIV_VV_M2_E32_MASK, PseudoVDIV_VV_M2_E32, 0x3, false }, // 259
  { PseudoVDIV_VV_M2_E64_MASK, PseudoVDIV_VV_M2_E64, 0x3, false }, // 260
  { PseudoVDIV_VV_M2_E8_MASK, PseudoVDIV_VV_M2_E8, 0x3, false }, // 261
  { PseudoVDIV_VV_M4_E16_MASK, PseudoVDIV_VV_M4_E16, 0x3, false }, // 262
  { PseudoVDIV_VV_M4_E32_MASK, PseudoVDIV_VV_M4_E32, 0x3, false }, // 263
  { PseudoVDIV_VV_M4_E64_MASK, PseudoVDIV_VV_M4_E64, 0x3, false }, // 264
  { PseudoVDIV_VV_M4_E8_MASK, PseudoVDIV_VV_M4_E8, 0x3, false }, // 265
  { PseudoVDIV_VV_M8_E16_MASK, PseudoVDIV_VV_M8_E16, 0x3, false }, // 266
  { PseudoVDIV_VV_M8_E32_MASK, PseudoVDIV_VV_M8_E32, 0x3, false }, // 267
  { PseudoVDIV_VV_M8_E64_MASK, PseudoVDIV_VV_M8_E64, 0x3, false }, // 268
  { PseudoVDIV_VV_M8_E8_MASK, PseudoVDIV_VV_M8_E8, 0x3, false }, // 269
  { PseudoVDIV_VV_MF2_E16_MASK, PseudoVDIV_VV_MF2_E16, 0x3, false }, // 270
  { PseudoVDIV_VV_MF2_E32_MASK, PseudoVDIV_VV_MF2_E32, 0x3, false }, // 271
  { PseudoVDIV_VV_MF2_E8_MASK, PseudoVDIV_VV_MF2_E8, 0x3, false }, // 272
  { PseudoVDIV_VV_MF4_E16_MASK, PseudoVDIV_VV_MF4_E16, 0x3, false }, // 273
  { PseudoVDIV_VV_MF4_E8_MASK, PseudoVDIV_VV_MF4_E8, 0x3, false }, // 274
  { PseudoVDIV_VV_MF8_E8_MASK, PseudoVDIV_VV_MF8_E8, 0x3, false }, // 275
  { PseudoVDIV_VX_M1_E16_MASK, PseudoVDIV_VX_M1_E16, 0x3, false }, // 276
  { PseudoVDIV_VX_M1_E32_MASK, PseudoVDIV_VX_M1_E32, 0x3, false }, // 277
  { PseudoVDIV_VX_M1_E64_MASK, PseudoVDIV_VX_M1_E64, 0x3, false }, // 278
  { PseudoVDIV_VX_M1_E8_MASK, PseudoVDIV_VX_M1_E8, 0x3, false }, // 279
  { PseudoVDIV_VX_M2_E16_MASK, PseudoVDIV_VX_M2_E16, 0x3, false }, // 280
  { PseudoVDIV_VX_M2_E32_MASK, PseudoVDIV_VX_M2_E32, 0x3, false }, // 281
  { PseudoVDIV_VX_M2_E64_MASK, PseudoVDIV_VX_M2_E64, 0x3, false }, // 282
  { PseudoVDIV_VX_M2_E8_MASK, PseudoVDIV_VX_M2_E8, 0x3, false }, // 283
  { PseudoVDIV_VX_M4_E16_MASK, PseudoVDIV_VX_M4_E16, 0x3, false }, // 284
  { PseudoVDIV_VX_M4_E32_MASK, PseudoVDIV_VX_M4_E32, 0x3, false }, // 285
  { PseudoVDIV_VX_M4_E64_MASK, PseudoVDIV_VX_M4_E64, 0x3, false }, // 286
  { PseudoVDIV_VX_M4_E8_MASK, PseudoVDIV_VX_M4_E8, 0x3, false }, // 287
  { PseudoVDIV_VX_M8_E16_MASK, PseudoVDIV_VX_M8_E16, 0x3, false }, // 288
  { PseudoVDIV_VX_M8_E32_MASK, PseudoVDIV_VX_M8_E32, 0x3, false }, // 289
  { PseudoVDIV_VX_M8_E64_MASK, PseudoVDIV_VX_M8_E64, 0x3, false }, // 290
  { PseudoVDIV_VX_M8_E8_MASK, PseudoVDIV_VX_M8_E8, 0x3, false }, // 291
  { PseudoVDIV_VX_MF2_E16_MASK, PseudoVDIV_VX_MF2_E16, 0x3, false }, // 292
  { PseudoVDIV_VX_MF2_E32_MASK, PseudoVDIV_VX_MF2_E32, 0x3, false }, // 293
  { PseudoVDIV_VX_MF2_E8_MASK, PseudoVDIV_VX_MF2_E8, 0x3, false }, // 294
  { PseudoVDIV_VX_MF4_E16_MASK, PseudoVDIV_VX_MF4_E16, 0x3, false }, // 295
  { PseudoVDIV_VX_MF4_E8_MASK, PseudoVDIV_VX_MF4_E8, 0x3, false }, // 296
  { PseudoVDIV_VX_MF8_E8_MASK, PseudoVDIV_VX_MF8_E8, 0x3, false }, // 297
  { PseudoVFADD_VFPR16_M1_E16_MASK, PseudoVFADD_VFPR16_M1_E16, 0x3, false }, // 298
  { PseudoVFADD_VFPR16_M2_E16_MASK, PseudoVFADD_VFPR16_M2_E16, 0x3, false }, // 299
  { PseudoVFADD_VFPR16_M4_E16_MASK, PseudoVFADD_VFPR16_M4_E16, 0x3, false }, // 300
  { PseudoVFADD_VFPR16_M8_E16_MASK, PseudoVFADD_VFPR16_M8_E16, 0x3, false }, // 301
  { PseudoVFADD_VFPR16_MF2_E16_MASK, PseudoVFADD_VFPR16_MF2_E16, 0x3, false }, // 302
  { PseudoVFADD_VFPR16_MF4_E16_MASK, PseudoVFADD_VFPR16_MF4_E16, 0x3, false }, // 303
  { PseudoVFADD_VFPR32_M1_E32_MASK, PseudoVFADD_VFPR32_M1_E32, 0x3, false }, // 304
  { PseudoVFADD_VFPR32_M2_E32_MASK, PseudoVFADD_VFPR32_M2_E32, 0x3, false }, // 305
  { PseudoVFADD_VFPR32_M4_E32_MASK, PseudoVFADD_VFPR32_M4_E32, 0x3, false }, // 306
  { PseudoVFADD_VFPR32_M8_E32_MASK, PseudoVFADD_VFPR32_M8_E32, 0x3, false }, // 307
  { PseudoVFADD_VFPR32_MF2_E32_MASK, PseudoVFADD_VFPR32_MF2_E32, 0x3, false }, // 308
  { PseudoVFADD_VFPR64_M1_E64_MASK, PseudoVFADD_VFPR64_M1_E64, 0x3, false }, // 309
  { PseudoVFADD_VFPR64_M2_E64_MASK, PseudoVFADD_VFPR64_M2_E64, 0x3, false }, // 310
  { PseudoVFADD_VFPR64_M4_E64_MASK, PseudoVFADD_VFPR64_M4_E64, 0x3, false }, // 311
  { PseudoVFADD_VFPR64_M8_E64_MASK, PseudoVFADD_VFPR64_M8_E64, 0x3, false }, // 312
  { PseudoVFADD_VV_M1_E16_MASK, PseudoVFADD_VV_M1_E16, 0x3, false }, // 313
  { PseudoVFADD_VV_M1_E32_MASK, PseudoVFADD_VV_M1_E32, 0x3, false }, // 314
  { PseudoVFADD_VV_M1_E64_MASK, PseudoVFADD_VV_M1_E64, 0x3, false }, // 315
  { PseudoVFADD_VV_M2_E16_MASK, PseudoVFADD_VV_M2_E16, 0x3, false }, // 316
  { PseudoVFADD_VV_M2_E32_MASK, PseudoVFADD_VV_M2_E32, 0x3, false }, // 317
  { PseudoVFADD_VV_M2_E64_MASK, PseudoVFADD_VV_M2_E64, 0x3, false }, // 318
  { PseudoVFADD_VV_M4_E16_MASK, PseudoVFADD_VV_M4_E16, 0x3, false }, // 319
  { PseudoVFADD_VV_M4_E32_MASK, PseudoVFADD_VV_M4_E32, 0x3, false }, // 320
  { PseudoVFADD_VV_M4_E64_MASK, PseudoVFADD_VV_M4_E64, 0x3, false }, // 321
  { PseudoVFADD_VV_M8_E16_MASK, PseudoVFADD_VV_M8_E16, 0x3, false }, // 322
  { PseudoVFADD_VV_M8_E32_MASK, PseudoVFADD_VV_M8_E32, 0x3, false }, // 323
  { PseudoVFADD_VV_M8_E64_MASK, PseudoVFADD_VV_M8_E64, 0x3, false }, // 324
  { PseudoVFADD_VV_MF2_E16_MASK, PseudoVFADD_VV_MF2_E16, 0x3, false }, // 325
  { PseudoVFADD_VV_MF2_E32_MASK, PseudoVFADD_VV_MF2_E32, 0x3, false }, // 326
  { PseudoVFADD_VV_MF4_E16_MASK, PseudoVFADD_VV_MF4_E16, 0x3, false }, // 327
  { PseudoVFCLASS_V_M1_MASK, PseudoVFCLASS_V_M1, 0x2, false }, // 328
  { PseudoVFCLASS_V_M2_MASK, PseudoVFCLASS_V_M2, 0x2, false }, // 329
  { PseudoVFCLASS_V_M4_MASK, PseudoVFCLASS_V_M4, 0x2, false }, // 330
  { PseudoVFCLASS_V_M8_MASK, PseudoVFCLASS_V_M8, 0x2, false }, // 331
  { PseudoVFCLASS_V_MF2_MASK, PseudoVFCLASS_V_MF2, 0x2, false }, // 332
  { PseudoVFCLASS_V_MF4_MASK, PseudoVFCLASS_V_MF4, 0x2, false }, // 333
  { PseudoVFCVT_F_XU_V_M1_E16_MASK, PseudoVFCVT_F_XU_V_M1_E16, 0x2, false }, // 334
  { PseudoVFCVT_F_XU_V_M1_E32_MASK, PseudoVFCVT_F_XU_V_M1_E32, 0x2, false }, // 335
  { PseudoVFCVT_F_XU_V_M1_E64_MASK, PseudoVFCVT_F_XU_V_M1_E64, 0x2, false }, // 336
  { PseudoVFCVT_F_XU_V_M2_E16_MASK, PseudoVFCVT_F_XU_V_M2_E16, 0x2, false }, // 337
  { PseudoVFCVT_F_XU_V_M2_E32_MASK, PseudoVFCVT_F_XU_V_M2_E32, 0x2, false }, // 338
  { PseudoVFCVT_F_XU_V_M2_E64_MASK, PseudoVFCVT_F_XU_V_M2_E64, 0x2, false }, // 339
  { PseudoVFCVT_F_XU_V_M4_E16_MASK, PseudoVFCVT_F_XU_V_M4_E16, 0x2, false }, // 340
  { PseudoVFCVT_F_XU_V_M4_E32_MASK, PseudoVFCVT_F_XU_V_M4_E32, 0x2, false }, // 341
  { PseudoVFCVT_F_XU_V_M4_E64_MASK, PseudoVFCVT_F_XU_V_M4_E64, 0x2, false }, // 342
  { PseudoVFCVT_F_XU_V_M8_E16_MASK, PseudoVFCVT_F_XU_V_M8_E16, 0x2, false }, // 343
  { PseudoVFCVT_F_XU_V_M8_E32_MASK, PseudoVFCVT_F_XU_V_M8_E32, 0x2, false }, // 344
  { PseudoVFCVT_F_XU_V_M8_E64_MASK, PseudoVFCVT_F_XU_V_M8_E64, 0x2, false }, // 345
  { PseudoVFCVT_F_XU_V_MF2_E16_MASK, PseudoVFCVT_F_XU_V_MF2_E16, 0x2, false }, // 346
  { PseudoVFCVT_F_XU_V_MF2_E32_MASK, PseudoVFCVT_F_XU_V_MF2_E32, 0x2, false }, // 347
  { PseudoVFCVT_F_XU_V_MF4_E16_MASK, PseudoVFCVT_F_XU_V_MF4_E16, 0x2, false }, // 348
  { PseudoVFCVT_F_X_V_M1_E16_MASK, PseudoVFCVT_F_X_V_M1_E16, 0x2, false }, // 349
  { PseudoVFCVT_F_X_V_M1_E32_MASK, PseudoVFCVT_F_X_V_M1_E32, 0x2, false }, // 350
  { PseudoVFCVT_F_X_V_M1_E64_MASK, PseudoVFCVT_F_X_V_M1_E64, 0x2, false }, // 351
  { PseudoVFCVT_F_X_V_M2_E16_MASK, PseudoVFCVT_F_X_V_M2_E16, 0x2, false }, // 352
  { PseudoVFCVT_F_X_V_M2_E32_MASK, PseudoVFCVT_F_X_V_M2_E32, 0x2, false }, // 353
  { PseudoVFCVT_F_X_V_M2_E64_MASK, PseudoVFCVT_F_X_V_M2_E64, 0x2, false }, // 354
  { PseudoVFCVT_F_X_V_M4_E16_MASK, PseudoVFCVT_F_X_V_M4_E16, 0x2, false }, // 355
  { PseudoVFCVT_F_X_V_M4_E32_MASK, PseudoVFCVT_F_X_V_M4_E32, 0x2, false }, // 356
  { PseudoVFCVT_F_X_V_M4_E64_MASK, PseudoVFCVT_F_X_V_M4_E64, 0x2, false }, // 357
  { PseudoVFCVT_F_X_V_M8_E16_MASK, PseudoVFCVT_F_X_V_M8_E16, 0x2, false }, // 358
  { PseudoVFCVT_F_X_V_M8_E32_MASK, PseudoVFCVT_F_X_V_M8_E32, 0x2, false }, // 359
  { PseudoVFCVT_F_X_V_M8_E64_MASK, PseudoVFCVT_F_X_V_M8_E64, 0x2, false }, // 360
  { PseudoVFCVT_F_X_V_MF2_E16_MASK, PseudoVFCVT_F_X_V_MF2_E16, 0x2, false }, // 361
  { PseudoVFCVT_F_X_V_MF2_E32_MASK, PseudoVFCVT_F_X_V_MF2_E32, 0x2, false }, // 362
  { PseudoVFCVT_F_X_V_MF4_E16_MASK, PseudoVFCVT_F_X_V_MF4_E16, 0x2, false }, // 363
  { PseudoVFCVT_RM_F_XU_V_M1_E16_MASK, PseudoVFCVT_RM_F_XU_V_M1_E16, 0x2, false }, // 364
  { PseudoVFCVT_RM_F_XU_V_M1_E32_MASK, PseudoVFCVT_RM_F_XU_V_M1_E32, 0x2, false }, // 365
  { PseudoVFCVT_RM_F_XU_V_M1_E64_MASK, PseudoVFCVT_RM_F_XU_V_M1_E64, 0x2, false }, // 366
  { PseudoVFCVT_RM_F_XU_V_M2_E16_MASK, PseudoVFCVT_RM_F_XU_V_M2_E16, 0x2, false }, // 367
  { PseudoVFCVT_RM_F_XU_V_M2_E32_MASK, PseudoVFCVT_RM_F_XU_V_M2_E32, 0x2, false }, // 368
  { PseudoVFCVT_RM_F_XU_V_M2_E64_MASK, PseudoVFCVT_RM_F_XU_V_M2_E64, 0x2, false }, // 369
  { PseudoVFCVT_RM_F_XU_V_M4_E16_MASK, PseudoVFCVT_RM_F_XU_V_M4_E16, 0x2, false }, // 370
  { PseudoVFCVT_RM_F_XU_V_M4_E32_MASK, PseudoVFCVT_RM_F_XU_V_M4_E32, 0x2, false }, // 371
  { PseudoVFCVT_RM_F_XU_V_M4_E64_MASK, PseudoVFCVT_RM_F_XU_V_M4_E64, 0x2, false }, // 372
  { PseudoVFCVT_RM_F_XU_V_M8_E16_MASK, PseudoVFCVT_RM_F_XU_V_M8_E16, 0x2, false }, // 373
  { PseudoVFCVT_RM_F_XU_V_M8_E32_MASK, PseudoVFCVT_RM_F_XU_V_M8_E32, 0x2, false }, // 374
  { PseudoVFCVT_RM_F_XU_V_M8_E64_MASK, PseudoVFCVT_RM_F_XU_V_M8_E64, 0x2, false }, // 375
  { PseudoVFCVT_RM_F_XU_V_MF2_E16_MASK, PseudoVFCVT_RM_F_XU_V_MF2_E16, 0x2, false }, // 376
  { PseudoVFCVT_RM_F_XU_V_MF2_E32_MASK, PseudoVFCVT_RM_F_XU_V_MF2_E32, 0x2, false }, // 377
  { PseudoVFCVT_RM_F_XU_V_MF4_E16_MASK, PseudoVFCVT_RM_F_XU_V_MF4_E16, 0x2, false }, // 378
  { PseudoVFCVT_RM_F_X_V_M1_E16_MASK, PseudoVFCVT_RM_F_X_V_M1_E16, 0x2, false }, // 379
  { PseudoVFCVT_RM_F_X_V_M1_E32_MASK, PseudoVFCVT_RM_F_X_V_M1_E32, 0x2, false }, // 380
  { PseudoVFCVT_RM_F_X_V_M1_E64_MASK, PseudoVFCVT_RM_F_X_V_M1_E64, 0x2, false }, // 381
  { PseudoVFCVT_RM_F_X_V_M2_E16_MASK, PseudoVFCVT_RM_F_X_V_M2_E16, 0x2, false }, // 382
  { PseudoVFCVT_RM_F_X_V_M2_E32_MASK, PseudoVFCVT_RM_F_X_V_M2_E32, 0x2, false }, // 383
  { PseudoVFCVT_RM_F_X_V_M2_E64_MASK, PseudoVFCVT_RM_F_X_V_M2_E64, 0x2, false }, // 384
  { PseudoVFCVT_RM_F_X_V_M4_E16_MASK, PseudoVFCVT_RM_F_X_V_M4_E16, 0x2, false }, // 385
  { PseudoVFCVT_RM_F_X_V_M4_E32_MASK, PseudoVFCVT_RM_F_X_V_M4_E32, 0x2, false }, // 386
  { PseudoVFCVT_RM_F_X_V_M4_E64_MASK, PseudoVFCVT_RM_F_X_V_M4_E64, 0x2, false }, // 387
  { PseudoVFCVT_RM_F_X_V_M8_E16_MASK, PseudoVFCVT_RM_F_X_V_M8_E16, 0x2, false }, // 388
  { PseudoVFCVT_RM_F_X_V_M8_E32_MASK, PseudoVFCVT_RM_F_X_V_M8_E32, 0x2, false }, // 389
  { PseudoVFCVT_RM_F_X_V_M8_E64_MASK, PseudoVFCVT_RM_F_X_V_M8_E64, 0x2, false }, // 390
  { PseudoVFCVT_RM_F_X_V_MF2_E16_MASK, PseudoVFCVT_RM_F_X_V_MF2_E16, 0x2, false }, // 391
  { PseudoVFCVT_RM_F_X_V_MF2_E32_MASK, PseudoVFCVT_RM_F_X_V_MF2_E32, 0x2, false }, // 392
  { PseudoVFCVT_RM_F_X_V_MF4_E16_MASK, PseudoVFCVT_RM_F_X_V_MF4_E16, 0x2, false }, // 393
  { PseudoVFCVT_RM_XU_F_V_M1_MASK, PseudoVFCVT_RM_XU_F_V_M1, 0x2, false }, // 394
  { PseudoVFCVT_RM_XU_F_V_M2_MASK, PseudoVFCVT_RM_XU_F_V_M2, 0x2, false }, // 395
  { PseudoVFCVT_RM_XU_F_V_M4_MASK, PseudoVFCVT_RM_XU_F_V_M4, 0x2, false }, // 396
  { PseudoVFCVT_RM_XU_F_V_M8_MASK, PseudoVFCVT_RM_XU_F_V_M8, 0x2, false }, // 397
  { PseudoVFCVT_RM_XU_F_V_MF2_MASK, PseudoVFCVT_RM_XU_F_V_MF2, 0x2, false }, // 398
  { PseudoVFCVT_RM_XU_F_V_MF4_MASK, PseudoVFCVT_RM_XU_F_V_MF4, 0x2, false }, // 399
  { PseudoVFCVT_RM_X_F_V_M1_MASK, PseudoVFCVT_RM_X_F_V_M1, 0x2, false }, // 400
  { PseudoVFCVT_RM_X_F_V_M2_MASK, PseudoVFCVT_RM_X_F_V_M2, 0x2, false }, // 401
  { PseudoVFCVT_RM_X_F_V_M4_MASK, PseudoVFCVT_RM_X_F_V_M4, 0x2, false }, // 402
  { PseudoVFCVT_RM_X_F_V_M8_MASK, PseudoVFCVT_RM_X_F_V_M8, 0x2, false }, // 403
  { PseudoVFCVT_RM_X_F_V_MF2_MASK, PseudoVFCVT_RM_X_F_V_MF2, 0x2, false }, // 404
  { PseudoVFCVT_RM_X_F_V_MF4_MASK, PseudoVFCVT_RM_X_F_V_MF4, 0x2, false }, // 405
  { PseudoVFCVT_RTZ_XU_F_V_M1_MASK, PseudoVFCVT_RTZ_XU_F_V_M1, 0x2, false }, // 406
  { PseudoVFCVT_RTZ_XU_F_V_M2_MASK, PseudoVFCVT_RTZ_XU_F_V_M2, 0x2, false }, // 407
  { PseudoVFCVT_RTZ_XU_F_V_M4_MASK, PseudoVFCVT_RTZ_XU_F_V_M4, 0x2, false }, // 408
  { PseudoVFCVT_RTZ_XU_F_V_M8_MASK, PseudoVFCVT_RTZ_XU_F_V_M8, 0x2, false }, // 409
  { PseudoVFCVT_RTZ_XU_F_V_MF2_MASK, PseudoVFCVT_RTZ_XU_F_V_MF2, 0x2, false }, // 410
  { PseudoVFCVT_RTZ_XU_F_V_MF4_MASK, PseudoVFCVT_RTZ_XU_F_V_MF4, 0x2, false }, // 411
  { PseudoVFCVT_RTZ_X_F_V_M1_MASK, PseudoVFCVT_RTZ_X_F_V_M1, 0x2, false }, // 412
  { PseudoVFCVT_RTZ_X_F_V_M2_MASK, PseudoVFCVT_RTZ_X_F_V_M2, 0x2, false }, // 413
  { PseudoVFCVT_RTZ_X_F_V_M4_MASK, PseudoVFCVT_RTZ_X_F_V_M4, 0x2, false }, // 414
  { PseudoVFCVT_RTZ_X_F_V_M8_MASK, PseudoVFCVT_RTZ_X_F_V_M8, 0x2, false }, // 415
  { PseudoVFCVT_RTZ_X_F_V_MF2_MASK, PseudoVFCVT_RTZ_X_F_V_MF2, 0x2, false }, // 416
  { PseudoVFCVT_RTZ_X_F_V_MF4_MASK, PseudoVFCVT_RTZ_X_F_V_MF4, 0x2, false }, // 417
  { PseudoVFCVT_XU_F_V_M1_MASK, PseudoVFCVT_XU_F_V_M1, 0x2, false }, // 418
  { PseudoVFCVT_XU_F_V_M2_MASK, PseudoVFCVT_XU_F_V_M2, 0x2, false }, // 419
  { PseudoVFCVT_XU_F_V_M4_MASK, PseudoVFCVT_XU_F_V_M4, 0x2, false }, // 420
  { PseudoVFCVT_XU_F_V_M8_MASK, PseudoVFCVT_XU_F_V_M8, 0x2, false }, // 421
  { PseudoVFCVT_XU_F_V_MF2_MASK, PseudoVFCVT_XU_F_V_MF2, 0x2, false }, // 422
  { PseudoVFCVT_XU_F_V_MF4_MASK, PseudoVFCVT_XU_F_V_MF4, 0x2, false }, // 423
  { PseudoVFCVT_X_F_V_M1_MASK, PseudoVFCVT_X_F_V_M1, 0x2, false }, // 424
  { PseudoVFCVT_X_F_V_M2_MASK, PseudoVFCVT_X_F_V_M2, 0x2, false }, // 425
  { PseudoVFCVT_X_F_V_M4_MASK, PseudoVFCVT_X_F_V_M4, 0x2, false }, // 426
  { PseudoVFCVT_X_F_V_M8_MASK, PseudoVFCVT_X_F_V_M8, 0x2, false }, // 427
  { PseudoVFCVT_X_F_V_MF2_MASK, PseudoVFCVT_X_F_V_MF2, 0x2, false }, // 428
  { PseudoVFCVT_X_F_V_MF4_MASK, PseudoVFCVT_X_F_V_MF4, 0x2, false }, // 429
  { PseudoVFDIV_VFPR16_M1_E16_MASK, PseudoVFDIV_VFPR16_M1_E16, 0x3, false }, // 430
  { PseudoVFDIV_VFPR16_M2_E16_MASK, PseudoVFDIV_VFPR16_M2_E16, 0x3, false }, // 431
  { PseudoVFDIV_VFPR16_M4_E16_MASK, PseudoVFDIV_VFPR16_M4_E16, 0x3, false }, // 432
  { PseudoVFDIV_VFPR16_M8_E16_MASK, PseudoVFDIV_VFPR16_M8_E16, 0x3, false }, // 433
  { PseudoVFDIV_VFPR16_MF2_E16_MASK, PseudoVFDIV_VFPR16_MF2_E16, 0x3, false }, // 434
  { PseudoVFDIV_VFPR16_MF4_E16_MASK, PseudoVFDIV_VFPR16_MF4_E16, 0x3, false }, // 435
  { PseudoVFDIV_VFPR32_M1_E32_MASK, PseudoVFDIV_VFPR32_M1_E32, 0x3, false }, // 436
  { PseudoVFDIV_VFPR32_M2_E32_MASK, PseudoVFDIV_VFPR32_M2_E32, 0x3, false }, // 437
  { PseudoVFDIV_VFPR32_M4_E32_MASK, PseudoVFDIV_VFPR32_M4_E32, 0x3, false }, // 438
  { PseudoVFDIV_VFPR32_M8_E32_MASK, PseudoVFDIV_VFPR32_M8_E32, 0x3, false }, // 439
  { PseudoVFDIV_VFPR32_MF2_E32_MASK, PseudoVFDIV_VFPR32_MF2_E32, 0x3, false }, // 440
  { PseudoVFDIV_VFPR64_M1_E64_MASK, PseudoVFDIV_VFPR64_M1_E64, 0x3, false }, // 441
  { PseudoVFDIV_VFPR64_M2_E64_MASK, PseudoVFDIV_VFPR64_M2_E64, 0x3, false }, // 442
  { PseudoVFDIV_VFPR64_M4_E64_MASK, PseudoVFDIV_VFPR64_M4_E64, 0x3, false }, // 443
  { PseudoVFDIV_VFPR64_M8_E64_MASK, PseudoVFDIV_VFPR64_M8_E64, 0x3, false }, // 444
  { PseudoVFDIV_VV_M1_E16_MASK, PseudoVFDIV_VV_M1_E16, 0x3, false }, // 445
  { PseudoVFDIV_VV_M1_E32_MASK, PseudoVFDIV_VV_M1_E32, 0x3, false }, // 446
  { PseudoVFDIV_VV_M1_E64_MASK, PseudoVFDIV_VV_M1_E64, 0x3, false }, // 447
  { PseudoVFDIV_VV_M2_E16_MASK, PseudoVFDIV_VV_M2_E16, 0x3, false }, // 448
  { PseudoVFDIV_VV_M2_E32_MASK, PseudoVFDIV_VV_M2_E32, 0x3, false }, // 449
  { PseudoVFDIV_VV_M2_E64_MASK, PseudoVFDIV_VV_M2_E64, 0x3, false }, // 450
  { PseudoVFDIV_VV_M4_E16_MASK, PseudoVFDIV_VV_M4_E16, 0x3, false }, // 451
  { PseudoVFDIV_VV_M4_E32_MASK, PseudoVFDIV_VV_M4_E32, 0x3, false }, // 452
  { PseudoVFDIV_VV_M4_E64_MASK, PseudoVFDIV_VV_M4_E64, 0x3, false }, // 453
  { PseudoVFDIV_VV_M8_E16_MASK, PseudoVFDIV_VV_M8_E16, 0x3, false }, // 454
  { PseudoVFDIV_VV_M8_E32_MASK, PseudoVFDIV_VV_M8_E32, 0x3, false }, // 455
  { PseudoVFDIV_VV_M8_E64_MASK, PseudoVFDIV_VV_M8_E64, 0x3, false }, // 456
  { PseudoVFDIV_VV_MF2_E16_MASK, PseudoVFDIV_VV_MF2_E16, 0x3, false }, // 457
  { PseudoVFDIV_VV_MF2_E32_MASK, PseudoVFDIV_VV_MF2_E32, 0x3, false }, // 458
  { PseudoVFDIV_VV_MF4_E16_MASK, PseudoVFDIV_VV_MF4_E16, 0x3, false }, // 459
  { PseudoVFMACC_VFPR16_M1_E16_MASK, PseudoVFMACC_VFPR16_M1_E16, 0x3, false }, // 460
  { PseudoVFMACC_VFPR16_M2_E16_MASK, PseudoVFMACC_VFPR16_M2_E16, 0x3, false }, // 461
  { PseudoVFMACC_VFPR16_M4_E16_MASK, PseudoVFMACC_VFPR16_M4_E16, 0x3, false }, // 462
  { PseudoVFMACC_VFPR16_M8_E16_MASK, PseudoVFMACC_VFPR16_M8_E16, 0x3, false }, // 463
  { PseudoVFMACC_VFPR16_MF2_E16_MASK, PseudoVFMACC_VFPR16_MF2_E16, 0x3, false }, // 464
  { PseudoVFMACC_VFPR16_MF4_E16_MASK, PseudoVFMACC_VFPR16_MF4_E16, 0x3, false }, // 465
  { PseudoVFMACC_VFPR32_M1_E32_MASK, PseudoVFMACC_VFPR32_M1_E32, 0x3, false }, // 466
  { PseudoVFMACC_VFPR32_M2_E32_MASK, PseudoVFMACC_VFPR32_M2_E32, 0x3, false }, // 467
  { PseudoVFMACC_VFPR32_M4_E32_MASK, PseudoVFMACC_VFPR32_M4_E32, 0x3, false }, // 468
  { PseudoVFMACC_VFPR32_M8_E32_MASK, PseudoVFMACC_VFPR32_M8_E32, 0x3, false }, // 469
  { PseudoVFMACC_VFPR32_MF2_E32_MASK, PseudoVFMACC_VFPR32_MF2_E32, 0x3, false }, // 470
  { PseudoVFMACC_VFPR64_M1_E64_MASK, PseudoVFMACC_VFPR64_M1_E64, 0x3, false }, // 471
  { PseudoVFMACC_VFPR64_M2_E64_MASK, PseudoVFMACC_VFPR64_M2_E64, 0x3, false }, // 472
  { PseudoVFMACC_VFPR64_M4_E64_MASK, PseudoVFMACC_VFPR64_M4_E64, 0x3, false }, // 473
  { PseudoVFMACC_VFPR64_M8_E64_MASK, PseudoVFMACC_VFPR64_M8_E64, 0x3, false }, // 474
  { PseudoVFMACC_VV_M1_E16_MASK, PseudoVFMACC_VV_M1_E16, 0x3, false }, // 475
  { PseudoVFMACC_VV_M1_E32_MASK, PseudoVFMACC_VV_M1_E32, 0x3, false }, // 476
  { PseudoVFMACC_VV_M1_E64_MASK, PseudoVFMACC_VV_M1_E64, 0x3, false }, // 477
  { PseudoVFMACC_VV_M2_E16_MASK, PseudoVFMACC_VV_M2_E16, 0x3, false }, // 478
  { PseudoVFMACC_VV_M2_E32_MASK, PseudoVFMACC_VV_M2_E32, 0x3, false }, // 479
  { PseudoVFMACC_VV_M2_E64_MASK, PseudoVFMACC_VV_M2_E64, 0x3, false }, // 480
  { PseudoVFMACC_VV_M4_E16_MASK, PseudoVFMACC_VV_M4_E16, 0x3, false }, // 481
  { PseudoVFMACC_VV_M4_E32_MASK, PseudoVFMACC_VV_M4_E32, 0x3, false }, // 482
  { PseudoVFMACC_VV_M4_E64_MASK, PseudoVFMACC_VV_M4_E64, 0x3, false }, // 483
  { PseudoVFMACC_VV_M8_E16_MASK, PseudoVFMACC_VV_M8_E16, 0x3, false }, // 484
  { PseudoVFMACC_VV_M8_E32_MASK, PseudoVFMACC_VV_M8_E32, 0x3, false }, // 485
  { PseudoVFMACC_VV_M8_E64_MASK, PseudoVFMACC_VV_M8_E64, 0x3, false }, // 486
  { PseudoVFMACC_VV_MF2_E16_MASK, PseudoVFMACC_VV_MF2_E16, 0x3, false }, // 487
  { PseudoVFMACC_VV_MF2_E32_MASK, PseudoVFMACC_VV_MF2_E32, 0x3, false }, // 488
  { PseudoVFMACC_VV_MF4_E16_MASK, PseudoVFMACC_VV_MF4_E16, 0x3, false }, // 489
  { PseudoVFMADD_VFPR16_M1_E16_MASK, PseudoVFMADD_VFPR16_M1_E16, 0x3, false }, // 490
  { PseudoVFMADD_VFPR16_M2_E16_MASK, PseudoVFMADD_VFPR16_M2_E16, 0x3, false }, // 491
  { PseudoVFMADD_VFPR16_M4_E16_MASK, PseudoVFMADD_VFPR16_M4_E16, 0x3, false }, // 492
  { PseudoVFMADD_VFPR16_M8_E16_MASK, PseudoVFMADD_VFPR16_M8_E16, 0x3, false }, // 493
  { PseudoVFMADD_VFPR16_MF2_E16_MASK, PseudoVFMADD_VFPR16_MF2_E16, 0x3, false }, // 494
  { PseudoVFMADD_VFPR16_MF4_E16_MASK, PseudoVFMADD_VFPR16_MF4_E16, 0x3, false }, // 495
  { PseudoVFMADD_VFPR32_M1_E32_MASK, PseudoVFMADD_VFPR32_M1_E32, 0x3, false }, // 496
  { PseudoVFMADD_VFPR32_M2_E32_MASK, PseudoVFMADD_VFPR32_M2_E32, 0x3, false }, // 497
  { PseudoVFMADD_VFPR32_M4_E32_MASK, PseudoVFMADD_VFPR32_M4_E32, 0x3, false }, // 498
  { PseudoVFMADD_VFPR32_M8_E32_MASK, PseudoVFMADD_VFPR32_M8_E32, 0x3, false }, // 499
  { PseudoVFMADD_VFPR32_MF2_E32_MASK, PseudoVFMADD_VFPR32_MF2_E32, 0x3, false }, // 500
  { PseudoVFMADD_VFPR64_M1_E64_MASK, PseudoVFMADD_VFPR64_M1_E64, 0x3, false }, // 501
  { PseudoVFMADD_VFPR64_M2_E64_MASK, PseudoVFMADD_VFPR64_M2_E64, 0x3, false }, // 502
  { PseudoVFMADD_VFPR64_M4_E64_MASK, PseudoVFMADD_VFPR64_M4_E64, 0x3, false }, // 503
  { PseudoVFMADD_VFPR64_M8_E64_MASK, PseudoVFMADD_VFPR64_M8_E64, 0x3, false }, // 504
  { PseudoVFMADD_VV_M1_E16_MASK, PseudoVFMADD_VV_M1_E16, 0x3, false }, // 505
  { PseudoVFMADD_VV_M1_E32_MASK, PseudoVFMADD_VV_M1_E32, 0x3, false }, // 506
  { PseudoVFMADD_VV_M1_E64_MASK, PseudoVFMADD_VV_M1_E64, 0x3, false }, // 507
  { PseudoVFMADD_VV_M2_E16_MASK, PseudoVFMADD_VV_M2_E16, 0x3, false }, // 508
  { PseudoVFMADD_VV_M2_E32_MASK, PseudoVFMADD_VV_M2_E32, 0x3, false }, // 509
  { PseudoVFMADD_VV_M2_E64_MASK, PseudoVFMADD_VV_M2_E64, 0x3, false }, // 510
  { PseudoVFMADD_VV_M4_E16_MASK, PseudoVFMADD_VV_M4_E16, 0x3, false }, // 511
  { PseudoVFMADD_VV_M4_E32_MASK, PseudoVFMADD_VV_M4_E32, 0x3, false }, // 512
  { PseudoVFMADD_VV_M4_E64_MASK, PseudoVFMADD_VV_M4_E64, 0x3, false }, // 513
  { PseudoVFMADD_VV_M8_E16_MASK, PseudoVFMADD_VV_M8_E16, 0x3, false }, // 514
  { PseudoVFMADD_VV_M8_E32_MASK, PseudoVFMADD_VV_M8_E32, 0x3, false }, // 515
  { PseudoVFMADD_VV_M8_E64_MASK, PseudoVFMADD_VV_M8_E64, 0x3, false }, // 516
  { PseudoVFMADD_VV_MF2_E16_MASK, PseudoVFMADD_VV_MF2_E16, 0x3, false }, // 517
  { PseudoVFMADD_VV_MF2_E32_MASK, PseudoVFMADD_VV_MF2_E32, 0x3, false }, // 518
  { PseudoVFMADD_VV_MF4_E16_MASK, PseudoVFMADD_VV_MF4_E16, 0x3, false }, // 519
  { PseudoVFMAX_VFPR16_M1_E16_MASK, PseudoVFMAX_VFPR16_M1_E16, 0x3, false }, // 520
  { PseudoVFMAX_VFPR16_M2_E16_MASK, PseudoVFMAX_VFPR16_M2_E16, 0x3, false }, // 521
  { PseudoVFMAX_VFPR16_M4_E16_MASK, PseudoVFMAX_VFPR16_M4_E16, 0x3, false }, // 522
  { PseudoVFMAX_VFPR16_M8_E16_MASK, PseudoVFMAX_VFPR16_M8_E16, 0x3, false }, // 523
  { PseudoVFMAX_VFPR16_MF2_E16_MASK, PseudoVFMAX_VFPR16_MF2_E16, 0x3, false }, // 524
  { PseudoVFMAX_VFPR16_MF4_E16_MASK, PseudoVFMAX_VFPR16_MF4_E16, 0x3, false }, // 525
  { PseudoVFMAX_VFPR32_M1_E32_MASK, PseudoVFMAX_VFPR32_M1_E32, 0x3, false }, // 526
  { PseudoVFMAX_VFPR32_M2_E32_MASK, PseudoVFMAX_VFPR32_M2_E32, 0x3, false }, // 527
  { PseudoVFMAX_VFPR32_M4_E32_MASK, PseudoVFMAX_VFPR32_M4_E32, 0x3, false }, // 528
  { PseudoVFMAX_VFPR32_M8_E32_MASK, PseudoVFMAX_VFPR32_M8_E32, 0x3, false }, // 529
  { PseudoVFMAX_VFPR32_MF2_E32_MASK, PseudoVFMAX_VFPR32_MF2_E32, 0x3, false }, // 530
  { PseudoVFMAX_VFPR64_M1_E64_MASK, PseudoVFMAX_VFPR64_M1_E64, 0x3, false }, // 531
  { PseudoVFMAX_VFPR64_M2_E64_MASK, PseudoVFMAX_VFPR64_M2_E64, 0x3, false }, // 532
  { PseudoVFMAX_VFPR64_M4_E64_MASK, PseudoVFMAX_VFPR64_M4_E64, 0x3, false }, // 533
  { PseudoVFMAX_VFPR64_M8_E64_MASK, PseudoVFMAX_VFPR64_M8_E64, 0x3, false }, // 534
  { PseudoVFMAX_VV_M1_E16_MASK, PseudoVFMAX_VV_M1_E16, 0x3, false }, // 535
  { PseudoVFMAX_VV_M1_E32_MASK, PseudoVFMAX_VV_M1_E32, 0x3, false }, // 536
  { PseudoVFMAX_VV_M1_E64_MASK, PseudoVFMAX_VV_M1_E64, 0x3, false }, // 537
  { PseudoVFMAX_VV_M2_E16_MASK, PseudoVFMAX_VV_M2_E16, 0x3, false }, // 538
  { PseudoVFMAX_VV_M2_E32_MASK, PseudoVFMAX_VV_M2_E32, 0x3, false }, // 539
  { PseudoVFMAX_VV_M2_E64_MASK, PseudoVFMAX_VV_M2_E64, 0x3, false }, // 540
  { PseudoVFMAX_VV_M4_E16_MASK, PseudoVFMAX_VV_M4_E16, 0x3, false }, // 541
  { PseudoVFMAX_VV_M4_E32_MASK, PseudoVFMAX_VV_M4_E32, 0x3, false }, // 542
  { PseudoVFMAX_VV_M4_E64_MASK, PseudoVFMAX_VV_M4_E64, 0x3, false }, // 543
  { PseudoVFMAX_VV_M8_E16_MASK, PseudoVFMAX_VV_M8_E16, 0x3, false }, // 544
  { PseudoVFMAX_VV_M8_E32_MASK, PseudoVFMAX_VV_M8_E32, 0x3, false }, // 545
  { PseudoVFMAX_VV_M8_E64_MASK, PseudoVFMAX_VV_M8_E64, 0x3, false }, // 546
  { PseudoVFMAX_VV_MF2_E16_MASK, PseudoVFMAX_VV_MF2_E16, 0x3, false }, // 547
  { PseudoVFMAX_VV_MF2_E32_MASK, PseudoVFMAX_VV_MF2_E32, 0x3, false }, // 548
  { PseudoVFMAX_VV_MF4_E16_MASK, PseudoVFMAX_VV_MF4_E16, 0x3, false }, // 549
  { PseudoVFMIN_VFPR16_M1_E16_MASK, PseudoVFMIN_VFPR16_M1_E16, 0x3, false }, // 550
  { PseudoVFMIN_VFPR16_M2_E16_MASK, PseudoVFMIN_VFPR16_M2_E16, 0x3, false }, // 551
  { PseudoVFMIN_VFPR16_M4_E16_MASK, PseudoVFMIN_VFPR16_M4_E16, 0x3, false }, // 552
  { PseudoVFMIN_VFPR16_M8_E16_MASK, PseudoVFMIN_VFPR16_M8_E16, 0x3, false }, // 553
  { PseudoVFMIN_VFPR16_MF2_E16_MASK, PseudoVFMIN_VFPR16_MF2_E16, 0x3, false }, // 554
  { PseudoVFMIN_VFPR16_MF4_E16_MASK, PseudoVFMIN_VFPR16_MF4_E16, 0x3, false }, // 555
  { PseudoVFMIN_VFPR32_M1_E32_MASK, PseudoVFMIN_VFPR32_M1_E32, 0x3, false }, // 556
  { PseudoVFMIN_VFPR32_M2_E32_MASK, PseudoVFMIN_VFPR32_M2_E32, 0x3, false }, // 557
  { PseudoVFMIN_VFPR32_M4_E32_MASK, PseudoVFMIN_VFPR32_M4_E32, 0x3, false }, // 558
  { PseudoVFMIN_VFPR32_M8_E32_MASK, PseudoVFMIN_VFPR32_M8_E32, 0x3, false }, // 559
  { PseudoVFMIN_VFPR32_MF2_E32_MASK, PseudoVFMIN_VFPR32_MF2_E32, 0x3, false }, // 560
  { PseudoVFMIN_VFPR64_M1_E64_MASK, PseudoVFMIN_VFPR64_M1_E64, 0x3, false }, // 561
  { PseudoVFMIN_VFPR64_M2_E64_MASK, PseudoVFMIN_VFPR64_M2_E64, 0x3, false }, // 562
  { PseudoVFMIN_VFPR64_M4_E64_MASK, PseudoVFMIN_VFPR64_M4_E64, 0x3, false }, // 563
  { PseudoVFMIN_VFPR64_M8_E64_MASK, PseudoVFMIN_VFPR64_M8_E64, 0x3, false }, // 564
  { PseudoVFMIN_VV_M1_E16_MASK, PseudoVFMIN_VV_M1_E16, 0x3, false }, // 565
  { PseudoVFMIN_VV_M1_E32_MASK, PseudoVFMIN_VV_M1_E32, 0x3, false }, // 566
  { PseudoVFMIN_VV_M1_E64_MASK, PseudoVFMIN_VV_M1_E64, 0x3, false }, // 567
  { PseudoVFMIN_VV_M2_E16_MASK, PseudoVFMIN_VV_M2_E16, 0x3, false }, // 568
  { PseudoVFMIN_VV_M2_E32_MASK, PseudoVFMIN_VV_M2_E32, 0x3, false }, // 569
  { PseudoVFMIN_VV_M2_E64_MASK, PseudoVFMIN_VV_M2_E64, 0x3, false }, // 570
  { PseudoVFMIN_VV_M4_E16_MASK, PseudoVFMIN_VV_M4_E16, 0x3, false }, // 571
  { PseudoVFMIN_VV_M4_E32_MASK, PseudoVFMIN_VV_M4_E32, 0x3, false }, // 572
  { PseudoVFMIN_VV_M4_E64_MASK, PseudoVFMIN_VV_M4_E64, 0x3, false }, // 573
  { PseudoVFMIN_VV_M8_E16_MASK, PseudoVFMIN_VV_M8_E16, 0x3, false }, // 574
  { PseudoVFMIN_VV_M8_E32_MASK, PseudoVFMIN_VV_M8_E32, 0x3, false }, // 575
  { PseudoVFMIN_VV_M8_E64_MASK, PseudoVFMIN_VV_M8_E64, 0x3, false }, // 576
  { PseudoVFMIN_VV_MF2_E16_MASK, PseudoVFMIN_VV_MF2_E16, 0x3, false }, // 577
  { PseudoVFMIN_VV_MF2_E32_MASK, PseudoVFMIN_VV_MF2_E32, 0x3, false }, // 578
  { PseudoVFMIN_VV_MF4_E16_MASK, PseudoVFMIN_VV_MF4_E16, 0x3, false }, // 579
  { PseudoVFMSAC_VFPR16_M1_E16_MASK, PseudoVFMSAC_VFPR16_M1_E16, 0x3, false }, // 580
  { PseudoVFMSAC_VFPR16_M2_E16_MASK, PseudoVFMSAC_VFPR16_M2_E16, 0x3, false }, // 581
  { PseudoVFMSAC_VFPR16_M4_E16_MASK, PseudoVFMSAC_VFPR16_M4_E16, 0x3, false }, // 582
  { PseudoVFMSAC_VFPR16_M8_E16_MASK, PseudoVFMSAC_VFPR16_M8_E16, 0x3, false }, // 583
  { PseudoVFMSAC_VFPR16_MF2_E16_MASK, PseudoVFMSAC_VFPR16_MF2_E16, 0x3, false }, // 584
  { PseudoVFMSAC_VFPR16_MF4_E16_MASK, PseudoVFMSAC_VFPR16_MF4_E16, 0x3, false }, // 585
  { PseudoVFMSAC_VFPR32_M1_E32_MASK, PseudoVFMSAC_VFPR32_M1_E32, 0x3, false }, // 586
  { PseudoVFMSAC_VFPR32_M2_E32_MASK, PseudoVFMSAC_VFPR32_M2_E32, 0x3, false }, // 587
  { PseudoVFMSAC_VFPR32_M4_E32_MASK, PseudoVFMSAC_VFPR32_M4_E32, 0x3, false }, // 588
  { PseudoVFMSAC_VFPR32_M8_E32_MASK, PseudoVFMSAC_VFPR32_M8_E32, 0x3, false }, // 589
  { PseudoVFMSAC_VFPR32_MF2_E32_MASK, PseudoVFMSAC_VFPR32_MF2_E32, 0x3, false }, // 590
  { PseudoVFMSAC_VFPR64_M1_E64_MASK, PseudoVFMSAC_VFPR64_M1_E64, 0x3, false }, // 591
  { PseudoVFMSAC_VFPR64_M2_E64_MASK, PseudoVFMSAC_VFPR64_M2_E64, 0x3, false }, // 592
  { PseudoVFMSAC_VFPR64_M4_E64_MASK, PseudoVFMSAC_VFPR64_M4_E64, 0x3, false }, // 593
  { PseudoVFMSAC_VFPR64_M8_E64_MASK, PseudoVFMSAC_VFPR64_M8_E64, 0x3, false }, // 594
  { PseudoVFMSAC_VV_M1_E16_MASK, PseudoVFMSAC_VV_M1_E16, 0x3, false }, // 595
  { PseudoVFMSAC_VV_M1_E32_MASK, PseudoVFMSAC_VV_M1_E32, 0x3, false }, // 596
  { PseudoVFMSAC_VV_M1_E64_MASK, PseudoVFMSAC_VV_M1_E64, 0x3, false }, // 597
  { PseudoVFMSAC_VV_M2_E16_MASK, PseudoVFMSAC_VV_M2_E16, 0x3, false }, // 598
  { PseudoVFMSAC_VV_M2_E32_MASK, PseudoVFMSAC_VV_M2_E32, 0x3, false }, // 599
  { PseudoVFMSAC_VV_M2_E64_MASK, PseudoVFMSAC_VV_M2_E64, 0x3, false }, // 600
  { PseudoVFMSAC_VV_M4_E16_MASK, PseudoVFMSAC_VV_M4_E16, 0x3, false }, // 601
  { PseudoVFMSAC_VV_M4_E32_MASK, PseudoVFMSAC_VV_M4_E32, 0x3, false }, // 602
  { PseudoVFMSAC_VV_M4_E64_MASK, PseudoVFMSAC_VV_M4_E64, 0x3, false }, // 603
  { PseudoVFMSAC_VV_M8_E16_MASK, PseudoVFMSAC_VV_M8_E16, 0x3, false }, // 604
  { PseudoVFMSAC_VV_M8_E32_MASK, PseudoVFMSAC_VV_M8_E32, 0x3, false }, // 605
  { PseudoVFMSAC_VV_M8_E64_MASK, PseudoVFMSAC_VV_M8_E64, 0x3, false }, // 606
  { PseudoVFMSAC_VV_MF2_E16_MASK, PseudoVFMSAC_VV_MF2_E16, 0x3, false }, // 607
  { PseudoVFMSAC_VV_MF2_E32_MASK, PseudoVFMSAC_VV_MF2_E32, 0x3, false }, // 608
  { PseudoVFMSAC_VV_MF4_E16_MASK, PseudoVFMSAC_VV_MF4_E16, 0x3, false }, // 609
  { PseudoVFMSUB_VFPR16_M1_E16_MASK, PseudoVFMSUB_VFPR16_M1_E16, 0x3, false }, // 610
  { PseudoVFMSUB_VFPR16_M2_E16_MASK, PseudoVFMSUB_VFPR16_M2_E16, 0x3, false }, // 611
  { PseudoVFMSUB_VFPR16_M4_E16_MASK, PseudoVFMSUB_VFPR16_M4_E16, 0x3, false }, // 612
  { PseudoVFMSUB_VFPR16_M8_E16_MASK, PseudoVFMSUB_VFPR16_M8_E16, 0x3, false }, // 613
  { PseudoVFMSUB_VFPR16_MF2_E16_MASK, PseudoVFMSUB_VFPR16_MF2_E16, 0x3, false }, // 614
  { PseudoVFMSUB_VFPR16_MF4_E16_MASK, PseudoVFMSUB_VFPR16_MF4_E16, 0x3, false }, // 615
  { PseudoVFMSUB_VFPR32_M1_E32_MASK, PseudoVFMSUB_VFPR32_M1_E32, 0x3, false }, // 616
  { PseudoVFMSUB_VFPR32_M2_E32_MASK, PseudoVFMSUB_VFPR32_M2_E32, 0x3, false }, // 617
  { PseudoVFMSUB_VFPR32_M4_E32_MASK, PseudoVFMSUB_VFPR32_M4_E32, 0x3, false }, // 618
  { PseudoVFMSUB_VFPR32_M8_E32_MASK, PseudoVFMSUB_VFPR32_M8_E32, 0x3, false }, // 619
  { PseudoVFMSUB_VFPR32_MF2_E32_MASK, PseudoVFMSUB_VFPR32_MF2_E32, 0x3, false }, // 620
  { PseudoVFMSUB_VFPR64_M1_E64_MASK, PseudoVFMSUB_VFPR64_M1_E64, 0x3, false }, // 621
  { PseudoVFMSUB_VFPR64_M2_E64_MASK, PseudoVFMSUB_VFPR64_M2_E64, 0x3, false }, // 622
  { PseudoVFMSUB_VFPR64_M4_E64_MASK, PseudoVFMSUB_VFPR64_M4_E64, 0x3, false }, // 623
  { PseudoVFMSUB_VFPR64_M8_E64_MASK, PseudoVFMSUB_VFPR64_M8_E64, 0x3, false }, // 624
  { PseudoVFMSUB_VV_M1_E16_MASK, PseudoVFMSUB_VV_M1_E16, 0x3, false }, // 625
  { PseudoVFMSUB_VV_M1_E32_MASK, PseudoVFMSUB_VV_M1_E32, 0x3, false }, // 626
  { PseudoVFMSUB_VV_M1_E64_MASK, PseudoVFMSUB_VV_M1_E64, 0x3, false }, // 627
  { PseudoVFMSUB_VV_M2_E16_MASK, PseudoVFMSUB_VV_M2_E16, 0x3, false }, // 628
  { PseudoVFMSUB_VV_M2_E32_MASK, PseudoVFMSUB_VV_M2_E32, 0x3, false }, // 629
  { PseudoVFMSUB_VV_M2_E64_MASK, PseudoVFMSUB_VV_M2_E64, 0x3, false }, // 630
  { PseudoVFMSUB_VV_M4_E16_MASK, PseudoVFMSUB_VV_M4_E16, 0x3, false }, // 631
  { PseudoVFMSUB_VV_M4_E32_MASK, PseudoVFMSUB_VV_M4_E32, 0x3, false }, // 632
  { PseudoVFMSUB_VV_M4_E64_MASK, PseudoVFMSUB_VV_M4_E64, 0x3, false }, // 633
  { PseudoVFMSUB_VV_M8_E16_MASK, PseudoVFMSUB_VV_M8_E16, 0x3, false }, // 634
  { PseudoVFMSUB_VV_M8_E32_MASK, PseudoVFMSUB_VV_M8_E32, 0x3, false }, // 635
  { PseudoVFMSUB_VV_M8_E64_MASK, PseudoVFMSUB_VV_M8_E64, 0x3, false }, // 636
  { PseudoVFMSUB_VV_MF2_E16_MASK, PseudoVFMSUB_VV_MF2_E16, 0x3, false }, // 637
  { PseudoVFMSUB_VV_MF2_E32_MASK, PseudoVFMSUB_VV_MF2_E32, 0x3, false }, // 638
  { PseudoVFMSUB_VV_MF4_E16_MASK, PseudoVFMSUB_VV_MF4_E16, 0x3, false }, // 639
  { PseudoVFMUL_VFPR16_M1_E16_MASK, PseudoVFMUL_VFPR16_M1_E16, 0x3, false }, // 640
  { PseudoVFMUL_VFPR16_M2_E16_MASK, PseudoVFMUL_VFPR16_M2_E16, 0x3, false }, // 641
  { PseudoVFMUL_VFPR16_M4_E16_MASK, PseudoVFMUL_VFPR16_M4_E16, 0x3, false }, // 642
  { PseudoVFMUL_VFPR16_M8_E16_MASK, PseudoVFMUL_VFPR16_M8_E16, 0x3, false }, // 643
  { PseudoVFMUL_VFPR16_MF2_E16_MASK, PseudoVFMUL_VFPR16_MF2_E16, 0x3, false }, // 644
  { PseudoVFMUL_VFPR16_MF4_E16_MASK, PseudoVFMUL_VFPR16_MF4_E16, 0x3, false }, // 645
  { PseudoVFMUL_VFPR32_M1_E32_MASK, PseudoVFMUL_VFPR32_M1_E32, 0x3, false }, // 646
  { PseudoVFMUL_VFPR32_M2_E32_MASK, PseudoVFMUL_VFPR32_M2_E32, 0x3, false }, // 647
  { PseudoVFMUL_VFPR32_M4_E32_MASK, PseudoVFMUL_VFPR32_M4_E32, 0x3, false }, // 648
  { PseudoVFMUL_VFPR32_M8_E32_MASK, PseudoVFMUL_VFPR32_M8_E32, 0x3, false }, // 649
  { PseudoVFMUL_VFPR32_MF2_E32_MASK, PseudoVFMUL_VFPR32_MF2_E32, 0x3, false }, // 650
  { PseudoVFMUL_VFPR64_M1_E64_MASK, PseudoVFMUL_VFPR64_M1_E64, 0x3, false }, // 651
  { PseudoVFMUL_VFPR64_M2_E64_MASK, PseudoVFMUL_VFPR64_M2_E64, 0x3, false }, // 652
  { PseudoVFMUL_VFPR64_M4_E64_MASK, PseudoVFMUL_VFPR64_M4_E64, 0x3, false }, // 653
  { PseudoVFMUL_VFPR64_M8_E64_MASK, PseudoVFMUL_VFPR64_M8_E64, 0x3, false }, // 654
  { PseudoVFMUL_VV_M1_E16_MASK, PseudoVFMUL_VV_M1_E16, 0x3, false }, // 655
  { PseudoVFMUL_VV_M1_E32_MASK, PseudoVFMUL_VV_M1_E32, 0x3, false }, // 656
  { PseudoVFMUL_VV_M1_E64_MASK, PseudoVFMUL_VV_M1_E64, 0x3, false }, // 657
  { PseudoVFMUL_VV_M2_E16_MASK, PseudoVFMUL_VV_M2_E16, 0x3, false }, // 658
  { PseudoVFMUL_VV_M2_E32_MASK, PseudoVFMUL_VV_M2_E32, 0x3, false }, // 659
  { PseudoVFMUL_VV_M2_E64_MASK, PseudoVFMUL_VV_M2_E64, 0x3, false }, // 660
  { PseudoVFMUL_VV_M4_E16_MASK, PseudoVFMUL_VV_M4_E16, 0x3, false }, // 661
  { PseudoVFMUL_VV_M4_E32_MASK, PseudoVFMUL_VV_M4_E32, 0x3, false }, // 662
  { PseudoVFMUL_VV_M4_E64_MASK, PseudoVFMUL_VV_M4_E64, 0x3, false }, // 663
  { PseudoVFMUL_VV_M8_E16_MASK, PseudoVFMUL_VV_M8_E16, 0x3, false }, // 664
  { PseudoVFMUL_VV_M8_E32_MASK, PseudoVFMUL_VV_M8_E32, 0x3, false }, // 665
  { PseudoVFMUL_VV_M8_E64_MASK, PseudoVFMUL_VV_M8_E64, 0x3, false }, // 666
  { PseudoVFMUL_VV_MF2_E16_MASK, PseudoVFMUL_VV_MF2_E16, 0x3, false }, // 667
  { PseudoVFMUL_VV_MF2_E32_MASK, PseudoVFMUL_VV_MF2_E32, 0x3, false }, // 668
  { PseudoVFMUL_VV_MF4_E16_MASK, PseudoVFMUL_VV_MF4_E16, 0x3, false }, // 669
  { PseudoVFNCVTBF16_F_F_W_M1_E16_MASK, PseudoVFNCVTBF16_F_F_W_M1_E16, 0x2, false }, // 670
  { PseudoVFNCVTBF16_F_F_W_M1_E32_MASK, PseudoVFNCVTBF16_F_F_W_M1_E32, 0x2, false }, // 671
  { PseudoVFNCVTBF16_F_F_W_M2_E16_MASK, PseudoVFNCVTBF16_F_F_W_M2_E16, 0x2, false }, // 672
  { PseudoVFNCVTBF16_F_F_W_M2_E32_MASK, PseudoVFNCVTBF16_F_F_W_M2_E32, 0x2, false }, // 673
  { PseudoVFNCVTBF16_F_F_W_M4_E16_MASK, PseudoVFNCVTBF16_F_F_W_M4_E16, 0x2, false }, // 674
  { PseudoVFNCVTBF16_F_F_W_M4_E32_MASK, PseudoVFNCVTBF16_F_F_W_M4_E32, 0x2, false }, // 675
  { PseudoVFNCVTBF16_F_F_W_MF2_E16_MASK, PseudoVFNCVTBF16_F_F_W_MF2_E16, 0x2, false }, // 676
  { PseudoVFNCVTBF16_F_F_W_MF2_E32_MASK, PseudoVFNCVTBF16_F_F_W_MF2_E32, 0x2, false }, // 677
  { PseudoVFNCVTBF16_F_F_W_MF4_E16_MASK, PseudoVFNCVTBF16_F_F_W_MF4_E16, 0x2, false }, // 678
  { PseudoVFNCVT_F_F_W_M1_E16_MASK, PseudoVFNCVT_F_F_W_M1_E16, 0x2, false }, // 679
  { PseudoVFNCVT_F_F_W_M1_E32_MASK, PseudoVFNCVT_F_F_W_M1_E32, 0x2, false }, // 680
  { PseudoVFNCVT_F_F_W_M2_E16_MASK, PseudoVFNCVT_F_F_W_M2_E16, 0x2, false }, // 681
  { PseudoVFNCVT_F_F_W_M2_E32_MASK, PseudoVFNCVT_F_F_W_M2_E32, 0x2, false }, // 682
  { PseudoVFNCVT_F_F_W_M4_E16_MASK, PseudoVFNCVT_F_F_W_M4_E16, 0x2, false }, // 683
  { PseudoVFNCVT_F_F_W_M4_E32_MASK, PseudoVFNCVT_F_F_W_M4_E32, 0x2, false }, // 684
  { PseudoVFNCVT_F_F_W_MF2_E16_MASK, PseudoVFNCVT_F_F_W_MF2_E16, 0x2, false }, // 685
  { PseudoVFNCVT_F_F_W_MF2_E32_MASK, PseudoVFNCVT_F_F_W_MF2_E32, 0x2, false }, // 686
  { PseudoVFNCVT_F_F_W_MF4_E16_MASK, PseudoVFNCVT_F_F_W_MF4_E16, 0x2, false }, // 687
  { PseudoVFNCVT_F_XU_W_M1_E16_MASK, PseudoVFNCVT_F_XU_W_M1_E16, 0x2, false }, // 688
  { PseudoVFNCVT_F_XU_W_M1_E32_MASK, PseudoVFNCVT_F_XU_W_M1_E32, 0x2, false }, // 689
  { PseudoVFNCVT_F_XU_W_M2_E16_MASK, PseudoVFNCVT_F_XU_W_M2_E16, 0x2, false }, // 690
  { PseudoVFNCVT_F_XU_W_M2_E32_MASK, PseudoVFNCVT_F_XU_W_M2_E32, 0x2, false }, // 691
  { PseudoVFNCVT_F_XU_W_M4_E16_MASK, PseudoVFNCVT_F_XU_W_M4_E16, 0x2, false }, // 692
  { PseudoVFNCVT_F_XU_W_M4_E32_MASK, PseudoVFNCVT_F_XU_W_M4_E32, 0x2, false }, // 693
  { PseudoVFNCVT_F_XU_W_MF2_E16_MASK, PseudoVFNCVT_F_XU_W_MF2_E16, 0x2, false }, // 694
  { PseudoVFNCVT_F_XU_W_MF2_E32_MASK, PseudoVFNCVT_F_XU_W_MF2_E32, 0x2, false }, // 695
  { PseudoVFNCVT_F_XU_W_MF4_E16_MASK, PseudoVFNCVT_F_XU_W_MF4_E16, 0x2, false }, // 696
  { PseudoVFNCVT_F_X_W_M1_E16_MASK, PseudoVFNCVT_F_X_W_M1_E16, 0x2, false }, // 697
  { PseudoVFNCVT_F_X_W_M1_E32_MASK, PseudoVFNCVT_F_X_W_M1_E32, 0x2, false }, // 698
  { PseudoVFNCVT_F_X_W_M2_E16_MASK, PseudoVFNCVT_F_X_W_M2_E16, 0x2, false }, // 699
  { PseudoVFNCVT_F_X_W_M2_E32_MASK, PseudoVFNCVT_F_X_W_M2_E32, 0x2, false }, // 700
  { PseudoVFNCVT_F_X_W_M4_E16_MASK, PseudoVFNCVT_F_X_W_M4_E16, 0x2, false }, // 701
  { PseudoVFNCVT_F_X_W_M4_E32_MASK, PseudoVFNCVT_F_X_W_M4_E32, 0x2, false }, // 702
  { PseudoVFNCVT_F_X_W_MF2_E16_MASK, PseudoVFNCVT_F_X_W_MF2_E16, 0x2, false }, // 703
  { PseudoVFNCVT_F_X_W_MF2_E32_MASK, PseudoVFNCVT_F_X_W_MF2_E32, 0x2, false }, // 704
  { PseudoVFNCVT_F_X_W_MF4_E16_MASK, PseudoVFNCVT_F_X_W_MF4_E16, 0x2, false }, // 705
  { PseudoVFNCVT_RM_F_XU_W_M1_E16_MASK, PseudoVFNCVT_RM_F_XU_W_M1_E16, 0x2, false }, // 706
  { PseudoVFNCVT_RM_F_XU_W_M1_E32_MASK, PseudoVFNCVT_RM_F_XU_W_M1_E32, 0x2, false }, // 707
  { PseudoVFNCVT_RM_F_XU_W_M2_E16_MASK, PseudoVFNCVT_RM_F_XU_W_M2_E16, 0x2, false }, // 708
  { PseudoVFNCVT_RM_F_XU_W_M2_E32_MASK, PseudoVFNCVT_RM_F_XU_W_M2_E32, 0x2, false }, // 709
  { PseudoVFNCVT_RM_F_XU_W_M4_E16_MASK, PseudoVFNCVT_RM_F_XU_W_M4_E16, 0x2, false }, // 710
  { PseudoVFNCVT_RM_F_XU_W_M4_E32_MASK, PseudoVFNCVT_RM_F_XU_W_M4_E32, 0x2, false }, // 711
  { PseudoVFNCVT_RM_F_XU_W_MF2_E16_MASK, PseudoVFNCVT_RM_F_XU_W_MF2_E16, 0x2, false }, // 712
  { PseudoVFNCVT_RM_F_XU_W_MF2_E32_MASK, PseudoVFNCVT_RM_F_XU_W_MF2_E32, 0x2, false }, // 713
  { PseudoVFNCVT_RM_F_XU_W_MF4_E16_MASK, PseudoVFNCVT_RM_F_XU_W_MF4_E16, 0x2, false }, // 714
  { PseudoVFNCVT_RM_F_X_W_M1_E16_MASK, PseudoVFNCVT_RM_F_X_W_M1_E16, 0x2, false }, // 715
  { PseudoVFNCVT_RM_F_X_W_M1_E32_MASK, PseudoVFNCVT_RM_F_X_W_M1_E32, 0x2, false }, // 716
  { PseudoVFNCVT_RM_F_X_W_M2_E16_MASK, PseudoVFNCVT_RM_F_X_W_M2_E16, 0x2, false }, // 717
  { PseudoVFNCVT_RM_F_X_W_M2_E32_MASK, PseudoVFNCVT_RM_F_X_W_M2_E32, 0x2, false }, // 718
  { PseudoVFNCVT_RM_F_X_W_M4_E16_MASK, PseudoVFNCVT_RM_F_X_W_M4_E16, 0x2, false }, // 719
  { PseudoVFNCVT_RM_F_X_W_M4_E32_MASK, PseudoVFNCVT_RM_F_X_W_M4_E32, 0x2, false }, // 720
  { PseudoVFNCVT_RM_F_X_W_MF2_E16_MASK, PseudoVFNCVT_RM_F_X_W_MF2_E16, 0x2, false }, // 721
  { PseudoVFNCVT_RM_F_X_W_MF2_E32_MASK, PseudoVFNCVT_RM_F_X_W_MF2_E32, 0x2, false }, // 722
  { PseudoVFNCVT_RM_F_X_W_MF4_E16_MASK, PseudoVFNCVT_RM_F_X_W_MF4_E16, 0x2, false }, // 723
  { PseudoVFNCVT_RM_XU_F_W_M1_MASK, PseudoVFNCVT_RM_XU_F_W_M1, 0x2, false }, // 724
  { PseudoVFNCVT_RM_XU_F_W_M2_MASK, PseudoVFNCVT_RM_XU_F_W_M2, 0x2, false }, // 725
  { PseudoVFNCVT_RM_XU_F_W_M4_MASK, PseudoVFNCVT_RM_XU_F_W_M4, 0x2, false }, // 726
  { PseudoVFNCVT_RM_XU_F_W_MF2_MASK, PseudoVFNCVT_RM_XU_F_W_MF2, 0x2, false }, // 727
  { PseudoVFNCVT_RM_XU_F_W_MF4_MASK, PseudoVFNCVT_RM_XU_F_W_MF4, 0x2, false }, // 728
  { PseudoVFNCVT_RM_XU_F_W_MF8_MASK, PseudoVFNCVT_RM_XU_F_W_MF8, 0x2, false }, // 729
  { PseudoVFNCVT_RM_X_F_W_M1_MASK, PseudoVFNCVT_RM_X_F_W_M1, 0x2, false }, // 730
  { PseudoVFNCVT_RM_X_F_W_M2_MASK, PseudoVFNCVT_RM_X_F_W_M2, 0x2, false }, // 731
  { PseudoVFNCVT_RM_X_F_W_M4_MASK, PseudoVFNCVT_RM_X_F_W_M4, 0x2, false }, // 732
  { PseudoVFNCVT_RM_X_F_W_MF2_MASK, PseudoVFNCVT_RM_X_F_W_MF2, 0x2, false }, // 733
  { PseudoVFNCVT_RM_X_F_W_MF4_MASK, PseudoVFNCVT_RM_X_F_W_MF4, 0x2, false }, // 734
  { PseudoVFNCVT_RM_X_F_W_MF8_MASK, PseudoVFNCVT_RM_X_F_W_MF8, 0x2, false }, // 735
  { PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK, PseudoVFNCVT_ROD_F_F_W_M1_E16, 0x2, false }, // 736
  { PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK, PseudoVFNCVT_ROD_F_F_W_M1_E32, 0x2, false }, // 737
  { PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK, PseudoVFNCVT_ROD_F_F_W_M2_E16, 0x2, false }, // 738
  { PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK, PseudoVFNCVT_ROD_F_F_W_M2_E32, 0x2, false }, // 739
  { PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK, PseudoVFNCVT_ROD_F_F_W_M4_E16, 0x2, false }, // 740
  { PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK, PseudoVFNCVT_ROD_F_F_W_M4_E32, 0x2, false }, // 741
  { PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK, PseudoVFNCVT_ROD_F_F_W_MF2_E16, 0x2, false }, // 742
  { PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK, PseudoVFNCVT_ROD_F_F_W_MF2_E32, 0x2, false }, // 743
  { PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK, PseudoVFNCVT_ROD_F_F_W_MF4_E16, 0x2, false }, // 744
  { PseudoVFNCVT_RTZ_XU_F_W_M1_MASK, PseudoVFNCVT_RTZ_XU_F_W_M1, 0x2, false }, // 745
  { PseudoVFNCVT_RTZ_XU_F_W_M2_MASK, PseudoVFNCVT_RTZ_XU_F_W_M2, 0x2, false }, // 746
  { PseudoVFNCVT_RTZ_XU_F_W_M4_MASK, PseudoVFNCVT_RTZ_XU_F_W_M4, 0x2, false }, // 747
  { PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK, PseudoVFNCVT_RTZ_XU_F_W_MF2, 0x2, false }, // 748
  { PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK, PseudoVFNCVT_RTZ_XU_F_W_MF4, 0x2, false }, // 749
  { PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK, PseudoVFNCVT_RTZ_XU_F_W_MF8, 0x2, false }, // 750
  { PseudoVFNCVT_RTZ_X_F_W_M1_MASK, PseudoVFNCVT_RTZ_X_F_W_M1, 0x2, false }, // 751
  { PseudoVFNCVT_RTZ_X_F_W_M2_MASK, PseudoVFNCVT_RTZ_X_F_W_M2, 0x2, false }, // 752
  { PseudoVFNCVT_RTZ_X_F_W_M4_MASK, PseudoVFNCVT_RTZ_X_F_W_M4, 0x2, false }, // 753
  { PseudoVFNCVT_RTZ_X_F_W_MF2_MASK, PseudoVFNCVT_RTZ_X_F_W_MF2, 0x2, false }, // 754
  { PseudoVFNCVT_RTZ_X_F_W_MF4_MASK, PseudoVFNCVT_RTZ_X_F_W_MF4, 0x2, false }, // 755
  { PseudoVFNCVT_RTZ_X_F_W_MF8_MASK, PseudoVFNCVT_RTZ_X_F_W_MF8, 0x2, false }, // 756
  { PseudoVFNCVT_XU_F_W_M1_MASK, PseudoVFNCVT_XU_F_W_M1, 0x2, false }, // 757
  { PseudoVFNCVT_XU_F_W_M2_MASK, PseudoVFNCVT_XU_F_W_M2, 0x2, false }, // 758
  { PseudoVFNCVT_XU_F_W_M4_MASK, PseudoVFNCVT_XU_F_W_M4, 0x2, false }, // 759
  { PseudoVFNCVT_XU_F_W_MF2_MASK, PseudoVFNCVT_XU_F_W_MF2, 0x2, false }, // 760
  { PseudoVFNCVT_XU_F_W_MF4_MASK, PseudoVFNCVT_XU_F_W_MF4, 0x2, false }, // 761
  { PseudoVFNCVT_XU_F_W_MF8_MASK, PseudoVFNCVT_XU_F_W_MF8, 0x2, false }, // 762
  { PseudoVFNCVT_X_F_W_M1_MASK, PseudoVFNCVT_X_F_W_M1, 0x2, false }, // 763
  { PseudoVFNCVT_X_F_W_M2_MASK, PseudoVFNCVT_X_F_W_M2, 0x2, false }, // 764
  { PseudoVFNCVT_X_F_W_M4_MASK, PseudoVFNCVT_X_F_W_M4, 0x2, false }, // 765
  { PseudoVFNCVT_X_F_W_MF2_MASK, PseudoVFNCVT_X_F_W_MF2, 0x2, false }, // 766
  { PseudoVFNCVT_X_F_W_MF4_MASK, PseudoVFNCVT_X_F_W_MF4, 0x2, false }, // 767
  { PseudoVFNCVT_X_F_W_MF8_MASK, PseudoVFNCVT_X_F_W_MF8, 0x2, false }, // 768
  { PseudoVFNMACC_VFPR16_M1_E16_MASK, PseudoVFNMACC_VFPR16_M1_E16, 0x3, false }, // 769
  { PseudoVFNMACC_VFPR16_M2_E16_MASK, PseudoVFNMACC_VFPR16_M2_E16, 0x3, false }, // 770
  { PseudoVFNMACC_VFPR16_M4_E16_MASK, PseudoVFNMACC_VFPR16_M4_E16, 0x3, false }, // 771
  { PseudoVFNMACC_VFPR16_M8_E16_MASK, PseudoVFNMACC_VFPR16_M8_E16, 0x3, false }, // 772
  { PseudoVFNMACC_VFPR16_MF2_E16_MASK, PseudoVFNMACC_VFPR16_MF2_E16, 0x3, false }, // 773
  { PseudoVFNMACC_VFPR16_MF4_E16_MASK, PseudoVFNMACC_VFPR16_MF4_E16, 0x3, false }, // 774
  { PseudoVFNMACC_VFPR32_M1_E32_MASK, PseudoVFNMACC_VFPR32_M1_E32, 0x3, false }, // 775
  { PseudoVFNMACC_VFPR32_M2_E32_MASK, PseudoVFNMACC_VFPR32_M2_E32, 0x3, false }, // 776
  { PseudoVFNMACC_VFPR32_M4_E32_MASK, PseudoVFNMACC_VFPR32_M4_E32, 0x3, false }, // 777
  { PseudoVFNMACC_VFPR32_M8_E32_MASK, PseudoVFNMACC_VFPR32_M8_E32, 0x3, false }, // 778
  { PseudoVFNMACC_VFPR32_MF2_E32_MASK, PseudoVFNMACC_VFPR32_MF2_E32, 0x3, false }, // 779
  { PseudoVFNMACC_VFPR64_M1_E64_MASK, PseudoVFNMACC_VFPR64_M1_E64, 0x3, false }, // 780
  { PseudoVFNMACC_VFPR64_M2_E64_MASK, PseudoVFNMACC_VFPR64_M2_E64, 0x3, false }, // 781
  { PseudoVFNMACC_VFPR64_M4_E64_MASK, PseudoVFNMACC_VFPR64_M4_E64, 0x3, false }, // 782
  { PseudoVFNMACC_VFPR64_M8_E64_MASK, PseudoVFNMACC_VFPR64_M8_E64, 0x3, false }, // 783
  { PseudoVFNMACC_VV_M1_E16_MASK, PseudoVFNMACC_VV_M1_E16, 0x3, false }, // 784
  { PseudoVFNMACC_VV_M1_E32_MASK, PseudoVFNMACC_VV_M1_E32, 0x3, false }, // 785
  { PseudoVFNMACC_VV_M1_E64_MASK, PseudoVFNMACC_VV_M1_E64, 0x3, false }, // 786
  { PseudoVFNMACC_VV_M2_E16_MASK, PseudoVFNMACC_VV_M2_E16, 0x3, false }, // 787
  { PseudoVFNMACC_VV_M2_E32_MASK, PseudoVFNMACC_VV_M2_E32, 0x3, false }, // 788
  { PseudoVFNMACC_VV_M2_E64_MASK, PseudoVFNMACC_VV_M2_E64, 0x3, false }, // 789
  { PseudoVFNMACC_VV_M4_E16_MASK, PseudoVFNMACC_VV_M4_E16, 0x3, false }, // 790
  { PseudoVFNMACC_VV_M4_E32_MASK, PseudoVFNMACC_VV_M4_E32, 0x3, false }, // 791
  { PseudoVFNMACC_VV_M4_E64_MASK, PseudoVFNMACC_VV_M4_E64, 0x3, false }, // 792
  { PseudoVFNMACC_VV_M8_E16_MASK, PseudoVFNMACC_VV_M8_E16, 0x3, false }, // 793
  { PseudoVFNMACC_VV_M8_E32_MASK, PseudoVFNMACC_VV_M8_E32, 0x3, false }, // 794
  { PseudoVFNMACC_VV_M8_E64_MASK, PseudoVFNMACC_VV_M8_E64, 0x3, false }, // 795
  { PseudoVFNMACC_VV_MF2_E16_MASK, PseudoVFNMACC_VV_MF2_E16, 0x3, false }, // 796
  { PseudoVFNMACC_VV_MF2_E32_MASK, PseudoVFNMACC_VV_MF2_E32, 0x3, false }, // 797
  { PseudoVFNMACC_VV_MF4_E16_MASK, PseudoVFNMACC_VV_MF4_E16, 0x3, false }, // 798
  { PseudoVFNMADD_VFPR16_M1_E16_MASK, PseudoVFNMADD_VFPR16_M1_E16, 0x3, false }, // 799
  { PseudoVFNMADD_VFPR16_M2_E16_MASK, PseudoVFNMADD_VFPR16_M2_E16, 0x3, false }, // 800
  { PseudoVFNMADD_VFPR16_M4_E16_MASK, PseudoVFNMADD_VFPR16_M4_E16, 0x3, false }, // 801
  { PseudoVFNMADD_VFPR16_M8_E16_MASK, PseudoVFNMADD_VFPR16_M8_E16, 0x3, false }, // 802
  { PseudoVFNMADD_VFPR16_MF2_E16_MASK, PseudoVFNMADD_VFPR16_MF2_E16, 0x3, false }, // 803
  { PseudoVFNMADD_VFPR16_MF4_E16_MASK, PseudoVFNMADD_VFPR16_MF4_E16, 0x3, false }, // 804
  { PseudoVFNMADD_VFPR32_M1_E32_MASK, PseudoVFNMADD_VFPR32_M1_E32, 0x3, false }, // 805
  { PseudoVFNMADD_VFPR32_M2_E32_MASK, PseudoVFNMADD_VFPR32_M2_E32, 0x3, false }, // 806
  { PseudoVFNMADD_VFPR32_M4_E32_MASK, PseudoVFNMADD_VFPR32_M4_E32, 0x3, false }, // 807
  { PseudoVFNMADD_VFPR32_M8_E32_MASK, PseudoVFNMADD_VFPR32_M8_E32, 0x3, false }, // 808
  { PseudoVFNMADD_VFPR32_MF2_E32_MASK, PseudoVFNMADD_VFPR32_MF2_E32, 0x3, false }, // 809
  { PseudoVFNMADD_VFPR64_M1_E64_MASK, PseudoVFNMADD_VFPR64_M1_E64, 0x3, false }, // 810
  { PseudoVFNMADD_VFPR64_M2_E64_MASK, PseudoVFNMADD_VFPR64_M2_E64, 0x3, false }, // 811
  { PseudoVFNMADD_VFPR64_M4_E64_MASK, PseudoVFNMADD_VFPR64_M4_E64, 0x3, false }, // 812
  { PseudoVFNMADD_VFPR64_M8_E64_MASK, PseudoVFNMADD_VFPR64_M8_E64, 0x3, false }, // 813
  { PseudoVFNMADD_VV_M1_E16_MASK, PseudoVFNMADD_VV_M1_E16, 0x3, false }, // 814
  { PseudoVFNMADD_VV_M1_E32_MASK, PseudoVFNMADD_VV_M1_E32, 0x3, false }, // 815
  { PseudoVFNMADD_VV_M1_E64_MASK, PseudoVFNMADD_VV_M1_E64, 0x3, false }, // 816
  { PseudoVFNMADD_VV_M2_E16_MASK, PseudoVFNMADD_VV_M2_E16, 0x3, false }, // 817
  { PseudoVFNMADD_VV_M2_E32_MASK, PseudoVFNMADD_VV_M2_E32, 0x3, false }, // 818
  { PseudoVFNMADD_VV_M2_E64_MASK, PseudoVFNMADD_VV_M2_E64, 0x3, false }, // 819
  { PseudoVFNMADD_VV_M4_E16_MASK, PseudoVFNMADD_VV_M4_E16, 0x3, false }, // 820
  { PseudoVFNMADD_VV_M4_E32_MASK, PseudoVFNMADD_VV_M4_E32, 0x3, false }, // 821
  { PseudoVFNMADD_VV_M4_E64_MASK, PseudoVFNMADD_VV_M4_E64, 0x3, false }, // 822
  { PseudoVFNMADD_VV_M8_E16_MASK, PseudoVFNMADD_VV_M8_E16, 0x3, false }, // 823
  { PseudoVFNMADD_VV_M8_E32_MASK, PseudoVFNMADD_VV_M8_E32, 0x3, false }, // 824
  { PseudoVFNMADD_VV_M8_E64_MASK, PseudoVFNMADD_VV_M8_E64, 0x3, false }, // 825
  { PseudoVFNMADD_VV_MF2_E16_MASK, PseudoVFNMADD_VV_MF2_E16, 0x3, false }, // 826
  { PseudoVFNMADD_VV_MF2_E32_MASK, PseudoVFNMADD_VV_MF2_E32, 0x3, false }, // 827
  { PseudoVFNMADD_VV_MF4_E16_MASK, PseudoVFNMADD_VV_MF4_E16, 0x3, false }, // 828
  { PseudoVFNMSAC_VFPR16_M1_E16_MASK, PseudoVFNMSAC_VFPR16_M1_E16, 0x3, false }, // 829
  { PseudoVFNMSAC_VFPR16_M2_E16_MASK, PseudoVFNMSAC_VFPR16_M2_E16, 0x3, false }, // 830
  { PseudoVFNMSAC_VFPR16_M4_E16_MASK, PseudoVFNMSAC_VFPR16_M4_E16, 0x3, false }, // 831
  { PseudoVFNMSAC_VFPR16_M8_E16_MASK, PseudoVFNMSAC_VFPR16_M8_E16, 0x3, false }, // 832
  { PseudoVFNMSAC_VFPR16_MF2_E16_MASK, PseudoVFNMSAC_VFPR16_MF2_E16, 0x3, false }, // 833
  { PseudoVFNMSAC_VFPR16_MF4_E16_MASK, PseudoVFNMSAC_VFPR16_MF4_E16, 0x3, false }, // 834
  { PseudoVFNMSAC_VFPR32_M1_E32_MASK, PseudoVFNMSAC_VFPR32_M1_E32, 0x3, false }, // 835
  { PseudoVFNMSAC_VFPR32_M2_E32_MASK, PseudoVFNMSAC_VFPR32_M2_E32, 0x3, false }, // 836
  { PseudoVFNMSAC_VFPR32_M4_E32_MASK, PseudoVFNMSAC_VFPR32_M4_E32, 0x3, false }, // 837
  { PseudoVFNMSAC_VFPR32_M8_E32_MASK, PseudoVFNMSAC_VFPR32_M8_E32, 0x3, false }, // 838
  { PseudoVFNMSAC_VFPR32_MF2_E32_MASK, PseudoVFNMSAC_VFPR32_MF2_E32, 0x3, false }, // 839
  { PseudoVFNMSAC_VFPR64_M1_E64_MASK, PseudoVFNMSAC_VFPR64_M1_E64, 0x3, false }, // 840
  { PseudoVFNMSAC_VFPR64_M2_E64_MASK, PseudoVFNMSAC_VFPR64_M2_E64, 0x3, false }, // 841
  { PseudoVFNMSAC_VFPR64_M4_E64_MASK, PseudoVFNMSAC_VFPR64_M4_E64, 0x3, false }, // 842
  { PseudoVFNMSAC_VFPR64_M8_E64_MASK, PseudoVFNMSAC_VFPR64_M8_E64, 0x3, false }, // 843
  { PseudoVFNMSAC_VV_M1_E16_MASK, PseudoVFNMSAC_VV_M1_E16, 0x3, false }, // 844
  { PseudoVFNMSAC_VV_M1_E32_MASK, PseudoVFNMSAC_VV_M1_E32, 0x3, false }, // 845
  { PseudoVFNMSAC_VV_M1_E64_MASK, PseudoVFNMSAC_VV_M1_E64, 0x3, false }, // 846
  { PseudoVFNMSAC_VV_M2_E16_MASK, PseudoVFNMSAC_VV_M2_E16, 0x3, false }, // 847
  { PseudoVFNMSAC_VV_M2_E32_MASK, PseudoVFNMSAC_VV_M2_E32, 0x3, false }, // 848
  { PseudoVFNMSAC_VV_M2_E64_MASK, PseudoVFNMSAC_VV_M2_E64, 0x3, false }, // 849
  { PseudoVFNMSAC_VV_M4_E16_MASK, PseudoVFNMSAC_VV_M4_E16, 0x3, false }, // 850
  { PseudoVFNMSAC_VV_M4_E32_MASK, PseudoVFNMSAC_VV_M4_E32, 0x3, false }, // 851
  { PseudoVFNMSAC_VV_M4_E64_MASK, PseudoVFNMSAC_VV_M4_E64, 0x3, false }, // 852
  { PseudoVFNMSAC_VV_M8_E16_MASK, PseudoVFNMSAC_VV_M8_E16, 0x3, false }, // 853
  { PseudoVFNMSAC_VV_M8_E32_MASK, PseudoVFNMSAC_VV_M8_E32, 0x3, false }, // 854
  { PseudoVFNMSAC_VV_M8_E64_MASK, PseudoVFNMSAC_VV_M8_E64, 0x3, false }, // 855
  { PseudoVFNMSAC_VV_MF2_E16_MASK, PseudoVFNMSAC_VV_MF2_E16, 0x3, false }, // 856
  { PseudoVFNMSAC_VV_MF2_E32_MASK, PseudoVFNMSAC_VV_MF2_E32, 0x3, false }, // 857
  { PseudoVFNMSAC_VV_MF4_E16_MASK, PseudoVFNMSAC_VV_MF4_E16, 0x3, false }, // 858
  { PseudoVFNMSUB_VFPR16_M1_E16_MASK, PseudoVFNMSUB_VFPR16_M1_E16, 0x3, false }, // 859
  { PseudoVFNMSUB_VFPR16_M2_E16_MASK, PseudoVFNMSUB_VFPR16_M2_E16, 0x3, false }, // 860
  { PseudoVFNMSUB_VFPR16_M4_E16_MASK, PseudoVFNMSUB_VFPR16_M4_E16, 0x3, false }, // 861
  { PseudoVFNMSUB_VFPR16_M8_E16_MASK, PseudoVFNMSUB_VFPR16_M8_E16, 0x3, false }, // 862
  { PseudoVFNMSUB_VFPR16_MF2_E16_MASK, PseudoVFNMSUB_VFPR16_MF2_E16, 0x3, false }, // 863
  { PseudoVFNMSUB_VFPR16_MF4_E16_MASK, PseudoVFNMSUB_VFPR16_MF4_E16, 0x3, false }, // 864
  { PseudoVFNMSUB_VFPR32_M1_E32_MASK, PseudoVFNMSUB_VFPR32_M1_E32, 0x3, false }, // 865
  { PseudoVFNMSUB_VFPR32_M2_E32_MASK, PseudoVFNMSUB_VFPR32_M2_E32, 0x3, false }, // 866
  { PseudoVFNMSUB_VFPR32_M4_E32_MASK, PseudoVFNMSUB_VFPR32_M4_E32, 0x3, false }, // 867
  { PseudoVFNMSUB_VFPR32_M8_E32_MASK, PseudoVFNMSUB_VFPR32_M8_E32, 0x3, false }, // 868
  { PseudoVFNMSUB_VFPR32_MF2_E32_MASK, PseudoVFNMSUB_VFPR32_MF2_E32, 0x3, false }, // 869
  { PseudoVFNMSUB_VFPR64_M1_E64_MASK, PseudoVFNMSUB_VFPR64_M1_E64, 0x3, false }, // 870
  { PseudoVFNMSUB_VFPR64_M2_E64_MASK, PseudoVFNMSUB_VFPR64_M2_E64, 0x3, false }, // 871
  { PseudoVFNMSUB_VFPR64_M4_E64_MASK, PseudoVFNMSUB_VFPR64_M4_E64, 0x3, false }, // 872
  { PseudoVFNMSUB_VFPR64_M8_E64_MASK, PseudoVFNMSUB_VFPR64_M8_E64, 0x3, false }, // 873
  { PseudoVFNMSUB_VV_M1_E16_MASK, PseudoVFNMSUB_VV_M1_E16, 0x3, false }, // 874
  { PseudoVFNMSUB_VV_M1_E32_MASK, PseudoVFNMSUB_VV_M1_E32, 0x3, false }, // 875
  { PseudoVFNMSUB_VV_M1_E64_MASK, PseudoVFNMSUB_VV_M1_E64, 0x3, false }, // 876
  { PseudoVFNMSUB_VV_M2_E16_MASK, PseudoVFNMSUB_VV_M2_E16, 0x3, false }, // 877
  { PseudoVFNMSUB_VV_M2_E32_MASK, PseudoVFNMSUB_VV_M2_E32, 0x3, false }, // 878
  { PseudoVFNMSUB_VV_M2_E64_MASK, PseudoVFNMSUB_VV_M2_E64, 0x3, false }, // 879
  { PseudoVFNMSUB_VV_M4_E16_MASK, PseudoVFNMSUB_VV_M4_E16, 0x3, false }, // 880
  { PseudoVFNMSUB_VV_M4_E32_MASK, PseudoVFNMSUB_VV_M4_E32, 0x3, false }, // 881
  { PseudoVFNMSUB_VV_M4_E64_MASK, PseudoVFNMSUB_VV_M4_E64, 0x3, false }, // 882
  { PseudoVFNMSUB_VV_M8_E16_MASK, PseudoVFNMSUB_VV_M8_E16, 0x3, false }, // 883
  { PseudoVFNMSUB_VV_M8_E32_MASK, PseudoVFNMSUB_VV_M8_E32, 0x3, false }, // 884
  { PseudoVFNMSUB_VV_M8_E64_MASK, PseudoVFNMSUB_VV_M8_E64, 0x3, false }, // 885
  { PseudoVFNMSUB_VV_MF2_E16_MASK, PseudoVFNMSUB_VV_MF2_E16, 0x3, false }, // 886
  { PseudoVFNMSUB_VV_MF2_E32_MASK, PseudoVFNMSUB_VV_MF2_E32, 0x3, false }, // 887
  { PseudoVFNMSUB_VV_MF4_E16_MASK, PseudoVFNMSUB_VV_MF4_E16, 0x3, false }, // 888
  { PseudoVFNRCLIP_XU_F_QF_M1_MASK, PseudoVFNRCLIP_XU_F_QF_M1, 0x3, false }, // 889
  { PseudoVFNRCLIP_XU_F_QF_M2_MASK, PseudoVFNRCLIP_XU_F_QF_M2, 0x3, false }, // 890
  { PseudoVFNRCLIP_XU_F_QF_MF2_MASK, PseudoVFNRCLIP_XU_F_QF_MF2, 0x3, false }, // 891
  { PseudoVFNRCLIP_XU_F_QF_MF4_MASK, PseudoVFNRCLIP_XU_F_QF_MF4, 0x3, false }, // 892
  { PseudoVFNRCLIP_XU_F_QF_MF8_MASK, PseudoVFNRCLIP_XU_F_QF_MF8, 0x3, false }, // 893
  { PseudoVFNRCLIP_X_F_QF_M1_MASK, PseudoVFNRCLIP_X_F_QF_M1, 0x3, false }, // 894
  { PseudoVFNRCLIP_X_F_QF_M2_MASK, PseudoVFNRCLIP_X_F_QF_M2, 0x3, false }, // 895
  { PseudoVFNRCLIP_X_F_QF_MF2_MASK, PseudoVFNRCLIP_X_F_QF_MF2, 0x3, false }, // 896
  { PseudoVFNRCLIP_X_F_QF_MF4_MASK, PseudoVFNRCLIP_X_F_QF_MF4, 0x3, false }, // 897
  { PseudoVFNRCLIP_X_F_QF_MF8_MASK, PseudoVFNRCLIP_X_F_QF_MF8, 0x3, false }, // 898
  { PseudoVFRDIV_VFPR16_M1_E16_MASK, PseudoVFRDIV_VFPR16_M1_E16, 0x3, false }, // 899
  { PseudoVFRDIV_VFPR16_M2_E16_MASK, PseudoVFRDIV_VFPR16_M2_E16, 0x3, false }, // 900
  { PseudoVFRDIV_VFPR16_M4_E16_MASK, PseudoVFRDIV_VFPR16_M4_E16, 0x3, false }, // 901
  { PseudoVFRDIV_VFPR16_M8_E16_MASK, PseudoVFRDIV_VFPR16_M8_E16, 0x3, false }, // 902
  { PseudoVFRDIV_VFPR16_MF2_E16_MASK, PseudoVFRDIV_VFPR16_MF2_E16, 0x3, false }, // 903
  { PseudoVFRDIV_VFPR16_MF4_E16_MASK, PseudoVFRDIV_VFPR16_MF4_E16, 0x3, false }, // 904
  { PseudoVFRDIV_VFPR32_M1_E32_MASK, PseudoVFRDIV_VFPR32_M1_E32, 0x3, false }, // 905
  { PseudoVFRDIV_VFPR32_M2_E32_MASK, PseudoVFRDIV_VFPR32_M2_E32, 0x3, false }, // 906
  { PseudoVFRDIV_VFPR32_M4_E32_MASK, PseudoVFRDIV_VFPR32_M4_E32, 0x3, false }, // 907
  { PseudoVFRDIV_VFPR32_M8_E32_MASK, PseudoVFRDIV_VFPR32_M8_E32, 0x3, false }, // 908
  { PseudoVFRDIV_VFPR32_MF2_E32_MASK, PseudoVFRDIV_VFPR32_MF2_E32, 0x3, false }, // 909
  { PseudoVFRDIV_VFPR64_M1_E64_MASK, PseudoVFRDIV_VFPR64_M1_E64, 0x3, false }, // 910
  { PseudoVFRDIV_VFPR64_M2_E64_MASK, PseudoVFRDIV_VFPR64_M2_E64, 0x3, false }, // 911
  { PseudoVFRDIV_VFPR64_M4_E64_MASK, PseudoVFRDIV_VFPR64_M4_E64, 0x3, false }, // 912
  { PseudoVFRDIV_VFPR64_M8_E64_MASK, PseudoVFRDIV_VFPR64_M8_E64, 0x3, false }, // 913
  { PseudoVFREC7_V_M1_E16_MASK, PseudoVFREC7_V_M1_E16, 0x2, false }, // 914
  { PseudoVFREC7_V_M1_E32_MASK, PseudoVFREC7_V_M1_E32, 0x2, false }, // 915
  { PseudoVFREC7_V_M1_E64_MASK, PseudoVFREC7_V_M1_E64, 0x2, false }, // 916
  { PseudoVFREC7_V_M2_E16_MASK, PseudoVFREC7_V_M2_E16, 0x2, false }, // 917
  { PseudoVFREC7_V_M2_E32_MASK, PseudoVFREC7_V_M2_E32, 0x2, false }, // 918
  { PseudoVFREC7_V_M2_E64_MASK, PseudoVFREC7_V_M2_E64, 0x2, false }, // 919
  { PseudoVFREC7_V_M4_E16_MASK, PseudoVFREC7_V_M4_E16, 0x2, false }, // 920
  { PseudoVFREC7_V_M4_E32_MASK, PseudoVFREC7_V_M4_E32, 0x2, false }, // 921
  { PseudoVFREC7_V_M4_E64_MASK, PseudoVFREC7_V_M4_E64, 0x2, false }, // 922
  { PseudoVFREC7_V_M8_E16_MASK, PseudoVFREC7_V_M8_E16, 0x2, false }, // 923
  { PseudoVFREC7_V_M8_E32_MASK, PseudoVFREC7_V_M8_E32, 0x2, false }, // 924
  { PseudoVFREC7_V_M8_E64_MASK, PseudoVFREC7_V_M8_E64, 0x2, false }, // 925
  { PseudoVFREC7_V_MF2_E16_MASK, PseudoVFREC7_V_MF2_E16, 0x2, false }, // 926
  { PseudoVFREC7_V_MF2_E32_MASK, PseudoVFREC7_V_MF2_E32, 0x2, false }, // 927
  { PseudoVFREC7_V_MF4_E16_MASK, PseudoVFREC7_V_MF4_E16, 0x2, false }, // 928
  { PseudoVFREDMAX_VS_M1_E16_MASK, PseudoVFREDMAX_VS_M1_E16, 0x3, true }, // 929
  { PseudoVFREDMAX_VS_M1_E32_MASK, PseudoVFREDMAX_VS_M1_E32, 0x3, true }, // 930
  { PseudoVFREDMAX_VS_M1_E64_MASK, PseudoVFREDMAX_VS_M1_E64, 0x3, true }, // 931
  { PseudoVFREDMAX_VS_M2_E16_MASK, PseudoVFREDMAX_VS_M2_E16, 0x3, true }, // 932
  { PseudoVFREDMAX_VS_M2_E32_MASK, PseudoVFREDMAX_VS_M2_E32, 0x3, true }, // 933
  { PseudoVFREDMAX_VS_M2_E64_MASK, PseudoVFREDMAX_VS_M2_E64, 0x3, true }, // 934
  { PseudoVFREDMAX_VS_M4_E16_MASK, PseudoVFREDMAX_VS_M4_E16, 0x3, true }, // 935
  { PseudoVFREDMAX_VS_M4_E32_MASK, PseudoVFREDMAX_VS_M4_E32, 0x3, true }, // 936
  { PseudoVFREDMAX_VS_M4_E64_MASK, PseudoVFREDMAX_VS_M4_E64, 0x3, true }, // 937
  { PseudoVFREDMAX_VS_M8_E16_MASK, PseudoVFREDMAX_VS_M8_E16, 0x3, true }, // 938
  { PseudoVFREDMAX_VS_M8_E32_MASK, PseudoVFREDMAX_VS_M8_E32, 0x3, true }, // 939
  { PseudoVFREDMAX_VS_M8_E64_MASK, PseudoVFREDMAX_VS_M8_E64, 0x3, true }, // 940
  { PseudoVFREDMAX_VS_MF2_E16_MASK, PseudoVFREDMAX_VS_MF2_E16, 0x3, true }, // 941
  { PseudoVFREDMAX_VS_MF2_E32_MASK, PseudoVFREDMAX_VS_MF2_E32, 0x3, true }, // 942
  { PseudoVFREDMAX_VS_MF4_E16_MASK, PseudoVFREDMAX_VS_MF4_E16, 0x3, true }, // 943
  { PseudoVFREDMIN_VS_M1_E16_MASK, PseudoVFREDMIN_VS_M1_E16, 0x3, true }, // 944
  { PseudoVFREDMIN_VS_M1_E32_MASK, PseudoVFREDMIN_VS_M1_E32, 0x3, true }, // 945
  { PseudoVFREDMIN_VS_M1_E64_MASK, PseudoVFREDMIN_VS_M1_E64, 0x3, true }, // 946
  { PseudoVFREDMIN_VS_M2_E16_MASK, PseudoVFREDMIN_VS_M2_E16, 0x3, true }, // 947
  { PseudoVFREDMIN_VS_M2_E32_MASK, PseudoVFREDMIN_VS_M2_E32, 0x3, true }, // 948
  { PseudoVFREDMIN_VS_M2_E64_MASK, PseudoVFREDMIN_VS_M2_E64, 0x3, true }, // 949
  { PseudoVFREDMIN_VS_M4_E16_MASK, PseudoVFREDMIN_VS_M4_E16, 0x3, true }, // 950
  { PseudoVFREDMIN_VS_M4_E32_MASK, PseudoVFREDMIN_VS_M4_E32, 0x3, true }, // 951
  { PseudoVFREDMIN_VS_M4_E64_MASK, PseudoVFREDMIN_VS_M4_E64, 0x3, true }, // 952
  { PseudoVFREDMIN_VS_M8_E16_MASK, PseudoVFREDMIN_VS_M8_E16, 0x3, true }, // 953
  { PseudoVFREDMIN_VS_M8_E32_MASK, PseudoVFREDMIN_VS_M8_E32, 0x3, true }, // 954
  { PseudoVFREDMIN_VS_M8_E64_MASK, PseudoVFREDMIN_VS_M8_E64, 0x3, true }, // 955
  { PseudoVFREDMIN_VS_MF2_E16_MASK, PseudoVFREDMIN_VS_MF2_E16, 0x3, true }, // 956
  { PseudoVFREDMIN_VS_MF2_E32_MASK, PseudoVFREDMIN_VS_MF2_E32, 0x3, true }, // 957
  { PseudoVFREDMIN_VS_MF4_E16_MASK, PseudoVFREDMIN_VS_MF4_E16, 0x3, true }, // 958
  { PseudoVFREDOSUM_VS_M1_E16_MASK, PseudoVFREDOSUM_VS_M1_E16, 0x3, true }, // 959
  { PseudoVFREDOSUM_VS_M1_E32_MASK, PseudoVFREDOSUM_VS_M1_E32, 0x3, true }, // 960
  { PseudoVFREDOSUM_VS_M1_E64_MASK, PseudoVFREDOSUM_VS_M1_E64, 0x3, true }, // 961
  { PseudoVFREDOSUM_VS_M2_E16_MASK, PseudoVFREDOSUM_VS_M2_E16, 0x3, true }, // 962
  { PseudoVFREDOSUM_VS_M2_E32_MASK, PseudoVFREDOSUM_VS_M2_E32, 0x3, true }, // 963
  { PseudoVFREDOSUM_VS_M2_E64_MASK, PseudoVFREDOSUM_VS_M2_E64, 0x3, true }, // 964
  { PseudoVFREDOSUM_VS_M4_E16_MASK, PseudoVFREDOSUM_VS_M4_E16, 0x3, true }, // 965
  { PseudoVFREDOSUM_VS_M4_E32_MASK, PseudoVFREDOSUM_VS_M4_E32, 0x3, true }, // 966
  { PseudoVFREDOSUM_VS_M4_E64_MASK, PseudoVFREDOSUM_VS_M4_E64, 0x3, true }, // 967
  { PseudoVFREDOSUM_VS_M8_E16_MASK, PseudoVFREDOSUM_VS_M8_E16, 0x3, true }, // 968
  { PseudoVFREDOSUM_VS_M8_E32_MASK, PseudoVFREDOSUM_VS_M8_E32, 0x3, true }, // 969
  { PseudoVFREDOSUM_VS_M8_E64_MASK, PseudoVFREDOSUM_VS_M8_E64, 0x3, true }, // 970
  { PseudoVFREDOSUM_VS_MF2_E16_MASK, PseudoVFREDOSUM_VS_MF2_E16, 0x3, true }, // 971
  { PseudoVFREDOSUM_VS_MF2_E32_MASK, PseudoVFREDOSUM_VS_MF2_E32, 0x3, true }, // 972
  { PseudoVFREDOSUM_VS_MF4_E16_MASK, PseudoVFREDOSUM_VS_MF4_E16, 0x3, true }, // 973
  { PseudoVFREDUSUM_VS_M1_E16_MASK, PseudoVFREDUSUM_VS_M1_E16, 0x3, true }, // 974
  { PseudoVFREDUSUM_VS_M1_E32_MASK, PseudoVFREDUSUM_VS_M1_E32, 0x3, true }, // 975
  { PseudoVFREDUSUM_VS_M1_E64_MASK, PseudoVFREDUSUM_VS_M1_E64, 0x3, true }, // 976
  { PseudoVFREDUSUM_VS_M2_E16_MASK, PseudoVFREDUSUM_VS_M2_E16, 0x3, true }, // 977
  { PseudoVFREDUSUM_VS_M2_E32_MASK, PseudoVFREDUSUM_VS_M2_E32, 0x3, true }, // 978
  { PseudoVFREDUSUM_VS_M2_E64_MASK, PseudoVFREDUSUM_VS_M2_E64, 0x3, true }, // 979
  { PseudoVFREDUSUM_VS_M4_E16_MASK, PseudoVFREDUSUM_VS_M4_E16, 0x3, true }, // 980
  { PseudoVFREDUSUM_VS_M4_E32_MASK, PseudoVFREDUSUM_VS_M4_E32, 0x3, true }, // 981
  { PseudoVFREDUSUM_VS_M4_E64_MASK, PseudoVFREDUSUM_VS_M4_E64, 0x3, true }, // 982
  { PseudoVFREDUSUM_VS_M8_E16_MASK, PseudoVFREDUSUM_VS_M8_E16, 0x3, true }, // 983
  { PseudoVFREDUSUM_VS_M8_E32_MASK, PseudoVFREDUSUM_VS_M8_E32, 0x3, true }, // 984
  { PseudoVFREDUSUM_VS_M8_E64_MASK, PseudoVFREDUSUM_VS_M8_E64, 0x3, true }, // 985
  { PseudoVFREDUSUM_VS_MF2_E16_MASK, PseudoVFREDUSUM_VS_MF2_E16, 0x3, true }, // 986
  { PseudoVFREDUSUM_VS_MF2_E32_MASK, PseudoVFREDUSUM_VS_MF2_E32, 0x3, true }, // 987
  { PseudoVFREDUSUM_VS_MF4_E16_MASK, PseudoVFREDUSUM_VS_MF4_E16, 0x3, true }, // 988
  { PseudoVFRSQRT7_V_M1_E16_MASK, PseudoVFRSQRT7_V_M1_E16, 0x2, false }, // 989
  { PseudoVFRSQRT7_V_M1_E32_MASK, PseudoVFRSQRT7_V_M1_E32, 0x2, false }, // 990
  { PseudoVFRSQRT7_V_M1_E64_MASK, PseudoVFRSQRT7_V_M1_E64, 0x2, false }, // 991
  { PseudoVFRSQRT7_V_M2_E16_MASK, PseudoVFRSQRT7_V_M2_E16, 0x2, false }, // 992
  { PseudoVFRSQRT7_V_M2_E32_MASK, PseudoVFRSQRT7_V_M2_E32, 0x2, false }, // 993
  { PseudoVFRSQRT7_V_M2_E64_MASK, PseudoVFRSQRT7_V_M2_E64, 0x2, false }, // 994
  { PseudoVFRSQRT7_V_M4_E16_MASK, PseudoVFRSQRT7_V_M4_E16, 0x2, false }, // 995
  { PseudoVFRSQRT7_V_M4_E32_MASK, PseudoVFRSQRT7_V_M4_E32, 0x2, false }, // 996
  { PseudoVFRSQRT7_V_M4_E64_MASK, PseudoVFRSQRT7_V_M4_E64, 0x2, false }, // 997
  { PseudoVFRSQRT7_V_M8_E16_MASK, PseudoVFRSQRT7_V_M8_E16, 0x2, false }, // 998
  { PseudoVFRSQRT7_V_M8_E32_MASK, PseudoVFRSQRT7_V_M8_E32, 0x2, false }, // 999
  { PseudoVFRSQRT7_V_M8_E64_MASK, PseudoVFRSQRT7_V_M8_E64, 0x2, false }, // 1000
  { PseudoVFRSQRT7_V_MF2_E16_MASK, PseudoVFRSQRT7_V_MF2_E16, 0x2, false }, // 1001
  { PseudoVFRSQRT7_V_MF2_E32_MASK, PseudoVFRSQRT7_V_MF2_E32, 0x2, false }, // 1002
  { PseudoVFRSQRT7_V_MF4_E16_MASK, PseudoVFRSQRT7_V_MF4_E16, 0x2, false }, // 1003
  { PseudoVFRSUB_VFPR16_M1_E16_MASK, PseudoVFRSUB_VFPR16_M1_E16, 0x3, false }, // 1004
  { PseudoVFRSUB_VFPR16_M2_E16_MASK, PseudoVFRSUB_VFPR16_M2_E16, 0x3, false }, // 1005
  { PseudoVFRSUB_VFPR16_M4_E16_MASK, PseudoVFRSUB_VFPR16_M4_E16, 0x3, false }, // 1006
  { PseudoVFRSUB_VFPR16_M8_E16_MASK, PseudoVFRSUB_VFPR16_M8_E16, 0x3, false }, // 1007
  { PseudoVFRSUB_VFPR16_MF2_E16_MASK, PseudoVFRSUB_VFPR16_MF2_E16, 0x3, false }, // 1008
  { PseudoVFRSUB_VFPR16_MF4_E16_MASK, PseudoVFRSUB_VFPR16_MF4_E16, 0x3, false }, // 1009
  { PseudoVFRSUB_VFPR32_M1_E32_MASK, PseudoVFRSUB_VFPR32_M1_E32, 0x3, false }, // 1010
  { PseudoVFRSUB_VFPR32_M2_E32_MASK, PseudoVFRSUB_VFPR32_M2_E32, 0x3, false }, // 1011
  { PseudoVFRSUB_VFPR32_M4_E32_MASK, PseudoVFRSUB_VFPR32_M4_E32, 0x3, false }, // 1012
  { PseudoVFRSUB_VFPR32_M8_E32_MASK, PseudoVFRSUB_VFPR32_M8_E32, 0x3, false }, // 1013
  { PseudoVFRSUB_VFPR32_MF2_E32_MASK, PseudoVFRSUB_VFPR32_MF2_E32, 0x3, false }, // 1014
  { PseudoVFRSUB_VFPR64_M1_E64_MASK, PseudoVFRSUB_VFPR64_M1_E64, 0x3, false }, // 1015
  { PseudoVFRSUB_VFPR64_M2_E64_MASK, PseudoVFRSUB_VFPR64_M2_E64, 0x3, false }, // 1016
  { PseudoVFRSUB_VFPR64_M4_E64_MASK, PseudoVFRSUB_VFPR64_M4_E64, 0x3, false }, // 1017
  { PseudoVFRSUB_VFPR64_M8_E64_MASK, PseudoVFRSUB_VFPR64_M8_E64, 0x3, false }, // 1018
  { PseudoVFSGNJN_VFPR16_M1_E16_MASK, PseudoVFSGNJN_VFPR16_M1_E16, 0x3, false }, // 1019
  { PseudoVFSGNJN_VFPR16_M2_E16_MASK, PseudoVFSGNJN_VFPR16_M2_E16, 0x3, false }, // 1020
  { PseudoVFSGNJN_VFPR16_M4_E16_MASK, PseudoVFSGNJN_VFPR16_M4_E16, 0x3, false }, // 1021
  { PseudoVFSGNJN_VFPR16_M8_E16_MASK, PseudoVFSGNJN_VFPR16_M8_E16, 0x3, false }, // 1022
  { PseudoVFSGNJN_VFPR16_MF2_E16_MASK, PseudoVFSGNJN_VFPR16_MF2_E16, 0x3, false }, // 1023
  { PseudoVFSGNJN_VFPR16_MF4_E16_MASK, PseudoVFSGNJN_VFPR16_MF4_E16, 0x3, false }, // 1024
  { PseudoVFSGNJN_VFPR32_M1_E32_MASK, PseudoVFSGNJN_VFPR32_M1_E32, 0x3, false }, // 1025
  { PseudoVFSGNJN_VFPR32_M2_E32_MASK, PseudoVFSGNJN_VFPR32_M2_E32, 0x3, false }, // 1026
  { PseudoVFSGNJN_VFPR32_M4_E32_MASK, PseudoVFSGNJN_VFPR32_M4_E32, 0x3, false }, // 1027
  { PseudoVFSGNJN_VFPR32_M8_E32_MASK, PseudoVFSGNJN_VFPR32_M8_E32, 0x3, false }, // 1028
  { PseudoVFSGNJN_VFPR32_MF2_E32_MASK, PseudoVFSGNJN_VFPR32_MF2_E32, 0x3, false }, // 1029
  { PseudoVFSGNJN_VFPR64_M1_E64_MASK, PseudoVFSGNJN_VFPR64_M1_E64, 0x3, false }, // 1030
  { PseudoVFSGNJN_VFPR64_M2_E64_MASK, PseudoVFSGNJN_VFPR64_M2_E64, 0x3, false }, // 1031
  { PseudoVFSGNJN_VFPR64_M4_E64_MASK, PseudoVFSGNJN_VFPR64_M4_E64, 0x3, false }, // 1032
  { PseudoVFSGNJN_VFPR64_M8_E64_MASK, PseudoVFSGNJN_VFPR64_M8_E64, 0x3, false }, // 1033
  { PseudoVFSGNJN_VV_M1_E16_MASK, PseudoVFSGNJN_VV_M1_E16, 0x3, false }, // 1034
  { PseudoVFSGNJN_VV_M1_E32_MASK, PseudoVFSGNJN_VV_M1_E32, 0x3, false }, // 1035
  { PseudoVFSGNJN_VV_M1_E64_MASK, PseudoVFSGNJN_VV_M1_E64, 0x3, false }, // 1036
  { PseudoVFSGNJN_VV_M2_E16_MASK, PseudoVFSGNJN_VV_M2_E16, 0x3, false }, // 1037
  { PseudoVFSGNJN_VV_M2_E32_MASK, PseudoVFSGNJN_VV_M2_E32, 0x3, false }, // 1038
  { PseudoVFSGNJN_VV_M2_E64_MASK, PseudoVFSGNJN_VV_M2_E64, 0x3, false }, // 1039
  { PseudoVFSGNJN_VV_M4_E16_MASK, PseudoVFSGNJN_VV_M4_E16, 0x3, false }, // 1040
  { PseudoVFSGNJN_VV_M4_E32_MASK, PseudoVFSGNJN_VV_M4_E32, 0x3, false }, // 1041
  { PseudoVFSGNJN_VV_M4_E64_MASK, PseudoVFSGNJN_VV_M4_E64, 0x3, false }, // 1042
  { PseudoVFSGNJN_VV_M8_E16_MASK, PseudoVFSGNJN_VV_M8_E16, 0x3, false }, // 1043
  { PseudoVFSGNJN_VV_M8_E32_MASK, PseudoVFSGNJN_VV_M8_E32, 0x3, false }, // 1044
  { PseudoVFSGNJN_VV_M8_E64_MASK, PseudoVFSGNJN_VV_M8_E64, 0x3, false }, // 1045
  { PseudoVFSGNJN_VV_MF2_E16_MASK, PseudoVFSGNJN_VV_MF2_E16, 0x3, false }, // 1046
  { PseudoVFSGNJN_VV_MF2_E32_MASK, PseudoVFSGNJN_VV_MF2_E32, 0x3, false }, // 1047
  { PseudoVFSGNJN_VV_MF4_E16_MASK, PseudoVFSGNJN_VV_MF4_E16, 0x3, false }, // 1048
  { PseudoVFSGNJX_VFPR16_M1_E16_MASK, PseudoVFSGNJX_VFPR16_M1_E16, 0x3, false }, // 1049
  { PseudoVFSGNJX_VFPR16_M2_E16_MASK, PseudoVFSGNJX_VFPR16_M2_E16, 0x3, false }, // 1050
  { PseudoVFSGNJX_VFPR16_M4_E16_MASK, PseudoVFSGNJX_VFPR16_M4_E16, 0x3, false }, // 1051
  { PseudoVFSGNJX_VFPR16_M8_E16_MASK, PseudoVFSGNJX_VFPR16_M8_E16, 0x3, false }, // 1052
  { PseudoVFSGNJX_VFPR16_MF2_E16_MASK, PseudoVFSGNJX_VFPR16_MF2_E16, 0x3, false }, // 1053
  { PseudoVFSGNJX_VFPR16_MF4_E16_MASK, PseudoVFSGNJX_VFPR16_MF4_E16, 0x3, false }, // 1054
  { PseudoVFSGNJX_VFPR32_M1_E32_MASK, PseudoVFSGNJX_VFPR32_M1_E32, 0x3, false }, // 1055
  { PseudoVFSGNJX_VFPR32_M2_E32_MASK, PseudoVFSGNJX_VFPR32_M2_E32, 0x3, false }, // 1056
  { PseudoVFSGNJX_VFPR32_M4_E32_MASK, PseudoVFSGNJX_VFPR32_M4_E32, 0x3, false }, // 1057
  { PseudoVFSGNJX_VFPR32_M8_E32_MASK, PseudoVFSGNJX_VFPR32_M8_E32, 0x3, false }, // 1058
  { PseudoVFSGNJX_VFPR32_MF2_E32_MASK, PseudoVFSGNJX_VFPR32_MF2_E32, 0x3, false }, // 1059
  { PseudoVFSGNJX_VFPR64_M1_E64_MASK, PseudoVFSGNJX_VFPR64_M1_E64, 0x3, false }, // 1060
  { PseudoVFSGNJX_VFPR64_M2_E64_MASK, PseudoVFSGNJX_VFPR64_M2_E64, 0x3, false }, // 1061
  { PseudoVFSGNJX_VFPR64_M4_E64_MASK, PseudoVFSGNJX_VFPR64_M4_E64, 0x3, false }, // 1062
  { PseudoVFSGNJX_VFPR64_M8_E64_MASK, PseudoVFSGNJX_VFPR64_M8_E64, 0x3, false }, // 1063
  { PseudoVFSGNJX_VV_M1_E16_MASK, PseudoVFSGNJX_VV_M1_E16, 0x3, false }, // 1064
  { PseudoVFSGNJX_VV_M1_E32_MASK, PseudoVFSGNJX_VV_M1_E32, 0x3, false }, // 1065
  { PseudoVFSGNJX_VV_M1_E64_MASK, PseudoVFSGNJX_VV_M1_E64, 0x3, false }, // 1066
  { PseudoVFSGNJX_VV_M2_E16_MASK, PseudoVFSGNJX_VV_M2_E16, 0x3, false }, // 1067
  { PseudoVFSGNJX_VV_M2_E32_MASK, PseudoVFSGNJX_VV_M2_E32, 0x3, false }, // 1068
  { PseudoVFSGNJX_VV_M2_E64_MASK, PseudoVFSGNJX_VV_M2_E64, 0x3, false }, // 1069
  { PseudoVFSGNJX_VV_M4_E16_MASK, PseudoVFSGNJX_VV_M4_E16, 0x3, false }, // 1070
  { PseudoVFSGNJX_VV_M4_E32_MASK, PseudoVFSGNJX_VV_M4_E32, 0x3, false }, // 1071
  { PseudoVFSGNJX_VV_M4_E64_MASK, PseudoVFSGNJX_VV_M4_E64, 0x3, false }, // 1072
  { PseudoVFSGNJX_VV_M8_E16_MASK, PseudoVFSGNJX_VV_M8_E16, 0x3, false }, // 1073
  { PseudoVFSGNJX_VV_M8_E32_MASK, PseudoVFSGNJX_VV_M8_E32, 0x3, false }, // 1074
  { PseudoVFSGNJX_VV_M8_E64_MASK, PseudoVFSGNJX_VV_M8_E64, 0x3, false }, // 1075
  { PseudoVFSGNJX_VV_MF2_E16_MASK, PseudoVFSGNJX_VV_MF2_E16, 0x3, false }, // 1076
  { PseudoVFSGNJX_VV_MF2_E32_MASK, PseudoVFSGNJX_VV_MF2_E32, 0x3, false }, // 1077
  { PseudoVFSGNJX_VV_MF4_E16_MASK, PseudoVFSGNJX_VV_MF4_E16, 0x3, false }, // 1078
  { PseudoVFSGNJ_VFPR16_M1_E16_MASK, PseudoVFSGNJ_VFPR16_M1_E16, 0x3, false }, // 1079
  { PseudoVFSGNJ_VFPR16_M2_E16_MASK, PseudoVFSGNJ_VFPR16_M2_E16, 0x3, false }, // 1080
  { PseudoVFSGNJ_VFPR16_M4_E16_MASK, PseudoVFSGNJ_VFPR16_M4_E16, 0x3, false }, // 1081
  { PseudoVFSGNJ_VFPR16_M8_E16_MASK, PseudoVFSGNJ_VFPR16_M8_E16, 0x3, false }, // 1082
  { PseudoVFSGNJ_VFPR16_MF2_E16_MASK, PseudoVFSGNJ_VFPR16_MF2_E16, 0x3, false }, // 1083
  { PseudoVFSGNJ_VFPR16_MF4_E16_MASK, PseudoVFSGNJ_VFPR16_MF4_E16, 0x3, false }, // 1084
  { PseudoVFSGNJ_VFPR32_M1_E32_MASK, PseudoVFSGNJ_VFPR32_M1_E32, 0x3, false }, // 1085
  { PseudoVFSGNJ_VFPR32_M2_E32_MASK, PseudoVFSGNJ_VFPR32_M2_E32, 0x3, false }, // 1086
  { PseudoVFSGNJ_VFPR32_M4_E32_MASK, PseudoVFSGNJ_VFPR32_M4_E32, 0x3, false }, // 1087
  { PseudoVFSGNJ_VFPR32_M8_E32_MASK, PseudoVFSGNJ_VFPR32_M8_E32, 0x3, false }, // 1088
  { PseudoVFSGNJ_VFPR32_MF2_E32_MASK, PseudoVFSGNJ_VFPR32_MF2_E32, 0x3, false }, // 1089
  { PseudoVFSGNJ_VFPR64_M1_E64_MASK, PseudoVFSGNJ_VFPR64_M1_E64, 0x3, false }, // 1090
  { PseudoVFSGNJ_VFPR64_M2_E64_MASK, PseudoVFSGNJ_VFPR64_M2_E64, 0x3, false }, // 1091
  { PseudoVFSGNJ_VFPR64_M4_E64_MASK, PseudoVFSGNJ_VFPR64_M4_E64, 0x3, false }, // 1092
  { PseudoVFSGNJ_VFPR64_M8_E64_MASK, PseudoVFSGNJ_VFPR64_M8_E64, 0x3, false }, // 1093
  { PseudoVFSGNJ_VV_M1_E16_MASK, PseudoVFSGNJ_VV_M1_E16, 0x3, false }, // 1094
  { PseudoVFSGNJ_VV_M1_E32_MASK, PseudoVFSGNJ_VV_M1_E32, 0x3, false }, // 1095
  { PseudoVFSGNJ_VV_M1_E64_MASK, PseudoVFSGNJ_VV_M1_E64, 0x3, false }, // 1096
  { PseudoVFSGNJ_VV_M2_E16_MASK, PseudoVFSGNJ_VV_M2_E16, 0x3, false }, // 1097
  { PseudoVFSGNJ_VV_M2_E32_MASK, PseudoVFSGNJ_VV_M2_E32, 0x3, false }, // 1098
  { PseudoVFSGNJ_VV_M2_E64_MASK, PseudoVFSGNJ_VV_M2_E64, 0x3, false }, // 1099
  { PseudoVFSGNJ_VV_M4_E16_MASK, PseudoVFSGNJ_VV_M4_E16, 0x3, false }, // 1100
  { PseudoVFSGNJ_VV_M4_E32_MASK, PseudoVFSGNJ_VV_M4_E32, 0x3, false }, // 1101
  { PseudoVFSGNJ_VV_M4_E64_MASK, PseudoVFSGNJ_VV_M4_E64, 0x3, false }, // 1102
  { PseudoVFSGNJ_VV_M8_E16_MASK, PseudoVFSGNJ_VV_M8_E16, 0x3, false }, // 1103
  { PseudoVFSGNJ_VV_M8_E32_MASK, PseudoVFSGNJ_VV_M8_E32, 0x3, false }, // 1104
  { PseudoVFSGNJ_VV_M8_E64_MASK, PseudoVFSGNJ_VV_M8_E64, 0x3, false }, // 1105
  { PseudoVFSGNJ_VV_MF2_E16_MASK, PseudoVFSGNJ_VV_MF2_E16, 0x3, false }, // 1106
  { PseudoVFSGNJ_VV_MF2_E32_MASK, PseudoVFSGNJ_VV_MF2_E32, 0x3, false }, // 1107
  { PseudoVFSGNJ_VV_MF4_E16_MASK, PseudoVFSGNJ_VV_MF4_E16, 0x3, false }, // 1108
  { PseudoVFSLIDE1DOWN_VFPR16_M1_MASK, PseudoVFSLIDE1DOWN_VFPR16_M1, 0x3, false }, // 1109
  { PseudoVFSLIDE1DOWN_VFPR16_M2_MASK, PseudoVFSLIDE1DOWN_VFPR16_M2, 0x3, false }, // 1110
  { PseudoVFSLIDE1DOWN_VFPR16_M4_MASK, PseudoVFSLIDE1DOWN_VFPR16_M4, 0x3, false }, // 1111
  { PseudoVFSLIDE1DOWN_VFPR16_M8_MASK, PseudoVFSLIDE1DOWN_VFPR16_M8, 0x3, false }, // 1112
  { PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK, PseudoVFSLIDE1DOWN_VFPR16_MF2, 0x3, false }, // 1113
  { PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK, PseudoVFSLIDE1DOWN_VFPR16_MF4, 0x3, false }, // 1114
  { PseudoVFSLIDE1DOWN_VFPR32_M1_MASK, PseudoVFSLIDE1DOWN_VFPR32_M1, 0x3, false }, // 1115
  { PseudoVFSLIDE1DOWN_VFPR32_M2_MASK, PseudoVFSLIDE1DOWN_VFPR32_M2, 0x3, false }, // 1116
  { PseudoVFSLIDE1DOWN_VFPR32_M4_MASK, PseudoVFSLIDE1DOWN_VFPR32_M4, 0x3, false }, // 1117
  { PseudoVFSLIDE1DOWN_VFPR32_M8_MASK, PseudoVFSLIDE1DOWN_VFPR32_M8, 0x3, false }, // 1118
  { PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK, PseudoVFSLIDE1DOWN_VFPR32_MF2, 0x3, false }, // 1119
  { PseudoVFSLIDE1DOWN_VFPR64_M1_MASK, PseudoVFSLIDE1DOWN_VFPR64_M1, 0x3, false }, // 1120
  { PseudoVFSLIDE1DOWN_VFPR64_M2_MASK, PseudoVFSLIDE1DOWN_VFPR64_M2, 0x3, false }, // 1121
  { PseudoVFSLIDE1DOWN_VFPR64_M4_MASK, PseudoVFSLIDE1DOWN_VFPR64_M4, 0x3, false }, // 1122
  { PseudoVFSLIDE1DOWN_VFPR64_M8_MASK, PseudoVFSLIDE1DOWN_VFPR64_M8, 0x3, false }, // 1123
  { PseudoVFSLIDE1UP_VFPR16_M1_MASK, PseudoVFSLIDE1UP_VFPR16_M1, 0x3, false }, // 1124
  { PseudoVFSLIDE1UP_VFPR16_M2_MASK, PseudoVFSLIDE1UP_VFPR16_M2, 0x3, false }, // 1125
  { PseudoVFSLIDE1UP_VFPR16_M4_MASK, PseudoVFSLIDE1UP_VFPR16_M4, 0x3, false }, // 1126
  { PseudoVFSLIDE1UP_VFPR16_M8_MASK, PseudoVFSLIDE1UP_VFPR16_M8, 0x3, false }, // 1127
  { PseudoVFSLIDE1UP_VFPR16_MF2_MASK, PseudoVFSLIDE1UP_VFPR16_MF2, 0x3, false }, // 1128
  { PseudoVFSLIDE1UP_VFPR16_MF4_MASK, PseudoVFSLIDE1UP_VFPR16_MF4, 0x3, false }, // 1129
  { PseudoVFSLIDE1UP_VFPR32_M1_MASK, PseudoVFSLIDE1UP_VFPR32_M1, 0x3, false }, // 1130
  { PseudoVFSLIDE1UP_VFPR32_M2_MASK, PseudoVFSLIDE1UP_VFPR32_M2, 0x3, false }, // 1131
  { PseudoVFSLIDE1UP_VFPR32_M4_MASK, PseudoVFSLIDE1UP_VFPR32_M4, 0x3, false }, // 1132
  { PseudoVFSLIDE1UP_VFPR32_M8_MASK, PseudoVFSLIDE1UP_VFPR32_M8, 0x3, false }, // 1133
  { PseudoVFSLIDE1UP_VFPR32_MF2_MASK, PseudoVFSLIDE1UP_VFPR32_MF2, 0x3, false }, // 1134
  { PseudoVFSLIDE1UP_VFPR64_M1_MASK, PseudoVFSLIDE1UP_VFPR64_M1, 0x3, false }, // 1135
  { PseudoVFSLIDE1UP_VFPR64_M2_MASK, PseudoVFSLIDE1UP_VFPR64_M2, 0x3, false }, // 1136
  { PseudoVFSLIDE1UP_VFPR64_M4_MASK, PseudoVFSLIDE1UP_VFPR64_M4, 0x3, false }, // 1137
  { PseudoVFSLIDE1UP_VFPR64_M8_MASK, PseudoVFSLIDE1UP_VFPR64_M8, 0x3, false }, // 1138
  { PseudoVFSQRT_V_M1_E16_MASK, PseudoVFSQRT_V_M1_E16, 0x2, false }, // 1139
  { PseudoVFSQRT_V_M1_E32_MASK, PseudoVFSQRT_V_M1_E32, 0x2, false }, // 1140
  { PseudoVFSQRT_V_M1_E64_MASK, PseudoVFSQRT_V_M1_E64, 0x2, false }, // 1141
  { PseudoVFSQRT_V_M2_E16_MASK, PseudoVFSQRT_V_M2_E16, 0x2, false }, // 1142
  { PseudoVFSQRT_V_M2_E32_MASK, PseudoVFSQRT_V_M2_E32, 0x2, false }, // 1143
  { PseudoVFSQRT_V_M2_E64_MASK, PseudoVFSQRT_V_M2_E64, 0x2, false }, // 1144
  { PseudoVFSQRT_V_M4_E16_MASK, PseudoVFSQRT_V_M4_E16, 0x2, false }, // 1145
  { PseudoVFSQRT_V_M4_E32_MASK, PseudoVFSQRT_V_M4_E32, 0x2, false }, // 1146
  { PseudoVFSQRT_V_M4_E64_MASK, PseudoVFSQRT_V_M4_E64, 0x2, false }, // 1147
  { PseudoVFSQRT_V_M8_E16_MASK, PseudoVFSQRT_V_M8_E16, 0x2, false }, // 1148
  { PseudoVFSQRT_V_M8_E32_MASK, PseudoVFSQRT_V_M8_E32, 0x2, false }, // 1149
  { PseudoVFSQRT_V_M8_E64_MASK, PseudoVFSQRT_V_M8_E64, 0x2, false }, // 1150
  { PseudoVFSQRT_V_MF2_E16_MASK, PseudoVFSQRT_V_MF2_E16, 0x2, false }, // 1151
  { PseudoVFSQRT_V_MF2_E32_MASK, PseudoVFSQRT_V_MF2_E32, 0x2, false }, // 1152
  { PseudoVFSQRT_V_MF4_E16_MASK, PseudoVFSQRT_V_MF4_E16, 0x2, false }, // 1153
  { PseudoVFSUB_VFPR16_M1_E16_MASK, PseudoVFSUB_VFPR16_M1_E16, 0x3, false }, // 1154
  { PseudoVFSUB_VFPR16_M2_E16_MASK, PseudoVFSUB_VFPR16_M2_E16, 0x3, false }, // 1155
  { PseudoVFSUB_VFPR16_M4_E16_MASK, PseudoVFSUB_VFPR16_M4_E16, 0x3, false }, // 1156
  { PseudoVFSUB_VFPR16_M8_E16_MASK, PseudoVFSUB_VFPR16_M8_E16, 0x3, false }, // 1157
  { PseudoVFSUB_VFPR16_MF2_E16_MASK, PseudoVFSUB_VFPR16_MF2_E16, 0x3, false }, // 1158
  { PseudoVFSUB_VFPR16_MF4_E16_MASK, PseudoVFSUB_VFPR16_MF4_E16, 0x3, false }, // 1159
  { PseudoVFSUB_VFPR32_M1_E32_MASK, PseudoVFSUB_VFPR32_M1_E32, 0x3, false }, // 1160
  { PseudoVFSUB_VFPR32_M2_E32_MASK, PseudoVFSUB_VFPR32_M2_E32, 0x3, false }, // 1161
  { PseudoVFSUB_VFPR32_M4_E32_MASK, PseudoVFSUB_VFPR32_M4_E32, 0x3, false }, // 1162
  { PseudoVFSUB_VFPR32_M8_E32_MASK, PseudoVFSUB_VFPR32_M8_E32, 0x3, false }, // 1163
  { PseudoVFSUB_VFPR32_MF2_E32_MASK, PseudoVFSUB_VFPR32_MF2_E32, 0x3, false }, // 1164
  { PseudoVFSUB_VFPR64_M1_E64_MASK, PseudoVFSUB_VFPR64_M1_E64, 0x3, false }, // 1165
  { PseudoVFSUB_VFPR64_M2_E64_MASK, PseudoVFSUB_VFPR64_M2_E64, 0x3, false }, // 1166
  { PseudoVFSUB_VFPR64_M4_E64_MASK, PseudoVFSUB_VFPR64_M4_E64, 0x3, false }, // 1167
  { PseudoVFSUB_VFPR64_M8_E64_MASK, PseudoVFSUB_VFPR64_M8_E64, 0x3, false }, // 1168
  { PseudoVFSUB_VV_M1_E16_MASK, PseudoVFSUB_VV_M1_E16, 0x3, false }, // 1169
  { PseudoVFSUB_VV_M1_E32_MASK, PseudoVFSUB_VV_M1_E32, 0x3, false }, // 1170
  { PseudoVFSUB_VV_M1_E64_MASK, PseudoVFSUB_VV_M1_E64, 0x3, false }, // 1171
  { PseudoVFSUB_VV_M2_E16_MASK, PseudoVFSUB_VV_M2_E16, 0x3, false }, // 1172
  { PseudoVFSUB_VV_M2_E32_MASK, PseudoVFSUB_VV_M2_E32, 0x3, false }, // 1173
  { PseudoVFSUB_VV_M2_E64_MASK, PseudoVFSUB_VV_M2_E64, 0x3, false }, // 1174
  { PseudoVFSUB_VV_M4_E16_MASK, PseudoVFSUB_VV_M4_E16, 0x3, false }, // 1175
  { PseudoVFSUB_VV_M4_E32_MASK, PseudoVFSUB_VV_M4_E32, 0x3, false }, // 1176
  { PseudoVFSUB_VV_M4_E64_MASK, PseudoVFSUB_VV_M4_E64, 0x3, false }, // 1177
  { PseudoVFSUB_VV_M8_E16_MASK, PseudoVFSUB_VV_M8_E16, 0x3, false }, // 1178
  { PseudoVFSUB_VV_M8_E32_MASK, PseudoVFSUB_VV_M8_E32, 0x3, false }, // 1179
  { PseudoVFSUB_VV_M8_E64_MASK, PseudoVFSUB_VV_M8_E64, 0x3, false }, // 1180
  { PseudoVFSUB_VV_MF2_E16_MASK, PseudoVFSUB_VV_MF2_E16, 0x3, false }, // 1181
  { PseudoVFSUB_VV_MF2_E32_MASK, PseudoVFSUB_VV_MF2_E32, 0x3, false }, // 1182
  { PseudoVFSUB_VV_MF4_E16_MASK, PseudoVFSUB_VV_MF4_E16, 0x3, false }, // 1183
  { PseudoVFWADD_VFPR16_M1_E16_MASK, PseudoVFWADD_VFPR16_M1_E16, 0x3, false }, // 1184
  { PseudoVFWADD_VFPR16_M2_E16_MASK, PseudoVFWADD_VFPR16_M2_E16, 0x3, false }, // 1185
  { PseudoVFWADD_VFPR16_M4_E16_MASK, PseudoVFWADD_VFPR16_M4_E16, 0x3, false }, // 1186
  { PseudoVFWADD_VFPR16_MF2_E16_MASK, PseudoVFWADD_VFPR16_MF2_E16, 0x3, false }, // 1187
  { PseudoVFWADD_VFPR16_MF4_E16_MASK, PseudoVFWADD_VFPR16_MF4_E16, 0x3, false }, // 1188
  { PseudoVFWADD_VFPR32_M1_E32_MASK, PseudoVFWADD_VFPR32_M1_E32, 0x3, false }, // 1189
  { PseudoVFWADD_VFPR32_M2_E32_MASK, PseudoVFWADD_VFPR32_M2_E32, 0x3, false }, // 1190
  { PseudoVFWADD_VFPR32_M4_E32_MASK, PseudoVFWADD_VFPR32_M4_E32, 0x3, false }, // 1191
  { PseudoVFWADD_VFPR32_MF2_E32_MASK, PseudoVFWADD_VFPR32_MF2_E32, 0x3, false }, // 1192
  { PseudoVFWADD_VV_M1_E16_MASK, PseudoVFWADD_VV_M1_E16, 0x3, false }, // 1193
  { PseudoVFWADD_VV_M1_E32_MASK, PseudoVFWADD_VV_M1_E32, 0x3, false }, // 1194
  { PseudoVFWADD_VV_M2_E16_MASK, PseudoVFWADD_VV_M2_E16, 0x3, false }, // 1195
  { PseudoVFWADD_VV_M2_E32_MASK, PseudoVFWADD_VV_M2_E32, 0x3, false }, // 1196
  { PseudoVFWADD_VV_M4_E16_MASK, PseudoVFWADD_VV_M4_E16, 0x3, false }, // 1197
  { PseudoVFWADD_VV_M4_E32_MASK, PseudoVFWADD_VV_M4_E32, 0x3, false }, // 1198
  { PseudoVFWADD_VV_MF2_E16_MASK, PseudoVFWADD_VV_MF2_E16, 0x3, false }, // 1199
  { PseudoVFWADD_VV_MF2_E32_MASK, PseudoVFWADD_VV_MF2_E32, 0x3, false }, // 1200
  { PseudoVFWADD_VV_MF4_E16_MASK, PseudoVFWADD_VV_MF4_E16, 0x3, false }, // 1201
  { PseudoVFWADD_WFPR16_M1_E16_MASK, PseudoVFWADD_WFPR16_M1_E16, 0x3, false }, // 1202
  { PseudoVFWADD_WFPR16_M2_E16_MASK, PseudoVFWADD_WFPR16_M2_E16, 0x3, false }, // 1203
  { PseudoVFWADD_WFPR16_M4_E16_MASK, PseudoVFWADD_WFPR16_M4_E16, 0x3, false }, // 1204
  { PseudoVFWADD_WFPR16_MF2_E16_MASK, PseudoVFWADD_WFPR16_MF2_E16, 0x3, false }, // 1205
  { PseudoVFWADD_WFPR16_MF4_E16_MASK, PseudoVFWADD_WFPR16_MF4_E16, 0x3, false }, // 1206
  { PseudoVFWADD_WFPR32_M1_E32_MASK, PseudoVFWADD_WFPR32_M1_E32, 0x3, false }, // 1207
  { PseudoVFWADD_WFPR32_M2_E32_MASK, PseudoVFWADD_WFPR32_M2_E32, 0x3, false }, // 1208
  { PseudoVFWADD_WFPR32_M4_E32_MASK, PseudoVFWADD_WFPR32_M4_E32, 0x3, false }, // 1209
  { PseudoVFWADD_WFPR32_MF2_E32_MASK, PseudoVFWADD_WFPR32_MF2_E32, 0x3, false }, // 1210
  { PseudoVFWADD_WV_M1_E16_MASK, PseudoVFWADD_WV_M1_E16, 0x3, false }, // 1211
  { PseudoVFWADD_WV_M1_E16_MASK_TIED, PseudoVFWADD_WV_M1_E16_TIED, 0x2, false }, // 1212
  { PseudoVFWADD_WV_M1_E32_MASK, PseudoVFWADD_WV_M1_E32, 0x3, false }, // 1213
  { PseudoVFWADD_WV_M1_E32_MASK_TIED, PseudoVFWADD_WV_M1_E32_TIED, 0x2, false }, // 1214
  { PseudoVFWADD_WV_M2_E16_MASK, PseudoVFWADD_WV_M2_E16, 0x3, false }, // 1215
  { PseudoVFWADD_WV_M2_E16_MASK_TIED, PseudoVFWADD_WV_M2_E16_TIED, 0x2, false }, // 1216
  { PseudoVFWADD_WV_M2_E32_MASK, PseudoVFWADD_WV_M2_E32, 0x3, false }, // 1217
  { PseudoVFWADD_WV_M2_E32_MASK_TIED, PseudoVFWADD_WV_M2_E32_TIED, 0x2, false }, // 1218
  { PseudoVFWADD_WV_M4_E16_MASK, PseudoVFWADD_WV_M4_E16, 0x3, false }, // 1219
  { PseudoVFWADD_WV_M4_E16_MASK_TIED, PseudoVFWADD_WV_M4_E16_TIED, 0x2, false }, // 1220
  { PseudoVFWADD_WV_M4_E32_MASK, PseudoVFWADD_WV_M4_E32, 0x3, false }, // 1221
  { PseudoVFWADD_WV_M4_E32_MASK_TIED, PseudoVFWADD_WV_M4_E32_TIED, 0x2, false }, // 1222
  { PseudoVFWADD_WV_MF2_E16_MASK, PseudoVFWADD_WV_MF2_E16, 0x3, false }, // 1223
  { PseudoVFWADD_WV_MF2_E16_MASK_TIED, PseudoVFWADD_WV_MF2_E16_TIED, 0x2, false }, // 1224
  { PseudoVFWADD_WV_MF2_E32_MASK, PseudoVFWADD_WV_MF2_E32, 0x3, false }, // 1225
  { PseudoVFWADD_WV_MF2_E32_MASK_TIED, PseudoVFWADD_WV_MF2_E32_TIED, 0x2, false }, // 1226
  { PseudoVFWADD_WV_MF4_E16_MASK, PseudoVFWADD_WV_MF4_E16, 0x3, false }, // 1227
  { PseudoVFWADD_WV_MF4_E16_MASK_TIED, PseudoVFWADD_WV_MF4_E16_TIED, 0x2, false }, // 1228
  { PseudoVFWCVTBF16_F_F_V_M1_E16_MASK, PseudoVFWCVTBF16_F_F_V_M1_E16, 0x2, false }, // 1229
  { PseudoVFWCVTBF16_F_F_V_M1_E32_MASK, PseudoVFWCVTBF16_F_F_V_M1_E32, 0x2, false }, // 1230
  { PseudoVFWCVTBF16_F_F_V_M2_E16_MASK, PseudoVFWCVTBF16_F_F_V_M2_E16, 0x2, false }, // 1231
  { PseudoVFWCVTBF16_F_F_V_M2_E32_MASK, PseudoVFWCVTBF16_F_F_V_M2_E32, 0x2, false }, // 1232
  { PseudoVFWCVTBF16_F_F_V_M4_E16_MASK, PseudoVFWCVTBF16_F_F_V_M4_E16, 0x2, false }, // 1233
  { PseudoVFWCVTBF16_F_F_V_M4_E32_MASK, PseudoVFWCVTBF16_F_F_V_M4_E32, 0x2, false }, // 1234
  { PseudoVFWCVTBF16_F_F_V_MF2_E16_MASK, PseudoVFWCVTBF16_F_F_V_MF2_E16, 0x2, false }, // 1235
  { PseudoVFWCVTBF16_F_F_V_MF2_E32_MASK, PseudoVFWCVTBF16_F_F_V_MF2_E32, 0x2, false }, // 1236
  { PseudoVFWCVTBF16_F_F_V_MF4_E16_MASK, PseudoVFWCVTBF16_F_F_V_MF4_E16, 0x2, false }, // 1237
  { PseudoVFWCVT_F_F_V_M1_E16_MASK, PseudoVFWCVT_F_F_V_M1_E16, 0x2, false }, // 1238
  { PseudoVFWCVT_F_F_V_M1_E32_MASK, PseudoVFWCVT_F_F_V_M1_E32, 0x2, false }, // 1239
  { PseudoVFWCVT_F_F_V_M2_E16_MASK, PseudoVFWCVT_F_F_V_M2_E16, 0x2, false }, // 1240
  { PseudoVFWCVT_F_F_V_M2_E32_MASK, PseudoVFWCVT_F_F_V_M2_E32, 0x2, false }, // 1241
  { PseudoVFWCVT_F_F_V_M4_E16_MASK, PseudoVFWCVT_F_F_V_M4_E16, 0x2, false }, // 1242
  { PseudoVFWCVT_F_F_V_M4_E32_MASK, PseudoVFWCVT_F_F_V_M4_E32, 0x2, false }, // 1243
  { PseudoVFWCVT_F_F_V_MF2_E16_MASK, PseudoVFWCVT_F_F_V_MF2_E16, 0x2, false }, // 1244
  { PseudoVFWCVT_F_F_V_MF2_E32_MASK, PseudoVFWCVT_F_F_V_MF2_E32, 0x2, false }, // 1245
  { PseudoVFWCVT_F_F_V_MF4_E16_MASK, PseudoVFWCVT_F_F_V_MF4_E16, 0x2, false }, // 1246
  { PseudoVFWCVT_F_XU_V_M1_E16_MASK, PseudoVFWCVT_F_XU_V_M1_E16, 0x2, false }, // 1247
  { PseudoVFWCVT_F_XU_V_M1_E32_MASK, PseudoVFWCVT_F_XU_V_M1_E32, 0x2, false }, // 1248
  { PseudoVFWCVT_F_XU_V_M1_E8_MASK, PseudoVFWCVT_F_XU_V_M1_E8, 0x2, false }, // 1249
  { PseudoVFWCVT_F_XU_V_M2_E16_MASK, PseudoVFWCVT_F_XU_V_M2_E16, 0x2, false }, // 1250
  { PseudoVFWCVT_F_XU_V_M2_E32_MASK, PseudoVFWCVT_F_XU_V_M2_E32, 0x2, false }, // 1251
  { PseudoVFWCVT_F_XU_V_M2_E8_MASK, PseudoVFWCVT_F_XU_V_M2_E8, 0x2, false }, // 1252
  { PseudoVFWCVT_F_XU_V_M4_E16_MASK, PseudoVFWCVT_F_XU_V_M4_E16, 0x2, false }, // 1253
  { PseudoVFWCVT_F_XU_V_M4_E32_MASK, PseudoVFWCVT_F_XU_V_M4_E32, 0x2, false }, // 1254
  { PseudoVFWCVT_F_XU_V_M4_E8_MASK, PseudoVFWCVT_F_XU_V_M4_E8, 0x2, false }, // 1255
  { PseudoVFWCVT_F_XU_V_MF2_E16_MASK, PseudoVFWCVT_F_XU_V_MF2_E16, 0x2, false }, // 1256
  { PseudoVFWCVT_F_XU_V_MF2_E32_MASK, PseudoVFWCVT_F_XU_V_MF2_E32, 0x2, false }, // 1257
  { PseudoVFWCVT_F_XU_V_MF2_E8_MASK, PseudoVFWCVT_F_XU_V_MF2_E8, 0x2, false }, // 1258
  { PseudoVFWCVT_F_XU_V_MF4_E16_MASK, PseudoVFWCVT_F_XU_V_MF4_E16, 0x2, false }, // 1259
  { PseudoVFWCVT_F_XU_V_MF4_E8_MASK, PseudoVFWCVT_F_XU_V_MF4_E8, 0x2, false }, // 1260
  { PseudoVFWCVT_F_XU_V_MF8_E8_MASK, PseudoVFWCVT_F_XU_V_MF8_E8, 0x2, false }, // 1261
  { PseudoVFWCVT_F_X_V_M1_E16_MASK, PseudoVFWCVT_F_X_V_M1_E16, 0x2, false }, // 1262
  { PseudoVFWCVT_F_X_V_M1_E32_MASK, PseudoVFWCVT_F_X_V_M1_E32, 0x2, false }, // 1263
  { PseudoVFWCVT_F_X_V_M1_E8_MASK, PseudoVFWCVT_F_X_V_M1_E8, 0x2, false }, // 1264
  { PseudoVFWCVT_F_X_V_M2_E16_MASK, PseudoVFWCVT_F_X_V_M2_E16, 0x2, false }, // 1265
  { PseudoVFWCVT_F_X_V_M2_E32_MASK, PseudoVFWCVT_F_X_V_M2_E32, 0x2, false }, // 1266
  { PseudoVFWCVT_F_X_V_M2_E8_MASK, PseudoVFWCVT_F_X_V_M2_E8, 0x2, false }, // 1267
  { PseudoVFWCVT_F_X_V_M4_E16_MASK, PseudoVFWCVT_F_X_V_M4_E16, 0x2, false }, // 1268
  { PseudoVFWCVT_F_X_V_M4_E32_MASK, PseudoVFWCVT_F_X_V_M4_E32, 0x2, false }, // 1269
  { PseudoVFWCVT_F_X_V_M4_E8_MASK, PseudoVFWCVT_F_X_V_M4_E8, 0x2, false }, // 1270
  { PseudoVFWCVT_F_X_V_MF2_E16_MASK, PseudoVFWCVT_F_X_V_MF2_E16, 0x2, false }, // 1271
  { PseudoVFWCVT_F_X_V_MF2_E32_MASK, PseudoVFWCVT_F_X_V_MF2_E32, 0x2, false }, // 1272
  { PseudoVFWCVT_F_X_V_MF2_E8_MASK, PseudoVFWCVT_F_X_V_MF2_E8, 0x2, false }, // 1273
  { PseudoVFWCVT_F_X_V_MF4_E16_MASK, PseudoVFWCVT_F_X_V_MF4_E16, 0x2, false }, // 1274
  { PseudoVFWCVT_F_X_V_MF4_E8_MASK, PseudoVFWCVT_F_X_V_MF4_E8, 0x2, false }, // 1275
  { PseudoVFWCVT_F_X_V_MF8_E8_MASK, PseudoVFWCVT_F_X_V_MF8_E8, 0x2, false }, // 1276
  { PseudoVFWCVT_RM_XU_F_V_M1_MASK, PseudoVFWCVT_RM_XU_F_V_M1, 0x2, false }, // 1277
  { PseudoVFWCVT_RM_XU_F_V_M2_MASK, PseudoVFWCVT_RM_XU_F_V_M2, 0x2, false }, // 1278
  { PseudoVFWCVT_RM_XU_F_V_M4_MASK, PseudoVFWCVT_RM_XU_F_V_M4, 0x2, false }, // 1279
  { PseudoVFWCVT_RM_XU_F_V_MF2_MASK, PseudoVFWCVT_RM_XU_F_V_MF2, 0x2, false }, // 1280
  { PseudoVFWCVT_RM_XU_F_V_MF4_MASK, PseudoVFWCVT_RM_XU_F_V_MF4, 0x2, false }, // 1281
  { PseudoVFWCVT_RM_X_F_V_M1_MASK, PseudoVFWCVT_RM_X_F_V_M1, 0x2, false }, // 1282
  { PseudoVFWCVT_RM_X_F_V_M2_MASK, PseudoVFWCVT_RM_X_F_V_M2, 0x2, false }, // 1283
  { PseudoVFWCVT_RM_X_F_V_M4_MASK, PseudoVFWCVT_RM_X_F_V_M4, 0x2, false }, // 1284
  { PseudoVFWCVT_RM_X_F_V_MF2_MASK, PseudoVFWCVT_RM_X_F_V_MF2, 0x2, false }, // 1285
  { PseudoVFWCVT_RM_X_F_V_MF4_MASK, PseudoVFWCVT_RM_X_F_V_MF4, 0x2, false }, // 1286
  { PseudoVFWCVT_RTZ_XU_F_V_M1_MASK, PseudoVFWCVT_RTZ_XU_F_V_M1, 0x2, false }, // 1287
  { PseudoVFWCVT_RTZ_XU_F_V_M2_MASK, PseudoVFWCVT_RTZ_XU_F_V_M2, 0x2, false }, // 1288
  { PseudoVFWCVT_RTZ_XU_F_V_M4_MASK, PseudoVFWCVT_RTZ_XU_F_V_M4, 0x2, false }, // 1289
  { PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK, PseudoVFWCVT_RTZ_XU_F_V_MF2, 0x2, false }, // 1290
  { PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK, PseudoVFWCVT_RTZ_XU_F_V_MF4, 0x2, false }, // 1291
  { PseudoVFWCVT_RTZ_X_F_V_M1_MASK, PseudoVFWCVT_RTZ_X_F_V_M1, 0x2, false }, // 1292
  { PseudoVFWCVT_RTZ_X_F_V_M2_MASK, PseudoVFWCVT_RTZ_X_F_V_M2, 0x2, false }, // 1293
  { PseudoVFWCVT_RTZ_X_F_V_M4_MASK, PseudoVFWCVT_RTZ_X_F_V_M4, 0x2, false }, // 1294
  { PseudoVFWCVT_RTZ_X_F_V_MF2_MASK, PseudoVFWCVT_RTZ_X_F_V_MF2, 0x2, false }, // 1295
  { PseudoVFWCVT_RTZ_X_F_V_MF4_MASK, PseudoVFWCVT_RTZ_X_F_V_MF4, 0x2, false }, // 1296
  { PseudoVFWCVT_XU_F_V_M1_MASK, PseudoVFWCVT_XU_F_V_M1, 0x2, false }, // 1297
  { PseudoVFWCVT_XU_F_V_M2_MASK, PseudoVFWCVT_XU_F_V_M2, 0x2, false }, // 1298
  { PseudoVFWCVT_XU_F_V_M4_MASK, PseudoVFWCVT_XU_F_V_M4, 0x2, false }, // 1299
  { PseudoVFWCVT_XU_F_V_MF2_MASK, PseudoVFWCVT_XU_F_V_MF2, 0x2, false }, // 1300
  { PseudoVFWCVT_XU_F_V_MF4_MASK, PseudoVFWCVT_XU_F_V_MF4, 0x2, false }, // 1301
  { PseudoVFWCVT_X_F_V_M1_MASK, PseudoVFWCVT_X_F_V_M1, 0x2, false }, // 1302
  { PseudoVFWCVT_X_F_V_M2_MASK, PseudoVFWCVT_X_F_V_M2, 0x2, false }, // 1303
  { PseudoVFWCVT_X_F_V_M4_MASK, PseudoVFWCVT_X_F_V_M4, 0x2, false }, // 1304
  { PseudoVFWCVT_X_F_V_MF2_MASK, PseudoVFWCVT_X_F_V_MF2, 0x2, false }, // 1305
  { PseudoVFWCVT_X_F_V_MF4_MASK, PseudoVFWCVT_X_F_V_MF4, 0x2, false }, // 1306
  { PseudoVFWMACCBF16_VFPR16_M1_E16_MASK, PseudoVFWMACCBF16_VFPR16_M1_E16, 0x3, false }, // 1307
  { PseudoVFWMACCBF16_VFPR16_M2_E16_MASK, PseudoVFWMACCBF16_VFPR16_M2_E16, 0x3, false }, // 1308
  { PseudoVFWMACCBF16_VFPR16_M4_E16_MASK, PseudoVFWMACCBF16_VFPR16_M4_E16, 0x3, false }, // 1309
  { PseudoVFWMACCBF16_VFPR16_MF2_E16_MASK, PseudoVFWMACCBF16_VFPR16_MF2_E16, 0x3, false }, // 1310
  { PseudoVFWMACCBF16_VFPR16_MF4_E16_MASK, PseudoVFWMACCBF16_VFPR16_MF4_E16, 0x3, false }, // 1311
  { PseudoVFWMACCBF16_VV_M1_E16_MASK, PseudoVFWMACCBF16_VV_M1_E16, 0x3, false }, // 1312
  { PseudoVFWMACCBF16_VV_M1_E32_MASK, PseudoVFWMACCBF16_VV_M1_E32, 0x3, false }, // 1313
  { PseudoVFWMACCBF16_VV_M2_E16_MASK, PseudoVFWMACCBF16_VV_M2_E16, 0x3, false }, // 1314
  { PseudoVFWMACCBF16_VV_M2_E32_MASK, PseudoVFWMACCBF16_VV_M2_E32, 0x3, false }, // 1315
  { PseudoVFWMACCBF16_VV_M4_E16_MASK, PseudoVFWMACCBF16_VV_M4_E16, 0x3, false }, // 1316
  { PseudoVFWMACCBF16_VV_M4_E32_MASK, PseudoVFWMACCBF16_VV_M4_E32, 0x3, false }, // 1317
  { PseudoVFWMACCBF16_VV_MF2_E16_MASK, PseudoVFWMACCBF16_VV_MF2_E16, 0x3, false }, // 1318
  { PseudoVFWMACCBF16_VV_MF2_E32_MASK, PseudoVFWMACCBF16_VV_MF2_E32, 0x3, false }, // 1319
  { PseudoVFWMACCBF16_VV_MF4_E16_MASK, PseudoVFWMACCBF16_VV_MF4_E16, 0x3, false }, // 1320
  { PseudoVFWMACC_VFPR16_M1_E16_MASK, PseudoVFWMACC_VFPR16_M1_E16, 0x3, false }, // 1321
  { PseudoVFWMACC_VFPR16_M2_E16_MASK, PseudoVFWMACC_VFPR16_M2_E16, 0x3, false }, // 1322
  { PseudoVFWMACC_VFPR16_M4_E16_MASK, PseudoVFWMACC_VFPR16_M4_E16, 0x3, false }, // 1323
  { PseudoVFWMACC_VFPR16_MF2_E16_MASK, PseudoVFWMACC_VFPR16_MF2_E16, 0x3, false }, // 1324
  { PseudoVFWMACC_VFPR16_MF4_E16_MASK, PseudoVFWMACC_VFPR16_MF4_E16, 0x3, false }, // 1325
  { PseudoVFWMACC_VFPR32_M1_E32_MASK, PseudoVFWMACC_VFPR32_M1_E32, 0x3, false }, // 1326
  { PseudoVFWMACC_VFPR32_M2_E32_MASK, PseudoVFWMACC_VFPR32_M2_E32, 0x3, false }, // 1327
  { PseudoVFWMACC_VFPR32_M4_E32_MASK, PseudoVFWMACC_VFPR32_M4_E32, 0x3, false }, // 1328
  { PseudoVFWMACC_VFPR32_MF2_E32_MASK, PseudoVFWMACC_VFPR32_MF2_E32, 0x3, false }, // 1329
  { PseudoVFWMACC_VV_M1_E16_MASK, PseudoVFWMACC_VV_M1_E16, 0x3, false }, // 1330
  { PseudoVFWMACC_VV_M1_E32_MASK, PseudoVFWMACC_VV_M1_E32, 0x3, false }, // 1331
  { PseudoVFWMACC_VV_M2_E16_MASK, PseudoVFWMACC_VV_M2_E16, 0x3, false }, // 1332
  { PseudoVFWMACC_VV_M2_E32_MASK, PseudoVFWMACC_VV_M2_E32, 0x3, false }, // 1333
  { PseudoVFWMACC_VV_M4_E16_MASK, PseudoVFWMACC_VV_M4_E16, 0x3, false }, // 1334
  { PseudoVFWMACC_VV_M4_E32_MASK, PseudoVFWMACC_VV_M4_E32, 0x3, false }, // 1335
  { PseudoVFWMACC_VV_MF2_E16_MASK, PseudoVFWMACC_VV_MF2_E16, 0x3, false }, // 1336
  { PseudoVFWMACC_VV_MF2_E32_MASK, PseudoVFWMACC_VV_MF2_E32, 0x3, false }, // 1337
  { PseudoVFWMACC_VV_MF4_E16_MASK, PseudoVFWMACC_VV_MF4_E16, 0x3, false }, // 1338
  { PseudoVFWMSAC_VFPR16_M1_E16_MASK, PseudoVFWMSAC_VFPR16_M1_E16, 0x3, false }, // 1339
  { PseudoVFWMSAC_VFPR16_M2_E16_MASK, PseudoVFWMSAC_VFPR16_M2_E16, 0x3, false }, // 1340
  { PseudoVFWMSAC_VFPR16_M4_E16_MASK, PseudoVFWMSAC_VFPR16_M4_E16, 0x3, false }, // 1341
  { PseudoVFWMSAC_VFPR16_MF2_E16_MASK, PseudoVFWMSAC_VFPR16_MF2_E16, 0x3, false }, // 1342
  { PseudoVFWMSAC_VFPR16_MF4_E16_MASK, PseudoVFWMSAC_VFPR16_MF4_E16, 0x3, false }, // 1343
  { PseudoVFWMSAC_VFPR32_M1_E32_MASK, PseudoVFWMSAC_VFPR32_M1_E32, 0x3, false }, // 1344
  { PseudoVFWMSAC_VFPR32_M2_E32_MASK, PseudoVFWMSAC_VFPR32_M2_E32, 0x3, false }, // 1345
  { PseudoVFWMSAC_VFPR32_M4_E32_MASK, PseudoVFWMSAC_VFPR32_M4_E32, 0x3, false }, // 1346
  { PseudoVFWMSAC_VFPR32_MF2_E32_MASK, PseudoVFWMSAC_VFPR32_MF2_E32, 0x3, false }, // 1347
  { PseudoVFWMSAC_VV_M1_E16_MASK, PseudoVFWMSAC_VV_M1_E16, 0x3, false }, // 1348
  { PseudoVFWMSAC_VV_M1_E32_MASK, PseudoVFWMSAC_VV_M1_E32, 0x3, false }, // 1349
  { PseudoVFWMSAC_VV_M2_E16_MASK, PseudoVFWMSAC_VV_M2_E16, 0x3, false }, // 1350
  { PseudoVFWMSAC_VV_M2_E32_MASK, PseudoVFWMSAC_VV_M2_E32, 0x3, false }, // 1351
  { PseudoVFWMSAC_VV_M4_E16_MASK, PseudoVFWMSAC_VV_M4_E16, 0x3, false }, // 1352
  { PseudoVFWMSAC_VV_M4_E32_MASK, PseudoVFWMSAC_VV_M4_E32, 0x3, false }, // 1353
  { PseudoVFWMSAC_VV_MF2_E16_MASK, PseudoVFWMSAC_VV_MF2_E16, 0x3, false }, // 1354
  { PseudoVFWMSAC_VV_MF2_E32_MASK, PseudoVFWMSAC_VV_MF2_E32, 0x3, false }, // 1355
  { PseudoVFWMSAC_VV_MF4_E16_MASK, PseudoVFWMSAC_VV_MF4_E16, 0x3, false }, // 1356
  { PseudoVFWMUL_VFPR16_M1_E16_MASK, PseudoVFWMUL_VFPR16_M1_E16, 0x3, false }, // 1357
  { PseudoVFWMUL_VFPR16_M2_E16_MASK, PseudoVFWMUL_VFPR16_M2_E16, 0x3, false }, // 1358
  { PseudoVFWMUL_VFPR16_M4_E16_MASK, PseudoVFWMUL_VFPR16_M4_E16, 0x3, false }, // 1359
  { PseudoVFWMUL_VFPR16_MF2_E16_MASK, PseudoVFWMUL_VFPR16_MF2_E16, 0x3, false }, // 1360
  { PseudoVFWMUL_VFPR16_MF4_E16_MASK, PseudoVFWMUL_VFPR16_MF4_E16, 0x3, false }, // 1361
  { PseudoVFWMUL_VFPR32_M1_E32_MASK, PseudoVFWMUL_VFPR32_M1_E32, 0x3, false }, // 1362
  { PseudoVFWMUL_VFPR32_M2_E32_MASK, PseudoVFWMUL_VFPR32_M2_E32, 0x3, false }, // 1363
  { PseudoVFWMUL_VFPR32_M4_E32_MASK, PseudoVFWMUL_VFPR32_M4_E32, 0x3, false }, // 1364
  { PseudoVFWMUL_VFPR32_MF2_E32_MASK, PseudoVFWMUL_VFPR32_MF2_E32, 0x3, false }, // 1365
  { PseudoVFWMUL_VV_M1_E16_MASK, PseudoVFWMUL_VV_M1_E16, 0x3, false }, // 1366
  { PseudoVFWMUL_VV_M1_E32_MASK, PseudoVFWMUL_VV_M1_E32, 0x3, false }, // 1367
  { PseudoVFWMUL_VV_M2_E16_MASK, PseudoVFWMUL_VV_M2_E16, 0x3, false }, // 1368
  { PseudoVFWMUL_VV_M2_E32_MASK, PseudoVFWMUL_VV_M2_E32, 0x3, false }, // 1369
  { PseudoVFWMUL_VV_M4_E16_MASK, PseudoVFWMUL_VV_M4_E16, 0x3, false }, // 1370
  { PseudoVFWMUL_VV_M4_E32_MASK, PseudoVFWMUL_VV_M4_E32, 0x3, false }, // 1371
  { PseudoVFWMUL_VV_MF2_E16_MASK, PseudoVFWMUL_VV_MF2_E16, 0x3, false }, // 1372
  { PseudoVFWMUL_VV_MF2_E32_MASK, PseudoVFWMUL_VV_MF2_E32, 0x3, false }, // 1373
  { PseudoVFWMUL_VV_MF4_E16_MASK, PseudoVFWMUL_VV_MF4_E16, 0x3, false }, // 1374
  { PseudoVFWNMACC_VFPR16_M1_E16_MASK, PseudoVFWNMACC_VFPR16_M1_E16, 0x3, false }, // 1375
  { PseudoVFWNMACC_VFPR16_M2_E16_MASK, PseudoVFWNMACC_VFPR16_M2_E16, 0x3, false }, // 1376
  { PseudoVFWNMACC_VFPR16_M4_E16_MASK, PseudoVFWNMACC_VFPR16_M4_E16, 0x3, false }, // 1377
  { PseudoVFWNMACC_VFPR16_MF2_E16_MASK, PseudoVFWNMACC_VFPR16_MF2_E16, 0x3, false }, // 1378
  { PseudoVFWNMACC_VFPR16_MF4_E16_MASK, PseudoVFWNMACC_VFPR16_MF4_E16, 0x3, false }, // 1379
  { PseudoVFWNMACC_VFPR32_M1_E32_MASK, PseudoVFWNMACC_VFPR32_M1_E32, 0x3, false }, // 1380
  { PseudoVFWNMACC_VFPR32_M2_E32_MASK, PseudoVFWNMACC_VFPR32_M2_E32, 0x3, false }, // 1381
  { PseudoVFWNMACC_VFPR32_M4_E32_MASK, PseudoVFWNMACC_VFPR32_M4_E32, 0x3, false }, // 1382
  { PseudoVFWNMACC_VFPR32_MF2_E32_MASK, PseudoVFWNMACC_VFPR32_MF2_E32, 0x3, false }, // 1383
  { PseudoVFWNMACC_VV_M1_E16_MASK, PseudoVFWNMACC_VV_M1_E16, 0x3, false }, // 1384
  { PseudoVFWNMACC_VV_M1_E32_MASK, PseudoVFWNMACC_VV_M1_E32, 0x3, false }, // 1385
  { PseudoVFWNMACC_VV_M2_E16_MASK, PseudoVFWNMACC_VV_M2_E16, 0x3, false }, // 1386
  { PseudoVFWNMACC_VV_M2_E32_MASK, PseudoVFWNMACC_VV_M2_E32, 0x3, false }, // 1387
  { PseudoVFWNMACC_VV_M4_E16_MASK, PseudoVFWNMACC_VV_M4_E16, 0x3, false }, // 1388
  { PseudoVFWNMACC_VV_M4_E32_MASK, PseudoVFWNMACC_VV_M4_E32, 0x3, false }, // 1389
  { PseudoVFWNMACC_VV_MF2_E16_MASK, PseudoVFWNMACC_VV_MF2_E16, 0x3, false }, // 1390
  { PseudoVFWNMACC_VV_MF2_E32_MASK, PseudoVFWNMACC_VV_MF2_E32, 0x3, false }, // 1391
  { PseudoVFWNMACC_VV_MF4_E16_MASK, PseudoVFWNMACC_VV_MF4_E16, 0x3, false }, // 1392
  { PseudoVFWNMSAC_VFPR16_M1_E16_MASK, PseudoVFWNMSAC_VFPR16_M1_E16, 0x3, false }, // 1393
  { PseudoVFWNMSAC_VFPR16_M2_E16_MASK, PseudoVFWNMSAC_VFPR16_M2_E16, 0x3, false }, // 1394
  { PseudoVFWNMSAC_VFPR16_M4_E16_MASK, PseudoVFWNMSAC_VFPR16_M4_E16, 0x3, false }, // 1395
  { PseudoVFWNMSAC_VFPR16_MF2_E16_MASK, PseudoVFWNMSAC_VFPR16_MF2_E16, 0x3, false }, // 1396
  { PseudoVFWNMSAC_VFPR16_MF4_E16_MASK, PseudoVFWNMSAC_VFPR16_MF4_E16, 0x3, false }, // 1397
  { PseudoVFWNMSAC_VFPR32_M1_E32_MASK, PseudoVFWNMSAC_VFPR32_M1_E32, 0x3, false }, // 1398
  { PseudoVFWNMSAC_VFPR32_M2_E32_MASK, PseudoVFWNMSAC_VFPR32_M2_E32, 0x3, false }, // 1399
  { PseudoVFWNMSAC_VFPR32_M4_E32_MASK, PseudoVFWNMSAC_VFPR32_M4_E32, 0x3, false }, // 1400
  { PseudoVFWNMSAC_VFPR32_MF2_E32_MASK, PseudoVFWNMSAC_VFPR32_MF2_E32, 0x3, false }, // 1401
  { PseudoVFWNMSAC_VV_M1_E16_MASK, PseudoVFWNMSAC_VV_M1_E16, 0x3, false }, // 1402
  { PseudoVFWNMSAC_VV_M1_E32_MASK, PseudoVFWNMSAC_VV_M1_E32, 0x3, false }, // 1403
  { PseudoVFWNMSAC_VV_M2_E16_MASK, PseudoVFWNMSAC_VV_M2_E16, 0x3, false }, // 1404
  { PseudoVFWNMSAC_VV_M2_E32_MASK, PseudoVFWNMSAC_VV_M2_E32, 0x3, false }, // 1405
  { PseudoVFWNMSAC_VV_M4_E16_MASK, PseudoVFWNMSAC_VV_M4_E16, 0x3, false }, // 1406
  { PseudoVFWNMSAC_VV_M4_E32_MASK, PseudoVFWNMSAC_VV_M4_E32, 0x3, false }, // 1407
  { PseudoVFWNMSAC_VV_MF2_E16_MASK, PseudoVFWNMSAC_VV_MF2_E16, 0x3, false }, // 1408
  { PseudoVFWNMSAC_VV_MF2_E32_MASK, PseudoVFWNMSAC_VV_MF2_E32, 0x3, false }, // 1409
  { PseudoVFWNMSAC_VV_MF4_E16_MASK, PseudoVFWNMSAC_VV_MF4_E16, 0x3, false }, // 1410
  { PseudoVFWREDOSUM_VS_M1_E16_MASK, PseudoVFWREDOSUM_VS_M1_E16, 0x3, true }, // 1411
  { PseudoVFWREDOSUM_VS_M1_E32_MASK, PseudoVFWREDOSUM_VS_M1_E32, 0x3, true }, // 1412
  { PseudoVFWREDOSUM_VS_M2_E16_MASK, PseudoVFWREDOSUM_VS_M2_E16, 0x3, true }, // 1413
  { PseudoVFWREDOSUM_VS_M2_E32_MASK, PseudoVFWREDOSUM_VS_M2_E32, 0x3, true }, // 1414
  { PseudoVFWREDOSUM_VS_M4_E16_MASK, PseudoVFWREDOSUM_VS_M4_E16, 0x3, true }, // 1415
  { PseudoVFWREDOSUM_VS_M4_E32_MASK, PseudoVFWREDOSUM_VS_M4_E32, 0x3, true }, // 1416
  { PseudoVFWREDOSUM_VS_M8_E16_MASK, PseudoVFWREDOSUM_VS_M8_E16, 0x3, true }, // 1417
  { PseudoVFWREDOSUM_VS_M8_E32_MASK, PseudoVFWREDOSUM_VS_M8_E32, 0x3, true }, // 1418
  { PseudoVFWREDOSUM_VS_MF2_E16_MASK, PseudoVFWREDOSUM_VS_MF2_E16, 0x3, true }, // 1419
  { PseudoVFWREDOSUM_VS_MF2_E32_MASK, PseudoVFWREDOSUM_VS_MF2_E32, 0x3, true }, // 1420
  { PseudoVFWREDOSUM_VS_MF4_E16_MASK, PseudoVFWREDOSUM_VS_MF4_E16, 0x3, true }, // 1421
  { PseudoVFWREDUSUM_VS_M1_E16_MASK, PseudoVFWREDUSUM_VS_M1_E16, 0x3, true }, // 1422
  { PseudoVFWREDUSUM_VS_M1_E32_MASK, PseudoVFWREDUSUM_VS_M1_E32, 0x3, true }, // 1423
  { PseudoVFWREDUSUM_VS_M2_E16_MASK, PseudoVFWREDUSUM_VS_M2_E16, 0x3, true }, // 1424
  { PseudoVFWREDUSUM_VS_M2_E32_MASK, PseudoVFWREDUSUM_VS_M2_E32, 0x3, true }, // 1425
  { PseudoVFWREDUSUM_VS_M4_E16_MASK, PseudoVFWREDUSUM_VS_M4_E16, 0x3, true }, // 1426
  { PseudoVFWREDUSUM_VS_M4_E32_MASK, PseudoVFWREDUSUM_VS_M4_E32, 0x3, true }, // 1427
  { PseudoVFWREDUSUM_VS_M8_E16_MASK, PseudoVFWREDUSUM_VS_M8_E16, 0x3, true }, // 1428
  { PseudoVFWREDUSUM_VS_M8_E32_MASK, PseudoVFWREDUSUM_VS_M8_E32, 0x3, true }, // 1429
  { PseudoVFWREDUSUM_VS_MF2_E16_MASK, PseudoVFWREDUSUM_VS_MF2_E16, 0x3, true }, // 1430
  { PseudoVFWREDUSUM_VS_MF2_E32_MASK, PseudoVFWREDUSUM_VS_MF2_E32, 0x3, true }, // 1431
  { PseudoVFWREDUSUM_VS_MF4_E16_MASK, PseudoVFWREDUSUM_VS_MF4_E16, 0x3, true }, // 1432
  { PseudoVFWSUB_VFPR16_M1_E16_MASK, PseudoVFWSUB_VFPR16_M1_E16, 0x3, false }, // 1433
  { PseudoVFWSUB_VFPR16_M2_E16_MASK, PseudoVFWSUB_VFPR16_M2_E16, 0x3, false }, // 1434
  { PseudoVFWSUB_VFPR16_M4_E16_MASK, PseudoVFWSUB_VFPR16_M4_E16, 0x3, false }, // 1435
  { PseudoVFWSUB_VFPR16_MF2_E16_MASK, PseudoVFWSUB_VFPR16_MF2_E16, 0x3, false }, // 1436
  { PseudoVFWSUB_VFPR16_MF4_E16_MASK, PseudoVFWSUB_VFPR16_MF4_E16, 0x3, false }, // 1437
  { PseudoVFWSUB_VFPR32_M1_E32_MASK, PseudoVFWSUB_VFPR32_M1_E32, 0x3, false }, // 1438
  { PseudoVFWSUB_VFPR32_M2_E32_MASK, PseudoVFWSUB_VFPR32_M2_E32, 0x3, false }, // 1439
  { PseudoVFWSUB_VFPR32_M4_E32_MASK, PseudoVFWSUB_VFPR32_M4_E32, 0x3, false }, // 1440
  { PseudoVFWSUB_VFPR32_MF2_E32_MASK, PseudoVFWSUB_VFPR32_MF2_E32, 0x3, false }, // 1441
  { PseudoVFWSUB_VV_M1_E16_MASK, PseudoVFWSUB_VV_M1_E16, 0x3, false }, // 1442
  { PseudoVFWSUB_VV_M1_E32_MASK, PseudoVFWSUB_VV_M1_E32, 0x3, false }, // 1443
  { PseudoVFWSUB_VV_M2_E16_MASK, PseudoVFWSUB_VV_M2_E16, 0x3, false }, // 1444
  { PseudoVFWSUB_VV_M2_E32_MASK, PseudoVFWSUB_VV_M2_E32, 0x3, false }, // 1445
  { PseudoVFWSUB_VV_M4_E16_MASK, PseudoVFWSUB_VV_M4_E16, 0x3, false }, // 1446
  { PseudoVFWSUB_VV_M4_E32_MASK, PseudoVFWSUB_VV_M4_E32, 0x3, false }, // 1447
  { PseudoVFWSUB_VV_MF2_E16_MASK, PseudoVFWSUB_VV_MF2_E16, 0x3, false }, // 1448
  { PseudoVFWSUB_VV_MF2_E32_MASK, PseudoVFWSUB_VV_MF2_E32, 0x3, false }, // 1449
  { PseudoVFWSUB_VV_MF4_E16_MASK, PseudoVFWSUB_VV_MF4_E16, 0x3, false }, // 1450
  { PseudoVFWSUB_WFPR16_M1_E16_MASK, PseudoVFWSUB_WFPR16_M1_E16, 0x3, false }, // 1451
  { PseudoVFWSUB_WFPR16_M2_E16_MASK, PseudoVFWSUB_WFPR16_M2_E16, 0x3, false }, // 1452
  { PseudoVFWSUB_WFPR16_M4_E16_MASK, PseudoVFWSUB_WFPR16_M4_E16, 0x3, false }, // 1453
  { PseudoVFWSUB_WFPR16_MF2_E16_MASK, PseudoVFWSUB_WFPR16_MF2_E16, 0x3, false }, // 1454
  { PseudoVFWSUB_WFPR16_MF4_E16_MASK, PseudoVFWSUB_WFPR16_MF4_E16, 0x3, false }, // 1455
  { PseudoVFWSUB_WFPR32_M1_E32_MASK, PseudoVFWSUB_WFPR32_M1_E32, 0x3, false }, // 1456
  { PseudoVFWSUB_WFPR32_M2_E32_MASK, PseudoVFWSUB_WFPR32_M2_E32, 0x3, false }, // 1457
  { PseudoVFWSUB_WFPR32_M4_E32_MASK, PseudoVFWSUB_WFPR32_M4_E32, 0x3, false }, // 1458
  { PseudoVFWSUB_WFPR32_MF2_E32_MASK, PseudoVFWSUB_WFPR32_MF2_E32, 0x3, false }, // 1459
  { PseudoVFWSUB_WV_M1_E16_MASK, PseudoVFWSUB_WV_M1_E16, 0x3, false }, // 1460
  { PseudoVFWSUB_WV_M1_E16_MASK_TIED, PseudoVFWSUB_WV_M1_E16_TIED, 0x2, false }, // 1461
  { PseudoVFWSUB_WV_M1_E32_MASK, PseudoVFWSUB_WV_M1_E32, 0x3, false }, // 1462
  { PseudoVFWSUB_WV_M1_E32_MASK_TIED, PseudoVFWSUB_WV_M1_E32_TIED, 0x2, false }, // 1463
  { PseudoVFWSUB_WV_M2_E16_MASK, PseudoVFWSUB_WV_M2_E16, 0x3, false }, // 1464
  { PseudoVFWSUB_WV_M2_E16_MASK_TIED, PseudoVFWSUB_WV_M2_E16_TIED, 0x2, false }, // 1465
  { PseudoVFWSUB_WV_M2_E32_MASK, PseudoVFWSUB_WV_M2_E32, 0x3, false }, // 1466
  { PseudoVFWSUB_WV_M2_E32_MASK_TIED, PseudoVFWSUB_WV_M2_E32_TIED, 0x2, false }, // 1467
  { PseudoVFWSUB_WV_M4_E16_MASK, PseudoVFWSUB_WV_M4_E16, 0x3, false }, // 1468
  { PseudoVFWSUB_WV_M4_E16_MASK_TIED, PseudoVFWSUB_WV_M4_E16_TIED, 0x2, false }, // 1469
  { PseudoVFWSUB_WV_M4_E32_MASK, PseudoVFWSUB_WV_M4_E32, 0x3, false }, // 1470
  { PseudoVFWSUB_WV_M4_E32_MASK_TIED, PseudoVFWSUB_WV_M4_E32_TIED, 0x2, false }, // 1471
  { PseudoVFWSUB_WV_MF2_E16_MASK, PseudoVFWSUB_WV_MF2_E16, 0x3, false }, // 1472
  { PseudoVFWSUB_WV_MF2_E16_MASK_TIED, PseudoVFWSUB_WV_MF2_E16_TIED, 0x2, false }, // 1473
  { PseudoVFWSUB_WV_MF2_E32_MASK, PseudoVFWSUB_WV_MF2_E32, 0x3, false }, // 1474
  { PseudoVFWSUB_WV_MF2_E32_MASK_TIED, PseudoVFWSUB_WV_MF2_E32_TIED, 0x2, false }, // 1475
  { PseudoVFWSUB_WV_MF4_E16_MASK, PseudoVFWSUB_WV_MF4_E16, 0x3, false }, // 1476
  { PseudoVFWSUB_WV_MF4_E16_MASK_TIED, PseudoVFWSUB_WV_MF4_E16_TIED, 0x2, false }, // 1477
  { PseudoVID_V_M1_MASK, PseudoVID_V_M1, 0x1, false }, // 1478
  { PseudoVID_V_M2_MASK, PseudoVID_V_M2, 0x1, false }, // 1479
  { PseudoVID_V_M4_MASK, PseudoVID_V_M4, 0x1, false }, // 1480
  { PseudoVID_V_M8_MASK, PseudoVID_V_M8, 0x1, false }, // 1481
  { PseudoVID_V_MF2_MASK, PseudoVID_V_MF2, 0x1, false }, // 1482
  { PseudoVID_V_MF4_MASK, PseudoVID_V_MF4, 0x1, false }, // 1483
  { PseudoVID_V_MF8_MASK, PseudoVID_V_MF8, 0x1, false }, // 1484
  { PseudoVIOTA_M_M1_MASK, PseudoVIOTA_M_M1, 0x2, true }, // 1485
  { PseudoVIOTA_M_M2_MASK, PseudoVIOTA_M_M2, 0x2, true }, // 1486
  { PseudoVIOTA_M_M4_MASK, PseudoVIOTA_M_M4, 0x2, true }, // 1487
  { PseudoVIOTA_M_M8_MASK, PseudoVIOTA_M_M8, 0x2, true }, // 1488
  { PseudoVIOTA_M_MF2_MASK, PseudoVIOTA_M_MF2, 0x2, true }, // 1489
  { PseudoVIOTA_M_MF4_MASK, PseudoVIOTA_M_MF4, 0x2, true }, // 1490
  { PseudoVIOTA_M_MF8_MASK, PseudoVIOTA_M_MF8, 0x2, true }, // 1491
  { PseudoVLE16FF_V_M1_MASK, PseudoVLE16FF_V_M1, 0x2, false }, // 1492
  { PseudoVLE16FF_V_M2_MASK, PseudoVLE16FF_V_M2, 0x2, false }, // 1493
  { PseudoVLE16FF_V_M4_MASK, PseudoVLE16FF_V_M4, 0x2, false }, // 1494
  { PseudoVLE16FF_V_M8_MASK, PseudoVLE16FF_V_M8, 0x2, false }, // 1495
  { PseudoVLE16FF_V_MF2_MASK, PseudoVLE16FF_V_MF2, 0x2, false }, // 1496
  { PseudoVLE16FF_V_MF4_MASK, PseudoVLE16FF_V_MF4, 0x2, false }, // 1497
  { PseudoVLE16_V_M1_MASK, PseudoVLE16_V_M1, 0x2, false }, // 1498
  { PseudoVLE16_V_M2_MASK, PseudoVLE16_V_M2, 0x2, false }, // 1499
  { PseudoVLE16_V_M4_MASK, PseudoVLE16_V_M4, 0x2, false }, // 1500
  { PseudoVLE16_V_M8_MASK, PseudoVLE16_V_M8, 0x2, false }, // 1501
  { PseudoVLE16_V_MF2_MASK, PseudoVLE16_V_MF2, 0x2, false }, // 1502
  { PseudoVLE16_V_MF4_MASK, PseudoVLE16_V_MF4, 0x2, false }, // 1503
  { PseudoVLE32FF_V_M1_MASK, PseudoVLE32FF_V_M1, 0x2, false }, // 1504
  { PseudoVLE32FF_V_M2_MASK, PseudoVLE32FF_V_M2, 0x2, false }, // 1505
  { PseudoVLE32FF_V_M4_MASK, PseudoVLE32FF_V_M4, 0x2, false }, // 1506
  { PseudoVLE32FF_V_M8_MASK, PseudoVLE32FF_V_M8, 0x2, false }, // 1507
  { PseudoVLE32FF_V_MF2_MASK, PseudoVLE32FF_V_MF2, 0x2, false }, // 1508
  { PseudoVLE32_V_M1_MASK, PseudoVLE32_V_M1, 0x2, false }, // 1509
  { PseudoVLE32_V_M2_MASK, PseudoVLE32_V_M2, 0x2, false }, // 1510
  { PseudoVLE32_V_M4_MASK, PseudoVLE32_V_M4, 0x2, false }, // 1511
  { PseudoVLE32_V_M8_MASK, PseudoVLE32_V_M8, 0x2, false }, // 1512
  { PseudoVLE32_V_MF2_MASK, PseudoVLE32_V_MF2, 0x2, false }, // 1513
  { PseudoVLE64FF_V_M1_MASK, PseudoVLE64FF_V_M1, 0x2, false }, // 1514
  { PseudoVLE64FF_V_M2_MASK, PseudoVLE64FF_V_M2, 0x2, false }, // 1515
  { PseudoVLE64FF_V_M4_MASK, PseudoVLE64FF_V_M4, 0x2, false }, // 1516
  { PseudoVLE64FF_V_M8_MASK, PseudoVLE64FF_V_M8, 0x2, false }, // 1517
  { PseudoVLE64_V_M1_MASK, PseudoVLE64_V_M1, 0x2, false }, // 1518
  { PseudoVLE64_V_M2_MASK, PseudoVLE64_V_M2, 0x2, false }, // 1519
  { PseudoVLE64_V_M4_MASK, PseudoVLE64_V_M4, 0x2, false }, // 1520
  { PseudoVLE64_V_M8_MASK, PseudoVLE64_V_M8, 0x2, false }, // 1521
  { PseudoVLE8FF_V_M1_MASK, PseudoVLE8FF_V_M1, 0x2, false }, // 1522
  { PseudoVLE8FF_V_M2_MASK, PseudoVLE8FF_V_M2, 0x2, false }, // 1523
  { PseudoVLE8FF_V_M4_MASK, PseudoVLE8FF_V_M4, 0x2, false }, // 1524
  { PseudoVLE8FF_V_M8_MASK, PseudoVLE8FF_V_M8, 0x2, false }, // 1525
  { PseudoVLE8FF_V_MF2_MASK, PseudoVLE8FF_V_MF2, 0x2, false }, // 1526
  { PseudoVLE8FF_V_MF4_MASK, PseudoVLE8FF_V_MF4, 0x2, false }, // 1527
  { PseudoVLE8FF_V_MF8_MASK, PseudoVLE8FF_V_MF8, 0x2, false }, // 1528
  { PseudoVLE8_V_M1_MASK, PseudoVLE8_V_M1, 0x2, false }, // 1529
  { PseudoVLE8_V_M2_MASK, PseudoVLE8_V_M2, 0x2, false }, // 1530
  { PseudoVLE8_V_M4_MASK, PseudoVLE8_V_M4, 0x2, false }, // 1531
  { PseudoVLE8_V_M8_MASK, PseudoVLE8_V_M8, 0x2, false }, // 1532
  { PseudoVLE8_V_MF2_MASK, PseudoVLE8_V_MF2, 0x2, false }, // 1533
  { PseudoVLE8_V_MF4_MASK, PseudoVLE8_V_MF4, 0x2, false }, // 1534
  { PseudoVLE8_V_MF8_MASK, PseudoVLE8_V_MF8, 0x2, false }, // 1535
  { PseudoVLOXEI16_V_M1_M1_MASK, PseudoVLOXEI16_V_M1_M1, 0x3, false }, // 1536
  { PseudoVLOXEI16_V_M1_M2_MASK, PseudoVLOXEI16_V_M1_M2, 0x3, false }, // 1537
  { PseudoVLOXEI16_V_M1_M4_MASK, PseudoVLOXEI16_V_M1_M4, 0x3, false }, // 1538
  { PseudoVLOXEI16_V_M1_MF2_MASK, PseudoVLOXEI16_V_M1_MF2, 0x3, false }, // 1539
  { PseudoVLOXEI16_V_M2_M1_MASK, PseudoVLOXEI16_V_M2_M1, 0x3, false }, // 1540
  { PseudoVLOXEI16_V_M2_M2_MASK, PseudoVLOXEI16_V_M2_M2, 0x3, false }, // 1541
  { PseudoVLOXEI16_V_M2_M4_MASK, PseudoVLOXEI16_V_M2_M4, 0x3, false }, // 1542
  { PseudoVLOXEI16_V_M2_M8_MASK, PseudoVLOXEI16_V_M2_M8, 0x3, false }, // 1543
  { PseudoVLOXEI16_V_M4_M2_MASK, PseudoVLOXEI16_V_M4_M2, 0x3, false }, // 1544
  { PseudoVLOXEI16_V_M4_M4_MASK, PseudoVLOXEI16_V_M4_M4, 0x3, false }, // 1545
  { PseudoVLOXEI16_V_M4_M8_MASK, PseudoVLOXEI16_V_M4_M8, 0x3, false }, // 1546
  { PseudoVLOXEI16_V_M8_M4_MASK, PseudoVLOXEI16_V_M8_M4, 0x3, false }, // 1547
  { PseudoVLOXEI16_V_M8_M8_MASK, PseudoVLOXEI16_V_M8_M8, 0x3, false }, // 1548
  { PseudoVLOXEI16_V_MF2_M1_MASK, PseudoVLOXEI16_V_MF2_M1, 0x3, false }, // 1549
  { PseudoVLOXEI16_V_MF2_M2_MASK, PseudoVLOXEI16_V_MF2_M2, 0x3, false }, // 1550
  { PseudoVLOXEI16_V_MF2_MF2_MASK, PseudoVLOXEI16_V_MF2_MF2, 0x3, false }, // 1551
  { PseudoVLOXEI16_V_MF2_MF4_MASK, PseudoVLOXEI16_V_MF2_MF4, 0x3, false }, // 1552
  { PseudoVLOXEI16_V_MF4_M1_MASK, PseudoVLOXEI16_V_MF4_M1, 0x3, false }, // 1553
  { PseudoVLOXEI16_V_MF4_MF2_MASK, PseudoVLOXEI16_V_MF4_MF2, 0x3, false }, // 1554
  { PseudoVLOXEI16_V_MF4_MF4_MASK, PseudoVLOXEI16_V_MF4_MF4, 0x3, false }, // 1555
  { PseudoVLOXEI16_V_MF4_MF8_MASK, PseudoVLOXEI16_V_MF4_MF8, 0x3, false }, // 1556
  { PseudoVLOXEI32_V_M1_M1_MASK, PseudoVLOXEI32_V_M1_M1, 0x3, false }, // 1557
  { PseudoVLOXEI32_V_M1_M2_MASK, PseudoVLOXEI32_V_M1_M2, 0x3, false }, // 1558
  { PseudoVLOXEI32_V_M1_MF2_MASK, PseudoVLOXEI32_V_M1_MF2, 0x3, false }, // 1559
  { PseudoVLOXEI32_V_M1_MF4_MASK, PseudoVLOXEI32_V_M1_MF4, 0x3, false }, // 1560
  { PseudoVLOXEI32_V_M2_M1_MASK, PseudoVLOXEI32_V_M2_M1, 0x3, false }, // 1561
  { PseudoVLOXEI32_V_M2_M2_MASK, PseudoVLOXEI32_V_M2_M2, 0x3, false }, // 1562
  { PseudoVLOXEI32_V_M2_M4_MASK, PseudoVLOXEI32_V_M2_M4, 0x3, false }, // 1563
  { PseudoVLOXEI32_V_M2_MF2_MASK, PseudoVLOXEI32_V_M2_MF2, 0x3, false }, // 1564
  { PseudoVLOXEI32_V_M4_M1_MASK, PseudoVLOXEI32_V_M4_M1, 0x3, false }, // 1565
  { PseudoVLOXEI32_V_M4_M2_MASK, PseudoVLOXEI32_V_M4_M2, 0x3, false }, // 1566
  { PseudoVLOXEI32_V_M4_M4_MASK, PseudoVLOXEI32_V_M4_M4, 0x3, false }, // 1567
  { PseudoVLOXEI32_V_M4_M8_MASK, PseudoVLOXEI32_V_M4_M8, 0x3, false }, // 1568
  { PseudoVLOXEI32_V_M8_M2_MASK, PseudoVLOXEI32_V_M8_M2, 0x3, false }, // 1569
  { PseudoVLOXEI32_V_M8_M4_MASK, PseudoVLOXEI32_V_M8_M4, 0x3, false }, // 1570
  { PseudoVLOXEI32_V_M8_M8_MASK, PseudoVLOXEI32_V_M8_M8, 0x3, false }, // 1571
  { PseudoVLOXEI32_V_MF2_M1_MASK, PseudoVLOXEI32_V_MF2_M1, 0x3, false }, // 1572
  { PseudoVLOXEI32_V_MF2_MF2_MASK, PseudoVLOXEI32_V_MF2_MF2, 0x3, false }, // 1573
  { PseudoVLOXEI32_V_MF2_MF4_MASK, PseudoVLOXEI32_V_MF2_MF4, 0x3, false }, // 1574
  { PseudoVLOXEI32_V_MF2_MF8_MASK, PseudoVLOXEI32_V_MF2_MF8, 0x3, false }, // 1575
  { PseudoVLOXEI64_V_M1_M1_MASK, PseudoVLOXEI64_V_M1_M1, 0x3, false }, // 1576
  { PseudoVLOXEI64_V_M1_MF2_MASK, PseudoVLOXEI64_V_M1_MF2, 0x3, false }, // 1577
  { PseudoVLOXEI64_V_M1_MF4_MASK, PseudoVLOXEI64_V_M1_MF4, 0x3, false }, // 1578
  { PseudoVLOXEI64_V_M1_MF8_MASK, PseudoVLOXEI64_V_M1_MF8, 0x3, false }, // 1579
  { PseudoVLOXEI64_V_M2_M1_MASK, PseudoVLOXEI64_V_M2_M1, 0x3, false }, // 1580
  { PseudoVLOXEI64_V_M2_M2_MASK, PseudoVLOXEI64_V_M2_M2, 0x3, false }, // 1581
  { PseudoVLOXEI64_V_M2_MF2_MASK, PseudoVLOXEI64_V_M2_MF2, 0x3, false }, // 1582
  { PseudoVLOXEI64_V_M2_MF4_MASK, PseudoVLOXEI64_V_M2_MF4, 0x3, false }, // 1583
  { PseudoVLOXEI64_V_M4_M1_MASK, PseudoVLOXEI64_V_M4_M1, 0x3, false }, // 1584
  { PseudoVLOXEI64_V_M4_M2_MASK, PseudoVLOXEI64_V_M4_M2, 0x3, false }, // 1585
  { PseudoVLOXEI64_V_M4_M4_MASK, PseudoVLOXEI64_V_M4_M4, 0x3, false }, // 1586
  { PseudoVLOXEI64_V_M4_MF2_MASK, PseudoVLOXEI64_V_M4_MF2, 0x3, false }, // 1587
  { PseudoVLOXEI64_V_M8_M1_MASK, PseudoVLOXEI64_V_M8_M1, 0x3, false }, // 1588
  { PseudoVLOXEI64_V_M8_M2_MASK, PseudoVLOXEI64_V_M8_M2, 0x3, false }, // 1589
  { PseudoVLOXEI64_V_M8_M4_MASK, PseudoVLOXEI64_V_M8_M4, 0x3, false }, // 1590
  { PseudoVLOXEI64_V_M8_M8_MASK, PseudoVLOXEI64_V_M8_M8, 0x3, false }, // 1591
  { PseudoVLOXEI8_V_M1_M1_MASK, PseudoVLOXEI8_V_M1_M1, 0x3, false }, // 1592
  { PseudoVLOXEI8_V_M1_M2_MASK, PseudoVLOXEI8_V_M1_M2, 0x3, false }, // 1593
  { PseudoVLOXEI8_V_M1_M4_MASK, PseudoVLOXEI8_V_M1_M4, 0x3, false }, // 1594
  { PseudoVLOXEI8_V_M1_M8_MASK, PseudoVLOXEI8_V_M1_M8, 0x3, false }, // 1595
  { PseudoVLOXEI8_V_M2_M2_MASK, PseudoVLOXEI8_V_M2_M2, 0x3, false }, // 1596
  { PseudoVLOXEI8_V_M2_M4_MASK, PseudoVLOXEI8_V_M2_M4, 0x3, false }, // 1597
  { PseudoVLOXEI8_V_M2_M8_MASK, PseudoVLOXEI8_V_M2_M8, 0x3, false }, // 1598
  { PseudoVLOXEI8_V_M4_M4_MASK, PseudoVLOXEI8_V_M4_M4, 0x3, false }, // 1599
  { PseudoVLOXEI8_V_M4_M8_MASK, PseudoVLOXEI8_V_M4_M8, 0x3, false }, // 1600
  { PseudoVLOXEI8_V_M8_M8_MASK, PseudoVLOXEI8_V_M8_M8, 0x3, false }, // 1601
  { PseudoVLOXEI8_V_MF2_M1_MASK, PseudoVLOXEI8_V_MF2_M1, 0x3, false }, // 1602
  { PseudoVLOXEI8_V_MF2_M2_MASK, PseudoVLOXEI8_V_MF2_M2, 0x3, false }, // 1603
  { PseudoVLOXEI8_V_MF2_M4_MASK, PseudoVLOXEI8_V_MF2_M4, 0x3, false }, // 1604
  { PseudoVLOXEI8_V_MF2_MF2_MASK, PseudoVLOXEI8_V_MF2_MF2, 0x3, false }, // 1605
  { PseudoVLOXEI8_V_MF4_M1_MASK, PseudoVLOXEI8_V_MF4_M1, 0x3, false }, // 1606
  { PseudoVLOXEI8_V_MF4_M2_MASK, PseudoVLOXEI8_V_MF4_M2, 0x3, false }, // 1607
  { PseudoVLOXEI8_V_MF4_MF2_MASK, PseudoVLOXEI8_V_MF4_MF2, 0x3, false }, // 1608
  { PseudoVLOXEI8_V_MF4_MF4_MASK, PseudoVLOXEI8_V_MF4_MF4, 0x3, false }, // 1609
  { PseudoVLOXEI8_V_MF8_M1_MASK, PseudoVLOXEI8_V_MF8_M1, 0x3, false }, // 1610
  { PseudoVLOXEI8_V_MF8_MF2_MASK, PseudoVLOXEI8_V_MF8_MF2, 0x3, false }, // 1611
  { PseudoVLOXEI8_V_MF8_MF4_MASK, PseudoVLOXEI8_V_MF8_MF4, 0x3, false }, // 1612
  { PseudoVLOXEI8_V_MF8_MF8_MASK, PseudoVLOXEI8_V_MF8_MF8, 0x3, false }, // 1613
  { PseudoVLSE16_V_M1_MASK, PseudoVLSE16_V_M1, 0x3, false }, // 1614
  { PseudoVLSE16_V_M2_MASK, PseudoVLSE16_V_M2, 0x3, false }, // 1615
  { PseudoVLSE16_V_M4_MASK, PseudoVLSE16_V_M4, 0x3, false }, // 1616
  { PseudoVLSE16_V_M8_MASK, PseudoVLSE16_V_M8, 0x3, false }, // 1617
  { PseudoVLSE16_V_MF2_MASK, PseudoVLSE16_V_MF2, 0x3, false }, // 1618
  { PseudoVLSE16_V_MF4_MASK, PseudoVLSE16_V_MF4, 0x3, false }, // 1619
  { PseudoVLSE32_V_M1_MASK, PseudoVLSE32_V_M1, 0x3, false }, // 1620
  { PseudoVLSE32_V_M2_MASK, PseudoVLSE32_V_M2, 0x3, false }, // 1621
  { PseudoVLSE32_V_M4_MASK, PseudoVLSE32_V_M4, 0x3, false }, // 1622
  { PseudoVLSE32_V_M8_MASK, PseudoVLSE32_V_M8, 0x3, false }, // 1623
  { PseudoVLSE32_V_MF2_MASK, PseudoVLSE32_V_MF2, 0x3, false }, // 1624
  { PseudoVLSE64_V_M1_MASK, PseudoVLSE64_V_M1, 0x3, false }, // 1625
  { PseudoVLSE64_V_M2_MASK, PseudoVLSE64_V_M2, 0x3, false }, // 1626
  { PseudoVLSE64_V_M4_MASK, PseudoVLSE64_V_M4, 0x3, false }, // 1627
  { PseudoVLSE64_V_M8_MASK, PseudoVLSE64_V_M8, 0x3, false }, // 1628
  { PseudoVLSE8_V_M1_MASK, PseudoVLSE8_V_M1, 0x3, false }, // 1629
  { PseudoVLSE8_V_M2_MASK, PseudoVLSE8_V_M2, 0x3, false }, // 1630
  { PseudoVLSE8_V_M4_MASK, PseudoVLSE8_V_M4, 0x3, false }, // 1631
  { PseudoVLSE8_V_M8_MASK, PseudoVLSE8_V_M8, 0x3, false }, // 1632
  { PseudoVLSE8_V_MF2_MASK, PseudoVLSE8_V_MF2, 0x3, false }, // 1633
  { PseudoVLSE8_V_MF4_MASK, PseudoVLSE8_V_MF4, 0x3, false }, // 1634
  { PseudoVLSE8_V_MF8_MASK, PseudoVLSE8_V_MF8, 0x3, false }, // 1635
  { PseudoVLUXEI16_V_M1_M1_MASK, PseudoVLUXEI16_V_M1_M1, 0x3, false }, // 1636
  { PseudoVLUXEI16_V_M1_M2_MASK, PseudoVLUXEI16_V_M1_M2, 0x3, false }, // 1637
  { PseudoVLUXEI16_V_M1_M4_MASK, PseudoVLUXEI16_V_M1_M4, 0x3, false }, // 1638
  { PseudoVLUXEI16_V_M1_MF2_MASK, PseudoVLUXEI16_V_M1_MF2, 0x3, false }, // 1639
  { PseudoVLUXEI16_V_M2_M1_MASK, PseudoVLUXEI16_V_M2_M1, 0x3, false }, // 1640
  { PseudoVLUXEI16_V_M2_M2_MASK, PseudoVLUXEI16_V_M2_M2, 0x3, false }, // 1641
  { PseudoVLUXEI16_V_M2_M4_MASK, PseudoVLUXEI16_V_M2_M4, 0x3, false }, // 1642
  { PseudoVLUXEI16_V_M2_M8_MASK, PseudoVLUXEI16_V_M2_M8, 0x3, false }, // 1643
  { PseudoVLUXEI16_V_M4_M2_MASK, PseudoVLUXEI16_V_M4_M2, 0x3, false }, // 1644
  { PseudoVLUXEI16_V_M4_M4_MASK, PseudoVLUXEI16_V_M4_M4, 0x3, false }, // 1645
  { PseudoVLUXEI16_V_M4_M8_MASK, PseudoVLUXEI16_V_M4_M8, 0x3, false }, // 1646
  { PseudoVLUXEI16_V_M8_M4_MASK, PseudoVLUXEI16_V_M8_M4, 0x3, false }, // 1647
  { PseudoVLUXEI16_V_M8_M8_MASK, PseudoVLUXEI16_V_M8_M8, 0x3, false }, // 1648
  { PseudoVLUXEI16_V_MF2_M1_MASK, PseudoVLUXEI16_V_MF2_M1, 0x3, false }, // 1649
  { PseudoVLUXEI16_V_MF2_M2_MASK, PseudoVLUXEI16_V_MF2_M2, 0x3, false }, // 1650
  { PseudoVLUXEI16_V_MF2_MF2_MASK, PseudoVLUXEI16_V_MF2_MF2, 0x3, false }, // 1651
  { PseudoVLUXEI16_V_MF2_MF4_MASK, PseudoVLUXEI16_V_MF2_MF4, 0x3, false }, // 1652
  { PseudoVLUXEI16_V_MF4_M1_MASK, PseudoVLUXEI16_V_MF4_M1, 0x3, false }, // 1653
  { PseudoVLUXEI16_V_MF4_MF2_MASK, PseudoVLUXEI16_V_MF4_MF2, 0x3, false }, // 1654
  { PseudoVLUXEI16_V_MF4_MF4_MASK, PseudoVLUXEI16_V_MF4_MF4, 0x3, false }, // 1655
  { PseudoVLUXEI16_V_MF4_MF8_MASK, PseudoVLUXEI16_V_MF4_MF8, 0x3, false }, // 1656
  { PseudoVLUXEI32_V_M1_M1_MASK, PseudoVLUXEI32_V_M1_M1, 0x3, false }, // 1657
  { PseudoVLUXEI32_V_M1_M2_MASK, PseudoVLUXEI32_V_M1_M2, 0x3, false }, // 1658
  { PseudoVLUXEI32_V_M1_MF2_MASK, PseudoVLUXEI32_V_M1_MF2, 0x3, false }, // 1659
  { PseudoVLUXEI32_V_M1_MF4_MASK, PseudoVLUXEI32_V_M1_MF4, 0x3, false }, // 1660
  { PseudoVLUXEI32_V_M2_M1_MASK, PseudoVLUXEI32_V_M2_M1, 0x3, false }, // 1661
  { PseudoVLUXEI32_V_M2_M2_MASK, PseudoVLUXEI32_V_M2_M2, 0x3, false }, // 1662
  { PseudoVLUXEI32_V_M2_M4_MASK, PseudoVLUXEI32_V_M2_M4, 0x3, false }, // 1663
  { PseudoVLUXEI32_V_M2_MF2_MASK, PseudoVLUXEI32_V_M2_MF2, 0x3, false }, // 1664
  { PseudoVLUXEI32_V_M4_M1_MASK, PseudoVLUXEI32_V_M4_M1, 0x3, false }, // 1665
  { PseudoVLUXEI32_V_M4_M2_MASK, PseudoVLUXEI32_V_M4_M2, 0x3, false }, // 1666
  { PseudoVLUXEI32_V_M4_M4_MASK, PseudoVLUXEI32_V_M4_M4, 0x3, false }, // 1667
  { PseudoVLUXEI32_V_M4_M8_MASK, PseudoVLUXEI32_V_M4_M8, 0x3, false }, // 1668
  { PseudoVLUXEI32_V_M8_M2_MASK, PseudoVLUXEI32_V_M8_M2, 0x3, false }, // 1669
  { PseudoVLUXEI32_V_M8_M4_MASK, PseudoVLUXEI32_V_M8_M4, 0x3, false }, // 1670
  { PseudoVLUXEI32_V_M8_M8_MASK, PseudoVLUXEI32_V_M8_M8, 0x3, false }, // 1671
  { PseudoVLUXEI32_V_MF2_M1_MASK, PseudoVLUXEI32_V_MF2_M1, 0x3, false }, // 1672
  { PseudoVLUXEI32_V_MF2_MF2_MASK, PseudoVLUXEI32_V_MF2_MF2, 0x3, false }, // 1673
  { PseudoVLUXEI32_V_MF2_MF4_MASK, PseudoVLUXEI32_V_MF2_MF4, 0x3, false }, // 1674
  { PseudoVLUXEI32_V_MF2_MF8_MASK, PseudoVLUXEI32_V_MF2_MF8, 0x3, false }, // 1675
  { PseudoVLUXEI64_V_M1_M1_MASK, PseudoVLUXEI64_V_M1_M1, 0x3, false }, // 1676
  { PseudoVLUXEI64_V_M1_MF2_MASK, PseudoVLUXEI64_V_M1_MF2, 0x3, false }, // 1677
  { PseudoVLUXEI64_V_M1_MF4_MASK, PseudoVLUXEI64_V_M1_MF4, 0x3, false }, // 1678
  { PseudoVLUXEI64_V_M1_MF8_MASK, PseudoVLUXEI64_V_M1_MF8, 0x3, false }, // 1679
  { PseudoVLUXEI64_V_M2_M1_MASK, PseudoVLUXEI64_V_M2_M1, 0x3, false }, // 1680
  { PseudoVLUXEI64_V_M2_M2_MASK, PseudoVLUXEI64_V_M2_M2, 0x3, false }, // 1681
  { PseudoVLUXEI64_V_M2_MF2_MASK, PseudoVLUXEI64_V_M2_MF2, 0x3, false }, // 1682
  { PseudoVLUXEI64_V_M2_MF4_MASK, PseudoVLUXEI64_V_M2_MF4, 0x3, false }, // 1683
  { PseudoVLUXEI64_V_M4_M1_MASK, PseudoVLUXEI64_V_M4_M1, 0x3, false }, // 1684
  { PseudoVLUXEI64_V_M4_M2_MASK, PseudoVLUXEI64_V_M4_M2, 0x3, false }, // 1685
  { PseudoVLUXEI64_V_M4_M4_MASK, PseudoVLUXEI64_V_M4_M4, 0x3, false }, // 1686
  { PseudoVLUXEI64_V_M4_MF2_MASK, PseudoVLUXEI64_V_M4_MF2, 0x3, false }, // 1687
  { PseudoVLUXEI64_V_M8_M1_MASK, PseudoVLUXEI64_V_M8_M1, 0x3, false }, // 1688
  { PseudoVLUXEI64_V_M8_M2_MASK, PseudoVLUXEI64_V_M8_M2, 0x3, false }, // 1689
  { PseudoVLUXEI64_V_M8_M4_MASK, PseudoVLUXEI64_V_M8_M4, 0x3, false }, // 1690
  { PseudoVLUXEI64_V_M8_M8_MASK, PseudoVLUXEI64_V_M8_M8, 0x3, false }, // 1691
  { PseudoVLUXEI8_V_M1_M1_MASK, PseudoVLUXEI8_V_M1_M1, 0x3, false }, // 1692
  { PseudoVLUXEI8_V_M1_M2_MASK, PseudoVLUXEI8_V_M1_M2, 0x3, false }, // 1693
  { PseudoVLUXEI8_V_M1_M4_MASK, PseudoVLUXEI8_V_M1_M4, 0x3, false }, // 1694
  { PseudoVLUXEI8_V_M1_M8_MASK, PseudoVLUXEI8_V_M1_M8, 0x3, false }, // 1695
  { PseudoVLUXEI8_V_M2_M2_MASK, PseudoVLUXEI8_V_M2_M2, 0x3, false }, // 1696
  { PseudoVLUXEI8_V_M2_M4_MASK, PseudoVLUXEI8_V_M2_M4, 0x3, false }, // 1697
  { PseudoVLUXEI8_V_M2_M8_MASK, PseudoVLUXEI8_V_M2_M8, 0x3, false }, // 1698
  { PseudoVLUXEI8_V_M4_M4_MASK, PseudoVLUXEI8_V_M4_M4, 0x3, false }, // 1699
  { PseudoVLUXEI8_V_M4_M8_MASK, PseudoVLUXEI8_V_M4_M8, 0x3, false }, // 1700
  { PseudoVLUXEI8_V_M8_M8_MASK, PseudoVLUXEI8_V_M8_M8, 0x3, false }, // 1701
  { PseudoVLUXEI8_V_MF2_M1_MASK, PseudoVLUXEI8_V_MF2_M1, 0x3, false }, // 1702
  { PseudoVLUXEI8_V_MF2_M2_MASK, PseudoVLUXEI8_V_MF2_M2, 0x3, false }, // 1703
  { PseudoVLUXEI8_V_MF2_M4_MASK, PseudoVLUXEI8_V_MF2_M4, 0x3, false }, // 1704
  { PseudoVLUXEI8_V_MF2_MF2_MASK, PseudoVLUXEI8_V_MF2_MF2, 0x3, false }, // 1705
  { PseudoVLUXEI8_V_MF4_M1_MASK, PseudoVLUXEI8_V_MF4_M1, 0x3, false }, // 1706
  { PseudoVLUXEI8_V_MF4_M2_MASK, PseudoVLUXEI8_V_MF4_M2, 0x3, false }, // 1707
  { PseudoVLUXEI8_V_MF4_MF2_MASK, PseudoVLUXEI8_V_MF4_MF2, 0x3, false }, // 1708
  { PseudoVLUXEI8_V_MF4_MF4_MASK, PseudoVLUXEI8_V_MF4_MF4, 0x3, false }, // 1709
  { PseudoVLUXEI8_V_MF8_M1_MASK, PseudoVLUXEI8_V_MF8_M1, 0x3, false }, // 1710
  { PseudoVLUXEI8_V_MF8_MF2_MASK, PseudoVLUXEI8_V_MF8_MF2, 0x3, false }, // 1711
  { PseudoVLUXEI8_V_MF8_MF4_MASK, PseudoVLUXEI8_V_MF8_MF4, 0x3, false }, // 1712
  { PseudoVLUXEI8_V_MF8_MF8_MASK, PseudoVLUXEI8_V_MF8_MF8, 0x3, false }, // 1713
  { PseudoVMACC_VV_M1_MASK, PseudoVMACC_VV_M1, 0x3, false }, // 1714
  { PseudoVMACC_VV_M2_MASK, PseudoVMACC_VV_M2, 0x3, false }, // 1715
  { PseudoVMACC_VV_M4_MASK, PseudoVMACC_VV_M4, 0x3, false }, // 1716
  { PseudoVMACC_VV_M8_MASK, PseudoVMACC_VV_M8, 0x3, false }, // 1717
  { PseudoVMACC_VV_MF2_MASK, PseudoVMACC_VV_MF2, 0x3, false }, // 1718
  { PseudoVMACC_VV_MF4_MASK, PseudoVMACC_VV_MF4, 0x3, false }, // 1719
  { PseudoVMACC_VV_MF8_MASK, PseudoVMACC_VV_MF8, 0x3, false }, // 1720
  { PseudoVMACC_VX_M1_MASK, PseudoVMACC_VX_M1, 0x3, false }, // 1721
  { PseudoVMACC_VX_M2_MASK, PseudoVMACC_VX_M2, 0x3, false }, // 1722
  { PseudoVMACC_VX_M4_MASK, PseudoVMACC_VX_M4, 0x3, false }, // 1723
  { PseudoVMACC_VX_M8_MASK, PseudoVMACC_VX_M8, 0x3, false }, // 1724
  { PseudoVMACC_VX_MF2_MASK, PseudoVMACC_VX_MF2, 0x3, false }, // 1725
  { PseudoVMACC_VX_MF4_MASK, PseudoVMACC_VX_MF4, 0x3, false }, // 1726
  { PseudoVMACC_VX_MF8_MASK, PseudoVMACC_VX_MF8, 0x3, false }, // 1727
  { PseudoVMADD_VV_M1_MASK, PseudoVMADD_VV_M1, 0x3, false }, // 1728
  { PseudoVMADD_VV_M2_MASK, PseudoVMADD_VV_M2, 0x3, false }, // 1729
  { PseudoVMADD_VV_M4_MASK, PseudoVMADD_VV_M4, 0x3, false }, // 1730
  { PseudoVMADD_VV_M8_MASK, PseudoVMADD_VV_M8, 0x3, false }, // 1731
  { PseudoVMADD_VV_MF2_MASK, PseudoVMADD_VV_MF2, 0x3, false }, // 1732
  { PseudoVMADD_VV_MF4_MASK, PseudoVMADD_VV_MF4, 0x3, false }, // 1733
  { PseudoVMADD_VV_MF8_MASK, PseudoVMADD_VV_MF8, 0x3, false }, // 1734
  { PseudoVMADD_VX_M1_MASK, PseudoVMADD_VX_M1, 0x3, false }, // 1735
  { PseudoVMADD_VX_M2_MASK, PseudoVMADD_VX_M2, 0x3, false }, // 1736
  { PseudoVMADD_VX_M4_MASK, PseudoVMADD_VX_M4, 0x3, false }, // 1737
  { PseudoVMADD_VX_M8_MASK, PseudoVMADD_VX_M8, 0x3, false }, // 1738
  { PseudoVMADD_VX_MF2_MASK, PseudoVMADD_VX_MF2, 0x3, false }, // 1739
  { PseudoVMADD_VX_MF4_MASK, PseudoVMADD_VX_MF4, 0x3, false }, // 1740
  { PseudoVMADD_VX_MF8_MASK, PseudoVMADD_VX_MF8, 0x3, false }, // 1741
  { PseudoVMAXU_VV_M1_MASK, PseudoVMAXU_VV_M1, 0x3, false }, // 1742
  { PseudoVMAXU_VV_M2_MASK, PseudoVMAXU_VV_M2, 0x3, false }, // 1743
  { PseudoVMAXU_VV_M4_MASK, PseudoVMAXU_VV_M4, 0x3, false }, // 1744
  { PseudoVMAXU_VV_M8_MASK, PseudoVMAXU_VV_M8, 0x3, false }, // 1745
  { PseudoVMAXU_VV_MF2_MASK, PseudoVMAXU_VV_MF2, 0x3, false }, // 1746
  { PseudoVMAXU_VV_MF4_MASK, PseudoVMAXU_VV_MF4, 0x3, false }, // 1747
  { PseudoVMAXU_VV_MF8_MASK, PseudoVMAXU_VV_MF8, 0x3, false }, // 1748
  { PseudoVMAXU_VX_M1_MASK, PseudoVMAXU_VX_M1, 0x3, false }, // 1749
  { PseudoVMAXU_VX_M2_MASK, PseudoVMAXU_VX_M2, 0x3, false }, // 1750
  { PseudoVMAXU_VX_M4_MASK, PseudoVMAXU_VX_M4, 0x3, false }, // 1751
  { PseudoVMAXU_VX_M8_MASK, PseudoVMAXU_VX_M8, 0x3, false }, // 1752
  { PseudoVMAXU_VX_MF2_MASK, PseudoVMAXU_VX_MF2, 0x3, false }, // 1753
  { PseudoVMAXU_VX_MF4_MASK, PseudoVMAXU_VX_MF4, 0x3, false }, // 1754
  { PseudoVMAXU_VX_MF8_MASK, PseudoVMAXU_VX_MF8, 0x3, false }, // 1755
  { PseudoVMAX_VV_M1_MASK, PseudoVMAX_VV_M1, 0x3, false }, // 1756
  { PseudoVMAX_VV_M2_MASK, PseudoVMAX_VV_M2, 0x3, false }, // 1757
  { PseudoVMAX_VV_M4_MASK, PseudoVMAX_VV_M4, 0x3, false }, // 1758
  { PseudoVMAX_VV_M8_MASK, PseudoVMAX_VV_M8, 0x3, false }, // 1759
  { PseudoVMAX_VV_MF2_MASK, PseudoVMAX_VV_MF2, 0x3, false }, // 1760
  { PseudoVMAX_VV_MF4_MASK, PseudoVMAX_VV_MF4, 0x3, false }, // 1761
  { PseudoVMAX_VV_MF8_MASK, PseudoVMAX_VV_MF8, 0x3, false }, // 1762
  { PseudoVMAX_VX_M1_MASK, PseudoVMAX_VX_M1, 0x3, false }, // 1763
  { PseudoVMAX_VX_M2_MASK, PseudoVMAX_VX_M2, 0x3, false }, // 1764
  { PseudoVMAX_VX_M4_MASK, PseudoVMAX_VX_M4, 0x3, false }, // 1765
  { PseudoVMAX_VX_M8_MASK, PseudoVMAX_VX_M8, 0x3, false }, // 1766
  { PseudoVMAX_VX_MF2_MASK, PseudoVMAX_VX_MF2, 0x3, false }, // 1767
  { PseudoVMAX_VX_MF4_MASK, PseudoVMAX_VX_MF4, 0x3, false }, // 1768
  { PseudoVMAX_VX_MF8_MASK, PseudoVMAX_VX_MF8, 0x3, false }, // 1769
  { PseudoVMFEQ_VFPR16_M1_MASK, PseudoVMFEQ_VFPR16_M1, 0x3, false }, // 1770
  { PseudoVMFEQ_VFPR16_M2_MASK, PseudoVMFEQ_VFPR16_M2, 0x3, false }, // 1771
  { PseudoVMFEQ_VFPR16_M4_MASK, PseudoVMFEQ_VFPR16_M4, 0x3, false }, // 1772
  { PseudoVMFEQ_VFPR16_M8_MASK, PseudoVMFEQ_VFPR16_M8, 0x3, false }, // 1773
  { PseudoVMFEQ_VFPR16_MF2_MASK, PseudoVMFEQ_VFPR16_MF2, 0x3, false }, // 1774
  { PseudoVMFEQ_VFPR16_MF4_MASK, PseudoVMFEQ_VFPR16_MF4, 0x3, false }, // 1775
  { PseudoVMFEQ_VFPR32_M1_MASK, PseudoVMFEQ_VFPR32_M1, 0x3, false }, // 1776
  { PseudoVMFEQ_VFPR32_M2_MASK, PseudoVMFEQ_VFPR32_M2, 0x3, false }, // 1777
  { PseudoVMFEQ_VFPR32_M4_MASK, PseudoVMFEQ_VFPR32_M4, 0x3, false }, // 1778
  { PseudoVMFEQ_VFPR32_M8_MASK, PseudoVMFEQ_VFPR32_M8, 0x3, false }, // 1779
  { PseudoVMFEQ_VFPR32_MF2_MASK, PseudoVMFEQ_VFPR32_MF2, 0x3, false }, // 1780
  { PseudoVMFEQ_VFPR64_M1_MASK, PseudoVMFEQ_VFPR64_M1, 0x3, false }, // 1781
  { PseudoVMFEQ_VFPR64_M2_MASK, PseudoVMFEQ_VFPR64_M2, 0x3, false }, // 1782
  { PseudoVMFEQ_VFPR64_M4_MASK, PseudoVMFEQ_VFPR64_M4, 0x3, false }, // 1783
  { PseudoVMFEQ_VFPR64_M8_MASK, PseudoVMFEQ_VFPR64_M8, 0x3, false }, // 1784
  { PseudoVMFEQ_VV_M1_MASK, PseudoVMFEQ_VV_M1, 0x3, false }, // 1785
  { PseudoVMFEQ_VV_M2_MASK, PseudoVMFEQ_VV_M2, 0x3, false }, // 1786
  { PseudoVMFEQ_VV_M4_MASK, PseudoVMFEQ_VV_M4, 0x3, false }, // 1787
  { PseudoVMFEQ_VV_M8_MASK, PseudoVMFEQ_VV_M8, 0x3, false }, // 1788
  { PseudoVMFEQ_VV_MF2_MASK, PseudoVMFEQ_VV_MF2, 0x3, false }, // 1789
  { PseudoVMFEQ_VV_MF4_MASK, PseudoVMFEQ_VV_MF4, 0x3, false }, // 1790
  { PseudoVMFGE_VFPR16_M1_MASK, PseudoVMFGE_VFPR16_M1, 0x3, false }, // 1791
  { PseudoVMFGE_VFPR16_M2_MASK, PseudoVMFGE_VFPR16_M2, 0x3, false }, // 1792
  { PseudoVMFGE_VFPR16_M4_MASK, PseudoVMFGE_VFPR16_M4, 0x3, false }, // 1793
  { PseudoVMFGE_VFPR16_M8_MASK, PseudoVMFGE_VFPR16_M8, 0x3, false }, // 1794
  { PseudoVMFGE_VFPR16_MF2_MASK, PseudoVMFGE_VFPR16_MF2, 0x3, false }, // 1795
  { PseudoVMFGE_VFPR16_MF4_MASK, PseudoVMFGE_VFPR16_MF4, 0x3, false }, // 1796
  { PseudoVMFGE_VFPR32_M1_MASK, PseudoVMFGE_VFPR32_M1, 0x3, false }, // 1797
  { PseudoVMFGE_VFPR32_M2_MASK, PseudoVMFGE_VFPR32_M2, 0x3, false }, // 1798
  { PseudoVMFGE_VFPR32_M4_MASK, PseudoVMFGE_VFPR32_M4, 0x3, false }, // 1799
  { PseudoVMFGE_VFPR32_M8_MASK, PseudoVMFGE_VFPR32_M8, 0x3, false }, // 1800
  { PseudoVMFGE_VFPR32_MF2_MASK, PseudoVMFGE_VFPR32_MF2, 0x3, false }, // 1801
  { PseudoVMFGE_VFPR64_M1_MASK, PseudoVMFGE_VFPR64_M1, 0x3, false }, // 1802
  { PseudoVMFGE_VFPR64_M2_MASK, PseudoVMFGE_VFPR64_M2, 0x3, false }, // 1803
  { PseudoVMFGE_VFPR64_M4_MASK, PseudoVMFGE_VFPR64_M4, 0x3, false }, // 1804
  { PseudoVMFGE_VFPR64_M8_MASK, PseudoVMFGE_VFPR64_M8, 0x3, false }, // 1805
  { PseudoVMFGT_VFPR16_M1_MASK, PseudoVMFGT_VFPR16_M1, 0x3, false }, // 1806
  { PseudoVMFGT_VFPR16_M2_MASK, PseudoVMFGT_VFPR16_M2, 0x3, false }, // 1807
  { PseudoVMFGT_VFPR16_M4_MASK, PseudoVMFGT_VFPR16_M4, 0x3, false }, // 1808
  { PseudoVMFGT_VFPR16_M8_MASK, PseudoVMFGT_VFPR16_M8, 0x3, false }, // 1809
  { PseudoVMFGT_VFPR16_MF2_MASK, PseudoVMFGT_VFPR16_MF2, 0x3, false }, // 1810
  { PseudoVMFGT_VFPR16_MF4_MASK, PseudoVMFGT_VFPR16_MF4, 0x3, false }, // 1811
  { PseudoVMFGT_VFPR32_M1_MASK, PseudoVMFGT_VFPR32_M1, 0x3, false }, // 1812
  { PseudoVMFGT_VFPR32_M2_MASK, PseudoVMFGT_VFPR32_M2, 0x3, false }, // 1813
  { PseudoVMFGT_VFPR32_M4_MASK, PseudoVMFGT_VFPR32_M4, 0x3, false }, // 1814
  { PseudoVMFGT_VFPR32_M8_MASK, PseudoVMFGT_VFPR32_M8, 0x3, false }, // 1815
  { PseudoVMFGT_VFPR32_MF2_MASK, PseudoVMFGT_VFPR32_MF2, 0x3, false }, // 1816
  { PseudoVMFGT_VFPR64_M1_MASK, PseudoVMFGT_VFPR64_M1, 0x3, false }, // 1817
  { PseudoVMFGT_VFPR64_M2_MASK, PseudoVMFGT_VFPR64_M2, 0x3, false }, // 1818
  { PseudoVMFGT_VFPR64_M4_MASK, PseudoVMFGT_VFPR64_M4, 0x3, false }, // 1819
  { PseudoVMFGT_VFPR64_M8_MASK, PseudoVMFGT_VFPR64_M8, 0x3, false }, // 1820
  { PseudoVMFLE_VFPR16_M1_MASK, PseudoVMFLE_VFPR16_M1, 0x3, false }, // 1821
  { PseudoVMFLE_VFPR16_M2_MASK, PseudoVMFLE_VFPR16_M2, 0x3, false }, // 1822
  { PseudoVMFLE_VFPR16_M4_MASK, PseudoVMFLE_VFPR16_M4, 0x3, false }, // 1823
  { PseudoVMFLE_VFPR16_M8_MASK, PseudoVMFLE_VFPR16_M8, 0x3, false }, // 1824
  { PseudoVMFLE_VFPR16_MF2_MASK, PseudoVMFLE_VFPR16_MF2, 0x3, false }, // 1825
  { PseudoVMFLE_VFPR16_MF4_MASK, PseudoVMFLE_VFPR16_MF4, 0x3, false }, // 1826
  { PseudoVMFLE_VFPR32_M1_MASK, PseudoVMFLE_VFPR32_M1, 0x3, false }, // 1827
  { PseudoVMFLE_VFPR32_M2_MASK, PseudoVMFLE_VFPR32_M2, 0x3, false }, // 1828
  { PseudoVMFLE_VFPR32_M4_MASK, PseudoVMFLE_VFPR32_M4, 0x3, false }, // 1829
  { PseudoVMFLE_VFPR32_M8_MASK, PseudoVMFLE_VFPR32_M8, 0x3, false }, // 1830
  { PseudoVMFLE_VFPR32_MF2_MASK, PseudoVMFLE_VFPR32_MF2, 0x3, false }, // 1831
  { PseudoVMFLE_VFPR64_M1_MASK, PseudoVMFLE_VFPR64_M1, 0x3, false }, // 1832
  { PseudoVMFLE_VFPR64_M2_MASK, PseudoVMFLE_VFPR64_M2, 0x3, false }, // 1833
  { PseudoVMFLE_VFPR64_M4_MASK, PseudoVMFLE_VFPR64_M4, 0x3, false }, // 1834
  { PseudoVMFLE_VFPR64_M8_MASK, PseudoVMFLE_VFPR64_M8, 0x3, false }, // 1835
  { PseudoVMFLE_VV_M1_MASK, PseudoVMFLE_VV_M1, 0x3, false }, // 1836
  { PseudoVMFLE_VV_M2_MASK, PseudoVMFLE_VV_M2, 0x3, false }, // 1837
  { PseudoVMFLE_VV_M4_MASK, PseudoVMFLE_VV_M4, 0x3, false }, // 1838
  { PseudoVMFLE_VV_M8_MASK, PseudoVMFLE_VV_M8, 0x3, false }, // 1839
  { PseudoVMFLE_VV_MF2_MASK, PseudoVMFLE_VV_MF2, 0x3, false }, // 1840
  { PseudoVMFLE_VV_MF4_MASK, PseudoVMFLE_VV_MF4, 0x3, false }, // 1841
  { PseudoVMFLT_VFPR16_M1_MASK, PseudoVMFLT_VFPR16_M1, 0x3, false }, // 1842
  { PseudoVMFLT_VFPR16_M2_MASK, PseudoVMFLT_VFPR16_M2, 0x3, false }, // 1843
  { PseudoVMFLT_VFPR16_M4_MASK, PseudoVMFLT_VFPR16_M4, 0x3, false }, // 1844
  { PseudoVMFLT_VFPR16_M8_MASK, PseudoVMFLT_VFPR16_M8, 0x3, false }, // 1845
  { PseudoVMFLT_VFPR16_MF2_MASK, PseudoVMFLT_VFPR16_MF2, 0x3, false }, // 1846
  { PseudoVMFLT_VFPR16_MF4_MASK, PseudoVMFLT_VFPR16_MF4, 0x3, false }, // 1847
  { PseudoVMFLT_VFPR32_M1_MASK, PseudoVMFLT_VFPR32_M1, 0x3, false }, // 1848
  { PseudoVMFLT_VFPR32_M2_MASK, PseudoVMFLT_VFPR32_M2, 0x3, false }, // 1849
  { PseudoVMFLT_VFPR32_M4_MASK, PseudoVMFLT_VFPR32_M4, 0x3, false }, // 1850
  { PseudoVMFLT_VFPR32_M8_MASK, PseudoVMFLT_VFPR32_M8, 0x3, false }, // 1851
  { PseudoVMFLT_VFPR32_MF2_MASK, PseudoVMFLT_VFPR32_MF2, 0x3, false }, // 1852
  { PseudoVMFLT_VFPR64_M1_MASK, PseudoVMFLT_VFPR64_M1, 0x3, false }, // 1853
  { PseudoVMFLT_VFPR64_M2_MASK, PseudoVMFLT_VFPR64_M2, 0x3, false }, // 1854
  { PseudoVMFLT_VFPR64_M4_MASK, PseudoVMFLT_VFPR64_M4, 0x3, false }, // 1855
  { PseudoVMFLT_VFPR64_M8_MASK, PseudoVMFLT_VFPR64_M8, 0x3, false }, // 1856
  { PseudoVMFLT_VV_M1_MASK, PseudoVMFLT_VV_M1, 0x3, false }, // 1857
  { PseudoVMFLT_VV_M2_MASK, PseudoVMFLT_VV_M2, 0x3, false }, // 1858
  { PseudoVMFLT_VV_M4_MASK, PseudoVMFLT_VV_M4, 0x3, false }, // 1859
  { PseudoVMFLT_VV_M8_MASK, PseudoVMFLT_VV_M8, 0x3, false }, // 1860
  { PseudoVMFLT_VV_MF2_MASK, PseudoVMFLT_VV_MF2, 0x3, false }, // 1861
  { PseudoVMFLT_VV_MF4_MASK, PseudoVMFLT_VV_MF4, 0x3, false }, // 1862
  { PseudoVMFNE_VFPR16_M1_MASK, PseudoVMFNE_VFPR16_M1, 0x3, false }, // 1863
  { PseudoVMFNE_VFPR16_M2_MASK, PseudoVMFNE_VFPR16_M2, 0x3, false }, // 1864
  { PseudoVMFNE_VFPR16_M4_MASK, PseudoVMFNE_VFPR16_M4, 0x3, false }, // 1865
  { PseudoVMFNE_VFPR16_M8_MASK, PseudoVMFNE_VFPR16_M8, 0x3, false }, // 1866
  { PseudoVMFNE_VFPR16_MF2_MASK, PseudoVMFNE_VFPR16_MF2, 0x3, false }, // 1867
  { PseudoVMFNE_VFPR16_MF4_MASK, PseudoVMFNE_VFPR16_MF4, 0x3, false }, // 1868
  { PseudoVMFNE_VFPR32_M1_MASK, PseudoVMFNE_VFPR32_M1, 0x3, false }, // 1869
  { PseudoVMFNE_VFPR32_M2_MASK, PseudoVMFNE_VFPR32_M2, 0x3, false }, // 1870
  { PseudoVMFNE_VFPR32_M4_MASK, PseudoVMFNE_VFPR32_M4, 0x3, false }, // 1871
  { PseudoVMFNE_VFPR32_M8_MASK, PseudoVMFNE_VFPR32_M8, 0x3, false }, // 1872
  { PseudoVMFNE_VFPR32_MF2_MASK, PseudoVMFNE_VFPR32_MF2, 0x3, false }, // 1873
  { PseudoVMFNE_VFPR64_M1_MASK, PseudoVMFNE_VFPR64_M1, 0x3, false }, // 1874
  { PseudoVMFNE_VFPR64_M2_MASK, PseudoVMFNE_VFPR64_M2, 0x3, false }, // 1875
  { PseudoVMFNE_VFPR64_M4_MASK, PseudoVMFNE_VFPR64_M4, 0x3, false }, // 1876
  { PseudoVMFNE_VFPR64_M8_MASK, PseudoVMFNE_VFPR64_M8, 0x3, false }, // 1877
  { PseudoVMFNE_VV_M1_MASK, PseudoVMFNE_VV_M1, 0x3, false }, // 1878
  { PseudoVMFNE_VV_M2_MASK, PseudoVMFNE_VV_M2, 0x3, false }, // 1879
  { PseudoVMFNE_VV_M4_MASK, PseudoVMFNE_VV_M4, 0x3, false }, // 1880
  { PseudoVMFNE_VV_M8_MASK, PseudoVMFNE_VV_M8, 0x3, false }, // 1881
  { PseudoVMFNE_VV_MF2_MASK, PseudoVMFNE_VV_MF2, 0x3, false }, // 1882
  { PseudoVMFNE_VV_MF4_MASK, PseudoVMFNE_VV_MF4, 0x3, false }, // 1883
  { PseudoVMINU_VV_M1_MASK, PseudoVMINU_VV_M1, 0x3, false }, // 1884
  { PseudoVMINU_VV_M2_MASK, PseudoVMINU_VV_M2, 0x3, false }, // 1885
  { PseudoVMINU_VV_M4_MASK, PseudoVMINU_VV_M4, 0x3, false }, // 1886
  { PseudoVMINU_VV_M8_MASK, PseudoVMINU_VV_M8, 0x3, false }, // 1887
  { PseudoVMINU_VV_MF2_MASK, PseudoVMINU_VV_MF2, 0x3, false }, // 1888
  { PseudoVMINU_VV_MF4_MASK, PseudoVMINU_VV_MF4, 0x3, false }, // 1889
  { PseudoVMINU_VV_MF8_MASK, PseudoVMINU_VV_MF8, 0x3, false }, // 1890
  { PseudoVMINU_VX_M1_MASK, PseudoVMINU_VX_M1, 0x3, false }, // 1891
  { PseudoVMINU_VX_M2_MASK, PseudoVMINU_VX_M2, 0x3, false }, // 1892
  { PseudoVMINU_VX_M4_MASK, PseudoVMINU_VX_M4, 0x3, false }, // 1893
  { PseudoVMINU_VX_M8_MASK, PseudoVMINU_VX_M8, 0x3, false }, // 1894
  { PseudoVMINU_VX_MF2_MASK, PseudoVMINU_VX_MF2, 0x3, false }, // 1895
  { PseudoVMINU_VX_MF4_MASK, PseudoVMINU_VX_MF4, 0x3, false }, // 1896
  { PseudoVMINU_VX_MF8_MASK, PseudoVMINU_VX_MF8, 0x3, false }, // 1897
  { PseudoVMIN_VV_M1_MASK, PseudoVMIN_VV_M1, 0x3, false }, // 1898
  { PseudoVMIN_VV_M2_MASK, PseudoVMIN_VV_M2, 0x3, false }, // 1899
  { PseudoVMIN_VV_M4_MASK, PseudoVMIN_VV_M4, 0x3, false }, // 1900
  { PseudoVMIN_VV_M8_MASK, PseudoVMIN_VV_M8, 0x3, false }, // 1901
  { PseudoVMIN_VV_MF2_MASK, PseudoVMIN_VV_MF2, 0x3, false }, // 1902
  { PseudoVMIN_VV_MF4_MASK, PseudoVMIN_VV_MF4, 0x3, false }, // 1903
  { PseudoVMIN_VV_MF8_MASK, PseudoVMIN_VV_MF8, 0x3, false }, // 1904
  { PseudoVMIN_VX_M1_MASK, PseudoVMIN_VX_M1, 0x3, false }, // 1905
  { PseudoVMIN_VX_M2_MASK, PseudoVMIN_VX_M2, 0x3, false }, // 1906
  { PseudoVMIN_VX_M4_MASK, PseudoVMIN_VX_M4, 0x3, false }, // 1907
  { PseudoVMIN_VX_M8_MASK, PseudoVMIN_VX_M8, 0x3, false }, // 1908
  { PseudoVMIN_VX_MF2_MASK, PseudoVMIN_VX_MF2, 0x3, false }, // 1909
  { PseudoVMIN_VX_MF4_MASK, PseudoVMIN_VX_MF4, 0x3, false }, // 1910
  { PseudoVMIN_VX_MF8_MASK, PseudoVMIN_VX_MF8, 0x3, false }, // 1911
  { PseudoVMSEQ_VI_M1_MASK, PseudoVMSEQ_VI_M1, 0x3, false }, // 1912
  { PseudoVMSEQ_VI_M2_MASK, PseudoVMSEQ_VI_M2, 0x3, false }, // 1913
  { PseudoVMSEQ_VI_M4_MASK, PseudoVMSEQ_VI_M4, 0x3, false }, // 1914
  { PseudoVMSEQ_VI_M8_MASK, PseudoVMSEQ_VI_M8, 0x3, false }, // 1915
  { PseudoVMSEQ_VI_MF2_MASK, PseudoVMSEQ_VI_MF2, 0x3, false }, // 1916
  { PseudoVMSEQ_VI_MF4_MASK, PseudoVMSEQ_VI_MF4, 0x3, false }, // 1917
  { PseudoVMSEQ_VI_MF8_MASK, PseudoVMSEQ_VI_MF8, 0x3, false }, // 1918
  { PseudoVMSEQ_VV_M1_MASK, PseudoVMSEQ_VV_M1, 0x3, false }, // 1919
  { PseudoVMSEQ_VV_M2_MASK, PseudoVMSEQ_VV_M2, 0x3, false }, // 1920
  { PseudoVMSEQ_VV_M4_MASK, PseudoVMSEQ_VV_M4, 0x3, false }, // 1921
  { PseudoVMSEQ_VV_M8_MASK, PseudoVMSEQ_VV_M8, 0x3, false }, // 1922
  { PseudoVMSEQ_VV_MF2_MASK, PseudoVMSEQ_VV_MF2, 0x3, false }, // 1923
  { PseudoVMSEQ_VV_MF4_MASK, PseudoVMSEQ_VV_MF4, 0x3, false }, // 1924
  { PseudoVMSEQ_VV_MF8_MASK, PseudoVMSEQ_VV_MF8, 0x3, false }, // 1925
  { PseudoVMSEQ_VX_M1_MASK, PseudoVMSEQ_VX_M1, 0x3, false }, // 1926
  { PseudoVMSEQ_VX_M2_MASK, PseudoVMSEQ_VX_M2, 0x3, false }, // 1927
  { PseudoVMSEQ_VX_M4_MASK, PseudoVMSEQ_VX_M4, 0x3, false }, // 1928
  { PseudoVMSEQ_VX_M8_MASK, PseudoVMSEQ_VX_M8, 0x3, false }, // 1929
  { PseudoVMSEQ_VX_MF2_MASK, PseudoVMSEQ_VX_MF2, 0x3, false }, // 1930
  { PseudoVMSEQ_VX_MF4_MASK, PseudoVMSEQ_VX_MF4, 0x3, false }, // 1931
  { PseudoVMSEQ_VX_MF8_MASK, PseudoVMSEQ_VX_MF8, 0x3, false }, // 1932
  { PseudoVMSGTU_VI_M1_MASK, PseudoVMSGTU_VI_M1, 0x3, false }, // 1933
  { PseudoVMSGTU_VI_M2_MASK, PseudoVMSGTU_VI_M2, 0x3, false }, // 1934
  { PseudoVMSGTU_VI_M4_MASK, PseudoVMSGTU_VI_M4, 0x3, false }, // 1935
  { PseudoVMSGTU_VI_M8_MASK, PseudoVMSGTU_VI_M8, 0x3, false }, // 1936
  { PseudoVMSGTU_VI_MF2_MASK, PseudoVMSGTU_VI_MF2, 0x3, false }, // 1937
  { PseudoVMSGTU_VI_MF4_MASK, PseudoVMSGTU_VI_MF4, 0x3, false }, // 1938
  { PseudoVMSGTU_VI_MF8_MASK, PseudoVMSGTU_VI_MF8, 0x3, false }, // 1939
  { PseudoVMSGTU_VX_M1_MASK, PseudoVMSGTU_VX_M1, 0x3, false }, // 1940
  { PseudoVMSGTU_VX_M2_MASK, PseudoVMSGTU_VX_M2, 0x3, false }, // 1941
  { PseudoVMSGTU_VX_M4_MASK, PseudoVMSGTU_VX_M4, 0x3, false }, // 1942
  { PseudoVMSGTU_VX_M8_MASK, PseudoVMSGTU_VX_M8, 0x3, false }, // 1943
  { PseudoVMSGTU_VX_MF2_MASK, PseudoVMSGTU_VX_MF2, 0x3, false }, // 1944
  { PseudoVMSGTU_VX_MF4_MASK, PseudoVMSGTU_VX_MF4, 0x3, false }, // 1945
  { PseudoVMSGTU_VX_MF8_MASK, PseudoVMSGTU_VX_MF8, 0x3, false }, // 1946
  { PseudoVMSGT_VI_M1_MASK, PseudoVMSGT_VI_M1, 0x3, false }, // 1947
  { PseudoVMSGT_VI_M2_MASK, PseudoVMSGT_VI_M2, 0x3, false }, // 1948
  { PseudoVMSGT_VI_M4_MASK, PseudoVMSGT_VI_M4, 0x3, false }, // 1949
  { PseudoVMSGT_VI_M8_MASK, PseudoVMSGT_VI_M8, 0x3, false }, // 1950
  { PseudoVMSGT_VI_MF2_MASK, PseudoVMSGT_VI_MF2, 0x3, false }, // 1951
  { PseudoVMSGT_VI_MF4_MASK, PseudoVMSGT_VI_MF4, 0x3, false }, // 1952
  { PseudoVMSGT_VI_MF8_MASK, PseudoVMSGT_VI_MF8, 0x3, false }, // 1953
  { PseudoVMSGT_VX_M1_MASK, PseudoVMSGT_VX_M1, 0x3, false }, // 1954
  { PseudoVMSGT_VX_M2_MASK, PseudoVMSGT_VX_M2, 0x3, false }, // 1955
  { PseudoVMSGT_VX_M4_MASK, PseudoVMSGT_VX_M4, 0x3, false }, // 1956
  { PseudoVMSGT_VX_M8_MASK, PseudoVMSGT_VX_M8, 0x3, false }, // 1957
  { PseudoVMSGT_VX_MF2_MASK, PseudoVMSGT_VX_MF2, 0x3, false }, // 1958
  { PseudoVMSGT_VX_MF4_MASK, PseudoVMSGT_VX_MF4, 0x3, false }, // 1959
  { PseudoVMSGT_VX_MF8_MASK, PseudoVMSGT_VX_MF8, 0x3, false }, // 1960
  { PseudoVMSLEU_VI_M1_MASK, PseudoVMSLEU_VI_M1, 0x3, false }, // 1961
  { PseudoVMSLEU_VI_M2_MASK, PseudoVMSLEU_VI_M2, 0x3, false }, // 1962
  { PseudoVMSLEU_VI_M4_MASK, PseudoVMSLEU_VI_M4, 0x3, false }, // 1963
  { PseudoVMSLEU_VI_M8_MASK, PseudoVMSLEU_VI_M8, 0x3, false }, // 1964
  { PseudoVMSLEU_VI_MF2_MASK, PseudoVMSLEU_VI_MF2, 0x3, false }, // 1965
  { PseudoVMSLEU_VI_MF4_MASK, PseudoVMSLEU_VI_MF4, 0x3, false }, // 1966
  { PseudoVMSLEU_VI_MF8_MASK, PseudoVMSLEU_VI_MF8, 0x3, false }, // 1967
  { PseudoVMSLEU_VV_M1_MASK, PseudoVMSLEU_VV_M1, 0x3, false }, // 1968
  { PseudoVMSLEU_VV_M2_MASK, PseudoVMSLEU_VV_M2, 0x3, false }, // 1969
  { PseudoVMSLEU_VV_M4_MASK, PseudoVMSLEU_VV_M4, 0x3, false }, // 1970
  { PseudoVMSLEU_VV_M8_MASK, PseudoVMSLEU_VV_M8, 0x3, false }, // 1971
  { PseudoVMSLEU_VV_MF2_MASK, PseudoVMSLEU_VV_MF2, 0x3, false }, // 1972
  { PseudoVMSLEU_VV_MF4_MASK, PseudoVMSLEU_VV_MF4, 0x3, false }, // 1973
  { PseudoVMSLEU_VV_MF8_MASK, PseudoVMSLEU_VV_MF8, 0x3, false }, // 1974
  { PseudoVMSLEU_VX_M1_MASK, PseudoVMSLEU_VX_M1, 0x3, false }, // 1975
  { PseudoVMSLEU_VX_M2_MASK, PseudoVMSLEU_VX_M2, 0x3, false }, // 1976
  { PseudoVMSLEU_VX_M4_MASK, PseudoVMSLEU_VX_M4, 0x3, false }, // 1977
  { PseudoVMSLEU_VX_M8_MASK, PseudoVMSLEU_VX_M8, 0x3, false }, // 1978
  { PseudoVMSLEU_VX_MF2_MASK, PseudoVMSLEU_VX_MF2, 0x3, false }, // 1979
  { PseudoVMSLEU_VX_MF4_MASK, PseudoVMSLEU_VX_MF4, 0x3, false }, // 1980
  { PseudoVMSLEU_VX_MF8_MASK, PseudoVMSLEU_VX_MF8, 0x3, false }, // 1981
  { PseudoVMSLE_VI_M1_MASK, PseudoVMSLE_VI_M1, 0x3, false }, // 1982
  { PseudoVMSLE_VI_M2_MASK, PseudoVMSLE_VI_M2, 0x3, false }, // 1983
  { PseudoVMSLE_VI_M4_MASK, PseudoVMSLE_VI_M4, 0x3, false }, // 1984
  { PseudoVMSLE_VI_M8_MASK, PseudoVMSLE_VI_M8, 0x3, false }, // 1985
  { PseudoVMSLE_VI_MF2_MASK, PseudoVMSLE_VI_MF2, 0x3, false }, // 1986
  { PseudoVMSLE_VI_MF4_MASK, PseudoVMSLE_VI_MF4, 0x3, false }, // 1987
  { PseudoVMSLE_VI_MF8_MASK, PseudoVMSLE_VI_MF8, 0x3, false }, // 1988
  { PseudoVMSLE_VV_M1_MASK, PseudoVMSLE_VV_M1, 0x3, false }, // 1989
  { PseudoVMSLE_VV_M2_MASK, PseudoVMSLE_VV_M2, 0x3, false }, // 1990
  { PseudoVMSLE_VV_M4_MASK, PseudoVMSLE_VV_M4, 0x3, false }, // 1991
  { PseudoVMSLE_VV_M8_MASK, PseudoVMSLE_VV_M8, 0x3, false }, // 1992
  { PseudoVMSLE_VV_MF2_MASK, PseudoVMSLE_VV_MF2, 0x3, false }, // 1993
  { PseudoVMSLE_VV_MF4_MASK, PseudoVMSLE_VV_MF4, 0x3, false }, // 1994
  { PseudoVMSLE_VV_MF8_MASK, PseudoVMSLE_VV_MF8, 0x3, false }, // 1995
  { PseudoVMSLE_VX_M1_MASK, PseudoVMSLE_VX_M1, 0x3, false }, // 1996
  { PseudoVMSLE_VX_M2_MASK, PseudoVMSLE_VX_M2, 0x3, false }, // 1997
  { PseudoVMSLE_VX_M4_MASK, PseudoVMSLE_VX_M4, 0x3, false }, // 1998
  { PseudoVMSLE_VX_M8_MASK, PseudoVMSLE_VX_M8, 0x3, false }, // 1999
  { PseudoVMSLE_VX_MF2_MASK, PseudoVMSLE_VX_MF2, 0x3, false }, // 2000
  { PseudoVMSLE_VX_MF4_MASK, PseudoVMSLE_VX_MF4, 0x3, false }, // 2001
  { PseudoVMSLE_VX_MF8_MASK, PseudoVMSLE_VX_MF8, 0x3, false }, // 2002
  { PseudoVMSLTU_VV_M1_MASK, PseudoVMSLTU_VV_M1, 0x3, false }, // 2003
  { PseudoVMSLTU_VV_M2_MASK, PseudoVMSLTU_VV_M2, 0x3, false }, // 2004
  { PseudoVMSLTU_VV_M4_MASK, PseudoVMSLTU_VV_M4, 0x3, false }, // 2005
  { PseudoVMSLTU_VV_M8_MASK, PseudoVMSLTU_VV_M8, 0x3, false }, // 2006
  { PseudoVMSLTU_VV_MF2_MASK, PseudoVMSLTU_VV_MF2, 0x3, false }, // 2007
  { PseudoVMSLTU_VV_MF4_MASK, PseudoVMSLTU_VV_MF4, 0x3, false }, // 2008
  { PseudoVMSLTU_VV_MF8_MASK, PseudoVMSLTU_VV_MF8, 0x3, false }, // 2009
  { PseudoVMSLTU_VX_M1_MASK, PseudoVMSLTU_VX_M1, 0x3, false }, // 2010
  { PseudoVMSLTU_VX_M2_MASK, PseudoVMSLTU_VX_M2, 0x3, false }, // 2011
  { PseudoVMSLTU_VX_M4_MASK, PseudoVMSLTU_VX_M4, 0x3, false }, // 2012
  { PseudoVMSLTU_VX_M8_MASK, PseudoVMSLTU_VX_M8, 0x3, false }, // 2013
  { PseudoVMSLTU_VX_MF2_MASK, PseudoVMSLTU_VX_MF2, 0x3, false }, // 2014
  { PseudoVMSLTU_VX_MF4_MASK, PseudoVMSLTU_VX_MF4, 0x3, false }, // 2015
  { PseudoVMSLTU_VX_MF8_MASK, PseudoVMSLTU_VX_MF8, 0x3, false }, // 2016
  { PseudoVMSLT_VV_M1_MASK, PseudoVMSLT_VV_M1, 0x3, false }, // 2017
  { PseudoVMSLT_VV_M2_MASK, PseudoVMSLT_VV_M2, 0x3, false }, // 2018
  { PseudoVMSLT_VV_M4_MASK, PseudoVMSLT_VV_M4, 0x3, false }, // 2019
  { PseudoVMSLT_VV_M8_MASK, PseudoVMSLT_VV_M8, 0x3, false }, // 2020
  { PseudoVMSLT_VV_MF2_MASK, PseudoVMSLT_VV_MF2, 0x3, false }, // 2021
  { PseudoVMSLT_VV_MF4_MASK, PseudoVMSLT_VV_MF4, 0x3, false }, // 2022
  { PseudoVMSLT_VV_MF8_MASK, PseudoVMSLT_VV_MF8, 0x3, false }, // 2023
  { PseudoVMSLT_VX_M1_MASK, PseudoVMSLT_VX_M1, 0x3, false }, // 2024
  { PseudoVMSLT_VX_M2_MASK, PseudoVMSLT_VX_M2, 0x3, false }, // 2025
  { PseudoVMSLT_VX_M4_MASK, PseudoVMSLT_VX_M4, 0x3, false }, // 2026
  { PseudoVMSLT_VX_M8_MASK, PseudoVMSLT_VX_M8, 0x3, false }, // 2027
  { PseudoVMSLT_VX_MF2_MASK, PseudoVMSLT_VX_MF2, 0x3, false }, // 2028
  { PseudoVMSLT_VX_MF4_MASK, PseudoVMSLT_VX_MF4, 0x3, false }, // 2029
  { PseudoVMSLT_VX_MF8_MASK, PseudoVMSLT_VX_MF8, 0x3, false }, // 2030
  { PseudoVMSNE_VI_M1_MASK, PseudoVMSNE_VI_M1, 0x3, false }, // 2031
  { PseudoVMSNE_VI_M2_MASK, PseudoVMSNE_VI_M2, 0x3, false }, // 2032
  { PseudoVMSNE_VI_M4_MASK, PseudoVMSNE_VI_M4, 0x3, false }, // 2033
  { PseudoVMSNE_VI_M8_MASK, PseudoVMSNE_VI_M8, 0x3, false }, // 2034
  { PseudoVMSNE_VI_MF2_MASK, PseudoVMSNE_VI_MF2, 0x3, false }, // 2035
  { PseudoVMSNE_VI_MF4_MASK, PseudoVMSNE_VI_MF4, 0x3, false }, // 2036
  { PseudoVMSNE_VI_MF8_MASK, PseudoVMSNE_VI_MF8, 0x3, false }, // 2037
  { PseudoVMSNE_VV_M1_MASK, PseudoVMSNE_VV_M1, 0x3, false }, // 2038
  { PseudoVMSNE_VV_M2_MASK, PseudoVMSNE_VV_M2, 0x3, false }, // 2039
  { PseudoVMSNE_VV_M4_MASK, PseudoVMSNE_VV_M4, 0x3, false }, // 2040
  { PseudoVMSNE_VV_M8_MASK, PseudoVMSNE_VV_M8, 0x3, false }, // 2041
  { PseudoVMSNE_VV_MF2_MASK, PseudoVMSNE_VV_MF2, 0x3, false }, // 2042
  { PseudoVMSNE_VV_MF4_MASK, PseudoVMSNE_VV_MF4, 0x3, false }, // 2043
  { PseudoVMSNE_VV_MF8_MASK, PseudoVMSNE_VV_MF8, 0x3, false }, // 2044
  { PseudoVMSNE_VX_M1_MASK, PseudoVMSNE_VX_M1, 0x3, false }, // 2045
  { PseudoVMSNE_VX_M2_MASK, PseudoVMSNE_VX_M2, 0x3, false }, // 2046
  { PseudoVMSNE_VX_M4_MASK, PseudoVMSNE_VX_M4, 0x3, false }, // 2047
  { PseudoVMSNE_VX_M8_MASK, PseudoVMSNE_VX_M8, 0x3, false }, // 2048
  { PseudoVMSNE_VX_MF2_MASK, PseudoVMSNE_VX_MF2, 0x3, false }, // 2049
  { PseudoVMSNE_VX_MF4_MASK, PseudoVMSNE_VX_MF4, 0x3, false }, // 2050
  { PseudoVMSNE_VX_MF8_MASK, PseudoVMSNE_VX_MF8, 0x3, false }, // 2051
  { PseudoVMULHSU_VV_M1_MASK, PseudoVMULHSU_VV_M1, 0x3, false }, // 2052
  { PseudoVMULHSU_VV_M2_MASK, PseudoVMULHSU_VV_M2, 0x3, false }, // 2053
  { PseudoVMULHSU_VV_M4_MASK, PseudoVMULHSU_VV_M4, 0x3, false }, // 2054
  { PseudoVMULHSU_VV_M8_MASK, PseudoVMULHSU_VV_M8, 0x3, false }, // 2055
  { PseudoVMULHSU_VV_MF2_MASK, PseudoVMULHSU_VV_MF2, 0x3, false }, // 2056
  { PseudoVMULHSU_VV_MF4_MASK, PseudoVMULHSU_VV_MF4, 0x3, false }, // 2057
  { PseudoVMULHSU_VV_MF8_MASK, PseudoVMULHSU_VV_MF8, 0x3, false }, // 2058
  { PseudoVMULHSU_VX_M1_MASK, PseudoVMULHSU_VX_M1, 0x3, false }, // 2059
  { PseudoVMULHSU_VX_M2_MASK, PseudoVMULHSU_VX_M2, 0x3, false }, // 2060
  { PseudoVMULHSU_VX_M4_MASK, PseudoVMULHSU_VX_M4, 0x3, false }, // 2061
  { PseudoVMULHSU_VX_M8_MASK, PseudoVMULHSU_VX_M8, 0x3, false }, // 2062
  { PseudoVMULHSU_VX_MF2_MASK, PseudoVMULHSU_VX_MF2, 0x3, false }, // 2063
  { PseudoVMULHSU_VX_MF4_MASK, PseudoVMULHSU_VX_MF4, 0x3, false }, // 2064
  { PseudoVMULHSU_VX_MF8_MASK, PseudoVMULHSU_VX_MF8, 0x3, false }, // 2065
  { PseudoVMULHU_VV_M1_MASK, PseudoVMULHU_VV_M1, 0x3, false }, // 2066
  { PseudoVMULHU_VV_M2_MASK, PseudoVMULHU_VV_M2, 0x3, false }, // 2067
  { PseudoVMULHU_VV_M4_MASK, PseudoVMULHU_VV_M4, 0x3, false }, // 2068
  { PseudoVMULHU_VV_M8_MASK, PseudoVMULHU_VV_M8, 0x3, false }, // 2069
  { PseudoVMULHU_VV_MF2_MASK, PseudoVMULHU_VV_MF2, 0x3, false }, // 2070
  { PseudoVMULHU_VV_MF4_MASK, PseudoVMULHU_VV_MF4, 0x3, false }, // 2071
  { PseudoVMULHU_VV_MF8_MASK, PseudoVMULHU_VV_MF8, 0x3, false }, // 2072
  { PseudoVMULHU_VX_M1_MASK, PseudoVMULHU_VX_M1, 0x3, false }, // 2073
  { PseudoVMULHU_VX_M2_MASK, PseudoVMULHU_VX_M2, 0x3, false }, // 2074
  { PseudoVMULHU_VX_M4_MASK, PseudoVMULHU_VX_M4, 0x3, false }, // 2075
  { PseudoVMULHU_VX_M8_MASK, PseudoVMULHU_VX_M8, 0x3, false }, // 2076
  { PseudoVMULHU_VX_MF2_MASK, PseudoVMULHU_VX_MF2, 0x3, false }, // 2077
  { PseudoVMULHU_VX_MF4_MASK, PseudoVMULHU_VX_MF4, 0x3, false }, // 2078
  { PseudoVMULHU_VX_MF8_MASK, PseudoVMULHU_VX_MF8, 0x3, false }, // 2079
  { PseudoVMULH_VV_M1_MASK, PseudoVMULH_VV_M1, 0x3, false }, // 2080
  { PseudoVMULH_VV_M2_MASK, PseudoVMULH_VV_M2, 0x3, false }, // 2081
  { PseudoVMULH_VV_M4_MASK, PseudoVMULH_VV_M4, 0x3, false }, // 2082
  { PseudoVMULH_VV_M8_MASK, PseudoVMULH_VV_M8, 0x3, false }, // 2083
  { PseudoVMULH_VV_MF2_MASK, PseudoVMULH_VV_MF2, 0x3, false }, // 2084
  { PseudoVMULH_VV_MF4_MASK, PseudoVMULH_VV_MF4, 0x3, false }, // 2085
  { PseudoVMULH_VV_MF8_MASK, PseudoVMULH_VV_MF8, 0x3, false }, // 2086
  { PseudoVMULH_VX_M1_MASK, PseudoVMULH_VX_M1, 0x3, false }, // 2087
  { PseudoVMULH_VX_M2_MASK, PseudoVMULH_VX_M2, 0x3, false }, // 2088
  { PseudoVMULH_VX_M4_MASK, PseudoVMULH_VX_M4, 0x3, false }, // 2089
  { PseudoVMULH_VX_M8_MASK, PseudoVMULH_VX_M8, 0x3, false }, // 2090
  { PseudoVMULH_VX_MF2_MASK, PseudoVMULH_VX_MF2, 0x3, false }, // 2091
  { PseudoVMULH_VX_MF4_MASK, PseudoVMULH_VX_MF4, 0x3, false }, // 2092
  { PseudoVMULH_VX_MF8_MASK, PseudoVMULH_VX_MF8, 0x3, false }, // 2093
  { PseudoVMUL_VV_M1_MASK, PseudoVMUL_VV_M1, 0x3, false }, // 2094
  { PseudoVMUL_VV_M2_MASK, PseudoVMUL_VV_M2, 0x3, false }, // 2095
  { PseudoVMUL_VV_M4_MASK, PseudoVMUL_VV_M4, 0x3, false }, // 2096
  { PseudoVMUL_VV_M8_MASK, PseudoVMUL_VV_M8, 0x3, false }, // 2097
  { PseudoVMUL_VV_MF2_MASK, PseudoVMUL_VV_MF2, 0x3, false }, // 2098
  { PseudoVMUL_VV_MF4_MASK, PseudoVMUL_VV_MF4, 0x3, false }, // 2099
  { PseudoVMUL_VV_MF8_MASK, PseudoVMUL_VV_MF8, 0x3, false }, // 2100
  { PseudoVMUL_VX_M1_MASK, PseudoVMUL_VX_M1, 0x3, false }, // 2101
  { PseudoVMUL_VX_M2_MASK, PseudoVMUL_VX_M2, 0x3, false }, // 2102
  { PseudoVMUL_VX_M4_MASK, PseudoVMUL_VX_M4, 0x3, false }, // 2103
  { PseudoVMUL_VX_M8_MASK, PseudoVMUL_VX_M8, 0x3, false }, // 2104
  { PseudoVMUL_VX_MF2_MASK, PseudoVMUL_VX_MF2, 0x3, false }, // 2105
  { PseudoVMUL_VX_MF4_MASK, PseudoVMUL_VX_MF4, 0x3, false }, // 2106
  { PseudoVMUL_VX_MF8_MASK, PseudoVMUL_VX_MF8, 0x3, false }, // 2107
  { PseudoVNCLIPU_WI_M1_MASK, PseudoVNCLIPU_WI_M1, 0x3, false }, // 2108
  { PseudoVNCLIPU_WI_M2_MASK, PseudoVNCLIPU_WI_M2, 0x3, false }, // 2109
  { PseudoVNCLIPU_WI_M4_MASK, PseudoVNCLIPU_WI_M4, 0x3, false }, // 2110
  { PseudoVNCLIPU_WI_MF2_MASK, PseudoVNCLIPU_WI_MF2, 0x3, false }, // 2111
  { PseudoVNCLIPU_WI_MF4_MASK, PseudoVNCLIPU_WI_MF4, 0x3, false }, // 2112
  { PseudoVNCLIPU_WI_MF8_MASK, PseudoVNCLIPU_WI_MF8, 0x3, false }, // 2113
  { PseudoVNCLIPU_WV_M1_MASK, PseudoVNCLIPU_WV_M1, 0x3, false }, // 2114
  { PseudoVNCLIPU_WV_M2_MASK, PseudoVNCLIPU_WV_M2, 0x3, false }, // 2115
  { PseudoVNCLIPU_WV_M4_MASK, PseudoVNCLIPU_WV_M4, 0x3, false }, // 2116
  { PseudoVNCLIPU_WV_MF2_MASK, PseudoVNCLIPU_WV_MF2, 0x3, false }, // 2117
  { PseudoVNCLIPU_WV_MF4_MASK, PseudoVNCLIPU_WV_MF4, 0x3, false }, // 2118
  { PseudoVNCLIPU_WV_MF8_MASK, PseudoVNCLIPU_WV_MF8, 0x3, false }, // 2119
  { PseudoVNCLIPU_WX_M1_MASK, PseudoVNCLIPU_WX_M1, 0x3, false }, // 2120
  { PseudoVNCLIPU_WX_M2_MASK, PseudoVNCLIPU_WX_M2, 0x3, false }, // 2121
  { PseudoVNCLIPU_WX_M4_MASK, PseudoVNCLIPU_WX_M4, 0x3, false }, // 2122
  { PseudoVNCLIPU_WX_MF2_MASK, PseudoVNCLIPU_WX_MF2, 0x3, false }, // 2123
  { PseudoVNCLIPU_WX_MF4_MASK, PseudoVNCLIPU_WX_MF4, 0x3, false }, // 2124
  { PseudoVNCLIPU_WX_MF8_MASK, PseudoVNCLIPU_WX_MF8, 0x3, false }, // 2125
  { PseudoVNCLIP_WI_M1_MASK, PseudoVNCLIP_WI_M1, 0x3, false }, // 2126
  { PseudoVNCLIP_WI_M2_MASK, PseudoVNCLIP_WI_M2, 0x3, false }, // 2127
  { PseudoVNCLIP_WI_M4_MASK, PseudoVNCLIP_WI_M4, 0x3, false }, // 2128
  { PseudoVNCLIP_WI_MF2_MASK, PseudoVNCLIP_WI_MF2, 0x3, false }, // 2129
  { PseudoVNCLIP_WI_MF4_MASK, PseudoVNCLIP_WI_MF4, 0x3, false }, // 2130
  { PseudoVNCLIP_WI_MF8_MASK, PseudoVNCLIP_WI_MF8, 0x3, false }, // 2131
  { PseudoVNCLIP_WV_M1_MASK, PseudoVNCLIP_WV_M1, 0x3, false }, // 2132
  { PseudoVNCLIP_WV_M2_MASK, PseudoVNCLIP_WV_M2, 0x3, false }, // 2133
  { PseudoVNCLIP_WV_M4_MASK, PseudoVNCLIP_WV_M4, 0x3, false }, // 2134
  { PseudoVNCLIP_WV_MF2_MASK, PseudoVNCLIP_WV_MF2, 0x3, false }, // 2135
  { PseudoVNCLIP_WV_MF4_MASK, PseudoVNCLIP_WV_MF4, 0x3, false }, // 2136
  { PseudoVNCLIP_WV_MF8_MASK, PseudoVNCLIP_WV_MF8, 0x3, false }, // 2137
  { PseudoVNCLIP_WX_M1_MASK, PseudoVNCLIP_WX_M1, 0x3, false }, // 2138
  { PseudoVNCLIP_WX_M2_MASK, PseudoVNCLIP_WX_M2, 0x3, false }, // 2139
  { PseudoVNCLIP_WX_M4_MASK, PseudoVNCLIP_WX_M4, 0x3, false }, // 2140
  { PseudoVNCLIP_WX_MF2_MASK, PseudoVNCLIP_WX_MF2, 0x3, false }, // 2141
  { PseudoVNCLIP_WX_MF4_MASK, PseudoVNCLIP_WX_MF4, 0x3, false }, // 2142
  { PseudoVNCLIP_WX_MF8_MASK, PseudoVNCLIP_WX_MF8, 0x3, false }, // 2143
  { PseudoVNMSAC_VV_M1_MASK, PseudoVNMSAC_VV_M1, 0x3, false }, // 2144
  { PseudoVNMSAC_VV_M2_MASK, PseudoVNMSAC_VV_M2, 0x3, false }, // 2145
  { PseudoVNMSAC_VV_M4_MASK, PseudoVNMSAC_VV_M4, 0x3, false }, // 2146
  { PseudoVNMSAC_VV_M8_MASK, PseudoVNMSAC_VV_M8, 0x3, false }, // 2147
  { PseudoVNMSAC_VV_MF2_MASK, PseudoVNMSAC_VV_MF2, 0x3, false }, // 2148
  { PseudoVNMSAC_VV_MF4_MASK, PseudoVNMSAC_VV_MF4, 0x3, false }, // 2149
  { PseudoVNMSAC_VV_MF8_MASK, PseudoVNMSAC_VV_MF8, 0x3, false }, // 2150
  { PseudoVNMSAC_VX_M1_MASK, PseudoVNMSAC_VX_M1, 0x3, false }, // 2151
  { PseudoVNMSAC_VX_M2_MASK, PseudoVNMSAC_VX_M2, 0x3, false }, // 2152
  { PseudoVNMSAC_VX_M4_MASK, PseudoVNMSAC_VX_M4, 0x3, false }, // 2153
  { PseudoVNMSAC_VX_M8_MASK, PseudoVNMSAC_VX_M8, 0x3, false }, // 2154
  { PseudoVNMSAC_VX_MF2_MASK, PseudoVNMSAC_VX_MF2, 0x3, false }, // 2155
  { PseudoVNMSAC_VX_MF4_MASK, PseudoVNMSAC_VX_MF4, 0x3, false }, // 2156
  { PseudoVNMSAC_VX_MF8_MASK, PseudoVNMSAC_VX_MF8, 0x3, false }, // 2157
  { PseudoVNMSUB_VV_M1_MASK, PseudoVNMSUB_VV_M1, 0x3, false }, // 2158
  { PseudoVNMSUB_VV_M2_MASK, PseudoVNMSUB_VV_M2, 0x3, false }, // 2159
  { PseudoVNMSUB_VV_M4_MASK, PseudoVNMSUB_VV_M4, 0x3, false }, // 2160
  { PseudoVNMSUB_VV_M8_MASK, PseudoVNMSUB_VV_M8, 0x3, false }, // 2161
  { PseudoVNMSUB_VV_MF2_MASK, PseudoVNMSUB_VV_MF2, 0x3, false }, // 2162
  { PseudoVNMSUB_VV_MF4_MASK, PseudoVNMSUB_VV_MF4, 0x3, false }, // 2163
  { PseudoVNMSUB_VV_MF8_MASK, PseudoVNMSUB_VV_MF8, 0x3, false }, // 2164
  { PseudoVNMSUB_VX_M1_MASK, PseudoVNMSUB_VX_M1, 0x3, false }, // 2165
  { PseudoVNMSUB_VX_M2_MASK, PseudoVNMSUB_VX_M2, 0x3, false }, // 2166
  { PseudoVNMSUB_VX_M4_MASK, PseudoVNMSUB_VX_M4, 0x3, false }, // 2167
  { PseudoVNMSUB_VX_M8_MASK, PseudoVNMSUB_VX_M8, 0x3, false }, // 2168
  { PseudoVNMSUB_VX_MF2_MASK, PseudoVNMSUB_VX_MF2, 0x3, false }, // 2169
  { PseudoVNMSUB_VX_MF4_MASK, PseudoVNMSUB_VX_MF4, 0x3, false }, // 2170
  { PseudoVNMSUB_VX_MF8_MASK, PseudoVNMSUB_VX_MF8, 0x3, false }, // 2171
  { PseudoVNSRA_WI_M1_MASK, PseudoVNSRA_WI_M1, 0x3, false }, // 2172
  { PseudoVNSRA_WI_M2_MASK, PseudoVNSRA_WI_M2, 0x3, false }, // 2173
  { PseudoVNSRA_WI_M4_MASK, PseudoVNSRA_WI_M4, 0x3, false }, // 2174
  { PseudoVNSRA_WI_MF2_MASK, PseudoVNSRA_WI_MF2, 0x3, false }, // 2175
  { PseudoVNSRA_WI_MF4_MASK, PseudoVNSRA_WI_MF4, 0x3, false }, // 2176
  { PseudoVNSRA_WI_MF8_MASK, PseudoVNSRA_WI_MF8, 0x3, false }, // 2177
  { PseudoVNSRA_WV_M1_MASK, PseudoVNSRA_WV_M1, 0x3, false }, // 2178
  { PseudoVNSRA_WV_M2_MASK, PseudoVNSRA_WV_M2, 0x3, false }, // 2179
  { PseudoVNSRA_WV_M4_MASK, PseudoVNSRA_WV_M4, 0x3, false }, // 2180
  { PseudoVNSRA_WV_MF2_MASK, PseudoVNSRA_WV_MF2, 0x3, false }, // 2181
  { PseudoVNSRA_WV_MF4_MASK, PseudoVNSRA_WV_MF4, 0x3, false }, // 2182
  { PseudoVNSRA_WV_MF8_MASK, PseudoVNSRA_WV_MF8, 0x3, false }, // 2183
  { PseudoVNSRA_WX_M1_MASK, PseudoVNSRA_WX_M1, 0x3, false }, // 2184
  { PseudoVNSRA_WX_M2_MASK, PseudoVNSRA_WX_M2, 0x3, false }, // 2185
  { PseudoVNSRA_WX_M4_MASK, PseudoVNSRA_WX_M4, 0x3, false }, // 2186
  { PseudoVNSRA_WX_MF2_MASK, PseudoVNSRA_WX_MF2, 0x3, false }, // 2187
  { PseudoVNSRA_WX_MF4_MASK, PseudoVNSRA_WX_MF4, 0x3, false }, // 2188
  { PseudoVNSRA_WX_MF8_MASK, PseudoVNSRA_WX_MF8, 0x3, false }, // 2189
  { PseudoVNSRL_WI_M1_MASK, PseudoVNSRL_WI_M1, 0x3, false }, // 2190
  { PseudoVNSRL_WI_M2_MASK, PseudoVNSRL_WI_M2, 0x3, false }, // 2191
  { PseudoVNSRL_WI_M4_MASK, PseudoVNSRL_WI_M4, 0x3, false }, // 2192
  { PseudoVNSRL_WI_MF2_MASK, PseudoVNSRL_WI_MF2, 0x3, false }, // 2193
  { PseudoVNSRL_WI_MF4_MASK, PseudoVNSRL_WI_MF4, 0x3, false }, // 2194
  { PseudoVNSRL_WI_MF8_MASK, PseudoVNSRL_WI_MF8, 0x3, false }, // 2195
  { PseudoVNSRL_WV_M1_MASK, PseudoVNSRL_WV_M1, 0x3, false }, // 2196
  { PseudoVNSRL_WV_M2_MASK, PseudoVNSRL_WV_M2, 0x3, false }, // 2197
  { PseudoVNSRL_WV_M4_MASK, PseudoVNSRL_WV_M4, 0x3, false }, // 2198
  { PseudoVNSRL_WV_MF2_MASK, PseudoVNSRL_WV_MF2, 0x3, false }, // 2199
  { PseudoVNSRL_WV_MF4_MASK, PseudoVNSRL_WV_MF4, 0x3, false }, // 2200
  { PseudoVNSRL_WV_MF8_MASK, PseudoVNSRL_WV_MF8, 0x3, false }, // 2201
  { PseudoVNSRL_WX_M1_MASK, PseudoVNSRL_WX_M1, 0x3, false }, // 2202
  { PseudoVNSRL_WX_M2_MASK, PseudoVNSRL_WX_M2, 0x3, false }, // 2203
  { PseudoVNSRL_WX_M4_MASK, PseudoVNSRL_WX_M4, 0x3, false }, // 2204
  { PseudoVNSRL_WX_MF2_MASK, PseudoVNSRL_WX_MF2, 0x3, false }, // 2205
  { PseudoVNSRL_WX_MF4_MASK, PseudoVNSRL_WX_MF4, 0x3, false }, // 2206
  { PseudoVNSRL_WX_MF8_MASK, PseudoVNSRL_WX_MF8, 0x3, false }, // 2207
  { PseudoVOR_VI_M1_MASK, PseudoVOR_VI_M1, 0x3, false }, // 2208
  { PseudoVOR_VI_M2_MASK, PseudoVOR_VI_M2, 0x3, false }, // 2209
  { PseudoVOR_VI_M4_MASK, PseudoVOR_VI_M4, 0x3, false }, // 2210
  { PseudoVOR_VI_M8_MASK, PseudoVOR_VI_M8, 0x3, false }, // 2211
  { PseudoVOR_VI_MF2_MASK, PseudoVOR_VI_MF2, 0x3, false }, // 2212
  { PseudoVOR_VI_MF4_MASK, PseudoVOR_VI_MF4, 0x3, false }, // 2213
  { PseudoVOR_VI_MF8_MASK, PseudoVOR_VI_MF8, 0x3, false }, // 2214
  { PseudoVOR_VV_M1_MASK, PseudoVOR_VV_M1, 0x3, false }, // 2215
  { PseudoVOR_VV_M2_MASK, PseudoVOR_VV_M2, 0x3, false }, // 2216
  { PseudoVOR_VV_M4_MASK, PseudoVOR_VV_M4, 0x3, false }, // 2217
  { PseudoVOR_VV_M8_MASK, PseudoVOR_VV_M8, 0x3, false }, // 2218
  { PseudoVOR_VV_MF2_MASK, PseudoVOR_VV_MF2, 0x3, false }, // 2219
  { PseudoVOR_VV_MF4_MASK, PseudoVOR_VV_MF4, 0x3, false }, // 2220
  { PseudoVOR_VV_MF8_MASK, PseudoVOR_VV_MF8, 0x3, false }, // 2221
  { PseudoVOR_VX_M1_MASK, PseudoVOR_VX_M1, 0x3, false }, // 2222
  { PseudoVOR_VX_M2_MASK, PseudoVOR_VX_M2, 0x3, false }, // 2223
  { PseudoVOR_VX_M4_MASK, PseudoVOR_VX_M4, 0x3, false }, // 2224
  { PseudoVOR_VX_M8_MASK, PseudoVOR_VX_M8, 0x3, false }, // 2225
  { PseudoVOR_VX_MF2_MASK, PseudoVOR_VX_MF2, 0x3, false }, // 2226
  { PseudoVOR_VX_MF4_MASK, PseudoVOR_VX_MF4, 0x3, false }, // 2227
  { PseudoVOR_VX_MF8_MASK, PseudoVOR_VX_MF8, 0x3, false }, // 2228
  { PseudoVREDAND_VS_M1_E16_MASK, PseudoVREDAND_VS_M1_E16, 0x3, true }, // 2229
  { PseudoVREDAND_VS_M1_E32_MASK, PseudoVREDAND_VS_M1_E32, 0x3, true }, // 2230
  { PseudoVREDAND_VS_M1_E64_MASK, PseudoVREDAND_VS_M1_E64, 0x3, true }, // 2231
  { PseudoVREDAND_VS_M1_E8_MASK, PseudoVREDAND_VS_M1_E8, 0x3, true }, // 2232
  { PseudoVREDAND_VS_M2_E16_MASK, PseudoVREDAND_VS_M2_E16, 0x3, true }, // 2233
  { PseudoVREDAND_VS_M2_E32_MASK, PseudoVREDAND_VS_M2_E32, 0x3, true }, // 2234
  { PseudoVREDAND_VS_M2_E64_MASK, PseudoVREDAND_VS_M2_E64, 0x3, true }, // 2235
  { PseudoVREDAND_VS_M2_E8_MASK, PseudoVREDAND_VS_M2_E8, 0x3, true }, // 2236
  { PseudoVREDAND_VS_M4_E16_MASK, PseudoVREDAND_VS_M4_E16, 0x3, true }, // 2237
  { PseudoVREDAND_VS_M4_E32_MASK, PseudoVREDAND_VS_M4_E32, 0x3, true }, // 2238
  { PseudoVREDAND_VS_M4_E64_MASK, PseudoVREDAND_VS_M4_E64, 0x3, true }, // 2239
  { PseudoVREDAND_VS_M4_E8_MASK, PseudoVREDAND_VS_M4_E8, 0x3, true }, // 2240
  { PseudoVREDAND_VS_M8_E16_MASK, PseudoVREDAND_VS_M8_E16, 0x3, true }, // 2241
  { PseudoVREDAND_VS_M8_E32_MASK, PseudoVREDAND_VS_M8_E32, 0x3, true }, // 2242
  { PseudoVREDAND_VS_M8_E64_MASK, PseudoVREDAND_VS_M8_E64, 0x3, true }, // 2243
  { PseudoVREDAND_VS_M8_E8_MASK, PseudoVREDAND_VS_M8_E8, 0x3, true }, // 2244
  { PseudoVREDAND_VS_MF2_E16_MASK, PseudoVREDAND_VS_MF2_E16, 0x3, true }, // 2245
  { PseudoVREDAND_VS_MF2_E32_MASK, PseudoVREDAND_VS_MF2_E32, 0x3, true }, // 2246
  { PseudoVREDAND_VS_MF2_E8_MASK, PseudoVREDAND_VS_MF2_E8, 0x3, true }, // 2247
  { PseudoVREDAND_VS_MF4_E16_MASK, PseudoVREDAND_VS_MF4_E16, 0x3, true }, // 2248
  { PseudoVREDAND_VS_MF4_E8_MASK, PseudoVREDAND_VS_MF4_E8, 0x3, true }, // 2249
  { PseudoVREDAND_VS_MF8_E8_MASK, PseudoVREDAND_VS_MF8_E8, 0x3, true }, // 2250
  { PseudoVREDMAXU_VS_M1_E16_MASK, PseudoVREDMAXU_VS_M1_E16, 0x3, true }, // 2251
  { PseudoVREDMAXU_VS_M1_E32_MASK, PseudoVREDMAXU_VS_M1_E32, 0x3, true }, // 2252
  { PseudoVREDMAXU_VS_M1_E64_MASK, PseudoVREDMAXU_VS_M1_E64, 0x3, true }, // 2253
  { PseudoVREDMAXU_VS_M1_E8_MASK, PseudoVREDMAXU_VS_M1_E8, 0x3, true }, // 2254
  { PseudoVREDMAXU_VS_M2_E16_MASK, PseudoVREDMAXU_VS_M2_E16, 0x3, true }, // 2255
  { PseudoVREDMAXU_VS_M2_E32_MASK, PseudoVREDMAXU_VS_M2_E32, 0x3, true }, // 2256
  { PseudoVREDMAXU_VS_M2_E64_MASK, PseudoVREDMAXU_VS_M2_E64, 0x3, true }, // 2257
  { PseudoVREDMAXU_VS_M2_E8_MASK, PseudoVREDMAXU_VS_M2_E8, 0x3, true }, // 2258
  { PseudoVREDMAXU_VS_M4_E16_MASK, PseudoVREDMAXU_VS_M4_E16, 0x3, true }, // 2259
  { PseudoVREDMAXU_VS_M4_E32_MASK, PseudoVREDMAXU_VS_M4_E32, 0x3, true }, // 2260
  { PseudoVREDMAXU_VS_M4_E64_MASK, PseudoVREDMAXU_VS_M4_E64, 0x3, true }, // 2261
  { PseudoVREDMAXU_VS_M4_E8_MASK, PseudoVREDMAXU_VS_M4_E8, 0x3, true }, // 2262
  { PseudoVREDMAXU_VS_M8_E16_MASK, PseudoVREDMAXU_VS_M8_E16, 0x3, true }, // 2263
  { PseudoVREDMAXU_VS_M8_E32_MASK, PseudoVREDMAXU_VS_M8_E32, 0x3, true }, // 2264
  { PseudoVREDMAXU_VS_M8_E64_MASK, PseudoVREDMAXU_VS_M8_E64, 0x3, true }, // 2265
  { PseudoVREDMAXU_VS_M8_E8_MASK, PseudoVREDMAXU_VS_M8_E8, 0x3, true }, // 2266
  { PseudoVREDMAXU_VS_MF2_E16_MASK, PseudoVREDMAXU_VS_MF2_E16, 0x3, true }, // 2267
  { PseudoVREDMAXU_VS_MF2_E32_MASK, PseudoVREDMAXU_VS_MF2_E32, 0x3, true }, // 2268
  { PseudoVREDMAXU_VS_MF2_E8_MASK, PseudoVREDMAXU_VS_MF2_E8, 0x3, true }, // 2269
  { PseudoVREDMAXU_VS_MF4_E16_MASK, PseudoVREDMAXU_VS_MF4_E16, 0x3, true }, // 2270
  { PseudoVREDMAXU_VS_MF4_E8_MASK, PseudoVREDMAXU_VS_MF4_E8, 0x3, true }, // 2271
  { PseudoVREDMAXU_VS_MF8_E8_MASK, PseudoVREDMAXU_VS_MF8_E8, 0x3, true }, // 2272
  { PseudoVREDMAX_VS_M1_E16_MASK, PseudoVREDMAX_VS_M1_E16, 0x3, true }, // 2273
  { PseudoVREDMAX_VS_M1_E32_MASK, PseudoVREDMAX_VS_M1_E32, 0x3, true }, // 2274
  { PseudoVREDMAX_VS_M1_E64_MASK, PseudoVREDMAX_VS_M1_E64, 0x3, true }, // 2275
  { PseudoVREDMAX_VS_M1_E8_MASK, PseudoVREDMAX_VS_M1_E8, 0x3, true }, // 2276
  { PseudoVREDMAX_VS_M2_E16_MASK, PseudoVREDMAX_VS_M2_E16, 0x3, true }, // 2277
  { PseudoVREDMAX_VS_M2_E32_MASK, PseudoVREDMAX_VS_M2_E32, 0x3, true }, // 2278
  { PseudoVREDMAX_VS_M2_E64_MASK, PseudoVREDMAX_VS_M2_E64, 0x3, true }, // 2279
  { PseudoVREDMAX_VS_M2_E8_MASK, PseudoVREDMAX_VS_M2_E8, 0x3, true }, // 2280
  { PseudoVREDMAX_VS_M4_E16_MASK, PseudoVREDMAX_VS_M4_E16, 0x3, true }, // 2281
  { PseudoVREDMAX_VS_M4_E32_MASK, PseudoVREDMAX_VS_M4_E32, 0x3, true }, // 2282
  { PseudoVREDMAX_VS_M4_E64_MASK, PseudoVREDMAX_VS_M4_E64, 0x3, true }, // 2283
  { PseudoVREDMAX_VS_M4_E8_MASK, PseudoVREDMAX_VS_M4_E8, 0x3, true }, // 2284
  { PseudoVREDMAX_VS_M8_E16_MASK, PseudoVREDMAX_VS_M8_E16, 0x3, true }, // 2285
  { PseudoVREDMAX_VS_M8_E32_MASK, PseudoVREDMAX_VS_M8_E32, 0x3, true }, // 2286
  { PseudoVREDMAX_VS_M8_E64_MASK, PseudoVREDMAX_VS_M8_E64, 0x3, true }, // 2287
  { PseudoVREDMAX_VS_M8_E8_MASK, PseudoVREDMAX_VS_M8_E8, 0x3, true }, // 2288
  { PseudoVREDMAX_VS_MF2_E16_MASK, PseudoVREDMAX_VS_MF2_E16, 0x3, true }, // 2289
  { PseudoVREDMAX_VS_MF2_E32_MASK, PseudoVREDMAX_VS_MF2_E32, 0x3, true }, // 2290
  { PseudoVREDMAX_VS_MF2_E8_MASK, PseudoVREDMAX_VS_MF2_E8, 0x3, true }, // 2291
  { PseudoVREDMAX_VS_MF4_E16_MASK, PseudoVREDMAX_VS_MF4_E16, 0x3, true }, // 2292
  { PseudoVREDMAX_VS_MF4_E8_MASK, PseudoVREDMAX_VS_MF4_E8, 0x3, true }, // 2293
  { PseudoVREDMAX_VS_MF8_E8_MASK, PseudoVREDMAX_VS_MF8_E8, 0x3, true }, // 2294
  { PseudoVREDMINU_VS_M1_E16_MASK, PseudoVREDMINU_VS_M1_E16, 0x3, true }, // 2295
  { PseudoVREDMINU_VS_M1_E32_MASK, PseudoVREDMINU_VS_M1_E32, 0x3, true }, // 2296
  { PseudoVREDMINU_VS_M1_E64_MASK, PseudoVREDMINU_VS_M1_E64, 0x3, true }, // 2297
  { PseudoVREDMINU_VS_M1_E8_MASK, PseudoVREDMINU_VS_M1_E8, 0x3, true }, // 2298
  { PseudoVREDMINU_VS_M2_E16_MASK, PseudoVREDMINU_VS_M2_E16, 0x3, true }, // 2299
  { PseudoVREDMINU_VS_M2_E32_MASK, PseudoVREDMINU_VS_M2_E32, 0x3, true }, // 2300
  { PseudoVREDMINU_VS_M2_E64_MASK, PseudoVREDMINU_VS_M2_E64, 0x3, true }, // 2301
  { PseudoVREDMINU_VS_M2_E8_MASK, PseudoVREDMINU_VS_M2_E8, 0x3, true }, // 2302
  { PseudoVREDMINU_VS_M4_E16_MASK, PseudoVREDMINU_VS_M4_E16, 0x3, true }, // 2303
  { PseudoVREDMINU_VS_M4_E32_MASK, PseudoVREDMINU_VS_M4_E32, 0x3, true }, // 2304
  { PseudoVREDMINU_VS_M4_E64_MASK, PseudoVREDMINU_VS_M4_E64, 0x3, true }, // 2305
  { PseudoVREDMINU_VS_M4_E8_MASK, PseudoVREDMINU_VS_M4_E8, 0x3, true }, // 2306
  { PseudoVREDMINU_VS_M8_E16_MASK, PseudoVREDMINU_VS_M8_E16, 0x3, true }, // 2307
  { PseudoVREDMINU_VS_M8_E32_MASK, PseudoVREDMINU_VS_M8_E32, 0x3, true }, // 2308
  { PseudoVREDMINU_VS_M8_E64_MASK, PseudoVREDMINU_VS_M8_E64, 0x3, true }, // 2309
  { PseudoVREDMINU_VS_M8_E8_MASK, PseudoVREDMINU_VS_M8_E8, 0x3, true }, // 2310
  { PseudoVREDMINU_VS_MF2_E16_MASK, PseudoVREDMINU_VS_MF2_E16, 0x3, true }, // 2311
  { PseudoVREDMINU_VS_MF2_E32_MASK, PseudoVREDMINU_VS_MF2_E32, 0x3, true }, // 2312
  { PseudoVREDMINU_VS_MF2_E8_MASK, PseudoVREDMINU_VS_MF2_E8, 0x3, true }, // 2313
  { PseudoVREDMINU_VS_MF4_E16_MASK, PseudoVREDMINU_VS_MF4_E16, 0x3, true }, // 2314
  { PseudoVREDMINU_VS_MF4_E8_MASK, PseudoVREDMINU_VS_MF4_E8, 0x3, true }, // 2315
  { PseudoVREDMINU_VS_MF8_E8_MASK, PseudoVREDMINU_VS_MF8_E8, 0x3, true }, // 2316
  { PseudoVREDMIN_VS_M1_E16_MASK, PseudoVREDMIN_VS_M1_E16, 0x3, true }, // 2317
  { PseudoVREDMIN_VS_M1_E32_MASK, PseudoVREDMIN_VS_M1_E32, 0x3, true }, // 2318
  { PseudoVREDMIN_VS_M1_E64_MASK, PseudoVREDMIN_VS_M1_E64, 0x3, true }, // 2319
  { PseudoVREDMIN_VS_M1_E8_MASK, PseudoVREDMIN_VS_M1_E8, 0x3, true }, // 2320
  { PseudoVREDMIN_VS_M2_E16_MASK, PseudoVREDMIN_VS_M2_E16, 0x3, true }, // 2321
  { PseudoVREDMIN_VS_M2_E32_MASK, PseudoVREDMIN_VS_M2_E32, 0x3, true }, // 2322
  { PseudoVREDMIN_VS_M2_E64_MASK, PseudoVREDMIN_VS_M2_E64, 0x3, true }, // 2323
  { PseudoVREDMIN_VS_M2_E8_MASK, PseudoVREDMIN_VS_M2_E8, 0x3, true }, // 2324
  { PseudoVREDMIN_VS_M4_E16_MASK, PseudoVREDMIN_VS_M4_E16, 0x3, true }, // 2325
  { PseudoVREDMIN_VS_M4_E32_MASK, PseudoVREDMIN_VS_M4_E32, 0x3, true }, // 2326
  { PseudoVREDMIN_VS_M4_E64_MASK, PseudoVREDMIN_VS_M4_E64, 0x3, true }, // 2327
  { PseudoVREDMIN_VS_M4_E8_MASK, PseudoVREDMIN_VS_M4_E8, 0x3, true }, // 2328
  { PseudoVREDMIN_VS_M8_E16_MASK, PseudoVREDMIN_VS_M8_E16, 0x3, true }, // 2329
  { PseudoVREDMIN_VS_M8_E32_MASK, PseudoVREDMIN_VS_M8_E32, 0x3, true }, // 2330
  { PseudoVREDMIN_VS_M8_E64_MASK, PseudoVREDMIN_VS_M8_E64, 0x3, true }, // 2331
  { PseudoVREDMIN_VS_M8_E8_MASK, PseudoVREDMIN_VS_M8_E8, 0x3, true }, // 2332
  { PseudoVREDMIN_VS_MF2_E16_MASK, PseudoVREDMIN_VS_MF2_E16, 0x3, true }, // 2333
  { PseudoVREDMIN_VS_MF2_E32_MASK, PseudoVREDMIN_VS_MF2_E32, 0x3, true }, // 2334
  { PseudoVREDMIN_VS_MF2_E8_MASK, PseudoVREDMIN_VS_MF2_E8, 0x3, true }, // 2335
  { PseudoVREDMIN_VS_MF4_E16_MASK, PseudoVREDMIN_VS_MF4_E16, 0x3, true }, // 2336
  { PseudoVREDMIN_VS_MF4_E8_MASK, PseudoVREDMIN_VS_MF4_E8, 0x3, true }, // 2337
  { PseudoVREDMIN_VS_MF8_E8_MASK, PseudoVREDMIN_VS_MF8_E8, 0x3, true }, // 2338
  { PseudoVREDOR_VS_M1_E16_MASK, PseudoVREDOR_VS_M1_E16, 0x3, true }, // 2339
  { PseudoVREDOR_VS_M1_E32_MASK, PseudoVREDOR_VS_M1_E32, 0x3, true }, // 2340
  { PseudoVREDOR_VS_M1_E64_MASK, PseudoVREDOR_VS_M1_E64, 0x3, true }, // 2341
  { PseudoVREDOR_VS_M1_E8_MASK, PseudoVREDOR_VS_M1_E8, 0x3, true }, // 2342
  { PseudoVREDOR_VS_M2_E16_MASK, PseudoVREDOR_VS_M2_E16, 0x3, true }, // 2343
  { PseudoVREDOR_VS_M2_E32_MASK, PseudoVREDOR_VS_M2_E32, 0x3, true }, // 2344
  { PseudoVREDOR_VS_M2_E64_MASK, PseudoVREDOR_VS_M2_E64, 0x3, true }, // 2345
  { PseudoVREDOR_VS_M2_E8_MASK, PseudoVREDOR_VS_M2_E8, 0x3, true }, // 2346
  { PseudoVREDOR_VS_M4_E16_MASK, PseudoVREDOR_VS_M4_E16, 0x3, true }, // 2347
  { PseudoVREDOR_VS_M4_E32_MASK, PseudoVREDOR_VS_M4_E32, 0x3, true }, // 2348
  { PseudoVREDOR_VS_M4_E64_MASK, PseudoVREDOR_VS_M4_E64, 0x3, true }, // 2349
  { PseudoVREDOR_VS_M4_E8_MASK, PseudoVREDOR_VS_M4_E8, 0x3, true }, // 2350
  { PseudoVREDOR_VS_M8_E16_MASK, PseudoVREDOR_VS_M8_E16, 0x3, true }, // 2351
  { PseudoVREDOR_VS_M8_E32_MASK, PseudoVREDOR_VS_M8_E32, 0x3, true }, // 2352
  { PseudoVREDOR_VS_M8_E64_MASK, PseudoVREDOR_VS_M8_E64, 0x3, true }, // 2353
  { PseudoVREDOR_VS_M8_E8_MASK, PseudoVREDOR_VS_M8_E8, 0x3, true }, // 2354
  { PseudoVREDOR_VS_MF2_E16_MASK, PseudoVREDOR_VS_MF2_E16, 0x3, true }, // 2355
  { PseudoVREDOR_VS_MF2_E32_MASK, PseudoVREDOR_VS_MF2_E32, 0x3, true }, // 2356
  { PseudoVREDOR_VS_MF2_E8_MASK, PseudoVREDOR_VS_MF2_E8, 0x3, true }, // 2357
  { PseudoVREDOR_VS_MF4_E16_MASK, PseudoVREDOR_VS_MF4_E16, 0x3, true }, // 2358
  { PseudoVREDOR_VS_MF4_E8_MASK, PseudoVREDOR_VS_MF4_E8, 0x3, true }, // 2359
  { PseudoVREDOR_VS_MF8_E8_MASK, PseudoVREDOR_VS_MF8_E8, 0x3, true }, // 2360
  { PseudoVREDSUM_VS_M1_E16_MASK, PseudoVREDSUM_VS_M1_E16, 0x3, true }, // 2361
  { PseudoVREDSUM_VS_M1_E32_MASK, PseudoVREDSUM_VS_M1_E32, 0x3, true }, // 2362
  { PseudoVREDSUM_VS_M1_E64_MASK, PseudoVREDSUM_VS_M1_E64, 0x3, true }, // 2363
  { PseudoVREDSUM_VS_M1_E8_MASK, PseudoVREDSUM_VS_M1_E8, 0x3, true }, // 2364
  { PseudoVREDSUM_VS_M2_E16_MASK, PseudoVREDSUM_VS_M2_E16, 0x3, true }, // 2365
  { PseudoVREDSUM_VS_M2_E32_MASK, PseudoVREDSUM_VS_M2_E32, 0x3, true }, // 2366
  { PseudoVREDSUM_VS_M2_E64_MASK, PseudoVREDSUM_VS_M2_E64, 0x3, true }, // 2367
  { PseudoVREDSUM_VS_M2_E8_MASK, PseudoVREDSUM_VS_M2_E8, 0x3, true }, // 2368
  { PseudoVREDSUM_VS_M4_E16_MASK, PseudoVREDSUM_VS_M4_E16, 0x3, true }, // 2369
  { PseudoVREDSUM_VS_M4_E32_MASK, PseudoVREDSUM_VS_M4_E32, 0x3, true }, // 2370
  { PseudoVREDSUM_VS_M4_E64_MASK, PseudoVREDSUM_VS_M4_E64, 0x3, true }, // 2371
  { PseudoVREDSUM_VS_M4_E8_MASK, PseudoVREDSUM_VS_M4_E8, 0x3, true }, // 2372
  { PseudoVREDSUM_VS_M8_E16_MASK, PseudoVREDSUM_VS_M8_E16, 0x3, true }, // 2373
  { PseudoVREDSUM_VS_M8_E32_MASK, PseudoVREDSUM_VS_M8_E32, 0x3, true }, // 2374
  { PseudoVREDSUM_VS_M8_E64_MASK, PseudoVREDSUM_VS_M8_E64, 0x3, true }, // 2375
  { PseudoVREDSUM_VS_M8_E8_MASK, PseudoVREDSUM_VS_M8_E8, 0x3, true }, // 2376
  { PseudoVREDSUM_VS_MF2_E16_MASK, PseudoVREDSUM_VS_MF2_E16, 0x3, true }, // 2377
  { PseudoVREDSUM_VS_MF2_E32_MASK, PseudoVREDSUM_VS_MF2_E32, 0x3, true }, // 2378
  { PseudoVREDSUM_VS_MF2_E8_MASK, PseudoVREDSUM_VS_MF2_E8, 0x3, true }, // 2379
  { PseudoVREDSUM_VS_MF4_E16_MASK, PseudoVREDSUM_VS_MF4_E16, 0x3, true }, // 2380
  { PseudoVREDSUM_VS_MF4_E8_MASK, PseudoVREDSUM_VS_MF4_E8, 0x3, true }, // 2381
  { PseudoVREDSUM_VS_MF8_E8_MASK, PseudoVREDSUM_VS_MF8_E8, 0x3, true }, // 2382
  { PseudoVREDXOR_VS_M1_E16_MASK, PseudoVREDXOR_VS_M1_E16, 0x3, true }, // 2383
  { PseudoVREDXOR_VS_M1_E32_MASK, PseudoVREDXOR_VS_M1_E32, 0x3, true }, // 2384
  { PseudoVREDXOR_VS_M1_E64_MASK, PseudoVREDXOR_VS_M1_E64, 0x3, true }, // 2385
  { PseudoVREDXOR_VS_M1_E8_MASK, PseudoVREDXOR_VS_M1_E8, 0x3, true }, // 2386
  { PseudoVREDXOR_VS_M2_E16_MASK, PseudoVREDXOR_VS_M2_E16, 0x3, true }, // 2387
  { PseudoVREDXOR_VS_M2_E32_MASK, PseudoVREDXOR_VS_M2_E32, 0x3, true }, // 2388
  { PseudoVREDXOR_VS_M2_E64_MASK, PseudoVREDXOR_VS_M2_E64, 0x3, true }, // 2389
  { PseudoVREDXOR_VS_M2_E8_MASK, PseudoVREDXOR_VS_M2_E8, 0x3, true }, // 2390
  { PseudoVREDXOR_VS_M4_E16_MASK, PseudoVREDXOR_VS_M4_E16, 0x3, true }, // 2391
  { PseudoVREDXOR_VS_M4_E32_MASK, PseudoVREDXOR_VS_M4_E32, 0x3, true }, // 2392
  { PseudoVREDXOR_VS_M4_E64_MASK, PseudoVREDXOR_VS_M4_E64, 0x3, true }, // 2393
  { PseudoVREDXOR_VS_M4_E8_MASK, PseudoVREDXOR_VS_M4_E8, 0x3, true }, // 2394
  { PseudoVREDXOR_VS_M8_E16_MASK, PseudoVREDXOR_VS_M8_E16, 0x3, true }, // 2395
  { PseudoVREDXOR_VS_M8_E32_MASK, PseudoVREDXOR_VS_M8_E32, 0x3, true }, // 2396
  { PseudoVREDXOR_VS_M8_E64_MASK, PseudoVREDXOR_VS_M8_E64, 0x3, true }, // 2397
  { PseudoVREDXOR_VS_M8_E8_MASK, PseudoVREDXOR_VS_M8_E8, 0x3, true }, // 2398
  { PseudoVREDXOR_VS_MF2_E16_MASK, PseudoVREDXOR_VS_MF2_E16, 0x3, true }, // 2399
  { PseudoVREDXOR_VS_MF2_E32_MASK, PseudoVREDXOR_VS_MF2_E32, 0x3, true }, // 2400
  { PseudoVREDXOR_VS_MF2_E8_MASK, PseudoVREDXOR_VS_MF2_E8, 0x3, true }, // 2401
  { PseudoVREDXOR_VS_MF4_E16_MASK, PseudoVREDXOR_VS_MF4_E16, 0x3, true }, // 2402
  { PseudoVREDXOR_VS_MF4_E8_MASK, PseudoVREDXOR_VS_MF4_E8, 0x3, true }, // 2403
  { PseudoVREDXOR_VS_MF8_E8_MASK, PseudoVREDXOR_VS_MF8_E8, 0x3, true }, // 2404
  { PseudoVREMU_VV_M1_E16_MASK, PseudoVREMU_VV_M1_E16, 0x3, false }, // 2405
  { PseudoVREMU_VV_M1_E32_MASK, PseudoVREMU_VV_M1_E32, 0x3, false }, // 2406
  { PseudoVREMU_VV_M1_E64_MASK, PseudoVREMU_VV_M1_E64, 0x3, false }, // 2407
  { PseudoVREMU_VV_M1_E8_MASK, PseudoVREMU_VV_M1_E8, 0x3, false }, // 2408
  { PseudoVREMU_VV_M2_E16_MASK, PseudoVREMU_VV_M2_E16, 0x3, false }, // 2409
  { PseudoVREMU_VV_M2_E32_MASK, PseudoVREMU_VV_M2_E32, 0x3, false }, // 2410
  { PseudoVREMU_VV_M2_E64_MASK, PseudoVREMU_VV_M2_E64, 0x3, false }, // 2411
  { PseudoVREMU_VV_M2_E8_MASK, PseudoVREMU_VV_M2_E8, 0x3, false }, // 2412
  { PseudoVREMU_VV_M4_E16_MASK, PseudoVREMU_VV_M4_E16, 0x3, false }, // 2413
  { PseudoVREMU_VV_M4_E32_MASK, PseudoVREMU_VV_M4_E32, 0x3, false }, // 2414
  { PseudoVREMU_VV_M4_E64_MASK, PseudoVREMU_VV_M4_E64, 0x3, false }, // 2415
  { PseudoVREMU_VV_M4_E8_MASK, PseudoVREMU_VV_M4_E8, 0x3, false }, // 2416
  { PseudoVREMU_VV_M8_E16_MASK, PseudoVREMU_VV_M8_E16, 0x3, false }, // 2417
  { PseudoVREMU_VV_M8_E32_MASK, PseudoVREMU_VV_M8_E32, 0x3, false }, // 2418
  { PseudoVREMU_VV_M8_E64_MASK, PseudoVREMU_VV_M8_E64, 0x3, false }, // 2419
  { PseudoVREMU_VV_M8_E8_MASK, PseudoVREMU_VV_M8_E8, 0x3, false }, // 2420
  { PseudoVREMU_VV_MF2_E16_MASK, PseudoVREMU_VV_MF2_E16, 0x3, false }, // 2421
  { PseudoVREMU_VV_MF2_E32_MASK, PseudoVREMU_VV_MF2_E32, 0x3, false }, // 2422
  { PseudoVREMU_VV_MF2_E8_MASK, PseudoVREMU_VV_MF2_E8, 0x3, false }, // 2423
  { PseudoVREMU_VV_MF4_E16_MASK, PseudoVREMU_VV_MF4_E16, 0x3, false }, // 2424
  { PseudoVREMU_VV_MF4_E8_MASK, PseudoVREMU_VV_MF4_E8, 0x3, false }, // 2425
  { PseudoVREMU_VV_MF8_E8_MASK, PseudoVREMU_VV_MF8_E8, 0x3, false }, // 2426
  { PseudoVREMU_VX_M1_E16_MASK, PseudoVREMU_VX_M1_E16, 0x3, false }, // 2427
  { PseudoVREMU_VX_M1_E32_MASK, PseudoVREMU_VX_M1_E32, 0x3, false }, // 2428
  { PseudoVREMU_VX_M1_E64_MASK, PseudoVREMU_VX_M1_E64, 0x3, false }, // 2429
  { PseudoVREMU_VX_M1_E8_MASK, PseudoVREMU_VX_M1_E8, 0x3, false }, // 2430
  { PseudoVREMU_VX_M2_E16_MASK, PseudoVREMU_VX_M2_E16, 0x3, false }, // 2431
  { PseudoVREMU_VX_M2_E32_MASK, PseudoVREMU_VX_M2_E32, 0x3, false }, // 2432
  { PseudoVREMU_VX_M2_E64_MASK, PseudoVREMU_VX_M2_E64, 0x3, false }, // 2433
  { PseudoVREMU_VX_M2_E8_MASK, PseudoVREMU_VX_M2_E8, 0x3, false }, // 2434
  { PseudoVREMU_VX_M4_E16_MASK, PseudoVREMU_VX_M4_E16, 0x3, false }, // 2435
  { PseudoVREMU_VX_M4_E32_MASK, PseudoVREMU_VX_M4_E32, 0x3, false }, // 2436
  { PseudoVREMU_VX_M4_E64_MASK, PseudoVREMU_VX_M4_E64, 0x3, false }, // 2437
  { PseudoVREMU_VX_M4_E8_MASK, PseudoVREMU_VX_M4_E8, 0x3, false }, // 2438
  { PseudoVREMU_VX_M8_E16_MASK, PseudoVREMU_VX_M8_E16, 0x3, false }, // 2439
  { PseudoVREMU_VX_M8_E32_MASK, PseudoVREMU_VX_M8_E32, 0x3, false }, // 2440
  { PseudoVREMU_VX_M8_E64_MASK, PseudoVREMU_VX_M8_E64, 0x3, false }, // 2441
  { PseudoVREMU_VX_M8_E8_MASK, PseudoVREMU_VX_M8_E8, 0x3, false }, // 2442
  { PseudoVREMU_VX_MF2_E16_MASK, PseudoVREMU_VX_MF2_E16, 0x3, false }, // 2443
  { PseudoVREMU_VX_MF2_E32_MASK, PseudoVREMU_VX_MF2_E32, 0x3, false }, // 2444
  { PseudoVREMU_VX_MF2_E8_MASK, PseudoVREMU_VX_MF2_E8, 0x3, false }, // 2445
  { PseudoVREMU_VX_MF4_E16_MASK, PseudoVREMU_VX_MF4_E16, 0x3, false }, // 2446
  { PseudoVREMU_VX_MF4_E8_MASK, PseudoVREMU_VX_MF4_E8, 0x3, false }, // 2447
  { PseudoVREMU_VX_MF8_E8_MASK, PseudoVREMU_VX_MF8_E8, 0x3, false }, // 2448
  { PseudoVREM_VV_M1_E16_MASK, PseudoVREM_VV_M1_E16, 0x3, false }, // 2449
  { PseudoVREM_VV_M1_E32_MASK, PseudoVREM_VV_M1_E32, 0x3, false }, // 2450
  { PseudoVREM_VV_M1_E64_MASK, PseudoVREM_VV_M1_E64, 0x3, false }, // 2451
  { PseudoVREM_VV_M1_E8_MASK, PseudoVREM_VV_M1_E8, 0x3, false }, // 2452
  { PseudoVREM_VV_M2_E16_MASK, PseudoVREM_VV_M2_E16, 0x3, false }, // 2453
  { PseudoVREM_VV_M2_E32_MASK, PseudoVREM_VV_M2_E32, 0x3, false }, // 2454
  { PseudoVREM_VV_M2_E64_MASK, PseudoVREM_VV_M2_E64, 0x3, false }, // 2455
  { PseudoVREM_VV_M2_E8_MASK, PseudoVREM_VV_M2_E8, 0x3, false }, // 2456
  { PseudoVREM_VV_M4_E16_MASK, PseudoVREM_VV_M4_E16, 0x3, false }, // 2457
  { PseudoVREM_VV_M4_E32_MASK, PseudoVREM_VV_M4_E32, 0x3, false }, // 2458
  { PseudoVREM_VV_M4_E64_MASK, PseudoVREM_VV_M4_E64, 0x3, false }, // 2459
  { PseudoVREM_VV_M4_E8_MASK, PseudoVREM_VV_M4_E8, 0x3, false }, // 2460
  { PseudoVREM_VV_M8_E16_MASK, PseudoVREM_VV_M8_E16, 0x3, false }, // 2461
  { PseudoVREM_VV_M8_E32_MASK, PseudoVREM_VV_M8_E32, 0x3, false }, // 2462
  { PseudoVREM_VV_M8_E64_MASK, PseudoVREM_VV_M8_E64, 0x3, false }, // 2463
  { PseudoVREM_VV_M8_E8_MASK, PseudoVREM_VV_M8_E8, 0x3, false }, // 2464
  { PseudoVREM_VV_MF2_E16_MASK, PseudoVREM_VV_MF2_E16, 0x3, false }, // 2465
  { PseudoVREM_VV_MF2_E32_MASK, PseudoVREM_VV_MF2_E32, 0x3, false }, // 2466
  { PseudoVREM_VV_MF2_E8_MASK, PseudoVREM_VV_MF2_E8, 0x3, false }, // 2467
  { PseudoVREM_VV_MF4_E16_MASK, PseudoVREM_VV_MF4_E16, 0x3, false }, // 2468
  { PseudoVREM_VV_MF4_E8_MASK, PseudoVREM_VV_MF4_E8, 0x3, false }, // 2469
  { PseudoVREM_VV_MF8_E8_MASK, PseudoVREM_VV_MF8_E8, 0x3, false }, // 2470
  { PseudoVREM_VX_M1_E16_MASK, PseudoVREM_VX_M1_E16, 0x3, false }, // 2471
  { PseudoVREM_VX_M1_E32_MASK, PseudoVREM_VX_M1_E32, 0x3, false }, // 2472
  { PseudoVREM_VX_M1_E64_MASK, PseudoVREM_VX_M1_E64, 0x3, false }, // 2473
  { PseudoVREM_VX_M1_E8_MASK, PseudoVREM_VX_M1_E8, 0x3, false }, // 2474
  { PseudoVREM_VX_M2_E16_MASK, PseudoVREM_VX_M2_E16, 0x3, false }, // 2475
  { PseudoVREM_VX_M2_E32_MASK, PseudoVREM_VX_M2_E32, 0x3, false }, // 2476
  { PseudoVREM_VX_M2_E64_MASK, PseudoVREM_VX_M2_E64, 0x3, false }, // 2477
  { PseudoVREM_VX_M2_E8_MASK, PseudoVREM_VX_M2_E8, 0x3, false }, // 2478
  { PseudoVREM_VX_M4_E16_MASK, PseudoVREM_VX_M4_E16, 0x3, false }, // 2479
  { PseudoVREM_VX_M4_E32_MASK, PseudoVREM_VX_M4_E32, 0x3, false }, // 2480
  { PseudoVREM_VX_M4_E64_MASK, PseudoVREM_VX_M4_E64, 0x3, false }, // 2481
  { PseudoVREM_VX_M4_E8_MASK, PseudoVREM_VX_M4_E8, 0x3, false }, // 2482
  { PseudoVREM_VX_M8_E16_MASK, PseudoVREM_VX_M8_E16, 0x3, false }, // 2483
  { PseudoVREM_VX_M8_E32_MASK, PseudoVREM_VX_M8_E32, 0x3, false }, // 2484
  { PseudoVREM_VX_M8_E64_MASK, PseudoVREM_VX_M8_E64, 0x3, false }, // 2485
  { PseudoVREM_VX_M8_E8_MASK, PseudoVREM_VX_M8_E8, 0x3, false }, // 2486
  { PseudoVREM_VX_MF2_E16_MASK, PseudoVREM_VX_MF2_E16, 0x3, false }, // 2487
  { PseudoVREM_VX_MF2_E32_MASK, PseudoVREM_VX_MF2_E32, 0x3, false }, // 2488
  { PseudoVREM_VX_MF2_E8_MASK, PseudoVREM_VX_MF2_E8, 0x3, false }, // 2489
  { PseudoVREM_VX_MF4_E16_MASK, PseudoVREM_VX_MF4_E16, 0x3, false }, // 2490
  { PseudoVREM_VX_MF4_E8_MASK, PseudoVREM_VX_MF4_E8, 0x3, false }, // 2491
  { PseudoVREM_VX_MF8_E8_MASK, PseudoVREM_VX_MF8_E8, 0x3, false }, // 2492
  { PseudoVREV8_V_M1_MASK, PseudoVREV8_V_M1, 0x2, false }, // 2493
  { PseudoVREV8_V_M2_MASK, PseudoVREV8_V_M2, 0x2, false }, // 2494
  { PseudoVREV8_V_M4_MASK, PseudoVREV8_V_M4, 0x2, false }, // 2495
  { PseudoVREV8_V_M8_MASK, PseudoVREV8_V_M8, 0x2, false }, // 2496
  { PseudoVREV8_V_MF2_MASK, PseudoVREV8_V_MF2, 0x2, false }, // 2497
  { PseudoVREV8_V_MF4_MASK, PseudoVREV8_V_MF4, 0x2, false }, // 2498
  { PseudoVREV8_V_MF8_MASK, PseudoVREV8_V_MF8, 0x2, false }, // 2499
  { PseudoVRGATHEREI16_VV_M1_E16_M1_MASK, PseudoVRGATHEREI16_VV_M1_E16_M1, 0x3, false }, // 2500
  { PseudoVRGATHEREI16_VV_M1_E16_M2_MASK, PseudoVRGATHEREI16_VV_M1_E16_M2, 0x3, false }, // 2501
  { PseudoVRGATHEREI16_VV_M1_E16_MF2_MASK, PseudoVRGATHEREI16_VV_M1_E16_MF2, 0x3, false }, // 2502
  { PseudoVRGATHEREI16_VV_M1_E16_MF4_MASK, PseudoVRGATHEREI16_VV_M1_E16_MF4, 0x3, false }, // 2503
  { PseudoVRGATHEREI16_VV_M1_E32_M1_MASK, PseudoVRGATHEREI16_VV_M1_E32_M1, 0x3, false }, // 2504
  { PseudoVRGATHEREI16_VV_M1_E32_M2_MASK, PseudoVRGATHEREI16_VV_M1_E32_M2, 0x3, false }, // 2505
  { PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK, PseudoVRGATHEREI16_VV_M1_E32_MF2, 0x3, false }, // 2506
  { PseudoVRGATHEREI16_VV_M1_E32_MF4_MASK, PseudoVRGATHEREI16_VV_M1_E32_MF4, 0x3, false }, // 2507
  { PseudoVRGATHEREI16_VV_M1_E64_M1_MASK, PseudoVRGATHEREI16_VV_M1_E64_M1, 0x3, false }, // 2508
  { PseudoVRGATHEREI16_VV_M1_E64_M2_MASK, PseudoVRGATHEREI16_VV_M1_E64_M2, 0x3, false }, // 2509
  { PseudoVRGATHEREI16_VV_M1_E64_MF2_MASK, PseudoVRGATHEREI16_VV_M1_E64_MF2, 0x3, false }, // 2510
  { PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK, PseudoVRGATHEREI16_VV_M1_E64_MF4, 0x3, false }, // 2511
  { PseudoVRGATHEREI16_VV_M1_E8_M1_MASK, PseudoVRGATHEREI16_VV_M1_E8_M1, 0x3, false }, // 2512
  { PseudoVRGATHEREI16_VV_M1_E8_M2_MASK, PseudoVRGATHEREI16_VV_M1_E8_M2, 0x3, false }, // 2513
  { PseudoVRGATHEREI16_VV_M1_E8_MF2_MASK, PseudoVRGATHEREI16_VV_M1_E8_MF2, 0x3, false }, // 2514
  { PseudoVRGATHEREI16_VV_M1_E8_MF4_MASK, PseudoVRGATHEREI16_VV_M1_E8_MF4, 0x3, false }, // 2515
  { PseudoVRGATHEREI16_VV_M2_E16_M1_MASK, PseudoVRGATHEREI16_VV_M2_E16_M1, 0x3, false }, // 2516
  { PseudoVRGATHEREI16_VV_M2_E16_M2_MASK, PseudoVRGATHEREI16_VV_M2_E16_M2, 0x3, false }, // 2517
  { PseudoVRGATHEREI16_VV_M2_E16_M4_MASK, PseudoVRGATHEREI16_VV_M2_E16_M4, 0x3, false }, // 2518
  { PseudoVRGATHEREI16_VV_M2_E16_MF2_MASK, PseudoVRGATHEREI16_VV_M2_E16_MF2, 0x3, false }, // 2519
  { PseudoVRGATHEREI16_VV_M2_E32_M1_MASK, PseudoVRGATHEREI16_VV_M2_E32_M1, 0x3, false }, // 2520
  { PseudoVRGATHEREI16_VV_M2_E32_M2_MASK, PseudoVRGATHEREI16_VV_M2_E32_M2, 0x3, false }, // 2521
  { PseudoVRGATHEREI16_VV_M2_E32_M4_MASK, PseudoVRGATHEREI16_VV_M2_E32_M4, 0x3, false }, // 2522
  { PseudoVRGATHEREI16_VV_M2_E32_MF2_MASK, PseudoVRGATHEREI16_VV_M2_E32_MF2, 0x3, false }, // 2523
  { PseudoVRGATHEREI16_VV_M2_E64_M1_MASK, PseudoVRGATHEREI16_VV_M2_E64_M1, 0x3, false }, // 2524
  { PseudoVRGATHEREI16_VV_M2_E64_M2_MASK, PseudoVRGATHEREI16_VV_M2_E64_M2, 0x3, false }, // 2525
  { PseudoVRGATHEREI16_VV_M2_E64_M4_MASK, PseudoVRGATHEREI16_VV_M2_E64_M4, 0x3, false }, // 2526
  { PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK, PseudoVRGATHEREI16_VV_M2_E64_MF2, 0x3, false }, // 2527
  { PseudoVRGATHEREI16_VV_M2_E8_M1_MASK, PseudoVRGATHEREI16_VV_M2_E8_M1, 0x3, false }, // 2528
  { PseudoVRGATHEREI16_VV_M2_E8_M2_MASK, PseudoVRGATHEREI16_VV_M2_E8_M2, 0x3, false }, // 2529
  { PseudoVRGATHEREI16_VV_M2_E8_M4_MASK, PseudoVRGATHEREI16_VV_M2_E8_M4, 0x3, false }, // 2530
  { PseudoVRGATHEREI16_VV_M2_E8_MF2_MASK, PseudoVRGATHEREI16_VV_M2_E8_MF2, 0x3, false }, // 2531
  { PseudoVRGATHEREI16_VV_M4_E16_M1_MASK, PseudoVRGATHEREI16_VV_M4_E16_M1, 0x3, false }, // 2532
  { PseudoVRGATHEREI16_VV_M4_E16_M2_MASK, PseudoVRGATHEREI16_VV_M4_E16_M2, 0x3, false }, // 2533
  { PseudoVRGATHEREI16_VV_M4_E16_M4_MASK, PseudoVRGATHEREI16_VV_M4_E16_M4, 0x3, false }, // 2534
  { PseudoVRGATHEREI16_VV_M4_E16_M8_MASK, PseudoVRGATHEREI16_VV_M4_E16_M8, 0x3, false }, // 2535
  { PseudoVRGATHEREI16_VV_M4_E32_M1_MASK, PseudoVRGATHEREI16_VV_M4_E32_M1, 0x3, false }, // 2536
  { PseudoVRGATHEREI16_VV_M4_E32_M2_MASK, PseudoVRGATHEREI16_VV_M4_E32_M2, 0x3, false }, // 2537
  { PseudoVRGATHEREI16_VV_M4_E32_M4_MASK, PseudoVRGATHEREI16_VV_M4_E32_M4, 0x3, false }, // 2538
  { PseudoVRGATHEREI16_VV_M4_E32_M8_MASK, PseudoVRGATHEREI16_VV_M4_E32_M8, 0x3, false }, // 2539
  { PseudoVRGATHEREI16_VV_M4_E64_M1_MASK, PseudoVRGATHEREI16_VV_M4_E64_M1, 0x3, false }, // 2540
  { PseudoVRGATHEREI16_VV_M4_E64_M2_MASK, PseudoVRGATHEREI16_VV_M4_E64_M2, 0x3, false }, // 2541
  { PseudoVRGATHEREI16_VV_M4_E64_M4_MASK, PseudoVRGATHEREI16_VV_M4_E64_M4, 0x3, false }, // 2542
  { PseudoVRGATHEREI16_VV_M4_E64_M8_MASK, PseudoVRGATHEREI16_VV_M4_E64_M8, 0x3, false }, // 2543
  { PseudoVRGATHEREI16_VV_M4_E8_M1_MASK, PseudoVRGATHEREI16_VV_M4_E8_M1, 0x3, false }, // 2544
  { PseudoVRGATHEREI16_VV_M4_E8_M2_MASK, PseudoVRGATHEREI16_VV_M4_E8_M2, 0x3, false }, // 2545
  { PseudoVRGATHEREI16_VV_M4_E8_M4_MASK, PseudoVRGATHEREI16_VV_M4_E8_M4, 0x3, false }, // 2546
  { PseudoVRGATHEREI16_VV_M4_E8_M8_MASK, PseudoVRGATHEREI16_VV_M4_E8_M8, 0x3, false }, // 2547
  { PseudoVRGATHEREI16_VV_M8_E16_M2_MASK, PseudoVRGATHEREI16_VV_M8_E16_M2, 0x3, false }, // 2548
  { PseudoVRGATHEREI16_VV_M8_E16_M4_MASK, PseudoVRGATHEREI16_VV_M8_E16_M4, 0x3, false }, // 2549
  { PseudoVRGATHEREI16_VV_M8_E16_M8_MASK, PseudoVRGATHEREI16_VV_M8_E16_M8, 0x3, false }, // 2550
  { PseudoVRGATHEREI16_VV_M8_E32_M2_MASK, PseudoVRGATHEREI16_VV_M8_E32_M2, 0x3, false }, // 2551
  { PseudoVRGATHEREI16_VV_M8_E32_M4_MASK, PseudoVRGATHEREI16_VV_M8_E32_M4, 0x3, false }, // 2552
  { PseudoVRGATHEREI16_VV_M8_E32_M8_MASK, PseudoVRGATHEREI16_VV_M8_E32_M8, 0x3, false }, // 2553
  { PseudoVRGATHEREI16_VV_M8_E64_M2_MASK, PseudoVRGATHEREI16_VV_M8_E64_M2, 0x3, false }, // 2554
  { PseudoVRGATHEREI16_VV_M8_E64_M4_MASK, PseudoVRGATHEREI16_VV_M8_E64_M4, 0x3, false }, // 2555
  { PseudoVRGATHEREI16_VV_M8_E64_M8_MASK, PseudoVRGATHEREI16_VV_M8_E64_M8, 0x3, false }, // 2556
  { PseudoVRGATHEREI16_VV_M8_E8_M2_MASK, PseudoVRGATHEREI16_VV_M8_E8_M2, 0x3, false }, // 2557
  { PseudoVRGATHEREI16_VV_M8_E8_M4_MASK, PseudoVRGATHEREI16_VV_M8_E8_M4, 0x3, false }, // 2558
  { PseudoVRGATHEREI16_VV_M8_E8_M8_MASK, PseudoVRGATHEREI16_VV_M8_E8_M8, 0x3, false }, // 2559
  { PseudoVRGATHEREI16_VV_MF2_E16_M1_MASK, PseudoVRGATHEREI16_VV_MF2_E16_M1, 0x3, false }, // 2560
  { PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK, PseudoVRGATHEREI16_VV_MF2_E16_MF2, 0x3, false }, // 2561
  { PseudoVRGATHEREI16_VV_MF2_E16_MF4_MASK, PseudoVRGATHEREI16_VV_MF2_E16_MF4, 0x3, false }, // 2562
  { PseudoVRGATHEREI16_VV_MF2_E16_MF8_MASK, PseudoVRGATHEREI16_VV_MF2_E16_MF8, 0x3, false }, // 2563
  { PseudoVRGATHEREI16_VV_MF2_E32_M1_MASK, PseudoVRGATHEREI16_VV_MF2_E32_M1, 0x3, false }, // 2564
  { PseudoVRGATHEREI16_VV_MF2_E32_MF2_MASK, PseudoVRGATHEREI16_VV_MF2_E32_MF2, 0x3, false }, // 2565
  { PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK, PseudoVRGATHEREI16_VV_MF2_E32_MF4, 0x3, false }, // 2566
  { PseudoVRGATHEREI16_VV_MF2_E32_MF8_MASK, PseudoVRGATHEREI16_VV_MF2_E32_MF8, 0x3, false }, // 2567
  { PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK, PseudoVRGATHEREI16_VV_MF2_E8_M1, 0x3, false }, // 2568
  { PseudoVRGATHEREI16_VV_MF2_E8_MF2_MASK, PseudoVRGATHEREI16_VV_MF2_E8_MF2, 0x3, false }, // 2569
  { PseudoVRGATHEREI16_VV_MF2_E8_MF4_MASK, PseudoVRGATHEREI16_VV_MF2_E8_MF4, 0x3, false }, // 2570
  { PseudoVRGATHEREI16_VV_MF2_E8_MF8_MASK, PseudoVRGATHEREI16_VV_MF2_E8_MF8, 0x3, false }, // 2571
  { PseudoVRGATHEREI16_VV_MF4_E16_MF2_MASK, PseudoVRGATHEREI16_VV_MF4_E16_MF2, 0x3, false }, // 2572
  { PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK, PseudoVRGATHEREI16_VV_MF4_E16_MF4, 0x3, false }, // 2573
  { PseudoVRGATHEREI16_VV_MF4_E16_MF8_MASK, PseudoVRGATHEREI16_VV_MF4_E16_MF8, 0x3, false }, // 2574
  { PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK, PseudoVRGATHEREI16_VV_MF4_E8_MF2, 0x3, false }, // 2575
  { PseudoVRGATHEREI16_VV_MF4_E8_MF4_MASK, PseudoVRGATHEREI16_VV_MF4_E8_MF4, 0x3, false }, // 2576
  { PseudoVRGATHEREI16_VV_MF4_E8_MF8_MASK, PseudoVRGATHEREI16_VV_MF4_E8_MF8, 0x3, false }, // 2577
  { PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK, PseudoVRGATHEREI16_VV_MF8_E8_MF4, 0x3, false }, // 2578
  { PseudoVRGATHEREI16_VV_MF8_E8_MF8_MASK, PseudoVRGATHEREI16_VV_MF8_E8_MF8, 0x3, false }, // 2579
  { PseudoVRGATHER_VI_M1_MASK, PseudoVRGATHER_VI_M1, 0x3, false }, // 2580
  { PseudoVRGATHER_VI_M2_MASK, PseudoVRGATHER_VI_M2, 0x3, false }, // 2581
  { PseudoVRGATHER_VI_M4_MASK, PseudoVRGATHER_VI_M4, 0x3, false }, // 2582
  { PseudoVRGATHER_VI_M8_MASK, PseudoVRGATHER_VI_M8, 0x3, false }, // 2583
  { PseudoVRGATHER_VI_MF2_MASK, PseudoVRGATHER_VI_MF2, 0x3, false }, // 2584
  { PseudoVRGATHER_VI_MF4_MASK, PseudoVRGATHER_VI_MF4, 0x3, false }, // 2585
  { PseudoVRGATHER_VI_MF8_MASK, PseudoVRGATHER_VI_MF8, 0x3, false }, // 2586
  { PseudoVRGATHER_VV_M1_E16_MASK, PseudoVRGATHER_VV_M1_E16, 0x3, false }, // 2587
  { PseudoVRGATHER_VV_M1_E32_MASK, PseudoVRGATHER_VV_M1_E32, 0x3, false }, // 2588
  { PseudoVRGATHER_VV_M1_E64_MASK, PseudoVRGATHER_VV_M1_E64, 0x3, false }, // 2589
  { PseudoVRGATHER_VV_M1_E8_MASK, PseudoVRGATHER_VV_M1_E8, 0x3, false }, // 2590
  { PseudoVRGATHER_VV_M2_E16_MASK, PseudoVRGATHER_VV_M2_E16, 0x3, false }, // 2591
  { PseudoVRGATHER_VV_M2_E32_MASK, PseudoVRGATHER_VV_M2_E32, 0x3, false }, // 2592
  { PseudoVRGATHER_VV_M2_E64_MASK, PseudoVRGATHER_VV_M2_E64, 0x3, false }, // 2593
  { PseudoVRGATHER_VV_M2_E8_MASK, PseudoVRGATHER_VV_M2_E8, 0x3, false }, // 2594
  { PseudoVRGATHER_VV_M4_E16_MASK, PseudoVRGATHER_VV_M4_E16, 0x3, false }, // 2595
  { PseudoVRGATHER_VV_M4_E32_MASK, PseudoVRGATHER_VV_M4_E32, 0x3, false }, // 2596
  { PseudoVRGATHER_VV_M4_E64_MASK, PseudoVRGATHER_VV_M4_E64, 0x3, false }, // 2597
  { PseudoVRGATHER_VV_M4_E8_MASK, PseudoVRGATHER_VV_M4_E8, 0x3, false }, // 2598
  { PseudoVRGATHER_VV_M8_E16_MASK, PseudoVRGATHER_VV_M8_E16, 0x3, false }, // 2599
  { PseudoVRGATHER_VV_M8_E32_MASK, PseudoVRGATHER_VV_M8_E32, 0x3, false }, // 2600
  { PseudoVRGATHER_VV_M8_E64_MASK, PseudoVRGATHER_VV_M8_E64, 0x3, false }, // 2601
  { PseudoVRGATHER_VV_M8_E8_MASK, PseudoVRGATHER_VV_M8_E8, 0x3, false }, // 2602
  { PseudoVRGATHER_VV_MF2_E16_MASK, PseudoVRGATHER_VV_MF2_E16, 0x3, false }, // 2603
  { PseudoVRGATHER_VV_MF2_E32_MASK, PseudoVRGATHER_VV_MF2_E32, 0x3, false }, // 2604
  { PseudoVRGATHER_VV_MF2_E8_MASK, PseudoVRGATHER_VV_MF2_E8, 0x3, false }, // 2605
  { PseudoVRGATHER_VV_MF4_E16_MASK, PseudoVRGATHER_VV_MF4_E16, 0x3, false }, // 2606
  { PseudoVRGATHER_VV_MF4_E8_MASK, PseudoVRGATHER_VV_MF4_E8, 0x3, false }, // 2607
  { PseudoVRGATHER_VV_MF8_E8_MASK, PseudoVRGATHER_VV_MF8_E8, 0x3, false }, // 2608
  { PseudoVRGATHER_VX_M1_MASK, PseudoVRGATHER_VX_M1, 0x3, false }, // 2609
  { PseudoVRGATHER_VX_M2_MASK, PseudoVRGATHER_VX_M2, 0x3, false }, // 2610
  { PseudoVRGATHER_VX_M4_MASK, PseudoVRGATHER_VX_M4, 0x3, false }, // 2611
  { PseudoVRGATHER_VX_M8_MASK, PseudoVRGATHER_VX_M8, 0x3, false }, // 2612
  { PseudoVRGATHER_VX_MF2_MASK, PseudoVRGATHER_VX_MF2, 0x3, false }, // 2613
  { PseudoVRGATHER_VX_MF4_MASK, PseudoVRGATHER_VX_MF4, 0x3, false }, // 2614
  { PseudoVRGATHER_VX_MF8_MASK, PseudoVRGATHER_VX_MF8, 0x3, false }, // 2615
  { PseudoVROL_VV_M1_MASK, PseudoVROL_VV_M1, 0x3, false }, // 2616
  { PseudoVROL_VV_M2_MASK, PseudoVROL_VV_M2, 0x3, false }, // 2617
  { PseudoVROL_VV_M4_MASK, PseudoVROL_VV_M4, 0x3, false }, // 2618
  { PseudoVROL_VV_M8_MASK, PseudoVROL_VV_M8, 0x3, false }, // 2619
  { PseudoVROL_VV_MF2_MASK, PseudoVROL_VV_MF2, 0x3, false }, // 2620
  { PseudoVROL_VV_MF4_MASK, PseudoVROL_VV_MF4, 0x3, false }, // 2621
  { PseudoVROL_VV_MF8_MASK, PseudoVROL_VV_MF8, 0x3, false }, // 2622
  { PseudoVROL_VX_M1_MASK, PseudoVROL_VX_M1, 0x3, false }, // 2623
  { PseudoVROL_VX_M2_MASK, PseudoVROL_VX_M2, 0x3, false }, // 2624
  { PseudoVROL_VX_M4_MASK, PseudoVROL_VX_M4, 0x3, false }, // 2625
  { PseudoVROL_VX_M8_MASK, PseudoVROL_VX_M8, 0x3, false }, // 2626
  { PseudoVROL_VX_MF2_MASK, PseudoVROL_VX_MF2, 0x3, false }, // 2627
  { PseudoVROL_VX_MF4_MASK, PseudoVROL_VX_MF4, 0x3, false }, // 2628
  { PseudoVROL_VX_MF8_MASK, PseudoVROL_VX_MF8, 0x3, false }, // 2629
  { PseudoVROR_VI_M1_MASK, PseudoVROR_VI_M1, 0x3, false }, // 2630
  { PseudoVROR_VI_M2_MASK, PseudoVROR_VI_M2, 0x3, false }, // 2631
  { PseudoVROR_VI_M4_MASK, PseudoVROR_VI_M4, 0x3, false }, // 2632
  { PseudoVROR_VI_M8_MASK, PseudoVROR_VI_M8, 0x3, false }, // 2633
  { PseudoVROR_VI_MF2_MASK, PseudoVROR_VI_MF2, 0x3, false }, // 2634
  { PseudoVROR_VI_MF4_MASK, PseudoVROR_VI_MF4, 0x3, false }, // 2635
  { PseudoVROR_VI_MF8_MASK, PseudoVROR_VI_MF8, 0x3, false }, // 2636
  { PseudoVROR_VV_M1_MASK, PseudoVROR_VV_M1, 0x3, false }, // 2637
  { PseudoVROR_VV_M2_MASK, PseudoVROR_VV_M2, 0x3, false }, // 2638
  { PseudoVROR_VV_M4_MASK, PseudoVROR_VV_M4, 0x3, false }, // 2639
  { PseudoVROR_VV_M8_MASK, PseudoVROR_VV_M8, 0x3, false }, // 2640
  { PseudoVROR_VV_MF2_MASK, PseudoVROR_VV_MF2, 0x3, false }, // 2641
  { PseudoVROR_VV_MF4_MASK, PseudoVROR_VV_MF4, 0x3, false }, // 2642
  { PseudoVROR_VV_MF8_MASK, PseudoVROR_VV_MF8, 0x3, false }, // 2643
  { PseudoVROR_VX_M1_MASK, PseudoVROR_VX_M1, 0x3, false }, // 2644
  { PseudoVROR_VX_M2_MASK, PseudoVROR_VX_M2, 0x3, false }, // 2645
  { PseudoVROR_VX_M4_MASK, PseudoVROR_VX_M4, 0x3, false }, // 2646
  { PseudoVROR_VX_M8_MASK, PseudoVROR_VX_M8, 0x3, false }, // 2647
  { PseudoVROR_VX_MF2_MASK, PseudoVROR_VX_MF2, 0x3, false }, // 2648
  { PseudoVROR_VX_MF4_MASK, PseudoVROR_VX_MF4, 0x3, false }, // 2649
  { PseudoVROR_VX_MF8_MASK, PseudoVROR_VX_MF8, 0x3, false }, // 2650
  { PseudoVRSUB_VI_M1_MASK, PseudoVRSUB_VI_M1, 0x3, false }, // 2651
  { PseudoVRSUB_VI_M2_MASK, PseudoVRSUB_VI_M2, 0x3, false }, // 2652
  { PseudoVRSUB_VI_M4_MASK, PseudoVRSUB_VI_M4, 0x3, false }, // 2653
  { PseudoVRSUB_VI_M8_MASK, PseudoVRSUB_VI_M8, 0x3, false }, // 2654
  { PseudoVRSUB_VI_MF2_MASK, PseudoVRSUB_VI_MF2, 0x3, false }, // 2655
  { PseudoVRSUB_VI_MF4_MASK, PseudoVRSUB_VI_MF4, 0x3, false }, // 2656
  { PseudoVRSUB_VI_MF8_MASK, PseudoVRSUB_VI_MF8, 0x3, false }, // 2657
  { PseudoVRSUB_VX_M1_MASK, PseudoVRSUB_VX_M1, 0x3, false }, // 2658
  { PseudoVRSUB_VX_M2_MASK, PseudoVRSUB_VX_M2, 0x3, false }, // 2659
  { PseudoVRSUB_VX_M4_MASK, PseudoVRSUB_VX_M4, 0x3, false }, // 2660
  { PseudoVRSUB_VX_M8_MASK, PseudoVRSUB_VX_M8, 0x3, false }, // 2661
  { PseudoVRSUB_VX_MF2_MASK, PseudoVRSUB_VX_MF2, 0x3, false }, // 2662
  { PseudoVRSUB_VX_MF4_MASK, PseudoVRSUB_VX_MF4, 0x3, false }, // 2663
  { PseudoVRSUB_VX_MF8_MASK, PseudoVRSUB_VX_MF8, 0x3, false }, // 2664
  { PseudoVSADDU_VI_M1_MASK, PseudoVSADDU_VI_M1, 0x3, false }, // 2665
  { PseudoVSADDU_VI_M2_MASK, PseudoVSADDU_VI_M2, 0x3, false }, // 2666
  { PseudoVSADDU_VI_M4_MASK, PseudoVSADDU_VI_M4, 0x3, false }, // 2667
  { PseudoVSADDU_VI_M8_MASK, PseudoVSADDU_VI_M8, 0x3, false }, // 2668
  { PseudoVSADDU_VI_MF2_MASK, PseudoVSADDU_VI_MF2, 0x3, false }, // 2669
  { PseudoVSADDU_VI_MF4_MASK, PseudoVSADDU_VI_MF4, 0x3, false }, // 2670
  { PseudoVSADDU_VI_MF8_MASK, PseudoVSADDU_VI_MF8, 0x3, false }, // 2671
  { PseudoVSADDU_VV_M1_MASK, PseudoVSADDU_VV_M1, 0x3, false }, // 2672
  { PseudoVSADDU_VV_M2_MASK, PseudoVSADDU_VV_M2, 0x3, false }, // 2673
  { PseudoVSADDU_VV_M4_MASK, PseudoVSADDU_VV_M4, 0x3, false }, // 2674
  { PseudoVSADDU_VV_M8_MASK, PseudoVSADDU_VV_M8, 0x3, false }, // 2675
  { PseudoVSADDU_VV_MF2_MASK, PseudoVSADDU_VV_MF2, 0x3, false }, // 2676
  { PseudoVSADDU_VV_MF4_MASK, PseudoVSADDU_VV_MF4, 0x3, false }, // 2677
  { PseudoVSADDU_VV_MF8_MASK, PseudoVSADDU_VV_MF8, 0x3, false }, // 2678
  { PseudoVSADDU_VX_M1_MASK, PseudoVSADDU_VX_M1, 0x3, false }, // 2679
  { PseudoVSADDU_VX_M2_MASK, PseudoVSADDU_VX_M2, 0x3, false }, // 2680
  { PseudoVSADDU_VX_M4_MASK, PseudoVSADDU_VX_M4, 0x3, false }, // 2681
  { PseudoVSADDU_VX_M8_MASK, PseudoVSADDU_VX_M8, 0x3, false }, // 2682
  { PseudoVSADDU_VX_MF2_MASK, PseudoVSADDU_VX_MF2, 0x3, false }, // 2683
  { PseudoVSADDU_VX_MF4_MASK, PseudoVSADDU_VX_MF4, 0x3, false }, // 2684
  { PseudoVSADDU_VX_MF8_MASK, PseudoVSADDU_VX_MF8, 0x3, false }, // 2685
  { PseudoVSADD_VI_M1_MASK, PseudoVSADD_VI_M1, 0x3, false }, // 2686
  { PseudoVSADD_VI_M2_MASK, PseudoVSADD_VI_M2, 0x3, false }, // 2687
  { PseudoVSADD_VI_M4_MASK, PseudoVSADD_VI_M4, 0x3, false }, // 2688
  { PseudoVSADD_VI_M8_MASK, PseudoVSADD_VI_M8, 0x3, false }, // 2689
  { PseudoVSADD_VI_MF2_MASK, PseudoVSADD_VI_MF2, 0x3, false }, // 2690
  { PseudoVSADD_VI_MF4_MASK, PseudoVSADD_VI_MF4, 0x3, false }, // 2691
  { PseudoVSADD_VI_MF8_MASK, PseudoVSADD_VI_MF8, 0x3, false }, // 2692
  { PseudoVSADD_VV_M1_MASK, PseudoVSADD_VV_M1, 0x3, false }, // 2693
  { PseudoVSADD_VV_M2_MASK, PseudoVSADD_VV_M2, 0x3, false }, // 2694
  { PseudoVSADD_VV_M4_MASK, PseudoVSADD_VV_M4, 0x3, false }, // 2695
  { PseudoVSADD_VV_M8_MASK, PseudoVSADD_VV_M8, 0x3, false }, // 2696
  { PseudoVSADD_VV_MF2_MASK, PseudoVSADD_VV_MF2, 0x3, false }, // 2697
  { PseudoVSADD_VV_MF4_MASK, PseudoVSADD_VV_MF4, 0x3, false }, // 2698
  { PseudoVSADD_VV_MF8_MASK, PseudoVSADD_VV_MF8, 0x3, false }, // 2699
  { PseudoVSADD_VX_M1_MASK, PseudoVSADD_VX_M1, 0x3, false }, // 2700
  { PseudoVSADD_VX_M2_MASK, PseudoVSADD_VX_M2, 0x3, false }, // 2701
  { PseudoVSADD_VX_M4_MASK, PseudoVSADD_VX_M4, 0x3, false }, // 2702
  { PseudoVSADD_VX_M8_MASK, PseudoVSADD_VX_M8, 0x3, false }, // 2703
  { PseudoVSADD_VX_MF2_MASK, PseudoVSADD_VX_MF2, 0x3, false }, // 2704
  { PseudoVSADD_VX_MF4_MASK, PseudoVSADD_VX_MF4, 0x3, false }, // 2705
  { PseudoVSADD_VX_MF8_MASK, PseudoVSADD_VX_MF8, 0x3, false }, // 2706
  { PseudoVSEXT_VF2_M1_MASK, PseudoVSEXT_VF2_M1, 0x2, false }, // 2707
  { PseudoVSEXT_VF2_M2_MASK, PseudoVSEXT_VF2_M2, 0x2, false }, // 2708
  { PseudoVSEXT_VF2_M4_MASK, PseudoVSEXT_VF2_M4, 0x2, false }, // 2709
  { PseudoVSEXT_VF2_M8_MASK, PseudoVSEXT_VF2_M8, 0x2, false }, // 2710
  { PseudoVSEXT_VF2_MF2_MASK, PseudoVSEXT_VF2_MF2, 0x2, false }, // 2711
  { PseudoVSEXT_VF2_MF4_MASK, PseudoVSEXT_VF2_MF4, 0x2, false }, // 2712
  { PseudoVSEXT_VF4_M1_MASK, PseudoVSEXT_VF4_M1, 0x2, false }, // 2713
  { PseudoVSEXT_VF4_M2_MASK, PseudoVSEXT_VF4_M2, 0x2, false }, // 2714
  { PseudoVSEXT_VF4_M4_MASK, PseudoVSEXT_VF4_M4, 0x2, false }, // 2715
  { PseudoVSEXT_VF4_M8_MASK, PseudoVSEXT_VF4_M8, 0x2, false }, // 2716
  { PseudoVSEXT_VF4_MF2_MASK, PseudoVSEXT_VF4_MF2, 0x2, false }, // 2717
  { PseudoVSEXT_VF8_M1_MASK, PseudoVSEXT_VF8_M1, 0x2, false }, // 2718
  { PseudoVSEXT_VF8_M2_MASK, PseudoVSEXT_VF8_M2, 0x2, false }, // 2719
  { PseudoVSEXT_VF8_M4_MASK, PseudoVSEXT_VF8_M4, 0x2, false }, // 2720
  { PseudoVSEXT_VF8_M8_MASK, PseudoVSEXT_VF8_M8, 0x2, false }, // 2721
  { PseudoVSLIDE1DOWN_VX_M1_MASK, PseudoVSLIDE1DOWN_VX_M1, 0x3, false }, // 2722
  { PseudoVSLIDE1DOWN_VX_M2_MASK, PseudoVSLIDE1DOWN_VX_M2, 0x3, false }, // 2723
  { PseudoVSLIDE1DOWN_VX_M4_MASK, PseudoVSLIDE1DOWN_VX_M4, 0x3, false }, // 2724
  { PseudoVSLIDE1DOWN_VX_M8_MASK, PseudoVSLIDE1DOWN_VX_M8, 0x3, false }, // 2725
  { PseudoVSLIDE1DOWN_VX_MF2_MASK, PseudoVSLIDE1DOWN_VX_MF2, 0x3, false }, // 2726
  { PseudoVSLIDE1DOWN_VX_MF4_MASK, PseudoVSLIDE1DOWN_VX_MF4, 0x3, false }, // 2727
  { PseudoVSLIDE1DOWN_VX_MF8_MASK, PseudoVSLIDE1DOWN_VX_MF8, 0x3, false }, // 2728
  { PseudoVSLIDE1UP_VX_M1_MASK, PseudoVSLIDE1UP_VX_M1, 0x3, false }, // 2729
  { PseudoVSLIDE1UP_VX_M2_MASK, PseudoVSLIDE1UP_VX_M2, 0x3, false }, // 2730
  { PseudoVSLIDE1UP_VX_M4_MASK, PseudoVSLIDE1UP_VX_M4, 0x3, false }, // 2731
  { PseudoVSLIDE1UP_VX_M8_MASK, PseudoVSLIDE1UP_VX_M8, 0x3, false }, // 2732
  { PseudoVSLIDE1UP_VX_MF2_MASK, PseudoVSLIDE1UP_VX_MF2, 0x3, false }, // 2733
  { PseudoVSLIDE1UP_VX_MF4_MASK, PseudoVSLIDE1UP_VX_MF4, 0x3, false }, // 2734
  { PseudoVSLIDE1UP_VX_MF8_MASK, PseudoVSLIDE1UP_VX_MF8, 0x3, false }, // 2735
  { PseudoVSLIDEDOWN_VI_M1_MASK, PseudoVSLIDEDOWN_VI_M1, 0x3, false }, // 2736
  { PseudoVSLIDEDOWN_VI_M2_MASK, PseudoVSLIDEDOWN_VI_M2, 0x3, false }, // 2737
  { PseudoVSLIDEDOWN_VI_M4_MASK, PseudoVSLIDEDOWN_VI_M4, 0x3, false }, // 2738
  { PseudoVSLIDEDOWN_VI_M8_MASK, PseudoVSLIDEDOWN_VI_M8, 0x3, false }, // 2739
  { PseudoVSLIDEDOWN_VI_MF2_MASK, PseudoVSLIDEDOWN_VI_MF2, 0x3, false }, // 2740
  { PseudoVSLIDEDOWN_VI_MF4_MASK, PseudoVSLIDEDOWN_VI_MF4, 0x3, false }, // 2741
  { PseudoVSLIDEDOWN_VI_MF8_MASK, PseudoVSLIDEDOWN_VI_MF8, 0x3, false }, // 2742
  { PseudoVSLIDEDOWN_VX_M1_MASK, PseudoVSLIDEDOWN_VX_M1, 0x3, false }, // 2743
  { PseudoVSLIDEDOWN_VX_M2_MASK, PseudoVSLIDEDOWN_VX_M2, 0x3, false }, // 2744
  { PseudoVSLIDEDOWN_VX_M4_MASK, PseudoVSLIDEDOWN_VX_M4, 0x3, false }, // 2745
  { PseudoVSLIDEDOWN_VX_M8_MASK, PseudoVSLIDEDOWN_VX_M8, 0x3, false }, // 2746
  { PseudoVSLIDEDOWN_VX_MF2_MASK, PseudoVSLIDEDOWN_VX_MF2, 0x3, false }, // 2747
  { PseudoVSLIDEDOWN_VX_MF4_MASK, PseudoVSLIDEDOWN_VX_MF4, 0x3, false }, // 2748
  { PseudoVSLIDEDOWN_VX_MF8_MASK, PseudoVSLIDEDOWN_VX_MF8, 0x3, false }, // 2749
  { PseudoVSLIDEUP_VI_M1_MASK, PseudoVSLIDEUP_VI_M1, 0x3, false }, // 2750
  { PseudoVSLIDEUP_VI_M2_MASK, PseudoVSLIDEUP_VI_M2, 0x3, false }, // 2751
  { PseudoVSLIDEUP_VI_M4_MASK, PseudoVSLIDEUP_VI_M4, 0x3, false }, // 2752
  { PseudoVSLIDEUP_VI_M8_MASK, PseudoVSLIDEUP_VI_M8, 0x3, false }, // 2753
  { PseudoVSLIDEUP_VI_MF2_MASK, PseudoVSLIDEUP_VI_MF2, 0x3, false }, // 2754
  { PseudoVSLIDEUP_VI_MF4_MASK, PseudoVSLIDEUP_VI_MF4, 0x3, false }, // 2755
  { PseudoVSLIDEUP_VI_MF8_MASK, PseudoVSLIDEUP_VI_MF8, 0x3, false }, // 2756
  { PseudoVSLIDEUP_VX_M1_MASK, PseudoVSLIDEUP_VX_M1, 0x3, false }, // 2757
  { PseudoVSLIDEUP_VX_M2_MASK, PseudoVSLIDEUP_VX_M2, 0x3, false }, // 2758
  { PseudoVSLIDEUP_VX_M4_MASK, PseudoVSLIDEUP_VX_M4, 0x3, false }, // 2759
  { PseudoVSLIDEUP_VX_M8_MASK, PseudoVSLIDEUP_VX_M8, 0x3, false }, // 2760
  { PseudoVSLIDEUP_VX_MF2_MASK, PseudoVSLIDEUP_VX_MF2, 0x3, false }, // 2761
  { PseudoVSLIDEUP_VX_MF4_MASK, PseudoVSLIDEUP_VX_MF4, 0x3, false }, // 2762
  { PseudoVSLIDEUP_VX_MF8_MASK, PseudoVSLIDEUP_VX_MF8, 0x3, false }, // 2763
  { PseudoVSLL_VI_M1_MASK, PseudoVSLL_VI_M1, 0x3, false }, // 2764
  { PseudoVSLL_VI_M2_MASK, PseudoVSLL_VI_M2, 0x3, false }, // 2765
  { PseudoVSLL_VI_M4_MASK, PseudoVSLL_VI_M4, 0x3, false }, // 2766
  { PseudoVSLL_VI_M8_MASK, PseudoVSLL_VI_M8, 0x3, false }, // 2767
  { PseudoVSLL_VI_MF2_MASK, PseudoVSLL_VI_MF2, 0x3, false }, // 2768
  { PseudoVSLL_VI_MF4_MASK, PseudoVSLL_VI_MF4, 0x3, false }, // 2769
  { PseudoVSLL_VI_MF8_MASK, PseudoVSLL_VI_MF8, 0x3, false }, // 2770
  { PseudoVSLL_VV_M1_MASK, PseudoVSLL_VV_M1, 0x3, false }, // 2771
  { PseudoVSLL_VV_M2_MASK, PseudoVSLL_VV_M2, 0x3, false }, // 2772
  { PseudoVSLL_VV_M4_MASK, PseudoVSLL_VV_M4, 0x3, false }, // 2773
  { PseudoVSLL_VV_M8_MASK, PseudoVSLL_VV_M8, 0x3, false }, // 2774
  { PseudoVSLL_VV_MF2_MASK, PseudoVSLL_VV_MF2, 0x3, false }, // 2775
  { PseudoVSLL_VV_MF4_MASK, PseudoVSLL_VV_MF4, 0x3, false }, // 2776
  { PseudoVSLL_VV_MF8_MASK, PseudoVSLL_VV_MF8, 0x3, false }, // 2777
  { PseudoVSLL_VX_M1_MASK, PseudoVSLL_VX_M1, 0x3, false }, // 2778
  { PseudoVSLL_VX_M2_MASK, PseudoVSLL_VX_M2, 0x3, false }, // 2779
  { PseudoVSLL_VX_M4_MASK, PseudoVSLL_VX_M4, 0x3, false }, // 2780
  { PseudoVSLL_VX_M8_MASK, PseudoVSLL_VX_M8, 0x3, false }, // 2781
  { PseudoVSLL_VX_MF2_MASK, PseudoVSLL_VX_MF2, 0x3, false }, // 2782
  { PseudoVSLL_VX_MF4_MASK, PseudoVSLL_VX_MF4, 0x3, false }, // 2783
  { PseudoVSLL_VX_MF8_MASK, PseudoVSLL_VX_MF8, 0x3, false }, // 2784
  { PseudoVSMUL_VV_M1_MASK, PseudoVSMUL_VV_M1, 0x3, false }, // 2785
  { PseudoVSMUL_VV_M2_MASK, PseudoVSMUL_VV_M2, 0x3, false }, // 2786
  { PseudoVSMUL_VV_M4_MASK, PseudoVSMUL_VV_M4, 0x3, false }, // 2787
  { PseudoVSMUL_VV_M8_MASK, PseudoVSMUL_VV_M8, 0x3, false }, // 2788
  { PseudoVSMUL_VV_MF2_MASK, PseudoVSMUL_VV_MF2, 0x3, false }, // 2789
  { PseudoVSMUL_VV_MF4_MASK, PseudoVSMUL_VV_MF4, 0x3, false }, // 2790
  { PseudoVSMUL_VV_MF8_MASK, PseudoVSMUL_VV_MF8, 0x3, false }, // 2791
  { PseudoVSMUL_VX_M1_MASK, PseudoVSMUL_VX_M1, 0x3, false }, // 2792
  { PseudoVSMUL_VX_M2_MASK, PseudoVSMUL_VX_M2, 0x3, false }, // 2793
  { PseudoVSMUL_VX_M4_MASK, PseudoVSMUL_VX_M4, 0x3, false }, // 2794
  { PseudoVSMUL_VX_M8_MASK, PseudoVSMUL_VX_M8, 0x3, false }, // 2795
  { PseudoVSMUL_VX_MF2_MASK, PseudoVSMUL_VX_MF2, 0x3, false }, // 2796
  { PseudoVSMUL_VX_MF4_MASK, PseudoVSMUL_VX_MF4, 0x3, false }, // 2797
  { PseudoVSMUL_VX_MF8_MASK, PseudoVSMUL_VX_MF8, 0x3, false }, // 2798
  { PseudoVSRA_VI_M1_MASK, PseudoVSRA_VI_M1, 0x3, false }, // 2799
  { PseudoVSRA_VI_M2_MASK, PseudoVSRA_VI_M2, 0x3, false }, // 2800
  { PseudoVSRA_VI_M4_MASK, PseudoVSRA_VI_M4, 0x3, false }, // 2801
  { PseudoVSRA_VI_M8_MASK, PseudoVSRA_VI_M8, 0x3, false }, // 2802
  { PseudoVSRA_VI_MF2_MASK, PseudoVSRA_VI_MF2, 0x3, false }, // 2803
  { PseudoVSRA_VI_MF4_MASK, PseudoVSRA_VI_MF4, 0x3, false }, // 2804
  { PseudoVSRA_VI_MF8_MASK, PseudoVSRA_VI_MF8, 0x3, false }, // 2805
  { PseudoVSRA_VV_M1_MASK, PseudoVSRA_VV_M1, 0x3, false }, // 2806
  { PseudoVSRA_VV_M2_MASK, PseudoVSRA_VV_M2, 0x3, false }, // 2807
  { PseudoVSRA_VV_M4_MASK, PseudoVSRA_VV_M4, 0x3, false }, // 2808
  { PseudoVSRA_VV_M8_MASK, PseudoVSRA_VV_M8, 0x3, false }, // 2809
  { PseudoVSRA_VV_MF2_MASK, PseudoVSRA_VV_MF2, 0x3, false }, // 2810
  { PseudoVSRA_VV_MF4_MASK, PseudoVSRA_VV_MF4, 0x3, false }, // 2811
  { PseudoVSRA_VV_MF8_MASK, PseudoVSRA_VV_MF8, 0x3, false }, // 2812
  { PseudoVSRA_VX_M1_MASK, PseudoVSRA_VX_M1, 0x3, false }, // 2813
  { PseudoVSRA_VX_M2_MASK, PseudoVSRA_VX_M2, 0x3, false }, // 2814
  { PseudoVSRA_VX_M4_MASK, PseudoVSRA_VX_M4, 0x3, false }, // 2815
  { PseudoVSRA_VX_M8_MASK, PseudoVSRA_VX_M8, 0x3, false }, // 2816
  { PseudoVSRA_VX_MF2_MASK, PseudoVSRA_VX_MF2, 0x3, false }, // 2817
  { PseudoVSRA_VX_MF4_MASK, PseudoVSRA_VX_MF4, 0x3, false }, // 2818
  { PseudoVSRA_VX_MF8_MASK, PseudoVSRA_VX_MF8, 0x3, false }, // 2819
  { PseudoVSRL_VI_M1_MASK, PseudoVSRL_VI_M1, 0x3, false }, // 2820
  { PseudoVSRL_VI_M2_MASK, PseudoVSRL_VI_M2, 0x3, false }, // 2821
  { PseudoVSRL_VI_M4_MASK, PseudoVSRL_VI_M4, 0x3, false }, // 2822
  { PseudoVSRL_VI_M8_MASK, PseudoVSRL_VI_M8, 0x3, false }, // 2823
  { PseudoVSRL_VI_MF2_MASK, PseudoVSRL_VI_MF2, 0x3, false }, // 2824
  { PseudoVSRL_VI_MF4_MASK, PseudoVSRL_VI_MF4, 0x3, false }, // 2825
  { PseudoVSRL_VI_MF8_MASK, PseudoVSRL_VI_MF8, 0x3, false }, // 2826
  { PseudoVSRL_VV_M1_MASK, PseudoVSRL_VV_M1, 0x3, false }, // 2827
  { PseudoVSRL_VV_M2_MASK, PseudoVSRL_VV_M2, 0x3, false }, // 2828
  { PseudoVSRL_VV_M4_MASK, PseudoVSRL_VV_M4, 0x3, false }, // 2829
  { PseudoVSRL_VV_M8_MASK, PseudoVSRL_VV_M8, 0x3, false }, // 2830
  { PseudoVSRL_VV_MF2_MASK, PseudoVSRL_VV_MF2, 0x3, false }, // 2831
  { PseudoVSRL_VV_MF4_MASK, PseudoVSRL_VV_MF4, 0x3, false }, // 2832
  { PseudoVSRL_VV_MF8_MASK, PseudoVSRL_VV_MF8, 0x3, false }, // 2833
  { PseudoVSRL_VX_M1_MASK, PseudoVSRL_VX_M1, 0x3, false }, // 2834
  { PseudoVSRL_VX_M2_MASK, PseudoVSRL_VX_M2, 0x3, false }, // 2835
  { PseudoVSRL_VX_M4_MASK, PseudoVSRL_VX_M4, 0x3, false }, // 2836
  { PseudoVSRL_VX_M8_MASK, PseudoVSRL_VX_M8, 0x3, false }, // 2837
  { PseudoVSRL_VX_MF2_MASK, PseudoVSRL_VX_MF2, 0x3, false }, // 2838
  { PseudoVSRL_VX_MF4_MASK, PseudoVSRL_VX_MF4, 0x3, false }, // 2839
  { PseudoVSRL_VX_MF8_MASK, PseudoVSRL_VX_MF8, 0x3, false }, // 2840
  { PseudoVSSRA_VI_M1_MASK, PseudoVSSRA_VI_M1, 0x3, false }, // 2841
  { PseudoVSSRA_VI_M2_MASK, PseudoVSSRA_VI_M2, 0x3, false }, // 2842
  { PseudoVSSRA_VI_M4_MASK, PseudoVSSRA_VI_M4, 0x3, false }, // 2843
  { PseudoVSSRA_VI_M8_MASK, PseudoVSSRA_VI_M8, 0x3, false }, // 2844
  { PseudoVSSRA_VI_MF2_MASK, PseudoVSSRA_VI_MF2, 0x3, false }, // 2845
  { PseudoVSSRA_VI_MF4_MASK, PseudoVSSRA_VI_MF4, 0x3, false }, // 2846
  { PseudoVSSRA_VI_MF8_MASK, PseudoVSSRA_VI_MF8, 0x3, false }, // 2847
  { PseudoVSSRA_VV_M1_MASK, PseudoVSSRA_VV_M1, 0x3, false }, // 2848
  { PseudoVSSRA_VV_M2_MASK, PseudoVSSRA_VV_M2, 0x3, false }, // 2849
  { PseudoVSSRA_VV_M4_MASK, PseudoVSSRA_VV_M4, 0x3, false }, // 2850
  { PseudoVSSRA_VV_M8_MASK, PseudoVSSRA_VV_M8, 0x3, false }, // 2851
  { PseudoVSSRA_VV_MF2_MASK, PseudoVSSRA_VV_MF2, 0x3, false }, // 2852
  { PseudoVSSRA_VV_MF4_MASK, PseudoVSSRA_VV_MF4, 0x3, false }, // 2853
  { PseudoVSSRA_VV_MF8_MASK, PseudoVSSRA_VV_MF8, 0x3, false }, // 2854
  { PseudoVSSRA_VX_M1_MASK, PseudoVSSRA_VX_M1, 0x3, false }, // 2855
  { PseudoVSSRA_VX_M2_MASK, PseudoVSSRA_VX_M2, 0x3, false }, // 2856
  { PseudoVSSRA_VX_M4_MASK, PseudoVSSRA_VX_M4, 0x3, false }, // 2857
  { PseudoVSSRA_VX_M8_MASK, PseudoVSSRA_VX_M8, 0x3, false }, // 2858
  { PseudoVSSRA_VX_MF2_MASK, PseudoVSSRA_VX_MF2, 0x3, false }, // 2859
  { PseudoVSSRA_VX_MF4_MASK, PseudoVSSRA_VX_MF4, 0x3, false }, // 2860
  { PseudoVSSRA_VX_MF8_MASK, PseudoVSSRA_VX_MF8, 0x3, false }, // 2861
  { PseudoVSSRL_VI_M1_MASK, PseudoVSSRL_VI_M1, 0x3, false }, // 2862
  { PseudoVSSRL_VI_M2_MASK, PseudoVSSRL_VI_M2, 0x3, false }, // 2863
  { PseudoVSSRL_VI_M4_MASK, PseudoVSSRL_VI_M4, 0x3, false }, // 2864
  { PseudoVSSRL_VI_M8_MASK, PseudoVSSRL_VI_M8, 0x3, false }, // 2865
  { PseudoVSSRL_VI_MF2_MASK, PseudoVSSRL_VI_MF2, 0x3, false }, // 2866
  { PseudoVSSRL_VI_MF4_MASK, PseudoVSSRL_VI_MF4, 0x3, false }, // 2867
  { PseudoVSSRL_VI_MF8_MASK, PseudoVSSRL_VI_MF8, 0x3, false }, // 2868
  { PseudoVSSRL_VV_M1_MASK, PseudoVSSRL_VV_M1, 0x3, false }, // 2869
  { PseudoVSSRL_VV_M2_MASK, PseudoVSSRL_VV_M2, 0x3, false }, // 2870
  { PseudoVSSRL_VV_M4_MASK, PseudoVSSRL_VV_M4, 0x3, false }, // 2871
  { PseudoVSSRL_VV_M8_MASK, PseudoVSSRL_VV_M8, 0x3, false }, // 2872
  { PseudoVSSRL_VV_MF2_MASK, PseudoVSSRL_VV_MF2, 0x3, false }, // 2873
  { PseudoVSSRL_VV_MF4_MASK, PseudoVSSRL_VV_MF4, 0x3, false }, // 2874
  { PseudoVSSRL_VV_MF8_MASK, PseudoVSSRL_VV_MF8, 0x3, false }, // 2875
  { PseudoVSSRL_VX_M1_MASK, PseudoVSSRL_VX_M1, 0x3, false }, // 2876
  { PseudoVSSRL_VX_M2_MASK, PseudoVSSRL_VX_M2, 0x3, false }, // 2877
  { PseudoVSSRL_VX_M4_MASK, PseudoVSSRL_VX_M4, 0x3, false }, // 2878
  { PseudoVSSRL_VX_M8_MASK, PseudoVSSRL_VX_M8, 0x3, false }, // 2879
  { PseudoVSSRL_VX_MF2_MASK, PseudoVSSRL_VX_MF2, 0x3, false }, // 2880
  { PseudoVSSRL_VX_MF4_MASK, PseudoVSSRL_VX_MF4, 0x3, false }, // 2881
  { PseudoVSSRL_VX_MF8_MASK, PseudoVSSRL_VX_MF8, 0x3, false }, // 2882
  { PseudoVSSUBU_VV_M1_MASK, PseudoVSSUBU_VV_M1, 0x3, false }, // 2883
  { PseudoVSSUBU_VV_M2_MASK, PseudoVSSUBU_VV_M2, 0x3, false }, // 2884
  { PseudoVSSUBU_VV_M4_MASK, PseudoVSSUBU_VV_M4, 0x3, false }, // 2885
  { PseudoVSSUBU_VV_M8_MASK, PseudoVSSUBU_VV_M8, 0x3, false }, // 2886
  { PseudoVSSUBU_VV_MF2_MASK, PseudoVSSUBU_VV_MF2, 0x3, false }, // 2887
  { PseudoVSSUBU_VV_MF4_MASK, PseudoVSSUBU_VV_MF4, 0x3, false }, // 2888
  { PseudoVSSUBU_VV_MF8_MASK, PseudoVSSUBU_VV_MF8, 0x3, false }, // 2889
  { PseudoVSSUBU_VX_M1_MASK, PseudoVSSUBU_VX_M1, 0x3, false }, // 2890
  { PseudoVSSUBU_VX_M2_MASK, PseudoVSSUBU_VX_M2, 0x3, false }, // 2891
  { PseudoVSSUBU_VX_M4_MASK, PseudoVSSUBU_VX_M4, 0x3, false }, // 2892
  { PseudoVSSUBU_VX_M8_MASK, PseudoVSSUBU_VX_M8, 0x3, false }, // 2893
  { PseudoVSSUBU_VX_MF2_MASK, PseudoVSSUBU_VX_MF2, 0x3, false }, // 2894
  { PseudoVSSUBU_VX_MF4_MASK, PseudoVSSUBU_VX_MF4, 0x3, false }, // 2895
  { PseudoVSSUBU_VX_MF8_MASK, PseudoVSSUBU_VX_MF8, 0x3, false }, // 2896
  { PseudoVSSUB_VV_M1_MASK, PseudoVSSUB_VV_M1, 0x3, false }, // 2897
  { PseudoVSSUB_VV_M2_MASK, PseudoVSSUB_VV_M2, 0x3, false }, // 2898
  { PseudoVSSUB_VV_M4_MASK, PseudoVSSUB_VV_M4, 0x3, false }, // 2899
  { PseudoVSSUB_VV_M8_MASK, PseudoVSSUB_VV_M8, 0x3, false }, // 2900
  { PseudoVSSUB_VV_MF2_MASK, PseudoVSSUB_VV_MF2, 0x3, false }, // 2901
  { PseudoVSSUB_VV_MF4_MASK, PseudoVSSUB_VV_MF4, 0x3, false }, // 2902
  { PseudoVSSUB_VV_MF8_MASK, PseudoVSSUB_VV_MF8, 0x3, false }, // 2903
  { PseudoVSSUB_VX_M1_MASK, PseudoVSSUB_VX_M1, 0x3, false }, // 2904
  { PseudoVSSUB_VX_M2_MASK, PseudoVSSUB_VX_M2, 0x3, false }, // 2905
  { PseudoVSSUB_VX_M4_MASK, PseudoVSSUB_VX_M4, 0x3, false }, // 2906
  { PseudoVSSUB_VX_M8_MASK, PseudoVSSUB_VX_M8, 0x3, false }, // 2907
  { PseudoVSSUB_VX_MF2_MASK, PseudoVSSUB_VX_MF2, 0x3, false }, // 2908
  { PseudoVSSUB_VX_MF4_MASK, PseudoVSSUB_VX_MF4, 0x3, false }, // 2909
  { PseudoVSSUB_VX_MF8_MASK, PseudoVSSUB_VX_MF8, 0x3, false }, // 2910
  { PseudoVSUB_VV_M1_MASK, PseudoVSUB_VV_M1, 0x3, false }, // 2911
  { PseudoVSUB_VV_M2_MASK, PseudoVSUB_VV_M2, 0x3, false }, // 2912
  { PseudoVSUB_VV_M4_MASK, PseudoVSUB_VV_M4, 0x3, false }, // 2913
  { PseudoVSUB_VV_M8_MASK, PseudoVSUB_VV_M8, 0x3, false }, // 2914
  { PseudoVSUB_VV_MF2_MASK, PseudoVSUB_VV_MF2, 0x3, false }, // 2915
  { PseudoVSUB_VV_MF4_MASK, PseudoVSUB_VV_MF4, 0x3, false }, // 2916
  { PseudoVSUB_VV_MF8_MASK, PseudoVSUB_VV_MF8, 0x3, false }, // 2917
  { PseudoVSUB_VX_M1_MASK, PseudoVSUB_VX_M1, 0x3, false }, // 2918
  { PseudoVSUB_VX_M2_MASK, PseudoVSUB_VX_M2, 0x3, false }, // 2919
  { PseudoVSUB_VX_M4_MASK, PseudoVSUB_VX_M4, 0x3, false }, // 2920
  { PseudoVSUB_VX_M8_MASK, PseudoVSUB_VX_M8, 0x3, false }, // 2921
  { PseudoVSUB_VX_MF2_MASK, PseudoVSUB_VX_MF2, 0x3, false }, // 2922
  { PseudoVSUB_VX_MF4_MASK, PseudoVSUB_VX_MF4, 0x3, false }, // 2923
  { PseudoVSUB_VX_MF8_MASK, PseudoVSUB_VX_MF8, 0x3, false }, // 2924
  { PseudoVWADDU_VV_M1_MASK, PseudoVWADDU_VV_M1, 0x3, false }, // 2925
  { PseudoVWADDU_VV_M2_MASK, PseudoVWADDU_VV_M2, 0x3, false }, // 2926
  { PseudoVWADDU_VV_M4_MASK, PseudoVWADDU_VV_M4, 0x3, false }, // 2927
  { PseudoVWADDU_VV_MF2_MASK, PseudoVWADDU_VV_MF2, 0x3, false }, // 2928
  { PseudoVWADDU_VV_MF4_MASK, PseudoVWADDU_VV_MF4, 0x3, false }, // 2929
  { PseudoVWADDU_VV_MF8_MASK, PseudoVWADDU_VV_MF8, 0x3, false }, // 2930
  { PseudoVWADDU_VX_M1_MASK, PseudoVWADDU_VX_M1, 0x3, false }, // 2931
  { PseudoVWADDU_VX_M2_MASK, PseudoVWADDU_VX_M2, 0x3, false }, // 2932
  { PseudoVWADDU_VX_M4_MASK, PseudoVWADDU_VX_M4, 0x3, false }, // 2933
  { PseudoVWADDU_VX_MF2_MASK, PseudoVWADDU_VX_MF2, 0x3, false }, // 2934
  { PseudoVWADDU_VX_MF4_MASK, PseudoVWADDU_VX_MF4, 0x3, false }, // 2935
  { PseudoVWADDU_VX_MF8_MASK, PseudoVWADDU_VX_MF8, 0x3, false }, // 2936
  { PseudoVWADDU_WV_M1_MASK, PseudoVWADDU_WV_M1, 0x3, false }, // 2937
  { PseudoVWADDU_WV_M1_MASK_TIED, PseudoVWADDU_WV_M1_TIED, 0x2, false }, // 2938
  { PseudoVWADDU_WV_M2_MASK, PseudoVWADDU_WV_M2, 0x3, false }, // 2939
  { PseudoVWADDU_WV_M2_MASK_TIED, PseudoVWADDU_WV_M2_TIED, 0x2, false }, // 2940
  { PseudoVWADDU_WV_M4_MASK, PseudoVWADDU_WV_M4, 0x3, false }, // 2941
  { PseudoVWADDU_WV_M4_MASK_TIED, PseudoVWADDU_WV_M4_TIED, 0x2, false }, // 2942
  { PseudoVWADDU_WV_MF2_MASK, PseudoVWADDU_WV_MF2, 0x3, false }, // 2943
  { PseudoVWADDU_WV_MF2_MASK_TIED, PseudoVWADDU_WV_MF2_TIED, 0x2, false }, // 2944
  { PseudoVWADDU_WV_MF4_MASK, PseudoVWADDU_WV_MF4, 0x3, false }, // 2945
  { PseudoVWADDU_WV_MF4_MASK_TIED, PseudoVWADDU_WV_MF4_TIED, 0x2, false }, // 2946
  { PseudoVWADDU_WV_MF8_MASK, PseudoVWADDU_WV_MF8, 0x3, false }, // 2947
  { PseudoVWADDU_WV_MF8_MASK_TIED, PseudoVWADDU_WV_MF8_TIED, 0x2, false }, // 2948
  { PseudoVWADDU_WX_M1_MASK, PseudoVWADDU_WX_M1, 0x3, false }, // 2949
  { PseudoVWADDU_WX_M2_MASK, PseudoVWADDU_WX_M2, 0x3, false }, // 2950
  { PseudoVWADDU_WX_M4_MASK, PseudoVWADDU_WX_M4, 0x3, false }, // 2951
  { PseudoVWADDU_WX_MF2_MASK, PseudoVWADDU_WX_MF2, 0x3, false }, // 2952
  { PseudoVWADDU_WX_MF4_MASK, PseudoVWADDU_WX_MF4, 0x3, false }, // 2953
  { PseudoVWADDU_WX_MF8_MASK, PseudoVWADDU_WX_MF8, 0x3, false }, // 2954
  { PseudoVWADD_VV_M1_MASK, PseudoVWADD_VV_M1, 0x3, false }, // 2955
  { PseudoVWADD_VV_M2_MASK, PseudoVWADD_VV_M2, 0x3, false }, // 2956
  { PseudoVWADD_VV_M4_MASK, PseudoVWADD_VV_M4, 0x3, false }, // 2957
  { PseudoVWADD_VV_MF2_MASK, PseudoVWADD_VV_MF2, 0x3, false }, // 2958
  { PseudoVWADD_VV_MF4_MASK, PseudoVWADD_VV_MF4, 0x3, false }, // 2959
  { PseudoVWADD_VV_MF8_MASK, PseudoVWADD_VV_MF8, 0x3, false }, // 2960
  { PseudoVWADD_VX_M1_MASK, PseudoVWADD_VX_M1, 0x3, false }, // 2961
  { PseudoVWADD_VX_M2_MASK, PseudoVWADD_VX_M2, 0x3, false }, // 2962
  { PseudoVWADD_VX_M4_MASK, PseudoVWADD_VX_M4, 0x3, false }, // 2963
  { PseudoVWADD_VX_MF2_MASK, PseudoVWADD_VX_MF2, 0x3, false }, // 2964
  { PseudoVWADD_VX_MF4_MASK, PseudoVWADD_VX_MF4, 0x3, false }, // 2965
  { PseudoVWADD_VX_MF8_MASK, PseudoVWADD_VX_MF8, 0x3, false }, // 2966
  { PseudoVWADD_WV_M1_MASK, PseudoVWADD_WV_M1, 0x3, false }, // 2967
  { PseudoVWADD_WV_M1_MASK_TIED, PseudoVWADD_WV_M1_TIED, 0x2, false }, // 2968
  { PseudoVWADD_WV_M2_MASK, PseudoVWADD_WV_M2, 0x3, false }, // 2969
  { PseudoVWADD_WV_M2_MASK_TIED, PseudoVWADD_WV_M2_TIED, 0x2, false }, // 2970
  { PseudoVWADD_WV_M4_MASK, PseudoVWADD_WV_M4, 0x3, false }, // 2971
  { PseudoVWADD_WV_M4_MASK_TIED, PseudoVWADD_WV_M4_TIED, 0x2, false }, // 2972
  { PseudoVWADD_WV_MF2_MASK, PseudoVWADD_WV_MF2, 0x3, false }, // 2973
  { PseudoVWADD_WV_MF2_MASK_TIED, PseudoVWADD_WV_MF2_TIED, 0x2, false }, // 2974
  { PseudoVWADD_WV_MF4_MASK, PseudoVWADD_WV_MF4, 0x3, false }, // 2975
  { PseudoVWADD_WV_MF4_MASK_TIED, PseudoVWADD_WV_MF4_TIED, 0x2, false }, // 2976
  { PseudoVWADD_WV_MF8_MASK, PseudoVWADD_WV_MF8, 0x3, false }, // 2977
  { PseudoVWADD_WV_MF8_MASK_TIED, PseudoVWADD_WV_MF8_TIED, 0x2, false }, // 2978
  { PseudoVWADD_WX_M1_MASK, PseudoVWADD_WX_M1, 0x3, false }, // 2979
  { PseudoVWADD_WX_M2_MASK, PseudoVWADD_WX_M2, 0x3, false }, // 2980
  { PseudoVWADD_WX_M4_MASK, PseudoVWADD_WX_M4, 0x3, false }, // 2981
  { PseudoVWADD_WX_MF2_MASK, PseudoVWADD_WX_MF2, 0x3, false }, // 2982
  { PseudoVWADD_WX_MF4_MASK, PseudoVWADD_WX_MF4, 0x3, false }, // 2983
  { PseudoVWADD_WX_MF8_MASK, PseudoVWADD_WX_MF8, 0x3, false }, // 2984
  { PseudoVWMACCSU_VV_M1_MASK, PseudoVWMACCSU_VV_M1, 0x3, false }, // 2985
  { PseudoVWMACCSU_VV_M2_MASK, PseudoVWMACCSU_VV_M2, 0x3, false }, // 2986
  { PseudoVWMACCSU_VV_M4_MASK, PseudoVWMACCSU_VV_M4, 0x3, false }, // 2987
  { PseudoVWMACCSU_VV_MF2_MASK, PseudoVWMACCSU_VV_MF2, 0x3, false }, // 2988
  { PseudoVWMACCSU_VV_MF4_MASK, PseudoVWMACCSU_VV_MF4, 0x3, false }, // 2989
  { PseudoVWMACCSU_VV_MF8_MASK, PseudoVWMACCSU_VV_MF8, 0x3, false }, // 2990
  { PseudoVWMACCSU_VX_M1_MASK, PseudoVWMACCSU_VX_M1, 0x3, false }, // 2991
  { PseudoVWMACCSU_VX_M2_MASK, PseudoVWMACCSU_VX_M2, 0x3, false }, // 2992
  { PseudoVWMACCSU_VX_M4_MASK, PseudoVWMACCSU_VX_M4, 0x3, false }, // 2993
  { PseudoVWMACCSU_VX_MF2_MASK, PseudoVWMACCSU_VX_MF2, 0x3, false }, // 2994
  { PseudoVWMACCSU_VX_MF4_MASK, PseudoVWMACCSU_VX_MF4, 0x3, false }, // 2995
  { PseudoVWMACCSU_VX_MF8_MASK, PseudoVWMACCSU_VX_MF8, 0x3, false }, // 2996
  { PseudoVWMACCUS_VX_M1_MASK, PseudoVWMACCUS_VX_M1, 0x3, false }, // 2997
  { PseudoVWMACCUS_VX_M2_MASK, PseudoVWMACCUS_VX_M2, 0x3, false }, // 2998
  { PseudoVWMACCUS_VX_M4_MASK, PseudoVWMACCUS_VX_M4, 0x3, false }, // 2999
  { PseudoVWMACCUS_VX_MF2_MASK, PseudoVWMACCUS_VX_MF2, 0x3, false }, // 3000
  { PseudoVWMACCUS_VX_MF4_MASK, PseudoVWMACCUS_VX_MF4, 0x3, false }, // 3001
  { PseudoVWMACCUS_VX_MF8_MASK, PseudoVWMACCUS_VX_MF8, 0x3, false }, // 3002
  { PseudoVWMACCU_VV_M1_MASK, PseudoVWMACCU_VV_M1, 0x3, false }, // 3003
  { PseudoVWMACCU_VV_M2_MASK, PseudoVWMACCU_VV_M2, 0x3, false }, // 3004
  { PseudoVWMACCU_VV_M4_MASK, PseudoVWMACCU_VV_M4, 0x3, false }, // 3005
  { PseudoVWMACCU_VV_MF2_MASK, PseudoVWMACCU_VV_MF2, 0x3, false }, // 3006
  { PseudoVWMACCU_VV_MF4_MASK, PseudoVWMACCU_VV_MF4, 0x3, false }, // 3007
  { PseudoVWMACCU_VV_MF8_MASK, PseudoVWMACCU_VV_MF8, 0x3, false }, // 3008
  { PseudoVWMACCU_VX_M1_MASK, PseudoVWMACCU_VX_M1, 0x3, false }, // 3009
  { PseudoVWMACCU_VX_M2_MASK, PseudoVWMACCU_VX_M2, 0x3, false }, // 3010
  { PseudoVWMACCU_VX_M4_MASK, PseudoVWMACCU_VX_M4, 0x3, false }, // 3011
  { PseudoVWMACCU_VX_MF2_MASK, PseudoVWMACCU_VX_MF2, 0x3, false }, // 3012
  { PseudoVWMACCU_VX_MF4_MASK, PseudoVWMACCU_VX_MF4, 0x3, false }, // 3013
  { PseudoVWMACCU_VX_MF8_MASK, PseudoVWMACCU_VX_MF8, 0x3, false }, // 3014
  { PseudoVWMACC_VV_M1_MASK, PseudoVWMACC_VV_M1, 0x3, false }, // 3015
  { PseudoVWMACC_VV_M2_MASK, PseudoVWMACC_VV_M2, 0x3, false }, // 3016
  { PseudoVWMACC_VV_M4_MASK, PseudoVWMACC_VV_M4, 0x3, false }, // 3017
  { PseudoVWMACC_VV_MF2_MASK, PseudoVWMACC_VV_MF2, 0x3, false }, // 3018
  { PseudoVWMACC_VV_MF4_MASK, PseudoVWMACC_VV_MF4, 0x3, false }, // 3019
  { PseudoVWMACC_VV_MF8_MASK, PseudoVWMACC_VV_MF8, 0x3, false }, // 3020
  { PseudoVWMACC_VX_M1_MASK, PseudoVWMACC_VX_M1, 0x3, false }, // 3021
  { PseudoVWMACC_VX_M2_MASK, PseudoVWMACC_VX_M2, 0x3, false }, // 3022
  { PseudoVWMACC_VX_M4_MASK, PseudoVWMACC_VX_M4, 0x3, false }, // 3023
  { PseudoVWMACC_VX_MF2_MASK, PseudoVWMACC_VX_MF2, 0x3, false }, // 3024
  { PseudoVWMACC_VX_MF4_MASK, PseudoVWMACC_VX_MF4, 0x3, false }, // 3025
  { PseudoVWMACC_VX_MF8_MASK, PseudoVWMACC_VX_MF8, 0x3, false }, // 3026
  { PseudoVWMULSU_VV_M1_MASK, PseudoVWMULSU_VV_M1, 0x3, false }, // 3027
  { PseudoVWMULSU_VV_M2_MASK, PseudoVWMULSU_VV_M2, 0x3, false }, // 3028
  { PseudoVWMULSU_VV_M4_MASK, PseudoVWMULSU_VV_M4, 0x3, false }, // 3029
  { PseudoVWMULSU_VV_MF2_MASK, PseudoVWMULSU_VV_MF2, 0x3, false }, // 3030
  { PseudoVWMULSU_VV_MF4_MASK, PseudoVWMULSU_VV_MF4, 0x3, false }, // 3031
  { PseudoVWMULSU_VV_MF8_MASK, PseudoVWMULSU_VV_MF8, 0x3, false }, // 3032
  { PseudoVWMULSU_VX_M1_MASK, PseudoVWMULSU_VX_M1, 0x3, false }, // 3033
  { PseudoVWMULSU_VX_M2_MASK, PseudoVWMULSU_VX_M2, 0x3, false }, // 3034
  { PseudoVWMULSU_VX_M4_MASK, PseudoVWMULSU_VX_M4, 0x3, false }, // 3035
  { PseudoVWMULSU_VX_MF2_MASK, PseudoVWMULSU_VX_MF2, 0x3, false }, // 3036
  { PseudoVWMULSU_VX_MF4_MASK, PseudoVWMULSU_VX_MF4, 0x3, false }, // 3037
  { PseudoVWMULSU_VX_MF8_MASK, PseudoVWMULSU_VX_MF8, 0x3, false }, // 3038
  { PseudoVWMULU_VV_M1_MASK, PseudoVWMULU_VV_M1, 0x3, false }, // 3039
  { PseudoVWMULU_VV_M2_MASK, PseudoVWMULU_VV_M2, 0x3, false }, // 3040
  { PseudoVWMULU_VV_M4_MASK, PseudoVWMULU_VV_M4, 0x3, false }, // 3041
  { PseudoVWMULU_VV_MF2_MASK, PseudoVWMULU_VV_MF2, 0x3, false }, // 3042
  { PseudoVWMULU_VV_MF4_MASK, PseudoVWMULU_VV_MF4, 0x3, false }, // 3043
  { PseudoVWMULU_VV_MF8_MASK, PseudoVWMULU_VV_MF8, 0x3, false }, // 3044
  { PseudoVWMULU_VX_M1_MASK, PseudoVWMULU_VX_M1, 0x3, false }, // 3045
  { PseudoVWMULU_VX_M2_MASK, PseudoVWMULU_VX_M2, 0x3, false }, // 3046
  { PseudoVWMULU_VX_M4_MASK, PseudoVWMULU_VX_M4, 0x3, false }, // 3047
  { PseudoVWMULU_VX_MF2_MASK, PseudoVWMULU_VX_MF2, 0x3, false }, // 3048
  { PseudoVWMULU_VX_MF4_MASK, PseudoVWMULU_VX_MF4, 0x3, false }, // 3049
  { PseudoVWMULU_VX_MF8_MASK, PseudoVWMULU_VX_MF8, 0x3, false }, // 3050
  { PseudoVWMUL_VV_M1_MASK, PseudoVWMUL_VV_M1, 0x3, false }, // 3051
  { PseudoVWMUL_VV_M2_MASK, PseudoVWMUL_VV_M2, 0x3, false }, // 3052
  { PseudoVWMUL_VV_M4_MASK, PseudoVWMUL_VV_M4, 0x3, false }, // 3053
  { PseudoVWMUL_VV_MF2_MASK, PseudoVWMUL_VV_MF2, 0x3, false }, // 3054
  { PseudoVWMUL_VV_MF4_MASK, PseudoVWMUL_VV_MF4, 0x3, false }, // 3055
  { PseudoVWMUL_VV_MF8_MASK, PseudoVWMUL_VV_MF8, 0x3, false }, // 3056
  { PseudoVWMUL_VX_M1_MASK, PseudoVWMUL_VX_M1, 0x3, false }, // 3057
  { PseudoVWMUL_VX_M2_MASK, PseudoVWMUL_VX_M2, 0x3, false }, // 3058
  { PseudoVWMUL_VX_M4_MASK, PseudoVWMUL_VX_M4, 0x3, false }, // 3059
  { PseudoVWMUL_VX_MF2_MASK, PseudoVWMUL_VX_MF2, 0x3, false }, // 3060
  { PseudoVWMUL_VX_MF4_MASK, PseudoVWMUL_VX_MF4, 0x3, false }, // 3061
  { PseudoVWMUL_VX_MF8_MASK, PseudoVWMUL_VX_MF8, 0x3, false }, // 3062
  { PseudoVWREDSUMU_VS_M1_E16_MASK, PseudoVWREDSUMU_VS_M1_E16, 0x3, true }, // 3063
  { PseudoVWREDSUMU_VS_M1_E32_MASK, PseudoVWREDSUMU_VS_M1_E32, 0x3, true }, // 3064
  { PseudoVWREDSUMU_VS_M1_E8_MASK, PseudoVWREDSUMU_VS_M1_E8, 0x3, true }, // 3065
  { PseudoVWREDSUMU_VS_M2_E16_MASK, PseudoVWREDSUMU_VS_M2_E16, 0x3, true }, // 3066
  { PseudoVWREDSUMU_VS_M2_E32_MASK, PseudoVWREDSUMU_VS_M2_E32, 0x3, true }, // 3067
  { PseudoVWREDSUMU_VS_M2_E8_MASK, PseudoVWREDSUMU_VS_M2_E8, 0x3, true }, // 3068
  { PseudoVWREDSUMU_VS_M4_E16_MASK, PseudoVWREDSUMU_VS_M4_E16, 0x3, true }, // 3069
  { PseudoVWREDSUMU_VS_M4_E32_MASK, PseudoVWREDSUMU_VS_M4_E32, 0x3, true }, // 3070
  { PseudoVWREDSUMU_VS_M4_E8_MASK, PseudoVWREDSUMU_VS_M4_E8, 0x3, true }, // 3071
  { PseudoVWREDSUMU_VS_M8_E16_MASK, PseudoVWREDSUMU_VS_M8_E16, 0x3, true }, // 3072
  { PseudoVWREDSUMU_VS_M8_E32_MASK, PseudoVWREDSUMU_VS_M8_E32, 0x3, true }, // 3073
  { PseudoVWREDSUMU_VS_M8_E8_MASK, PseudoVWREDSUMU_VS_M8_E8, 0x3, true }, // 3074
  { PseudoVWREDSUMU_VS_MF2_E16_MASK, PseudoVWREDSUMU_VS_MF2_E16, 0x3, true }, // 3075
  { PseudoVWREDSUMU_VS_MF2_E32_MASK, PseudoVWREDSUMU_VS_MF2_E32, 0x3, true }, // 3076
  { PseudoVWREDSUMU_VS_MF2_E8_MASK, PseudoVWREDSUMU_VS_MF2_E8, 0x3, true }, // 3077
  { PseudoVWREDSUMU_VS_MF4_E16_MASK, PseudoVWREDSUMU_VS_MF4_E16, 0x3, true }, // 3078
  { PseudoVWREDSUMU_VS_MF4_E8_MASK, PseudoVWREDSUMU_VS_MF4_E8, 0x3, true }, // 3079
  { PseudoVWREDSUMU_VS_MF8_E8_MASK, PseudoVWREDSUMU_VS_MF8_E8, 0x3, true }, // 3080
  { PseudoVWREDSUM_VS_M1_E16_MASK, PseudoVWREDSUM_VS_M1_E16, 0x3, true }, // 3081
  { PseudoVWREDSUM_VS_M1_E32_MASK, PseudoVWREDSUM_VS_M1_E32, 0x3, true }, // 3082
  { PseudoVWREDSUM_VS_M1_E8_MASK, PseudoVWREDSUM_VS_M1_E8, 0x3, true }, // 3083
  { PseudoVWREDSUM_VS_M2_E16_MASK, PseudoVWREDSUM_VS_M2_E16, 0x3, true }, // 3084
  { PseudoVWREDSUM_VS_M2_E32_MASK, PseudoVWREDSUM_VS_M2_E32, 0x3, true }, // 3085
  { PseudoVWREDSUM_VS_M2_E8_MASK, PseudoVWREDSUM_VS_M2_E8, 0x3, true }, // 3086
  { PseudoVWREDSUM_VS_M4_E16_MASK, PseudoVWREDSUM_VS_M4_E16, 0x3, true }, // 3087
  { PseudoVWREDSUM_VS_M4_E32_MASK, PseudoVWREDSUM_VS_M4_E32, 0x3, true }, // 3088
  { PseudoVWREDSUM_VS_M4_E8_MASK, PseudoVWREDSUM_VS_M4_E8, 0x3, true }, // 3089
  { PseudoVWREDSUM_VS_M8_E16_MASK, PseudoVWREDSUM_VS_M8_E16, 0x3, true }, // 3090
  { PseudoVWREDSUM_VS_M8_E32_MASK, PseudoVWREDSUM_VS_M8_E32, 0x3, true }, // 3091
  { PseudoVWREDSUM_VS_M8_E8_MASK, PseudoVWREDSUM_VS_M8_E8, 0x3, true }, // 3092
  { PseudoVWREDSUM_VS_MF2_E16_MASK, PseudoVWREDSUM_VS_MF2_E16, 0x3, true }, // 3093
  { PseudoVWREDSUM_VS_MF2_E32_MASK, PseudoVWREDSUM_VS_MF2_E32, 0x3, true }, // 3094
  { PseudoVWREDSUM_VS_MF2_E8_MASK, PseudoVWREDSUM_VS_MF2_E8, 0x3, true }, // 3095
  { PseudoVWREDSUM_VS_MF4_E16_MASK, PseudoVWREDSUM_VS_MF4_E16, 0x3, true }, // 3096
  { PseudoVWREDSUM_VS_MF4_E8_MASK, PseudoVWREDSUM_VS_MF4_E8, 0x3, true }, // 3097
  { PseudoVWREDSUM_VS_MF8_E8_MASK, PseudoVWREDSUM_VS_MF8_E8, 0x3, true }, // 3098
  { PseudoVWSLL_VI_M1_MASK, PseudoVWSLL_VI_M1, 0x3, false }, // 3099
  { PseudoVWSLL_VI_M2_MASK, PseudoVWSLL_VI_M2, 0x3, false }, // 3100
  { PseudoVWSLL_VI_M4_MASK, PseudoVWSLL_VI_M4, 0x3, false }, // 3101
  { PseudoVWSLL_VI_MF2_MASK, PseudoVWSLL_VI_MF2, 0x3, false }, // 3102
  { PseudoVWSLL_VI_MF4_MASK, PseudoVWSLL_VI_MF4, 0x3, false }, // 3103
  { PseudoVWSLL_VI_MF8_MASK, PseudoVWSLL_VI_MF8, 0x3, false }, // 3104
  { PseudoVWSLL_VV_M1_MASK, PseudoVWSLL_VV_M1, 0x3, false }, // 3105
  { PseudoVWSLL_VV_M2_MASK, PseudoVWSLL_VV_M2, 0x3, false }, // 3106
  { PseudoVWSLL_VV_M4_MASK, PseudoVWSLL_VV_M4, 0x3, false }, // 3107
  { PseudoVWSLL_VV_MF2_MASK, PseudoVWSLL_VV_MF2, 0x3, false }, // 3108
  { PseudoVWSLL_VV_MF4_MASK, PseudoVWSLL_VV_MF4, 0x3, false }, // 3109
  { PseudoVWSLL_VV_MF8_MASK, PseudoVWSLL_VV_MF8, 0x3, false }, // 3110
  { PseudoVWSLL_VX_M1_MASK, PseudoVWSLL_VX_M1, 0x3, false }, // 3111
  { PseudoVWSLL_VX_M2_MASK, PseudoVWSLL_VX_M2, 0x3, false }, // 3112
  { PseudoVWSLL_VX_M4_MASK, PseudoVWSLL_VX_M4, 0x3, false }, // 3113
  { PseudoVWSLL_VX_MF2_MASK, PseudoVWSLL_VX_MF2, 0x3, false }, // 3114
  { PseudoVWSLL_VX_MF4_MASK, PseudoVWSLL_VX_MF4, 0x3, false }, // 3115
  { PseudoVWSLL_VX_MF8_MASK, PseudoVWSLL_VX_MF8, 0x3, false }, // 3116
  { PseudoVWSUBU_VV_M1_MASK, PseudoVWSUBU_VV_M1, 0x3, false }, // 3117
  { PseudoVWSUBU_VV_M2_MASK, PseudoVWSUBU_VV_M2, 0x3, false }, // 3118
  { PseudoVWSUBU_VV_M4_MASK, PseudoVWSUBU_VV_M4, 0x3, false }, // 3119
  { PseudoVWSUBU_VV_MF2_MASK, PseudoVWSUBU_VV_MF2, 0x3, false }, // 3120
  { PseudoVWSUBU_VV_MF4_MASK, PseudoVWSUBU_VV_MF4, 0x3, false }, // 3121
  { PseudoVWSUBU_VV_MF8_MASK, PseudoVWSUBU_VV_MF8, 0x3, false }, // 3122
  { PseudoVWSUBU_VX_M1_MASK, PseudoVWSUBU_VX_M1, 0x3, false }, // 3123
  { PseudoVWSUBU_VX_M2_MASK, PseudoVWSUBU_VX_M2, 0x3, false }, // 3124
  { PseudoVWSUBU_VX_M4_MASK, PseudoVWSUBU_VX_M4, 0x3, false }, // 3125
  { PseudoVWSUBU_VX_MF2_MASK, PseudoVWSUBU_VX_MF2, 0x3, false }, // 3126
  { PseudoVWSUBU_VX_MF4_MASK, PseudoVWSUBU_VX_MF4, 0x3, false }, // 3127
  { PseudoVWSUBU_VX_MF8_MASK, PseudoVWSUBU_VX_MF8, 0x3, false }, // 3128
  { PseudoVWSUBU_WV_M1_MASK, PseudoVWSUBU_WV_M1, 0x3, false }, // 3129
  { PseudoVWSUBU_WV_M1_MASK_TIED, PseudoVWSUBU_WV_M1_TIED, 0x2, false }, // 3130
  { PseudoVWSUBU_WV_M2_MASK, PseudoVWSUBU_WV_M2, 0x3, false }, // 3131
  { PseudoVWSUBU_WV_M2_MASK_TIED, PseudoVWSUBU_WV_M2_TIED, 0x2, false }, // 3132
  { PseudoVWSUBU_WV_M4_MASK, PseudoVWSUBU_WV_M4, 0x3, false }, // 3133
  { PseudoVWSUBU_WV_M4_MASK_TIED, PseudoVWSUBU_WV_M4_TIED, 0x2, false }, // 3134
  { PseudoVWSUBU_WV_MF2_MASK, PseudoVWSUBU_WV_MF2, 0x3, false }, // 3135
  { PseudoVWSUBU_WV_MF2_MASK_TIED, PseudoVWSUBU_WV_MF2_TIED, 0x2, false }, // 3136
  { PseudoVWSUBU_WV_MF4_MASK, PseudoVWSUBU_WV_MF4, 0x3, false }, // 3137
  { PseudoVWSUBU_WV_MF4_MASK_TIED, PseudoVWSUBU_WV_MF4_TIED, 0x2, false }, // 3138
  { PseudoVWSUBU_WV_MF8_MASK, PseudoVWSUBU_WV_MF8, 0x3, false }, // 3139
  { PseudoVWSUBU_WV_MF8_MASK_TIED, PseudoVWSUBU_WV_MF8_TIED, 0x2, false }, // 3140
  { PseudoVWSUBU_WX_M1_MASK, PseudoVWSUBU_WX_M1, 0x3, false }, // 3141
  { PseudoVWSUBU_WX_M2_MASK, PseudoVWSUBU_WX_M2, 0x3, false }, // 3142
  { PseudoVWSUBU_WX_M4_MASK, PseudoVWSUBU_WX_M4, 0x3, false }, // 3143
  { PseudoVWSUBU_WX_MF2_MASK, PseudoVWSUBU_WX_MF2, 0x3, false }, // 3144
  { PseudoVWSUBU_WX_MF4_MASK, PseudoVWSUBU_WX_MF4, 0x3, false }, // 3145
  { PseudoVWSUBU_WX_MF8_MASK, PseudoVWSUBU_WX_MF8, 0x3, false }, // 3146
  { PseudoVWSUB_VV_M1_MASK, PseudoVWSUB_VV_M1, 0x3, false }, // 3147
  { PseudoVWSUB_VV_M2_MASK, PseudoVWSUB_VV_M2, 0x3, false }, // 3148
  { PseudoVWSUB_VV_M4_MASK, PseudoVWSUB_VV_M4, 0x3, false }, // 3149
  { PseudoVWSUB_VV_MF2_MASK, PseudoVWSUB_VV_MF2, 0x3, false }, // 3150
  { PseudoVWSUB_VV_MF4_MASK, PseudoVWSUB_VV_MF4, 0x3, false }, // 3151
  { PseudoVWSUB_VV_MF8_MASK, PseudoVWSUB_VV_MF8, 0x3, false }, // 3152
  { PseudoVWSUB_VX_M1_MASK, PseudoVWSUB_VX_M1, 0x3, false }, // 3153
  { PseudoVWSUB_VX_M2_MASK, PseudoVWSUB_VX_M2, 0x3, false }, // 3154
  { PseudoVWSUB_VX_M4_MASK, PseudoVWSUB_VX_M4, 0x3, false }, // 3155
  { PseudoVWSUB_VX_MF2_MASK, PseudoVWSUB_VX_MF2, 0x3, false }, // 3156
  { PseudoVWSUB_VX_MF4_MASK, PseudoVWSUB_VX_MF4, 0x3, false }, // 3157
  { PseudoVWSUB_VX_MF8_MASK, PseudoVWSUB_VX_MF8, 0x3, false }, // 3158
  { PseudoVWSUB_WV_M1_MASK, PseudoVWSUB_WV_M1, 0x3, false }, // 3159
  { PseudoVWSUB_WV_M1_MASK_TIED, PseudoVWSUB_WV_M1_TIED, 0x2, false }, // 3160
  { PseudoVWSUB_WV_M2_MASK, PseudoVWSUB_WV_M2, 0x3, false }, // 3161
  { PseudoVWSUB_WV_M2_MASK_TIED, PseudoVWSUB_WV_M2_TIED, 0x2, false }, // 3162
  { PseudoVWSUB_WV_M4_MASK, PseudoVWSUB_WV_M4, 0x3, false }, // 3163
  { PseudoVWSUB_WV_M4_MASK_TIED, PseudoVWSUB_WV_M4_TIED, 0x2, false }, // 3164
  { PseudoVWSUB_WV_MF2_MASK, PseudoVWSUB_WV_MF2, 0x3, false }, // 3165
  { PseudoVWSUB_WV_MF2_MASK_TIED, PseudoVWSUB_WV_MF2_TIED, 0x2, false }, // 3166
  { PseudoVWSUB_WV_MF4_MASK, PseudoVWSUB_WV_MF4, 0x3, false }, // 3167
  { PseudoVWSUB_WV_MF4_MASK_TIED, PseudoVWSUB_WV_MF4_TIED, 0x2, false }, // 3168
  { PseudoVWSUB_WV_MF8_MASK, PseudoVWSUB_WV_MF8, 0x3, false }, // 3169
  { PseudoVWSUB_WV_MF8_MASK_TIED, PseudoVWSUB_WV_MF8_TIED, 0x2, false }, // 3170
  { PseudoVWSUB_WX_M1_MASK, PseudoVWSUB_WX_M1, 0x3, false }, // 3171
  { PseudoVWSUB_WX_M2_MASK, PseudoVWSUB_WX_M2, 0x3, false }, // 3172
  { PseudoVWSUB_WX_M4_MASK, PseudoVWSUB_WX_M4, 0x3, false }, // 3173
  { PseudoVWSUB_WX_MF2_MASK, PseudoVWSUB_WX_MF2, 0x3, false }, // 3174
  { PseudoVWSUB_WX_MF4_MASK, PseudoVWSUB_WX_MF4, 0x3, false }, // 3175
  { PseudoVWSUB_WX_MF8_MASK, PseudoVWSUB_WX_MF8, 0x3, false }, // 3176
  { PseudoVXOR_VI_M1_MASK, PseudoVXOR_VI_M1, 0x3, false }, // 3177
  { PseudoVXOR_VI_M2_MASK, PseudoVXOR_VI_M2, 0x3, false }, // 3178
  { PseudoVXOR_VI_M4_MASK, PseudoVXOR_VI_M4, 0x3, false }, // 3179
  { PseudoVXOR_VI_M8_MASK, PseudoVXOR_VI_M8, 0x3, false }, // 3180
  { PseudoVXOR_VI_MF2_MASK, PseudoVXOR_VI_MF2, 0x3, false }, // 3181
  { PseudoVXOR_VI_MF4_MASK, PseudoVXOR_VI_MF4, 0x3, false }, // 3182
  { PseudoVXOR_VI_MF8_MASK, PseudoVXOR_VI_MF8, 0x3, false }, // 3183
  { PseudoVXOR_VV_M1_MASK, PseudoVXOR_VV_M1, 0x3, false }, // 3184
  { PseudoVXOR_VV_M2_MASK, PseudoVXOR_VV_M2, 0x3, false }, // 3185
  { PseudoVXOR_VV_M4_MASK, PseudoVXOR_VV_M4, 0x3, false }, // 3186
  { PseudoVXOR_VV_M8_MASK, PseudoVXOR_VV_M8, 0x3, false }, // 3187
  { PseudoVXOR_VV_MF2_MASK, PseudoVXOR_VV_MF2, 0x3, false }, // 3188
  { PseudoVXOR_VV_MF4_MASK, PseudoVXOR_VV_MF4, 0x3, false }, // 3189
  { PseudoVXOR_VV_MF8_MASK, PseudoVXOR_VV_MF8, 0x3, false }, // 3190
  { PseudoVXOR_VX_M1_MASK, PseudoVXOR_VX_M1, 0x3, false }, // 3191
  { PseudoVXOR_VX_M2_MASK, PseudoVXOR_VX_M2, 0x3, false }, // 3192
  { PseudoVXOR_VX_M4_MASK, PseudoVXOR_VX_M4, 0x3, false }, // 3193
  { PseudoVXOR_VX_M8_MASK, PseudoVXOR_VX_M8, 0x3, false }, // 3194
  { PseudoVXOR_VX_MF2_MASK, PseudoVXOR_VX_MF2, 0x3, false }, // 3195
  { PseudoVXOR_VX_MF4_MASK, PseudoVXOR_VX_MF4, 0x3, false }, // 3196
  { PseudoVXOR_VX_MF8_MASK, PseudoVXOR_VX_MF8, 0x3, false }, // 3197
  { PseudoVZEXT_VF2_M1_MASK, PseudoVZEXT_VF2_M1, 0x2, false }, // 3198
  { PseudoVZEXT_VF2_M2_MASK, PseudoVZEXT_VF2_M2, 0x2, false }, // 3199
  { PseudoVZEXT_VF2_M4_MASK, PseudoVZEXT_VF2_M4, 0x2, false }, // 3200
  { PseudoVZEXT_VF2_M8_MASK, PseudoVZEXT_VF2_M8, 0x2, false }, // 3201
  { PseudoVZEXT_VF2_MF2_MASK, PseudoVZEXT_VF2_MF2, 0x2, false }, // 3202
  { PseudoVZEXT_VF2_MF4_MASK, PseudoVZEXT_VF2_MF4, 0x2, false }, // 3203
  { PseudoVZEXT_VF4_M1_MASK, PseudoVZEXT_VF4_M1, 0x2, false }, // 3204
  { PseudoVZEXT_VF4_M2_MASK, PseudoVZEXT_VF4_M2, 0x2, false }, // 3205
  { PseudoVZEXT_VF4_M4_MASK, PseudoVZEXT_VF4_M4, 0x2, false }, // 3206
  { PseudoVZEXT_VF4_M8_MASK, PseudoVZEXT_VF4_M8, 0x2, false }, // 3207
  { PseudoVZEXT_VF4_MF2_MASK, PseudoVZEXT_VF4_MF2, 0x2, false }, // 3208
  { PseudoVZEXT_VF8_M1_MASK, PseudoVZEXT_VF8_M1, 0x2, false }, // 3209
  { PseudoVZEXT_VF8_M2_MASK, PseudoVZEXT_VF8_M2, 0x2, false }, // 3210
  { PseudoVZEXT_VF8_M4_MASK, PseudoVZEXT_VF8_M4, 0x2, false }, // 3211
  { PseudoVZEXT_VF8_M8_MASK, PseudoVZEXT_VF8_M8, 0x2, false }, // 3212
 };

const RISCVMaskedPseudoInfo *getMaskedPseudoInfo(unsigned MaskedPseudo) {
  struct KeyType {
    unsigned MaskedPseudo;
  };
  KeyType Key = {MaskedPseudo};
  struct Comp {
    bool operator()(const RISCVMaskedPseudoInfo &LHS, const KeyType &RHS) const {
      if (LHS.MaskedPseudo < RHS.MaskedPseudo)
        return true;
      if (LHS.MaskedPseudo > RHS.MaskedPseudo)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVMaskedPseudosTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.MaskedPseudo != Idx->MaskedPseudo)
    return nullptr;

  return &*Idx;
}

const RISCVMaskedPseudoInfo *lookupMaskedIntrinsicByUnmasked(unsigned UnmaskedPseudo) {
  struct IndexType {
    unsigned UnmaskedPseudo;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { PseudoTHVdotVMAQASU_VV_M1, 0 },
    { PseudoTHVdotVMAQASU_VV_M2, 1 },
    { PseudoTHVdotVMAQASU_VV_M4, 2 },
    { PseudoTHVdotVMAQASU_VV_M8, 3 },
    { PseudoTHVdotVMAQASU_VV_MF2, 4 },
    { PseudoTHVdotVMAQASU_VX_M1, 5 },
    { PseudoTHVdotVMAQASU_VX_M2, 6 },
    { PseudoTHVdotVMAQASU_VX_M4, 7 },
    { PseudoTHVdotVMAQASU_VX_M8, 8 },
    { PseudoTHVdotVMAQASU_VX_MF2, 9 },
    { PseudoTHVdotVMAQAUS_VX_M1, 10 },
    { PseudoTHVdotVMAQAUS_VX_M2, 11 },
    { PseudoTHVdotVMAQAUS_VX_M4, 12 },
    { PseudoTHVdotVMAQAUS_VX_M8, 13 },
    { PseudoTHVdotVMAQAUS_VX_MF2, 14 },
    { PseudoTHVdotVMAQAU_VV_M1, 15 },
    { PseudoTHVdotVMAQAU_VV_M2, 16 },
    { PseudoTHVdotVMAQAU_VV_M4, 17 },
    { PseudoTHVdotVMAQAU_VV_M8, 18 },
    { PseudoTHVdotVMAQAU_VV_MF2, 19 },
    { PseudoTHVdotVMAQAU_VX_M1, 20 },
    { PseudoTHVdotVMAQAU_VX_M2, 21 },
    { PseudoTHVdotVMAQAU_VX_M4, 22 },
    { PseudoTHVdotVMAQAU_VX_M8, 23 },
    { PseudoTHVdotVMAQAU_VX_MF2, 24 },
    { PseudoTHVdotVMAQA_VV_M1, 25 },
    { PseudoTHVdotVMAQA_VV_M2, 26 },
    { PseudoTHVdotVMAQA_VV_M4, 27 },
    { PseudoTHVdotVMAQA_VV_M8, 28 },
    { PseudoTHVdotVMAQA_VV_MF2, 29 },
    { PseudoTHVdotVMAQA_VX_M1, 30 },
    { PseudoTHVdotVMAQA_VX_M2, 31 },
    { PseudoTHVdotVMAQA_VX_M4, 32 },
    { PseudoTHVdotVMAQA_VX_M8, 33 },
    { PseudoTHVdotVMAQA_VX_MF2, 34 },
    { PseudoVAADDU_VV_M1, 35 },
    { PseudoVAADDU_VV_M2, 36 },
    { PseudoVAADDU_VV_M4, 37 },
    { PseudoVAADDU_VV_M8, 38 },
    { PseudoVAADDU_VV_MF2, 39 },
    { PseudoVAADDU_VV_MF4, 40 },
    { PseudoVAADDU_VV_MF8, 41 },
    { PseudoVAADDU_VX_M1, 42 },
    { PseudoVAADDU_VX_M2, 43 },
    { PseudoVAADDU_VX_M4, 44 },
    { PseudoVAADDU_VX_M8, 45 },
    { PseudoVAADDU_VX_MF2, 46 },
    { PseudoVAADDU_VX_MF4, 47 },
    { PseudoVAADDU_VX_MF8, 48 },
    { PseudoVAADD_VV_M1, 49 },
    { PseudoVAADD_VV_M2, 50 },
    { PseudoVAADD_VV_M4, 51 },
    { PseudoVAADD_VV_M8, 52 },
    { PseudoVAADD_VV_MF2, 53 },
    { PseudoVAADD_VV_MF4, 54 },
    { PseudoVAADD_VV_MF8, 55 },
    { PseudoVAADD_VX_M1, 56 },
    { PseudoVAADD_VX_M2, 57 },
    { PseudoVAADD_VX_M4, 58 },
    { PseudoVAADD_VX_M8, 59 },
    { PseudoVAADD_VX_MF2, 60 },
    { PseudoVAADD_VX_MF4, 61 },
    { PseudoVAADD_VX_MF8, 62 },
    { PseudoVADD_VI_M1, 63 },
    { PseudoVADD_VI_M2, 64 },
    { PseudoVADD_VI_M4, 65 },
    { PseudoVADD_VI_M8, 66 },
    { PseudoVADD_VI_MF2, 67 },
    { PseudoVADD_VI_MF4, 68 },
    { PseudoVADD_VI_MF8, 69 },
    { PseudoVADD_VV_M1, 70 },
    { PseudoVADD_VV_M2, 71 },
    { PseudoVADD_VV_M4, 72 },
    { PseudoVADD_VV_M8, 73 },
    { PseudoVADD_VV_MF2, 74 },
    { PseudoVADD_VV_MF4, 75 },
    { PseudoVADD_VV_MF8, 76 },
    { PseudoVADD_VX_M1, 77 },
    { PseudoVADD_VX_M2, 78 },
    { PseudoVADD_VX_M4, 79 },
    { PseudoVADD_VX_M8, 80 },
    { PseudoVADD_VX_MF2, 81 },
    { PseudoVADD_VX_MF4, 82 },
    { PseudoVADD_VX_MF8, 83 },
    { PseudoVANDN_VV_M1, 84 },
    { PseudoVANDN_VV_M2, 85 },
    { PseudoVANDN_VV_M4, 86 },
    { PseudoVANDN_VV_M8, 87 },
    { PseudoVANDN_VV_MF2, 88 },
    { PseudoVANDN_VV_MF4, 89 },
    { PseudoVANDN_VV_MF8, 90 },
    { PseudoVANDN_VX_M1, 91 },
    { PseudoVANDN_VX_M2, 92 },
    { PseudoVANDN_VX_M4, 93 },
    { PseudoVANDN_VX_M8, 94 },
    { PseudoVANDN_VX_MF2, 95 },
    { PseudoVANDN_VX_MF4, 96 },
    { PseudoVANDN_VX_MF8, 97 },
    { PseudoVAND_VI_M1, 98 },
    { PseudoVAND_VI_M2, 99 },
    { PseudoVAND_VI_M4, 100 },
    { PseudoVAND_VI_M8, 101 },
    { PseudoVAND_VI_MF2, 102 },
    { PseudoVAND_VI_MF4, 103 },
    { PseudoVAND_VI_MF8, 104 },
    { PseudoVAND_VV_M1, 105 },
    { PseudoVAND_VV_M2, 106 },
    { PseudoVAND_VV_M4, 107 },
    { PseudoVAND_VV_M8, 108 },
    { PseudoVAND_VV_MF2, 109 },
    { PseudoVAND_VV_MF4, 110 },
    { PseudoVAND_VV_MF8, 111 },
    { PseudoVAND_VX_M1, 112 },
    { PseudoVAND_VX_M2, 113 },
    { PseudoVAND_VX_M4, 114 },
    { PseudoVAND_VX_M8, 115 },
    { PseudoVAND_VX_MF2, 116 },
    { PseudoVAND_VX_MF4, 117 },
    { PseudoVAND_VX_MF8, 118 },
    { PseudoVASUBU_VV_M1, 119 },
    { PseudoVASUBU_VV_M2, 120 },
    { PseudoVASUBU_VV_M4, 121 },
    { PseudoVASUBU_VV_M8, 122 },
    { PseudoVASUBU_VV_MF2, 123 },
    { PseudoVASUBU_VV_MF4, 124 },
    { PseudoVASUBU_VV_MF8, 125 },
    { PseudoVASUBU_VX_M1, 126 },
    { PseudoVASUBU_VX_M2, 127 },
    { PseudoVASUBU_VX_M4, 128 },
    { PseudoVASUBU_VX_M8, 129 },
    { PseudoVASUBU_VX_MF2, 130 },
    { PseudoVASUBU_VX_MF4, 131 },
    { PseudoVASUBU_VX_MF8, 132 },
    { PseudoVASUB_VV_M1, 133 },
    { PseudoVASUB_VV_M2, 134 },
    { PseudoVASUB_VV_M4, 135 },
    { PseudoVASUB_VV_M8, 136 },
    { PseudoVASUB_VV_MF2, 137 },
    { PseudoVASUB_VV_MF4, 138 },
    { PseudoVASUB_VV_MF8, 139 },
    { PseudoVASUB_VX_M1, 140 },
    { PseudoVASUB_VX_M2, 141 },
    { PseudoVASUB_VX_M4, 142 },
    { PseudoVASUB_VX_M8, 143 },
    { PseudoVASUB_VX_MF2, 144 },
    { PseudoVASUB_VX_MF4, 145 },
    { PseudoVASUB_VX_MF8, 146 },
    { PseudoVBREV8_V_M1, 147 },
    { PseudoVBREV8_V_M2, 148 },
    { PseudoVBREV8_V_M4, 149 },
    { PseudoVBREV8_V_M8, 150 },
    { PseudoVBREV8_V_MF2, 151 },
    { PseudoVBREV8_V_MF4, 152 },
    { PseudoVBREV8_V_MF8, 153 },
    { PseudoVBREV_V_M1, 154 },
    { PseudoVBREV_V_M2, 155 },
    { PseudoVBREV_V_M4, 156 },
    { PseudoVBREV_V_M8, 157 },
    { PseudoVBREV_V_MF2, 158 },
    { PseudoVBREV_V_MF4, 159 },
    { PseudoVBREV_V_MF8, 160 },
    { PseudoVCLMULH_VV_M1, 161 },
    { PseudoVCLMULH_VV_M2, 162 },
    { PseudoVCLMULH_VV_M4, 163 },
    { PseudoVCLMULH_VV_M8, 164 },
    { PseudoVCLMULH_VV_MF2, 165 },
    { PseudoVCLMULH_VV_MF4, 166 },
    { PseudoVCLMULH_VV_MF8, 167 },
    { PseudoVCLMULH_VX_M1, 168 },
    { PseudoVCLMULH_VX_M2, 169 },
    { PseudoVCLMULH_VX_M4, 170 },
    { PseudoVCLMULH_VX_M8, 171 },
    { PseudoVCLMULH_VX_MF2, 172 },
    { PseudoVCLMULH_VX_MF4, 173 },
    { PseudoVCLMULH_VX_MF8, 174 },
    { PseudoVCLMUL_VV_M1, 175 },
    { PseudoVCLMUL_VV_M2, 176 },
    { PseudoVCLMUL_VV_M4, 177 },
    { PseudoVCLMUL_VV_M8, 178 },
    { PseudoVCLMUL_VV_MF2, 179 },
    { PseudoVCLMUL_VV_MF4, 180 },
    { PseudoVCLMUL_VV_MF8, 181 },
    { PseudoVCLMUL_VX_M1, 182 },
    { PseudoVCLMUL_VX_M2, 183 },
    { PseudoVCLMUL_VX_M4, 184 },
    { PseudoVCLMUL_VX_M8, 185 },
    { PseudoVCLMUL_VX_MF2, 186 },
    { PseudoVCLMUL_VX_MF4, 187 },
    { PseudoVCLMUL_VX_MF8, 188 },
    { PseudoVCLZ_V_M1, 189 },
    { PseudoVCLZ_V_M2, 190 },
    { PseudoVCLZ_V_M4, 191 },
    { PseudoVCLZ_V_M8, 192 },
    { PseudoVCLZ_V_MF2, 193 },
    { PseudoVCLZ_V_MF4, 194 },
    { PseudoVCLZ_V_MF8, 195 },
    { PseudoVCPOP_V_M1, 196 },
    { PseudoVCPOP_V_M2, 197 },
    { PseudoVCPOP_V_M4, 198 },
    { PseudoVCPOP_V_M8, 199 },
    { PseudoVCPOP_V_MF2, 200 },
    { PseudoVCPOP_V_MF4, 201 },
    { PseudoVCPOP_V_MF8, 202 },
    { PseudoVCTZ_V_M1, 203 },
    { PseudoVCTZ_V_M2, 204 },
    { PseudoVCTZ_V_M4, 205 },
    { PseudoVCTZ_V_M8, 206 },
    { PseudoVCTZ_V_MF2, 207 },
    { PseudoVCTZ_V_MF4, 208 },
    { PseudoVCTZ_V_MF8, 209 },
    { PseudoVDIVU_VV_M1_E16, 210 },
    { PseudoVDIVU_VV_M1_E32, 211 },
    { PseudoVDIVU_VV_M1_E64, 212 },
    { PseudoVDIVU_VV_M1_E8, 213 },
    { PseudoVDIVU_VV_M2_E16, 214 },
    { PseudoVDIVU_VV_M2_E32, 215 },
    { PseudoVDIVU_VV_M2_E64, 216 },
    { PseudoVDIVU_VV_M2_E8, 217 },
    { PseudoVDIVU_VV_M4_E16, 218 },
    { PseudoVDIVU_VV_M4_E32, 219 },
    { PseudoVDIVU_VV_M4_E64, 220 },
    { PseudoVDIVU_VV_M4_E8, 221 },
    { PseudoVDIVU_VV_M8_E16, 222 },
    { PseudoVDIVU_VV_M8_E32, 223 },
    { PseudoVDIVU_VV_M8_E64, 224 },
    { PseudoVDIVU_VV_M8_E8, 225 },
    { PseudoVDIVU_VV_MF2_E16, 226 },
    { PseudoVDIVU_VV_MF2_E32, 227 },
    { PseudoVDIVU_VV_MF2_E8, 228 },
    { PseudoVDIVU_VV_MF4_E16, 229 },
    { PseudoVDIVU_VV_MF4_E8, 230 },
    { PseudoVDIVU_VV_MF8_E8, 231 },
    { PseudoVDIVU_VX_M1_E16, 232 },
    { PseudoVDIVU_VX_M1_E32, 233 },
    { PseudoVDIVU_VX_M1_E64, 234 },
    { PseudoVDIVU_VX_M1_E8, 235 },
    { PseudoVDIVU_VX_M2_E16, 236 },
    { PseudoVDIVU_VX_M2_E32, 237 },
    { PseudoVDIVU_VX_M2_E64, 238 },
    { PseudoVDIVU_VX_M2_E8, 239 },
    { PseudoVDIVU_VX_M4_E16, 240 },
    { PseudoVDIVU_VX_M4_E32, 241 },
    { PseudoVDIVU_VX_M4_E64, 242 },
    { PseudoVDIVU_VX_M4_E8, 243 },
    { PseudoVDIVU_VX_M8_E16, 244 },
    { PseudoVDIVU_VX_M8_E32, 245 },
    { PseudoVDIVU_VX_M8_E64, 246 },
    { PseudoVDIVU_VX_M8_E8, 247 },
    { PseudoVDIVU_VX_MF2_E16, 248 },
    { PseudoVDIVU_VX_MF2_E32, 249 },
    { PseudoVDIVU_VX_MF2_E8, 250 },
    { PseudoVDIVU_VX_MF4_E16, 251 },
    { PseudoVDIVU_VX_MF4_E8, 252 },
    { PseudoVDIVU_VX_MF8_E8, 253 },
    { PseudoVDIV_VV_M1_E16, 254 },
    { PseudoVDIV_VV_M1_E32, 255 },
    { PseudoVDIV_VV_M1_E64, 256 },
    { PseudoVDIV_VV_M1_E8, 257 },
    { PseudoVDIV_VV_M2_E16, 258 },
    { PseudoVDIV_VV_M2_E32, 259 },
    { PseudoVDIV_VV_M2_E64, 260 },
    { PseudoVDIV_VV_M2_E8, 261 },
    { PseudoVDIV_VV_M4_E16, 262 },
    { PseudoVDIV_VV_M4_E32, 263 },
    { PseudoVDIV_VV_M4_E64, 264 },
    { PseudoVDIV_VV_M4_E8, 265 },
    { PseudoVDIV_VV_M8_E16, 266 },
    { PseudoVDIV_VV_M8_E32, 267 },
    { PseudoVDIV_VV_M8_E64, 268 },
    { PseudoVDIV_VV_M8_E8, 269 },
    { PseudoVDIV_VV_MF2_E16, 270 },
    { PseudoVDIV_VV_MF2_E32, 271 },
    { PseudoVDIV_VV_MF2_E8, 272 },
    { PseudoVDIV_VV_MF4_E16, 273 },
    { PseudoVDIV_VV_MF4_E8, 274 },
    { PseudoVDIV_VV_MF8_E8, 275 },
    { PseudoVDIV_VX_M1_E16, 276 },
    { PseudoVDIV_VX_M1_E32, 277 },
    { PseudoVDIV_VX_M1_E64, 278 },
    { PseudoVDIV_VX_M1_E8, 279 },
    { PseudoVDIV_VX_M2_E16, 280 },
    { PseudoVDIV_VX_M2_E32, 281 },
    { PseudoVDIV_VX_M2_E64, 282 },
    { PseudoVDIV_VX_M2_E8, 283 },
    { PseudoVDIV_VX_M4_E16, 284 },
    { PseudoVDIV_VX_M4_E32, 285 },
    { PseudoVDIV_VX_M4_E64, 286 },
    { PseudoVDIV_VX_M4_E8, 287 },
    { PseudoVDIV_VX_M8_E16, 288 },
    { PseudoVDIV_VX_M8_E32, 289 },
    { PseudoVDIV_VX_M8_E64, 290 },
    { PseudoVDIV_VX_M8_E8, 291 },
    { PseudoVDIV_VX_MF2_E16, 292 },
    { PseudoVDIV_VX_MF2_E32, 293 },
    { PseudoVDIV_VX_MF2_E8, 294 },
    { PseudoVDIV_VX_MF4_E16, 295 },
    { PseudoVDIV_VX_MF4_E8, 296 },
    { PseudoVDIV_VX_MF8_E8, 297 },
    { PseudoVFADD_VFPR16_M1_E16, 298 },
    { PseudoVFADD_VFPR16_M2_E16, 299 },
    { PseudoVFADD_VFPR16_M4_E16, 300 },
    { PseudoVFADD_VFPR16_M8_E16, 301 },
    { PseudoVFADD_VFPR16_MF2_E16, 302 },
    { PseudoVFADD_VFPR16_MF4_E16, 303 },
    { PseudoVFADD_VFPR32_M1_E32, 304 },
    { PseudoVFADD_VFPR32_M2_E32, 305 },
    { PseudoVFADD_VFPR32_M4_E32, 306 },
    { PseudoVFADD_VFPR32_M8_E32, 307 },
    { PseudoVFADD_VFPR32_MF2_E32, 308 },
    { PseudoVFADD_VFPR64_M1_E64, 309 },
    { PseudoVFADD_VFPR64_M2_E64, 310 },
    { PseudoVFADD_VFPR64_M4_E64, 311 },
    { PseudoVFADD_VFPR64_M8_E64, 312 },
    { PseudoVFADD_VV_M1_E16, 313 },
    { PseudoVFADD_VV_M1_E32, 314 },
    { PseudoVFADD_VV_M1_E64, 315 },
    { PseudoVFADD_VV_M2_E16, 316 },
    { PseudoVFADD_VV_M2_E32, 317 },
    { PseudoVFADD_VV_M2_E64, 318 },
    { PseudoVFADD_VV_M4_E16, 319 },
    { PseudoVFADD_VV_M4_E32, 320 },
    { PseudoVFADD_VV_M4_E64, 321 },
    { PseudoVFADD_VV_M8_E16, 322 },
    { PseudoVFADD_VV_M8_E32, 323 },
    { PseudoVFADD_VV_M8_E64, 324 },
    { PseudoVFADD_VV_MF2_E16, 325 },
    { PseudoVFADD_VV_MF2_E32, 326 },
    { PseudoVFADD_VV_MF4_E16, 327 },
    { PseudoVFCLASS_V_M1, 328 },
    { PseudoVFCLASS_V_M2, 329 },
    { PseudoVFCLASS_V_M4, 330 },
    { PseudoVFCLASS_V_M8, 331 },
    { PseudoVFCLASS_V_MF2, 332 },
    { PseudoVFCLASS_V_MF4, 333 },
    { PseudoVFCVT_F_XU_V_M1_E16, 334 },
    { PseudoVFCVT_F_XU_V_M1_E32, 335 },
    { PseudoVFCVT_F_XU_V_M1_E64, 336 },
    { PseudoVFCVT_F_XU_V_M2_E16, 337 },
    { PseudoVFCVT_F_XU_V_M2_E32, 338 },
    { PseudoVFCVT_F_XU_V_M2_E64, 339 },
    { PseudoVFCVT_F_XU_V_M4_E16, 340 },
    { PseudoVFCVT_F_XU_V_M4_E32, 341 },
    { PseudoVFCVT_F_XU_V_M4_E64, 342 },
    { PseudoVFCVT_F_XU_V_M8_E16, 343 },
    { PseudoVFCVT_F_XU_V_M8_E32, 344 },
    { PseudoVFCVT_F_XU_V_M8_E64, 345 },
    { PseudoVFCVT_F_XU_V_MF2_E16, 346 },
    { PseudoVFCVT_F_XU_V_MF2_E32, 347 },
    { PseudoVFCVT_F_XU_V_MF4_E16, 348 },
    { PseudoVFCVT_F_X_V_M1_E16, 349 },
    { PseudoVFCVT_F_X_V_M1_E32, 350 },
    { PseudoVFCVT_F_X_V_M1_E64, 351 },
    { PseudoVFCVT_F_X_V_M2_E16, 352 },
    { PseudoVFCVT_F_X_V_M2_E32, 353 },
    { PseudoVFCVT_F_X_V_M2_E64, 354 },
    { PseudoVFCVT_F_X_V_M4_E16, 355 },
    { PseudoVFCVT_F_X_V_M4_E32, 356 },
    { PseudoVFCVT_F_X_V_M4_E64, 357 },
    { PseudoVFCVT_F_X_V_M8_E16, 358 },
    { PseudoVFCVT_F_X_V_M8_E32, 359 },
    { PseudoVFCVT_F_X_V_M8_E64, 360 },
    { PseudoVFCVT_F_X_V_MF2_E16, 361 },
    { PseudoVFCVT_F_X_V_MF2_E32, 362 },
    { PseudoVFCVT_F_X_V_MF4_E16, 363 },
    { PseudoVFCVT_RM_F_XU_V_M1_E16, 364 },
    { PseudoVFCVT_RM_F_XU_V_M1_E32, 365 },
    { PseudoVFCVT_RM_F_XU_V_M1_E64, 366 },
    { PseudoVFCVT_RM_F_XU_V_M2_E16, 367 },
    { PseudoVFCVT_RM_F_XU_V_M2_E32, 368 },
    { PseudoVFCVT_RM_F_XU_V_M2_E64, 369 },
    { PseudoVFCVT_RM_F_XU_V_M4_E16, 370 },
    { PseudoVFCVT_RM_F_XU_V_M4_E32, 371 },
    { PseudoVFCVT_RM_F_XU_V_M4_E64, 372 },
    { PseudoVFCVT_RM_F_XU_V_M8_E16, 373 },
    { PseudoVFCVT_RM_F_XU_V_M8_E32, 374 },
    { PseudoVFCVT_RM_F_XU_V_M8_E64, 375 },
    { PseudoVFCVT_RM_F_XU_V_MF2_E16, 376 },
    { PseudoVFCVT_RM_F_XU_V_MF2_E32, 377 },
    { PseudoVFCVT_RM_F_XU_V_MF4_E16, 378 },
    { PseudoVFCVT_RM_F_X_V_M1_E16, 379 },
    { PseudoVFCVT_RM_F_X_V_M1_E32, 380 },
    { PseudoVFCVT_RM_F_X_V_M1_E64, 381 },
    { PseudoVFCVT_RM_F_X_V_M2_E16, 382 },
    { PseudoVFCVT_RM_F_X_V_M2_E32, 383 },
    { PseudoVFCVT_RM_F_X_V_M2_E64, 384 },
    { PseudoVFCVT_RM_F_X_V_M4_E16, 385 },
    { PseudoVFCVT_RM_F_X_V_M4_E32, 386 },
    { PseudoVFCVT_RM_F_X_V_M4_E64, 387 },
    { PseudoVFCVT_RM_F_X_V_M8_E16, 388 },
    { PseudoVFCVT_RM_F_X_V_M8_E32, 389 },
    { PseudoVFCVT_RM_F_X_V_M8_E64, 390 },
    { PseudoVFCVT_RM_F_X_V_MF2_E16, 391 },
    { PseudoVFCVT_RM_F_X_V_MF2_E32, 392 },
    { PseudoVFCVT_RM_F_X_V_MF4_E16, 393 },
    { PseudoVFCVT_RM_XU_F_V_M1, 394 },
    { PseudoVFCVT_RM_XU_F_V_M2, 395 },
    { PseudoVFCVT_RM_XU_F_V_M4, 396 },
    { PseudoVFCVT_RM_XU_F_V_M8, 397 },
    { PseudoVFCVT_RM_XU_F_V_MF2, 398 },
    { PseudoVFCVT_RM_XU_F_V_MF4, 399 },
    { PseudoVFCVT_RM_X_F_V_M1, 400 },
    { PseudoVFCVT_RM_X_F_V_M2, 401 },
    { PseudoVFCVT_RM_X_F_V_M4, 402 },
    { PseudoVFCVT_RM_X_F_V_M8, 403 },
    { PseudoVFCVT_RM_X_F_V_MF2, 404 },
    { PseudoVFCVT_RM_X_F_V_MF4, 405 },
    { PseudoVFCVT_RTZ_XU_F_V_M1, 406 },
    { PseudoVFCVT_RTZ_XU_F_V_M2, 407 },
    { PseudoVFCVT_RTZ_XU_F_V_M4, 408 },
    { PseudoVFCVT_RTZ_XU_F_V_M8, 409 },
    { PseudoVFCVT_RTZ_XU_F_V_MF2, 410 },
    { PseudoVFCVT_RTZ_XU_F_V_MF4, 411 },
    { PseudoVFCVT_RTZ_X_F_V_M1, 412 },
    { PseudoVFCVT_RTZ_X_F_V_M2, 413 },
    { PseudoVFCVT_RTZ_X_F_V_M4, 414 },
    { PseudoVFCVT_RTZ_X_F_V_M8, 415 },
    { PseudoVFCVT_RTZ_X_F_V_MF2, 416 },
    { PseudoVFCVT_RTZ_X_F_V_MF4, 417 },
    { PseudoVFCVT_XU_F_V_M1, 418 },
    { PseudoVFCVT_XU_F_V_M2, 419 },
    { PseudoVFCVT_XU_F_V_M4, 420 },
    { PseudoVFCVT_XU_F_V_M8, 421 },
    { PseudoVFCVT_XU_F_V_MF2, 422 },
    { PseudoVFCVT_XU_F_V_MF4, 423 },
    { PseudoVFCVT_X_F_V_M1, 424 },
    { PseudoVFCVT_X_F_V_M2, 425 },
    { PseudoVFCVT_X_F_V_M4, 426 },
    { PseudoVFCVT_X_F_V_M8, 427 },
    { PseudoVFCVT_X_F_V_MF2, 428 },
    { PseudoVFCVT_X_F_V_MF4, 429 },
    { PseudoVFDIV_VFPR16_M1_E16, 430 },
    { PseudoVFDIV_VFPR16_M2_E16, 431 },
    { PseudoVFDIV_VFPR16_M4_E16, 432 },
    { PseudoVFDIV_VFPR16_M8_E16, 433 },
    { PseudoVFDIV_VFPR16_MF2_E16, 434 },
    { PseudoVFDIV_VFPR16_MF4_E16, 435 },
    { PseudoVFDIV_VFPR32_M1_E32, 436 },
    { PseudoVFDIV_VFPR32_M2_E32, 437 },
    { PseudoVFDIV_VFPR32_M4_E32, 438 },
    { PseudoVFDIV_VFPR32_M8_E32, 439 },
    { PseudoVFDIV_VFPR32_MF2_E32, 440 },
    { PseudoVFDIV_VFPR64_M1_E64, 441 },
    { PseudoVFDIV_VFPR64_M2_E64, 442 },
    { PseudoVFDIV_VFPR64_M4_E64, 443 },
    { PseudoVFDIV_VFPR64_M8_E64, 444 },
    { PseudoVFDIV_VV_M1_E16, 445 },
    { PseudoVFDIV_VV_M1_E32, 446 },
    { PseudoVFDIV_VV_M1_E64, 447 },
    { PseudoVFDIV_VV_M2_E16, 448 },
    { PseudoVFDIV_VV_M2_E32, 449 },
    { PseudoVFDIV_VV_M2_E64, 450 },
    { PseudoVFDIV_VV_M4_E16, 451 },
    { PseudoVFDIV_VV_M4_E32, 452 },
    { PseudoVFDIV_VV_M4_E64, 453 },
    { PseudoVFDIV_VV_M8_E16, 454 },
    { PseudoVFDIV_VV_M8_E32, 455 },
    { PseudoVFDIV_VV_M8_E64, 456 },
    { PseudoVFDIV_VV_MF2_E16, 457 },
    { PseudoVFDIV_VV_MF2_E32, 458 },
    { PseudoVFDIV_VV_MF4_E16, 459 },
    { PseudoVFMACC_VFPR16_M1_E16, 460 },
    { PseudoVFMACC_VFPR16_M2_E16, 461 },
    { PseudoVFMACC_VFPR16_M4_E16, 462 },
    { PseudoVFMACC_VFPR16_M8_E16, 463 },
    { PseudoVFMACC_VFPR16_MF2_E16, 464 },
    { PseudoVFMACC_VFPR16_MF4_E16, 465 },
    { PseudoVFMACC_VFPR32_M1_E32, 466 },
    { PseudoVFMACC_VFPR32_M2_E32, 467 },
    { PseudoVFMACC_VFPR32_M4_E32, 468 },
    { PseudoVFMACC_VFPR32_M8_E32, 469 },
    { PseudoVFMACC_VFPR32_MF2_E32, 470 },
    { PseudoVFMACC_VFPR64_M1_E64, 471 },
    { PseudoVFMACC_VFPR64_M2_E64, 472 },
    { PseudoVFMACC_VFPR64_M4_E64, 473 },
    { PseudoVFMACC_VFPR64_M8_E64, 474 },
    { PseudoVFMACC_VV_M1_E16, 475 },
    { PseudoVFMACC_VV_M1_E32, 476 },
    { PseudoVFMACC_VV_M1_E64, 477 },
    { PseudoVFMACC_VV_M2_E16, 478 },
    { PseudoVFMACC_VV_M2_E32, 479 },
    { PseudoVFMACC_VV_M2_E64, 480 },
    { PseudoVFMACC_VV_M4_E16, 481 },
    { PseudoVFMACC_VV_M4_E32, 482 },
    { PseudoVFMACC_VV_M4_E64, 483 },
    { PseudoVFMACC_VV_M8_E16, 484 },
    { PseudoVFMACC_VV_M8_E32, 485 },
    { PseudoVFMACC_VV_M8_E64, 486 },
    { PseudoVFMACC_VV_MF2_E16, 487 },
    { PseudoVFMACC_VV_MF2_E32, 488 },
    { PseudoVFMACC_VV_MF4_E16, 489 },
    { PseudoVFMADD_VFPR16_M1_E16, 490 },
    { PseudoVFMADD_VFPR16_M2_E16, 491 },
    { PseudoVFMADD_VFPR16_M4_E16, 492 },
    { PseudoVFMADD_VFPR16_M8_E16, 493 },
    { PseudoVFMADD_VFPR16_MF2_E16, 494 },
    { PseudoVFMADD_VFPR16_MF4_E16, 495 },
    { PseudoVFMADD_VFPR32_M1_E32, 496 },
    { PseudoVFMADD_VFPR32_M2_E32, 497 },
    { PseudoVFMADD_VFPR32_M4_E32, 498 },
    { PseudoVFMADD_VFPR32_M8_E32, 499 },
    { PseudoVFMADD_VFPR32_MF2_E32, 500 },
    { PseudoVFMADD_VFPR64_M1_E64, 501 },
    { PseudoVFMADD_VFPR64_M2_E64, 502 },
    { PseudoVFMADD_VFPR64_M4_E64, 503 },
    { PseudoVFMADD_VFPR64_M8_E64, 504 },
    { PseudoVFMADD_VV_M1_E16, 505 },
    { PseudoVFMADD_VV_M1_E32, 506 },
    { PseudoVFMADD_VV_M1_E64, 507 },
    { PseudoVFMADD_VV_M2_E16, 508 },
    { PseudoVFMADD_VV_M2_E32, 509 },
    { PseudoVFMADD_VV_M2_E64, 510 },
    { PseudoVFMADD_VV_M4_E16, 511 },
    { PseudoVFMADD_VV_M4_E32, 512 },
    { PseudoVFMADD_VV_M4_E64, 513 },
    { PseudoVFMADD_VV_M8_E16, 514 },
    { PseudoVFMADD_VV_M8_E32, 515 },
    { PseudoVFMADD_VV_M8_E64, 516 },
    { PseudoVFMADD_VV_MF2_E16, 517 },
    { PseudoVFMADD_VV_MF2_E32, 518 },
    { PseudoVFMADD_VV_MF4_E16, 519 },
    { PseudoVFMAX_VFPR16_M1_E16, 520 },
    { PseudoVFMAX_VFPR16_M2_E16, 521 },
    { PseudoVFMAX_VFPR16_M4_E16, 522 },
    { PseudoVFMAX_VFPR16_M8_E16, 523 },
    { PseudoVFMAX_VFPR16_MF2_E16, 524 },
    { PseudoVFMAX_VFPR16_MF4_E16, 525 },
    { PseudoVFMAX_VFPR32_M1_E32, 526 },
    { PseudoVFMAX_VFPR32_M2_E32, 527 },
    { PseudoVFMAX_VFPR32_M4_E32, 528 },
    { PseudoVFMAX_VFPR32_M8_E32, 529 },
    { PseudoVFMAX_VFPR32_MF2_E32, 530 },
    { PseudoVFMAX_VFPR64_M1_E64, 531 },
    { PseudoVFMAX_VFPR64_M2_E64, 532 },
    { PseudoVFMAX_VFPR64_M4_E64, 533 },
    { PseudoVFMAX_VFPR64_M8_E64, 534 },
    { PseudoVFMAX_VV_M1_E16, 535 },
    { PseudoVFMAX_VV_M1_E32, 536 },
    { PseudoVFMAX_VV_M1_E64, 537 },
    { PseudoVFMAX_VV_M2_E16, 538 },
    { PseudoVFMAX_VV_M2_E32, 539 },
    { PseudoVFMAX_VV_M2_E64, 540 },
    { PseudoVFMAX_VV_M4_E16, 541 },
    { PseudoVFMAX_VV_M4_E32, 542 },
    { PseudoVFMAX_VV_M4_E64, 543 },
    { PseudoVFMAX_VV_M8_E16, 544 },
    { PseudoVFMAX_VV_M8_E32, 545 },
    { PseudoVFMAX_VV_M8_E64, 546 },
    { PseudoVFMAX_VV_MF2_E16, 547 },
    { PseudoVFMAX_VV_MF2_E32, 548 },
    { PseudoVFMAX_VV_MF4_E16, 549 },
    { PseudoVFMIN_VFPR16_M1_E16, 550 },
    { PseudoVFMIN_VFPR16_M2_E16, 551 },
    { PseudoVFMIN_VFPR16_M4_E16, 552 },
    { PseudoVFMIN_VFPR16_M8_E16, 553 },
    { PseudoVFMIN_VFPR16_MF2_E16, 554 },
    { PseudoVFMIN_VFPR16_MF4_E16, 555 },
    { PseudoVFMIN_VFPR32_M1_E32, 556 },
    { PseudoVFMIN_VFPR32_M2_E32, 557 },
    { PseudoVFMIN_VFPR32_M4_E32, 558 },
    { PseudoVFMIN_VFPR32_M8_E32, 559 },
    { PseudoVFMIN_VFPR32_MF2_E32, 560 },
    { PseudoVFMIN_VFPR64_M1_E64, 561 },
    { PseudoVFMIN_VFPR64_M2_E64, 562 },
    { PseudoVFMIN_VFPR64_M4_E64, 563 },
    { PseudoVFMIN_VFPR64_M8_E64, 564 },
    { PseudoVFMIN_VV_M1_E16, 565 },
    { PseudoVFMIN_VV_M1_E32, 566 },
    { PseudoVFMIN_VV_M1_E64, 567 },
    { PseudoVFMIN_VV_M2_E16, 568 },
    { PseudoVFMIN_VV_M2_E32, 569 },
    { PseudoVFMIN_VV_M2_E64, 570 },
    { PseudoVFMIN_VV_M4_E16, 571 },
    { PseudoVFMIN_VV_M4_E32, 572 },
    { PseudoVFMIN_VV_M4_E64, 573 },
    { PseudoVFMIN_VV_M8_E16, 574 },
    { PseudoVFMIN_VV_M8_E32, 575 },
    { PseudoVFMIN_VV_M8_E64, 576 },
    { PseudoVFMIN_VV_MF2_E16, 577 },
    { PseudoVFMIN_VV_MF2_E32, 578 },
    { PseudoVFMIN_VV_MF4_E16, 579 },
    { PseudoVFMSAC_VFPR16_M1_E16, 580 },
    { PseudoVFMSAC_VFPR16_M2_E16, 581 },
    { PseudoVFMSAC_VFPR16_M4_E16, 582 },
    { PseudoVFMSAC_VFPR16_M8_E16, 583 },
    { PseudoVFMSAC_VFPR16_MF2_E16, 584 },
    { PseudoVFMSAC_VFPR16_MF4_E16, 585 },
    { PseudoVFMSAC_VFPR32_M1_E32, 586 },
    { PseudoVFMSAC_VFPR32_M2_E32, 587 },
    { PseudoVFMSAC_VFPR32_M4_E32, 588 },
    { PseudoVFMSAC_VFPR32_M8_E32, 589 },
    { PseudoVFMSAC_VFPR32_MF2_E32, 590 },
    { PseudoVFMSAC_VFPR64_M1_E64, 591 },
    { PseudoVFMSAC_VFPR64_M2_E64, 592 },
    { PseudoVFMSAC_VFPR64_M4_E64, 593 },
    { PseudoVFMSAC_VFPR64_M8_E64, 594 },
    { PseudoVFMSAC_VV_M1_E16, 595 },
    { PseudoVFMSAC_VV_M1_E32, 596 },
    { PseudoVFMSAC_VV_M1_E64, 597 },
    { PseudoVFMSAC_VV_M2_E16, 598 },
    { PseudoVFMSAC_VV_M2_E32, 599 },
    { PseudoVFMSAC_VV_M2_E64, 600 },
    { PseudoVFMSAC_VV_M4_E16, 601 },
    { PseudoVFMSAC_VV_M4_E32, 602 },
    { PseudoVFMSAC_VV_M4_E64, 603 },
    { PseudoVFMSAC_VV_M8_E16, 604 },
    { PseudoVFMSAC_VV_M8_E32, 605 },
    { PseudoVFMSAC_VV_M8_E64, 606 },
    { PseudoVFMSAC_VV_MF2_E16, 607 },
    { PseudoVFMSAC_VV_MF2_E32, 608 },
    { PseudoVFMSAC_VV_MF4_E16, 609 },
    { PseudoVFMSUB_VFPR16_M1_E16, 610 },
    { PseudoVFMSUB_VFPR16_M2_E16, 611 },
    { PseudoVFMSUB_VFPR16_M4_E16, 612 },
    { PseudoVFMSUB_VFPR16_M8_E16, 613 },
    { PseudoVFMSUB_VFPR16_MF2_E16, 614 },
    { PseudoVFMSUB_VFPR16_MF4_E16, 615 },
    { PseudoVFMSUB_VFPR32_M1_E32, 616 },
    { PseudoVFMSUB_VFPR32_M2_E32, 617 },
    { PseudoVFMSUB_VFPR32_M4_E32, 618 },
    { PseudoVFMSUB_VFPR32_M8_E32, 619 },
    { PseudoVFMSUB_VFPR32_MF2_E32, 620 },
    { PseudoVFMSUB_VFPR64_M1_E64, 621 },
    { PseudoVFMSUB_VFPR64_M2_E64, 622 },
    { PseudoVFMSUB_VFPR64_M4_E64, 623 },
    { PseudoVFMSUB_VFPR64_M8_E64, 624 },
    { PseudoVFMSUB_VV_M1_E16, 625 },
    { PseudoVFMSUB_VV_M1_E32, 626 },
    { PseudoVFMSUB_VV_M1_E64, 627 },
    { PseudoVFMSUB_VV_M2_E16, 628 },
    { PseudoVFMSUB_VV_M2_E32, 629 },
    { PseudoVFMSUB_VV_M2_E64, 630 },
    { PseudoVFMSUB_VV_M4_E16, 631 },
    { PseudoVFMSUB_VV_M4_E32, 632 },
    { PseudoVFMSUB_VV_M4_E64, 633 },
    { PseudoVFMSUB_VV_M8_E16, 634 },
    { PseudoVFMSUB_VV_M8_E32, 635 },
    { PseudoVFMSUB_VV_M8_E64, 636 },
    { PseudoVFMSUB_VV_MF2_E16, 637 },
    { PseudoVFMSUB_VV_MF2_E32, 638 },
    { PseudoVFMSUB_VV_MF4_E16, 639 },
    { PseudoVFMUL_VFPR16_M1_E16, 640 },
    { PseudoVFMUL_VFPR16_M2_E16, 641 },
    { PseudoVFMUL_VFPR16_M4_E16, 642 },
    { PseudoVFMUL_VFPR16_M8_E16, 643 },
    { PseudoVFMUL_VFPR16_MF2_E16, 644 },
    { PseudoVFMUL_VFPR16_MF4_E16, 645 },
    { PseudoVFMUL_VFPR32_M1_E32, 646 },
    { PseudoVFMUL_VFPR32_M2_E32, 647 },
    { PseudoVFMUL_VFPR32_M4_E32, 648 },
    { PseudoVFMUL_VFPR32_M8_E32, 649 },
    { PseudoVFMUL_VFPR32_MF2_E32, 650 },
    { PseudoVFMUL_VFPR64_M1_E64, 651 },
    { PseudoVFMUL_VFPR64_M2_E64, 652 },
    { PseudoVFMUL_VFPR64_M4_E64, 653 },
    { PseudoVFMUL_VFPR64_M8_E64, 654 },
    { PseudoVFMUL_VV_M1_E16, 655 },
    { PseudoVFMUL_VV_M1_E32, 656 },
    { PseudoVFMUL_VV_M1_E64, 657 },
    { PseudoVFMUL_VV_M2_E16, 658 },
    { PseudoVFMUL_VV_M2_E32, 659 },
    { PseudoVFMUL_VV_M2_E64, 660 },
    { PseudoVFMUL_VV_M4_E16, 661 },
    { PseudoVFMUL_VV_M4_E32, 662 },
    { PseudoVFMUL_VV_M4_E64, 663 },
    { PseudoVFMUL_VV_M8_E16, 664 },
    { PseudoVFMUL_VV_M8_E32, 665 },
    { PseudoVFMUL_VV_M8_E64, 666 },
    { PseudoVFMUL_VV_MF2_E16, 667 },
    { PseudoVFMUL_VV_MF2_E32, 668 },
    { PseudoVFMUL_VV_MF4_E16, 669 },
    { PseudoVFNCVTBF16_F_F_W_M1_E16, 670 },
    { PseudoVFNCVTBF16_F_F_W_M1_E32, 671 },
    { PseudoVFNCVTBF16_F_F_W_M2_E16, 672 },
    { PseudoVFNCVTBF16_F_F_W_M2_E32, 673 },
    { PseudoVFNCVTBF16_F_F_W_M4_E16, 674 },
    { PseudoVFNCVTBF16_F_F_W_M4_E32, 675 },
    { PseudoVFNCVTBF16_F_F_W_MF2_E16, 676 },
    { PseudoVFNCVTBF16_F_F_W_MF2_E32, 677 },
    { PseudoVFNCVTBF16_F_F_W_MF4_E16, 678 },
    { PseudoVFNCVT_F_F_W_M1_E16, 679 },
    { PseudoVFNCVT_F_F_W_M1_E32, 680 },
    { PseudoVFNCVT_F_F_W_M2_E16, 681 },
    { PseudoVFNCVT_F_F_W_M2_E32, 682 },
    { PseudoVFNCVT_F_F_W_M4_E16, 683 },
    { PseudoVFNCVT_F_F_W_M4_E32, 684 },
    { PseudoVFNCVT_F_F_W_MF2_E16, 685 },
    { PseudoVFNCVT_F_F_W_MF2_E32, 686 },
    { PseudoVFNCVT_F_F_W_MF4_E16, 687 },
    { PseudoVFNCVT_F_XU_W_M1_E16, 688 },
    { PseudoVFNCVT_F_XU_W_M1_E32, 689 },
    { PseudoVFNCVT_F_XU_W_M2_E16, 690 },
    { PseudoVFNCVT_F_XU_W_M2_E32, 691 },
    { PseudoVFNCVT_F_XU_W_M4_E16, 692 },
    { PseudoVFNCVT_F_XU_W_M4_E32, 693 },
    { PseudoVFNCVT_F_XU_W_MF2_E16, 694 },
    { PseudoVFNCVT_F_XU_W_MF2_E32, 695 },
    { PseudoVFNCVT_F_XU_W_MF4_E16, 696 },
    { PseudoVFNCVT_F_X_W_M1_E16, 697 },
    { PseudoVFNCVT_F_X_W_M1_E32, 698 },
    { PseudoVFNCVT_F_X_W_M2_E16, 699 },
    { PseudoVFNCVT_F_X_W_M2_E32, 700 },
    { PseudoVFNCVT_F_X_W_M4_E16, 701 },
    { PseudoVFNCVT_F_X_W_M4_E32, 702 },
    { PseudoVFNCVT_F_X_W_MF2_E16, 703 },
    { PseudoVFNCVT_F_X_W_MF2_E32, 704 },
    { PseudoVFNCVT_F_X_W_MF4_E16, 705 },
    { PseudoVFNCVT_RM_F_XU_W_M1_E16, 706 },
    { PseudoVFNCVT_RM_F_XU_W_M1_E32, 707 },
    { PseudoVFNCVT_RM_F_XU_W_M2_E16, 708 },
    { PseudoVFNCVT_RM_F_XU_W_M2_E32, 709 },
    { PseudoVFNCVT_RM_F_XU_W_M4_E16, 710 },
    { PseudoVFNCVT_RM_F_XU_W_M4_E32, 711 },
    { PseudoVFNCVT_RM_F_XU_W_MF2_E16, 712 },
    { PseudoVFNCVT_RM_F_XU_W_MF2_E32, 713 },
    { PseudoVFNCVT_RM_F_XU_W_MF4_E16, 714 },
    { PseudoVFNCVT_RM_F_X_W_M1_E16, 715 },
    { PseudoVFNCVT_RM_F_X_W_M1_E32, 716 },
    { PseudoVFNCVT_RM_F_X_W_M2_E16, 717 },
    { PseudoVFNCVT_RM_F_X_W_M2_E32, 718 },
    { PseudoVFNCVT_RM_F_X_W_M4_E16, 719 },
    { PseudoVFNCVT_RM_F_X_W_M4_E32, 720 },
    { PseudoVFNCVT_RM_F_X_W_MF2_E16, 721 },
    { PseudoVFNCVT_RM_F_X_W_MF2_E32, 722 },
    { PseudoVFNCVT_RM_F_X_W_MF4_E16, 723 },
    { PseudoVFNCVT_RM_XU_F_W_M1, 724 },
    { PseudoVFNCVT_RM_XU_F_W_M2, 725 },
    { PseudoVFNCVT_RM_XU_F_W_M4, 726 },
    { PseudoVFNCVT_RM_XU_F_W_MF2, 727 },
    { PseudoVFNCVT_RM_XU_F_W_MF4, 728 },
    { PseudoVFNCVT_RM_XU_F_W_MF8, 729 },
    { PseudoVFNCVT_RM_X_F_W_M1, 730 },
    { PseudoVFNCVT_RM_X_F_W_M2, 731 },
    { PseudoVFNCVT_RM_X_F_W_M4, 732 },
    { PseudoVFNCVT_RM_X_F_W_MF2, 733 },
    { PseudoVFNCVT_RM_X_F_W_MF4, 734 },
    { PseudoVFNCVT_RM_X_F_W_MF8, 735 },
    { PseudoVFNCVT_ROD_F_F_W_M1_E16, 736 },
    { PseudoVFNCVT_ROD_F_F_W_M1_E32, 737 },
    { PseudoVFNCVT_ROD_F_F_W_M2_E16, 738 },
    { PseudoVFNCVT_ROD_F_F_W_M2_E32, 739 },
    { PseudoVFNCVT_ROD_F_F_W_M4_E16, 740 },
    { PseudoVFNCVT_ROD_F_F_W_M4_E32, 741 },
    { PseudoVFNCVT_ROD_F_F_W_MF2_E16, 742 },
    { PseudoVFNCVT_ROD_F_F_W_MF2_E32, 743 },
    { PseudoVFNCVT_ROD_F_F_W_MF4_E16, 744 },
    { PseudoVFNCVT_RTZ_XU_F_W_M1, 745 },
    { PseudoVFNCVT_RTZ_XU_F_W_M2, 746 },
    { PseudoVFNCVT_RTZ_XU_F_W_M4, 747 },
    { PseudoVFNCVT_RTZ_XU_F_W_MF2, 748 },
    { PseudoVFNCVT_RTZ_XU_F_W_MF4, 749 },
    { PseudoVFNCVT_RTZ_XU_F_W_MF8, 750 },
    { PseudoVFNCVT_RTZ_X_F_W_M1, 751 },
    { PseudoVFNCVT_RTZ_X_F_W_M2, 752 },
    { PseudoVFNCVT_RTZ_X_F_W_M4, 753 },
    { PseudoVFNCVT_RTZ_X_F_W_MF2, 754 },
    { PseudoVFNCVT_RTZ_X_F_W_MF4, 755 },
    { PseudoVFNCVT_RTZ_X_F_W_MF8, 756 },
    { PseudoVFNCVT_XU_F_W_M1, 757 },
    { PseudoVFNCVT_XU_F_W_M2, 758 },
    { PseudoVFNCVT_XU_F_W_M4, 759 },
    { PseudoVFNCVT_XU_F_W_MF2, 760 },
    { PseudoVFNCVT_XU_F_W_MF4, 761 },
    { PseudoVFNCVT_XU_F_W_MF8, 762 },
    { PseudoVFNCVT_X_F_W_M1, 763 },
    { PseudoVFNCVT_X_F_W_M2, 764 },
    { PseudoVFNCVT_X_F_W_M4, 765 },
    { PseudoVFNCVT_X_F_W_MF2, 766 },
    { PseudoVFNCVT_X_F_W_MF4, 767 },
    { PseudoVFNCVT_X_F_W_MF8, 768 },
    { PseudoVFNMACC_VFPR16_M1_E16, 769 },
    { PseudoVFNMACC_VFPR16_M2_E16, 770 },
    { PseudoVFNMACC_VFPR16_M4_E16, 771 },
    { PseudoVFNMACC_VFPR16_M8_E16, 772 },
    { PseudoVFNMACC_VFPR16_MF2_E16, 773 },
    { PseudoVFNMACC_VFPR16_MF4_E16, 774 },
    { PseudoVFNMACC_VFPR32_M1_E32, 775 },
    { PseudoVFNMACC_VFPR32_M2_E32, 776 },
    { PseudoVFNMACC_VFPR32_M4_E32, 777 },
    { PseudoVFNMACC_VFPR32_M8_E32, 778 },
    { PseudoVFNMACC_VFPR32_MF2_E32, 779 },
    { PseudoVFNMACC_VFPR64_M1_E64, 780 },
    { PseudoVFNMACC_VFPR64_M2_E64, 781 },
    { PseudoVFNMACC_VFPR64_M4_E64, 782 },
    { PseudoVFNMACC_VFPR64_M8_E64, 783 },
    { PseudoVFNMACC_VV_M1_E16, 784 },
    { PseudoVFNMACC_VV_M1_E32, 785 },
    { PseudoVFNMACC_VV_M1_E64, 786 },
    { PseudoVFNMACC_VV_M2_E16, 787 },
    { PseudoVFNMACC_VV_M2_E32, 788 },
    { PseudoVFNMACC_VV_M2_E64, 789 },
    { PseudoVFNMACC_VV_M4_E16, 790 },
    { PseudoVFNMACC_VV_M4_E32, 791 },
    { PseudoVFNMACC_VV_M4_E64, 792 },
    { PseudoVFNMACC_VV_M8_E16, 793 },
    { PseudoVFNMACC_VV_M8_E32, 794 },
    { PseudoVFNMACC_VV_M8_E64, 795 },
    { PseudoVFNMACC_VV_MF2_E16, 796 },
    { PseudoVFNMACC_VV_MF2_E32, 797 },
    { PseudoVFNMACC_VV_MF4_E16, 798 },
    { PseudoVFNMADD_VFPR16_M1_E16, 799 },
    { PseudoVFNMADD_VFPR16_M2_E16, 800 },
    { PseudoVFNMADD_VFPR16_M4_E16, 801 },
    { PseudoVFNMADD_VFPR16_M8_E16, 802 },
    { PseudoVFNMADD_VFPR16_MF2_E16, 803 },
    { PseudoVFNMADD_VFPR16_MF4_E16, 804 },
    { PseudoVFNMADD_VFPR32_M1_E32, 805 },
    { PseudoVFNMADD_VFPR32_M2_E32, 806 },
    { PseudoVFNMADD_VFPR32_M4_E32, 807 },
    { PseudoVFNMADD_VFPR32_M8_E32, 808 },
    { PseudoVFNMADD_VFPR32_MF2_E32, 809 },
    { PseudoVFNMADD_VFPR64_M1_E64, 810 },
    { PseudoVFNMADD_VFPR64_M2_E64, 811 },
    { PseudoVFNMADD_VFPR64_M4_E64, 812 },
    { PseudoVFNMADD_VFPR64_M8_E64, 813 },
    { PseudoVFNMADD_VV_M1_E16, 814 },
    { PseudoVFNMADD_VV_M1_E32, 815 },
    { PseudoVFNMADD_VV_M1_E64, 816 },
    { PseudoVFNMADD_VV_M2_E16, 817 },
    { PseudoVFNMADD_VV_M2_E32, 818 },
    { PseudoVFNMADD_VV_M2_E64, 819 },
    { PseudoVFNMADD_VV_M4_E16, 820 },
    { PseudoVFNMADD_VV_M4_E32, 821 },
    { PseudoVFNMADD_VV_M4_E64, 822 },
    { PseudoVFNMADD_VV_M8_E16, 823 },
    { PseudoVFNMADD_VV_M8_E32, 824 },
    { PseudoVFNMADD_VV_M8_E64, 825 },
    { PseudoVFNMADD_VV_MF2_E16, 826 },
    { PseudoVFNMADD_VV_MF2_E32, 827 },
    { PseudoVFNMADD_VV_MF4_E16, 828 },
    { PseudoVFNMSAC_VFPR16_M1_E16, 829 },
    { PseudoVFNMSAC_VFPR16_M2_E16, 830 },
    { PseudoVFNMSAC_VFPR16_M4_E16, 831 },
    { PseudoVFNMSAC_VFPR16_M8_E16, 832 },
    { PseudoVFNMSAC_VFPR16_MF2_E16, 833 },
    { PseudoVFNMSAC_VFPR16_MF4_E16, 834 },
    { PseudoVFNMSAC_VFPR32_M1_E32, 835 },
    { PseudoVFNMSAC_VFPR32_M2_E32, 836 },
    { PseudoVFNMSAC_VFPR32_M4_E32, 837 },
    { PseudoVFNMSAC_VFPR32_M8_E32, 838 },
    { PseudoVFNMSAC_VFPR32_MF2_E32, 839 },
    { PseudoVFNMSAC_VFPR64_M1_E64, 840 },
    { PseudoVFNMSAC_VFPR64_M2_E64, 841 },
    { PseudoVFNMSAC_VFPR64_M4_E64, 842 },
    { PseudoVFNMSAC_VFPR64_M8_E64, 843 },
    { PseudoVFNMSAC_VV_M1_E16, 844 },
    { PseudoVFNMSAC_VV_M1_E32, 845 },
    { PseudoVFNMSAC_VV_M1_E64, 846 },
    { PseudoVFNMSAC_VV_M2_E16, 847 },
    { PseudoVFNMSAC_VV_M2_E32, 848 },
    { PseudoVFNMSAC_VV_M2_E64, 849 },
    { PseudoVFNMSAC_VV_M4_E16, 850 },
    { PseudoVFNMSAC_VV_M4_E32, 851 },
    { PseudoVFNMSAC_VV_M4_E64, 852 },
    { PseudoVFNMSAC_VV_M8_E16, 853 },
    { PseudoVFNMSAC_VV_M8_E32, 854 },
    { PseudoVFNMSAC_VV_M8_E64, 855 },
    { PseudoVFNMSAC_VV_MF2_E16, 856 },
    { PseudoVFNMSAC_VV_MF2_E32, 857 },
    { PseudoVFNMSAC_VV_MF4_E16, 858 },
    { PseudoVFNMSUB_VFPR16_M1_E16, 859 },
    { PseudoVFNMSUB_VFPR16_M2_E16, 860 },
    { PseudoVFNMSUB_VFPR16_M4_E16, 861 },
    { PseudoVFNMSUB_VFPR16_M8_E16, 862 },
    { PseudoVFNMSUB_VFPR16_MF2_E16, 863 },
    { PseudoVFNMSUB_VFPR16_MF4_E16, 864 },
    { PseudoVFNMSUB_VFPR32_M1_E32, 865 },
    { PseudoVFNMSUB_VFPR32_M2_E32, 866 },
    { PseudoVFNMSUB_VFPR32_M4_E32, 867 },
    { PseudoVFNMSUB_VFPR32_M8_E32, 868 },
    { PseudoVFNMSUB_VFPR32_MF2_E32, 869 },
    { PseudoVFNMSUB_VFPR64_M1_E64, 870 },
    { PseudoVFNMSUB_VFPR64_M2_E64, 871 },
    { PseudoVFNMSUB_VFPR64_M4_E64, 872 },
    { PseudoVFNMSUB_VFPR64_M8_E64, 873 },
    { PseudoVFNMSUB_VV_M1_E16, 874 },
    { PseudoVFNMSUB_VV_M1_E32, 875 },
    { PseudoVFNMSUB_VV_M1_E64, 876 },
    { PseudoVFNMSUB_VV_M2_E16, 877 },
    { PseudoVFNMSUB_VV_M2_E32, 878 },
    { PseudoVFNMSUB_VV_M2_E64, 879 },
    { PseudoVFNMSUB_VV_M4_E16, 880 },
    { PseudoVFNMSUB_VV_M4_E32, 881 },
    { PseudoVFNMSUB_VV_M4_E64, 882 },
    { PseudoVFNMSUB_VV_M8_E16, 883 },
    { PseudoVFNMSUB_VV_M8_E32, 884 },
    { PseudoVFNMSUB_VV_M8_E64, 885 },
    { PseudoVFNMSUB_VV_MF2_E16, 886 },
    { PseudoVFNMSUB_VV_MF2_E32, 887 },
    { PseudoVFNMSUB_VV_MF4_E16, 888 },
    { PseudoVFNRCLIP_XU_F_QF_M1, 889 },
    { PseudoVFNRCLIP_XU_F_QF_M2, 890 },
    { PseudoVFNRCLIP_XU_F_QF_MF2, 891 },
    { PseudoVFNRCLIP_XU_F_QF_MF4, 892 },
    { PseudoVFNRCLIP_XU_F_QF_MF8, 893 },
    { PseudoVFNRCLIP_X_F_QF_M1, 894 },
    { PseudoVFNRCLIP_X_F_QF_M2, 895 },
    { PseudoVFNRCLIP_X_F_QF_MF2, 896 },
    { PseudoVFNRCLIP_X_F_QF_MF4, 897 },
    { PseudoVFNRCLIP_X_F_QF_MF8, 898 },
    { PseudoVFRDIV_VFPR16_M1_E16, 899 },
    { PseudoVFRDIV_VFPR16_M2_E16, 900 },
    { PseudoVFRDIV_VFPR16_M4_E16, 901 },
    { PseudoVFRDIV_VFPR16_M8_E16, 902 },
    { PseudoVFRDIV_VFPR16_MF2_E16, 903 },
    { PseudoVFRDIV_VFPR16_MF4_E16, 904 },
    { PseudoVFRDIV_VFPR32_M1_E32, 905 },
    { PseudoVFRDIV_VFPR32_M2_E32, 906 },
    { PseudoVFRDIV_VFPR32_M4_E32, 907 },
    { PseudoVFRDIV_VFPR32_M8_E32, 908 },
    { PseudoVFRDIV_VFPR32_MF2_E32, 909 },
    { PseudoVFRDIV_VFPR64_M1_E64, 910 },
    { PseudoVFRDIV_VFPR64_M2_E64, 911 },
    { PseudoVFRDIV_VFPR64_M4_E64, 912 },
    { PseudoVFRDIV_VFPR64_M8_E64, 913 },
    { PseudoVFREC7_V_M1_E16, 914 },
    { PseudoVFREC7_V_M1_E32, 915 },
    { PseudoVFREC7_V_M1_E64, 916 },
    { PseudoVFREC7_V_M2_E16, 917 },
    { PseudoVFREC7_V_M2_E32, 918 },
    { PseudoVFREC7_V_M2_E64, 919 },
    { PseudoVFREC7_V_M4_E16, 920 },
    { PseudoVFREC7_V_M4_E32, 921 },
    { PseudoVFREC7_V_M4_E64, 922 },
    { PseudoVFREC7_V_M8_E16, 923 },
    { PseudoVFREC7_V_M8_E32, 924 },
    { PseudoVFREC7_V_M8_E64, 925 },
    { PseudoVFREC7_V_MF2_E16, 926 },
    { PseudoVFREC7_V_MF2_E32, 927 },
    { PseudoVFREC7_V_MF4_E16, 928 },
    { PseudoVFREDMAX_VS_M1_E16, 929 },
    { PseudoVFREDMAX_VS_M1_E32, 930 },
    { PseudoVFREDMAX_VS_M1_E64, 931 },
    { PseudoVFREDMAX_VS_M2_E16, 932 },
    { PseudoVFREDMAX_VS_M2_E32, 933 },
    { PseudoVFREDMAX_VS_M2_E64, 934 },
    { PseudoVFREDMAX_VS_M4_E16, 935 },
    { PseudoVFREDMAX_VS_M4_E32, 936 },
    { PseudoVFREDMAX_VS_M4_E64, 937 },
    { PseudoVFREDMAX_VS_M8_E16, 938 },
    { PseudoVFREDMAX_VS_M8_E32, 939 },
    { PseudoVFREDMAX_VS_M8_E64, 940 },
    { PseudoVFREDMAX_VS_MF2_E16, 941 },
    { PseudoVFREDMAX_VS_MF2_E32, 942 },
    { PseudoVFREDMAX_VS_MF4_E16, 943 },
    { PseudoVFREDMIN_VS_M1_E16, 944 },
    { PseudoVFREDMIN_VS_M1_E32, 945 },
    { PseudoVFREDMIN_VS_M1_E64, 946 },
    { PseudoVFREDMIN_VS_M2_E16, 947 },
    { PseudoVFREDMIN_VS_M2_E32, 948 },
    { PseudoVFREDMIN_VS_M2_E64, 949 },
    { PseudoVFREDMIN_VS_M4_E16, 950 },
    { PseudoVFREDMIN_VS_M4_E32, 951 },
    { PseudoVFREDMIN_VS_M4_E64, 952 },
    { PseudoVFREDMIN_VS_M8_E16, 953 },
    { PseudoVFREDMIN_VS_M8_E32, 954 },
    { PseudoVFREDMIN_VS_M8_E64, 955 },
    { PseudoVFREDMIN_VS_MF2_E16, 956 },
    { PseudoVFREDMIN_VS_MF2_E32, 957 },
    { PseudoVFREDMIN_VS_MF4_E16, 958 },
    { PseudoVFREDOSUM_VS_M1_E16, 959 },
    { PseudoVFREDOSUM_VS_M1_E32, 960 },
    { PseudoVFREDOSUM_VS_M1_E64, 961 },
    { PseudoVFREDOSUM_VS_M2_E16, 962 },
    { PseudoVFREDOSUM_VS_M2_E32, 963 },
    { PseudoVFREDOSUM_VS_M2_E64, 964 },
    { PseudoVFREDOSUM_VS_M4_E16, 965 },
    { PseudoVFREDOSUM_VS_M4_E32, 966 },
    { PseudoVFREDOSUM_VS_M4_E64, 967 },
    { PseudoVFREDOSUM_VS_M8_E16, 968 },
    { PseudoVFREDOSUM_VS_M8_E32, 969 },
    { PseudoVFREDOSUM_VS_M8_E64, 970 },
    { PseudoVFREDOSUM_VS_MF2_E16, 971 },
    { PseudoVFREDOSUM_VS_MF2_E32, 972 },
    { PseudoVFREDOSUM_VS_MF4_E16, 973 },
    { PseudoVFREDUSUM_VS_M1_E16, 974 },
    { PseudoVFREDUSUM_VS_M1_E32, 975 },
    { PseudoVFREDUSUM_VS_M1_E64, 976 },
    { PseudoVFREDUSUM_VS_M2_E16, 977 },
    { PseudoVFREDUSUM_VS_M2_E32, 978 },
    { PseudoVFREDUSUM_VS_M2_E64, 979 },
    { PseudoVFREDUSUM_VS_M4_E16, 980 },
    { PseudoVFREDUSUM_VS_M4_E32, 981 },
    { PseudoVFREDUSUM_VS_M4_E64, 982 },
    { PseudoVFREDUSUM_VS_M8_E16, 983 },
    { PseudoVFREDUSUM_VS_M8_E32, 984 },
    { PseudoVFREDUSUM_VS_M8_E64, 985 },
    { PseudoVFREDUSUM_VS_MF2_E16, 986 },
    { PseudoVFREDUSUM_VS_MF2_E32, 987 },
    { PseudoVFREDUSUM_VS_MF4_E16, 988 },
    { PseudoVFRSQRT7_V_M1_E16, 989 },
    { PseudoVFRSQRT7_V_M1_E32, 990 },
    { PseudoVFRSQRT7_V_M1_E64, 991 },
    { PseudoVFRSQRT7_V_M2_E16, 992 },
    { PseudoVFRSQRT7_V_M2_E32, 993 },
    { PseudoVFRSQRT7_V_M2_E64, 994 },
    { PseudoVFRSQRT7_V_M4_E16, 995 },
    { PseudoVFRSQRT7_V_M4_E32, 996 },
    { PseudoVFRSQRT7_V_M4_E64, 997 },
    { PseudoVFRSQRT7_V_M8_E16, 998 },
    { PseudoVFRSQRT7_V_M8_E32, 999 },
    { PseudoVFRSQRT7_V_M8_E64, 1000 },
    { PseudoVFRSQRT7_V_MF2_E16, 1001 },
    { PseudoVFRSQRT7_V_MF2_E32, 1002 },
    { PseudoVFRSQRT7_V_MF4_E16, 1003 },
    { PseudoVFRSUB_VFPR16_M1_E16, 1004 },
    { PseudoVFRSUB_VFPR16_M2_E16, 1005 },
    { PseudoVFRSUB_VFPR16_M4_E16, 1006 },
    { PseudoVFRSUB_VFPR16_M8_E16, 1007 },
    { PseudoVFRSUB_VFPR16_MF2_E16, 1008 },
    { PseudoVFRSUB_VFPR16_MF4_E16, 1009 },
    { PseudoVFRSUB_VFPR32_M1_E32, 1010 },
    { PseudoVFRSUB_VFPR32_M2_E32, 1011 },
    { PseudoVFRSUB_VFPR32_M4_E32, 1012 },
    { PseudoVFRSUB_VFPR32_M8_E32, 1013 },
    { PseudoVFRSUB_VFPR32_MF2_E32, 1014 },
    { PseudoVFRSUB_VFPR64_M1_E64, 1015 },
    { PseudoVFRSUB_VFPR64_M2_E64, 1016 },
    { PseudoVFRSUB_VFPR64_M4_E64, 1017 },
    { PseudoVFRSUB_VFPR64_M8_E64, 1018 },
    { PseudoVFSGNJN_VFPR16_M1_E16, 1019 },
    { PseudoVFSGNJN_VFPR16_M2_E16, 1020 },
    { PseudoVFSGNJN_VFPR16_M4_E16, 1021 },
    { PseudoVFSGNJN_VFPR16_M8_E16, 1022 },
    { PseudoVFSGNJN_VFPR16_MF2_E16, 1023 },
    { PseudoVFSGNJN_VFPR16_MF4_E16, 1024 },
    { PseudoVFSGNJN_VFPR32_M1_E32, 1025 },
    { PseudoVFSGNJN_VFPR32_M2_E32, 1026 },
    { PseudoVFSGNJN_VFPR32_M4_E32, 1027 },
    { PseudoVFSGNJN_VFPR32_M8_E32, 1028 },
    { PseudoVFSGNJN_VFPR32_MF2_E32, 1029 },
    { PseudoVFSGNJN_VFPR64_M1_E64, 1030 },
    { PseudoVFSGNJN_VFPR64_M2_E64, 1031 },
    { PseudoVFSGNJN_VFPR64_M4_E64, 1032 },
    { PseudoVFSGNJN_VFPR64_M8_E64, 1033 },
    { PseudoVFSGNJN_VV_M1_E16, 1034 },
    { PseudoVFSGNJN_VV_M1_E32, 1035 },
    { PseudoVFSGNJN_VV_M1_E64, 1036 },
    { PseudoVFSGNJN_VV_M2_E16, 1037 },
    { PseudoVFSGNJN_VV_M2_E32, 1038 },
    { PseudoVFSGNJN_VV_M2_E64, 1039 },
    { PseudoVFSGNJN_VV_M4_E16, 1040 },
    { PseudoVFSGNJN_VV_M4_E32, 1041 },
    { PseudoVFSGNJN_VV_M4_E64, 1042 },
    { PseudoVFSGNJN_VV_M8_E16, 1043 },
    { PseudoVFSGNJN_VV_M8_E32, 1044 },
    { PseudoVFSGNJN_VV_M8_E64, 1045 },
    { PseudoVFSGNJN_VV_MF2_E16, 1046 },
    { PseudoVFSGNJN_VV_MF2_E32, 1047 },
    { PseudoVFSGNJN_VV_MF4_E16, 1048 },
    { PseudoVFSGNJX_VFPR16_M1_E16, 1049 },
    { PseudoVFSGNJX_VFPR16_M2_E16, 1050 },
    { PseudoVFSGNJX_VFPR16_M4_E16, 1051 },
    { PseudoVFSGNJX_VFPR16_M8_E16, 1052 },
    { PseudoVFSGNJX_VFPR16_MF2_E16, 1053 },
    { PseudoVFSGNJX_VFPR16_MF4_E16, 1054 },
    { PseudoVFSGNJX_VFPR32_M1_E32, 1055 },
    { PseudoVFSGNJX_VFPR32_M2_E32, 1056 },
    { PseudoVFSGNJX_VFPR32_M4_E32, 1057 },
    { PseudoVFSGNJX_VFPR32_M8_E32, 1058 },
    { PseudoVFSGNJX_VFPR32_MF2_E32, 1059 },
    { PseudoVFSGNJX_VFPR64_M1_E64, 1060 },
    { PseudoVFSGNJX_VFPR64_M2_E64, 1061 },
    { PseudoVFSGNJX_VFPR64_M4_E64, 1062 },
    { PseudoVFSGNJX_VFPR64_M8_E64, 1063 },
    { PseudoVFSGNJX_VV_M1_E16, 1064 },
    { PseudoVFSGNJX_VV_M1_E32, 1065 },
    { PseudoVFSGNJX_VV_M1_E64, 1066 },
    { PseudoVFSGNJX_VV_M2_E16, 1067 },
    { PseudoVFSGNJX_VV_M2_E32, 1068 },
    { PseudoVFSGNJX_VV_M2_E64, 1069 },
    { PseudoVFSGNJX_VV_M4_E16, 1070 },
    { PseudoVFSGNJX_VV_M4_E32, 1071 },
    { PseudoVFSGNJX_VV_M4_E64, 1072 },
    { PseudoVFSGNJX_VV_M8_E16, 1073 },
    { PseudoVFSGNJX_VV_M8_E32, 1074 },
    { PseudoVFSGNJX_VV_M8_E64, 1075 },
    { PseudoVFSGNJX_VV_MF2_E16, 1076 },
    { PseudoVFSGNJX_VV_MF2_E32, 1077 },
    { PseudoVFSGNJX_VV_MF4_E16, 1078 },
    { PseudoVFSGNJ_VFPR16_M1_E16, 1079 },
    { PseudoVFSGNJ_VFPR16_M2_E16, 1080 },
    { PseudoVFSGNJ_VFPR16_M4_E16, 1081 },
    { PseudoVFSGNJ_VFPR16_M8_E16, 1082 },
    { PseudoVFSGNJ_VFPR16_MF2_E16, 1083 },
    { PseudoVFSGNJ_VFPR16_MF4_E16, 1084 },
    { PseudoVFSGNJ_VFPR32_M1_E32, 1085 },
    { PseudoVFSGNJ_VFPR32_M2_E32, 1086 },
    { PseudoVFSGNJ_VFPR32_M4_E32, 1087 },
    { PseudoVFSGNJ_VFPR32_M8_E32, 1088 },
    { PseudoVFSGNJ_VFPR32_MF2_E32, 1089 },
    { PseudoVFSGNJ_VFPR64_M1_E64, 1090 },
    { PseudoVFSGNJ_VFPR64_M2_E64, 1091 },
    { PseudoVFSGNJ_VFPR64_M4_E64, 1092 },
    { PseudoVFSGNJ_VFPR64_M8_E64, 1093 },
    { PseudoVFSGNJ_VV_M1_E16, 1094 },
    { PseudoVFSGNJ_VV_M1_E32, 1095 },
    { PseudoVFSGNJ_VV_M1_E64, 1096 },
    { PseudoVFSGNJ_VV_M2_E16, 1097 },
    { PseudoVFSGNJ_VV_M2_E32, 1098 },
    { PseudoVFSGNJ_VV_M2_E64, 1099 },
    { PseudoVFSGNJ_VV_M4_E16, 1100 },
    { PseudoVFSGNJ_VV_M4_E32, 1101 },
    { PseudoVFSGNJ_VV_M4_E64, 1102 },
    { PseudoVFSGNJ_VV_M8_E16, 1103 },
    { PseudoVFSGNJ_VV_M8_E32, 1104 },
    { PseudoVFSGNJ_VV_M8_E64, 1105 },
    { PseudoVFSGNJ_VV_MF2_E16, 1106 },
    { PseudoVFSGNJ_VV_MF2_E32, 1107 },
    { PseudoVFSGNJ_VV_MF4_E16, 1108 },
    { PseudoVFSLIDE1DOWN_VFPR16_M1, 1109 },
    { PseudoVFSLIDE1DOWN_VFPR16_M2, 1110 },
    { PseudoVFSLIDE1DOWN_VFPR16_M4, 1111 },
    { PseudoVFSLIDE1DOWN_VFPR16_M8, 1112 },
    { PseudoVFSLIDE1DOWN_VFPR16_MF2, 1113 },
    { PseudoVFSLIDE1DOWN_VFPR16_MF4, 1114 },
    { PseudoVFSLIDE1DOWN_VFPR32_M1, 1115 },
    { PseudoVFSLIDE1DOWN_VFPR32_M2, 1116 },
    { PseudoVFSLIDE1DOWN_VFPR32_M4, 1117 },
    { PseudoVFSLIDE1DOWN_VFPR32_M8, 1118 },
    { PseudoVFSLIDE1DOWN_VFPR32_MF2, 1119 },
    { PseudoVFSLIDE1DOWN_VFPR64_M1, 1120 },
    { PseudoVFSLIDE1DOWN_VFPR64_M2, 1121 },
    { PseudoVFSLIDE1DOWN_VFPR64_M4, 1122 },
    { PseudoVFSLIDE1DOWN_VFPR64_M8, 1123 },
    { PseudoVFSLIDE1UP_VFPR16_M1, 1124 },
    { PseudoVFSLIDE1UP_VFPR16_M2, 1125 },
    { PseudoVFSLIDE1UP_VFPR16_M4, 1126 },
    { PseudoVFSLIDE1UP_VFPR16_M8, 1127 },
    { PseudoVFSLIDE1UP_VFPR16_MF2, 1128 },
    { PseudoVFSLIDE1UP_VFPR16_MF4, 1129 },
    { PseudoVFSLIDE1UP_VFPR32_M1, 1130 },
    { PseudoVFSLIDE1UP_VFPR32_M2, 1131 },
    { PseudoVFSLIDE1UP_VFPR32_M4, 1132 },
    { PseudoVFSLIDE1UP_VFPR32_M8, 1133 },
    { PseudoVFSLIDE1UP_VFPR32_MF2, 1134 },
    { PseudoVFSLIDE1UP_VFPR64_M1, 1135 },
    { PseudoVFSLIDE1UP_VFPR64_M2, 1136 },
    { PseudoVFSLIDE1UP_VFPR64_M4, 1137 },
    { PseudoVFSLIDE1UP_VFPR64_M8, 1138 },
    { PseudoVFSQRT_V_M1_E16, 1139 },
    { PseudoVFSQRT_V_M1_E32, 1140 },
    { PseudoVFSQRT_V_M1_E64, 1141 },
    { PseudoVFSQRT_V_M2_E16, 1142 },
    { PseudoVFSQRT_V_M2_E32, 1143 },
    { PseudoVFSQRT_V_M2_E64, 1144 },
    { PseudoVFSQRT_V_M4_E16, 1145 },
    { PseudoVFSQRT_V_M4_E32, 1146 },
    { PseudoVFSQRT_V_M4_E64, 1147 },
    { PseudoVFSQRT_V_M8_E16, 1148 },
    { PseudoVFSQRT_V_M8_E32, 1149 },
    { PseudoVFSQRT_V_M8_E64, 1150 },
    { PseudoVFSQRT_V_MF2_E16, 1151 },
    { PseudoVFSQRT_V_MF2_E32, 1152 },
    { PseudoVFSQRT_V_MF4_E16, 1153 },
    { PseudoVFSUB_VFPR16_M1_E16, 1154 },
    { PseudoVFSUB_VFPR16_M2_E16, 1155 },
    { PseudoVFSUB_VFPR16_M4_E16, 1156 },
    { PseudoVFSUB_VFPR16_M8_E16, 1157 },
    { PseudoVFSUB_VFPR16_MF2_E16, 1158 },
    { PseudoVFSUB_VFPR16_MF4_E16, 1159 },
    { PseudoVFSUB_VFPR32_M1_E32, 1160 },
    { PseudoVFSUB_VFPR32_M2_E32, 1161 },
    { PseudoVFSUB_VFPR32_M4_E32, 1162 },
    { PseudoVFSUB_VFPR32_M8_E32, 1163 },
    { PseudoVFSUB_VFPR32_MF2_E32, 1164 },
    { PseudoVFSUB_VFPR64_M1_E64, 1165 },
    { PseudoVFSUB_VFPR64_M2_E64, 1166 },
    { PseudoVFSUB_VFPR64_M4_E64, 1167 },
    { PseudoVFSUB_VFPR64_M8_E64, 1168 },
    { PseudoVFSUB_VV_M1_E16, 1169 },
    { PseudoVFSUB_VV_M1_E32, 1170 },
    { PseudoVFSUB_VV_M1_E64, 1171 },
    { PseudoVFSUB_VV_M2_E16, 1172 },
    { PseudoVFSUB_VV_M2_E32, 1173 },
    { PseudoVFSUB_VV_M2_E64, 1174 },
    { PseudoVFSUB_VV_M4_E16, 1175 },
    { PseudoVFSUB_VV_M4_E32, 1176 },
    { PseudoVFSUB_VV_M4_E64, 1177 },
    { PseudoVFSUB_VV_M8_E16, 1178 },
    { PseudoVFSUB_VV_M8_E32, 1179 },
    { PseudoVFSUB_VV_M8_E64, 1180 },
    { PseudoVFSUB_VV_MF2_E16, 1181 },
    { PseudoVFSUB_VV_MF2_E32, 1182 },
    { PseudoVFSUB_VV_MF4_E16, 1183 },
    { PseudoVFWADD_VFPR16_M1_E16, 1184 },
    { PseudoVFWADD_VFPR16_M2_E16, 1185 },
    { PseudoVFWADD_VFPR16_M4_E16, 1186 },
    { PseudoVFWADD_VFPR16_MF2_E16, 1187 },
    { PseudoVFWADD_VFPR16_MF4_E16, 1188 },
    { PseudoVFWADD_VFPR32_M1_E32, 1189 },
    { PseudoVFWADD_VFPR32_M2_E32, 1190 },
    { PseudoVFWADD_VFPR32_M4_E32, 1191 },
    { PseudoVFWADD_VFPR32_MF2_E32, 1192 },
    { PseudoVFWADD_VV_M1_E16, 1193 },
    { PseudoVFWADD_VV_M1_E32, 1194 },
    { PseudoVFWADD_VV_M2_E16, 1195 },
    { PseudoVFWADD_VV_M2_E32, 1196 },
    { PseudoVFWADD_VV_M4_E16, 1197 },
    { PseudoVFWADD_VV_M4_E32, 1198 },
    { PseudoVFWADD_VV_MF2_E16, 1199 },
    { PseudoVFWADD_VV_MF2_E32, 1200 },
    { PseudoVFWADD_VV_MF4_E16, 1201 },
    { PseudoVFWADD_WFPR16_M1_E16, 1202 },
    { PseudoVFWADD_WFPR16_M2_E16, 1203 },
    { PseudoVFWADD_WFPR16_M4_E16, 1204 },
    { PseudoVFWADD_WFPR16_MF2_E16, 1205 },
    { PseudoVFWADD_WFPR16_MF4_E16, 1206 },
    { PseudoVFWADD_WFPR32_M1_E32, 1207 },
    { PseudoVFWADD_WFPR32_M2_E32, 1208 },
    { PseudoVFWADD_WFPR32_M4_E32, 1209 },
    { PseudoVFWADD_WFPR32_MF2_E32, 1210 },
    { PseudoVFWADD_WV_M1_E16, 1211 },
    { PseudoVFWADD_WV_M1_E16_TIED, 1212 },
    { PseudoVFWADD_WV_M1_E32, 1213 },
    { PseudoVFWADD_WV_M1_E32_TIED, 1214 },
    { PseudoVFWADD_WV_M2_E16, 1215 },
    { PseudoVFWADD_WV_M2_E16_TIED, 1216 },
    { PseudoVFWADD_WV_M2_E32, 1217 },
    { PseudoVFWADD_WV_M2_E32_TIED, 1218 },
    { PseudoVFWADD_WV_M4_E16, 1219 },
    { PseudoVFWADD_WV_M4_E16_TIED, 1220 },
    { PseudoVFWADD_WV_M4_E32, 1221 },
    { PseudoVFWADD_WV_M4_E32_TIED, 1222 },
    { PseudoVFWADD_WV_MF2_E16, 1223 },
    { PseudoVFWADD_WV_MF2_E16_TIED, 1224 },
    { PseudoVFWADD_WV_MF2_E32, 1225 },
    { PseudoVFWADD_WV_MF2_E32_TIED, 1226 },
    { PseudoVFWADD_WV_MF4_E16, 1227 },
    { PseudoVFWADD_WV_MF4_E16_TIED, 1228 },
    { PseudoVFWCVTBF16_F_F_V_M1_E16, 1229 },
    { PseudoVFWCVTBF16_F_F_V_M1_E32, 1230 },
    { PseudoVFWCVTBF16_F_F_V_M2_E16, 1231 },
    { PseudoVFWCVTBF16_F_F_V_M2_E32, 1232 },
    { PseudoVFWCVTBF16_F_F_V_M4_E16, 1233 },
    { PseudoVFWCVTBF16_F_F_V_M4_E32, 1234 },
    { PseudoVFWCVTBF16_F_F_V_MF2_E16, 1235 },
    { PseudoVFWCVTBF16_F_F_V_MF2_E32, 1236 },
    { PseudoVFWCVTBF16_F_F_V_MF4_E16, 1237 },
    { PseudoVFWCVT_F_F_V_M1_E16, 1238 },
    { PseudoVFWCVT_F_F_V_M1_E32, 1239 },
    { PseudoVFWCVT_F_F_V_M2_E16, 1240 },
    { PseudoVFWCVT_F_F_V_M2_E32, 1241 },
    { PseudoVFWCVT_F_F_V_M4_E16, 1242 },
    { PseudoVFWCVT_F_F_V_M4_E32, 1243 },
    { PseudoVFWCVT_F_F_V_MF2_E16, 1244 },
    { PseudoVFWCVT_F_F_V_MF2_E32, 1245 },
    { PseudoVFWCVT_F_F_V_MF4_E16, 1246 },
    { PseudoVFWCVT_F_XU_V_M1_E16, 1247 },
    { PseudoVFWCVT_F_XU_V_M1_E32, 1248 },
    { PseudoVFWCVT_F_XU_V_M1_E8, 1249 },
    { PseudoVFWCVT_F_XU_V_M2_E16, 1250 },
    { PseudoVFWCVT_F_XU_V_M2_E32, 1251 },
    { PseudoVFWCVT_F_XU_V_M2_E8, 1252 },
    { PseudoVFWCVT_F_XU_V_M4_E16, 1253 },
    { PseudoVFWCVT_F_XU_V_M4_E32, 1254 },
    { PseudoVFWCVT_F_XU_V_M4_E8, 1255 },
    { PseudoVFWCVT_F_XU_V_MF2_E16, 1256 },
    { PseudoVFWCVT_F_XU_V_MF2_E32, 1257 },
    { PseudoVFWCVT_F_XU_V_MF2_E8, 1258 },
    { PseudoVFWCVT_F_XU_V_MF4_E16, 1259 },
    { PseudoVFWCVT_F_XU_V_MF4_E8, 1260 },
    { PseudoVFWCVT_F_XU_V_MF8_E8, 1261 },
    { PseudoVFWCVT_F_X_V_M1_E16, 1262 },
    { PseudoVFWCVT_F_X_V_M1_E32, 1263 },
    { PseudoVFWCVT_F_X_V_M1_E8, 1264 },
    { PseudoVFWCVT_F_X_V_M2_E16, 1265 },
    { PseudoVFWCVT_F_X_V_M2_E32, 1266 },
    { PseudoVFWCVT_F_X_V_M2_E8, 1267 },
    { PseudoVFWCVT_F_X_V_M4_E16, 1268 },
    { PseudoVFWCVT_F_X_V_M4_E32, 1269 },
    { PseudoVFWCVT_F_X_V_M4_E8, 1270 },
    { PseudoVFWCVT_F_X_V_MF2_E16, 1271 },
    { PseudoVFWCVT_F_X_V_MF2_E32, 1272 },
    { PseudoVFWCVT_F_X_V_MF2_E8, 1273 },
    { PseudoVFWCVT_F_X_V_MF4_E16, 1274 },
    { PseudoVFWCVT_F_X_V_MF4_E8, 1275 },
    { PseudoVFWCVT_F_X_V_MF8_E8, 1276 },
    { PseudoVFWCVT_RM_XU_F_V_M1, 1277 },
    { PseudoVFWCVT_RM_XU_F_V_M2, 1278 },
    { PseudoVFWCVT_RM_XU_F_V_M4, 1279 },
    { PseudoVFWCVT_RM_XU_F_V_MF2, 1280 },
    { PseudoVFWCVT_RM_XU_F_V_MF4, 1281 },
    { PseudoVFWCVT_RM_X_F_V_M1, 1282 },
    { PseudoVFWCVT_RM_X_F_V_M2, 1283 },
    { PseudoVFWCVT_RM_X_F_V_M4, 1284 },
    { PseudoVFWCVT_RM_X_F_V_MF2, 1285 },
    { PseudoVFWCVT_RM_X_F_V_MF4, 1286 },
    { PseudoVFWCVT_RTZ_XU_F_V_M1, 1287 },
    { PseudoVFWCVT_RTZ_XU_F_V_M2, 1288 },
    { PseudoVFWCVT_RTZ_XU_F_V_M4, 1289 },
    { PseudoVFWCVT_RTZ_XU_F_V_MF2, 1290 },
    { PseudoVFWCVT_RTZ_XU_F_V_MF4, 1291 },
    { PseudoVFWCVT_RTZ_X_F_V_M1, 1292 },
    { PseudoVFWCVT_RTZ_X_F_V_M2, 1293 },
    { PseudoVFWCVT_RTZ_X_F_V_M4, 1294 },
    { PseudoVFWCVT_RTZ_X_F_V_MF2, 1295 },
    { PseudoVFWCVT_RTZ_X_F_V_MF4, 1296 },
    { PseudoVFWCVT_XU_F_V_M1, 1297 },
    { PseudoVFWCVT_XU_F_V_M2, 1298 },
    { PseudoVFWCVT_XU_F_V_M4, 1299 },
    { PseudoVFWCVT_XU_F_V_MF2, 1300 },
    { PseudoVFWCVT_XU_F_V_MF4, 1301 },
    { PseudoVFWCVT_X_F_V_M1, 1302 },
    { PseudoVFWCVT_X_F_V_M2, 1303 },
    { PseudoVFWCVT_X_F_V_M4, 1304 },
    { PseudoVFWCVT_X_F_V_MF2, 1305 },
    { PseudoVFWCVT_X_F_V_MF4, 1306 },
    { PseudoVFWMACCBF16_VFPR16_M1_E16, 1307 },
    { PseudoVFWMACCBF16_VFPR16_M2_E16, 1308 },
    { PseudoVFWMACCBF16_VFPR16_M4_E16, 1309 },
    { PseudoVFWMACCBF16_VFPR16_MF2_E16, 1310 },
    { PseudoVFWMACCBF16_VFPR16_MF4_E16, 1311 },
    { PseudoVFWMACCBF16_VV_M1_E16, 1312 },
    { PseudoVFWMACCBF16_VV_M1_E32, 1313 },
    { PseudoVFWMACCBF16_VV_M2_E16, 1314 },
    { PseudoVFWMACCBF16_VV_M2_E32, 1315 },
    { PseudoVFWMACCBF16_VV_M4_E16, 1316 },
    { PseudoVFWMACCBF16_VV_M4_E32, 1317 },
    { PseudoVFWMACCBF16_VV_MF2_E16, 1318 },
    { PseudoVFWMACCBF16_VV_MF2_E32, 1319 },
    { PseudoVFWMACCBF16_VV_MF4_E16, 1320 },
    { PseudoVFWMACC_VFPR16_M1_E16, 1321 },
    { PseudoVFWMACC_VFPR16_M2_E16, 1322 },
    { PseudoVFWMACC_VFPR16_M4_E16, 1323 },
    { PseudoVFWMACC_VFPR16_MF2_E16, 1324 },
    { PseudoVFWMACC_VFPR16_MF4_E16, 1325 },
    { PseudoVFWMACC_VFPR32_M1_E32, 1326 },
    { PseudoVFWMACC_VFPR32_M2_E32, 1327 },
    { PseudoVFWMACC_VFPR32_M4_E32, 1328 },
    { PseudoVFWMACC_VFPR32_MF2_E32, 1329 },
    { PseudoVFWMACC_VV_M1_E16, 1330 },
    { PseudoVFWMACC_VV_M1_E32, 1331 },
    { PseudoVFWMACC_VV_M2_E16, 1332 },
    { PseudoVFWMACC_VV_M2_E32, 1333 },
    { PseudoVFWMACC_VV_M4_E16, 1334 },
    { PseudoVFWMACC_VV_M4_E32, 1335 },
    { PseudoVFWMACC_VV_MF2_E16, 1336 },
    { PseudoVFWMACC_VV_MF2_E32, 1337 },
    { PseudoVFWMACC_VV_MF4_E16, 1338 },
    { PseudoVFWMSAC_VFPR16_M1_E16, 1339 },
    { PseudoVFWMSAC_VFPR16_M2_E16, 1340 },
    { PseudoVFWMSAC_VFPR16_M4_E16, 1341 },
    { PseudoVFWMSAC_VFPR16_MF2_E16, 1342 },
    { PseudoVFWMSAC_VFPR16_MF4_E16, 1343 },
    { PseudoVFWMSAC_VFPR32_M1_E32, 1344 },
    { PseudoVFWMSAC_VFPR32_M2_E32, 1345 },
    { PseudoVFWMSAC_VFPR32_M4_E32, 1346 },
    { PseudoVFWMSAC_VFPR32_MF2_E32, 1347 },
    { PseudoVFWMSAC_VV_M1_E16, 1348 },
    { PseudoVFWMSAC_VV_M1_E32, 1349 },
    { PseudoVFWMSAC_VV_M2_E16, 1350 },
    { PseudoVFWMSAC_VV_M2_E32, 1351 },
    { PseudoVFWMSAC_VV_M4_E16, 1352 },
    { PseudoVFWMSAC_VV_M4_E32, 1353 },
    { PseudoVFWMSAC_VV_MF2_E16, 1354 },
    { PseudoVFWMSAC_VV_MF2_E32, 1355 },
    { PseudoVFWMSAC_VV_MF4_E16, 1356 },
    { PseudoVFWMUL_VFPR16_M1_E16, 1357 },
    { PseudoVFWMUL_VFPR16_M2_E16, 1358 },
    { PseudoVFWMUL_VFPR16_M4_E16, 1359 },
    { PseudoVFWMUL_VFPR16_MF2_E16, 1360 },
    { PseudoVFWMUL_VFPR16_MF4_E16, 1361 },
    { PseudoVFWMUL_VFPR32_M1_E32, 1362 },
    { PseudoVFWMUL_VFPR32_M2_E32, 1363 },
    { PseudoVFWMUL_VFPR32_M4_E32, 1364 },
    { PseudoVFWMUL_VFPR32_MF2_E32, 1365 },
    { PseudoVFWMUL_VV_M1_E16, 1366 },
    { PseudoVFWMUL_VV_M1_E32, 1367 },
    { PseudoVFWMUL_VV_M2_E16, 1368 },
    { PseudoVFWMUL_VV_M2_E32, 1369 },
    { PseudoVFWMUL_VV_M4_E16, 1370 },
    { PseudoVFWMUL_VV_M4_E32, 1371 },
    { PseudoVFWMUL_VV_MF2_E16, 1372 },
    { PseudoVFWMUL_VV_MF2_E32, 1373 },
    { PseudoVFWMUL_VV_MF4_E16, 1374 },
    { PseudoVFWNMACC_VFPR16_M1_E16, 1375 },
    { PseudoVFWNMACC_VFPR16_M2_E16, 1376 },
    { PseudoVFWNMACC_VFPR16_M4_E16, 1377 },
    { PseudoVFWNMACC_VFPR16_MF2_E16, 1378 },
    { PseudoVFWNMACC_VFPR16_MF4_E16, 1379 },
    { PseudoVFWNMACC_VFPR32_M1_E32, 1380 },
    { PseudoVFWNMACC_VFPR32_M2_E32, 1381 },
    { PseudoVFWNMACC_VFPR32_M4_E32, 1382 },
    { PseudoVFWNMACC_VFPR32_MF2_E32, 1383 },
    { PseudoVFWNMACC_VV_M1_E16, 1384 },
    { PseudoVFWNMACC_VV_M1_E32, 1385 },
    { PseudoVFWNMACC_VV_M2_E16, 1386 },
    { PseudoVFWNMACC_VV_M2_E32, 1387 },
    { PseudoVFWNMACC_VV_M4_E16, 1388 },
    { PseudoVFWNMACC_VV_M4_E32, 1389 },
    { PseudoVFWNMACC_VV_MF2_E16, 1390 },
    { PseudoVFWNMACC_VV_MF2_E32, 1391 },
    { PseudoVFWNMACC_VV_MF4_E16, 1392 },
    { PseudoVFWNMSAC_VFPR16_M1_E16, 1393 },
    { PseudoVFWNMSAC_VFPR16_M2_E16, 1394 },
    { PseudoVFWNMSAC_VFPR16_M4_E16, 1395 },
    { PseudoVFWNMSAC_VFPR16_MF2_E16, 1396 },
    { PseudoVFWNMSAC_VFPR16_MF4_E16, 1397 },
    { PseudoVFWNMSAC_VFPR32_M1_E32, 1398 },
    { PseudoVFWNMSAC_VFPR32_M2_E32, 1399 },
    { PseudoVFWNMSAC_VFPR32_M4_E32, 1400 },
    { PseudoVFWNMSAC_VFPR32_MF2_E32, 1401 },
    { PseudoVFWNMSAC_VV_M1_E16, 1402 },
    { PseudoVFWNMSAC_VV_M1_E32, 1403 },
    { PseudoVFWNMSAC_VV_M2_E16, 1404 },
    { PseudoVFWNMSAC_VV_M2_E32, 1405 },
    { PseudoVFWNMSAC_VV_M4_E16, 1406 },
    { PseudoVFWNMSAC_VV_M4_E32, 1407 },
    { PseudoVFWNMSAC_VV_MF2_E16, 1408 },
    { PseudoVFWNMSAC_VV_MF2_E32, 1409 },
    { PseudoVFWNMSAC_VV_MF4_E16, 1410 },
    { PseudoVFWREDOSUM_VS_M1_E16, 1411 },
    { PseudoVFWREDOSUM_VS_M1_E32, 1412 },
    { PseudoVFWREDOSUM_VS_M2_E16, 1413 },
    { PseudoVFWREDOSUM_VS_M2_E32, 1414 },
    { PseudoVFWREDOSUM_VS_M4_E16, 1415 },
    { PseudoVFWREDOSUM_VS_M4_E32, 1416 },
    { PseudoVFWREDOSUM_VS_M8_E16, 1417 },
    { PseudoVFWREDOSUM_VS_M8_E32, 1418 },
    { PseudoVFWREDOSUM_VS_MF2_E16, 1419 },
    { PseudoVFWREDOSUM_VS_MF2_E32, 1420 },
    { PseudoVFWREDOSUM_VS_MF4_E16, 1421 },
    { PseudoVFWREDUSUM_VS_M1_E16, 1422 },
    { PseudoVFWREDUSUM_VS_M1_E32, 1423 },
    { PseudoVFWREDUSUM_VS_M2_E16, 1424 },
    { PseudoVFWREDUSUM_VS_M2_E32, 1425 },
    { PseudoVFWREDUSUM_VS_M4_E16, 1426 },
    { PseudoVFWREDUSUM_VS_M4_E32, 1427 },
    { PseudoVFWREDUSUM_VS_M8_E16, 1428 },
    { PseudoVFWREDUSUM_VS_M8_E32, 1429 },
    { PseudoVFWREDUSUM_VS_MF2_E16, 1430 },
    { PseudoVFWREDUSUM_VS_MF2_E32, 1431 },
    { PseudoVFWREDUSUM_VS_MF4_E16, 1432 },
    { PseudoVFWSUB_VFPR16_M1_E16, 1433 },
    { PseudoVFWSUB_VFPR16_M2_E16, 1434 },
    { PseudoVFWSUB_VFPR16_M4_E16, 1435 },
    { PseudoVFWSUB_VFPR16_MF2_E16, 1436 },
    { PseudoVFWSUB_VFPR16_MF4_E16, 1437 },
    { PseudoVFWSUB_VFPR32_M1_E32, 1438 },
    { PseudoVFWSUB_VFPR32_M2_E32, 1439 },
    { PseudoVFWSUB_VFPR32_M4_E32, 1440 },
    { PseudoVFWSUB_VFPR32_MF2_E32, 1441 },
    { PseudoVFWSUB_VV_M1_E16, 1442 },
    { PseudoVFWSUB_VV_M1_E32, 1443 },
    { PseudoVFWSUB_VV_M2_E16, 1444 },
    { PseudoVFWSUB_VV_M2_E32, 1445 },
    { PseudoVFWSUB_VV_M4_E16, 1446 },
    { PseudoVFWSUB_VV_M4_E32, 1447 },
    { PseudoVFWSUB_VV_MF2_E16, 1448 },
    { PseudoVFWSUB_VV_MF2_E32, 1449 },
    { PseudoVFWSUB_VV_MF4_E16, 1450 },
    { PseudoVFWSUB_WFPR16_M1_E16, 1451 },
    { PseudoVFWSUB_WFPR16_M2_E16, 1452 },
    { PseudoVFWSUB_WFPR16_M4_E16, 1453 },
    { PseudoVFWSUB_WFPR16_MF2_E16, 1454 },
    { PseudoVFWSUB_WFPR16_MF4_E16, 1455 },
    { PseudoVFWSUB_WFPR32_M1_E32, 1456 },
    { PseudoVFWSUB_WFPR32_M2_E32, 1457 },
    { PseudoVFWSUB_WFPR32_M4_E32, 1458 },
    { PseudoVFWSUB_WFPR32_MF2_E32, 1459 },
    { PseudoVFWSUB_WV_M1_E16, 1460 },
    { PseudoVFWSUB_WV_M1_E16_TIED, 1461 },
    { PseudoVFWSUB_WV_M1_E32, 1462 },
    { PseudoVFWSUB_WV_M1_E32_TIED, 1463 },
    { PseudoVFWSUB_WV_M2_E16, 1464 },
    { PseudoVFWSUB_WV_M2_E16_TIED, 1465 },
    { PseudoVFWSUB_WV_M2_E32, 1466 },
    { PseudoVFWSUB_WV_M2_E32_TIED, 1467 },
    { PseudoVFWSUB_WV_M4_E16, 1468 },
    { PseudoVFWSUB_WV_M4_E16_TIED, 1469 },
    { PseudoVFWSUB_WV_M4_E32, 1470 },
    { PseudoVFWSUB_WV_M4_E32_TIED, 1471 },
    { PseudoVFWSUB_WV_MF2_E16, 1472 },
    { PseudoVFWSUB_WV_MF2_E16_TIED, 1473 },
    { PseudoVFWSUB_WV_MF2_E32, 1474 },
    { PseudoVFWSUB_WV_MF2_E32_TIED, 1475 },
    { PseudoVFWSUB_WV_MF4_E16, 1476 },
    { PseudoVFWSUB_WV_MF4_E16_TIED, 1477 },
    { PseudoVID_V_M1, 1478 },
    { PseudoVID_V_M2, 1479 },
    { PseudoVID_V_M4, 1480 },
    { PseudoVID_V_M8, 1481 },
    { PseudoVID_V_MF2, 1482 },
    { PseudoVID_V_MF4, 1483 },
    { PseudoVID_V_MF8, 1484 },
    { PseudoVIOTA_M_M1, 1485 },
    { PseudoVIOTA_M_M2, 1486 },
    { PseudoVIOTA_M_M4, 1487 },
    { PseudoVIOTA_M_M8, 1488 },
    { PseudoVIOTA_M_MF2, 1489 },
    { PseudoVIOTA_M_MF4, 1490 },
    { PseudoVIOTA_M_MF8, 1491 },
    { PseudoVLE16FF_V_M1, 1492 },
    { PseudoVLE16FF_V_M2, 1493 },
    { PseudoVLE16FF_V_M4, 1494 },
    { PseudoVLE16FF_V_M8, 1495 },
    { PseudoVLE16FF_V_MF2, 1496 },
    { PseudoVLE16FF_V_MF4, 1497 },
    { PseudoVLE16_V_M1, 1498 },
    { PseudoVLE16_V_M2, 1499 },
    { PseudoVLE16_V_M4, 1500 },
    { PseudoVLE16_V_M8, 1501 },
    { PseudoVLE16_V_MF2, 1502 },
    { PseudoVLE16_V_MF4, 1503 },
    { PseudoVLE32FF_V_M1, 1504 },
    { PseudoVLE32FF_V_M2, 1505 },
    { PseudoVLE32FF_V_M4, 1506 },
    { PseudoVLE32FF_V_M8, 1507 },
    { PseudoVLE32FF_V_MF2, 1508 },
    { PseudoVLE32_V_M1, 1509 },
    { PseudoVLE32_V_M2, 1510 },
    { PseudoVLE32_V_M4, 1511 },
    { PseudoVLE32_V_M8, 1512 },
    { PseudoVLE32_V_MF2, 1513 },
    { PseudoVLE64FF_V_M1, 1514 },
    { PseudoVLE64FF_V_M2, 1515 },
    { PseudoVLE64FF_V_M4, 1516 },
    { PseudoVLE64FF_V_M8, 1517 },
    { PseudoVLE64_V_M1, 1518 },
    { PseudoVLE64_V_M2, 1519 },
    { PseudoVLE64_V_M4, 1520 },
    { PseudoVLE64_V_M8, 1521 },
    { PseudoVLE8FF_V_M1, 1522 },
    { PseudoVLE8FF_V_M2, 1523 },
    { PseudoVLE8FF_V_M4, 1524 },
    { PseudoVLE8FF_V_M8, 1525 },
    { PseudoVLE8FF_V_MF2, 1526 },
    { PseudoVLE8FF_V_MF4, 1527 },
    { PseudoVLE8FF_V_MF8, 1528 },
    { PseudoVLE8_V_M1, 1529 },
    { PseudoVLE8_V_M2, 1530 },
    { PseudoVLE8_V_M4, 1531 },
    { PseudoVLE8_V_M8, 1532 },
    { PseudoVLE8_V_MF2, 1533 },
    { PseudoVLE8_V_MF4, 1534 },
    { PseudoVLE8_V_MF8, 1535 },
    { PseudoVLOXEI16_V_M1_M1, 1536 },
    { PseudoVLOXEI16_V_M1_M2, 1537 },
    { PseudoVLOXEI16_V_M1_M4, 1538 },
    { PseudoVLOXEI16_V_M1_MF2, 1539 },
    { PseudoVLOXEI16_V_M2_M1, 1540 },
    { PseudoVLOXEI16_V_M2_M2, 1541 },
    { PseudoVLOXEI16_V_M2_M4, 1542 },
    { PseudoVLOXEI16_V_M2_M8, 1543 },
    { PseudoVLOXEI16_V_M4_M2, 1544 },
    { PseudoVLOXEI16_V_M4_M4, 1545 },
    { PseudoVLOXEI16_V_M4_M8, 1546 },
    { PseudoVLOXEI16_V_M8_M4, 1547 },
    { PseudoVLOXEI16_V_M8_M8, 1548 },
    { PseudoVLOXEI16_V_MF2_M1, 1549 },
    { PseudoVLOXEI16_V_MF2_M2, 1550 },
    { PseudoVLOXEI16_V_MF2_MF2, 1551 },
    { PseudoVLOXEI16_V_MF2_MF4, 1552 },
    { PseudoVLOXEI16_V_MF4_M1, 1553 },
    { PseudoVLOXEI16_V_MF4_MF2, 1554 },
    { PseudoVLOXEI16_V_MF4_MF4, 1555 },
    { PseudoVLOXEI16_V_MF4_MF8, 1556 },
    { PseudoVLOXEI32_V_M1_M1, 1557 },
    { PseudoVLOXEI32_V_M1_M2, 1558 },
    { PseudoVLOXEI32_V_M1_MF2, 1559 },
    { PseudoVLOXEI32_V_M1_MF4, 1560 },
    { PseudoVLOXEI32_V_M2_M1, 1561 },
    { PseudoVLOXEI32_V_M2_M2, 1562 },
    { PseudoVLOXEI32_V_M2_M4, 1563 },
    { PseudoVLOXEI32_V_M2_MF2, 1564 },
    { PseudoVLOXEI32_V_M4_M1, 1565 },
    { PseudoVLOXEI32_V_M4_M2, 1566 },
    { PseudoVLOXEI32_V_M4_M4, 1567 },
    { PseudoVLOXEI32_V_M4_M8, 1568 },
    { PseudoVLOXEI32_V_M8_M2, 1569 },
    { PseudoVLOXEI32_V_M8_M4, 1570 },
    { PseudoVLOXEI32_V_M8_M8, 1571 },
    { PseudoVLOXEI32_V_MF2_M1, 1572 },
    { PseudoVLOXEI32_V_MF2_MF2, 1573 },
    { PseudoVLOXEI32_V_MF2_MF4, 1574 },
    { PseudoVLOXEI32_V_MF2_MF8, 1575 },
    { PseudoVLOXEI64_V_M1_M1, 1576 },
    { PseudoVLOXEI64_V_M1_MF2, 1577 },
    { PseudoVLOXEI64_V_M1_MF4, 1578 },
    { PseudoVLOXEI64_V_M1_MF8, 1579 },
    { PseudoVLOXEI64_V_M2_M1, 1580 },
    { PseudoVLOXEI64_V_M2_M2, 1581 },
    { PseudoVLOXEI64_V_M2_MF2, 1582 },
    { PseudoVLOXEI64_V_M2_MF4, 1583 },
    { PseudoVLOXEI64_V_M4_M1, 1584 },
    { PseudoVLOXEI64_V_M4_M2, 1585 },
    { PseudoVLOXEI64_V_M4_M4, 1586 },
    { PseudoVLOXEI64_V_M4_MF2, 1587 },
    { PseudoVLOXEI64_V_M8_M1, 1588 },
    { PseudoVLOXEI64_V_M8_M2, 1589 },
    { PseudoVLOXEI64_V_M8_M4, 1590 },
    { PseudoVLOXEI64_V_M8_M8, 1591 },
    { PseudoVLOXEI8_V_M1_M1, 1592 },
    { PseudoVLOXEI8_V_M1_M2, 1593 },
    { PseudoVLOXEI8_V_M1_M4, 1594 },
    { PseudoVLOXEI8_V_M1_M8, 1595 },
    { PseudoVLOXEI8_V_M2_M2, 1596 },
    { PseudoVLOXEI8_V_M2_M4, 1597 },
    { PseudoVLOXEI8_V_M2_M8, 1598 },
    { PseudoVLOXEI8_V_M4_M4, 1599 },
    { PseudoVLOXEI8_V_M4_M8, 1600 },
    { PseudoVLOXEI8_V_M8_M8, 1601 },
    { PseudoVLOXEI8_V_MF2_M1, 1602 },
    { PseudoVLOXEI8_V_MF2_M2, 1603 },
    { PseudoVLOXEI8_V_MF2_M4, 1604 },
    { PseudoVLOXEI8_V_MF2_MF2, 1605 },
    { PseudoVLOXEI8_V_MF4_M1, 1606 },
    { PseudoVLOXEI8_V_MF4_M2, 1607 },
    { PseudoVLOXEI8_V_MF4_MF2, 1608 },
    { PseudoVLOXEI8_V_MF4_MF4, 1609 },
    { PseudoVLOXEI8_V_MF8_M1, 1610 },
    { PseudoVLOXEI8_V_MF8_MF2, 1611 },
    { PseudoVLOXEI8_V_MF8_MF4, 1612 },
    { PseudoVLOXEI8_V_MF8_MF8, 1613 },
    { PseudoVLSE16_V_M1, 1614 },
    { PseudoVLSE16_V_M2, 1615 },
    { PseudoVLSE16_V_M4, 1616 },
    { PseudoVLSE16_V_M8, 1617 },
    { PseudoVLSE16_V_MF2, 1618 },
    { PseudoVLSE16_V_MF4, 1619 },
    { PseudoVLSE32_V_M1, 1620 },
    { PseudoVLSE32_V_M2, 1621 },
    { PseudoVLSE32_V_M4, 1622 },
    { PseudoVLSE32_V_M8, 1623 },
    { PseudoVLSE32_V_MF2, 1624 },
    { PseudoVLSE64_V_M1, 1625 },
    { PseudoVLSE64_V_M2, 1626 },
    { PseudoVLSE64_V_M4, 1627 },
    { PseudoVLSE64_V_M8, 1628 },
    { PseudoVLSE8_V_M1, 1629 },
    { PseudoVLSE8_V_M2, 1630 },
    { PseudoVLSE8_V_M4, 1631 },
    { PseudoVLSE8_V_M8, 1632 },
    { PseudoVLSE8_V_MF2, 1633 },
    { PseudoVLSE8_V_MF4, 1634 },
    { PseudoVLSE8_V_MF8, 1635 },
    { PseudoVLUXEI16_V_M1_M1, 1636 },
    { PseudoVLUXEI16_V_M1_M2, 1637 },
    { PseudoVLUXEI16_V_M1_M4, 1638 },
    { PseudoVLUXEI16_V_M1_MF2, 1639 },
    { PseudoVLUXEI16_V_M2_M1, 1640 },
    { PseudoVLUXEI16_V_M2_M2, 1641 },
    { PseudoVLUXEI16_V_M2_M4, 1642 },
    { PseudoVLUXEI16_V_M2_M8, 1643 },
    { PseudoVLUXEI16_V_M4_M2, 1644 },
    { PseudoVLUXEI16_V_M4_M4, 1645 },
    { PseudoVLUXEI16_V_M4_M8, 1646 },
    { PseudoVLUXEI16_V_M8_M4, 1647 },
    { PseudoVLUXEI16_V_M8_M8, 1648 },
    { PseudoVLUXEI16_V_MF2_M1, 1649 },
    { PseudoVLUXEI16_V_MF2_M2, 1650 },
    { PseudoVLUXEI16_V_MF2_MF2, 1651 },
    { PseudoVLUXEI16_V_MF2_MF4, 1652 },
    { PseudoVLUXEI16_V_MF4_M1, 1653 },
    { PseudoVLUXEI16_V_MF4_MF2, 1654 },
    { PseudoVLUXEI16_V_MF4_MF4, 1655 },
    { PseudoVLUXEI16_V_MF4_MF8, 1656 },
    { PseudoVLUXEI32_V_M1_M1, 1657 },
    { PseudoVLUXEI32_V_M1_M2, 1658 },
    { PseudoVLUXEI32_V_M1_MF2, 1659 },
    { PseudoVLUXEI32_V_M1_MF4, 1660 },
    { PseudoVLUXEI32_V_M2_M1, 1661 },
    { PseudoVLUXEI32_V_M2_M2, 1662 },
    { PseudoVLUXEI32_V_M2_M4, 1663 },
    { PseudoVLUXEI32_V_M2_MF2, 1664 },
    { PseudoVLUXEI32_V_M4_M1, 1665 },
    { PseudoVLUXEI32_V_M4_M2, 1666 },
    { PseudoVLUXEI32_V_M4_M4, 1667 },
    { PseudoVLUXEI32_V_M4_M8, 1668 },
    { PseudoVLUXEI32_V_M8_M2, 1669 },
    { PseudoVLUXEI32_V_M8_M4, 1670 },
    { PseudoVLUXEI32_V_M8_M8, 1671 },
    { PseudoVLUXEI32_V_MF2_M1, 1672 },
    { PseudoVLUXEI32_V_MF2_MF2, 1673 },
    { PseudoVLUXEI32_V_MF2_MF4, 1674 },
    { PseudoVLUXEI32_V_MF2_MF8, 1675 },
    { PseudoVLUXEI64_V_M1_M1, 1676 },
    { PseudoVLUXEI64_V_M1_MF2, 1677 },
    { PseudoVLUXEI64_V_M1_MF4, 1678 },
    { PseudoVLUXEI64_V_M1_MF8, 1679 },
    { PseudoVLUXEI64_V_M2_M1, 1680 },
    { PseudoVLUXEI64_V_M2_M2, 1681 },
    { PseudoVLUXEI64_V_M2_MF2, 1682 },
    { PseudoVLUXEI64_V_M2_MF4, 1683 },
    { PseudoVLUXEI64_V_M4_M1, 1684 },
    { PseudoVLUXEI64_V_M4_M2, 1685 },
    { PseudoVLUXEI64_V_M4_M4, 1686 },
    { PseudoVLUXEI64_V_M4_MF2, 1687 },
    { PseudoVLUXEI64_V_M8_M1, 1688 },
    { PseudoVLUXEI64_V_M8_M2, 1689 },
    { PseudoVLUXEI64_V_M8_M4, 1690 },
    { PseudoVLUXEI64_V_M8_M8, 1691 },
    { PseudoVLUXEI8_V_M1_M1, 1692 },
    { PseudoVLUXEI8_V_M1_M2, 1693 },
    { PseudoVLUXEI8_V_M1_M4, 1694 },
    { PseudoVLUXEI8_V_M1_M8, 1695 },
    { PseudoVLUXEI8_V_M2_M2, 1696 },
    { PseudoVLUXEI8_V_M2_M4, 1697 },
    { PseudoVLUXEI8_V_M2_M8, 1698 },
    { PseudoVLUXEI8_V_M4_M4, 1699 },
    { PseudoVLUXEI8_V_M4_M8, 1700 },
    { PseudoVLUXEI8_V_M8_M8, 1701 },
    { PseudoVLUXEI8_V_MF2_M1, 1702 },
    { PseudoVLUXEI8_V_MF2_M2, 1703 },
    { PseudoVLUXEI8_V_MF2_M4, 1704 },
    { PseudoVLUXEI8_V_MF2_MF2, 1705 },
    { PseudoVLUXEI8_V_MF4_M1, 1706 },
    { PseudoVLUXEI8_V_MF4_M2, 1707 },
    { PseudoVLUXEI8_V_MF4_MF2, 1708 },
    { PseudoVLUXEI8_V_MF4_MF4, 1709 },
    { PseudoVLUXEI8_V_MF8_M1, 1710 },
    { PseudoVLUXEI8_V_MF8_MF2, 1711 },
    { PseudoVLUXEI8_V_MF8_MF4, 1712 },
    { PseudoVLUXEI8_V_MF8_MF8, 1713 },
    { PseudoVMACC_VV_M1, 1714 },
    { PseudoVMACC_VV_M2, 1715 },
    { PseudoVMACC_VV_M4, 1716 },
    { PseudoVMACC_VV_M8, 1717 },
    { PseudoVMACC_VV_MF2, 1718 },
    { PseudoVMACC_VV_MF4, 1719 },
    { PseudoVMACC_VV_MF8, 1720 },
    { PseudoVMACC_VX_M1, 1721 },
    { PseudoVMACC_VX_M2, 1722 },
    { PseudoVMACC_VX_M4, 1723 },
    { PseudoVMACC_VX_M8, 1724 },
    { PseudoVMACC_VX_MF2, 1725 },
    { PseudoVMACC_VX_MF4, 1726 },
    { PseudoVMACC_VX_MF8, 1727 },
    { PseudoVMADD_VV_M1, 1728 },
    { PseudoVMADD_VV_M2, 1729 },
    { PseudoVMADD_VV_M4, 1730 },
    { PseudoVMADD_VV_M8, 1731 },
    { PseudoVMADD_VV_MF2, 1732 },
    { PseudoVMADD_VV_MF4, 1733 },
    { PseudoVMADD_VV_MF8, 1734 },
    { PseudoVMADD_VX_M1, 1735 },
    { PseudoVMADD_VX_M2, 1736 },
    { PseudoVMADD_VX_M4, 1737 },
    { PseudoVMADD_VX_M8, 1738 },
    { PseudoVMADD_VX_MF2, 1739 },
    { PseudoVMADD_VX_MF4, 1740 },
    { PseudoVMADD_VX_MF8, 1741 },
    { PseudoVMAXU_VV_M1, 1742 },
    { PseudoVMAXU_VV_M2, 1743 },
    { PseudoVMAXU_VV_M4, 1744 },
    { PseudoVMAXU_VV_M8, 1745 },
    { PseudoVMAXU_VV_MF2, 1746 },
    { PseudoVMAXU_VV_MF4, 1747 },
    { PseudoVMAXU_VV_MF8, 1748 },
    { PseudoVMAXU_VX_M1, 1749 },
    { PseudoVMAXU_VX_M2, 1750 },
    { PseudoVMAXU_VX_M4, 1751 },
    { PseudoVMAXU_VX_M8, 1752 },
    { PseudoVMAXU_VX_MF2, 1753 },
    { PseudoVMAXU_VX_MF4, 1754 },
    { PseudoVMAXU_VX_MF8, 1755 },
    { PseudoVMAX_VV_M1, 1756 },
    { PseudoVMAX_VV_M2, 1757 },
    { PseudoVMAX_VV_M4, 1758 },
    { PseudoVMAX_VV_M8, 1759 },
    { PseudoVMAX_VV_MF2, 1760 },
    { PseudoVMAX_VV_MF4, 1761 },
    { PseudoVMAX_VV_MF8, 1762 },
    { PseudoVMAX_VX_M1, 1763 },
    { PseudoVMAX_VX_M2, 1764 },
    { PseudoVMAX_VX_M4, 1765 },
    { PseudoVMAX_VX_M8, 1766 },
    { PseudoVMAX_VX_MF2, 1767 },
    { PseudoVMAX_VX_MF4, 1768 },
    { PseudoVMAX_VX_MF8, 1769 },
    { PseudoVMFEQ_VFPR16_M1, 1770 },
    { PseudoVMFEQ_VFPR16_M2, 1771 },
    { PseudoVMFEQ_VFPR16_M4, 1772 },
    { PseudoVMFEQ_VFPR16_M8, 1773 },
    { PseudoVMFEQ_VFPR16_MF2, 1774 },
    { PseudoVMFEQ_VFPR16_MF4, 1775 },
    { PseudoVMFEQ_VFPR32_M1, 1776 },
    { PseudoVMFEQ_VFPR32_M2, 1777 },
    { PseudoVMFEQ_VFPR32_M4, 1778 },
    { PseudoVMFEQ_VFPR32_M8, 1779 },
    { PseudoVMFEQ_VFPR32_MF2, 1780 },
    { PseudoVMFEQ_VFPR64_M1, 1781 },
    { PseudoVMFEQ_VFPR64_M2, 1782 },
    { PseudoVMFEQ_VFPR64_M4, 1783 },
    { PseudoVMFEQ_VFPR64_M8, 1784 },
    { PseudoVMFEQ_VV_M1, 1785 },
    { PseudoVMFEQ_VV_M2, 1786 },
    { PseudoVMFEQ_VV_M4, 1787 },
    { PseudoVMFEQ_VV_M8, 1788 },
    { PseudoVMFEQ_VV_MF2, 1789 },
    { PseudoVMFEQ_VV_MF4, 1790 },
    { PseudoVMFGE_VFPR16_M1, 1791 },
    { PseudoVMFGE_VFPR16_M2, 1792 },
    { PseudoVMFGE_VFPR16_M4, 1793 },
    { PseudoVMFGE_VFPR16_M8, 1794 },
    { PseudoVMFGE_VFPR16_MF2, 1795 },
    { PseudoVMFGE_VFPR16_MF4, 1796 },
    { PseudoVMFGE_VFPR32_M1, 1797 },
    { PseudoVMFGE_VFPR32_M2, 1798 },
    { PseudoVMFGE_VFPR32_M4, 1799 },
    { PseudoVMFGE_VFPR32_M8, 1800 },
    { PseudoVMFGE_VFPR32_MF2, 1801 },
    { PseudoVMFGE_VFPR64_M1, 1802 },
    { PseudoVMFGE_VFPR64_M2, 1803 },
    { PseudoVMFGE_VFPR64_M4, 1804 },
    { PseudoVMFGE_VFPR64_M8, 1805 },
    { PseudoVMFGT_VFPR16_M1, 1806 },
    { PseudoVMFGT_VFPR16_M2, 1807 },
    { PseudoVMFGT_VFPR16_M4, 1808 },
    { PseudoVMFGT_VFPR16_M8, 1809 },
    { PseudoVMFGT_VFPR16_MF2, 1810 },
    { PseudoVMFGT_VFPR16_MF4, 1811 },
    { PseudoVMFGT_VFPR32_M1, 1812 },
    { PseudoVMFGT_VFPR32_M2, 1813 },
    { PseudoVMFGT_VFPR32_M4, 1814 },
    { PseudoVMFGT_VFPR32_M8, 1815 },
    { PseudoVMFGT_VFPR32_MF2, 1816 },
    { PseudoVMFGT_VFPR64_M1, 1817 },
    { PseudoVMFGT_VFPR64_M2, 1818 },
    { PseudoVMFGT_VFPR64_M4, 1819 },
    { PseudoVMFGT_VFPR64_M8, 1820 },
    { PseudoVMFLE_VFPR16_M1, 1821 },
    { PseudoVMFLE_VFPR16_M2, 1822 },
    { PseudoVMFLE_VFPR16_M4, 1823 },
    { PseudoVMFLE_VFPR16_M8, 1824 },
    { PseudoVMFLE_VFPR16_MF2, 1825 },
    { PseudoVMFLE_VFPR16_MF4, 1826 },
    { PseudoVMFLE_VFPR32_M1, 1827 },
    { PseudoVMFLE_VFPR32_M2, 1828 },
    { PseudoVMFLE_VFPR32_M4, 1829 },
    { PseudoVMFLE_VFPR32_M8, 1830 },
    { PseudoVMFLE_VFPR32_MF2, 1831 },
    { PseudoVMFLE_VFPR64_M1, 1832 },
    { PseudoVMFLE_VFPR64_M2, 1833 },
    { PseudoVMFLE_VFPR64_M4, 1834 },
    { PseudoVMFLE_VFPR64_M8, 1835 },
    { PseudoVMFLE_VV_M1, 1836 },
    { PseudoVMFLE_VV_M2, 1837 },
    { PseudoVMFLE_VV_M4, 1838 },
    { PseudoVMFLE_VV_M8, 1839 },
    { PseudoVMFLE_VV_MF2, 1840 },
    { PseudoVMFLE_VV_MF4, 1841 },
    { PseudoVMFLT_VFPR16_M1, 1842 },
    { PseudoVMFLT_VFPR16_M2, 1843 },
    { PseudoVMFLT_VFPR16_M4, 1844 },
    { PseudoVMFLT_VFPR16_M8, 1845 },
    { PseudoVMFLT_VFPR16_MF2, 1846 },
    { PseudoVMFLT_VFPR16_MF4, 1847 },
    { PseudoVMFLT_VFPR32_M1, 1848 },
    { PseudoVMFLT_VFPR32_M2, 1849 },
    { PseudoVMFLT_VFPR32_M4, 1850 },
    { PseudoVMFLT_VFPR32_M8, 1851 },
    { PseudoVMFLT_VFPR32_MF2, 1852 },
    { PseudoVMFLT_VFPR64_M1, 1853 },
    { PseudoVMFLT_VFPR64_M2, 1854 },
    { PseudoVMFLT_VFPR64_M4, 1855 },
    { PseudoVMFLT_VFPR64_M8, 1856 },
    { PseudoVMFLT_VV_M1, 1857 },
    { PseudoVMFLT_VV_M2, 1858 },
    { PseudoVMFLT_VV_M4, 1859 },
    { PseudoVMFLT_VV_M8, 1860 },
    { PseudoVMFLT_VV_MF2, 1861 },
    { PseudoVMFLT_VV_MF4, 1862 },
    { PseudoVMFNE_VFPR16_M1, 1863 },
    { PseudoVMFNE_VFPR16_M2, 1864 },
    { PseudoVMFNE_VFPR16_M4, 1865 },
    { PseudoVMFNE_VFPR16_M8, 1866 },
    { PseudoVMFNE_VFPR16_MF2, 1867 },
    { PseudoVMFNE_VFPR16_MF4, 1868 },
    { PseudoVMFNE_VFPR32_M1, 1869 },
    { PseudoVMFNE_VFPR32_M2, 1870 },
    { PseudoVMFNE_VFPR32_M4, 1871 },
    { PseudoVMFNE_VFPR32_M8, 1872 },
    { PseudoVMFNE_VFPR32_MF2, 1873 },
    { PseudoVMFNE_VFPR64_M1, 1874 },
    { PseudoVMFNE_VFPR64_M2, 1875 },
    { PseudoVMFNE_VFPR64_M4, 1876 },
    { PseudoVMFNE_VFPR64_M8, 1877 },
    { PseudoVMFNE_VV_M1, 1878 },
    { PseudoVMFNE_VV_M2, 1879 },
    { PseudoVMFNE_VV_M4, 1880 },
    { PseudoVMFNE_VV_M8, 1881 },
    { PseudoVMFNE_VV_MF2, 1882 },
    { PseudoVMFNE_VV_MF4, 1883 },
    { PseudoVMINU_VV_M1, 1884 },
    { PseudoVMINU_VV_M2, 1885 },
    { PseudoVMINU_VV_M4, 1886 },
    { PseudoVMINU_VV_M8, 1887 },
    { PseudoVMINU_VV_MF2, 1888 },
    { PseudoVMINU_VV_MF4, 1889 },
    { PseudoVMINU_VV_MF8, 1890 },
    { PseudoVMINU_VX_M1, 1891 },
    { PseudoVMINU_VX_M2, 1892 },
    { PseudoVMINU_VX_M4, 1893 },
    { PseudoVMINU_VX_M8, 1894 },
    { PseudoVMINU_VX_MF2, 1895 },
    { PseudoVMINU_VX_MF4, 1896 },
    { PseudoVMINU_VX_MF8, 1897 },
    { PseudoVMIN_VV_M1, 1898 },
    { PseudoVMIN_VV_M2, 1899 },
    { PseudoVMIN_VV_M4, 1900 },
    { PseudoVMIN_VV_M8, 1901 },
    { PseudoVMIN_VV_MF2, 1902 },
    { PseudoVMIN_VV_MF4, 1903 },
    { PseudoVMIN_VV_MF8, 1904 },
    { PseudoVMIN_VX_M1, 1905 },
    { PseudoVMIN_VX_M2, 1906 },
    { PseudoVMIN_VX_M4, 1907 },
    { PseudoVMIN_VX_M8, 1908 },
    { PseudoVMIN_VX_MF2, 1909 },
    { PseudoVMIN_VX_MF4, 1910 },
    { PseudoVMIN_VX_MF8, 1911 },
    { PseudoVMSEQ_VI_M1, 1912 },
    { PseudoVMSEQ_VI_M2, 1913 },
    { PseudoVMSEQ_VI_M4, 1914 },
    { PseudoVMSEQ_VI_M8, 1915 },
    { PseudoVMSEQ_VI_MF2, 1916 },
    { PseudoVMSEQ_VI_MF4, 1917 },
    { PseudoVMSEQ_VI_MF8, 1918 },
    { PseudoVMSEQ_VV_M1, 1919 },
    { PseudoVMSEQ_VV_M2, 1920 },
    { PseudoVMSEQ_VV_M4, 1921 },
    { PseudoVMSEQ_VV_M8, 1922 },
    { PseudoVMSEQ_VV_MF2, 1923 },
    { PseudoVMSEQ_VV_MF4, 1924 },
    { PseudoVMSEQ_VV_MF8, 1925 },
    { PseudoVMSEQ_VX_M1, 1926 },
    { PseudoVMSEQ_VX_M2, 1927 },
    { PseudoVMSEQ_VX_M4, 1928 },
    { PseudoVMSEQ_VX_M8, 1929 },
    { PseudoVMSEQ_VX_MF2, 1930 },
    { PseudoVMSEQ_VX_MF4, 1931 },
    { PseudoVMSEQ_VX_MF8, 1932 },
    { PseudoVMSGTU_VI_M1, 1933 },
    { PseudoVMSGTU_VI_M2, 1934 },
    { PseudoVMSGTU_VI_M4, 1935 },
    { PseudoVMSGTU_VI_M8, 1936 },
    { PseudoVMSGTU_VI_MF2, 1937 },
    { PseudoVMSGTU_VI_MF4, 1938 },
    { PseudoVMSGTU_VI_MF8, 1939 },
    { PseudoVMSGTU_VX_M1, 1940 },
    { PseudoVMSGTU_VX_M2, 1941 },
    { PseudoVMSGTU_VX_M4, 1942 },
    { PseudoVMSGTU_VX_M8, 1943 },
    { PseudoVMSGTU_VX_MF2, 1944 },
    { PseudoVMSGTU_VX_MF4, 1945 },
    { PseudoVMSGTU_VX_MF8, 1946 },
    { PseudoVMSGT_VI_M1, 1947 },
    { PseudoVMSGT_VI_M2, 1948 },
    { PseudoVMSGT_VI_M4, 1949 },
    { PseudoVMSGT_VI_M8, 1950 },
    { PseudoVMSGT_VI_MF2, 1951 },
    { PseudoVMSGT_VI_MF4, 1952 },
    { PseudoVMSGT_VI_MF8, 1953 },
    { PseudoVMSGT_VX_M1, 1954 },
    { PseudoVMSGT_VX_M2, 1955 },
    { PseudoVMSGT_VX_M4, 1956 },
    { PseudoVMSGT_VX_M8, 1957 },
    { PseudoVMSGT_VX_MF2, 1958 },
    { PseudoVMSGT_VX_MF4, 1959 },
    { PseudoVMSGT_VX_MF8, 1960 },
    { PseudoVMSLEU_VI_M1, 1961 },
    { PseudoVMSLEU_VI_M2, 1962 },
    { PseudoVMSLEU_VI_M4, 1963 },
    { PseudoVMSLEU_VI_M8, 1964 },
    { PseudoVMSLEU_VI_MF2, 1965 },
    { PseudoVMSLEU_VI_MF4, 1966 },
    { PseudoVMSLEU_VI_MF8, 1967 },
    { PseudoVMSLEU_VV_M1, 1968 },
    { PseudoVMSLEU_VV_M2, 1969 },
    { PseudoVMSLEU_VV_M4, 1970 },
    { PseudoVMSLEU_VV_M8, 1971 },
    { PseudoVMSLEU_VV_MF2, 1972 },
    { PseudoVMSLEU_VV_MF4, 1973 },
    { PseudoVMSLEU_VV_MF8, 1974 },
    { PseudoVMSLEU_VX_M1, 1975 },
    { PseudoVMSLEU_VX_M2, 1976 },
    { PseudoVMSLEU_VX_M4, 1977 },
    { PseudoVMSLEU_VX_M8, 1978 },
    { PseudoVMSLEU_VX_MF2, 1979 },
    { PseudoVMSLEU_VX_MF4, 1980 },
    { PseudoVMSLEU_VX_MF8, 1981 },
    { PseudoVMSLE_VI_M1, 1982 },
    { PseudoVMSLE_VI_M2, 1983 },
    { PseudoVMSLE_VI_M4, 1984 },
    { PseudoVMSLE_VI_M8, 1985 },
    { PseudoVMSLE_VI_MF2, 1986 },
    { PseudoVMSLE_VI_MF4, 1987 },
    { PseudoVMSLE_VI_MF8, 1988 },
    { PseudoVMSLE_VV_M1, 1989 },
    { PseudoVMSLE_VV_M2, 1990 },
    { PseudoVMSLE_VV_M4, 1991 },
    { PseudoVMSLE_VV_M8, 1992 },
    { PseudoVMSLE_VV_MF2, 1993 },
    { PseudoVMSLE_VV_MF4, 1994 },
    { PseudoVMSLE_VV_MF8, 1995 },
    { PseudoVMSLE_VX_M1, 1996 },
    { PseudoVMSLE_VX_M2, 1997 },
    { PseudoVMSLE_VX_M4, 1998 },
    { PseudoVMSLE_VX_M8, 1999 },
    { PseudoVMSLE_VX_MF2, 2000 },
    { PseudoVMSLE_VX_MF4, 2001 },
    { PseudoVMSLE_VX_MF8, 2002 },
    { PseudoVMSLTU_VV_M1, 2003 },
    { PseudoVMSLTU_VV_M2, 2004 },
    { PseudoVMSLTU_VV_M4, 2005 },
    { PseudoVMSLTU_VV_M8, 2006 },
    { PseudoVMSLTU_VV_MF2, 2007 },
    { PseudoVMSLTU_VV_MF4, 2008 },
    { PseudoVMSLTU_VV_MF8, 2009 },
    { PseudoVMSLTU_VX_M1, 2010 },
    { PseudoVMSLTU_VX_M2, 2011 },
    { PseudoVMSLTU_VX_M4, 2012 },
    { PseudoVMSLTU_VX_M8, 2013 },
    { PseudoVMSLTU_VX_MF2, 2014 },
    { PseudoVMSLTU_VX_MF4, 2015 },
    { PseudoVMSLTU_VX_MF8, 2016 },
    { PseudoVMSLT_VV_M1, 2017 },
    { PseudoVMSLT_VV_M2, 2018 },
    { PseudoVMSLT_VV_M4, 2019 },
    { PseudoVMSLT_VV_M8, 2020 },
    { PseudoVMSLT_VV_MF2, 2021 },
    { PseudoVMSLT_VV_MF4, 2022 },
    { PseudoVMSLT_VV_MF8, 2023 },
    { PseudoVMSLT_VX_M1, 2024 },
    { PseudoVMSLT_VX_M2, 2025 },
    { PseudoVMSLT_VX_M4, 2026 },
    { PseudoVMSLT_VX_M8, 2027 },
    { PseudoVMSLT_VX_MF2, 2028 },
    { PseudoVMSLT_VX_MF4, 2029 },
    { PseudoVMSLT_VX_MF8, 2030 },
    { PseudoVMSNE_VI_M1, 2031 },
    { PseudoVMSNE_VI_M2, 2032 },
    { PseudoVMSNE_VI_M4, 2033 },
    { PseudoVMSNE_VI_M8, 2034 },
    { PseudoVMSNE_VI_MF2, 2035 },
    { PseudoVMSNE_VI_MF4, 2036 },
    { PseudoVMSNE_VI_MF8, 2037 },
    { PseudoVMSNE_VV_M1, 2038 },
    { PseudoVMSNE_VV_M2, 2039 },
    { PseudoVMSNE_VV_M4, 2040 },
    { PseudoVMSNE_VV_M8, 2041 },
    { PseudoVMSNE_VV_MF2, 2042 },
    { PseudoVMSNE_VV_MF4, 2043 },
    { PseudoVMSNE_VV_MF8, 2044 },
    { PseudoVMSNE_VX_M1, 2045 },
    { PseudoVMSNE_VX_M2, 2046 },
    { PseudoVMSNE_VX_M4, 2047 },
    { PseudoVMSNE_VX_M8, 2048 },
    { PseudoVMSNE_VX_MF2, 2049 },
    { PseudoVMSNE_VX_MF4, 2050 },
    { PseudoVMSNE_VX_MF8, 2051 },
    { PseudoVMULHSU_VV_M1, 2052 },
    { PseudoVMULHSU_VV_M2, 2053 },
    { PseudoVMULHSU_VV_M4, 2054 },
    { PseudoVMULHSU_VV_M8, 2055 },
    { PseudoVMULHSU_VV_MF2, 2056 },
    { PseudoVMULHSU_VV_MF4, 2057 },
    { PseudoVMULHSU_VV_MF8, 2058 },
    { PseudoVMULHSU_VX_M1, 2059 },
    { PseudoVMULHSU_VX_M2, 2060 },
    { PseudoVMULHSU_VX_M4, 2061 },
    { PseudoVMULHSU_VX_M8, 2062 },
    { PseudoVMULHSU_VX_MF2, 2063 },
    { PseudoVMULHSU_VX_MF4, 2064 },
    { PseudoVMULHSU_VX_MF8, 2065 },
    { PseudoVMULHU_VV_M1, 2066 },
    { PseudoVMULHU_VV_M2, 2067 },
    { PseudoVMULHU_VV_M4, 2068 },
    { PseudoVMULHU_VV_M8, 2069 },
    { PseudoVMULHU_VV_MF2, 2070 },
    { PseudoVMULHU_VV_MF4, 2071 },
    { PseudoVMULHU_VV_MF8, 2072 },
    { PseudoVMULHU_VX_M1, 2073 },
    { PseudoVMULHU_VX_M2, 2074 },
    { PseudoVMULHU_VX_M4, 2075 },
    { PseudoVMULHU_VX_M8, 2076 },
    { PseudoVMULHU_VX_MF2, 2077 },
    { PseudoVMULHU_VX_MF4, 2078 },
    { PseudoVMULHU_VX_MF8, 2079 },
    { PseudoVMULH_VV_M1, 2080 },
    { PseudoVMULH_VV_M2, 2081 },
    { PseudoVMULH_VV_M4, 2082 },
    { PseudoVMULH_VV_M8, 2083 },
    { PseudoVMULH_VV_MF2, 2084 },
    { PseudoVMULH_VV_MF4, 2085 },
    { PseudoVMULH_VV_MF8, 2086 },
    { PseudoVMULH_VX_M1, 2087 },
    { PseudoVMULH_VX_M2, 2088 },
    { PseudoVMULH_VX_M4, 2089 },
    { PseudoVMULH_VX_M8, 2090 },
    { PseudoVMULH_VX_MF2, 2091 },
    { PseudoVMULH_VX_MF4, 2092 },
    { PseudoVMULH_VX_MF8, 2093 },
    { PseudoVMUL_VV_M1, 2094 },
    { PseudoVMUL_VV_M2, 2095 },
    { PseudoVMUL_VV_M4, 2096 },
    { PseudoVMUL_VV_M8, 2097 },
    { PseudoVMUL_VV_MF2, 2098 },
    { PseudoVMUL_VV_MF4, 2099 },
    { PseudoVMUL_VV_MF8, 2100 },
    { PseudoVMUL_VX_M1, 2101 },
    { PseudoVMUL_VX_M2, 2102 },
    { PseudoVMUL_VX_M4, 2103 },
    { PseudoVMUL_VX_M8, 2104 },
    { PseudoVMUL_VX_MF2, 2105 },
    { PseudoVMUL_VX_MF4, 2106 },
    { PseudoVMUL_VX_MF8, 2107 },
    { PseudoVNCLIPU_WI_M1, 2108 },
    { PseudoVNCLIPU_WI_M2, 2109 },
    { PseudoVNCLIPU_WI_M4, 2110 },
    { PseudoVNCLIPU_WI_MF2, 2111 },
    { PseudoVNCLIPU_WI_MF4, 2112 },
    { PseudoVNCLIPU_WI_MF8, 2113 },
    { PseudoVNCLIPU_WV_M1, 2114 },
    { PseudoVNCLIPU_WV_M2, 2115 },
    { PseudoVNCLIPU_WV_M4, 2116 },
    { PseudoVNCLIPU_WV_MF2, 2117 },
    { PseudoVNCLIPU_WV_MF4, 2118 },
    { PseudoVNCLIPU_WV_MF8, 2119 },
    { PseudoVNCLIPU_WX_M1, 2120 },
    { PseudoVNCLIPU_WX_M2, 2121 },
    { PseudoVNCLIPU_WX_M4, 2122 },
    { PseudoVNCLIPU_WX_MF2, 2123 },
    { PseudoVNCLIPU_WX_MF4, 2124 },
    { PseudoVNCLIPU_WX_MF8, 2125 },
    { PseudoVNCLIP_WI_M1, 2126 },
    { PseudoVNCLIP_WI_M2, 2127 },
    { PseudoVNCLIP_WI_M4, 2128 },
    { PseudoVNCLIP_WI_MF2, 2129 },
    { PseudoVNCLIP_WI_MF4, 2130 },
    { PseudoVNCLIP_WI_MF8, 2131 },
    { PseudoVNCLIP_WV_M1, 2132 },
    { PseudoVNCLIP_WV_M2, 2133 },
    { PseudoVNCLIP_WV_M4, 2134 },
    { PseudoVNCLIP_WV_MF2, 2135 },
    { PseudoVNCLIP_WV_MF4, 2136 },
    { PseudoVNCLIP_WV_MF8, 2137 },
    { PseudoVNCLIP_WX_M1, 2138 },
    { PseudoVNCLIP_WX_M2, 2139 },
    { PseudoVNCLIP_WX_M4, 2140 },
    { PseudoVNCLIP_WX_MF2, 2141 },
    { PseudoVNCLIP_WX_MF4, 2142 },
    { PseudoVNCLIP_WX_MF8, 2143 },
    { PseudoVNMSAC_VV_M1, 2144 },
    { PseudoVNMSAC_VV_M2, 2145 },
    { PseudoVNMSAC_VV_M4, 2146 },
    { PseudoVNMSAC_VV_M8, 2147 },
    { PseudoVNMSAC_VV_MF2, 2148 },
    { PseudoVNMSAC_VV_MF4, 2149 },
    { PseudoVNMSAC_VV_MF8, 2150 },
    { PseudoVNMSAC_VX_M1, 2151 },
    { PseudoVNMSAC_VX_M2, 2152 },
    { PseudoVNMSAC_VX_M4, 2153 },
    { PseudoVNMSAC_VX_M8, 2154 },
    { PseudoVNMSAC_VX_MF2, 2155 },
    { PseudoVNMSAC_VX_MF4, 2156 },
    { PseudoVNMSAC_VX_MF8, 2157 },
    { PseudoVNMSUB_VV_M1, 2158 },
    { PseudoVNMSUB_VV_M2, 2159 },
    { PseudoVNMSUB_VV_M4, 2160 },
    { PseudoVNMSUB_VV_M8, 2161 },
    { PseudoVNMSUB_VV_MF2, 2162 },
    { PseudoVNMSUB_VV_MF4, 2163 },
    { PseudoVNMSUB_VV_MF8, 2164 },
    { PseudoVNMSUB_VX_M1, 2165 },
    { PseudoVNMSUB_VX_M2, 2166 },
    { PseudoVNMSUB_VX_M4, 2167 },
    { PseudoVNMSUB_VX_M8, 2168 },
    { PseudoVNMSUB_VX_MF2, 2169 },
    { PseudoVNMSUB_VX_MF4, 2170 },
    { PseudoVNMSUB_VX_MF8, 2171 },
    { PseudoVNSRA_WI_M1, 2172 },
    { PseudoVNSRA_WI_M2, 2173 },
    { PseudoVNSRA_WI_M4, 2174 },
    { PseudoVNSRA_WI_MF2, 2175 },
    { PseudoVNSRA_WI_MF4, 2176 },
    { PseudoVNSRA_WI_MF8, 2177 },
    { PseudoVNSRA_WV_M1, 2178 },
    { PseudoVNSRA_WV_M2, 2179 },
    { PseudoVNSRA_WV_M4, 2180 },
    { PseudoVNSRA_WV_MF2, 2181 },
    { PseudoVNSRA_WV_MF4, 2182 },
    { PseudoVNSRA_WV_MF8, 2183 },
    { PseudoVNSRA_WX_M1, 2184 },
    { PseudoVNSRA_WX_M2, 2185 },
    { PseudoVNSRA_WX_M4, 2186 },
    { PseudoVNSRA_WX_MF2, 2187 },
    { PseudoVNSRA_WX_MF4, 2188 },
    { PseudoVNSRA_WX_MF8, 2189 },
    { PseudoVNSRL_WI_M1, 2190 },
    { PseudoVNSRL_WI_M2, 2191 },
    { PseudoVNSRL_WI_M4, 2192 },
    { PseudoVNSRL_WI_MF2, 2193 },
    { PseudoVNSRL_WI_MF4, 2194 },
    { PseudoVNSRL_WI_MF8, 2195 },
    { PseudoVNSRL_WV_M1, 2196 },
    { PseudoVNSRL_WV_M2, 2197 },
    { PseudoVNSRL_WV_M4, 2198 },
    { PseudoVNSRL_WV_MF2, 2199 },
    { PseudoVNSRL_WV_MF4, 2200 },
    { PseudoVNSRL_WV_MF8, 2201 },
    { PseudoVNSRL_WX_M1, 2202 },
    { PseudoVNSRL_WX_M2, 2203 },
    { PseudoVNSRL_WX_M4, 2204 },
    { PseudoVNSRL_WX_MF2, 2205 },
    { PseudoVNSRL_WX_MF4, 2206 },
    { PseudoVNSRL_WX_MF8, 2207 },
    { PseudoVOR_VI_M1, 2208 },
    { PseudoVOR_VI_M2, 2209 },
    { PseudoVOR_VI_M4, 2210 },
    { PseudoVOR_VI_M8, 2211 },
    { PseudoVOR_VI_MF2, 2212 },
    { PseudoVOR_VI_MF4, 2213 },
    { PseudoVOR_VI_MF8, 2214 },
    { PseudoVOR_VV_M1, 2215 },
    { PseudoVOR_VV_M2, 2216 },
    { PseudoVOR_VV_M4, 2217 },
    { PseudoVOR_VV_M8, 2218 },
    { PseudoVOR_VV_MF2, 2219 },
    { PseudoVOR_VV_MF4, 2220 },
    { PseudoVOR_VV_MF8, 2221 },
    { PseudoVOR_VX_M1, 2222 },
    { PseudoVOR_VX_M2, 2223 },
    { PseudoVOR_VX_M4, 2224 },
    { PseudoVOR_VX_M8, 2225 },
    { PseudoVOR_VX_MF2, 2226 },
    { PseudoVOR_VX_MF4, 2227 },
    { PseudoVOR_VX_MF8, 2228 },
    { PseudoVREDAND_VS_M1_E16, 2229 },
    { PseudoVREDAND_VS_M1_E32, 2230 },
    { PseudoVREDAND_VS_M1_E64, 2231 },
    { PseudoVREDAND_VS_M1_E8, 2232 },
    { PseudoVREDAND_VS_M2_E16, 2233 },
    { PseudoVREDAND_VS_M2_E32, 2234 },
    { PseudoVREDAND_VS_M2_E64, 2235 },
    { PseudoVREDAND_VS_M2_E8, 2236 },
    { PseudoVREDAND_VS_M4_E16, 2237 },
    { PseudoVREDAND_VS_M4_E32, 2238 },
    { PseudoVREDAND_VS_M4_E64, 2239 },
    { PseudoVREDAND_VS_M4_E8, 2240 },
    { PseudoVREDAND_VS_M8_E16, 2241 },
    { PseudoVREDAND_VS_M8_E32, 2242 },
    { PseudoVREDAND_VS_M8_E64, 2243 },
    { PseudoVREDAND_VS_M8_E8, 2244 },
    { PseudoVREDAND_VS_MF2_E16, 2245 },
    { PseudoVREDAND_VS_MF2_E32, 2246 },
    { PseudoVREDAND_VS_MF2_E8, 2247 },
    { PseudoVREDAND_VS_MF4_E16, 2248 },
    { PseudoVREDAND_VS_MF4_E8, 2249 },
    { PseudoVREDAND_VS_MF8_E8, 2250 },
    { PseudoVREDMAXU_VS_M1_E16, 2251 },
    { PseudoVREDMAXU_VS_M1_E32, 2252 },
    { PseudoVREDMAXU_VS_M1_E64, 2253 },
    { PseudoVREDMAXU_VS_M1_E8, 2254 },
    { PseudoVREDMAXU_VS_M2_E16, 2255 },
    { PseudoVREDMAXU_VS_M2_E32, 2256 },
    { PseudoVREDMAXU_VS_M2_E64, 2257 },
    { PseudoVREDMAXU_VS_M2_E8, 2258 },
    { PseudoVREDMAXU_VS_M4_E16, 2259 },
    { PseudoVREDMAXU_VS_M4_E32, 2260 },
    { PseudoVREDMAXU_VS_M4_E64, 2261 },
    { PseudoVREDMAXU_VS_M4_E8, 2262 },
    { PseudoVREDMAXU_VS_M8_E16, 2263 },
    { PseudoVREDMAXU_VS_M8_E32, 2264 },
    { PseudoVREDMAXU_VS_M8_E64, 2265 },
    { PseudoVREDMAXU_VS_M8_E8, 2266 },
    { PseudoVREDMAXU_VS_MF2_E16, 2267 },
    { PseudoVREDMAXU_VS_MF2_E32, 2268 },
    { PseudoVREDMAXU_VS_MF2_E8, 2269 },
    { PseudoVREDMAXU_VS_MF4_E16, 2270 },
    { PseudoVREDMAXU_VS_MF4_E8, 2271 },
    { PseudoVREDMAXU_VS_MF8_E8, 2272 },
    { PseudoVREDMAX_VS_M1_E16, 2273 },
    { PseudoVREDMAX_VS_M1_E32, 2274 },
    { PseudoVREDMAX_VS_M1_E64, 2275 },
    { PseudoVREDMAX_VS_M1_E8, 2276 },
    { PseudoVREDMAX_VS_M2_E16, 2277 },
    { PseudoVREDMAX_VS_M2_E32, 2278 },
    { PseudoVREDMAX_VS_M2_E64, 2279 },
    { PseudoVREDMAX_VS_M2_E8, 2280 },
    { PseudoVREDMAX_VS_M4_E16, 2281 },
    { PseudoVREDMAX_VS_M4_E32, 2282 },
    { PseudoVREDMAX_VS_M4_E64, 2283 },
    { PseudoVREDMAX_VS_M4_E8, 2284 },
    { PseudoVREDMAX_VS_M8_E16, 2285 },
    { PseudoVREDMAX_VS_M8_E32, 2286 },
    { PseudoVREDMAX_VS_M8_E64, 2287 },
    { PseudoVREDMAX_VS_M8_E8, 2288 },
    { PseudoVREDMAX_VS_MF2_E16, 2289 },
    { PseudoVREDMAX_VS_MF2_E32, 2290 },
    { PseudoVREDMAX_VS_MF2_E8, 2291 },
    { PseudoVREDMAX_VS_MF4_E16, 2292 },
    { PseudoVREDMAX_VS_MF4_E8, 2293 },
    { PseudoVREDMAX_VS_MF8_E8, 2294 },
    { PseudoVREDMINU_VS_M1_E16, 2295 },
    { PseudoVREDMINU_VS_M1_E32, 2296 },
    { PseudoVREDMINU_VS_M1_E64, 2297 },
    { PseudoVREDMINU_VS_M1_E8, 2298 },
    { PseudoVREDMINU_VS_M2_E16, 2299 },
    { PseudoVREDMINU_VS_M2_E32, 2300 },
    { PseudoVREDMINU_VS_M2_E64, 2301 },
    { PseudoVREDMINU_VS_M2_E8, 2302 },
    { PseudoVREDMINU_VS_M4_E16, 2303 },
    { PseudoVREDMINU_VS_M4_E32, 2304 },
    { PseudoVREDMINU_VS_M4_E64, 2305 },
    { PseudoVREDMINU_VS_M4_E8, 2306 },
    { PseudoVREDMINU_VS_M8_E16, 2307 },
    { PseudoVREDMINU_VS_M8_E32, 2308 },
    { PseudoVREDMINU_VS_M8_E64, 2309 },
    { PseudoVREDMINU_VS_M8_E8, 2310 },
    { PseudoVREDMINU_VS_MF2_E16, 2311 },
    { PseudoVREDMINU_VS_MF2_E32, 2312 },
    { PseudoVREDMINU_VS_MF2_E8, 2313 },
    { PseudoVREDMINU_VS_MF4_E16, 2314 },
    { PseudoVREDMINU_VS_MF4_E8, 2315 },
    { PseudoVREDMINU_VS_MF8_E8, 2316 },
    { PseudoVREDMIN_VS_M1_E16, 2317 },
    { PseudoVREDMIN_VS_M1_E32, 2318 },
    { PseudoVREDMIN_VS_M1_E64, 2319 },
    { PseudoVREDMIN_VS_M1_E8, 2320 },
    { PseudoVREDMIN_VS_M2_E16, 2321 },
    { PseudoVREDMIN_VS_M2_E32, 2322 },
    { PseudoVREDMIN_VS_M2_E64, 2323 },
    { PseudoVREDMIN_VS_M2_E8, 2324 },
    { PseudoVREDMIN_VS_M4_E16, 2325 },
    { PseudoVREDMIN_VS_M4_E32, 2326 },
    { PseudoVREDMIN_VS_M4_E64, 2327 },
    { PseudoVREDMIN_VS_M4_E8, 2328 },
    { PseudoVREDMIN_VS_M8_E16, 2329 },
    { PseudoVREDMIN_VS_M8_E32, 2330 },
    { PseudoVREDMIN_VS_M8_E64, 2331 },
    { PseudoVREDMIN_VS_M8_E8, 2332 },
    { PseudoVREDMIN_VS_MF2_E16, 2333 },
    { PseudoVREDMIN_VS_MF2_E32, 2334 },
    { PseudoVREDMIN_VS_MF2_E8, 2335 },
    { PseudoVREDMIN_VS_MF4_E16, 2336 },
    { PseudoVREDMIN_VS_MF4_E8, 2337 },
    { PseudoVREDMIN_VS_MF8_E8, 2338 },
    { PseudoVREDOR_VS_M1_E16, 2339 },
    { PseudoVREDOR_VS_M1_E32, 2340 },
    { PseudoVREDOR_VS_M1_E64, 2341 },
    { PseudoVREDOR_VS_M1_E8, 2342 },
    { PseudoVREDOR_VS_M2_E16, 2343 },
    { PseudoVREDOR_VS_M2_E32, 2344 },
    { PseudoVREDOR_VS_M2_E64, 2345 },
    { PseudoVREDOR_VS_M2_E8, 2346 },
    { PseudoVREDOR_VS_M4_E16, 2347 },
    { PseudoVREDOR_VS_M4_E32, 2348 },
    { PseudoVREDOR_VS_M4_E64, 2349 },
    { PseudoVREDOR_VS_M4_E8, 2350 },
    { PseudoVREDOR_VS_M8_E16, 2351 },
    { PseudoVREDOR_VS_M8_E32, 2352 },
    { PseudoVREDOR_VS_M8_E64, 2353 },
    { PseudoVREDOR_VS_M8_E8, 2354 },
    { PseudoVREDOR_VS_MF2_E16, 2355 },
    { PseudoVREDOR_VS_MF2_E32, 2356 },
    { PseudoVREDOR_VS_MF2_E8, 2357 },
    { PseudoVREDOR_VS_MF4_E16, 2358 },
    { PseudoVREDOR_VS_MF4_E8, 2359 },
    { PseudoVREDOR_VS_MF8_E8, 2360 },
    { PseudoVREDSUM_VS_M1_E16, 2361 },
    { PseudoVREDSUM_VS_M1_E32, 2362 },
    { PseudoVREDSUM_VS_M1_E64, 2363 },
    { PseudoVREDSUM_VS_M1_E8, 2364 },
    { PseudoVREDSUM_VS_M2_E16, 2365 },
    { PseudoVREDSUM_VS_M2_E32, 2366 },
    { PseudoVREDSUM_VS_M2_E64, 2367 },
    { PseudoVREDSUM_VS_M2_E8, 2368 },
    { PseudoVREDSUM_VS_M4_E16, 2369 },
    { PseudoVREDSUM_VS_M4_E32, 2370 },
    { PseudoVREDSUM_VS_M4_E64, 2371 },
    { PseudoVREDSUM_VS_M4_E8, 2372 },
    { PseudoVREDSUM_VS_M8_E16, 2373 },
    { PseudoVREDSUM_VS_M8_E32, 2374 },
    { PseudoVREDSUM_VS_M8_E64, 2375 },
    { PseudoVREDSUM_VS_M8_E8, 2376 },
    { PseudoVREDSUM_VS_MF2_E16, 2377 },
    { PseudoVREDSUM_VS_MF2_E32, 2378 },
    { PseudoVREDSUM_VS_MF2_E8, 2379 },
    { PseudoVREDSUM_VS_MF4_E16, 2380 },
    { PseudoVREDSUM_VS_MF4_E8, 2381 },
    { PseudoVREDSUM_VS_MF8_E8, 2382 },
    { PseudoVREDXOR_VS_M1_E16, 2383 },
    { PseudoVREDXOR_VS_M1_E32, 2384 },
    { PseudoVREDXOR_VS_M1_E64, 2385 },
    { PseudoVREDXOR_VS_M1_E8, 2386 },
    { PseudoVREDXOR_VS_M2_E16, 2387 },
    { PseudoVREDXOR_VS_M2_E32, 2388 },
    { PseudoVREDXOR_VS_M2_E64, 2389 },
    { PseudoVREDXOR_VS_M2_E8, 2390 },
    { PseudoVREDXOR_VS_M4_E16, 2391 },
    { PseudoVREDXOR_VS_M4_E32, 2392 },
    { PseudoVREDXOR_VS_M4_E64, 2393 },
    { PseudoVREDXOR_VS_M4_E8, 2394 },
    { PseudoVREDXOR_VS_M8_E16, 2395 },
    { PseudoVREDXOR_VS_M8_E32, 2396 },
    { PseudoVREDXOR_VS_M8_E64, 2397 },
    { PseudoVREDXOR_VS_M8_E8, 2398 },
    { PseudoVREDXOR_VS_MF2_E16, 2399 },
    { PseudoVREDXOR_VS_MF2_E32, 2400 },
    { PseudoVREDXOR_VS_MF2_E8, 2401 },
    { PseudoVREDXOR_VS_MF4_E16, 2402 },
    { PseudoVREDXOR_VS_MF4_E8, 2403 },
    { PseudoVREDXOR_VS_MF8_E8, 2404 },
    { PseudoVREMU_VV_M1_E16, 2405 },
    { PseudoVREMU_VV_M1_E32, 2406 },
    { PseudoVREMU_VV_M1_E64, 2407 },
    { PseudoVREMU_VV_M1_E8, 2408 },
    { PseudoVREMU_VV_M2_E16, 2409 },
    { PseudoVREMU_VV_M2_E32, 2410 },
    { PseudoVREMU_VV_M2_E64, 2411 },
    { PseudoVREMU_VV_M2_E8, 2412 },
    { PseudoVREMU_VV_M4_E16, 2413 },
    { PseudoVREMU_VV_M4_E32, 2414 },
    { PseudoVREMU_VV_M4_E64, 2415 },
    { PseudoVREMU_VV_M4_E8, 2416 },
    { PseudoVREMU_VV_M8_E16, 2417 },
    { PseudoVREMU_VV_M8_E32, 2418 },
    { PseudoVREMU_VV_M8_E64, 2419 },
    { PseudoVREMU_VV_M8_E8, 2420 },
    { PseudoVREMU_VV_MF2_E16, 2421 },
    { PseudoVREMU_VV_MF2_E32, 2422 },
    { PseudoVREMU_VV_MF2_E8, 2423 },
    { PseudoVREMU_VV_MF4_E16, 2424 },
    { PseudoVREMU_VV_MF4_E8, 2425 },
    { PseudoVREMU_VV_MF8_E8, 2426 },
    { PseudoVREMU_VX_M1_E16, 2427 },
    { PseudoVREMU_VX_M1_E32, 2428 },
    { PseudoVREMU_VX_M1_E64, 2429 },
    { PseudoVREMU_VX_M1_E8, 2430 },
    { PseudoVREMU_VX_M2_E16, 2431 },
    { PseudoVREMU_VX_M2_E32, 2432 },
    { PseudoVREMU_VX_M2_E64, 2433 },
    { PseudoVREMU_VX_M2_E8, 2434 },
    { PseudoVREMU_VX_M4_E16, 2435 },
    { PseudoVREMU_VX_M4_E32, 2436 },
    { PseudoVREMU_VX_M4_E64, 2437 },
    { PseudoVREMU_VX_M4_E8, 2438 },
    { PseudoVREMU_VX_M8_E16, 2439 },
    { PseudoVREMU_VX_M8_E32, 2440 },
    { PseudoVREMU_VX_M8_E64, 2441 },
    { PseudoVREMU_VX_M8_E8, 2442 },
    { PseudoVREMU_VX_MF2_E16, 2443 },
    { PseudoVREMU_VX_MF2_E32, 2444 },
    { PseudoVREMU_VX_MF2_E8, 2445 },
    { PseudoVREMU_VX_MF4_E16, 2446 },
    { PseudoVREMU_VX_MF4_E8, 2447 },
    { PseudoVREMU_VX_MF8_E8, 2448 },
    { PseudoVREM_VV_M1_E16, 2449 },
    { PseudoVREM_VV_M1_E32, 2450 },
    { PseudoVREM_VV_M1_E64, 2451 },
    { PseudoVREM_VV_M1_E8, 2452 },
    { PseudoVREM_VV_M2_E16, 2453 },
    { PseudoVREM_VV_M2_E32, 2454 },
    { PseudoVREM_VV_M2_E64, 2455 },
    { PseudoVREM_VV_M2_E8, 2456 },
    { PseudoVREM_VV_M4_E16, 2457 },
    { PseudoVREM_VV_M4_E32, 2458 },
    { PseudoVREM_VV_M4_E64, 2459 },
    { PseudoVREM_VV_M4_E8, 2460 },
    { PseudoVREM_VV_M8_E16, 2461 },
    { PseudoVREM_VV_M8_E32, 2462 },
    { PseudoVREM_VV_M8_E64, 2463 },
    { PseudoVREM_VV_M8_E8, 2464 },
    { PseudoVREM_VV_MF2_E16, 2465 },
    { PseudoVREM_VV_MF2_E32, 2466 },
    { PseudoVREM_VV_MF2_E8, 2467 },
    { PseudoVREM_VV_MF4_E16, 2468 },
    { PseudoVREM_VV_MF4_E8, 2469 },
    { PseudoVREM_VV_MF8_E8, 2470 },
    { PseudoVREM_VX_M1_E16, 2471 },
    { PseudoVREM_VX_M1_E32, 2472 },
    { PseudoVREM_VX_M1_E64, 2473 },
    { PseudoVREM_VX_M1_E8, 2474 },
    { PseudoVREM_VX_M2_E16, 2475 },
    { PseudoVREM_VX_M2_E32, 2476 },
    { PseudoVREM_VX_M2_E64, 2477 },
    { PseudoVREM_VX_M2_E8, 2478 },
    { PseudoVREM_VX_M4_E16, 2479 },
    { PseudoVREM_VX_M4_E32, 2480 },
    { PseudoVREM_VX_M4_E64, 2481 },
    { PseudoVREM_VX_M4_E8, 2482 },
    { PseudoVREM_VX_M8_E16, 2483 },
    { PseudoVREM_VX_M8_E32, 2484 },
    { PseudoVREM_VX_M8_E64, 2485 },
    { PseudoVREM_VX_M8_E8, 2486 },
    { PseudoVREM_VX_MF2_E16, 2487 },
    { PseudoVREM_VX_MF2_E32, 2488 },
    { PseudoVREM_VX_MF2_E8, 2489 },
    { PseudoVREM_VX_MF4_E16, 2490 },
    { PseudoVREM_VX_MF4_E8, 2491 },
    { PseudoVREM_VX_MF8_E8, 2492 },
    { PseudoVREV8_V_M1, 2493 },
    { PseudoVREV8_V_M2, 2494 },
    { PseudoVREV8_V_M4, 2495 },
    { PseudoVREV8_V_M8, 2496 },
    { PseudoVREV8_V_MF2, 2497 },
    { PseudoVREV8_V_MF4, 2498 },
    { PseudoVREV8_V_MF8, 2499 },
    { PseudoVRGATHEREI16_VV_M1_E16_M1, 2500 },
    { PseudoVRGATHEREI16_VV_M1_E16_M2, 2501 },
    { PseudoVRGATHEREI16_VV_M1_E16_MF2, 2502 },
    { PseudoVRGATHEREI16_VV_M1_E16_MF4, 2503 },
    { PseudoVRGATHEREI16_VV_M1_E32_M1, 2504 },
    { PseudoVRGATHEREI16_VV_M1_E32_M2, 2505 },
    { PseudoVRGATHEREI16_VV_M1_E32_MF2, 2506 },
    { PseudoVRGATHEREI16_VV_M1_E32_MF4, 2507 },
    { PseudoVRGATHEREI16_VV_M1_E64_M1, 2508 },
    { PseudoVRGATHEREI16_VV_M1_E64_M2, 2509 },
    { PseudoVRGATHEREI16_VV_M1_E64_MF2, 2510 },
    { PseudoVRGATHEREI16_VV_M1_E64_MF4, 2511 },
    { PseudoVRGATHEREI16_VV_M1_E8_M1, 2512 },
    { PseudoVRGATHEREI16_VV_M1_E8_M2, 2513 },
    { PseudoVRGATHEREI16_VV_M1_E8_MF2, 2514 },
    { PseudoVRGATHEREI16_VV_M1_E8_MF4, 2515 },
    { PseudoVRGATHEREI16_VV_M2_E16_M1, 2516 },
    { PseudoVRGATHEREI16_VV_M2_E16_M2, 2517 },
    { PseudoVRGATHEREI16_VV_M2_E16_M4, 2518 },
    { PseudoVRGATHEREI16_VV_M2_E16_MF2, 2519 },
    { PseudoVRGATHEREI16_VV_M2_E32_M1, 2520 },
    { PseudoVRGATHEREI16_VV_M2_E32_M2, 2521 },
    { PseudoVRGATHEREI16_VV_M2_E32_M4, 2522 },
    { PseudoVRGATHEREI16_VV_M2_E32_MF2, 2523 },
    { PseudoVRGATHEREI16_VV_M2_E64_M1, 2524 },
    { PseudoVRGATHEREI16_VV_M2_E64_M2, 2525 },
    { PseudoVRGATHEREI16_VV_M2_E64_M4, 2526 },
    { PseudoVRGATHEREI16_VV_M2_E64_MF2, 2527 },
    { PseudoVRGATHEREI16_VV_M2_E8_M1, 2528 },
    { PseudoVRGATHEREI16_VV_M2_E8_M2, 2529 },
    { PseudoVRGATHEREI16_VV_M2_E8_M4, 2530 },
    { PseudoVRGATHEREI16_VV_M2_E8_MF2, 2531 },
    { PseudoVRGATHEREI16_VV_M4_E16_M1, 2532 },
    { PseudoVRGATHEREI16_VV_M4_E16_M2, 2533 },
    { PseudoVRGATHEREI16_VV_M4_E16_M4, 2534 },
    { PseudoVRGATHEREI16_VV_M4_E16_M8, 2535 },
    { PseudoVRGATHEREI16_VV_M4_E32_M1, 2536 },
    { PseudoVRGATHEREI16_VV_M4_E32_M2, 2537 },
    { PseudoVRGATHEREI16_VV_M4_E32_M4, 2538 },
    { PseudoVRGATHEREI16_VV_M4_E32_M8, 2539 },
    { PseudoVRGATHEREI16_VV_M4_E64_M1, 2540 },
    { PseudoVRGATHEREI16_VV_M4_E64_M2, 2541 },
    { PseudoVRGATHEREI16_VV_M4_E64_M4, 2542 },
    { PseudoVRGATHEREI16_VV_M4_E64_M8, 2543 },
    { PseudoVRGATHEREI16_VV_M4_E8_M1, 2544 },
    { PseudoVRGATHEREI16_VV_M4_E8_M2, 2545 },
    { PseudoVRGATHEREI16_VV_M4_E8_M4, 2546 },
    { PseudoVRGATHEREI16_VV_M4_E8_M8, 2547 },
    { PseudoVRGATHEREI16_VV_M8_E16_M2, 2548 },
    { PseudoVRGATHEREI16_VV_M8_E16_M4, 2549 },
    { PseudoVRGATHEREI16_VV_M8_E16_M8, 2550 },
    { PseudoVRGATHEREI16_VV_M8_E32_M2, 2551 },
    { PseudoVRGATHEREI16_VV_M8_E32_M4, 2552 },
    { PseudoVRGATHEREI16_VV_M8_E32_M8, 2553 },
    { PseudoVRGATHEREI16_VV_M8_E64_M2, 2554 },
    { PseudoVRGATHEREI16_VV_M8_E64_M4, 2555 },
    { PseudoVRGATHEREI16_VV_M8_E64_M8, 2556 },
    { PseudoVRGATHEREI16_VV_M8_E8_M2, 2557 },
    { PseudoVRGATHEREI16_VV_M8_E8_M4, 2558 },
    { PseudoVRGATHEREI16_VV_M8_E8_M8, 2559 },
    { PseudoVRGATHEREI16_VV_MF2_E16_M1, 2560 },
    { PseudoVRGATHEREI16_VV_MF2_E16_MF2, 2561 },
    { PseudoVRGATHEREI16_VV_MF2_E16_MF4, 2562 },
    { PseudoVRGATHEREI16_VV_MF2_E16_MF8, 2563 },
    { PseudoVRGATHEREI16_VV_MF2_E32_M1, 2564 },
    { PseudoVRGATHEREI16_VV_MF2_E32_MF2, 2565 },
    { PseudoVRGATHEREI16_VV_MF2_E32_MF4, 2566 },
    { PseudoVRGATHEREI16_VV_MF2_E32_MF8, 2567 },
    { PseudoVRGATHEREI16_VV_MF2_E8_M1, 2568 },
    { PseudoVRGATHEREI16_VV_MF2_E8_MF2, 2569 },
    { PseudoVRGATHEREI16_VV_MF2_E8_MF4, 2570 },
    { PseudoVRGATHEREI16_VV_MF2_E8_MF8, 2571 },
    { PseudoVRGATHEREI16_VV_MF4_E16_MF2, 2572 },
    { PseudoVRGATHEREI16_VV_MF4_E16_MF4, 2573 },
    { PseudoVRGATHEREI16_VV_MF4_E16_MF8, 2574 },
    { PseudoVRGATHEREI16_VV_MF4_E8_MF2, 2575 },
    { PseudoVRGATHEREI16_VV_MF4_E8_MF4, 2576 },
    { PseudoVRGATHEREI16_VV_MF4_E8_MF8, 2577 },
    { PseudoVRGATHEREI16_VV_MF8_E8_MF4, 2578 },
    { PseudoVRGATHEREI16_VV_MF8_E8_MF8, 2579 },
    { PseudoVRGATHER_VI_M1, 2580 },
    { PseudoVRGATHER_VI_M2, 2581 },
    { PseudoVRGATHER_VI_M4, 2582 },
    { PseudoVRGATHER_VI_M8, 2583 },
    { PseudoVRGATHER_VI_MF2, 2584 },
    { PseudoVRGATHER_VI_MF4, 2585 },
    { PseudoVRGATHER_VI_MF8, 2586 },
    { PseudoVRGATHER_VV_M1_E16, 2587 },
    { PseudoVRGATHER_VV_M1_E32, 2588 },
    { PseudoVRGATHER_VV_M1_E64, 2589 },
    { PseudoVRGATHER_VV_M1_E8, 2590 },
    { PseudoVRGATHER_VV_M2_E16, 2591 },
    { PseudoVRGATHER_VV_M2_E32, 2592 },
    { PseudoVRGATHER_VV_M2_E64, 2593 },
    { PseudoVRGATHER_VV_M2_E8, 2594 },
    { PseudoVRGATHER_VV_M4_E16, 2595 },
    { PseudoVRGATHER_VV_M4_E32, 2596 },
    { PseudoVRGATHER_VV_M4_E64, 2597 },
    { PseudoVRGATHER_VV_M4_E8, 2598 },
    { PseudoVRGATHER_VV_M8_E16, 2599 },
    { PseudoVRGATHER_VV_M8_E32, 2600 },
    { PseudoVRGATHER_VV_M8_E64, 2601 },
    { PseudoVRGATHER_VV_M8_E8, 2602 },
    { PseudoVRGATHER_VV_MF2_E16, 2603 },
    { PseudoVRGATHER_VV_MF2_E32, 2604 },
    { PseudoVRGATHER_VV_MF2_E8, 2605 },
    { PseudoVRGATHER_VV_MF4_E16, 2606 },
    { PseudoVRGATHER_VV_MF4_E8, 2607 },
    { PseudoVRGATHER_VV_MF8_E8, 2608 },
    { PseudoVRGATHER_VX_M1, 2609 },
    { PseudoVRGATHER_VX_M2, 2610 },
    { PseudoVRGATHER_VX_M4, 2611 },
    { PseudoVRGATHER_VX_M8, 2612 },
    { PseudoVRGATHER_VX_MF2, 2613 },
    { PseudoVRGATHER_VX_MF4, 2614 },
    { PseudoVRGATHER_VX_MF8, 2615 },
    { PseudoVROL_VV_M1, 2616 },
    { PseudoVROL_VV_M2, 2617 },
    { PseudoVROL_VV_M4, 2618 },
    { PseudoVROL_VV_M8, 2619 },
    { PseudoVROL_VV_MF2, 2620 },
    { PseudoVROL_VV_MF4, 2621 },
    { PseudoVROL_VV_MF8, 2622 },
    { PseudoVROL_VX_M1, 2623 },
    { PseudoVROL_VX_M2, 2624 },
    { PseudoVROL_VX_M4, 2625 },
    { PseudoVROL_VX_M8, 2626 },
    { PseudoVROL_VX_MF2, 2627 },
    { PseudoVROL_VX_MF4, 2628 },
    { PseudoVROL_VX_MF8, 2629 },
    { PseudoVROR_VI_M1, 2630 },
    { PseudoVROR_VI_M2, 2631 },
    { PseudoVROR_VI_M4, 2632 },
    { PseudoVROR_VI_M8, 2633 },
    { PseudoVROR_VI_MF2, 2634 },
    { PseudoVROR_VI_MF4, 2635 },
    { PseudoVROR_VI_MF8, 2636 },
    { PseudoVROR_VV_M1, 2637 },
    { PseudoVROR_VV_M2, 2638 },
    { PseudoVROR_VV_M4, 2639 },
    { PseudoVROR_VV_M8, 2640 },
    { PseudoVROR_VV_MF2, 2641 },
    { PseudoVROR_VV_MF4, 2642 },
    { PseudoVROR_VV_MF8, 2643 },
    { PseudoVROR_VX_M1, 2644 },
    { PseudoVROR_VX_M2, 2645 },
    { PseudoVROR_VX_M4, 2646 },
    { PseudoVROR_VX_M8, 2647 },
    { PseudoVROR_VX_MF2, 2648 },
    { PseudoVROR_VX_MF4, 2649 },
    { PseudoVROR_VX_MF8, 2650 },
    { PseudoVRSUB_VI_M1, 2651 },
    { PseudoVRSUB_VI_M2, 2652 },
    { PseudoVRSUB_VI_M4, 2653 },
    { PseudoVRSUB_VI_M8, 2654 },
    { PseudoVRSUB_VI_MF2, 2655 },
    { PseudoVRSUB_VI_MF4, 2656 },
    { PseudoVRSUB_VI_MF8, 2657 },
    { PseudoVRSUB_VX_M1, 2658 },
    { PseudoVRSUB_VX_M2, 2659 },
    { PseudoVRSUB_VX_M4, 2660 },
    { PseudoVRSUB_VX_M8, 2661 },
    { PseudoVRSUB_VX_MF2, 2662 },
    { PseudoVRSUB_VX_MF4, 2663 },
    { PseudoVRSUB_VX_MF8, 2664 },
    { PseudoVSADDU_VI_M1, 2665 },
    { PseudoVSADDU_VI_M2, 2666 },
    { PseudoVSADDU_VI_M4, 2667 },
    { PseudoVSADDU_VI_M8, 2668 },
    { PseudoVSADDU_VI_MF2, 2669 },
    { PseudoVSADDU_VI_MF4, 2670 },
    { PseudoVSADDU_VI_MF8, 2671 },
    { PseudoVSADDU_VV_M1, 2672 },
    { PseudoVSADDU_VV_M2, 2673 },
    { PseudoVSADDU_VV_M4, 2674 },
    { PseudoVSADDU_VV_M8, 2675 },
    { PseudoVSADDU_VV_MF2, 2676 },
    { PseudoVSADDU_VV_MF4, 2677 },
    { PseudoVSADDU_VV_MF8, 2678 },
    { PseudoVSADDU_VX_M1, 2679 },
    { PseudoVSADDU_VX_M2, 2680 },
    { PseudoVSADDU_VX_M4, 2681 },
    { PseudoVSADDU_VX_M8, 2682 },
    { PseudoVSADDU_VX_MF2, 2683 },
    { PseudoVSADDU_VX_MF4, 2684 },
    { PseudoVSADDU_VX_MF8, 2685 },
    { PseudoVSADD_VI_M1, 2686 },
    { PseudoVSADD_VI_M2, 2687 },
    { PseudoVSADD_VI_M4, 2688 },
    { PseudoVSADD_VI_M8, 2689 },
    { PseudoVSADD_VI_MF2, 2690 },
    { PseudoVSADD_VI_MF4, 2691 },
    { PseudoVSADD_VI_MF8, 2692 },
    { PseudoVSADD_VV_M1, 2693 },
    { PseudoVSADD_VV_M2, 2694 },
    { PseudoVSADD_VV_M4, 2695 },
    { PseudoVSADD_VV_M8, 2696 },
    { PseudoVSADD_VV_MF2, 2697 },
    { PseudoVSADD_VV_MF4, 2698 },
    { PseudoVSADD_VV_MF8, 2699 },
    { PseudoVSADD_VX_M1, 2700 },
    { PseudoVSADD_VX_M2, 2701 },
    { PseudoVSADD_VX_M4, 2702 },
    { PseudoVSADD_VX_M8, 2703 },
    { PseudoVSADD_VX_MF2, 2704 },
    { PseudoVSADD_VX_MF4, 2705 },
    { PseudoVSADD_VX_MF8, 2706 },
    { PseudoVSEXT_VF2_M1, 2707 },
    { PseudoVSEXT_VF2_M2, 2708 },
    { PseudoVSEXT_VF2_M4, 2709 },
    { PseudoVSEXT_VF2_M8, 2710 },
    { PseudoVSEXT_VF2_MF2, 2711 },
    { PseudoVSEXT_VF2_MF4, 2712 },
    { PseudoVSEXT_VF4_M1, 2713 },
    { PseudoVSEXT_VF4_M2, 2714 },
    { PseudoVSEXT_VF4_M4, 2715 },
    { PseudoVSEXT_VF4_M8, 2716 },
    { PseudoVSEXT_VF4_MF2, 2717 },
    { PseudoVSEXT_VF8_M1, 2718 },
    { PseudoVSEXT_VF8_M2, 2719 },
    { PseudoVSEXT_VF8_M4, 2720 },
    { PseudoVSEXT_VF8_M8, 2721 },
    { PseudoVSLIDE1DOWN_VX_M1, 2722 },
    { PseudoVSLIDE1DOWN_VX_M2, 2723 },
    { PseudoVSLIDE1DOWN_VX_M4, 2724 },
    { PseudoVSLIDE1DOWN_VX_M8, 2725 },
    { PseudoVSLIDE1DOWN_VX_MF2, 2726 },
    { PseudoVSLIDE1DOWN_VX_MF4, 2727 },
    { PseudoVSLIDE1DOWN_VX_MF8, 2728 },
    { PseudoVSLIDE1UP_VX_M1, 2729 },
    { PseudoVSLIDE1UP_VX_M2, 2730 },
    { PseudoVSLIDE1UP_VX_M4, 2731 },
    { PseudoVSLIDE1UP_VX_M8, 2732 },
    { PseudoVSLIDE1UP_VX_MF2, 2733 },
    { PseudoVSLIDE1UP_VX_MF4, 2734 },
    { PseudoVSLIDE1UP_VX_MF8, 2735 },
    { PseudoVSLIDEDOWN_VI_M1, 2736 },
    { PseudoVSLIDEDOWN_VI_M2, 2737 },
    { PseudoVSLIDEDOWN_VI_M4, 2738 },
    { PseudoVSLIDEDOWN_VI_M8, 2739 },
    { PseudoVSLIDEDOWN_VI_MF2, 2740 },
    { PseudoVSLIDEDOWN_VI_MF4, 2741 },
    { PseudoVSLIDEDOWN_VI_MF8, 2742 },
    { PseudoVSLIDEDOWN_VX_M1, 2743 },
    { PseudoVSLIDEDOWN_VX_M2, 2744 },
    { PseudoVSLIDEDOWN_VX_M4, 2745 },
    { PseudoVSLIDEDOWN_VX_M8, 2746 },
    { PseudoVSLIDEDOWN_VX_MF2, 2747 },
    { PseudoVSLIDEDOWN_VX_MF4, 2748 },
    { PseudoVSLIDEDOWN_VX_MF8, 2749 },
    { PseudoVSLIDEUP_VI_M1, 2750 },
    { PseudoVSLIDEUP_VI_M2, 2751 },
    { PseudoVSLIDEUP_VI_M4, 2752 },
    { PseudoVSLIDEUP_VI_M8, 2753 },
    { PseudoVSLIDEUP_VI_MF2, 2754 },
    { PseudoVSLIDEUP_VI_MF4, 2755 },
    { PseudoVSLIDEUP_VI_MF8, 2756 },
    { PseudoVSLIDEUP_VX_M1, 2757 },
    { PseudoVSLIDEUP_VX_M2, 2758 },
    { PseudoVSLIDEUP_VX_M4, 2759 },
    { PseudoVSLIDEUP_VX_M8, 2760 },
    { PseudoVSLIDEUP_VX_MF2, 2761 },
    { PseudoVSLIDEUP_VX_MF4, 2762 },
    { PseudoVSLIDEUP_VX_MF8, 2763 },
    { PseudoVSLL_VI_M1, 2764 },
    { PseudoVSLL_VI_M2, 2765 },
    { PseudoVSLL_VI_M4, 2766 },
    { PseudoVSLL_VI_M8, 2767 },
    { PseudoVSLL_VI_MF2, 2768 },
    { PseudoVSLL_VI_MF4, 2769 },
    { PseudoVSLL_VI_MF8, 2770 },
    { PseudoVSLL_VV_M1, 2771 },
    { PseudoVSLL_VV_M2, 2772 },
    { PseudoVSLL_VV_M4, 2773 },
    { PseudoVSLL_VV_M8, 2774 },
    { PseudoVSLL_VV_MF2, 2775 },
    { PseudoVSLL_VV_MF4, 2776 },
    { PseudoVSLL_VV_MF8, 2777 },
    { PseudoVSLL_VX_M1, 2778 },
    { PseudoVSLL_VX_M2, 2779 },
    { PseudoVSLL_VX_M4, 2780 },
    { PseudoVSLL_VX_M8, 2781 },
    { PseudoVSLL_VX_MF2, 2782 },
    { PseudoVSLL_VX_MF4, 2783 },
    { PseudoVSLL_VX_MF8, 2784 },
    { PseudoVSMUL_VV_M1, 2785 },
    { PseudoVSMUL_VV_M2, 2786 },
    { PseudoVSMUL_VV_M4, 2787 },
    { PseudoVSMUL_VV_M8, 2788 },
    { PseudoVSMUL_VV_MF2, 2789 },
    { PseudoVSMUL_VV_MF4, 2790 },
    { PseudoVSMUL_VV_MF8, 2791 },
    { PseudoVSMUL_VX_M1, 2792 },
    { PseudoVSMUL_VX_M2, 2793 },
    { PseudoVSMUL_VX_M4, 2794 },
    { PseudoVSMUL_VX_M8, 2795 },
    { PseudoVSMUL_VX_MF2, 2796 },
    { PseudoVSMUL_VX_MF4, 2797 },
    { PseudoVSMUL_VX_MF8, 2798 },
    { PseudoVSRA_VI_M1, 2799 },
    { PseudoVSRA_VI_M2, 2800 },
    { PseudoVSRA_VI_M4, 2801 },
    { PseudoVSRA_VI_M8, 2802 },
    { PseudoVSRA_VI_MF2, 2803 },
    { PseudoVSRA_VI_MF4, 2804 },
    { PseudoVSRA_VI_MF8, 2805 },
    { PseudoVSRA_VV_M1, 2806 },
    { PseudoVSRA_VV_M2, 2807 },
    { PseudoVSRA_VV_M4, 2808 },
    { PseudoVSRA_VV_M8, 2809 },
    { PseudoVSRA_VV_MF2, 2810 },
    { PseudoVSRA_VV_MF4, 2811 },
    { PseudoVSRA_VV_MF8, 2812 },
    { PseudoVSRA_VX_M1, 2813 },
    { PseudoVSRA_VX_M2, 2814 },
    { PseudoVSRA_VX_M4, 2815 },
    { PseudoVSRA_VX_M8, 2816 },
    { PseudoVSRA_VX_MF2, 2817 },
    { PseudoVSRA_VX_MF4, 2818 },
    { PseudoVSRA_VX_MF8, 2819 },
    { PseudoVSRL_VI_M1, 2820 },
    { PseudoVSRL_VI_M2, 2821 },
    { PseudoVSRL_VI_M4, 2822 },
    { PseudoVSRL_VI_M8, 2823 },
    { PseudoVSRL_VI_MF2, 2824 },
    { PseudoVSRL_VI_MF4, 2825 },
    { PseudoVSRL_VI_MF8, 2826 },
    { PseudoVSRL_VV_M1, 2827 },
    { PseudoVSRL_VV_M2, 2828 },
    { PseudoVSRL_VV_M4, 2829 },
    { PseudoVSRL_VV_M8, 2830 },
    { PseudoVSRL_VV_MF2, 2831 },
    { PseudoVSRL_VV_MF4, 2832 },
    { PseudoVSRL_VV_MF8, 2833 },
    { PseudoVSRL_VX_M1, 2834 },
    { PseudoVSRL_VX_M2, 2835 },
    { PseudoVSRL_VX_M4, 2836 },
    { PseudoVSRL_VX_M8, 2837 },
    { PseudoVSRL_VX_MF2, 2838 },
    { PseudoVSRL_VX_MF4, 2839 },
    { PseudoVSRL_VX_MF8, 2840 },
    { PseudoVSSRA_VI_M1, 2841 },
    { PseudoVSSRA_VI_M2, 2842 },
    { PseudoVSSRA_VI_M4, 2843 },
    { PseudoVSSRA_VI_M8, 2844 },
    { PseudoVSSRA_VI_MF2, 2845 },
    { PseudoVSSRA_VI_MF4, 2846 },
    { PseudoVSSRA_VI_MF8, 2847 },
    { PseudoVSSRA_VV_M1, 2848 },
    { PseudoVSSRA_VV_M2, 2849 },
    { PseudoVSSRA_VV_M4, 2850 },
    { PseudoVSSRA_VV_M8, 2851 },
    { PseudoVSSRA_VV_MF2, 2852 },
    { PseudoVSSRA_VV_MF4, 2853 },
    { PseudoVSSRA_VV_MF8, 2854 },
    { PseudoVSSRA_VX_M1, 2855 },
    { PseudoVSSRA_VX_M2, 2856 },
    { PseudoVSSRA_VX_M4, 2857 },
    { PseudoVSSRA_VX_M8, 2858 },
    { PseudoVSSRA_VX_MF2, 2859 },
    { PseudoVSSRA_VX_MF4, 2860 },
    { PseudoVSSRA_VX_MF8, 2861 },
    { PseudoVSSRL_VI_M1, 2862 },
    { PseudoVSSRL_VI_M2, 2863 },
    { PseudoVSSRL_VI_M4, 2864 },
    { PseudoVSSRL_VI_M8, 2865 },
    { PseudoVSSRL_VI_MF2, 2866 },
    { PseudoVSSRL_VI_MF4, 2867 },
    { PseudoVSSRL_VI_MF8, 2868 },
    { PseudoVSSRL_VV_M1, 2869 },
    { PseudoVSSRL_VV_M2, 2870 },
    { PseudoVSSRL_VV_M4, 2871 },
    { PseudoVSSRL_VV_M8, 2872 },
    { PseudoVSSRL_VV_MF2, 2873 },
    { PseudoVSSRL_VV_MF4, 2874 },
    { PseudoVSSRL_VV_MF8, 2875 },
    { PseudoVSSRL_VX_M1, 2876 },
    { PseudoVSSRL_VX_M2, 2877 },
    { PseudoVSSRL_VX_M4, 2878 },
    { PseudoVSSRL_VX_M8, 2879 },
    { PseudoVSSRL_VX_MF2, 2880 },
    { PseudoVSSRL_VX_MF4, 2881 },
    { PseudoVSSRL_VX_MF8, 2882 },
    { PseudoVSSUBU_VV_M1, 2883 },
    { PseudoVSSUBU_VV_M2, 2884 },
    { PseudoVSSUBU_VV_M4, 2885 },
    { PseudoVSSUBU_VV_M8, 2886 },
    { PseudoVSSUBU_VV_MF2, 2887 },
    { PseudoVSSUBU_VV_MF4, 2888 },
    { PseudoVSSUBU_VV_MF8, 2889 },
    { PseudoVSSUBU_VX_M1, 2890 },
    { PseudoVSSUBU_VX_M2, 2891 },
    { PseudoVSSUBU_VX_M4, 2892 },
    { PseudoVSSUBU_VX_M8, 2893 },
    { PseudoVSSUBU_VX_MF2, 2894 },
    { PseudoVSSUBU_VX_MF4, 2895 },
    { PseudoVSSUBU_VX_MF8, 2896 },
    { PseudoVSSUB_VV_M1, 2897 },
    { PseudoVSSUB_VV_M2, 2898 },
    { PseudoVSSUB_VV_M4, 2899 },
    { PseudoVSSUB_VV_M8, 2900 },
    { PseudoVSSUB_VV_MF2, 2901 },
    { PseudoVSSUB_VV_MF4, 2902 },
    { PseudoVSSUB_VV_MF8, 2903 },
    { PseudoVSSUB_VX_M1, 2904 },
    { PseudoVSSUB_VX_M2, 2905 },
    { PseudoVSSUB_VX_M4, 2906 },
    { PseudoVSSUB_VX_M8, 2907 },
    { PseudoVSSUB_VX_MF2, 2908 },
    { PseudoVSSUB_VX_MF4, 2909 },
    { PseudoVSSUB_VX_MF8, 2910 },
    { PseudoVSUB_VV_M1, 2911 },
    { PseudoVSUB_VV_M2, 2912 },
    { PseudoVSUB_VV_M4, 2913 },
    { PseudoVSUB_VV_M8, 2914 },
    { PseudoVSUB_VV_MF2, 2915 },
    { PseudoVSUB_VV_MF4, 2916 },
    { PseudoVSUB_VV_MF8, 2917 },
    { PseudoVSUB_VX_M1, 2918 },
    { PseudoVSUB_VX_M2, 2919 },
    { PseudoVSUB_VX_M4, 2920 },
    { PseudoVSUB_VX_M8, 2921 },
    { PseudoVSUB_VX_MF2, 2922 },
    { PseudoVSUB_VX_MF4, 2923 },
    { PseudoVSUB_VX_MF8, 2924 },
    { PseudoVWADDU_VV_M1, 2925 },
    { PseudoVWADDU_VV_M2, 2926 },
    { PseudoVWADDU_VV_M4, 2927 },
    { PseudoVWADDU_VV_MF2, 2928 },
    { PseudoVWADDU_VV_MF4, 2929 },
    { PseudoVWADDU_VV_MF8, 2930 },
    { PseudoVWADDU_VX_M1, 2931 },
    { PseudoVWADDU_VX_M2, 2932 },
    { PseudoVWADDU_VX_M4, 2933 },
    { PseudoVWADDU_VX_MF2, 2934 },
    { PseudoVWADDU_VX_MF4, 2935 },
    { PseudoVWADDU_VX_MF8, 2936 },
    { PseudoVWADDU_WV_M1, 2937 },
    { PseudoVWADDU_WV_M1_TIED, 2938 },
    { PseudoVWADDU_WV_M2, 2939 },
    { PseudoVWADDU_WV_M2_TIED, 2940 },
    { PseudoVWADDU_WV_M4, 2941 },
    { PseudoVWADDU_WV_M4_TIED, 2942 },
    { PseudoVWADDU_WV_MF2, 2943 },
    { PseudoVWADDU_WV_MF2_TIED, 2944 },
    { PseudoVWADDU_WV_MF4, 2945 },
    { PseudoVWADDU_WV_MF4_TIED, 2946 },
    { PseudoVWADDU_WV_MF8, 2947 },
    { PseudoVWADDU_WV_MF8_TIED, 2948 },
    { PseudoVWADDU_WX_M1, 2949 },
    { PseudoVWADDU_WX_M2, 2950 },
    { PseudoVWADDU_WX_M4, 2951 },
    { PseudoVWADDU_WX_MF2, 2952 },
    { PseudoVWADDU_WX_MF4, 2953 },
    { PseudoVWADDU_WX_MF8, 2954 },
    { PseudoVWADD_VV_M1, 2955 },
    { PseudoVWADD_VV_M2, 2956 },
    { PseudoVWADD_VV_M4, 2957 },
    { PseudoVWADD_VV_MF2, 2958 },
    { PseudoVWADD_VV_MF4, 2959 },
    { PseudoVWADD_VV_MF8, 2960 },
    { PseudoVWADD_VX_M1, 2961 },
    { PseudoVWADD_VX_M2, 2962 },
    { PseudoVWADD_VX_M4, 2963 },
    { PseudoVWADD_VX_MF2, 2964 },
    { PseudoVWADD_VX_MF4, 2965 },
    { PseudoVWADD_VX_MF8, 2966 },
    { PseudoVWADD_WV_M1, 2967 },
    { PseudoVWADD_WV_M1_TIED, 2968 },
    { PseudoVWADD_WV_M2, 2969 },
    { PseudoVWADD_WV_M2_TIED, 2970 },
    { PseudoVWADD_WV_M4, 2971 },
    { PseudoVWADD_WV_M4_TIED, 2972 },
    { PseudoVWADD_WV_MF2, 2973 },
    { PseudoVWADD_WV_MF2_TIED, 2974 },
    { PseudoVWADD_WV_MF4, 2975 },
    { PseudoVWADD_WV_MF4_TIED, 2976 },
    { PseudoVWADD_WV_MF8, 2977 },
    { PseudoVWADD_WV_MF8_TIED, 2978 },
    { PseudoVWADD_WX_M1, 2979 },
    { PseudoVWADD_WX_M2, 2980 },
    { PseudoVWADD_WX_M4, 2981 },
    { PseudoVWADD_WX_MF2, 2982 },
    { PseudoVWADD_WX_MF4, 2983 },
    { PseudoVWADD_WX_MF8, 2984 },
    { PseudoVWMACCSU_VV_M1, 2985 },
    { PseudoVWMACCSU_VV_M2, 2986 },
    { PseudoVWMACCSU_VV_M4, 2987 },
    { PseudoVWMACCSU_VV_MF2, 2988 },
    { PseudoVWMACCSU_VV_MF4, 2989 },
    { PseudoVWMACCSU_VV_MF8, 2990 },
    { PseudoVWMACCSU_VX_M1, 2991 },
    { PseudoVWMACCSU_VX_M2, 2992 },
    { PseudoVWMACCSU_VX_M4, 2993 },
    { PseudoVWMACCSU_VX_MF2, 2994 },
    { PseudoVWMACCSU_VX_MF4, 2995 },
    { PseudoVWMACCSU_VX_MF8, 2996 },
    { PseudoVWMACCUS_VX_M1, 2997 },
    { PseudoVWMACCUS_VX_M2, 2998 },
    { PseudoVWMACCUS_VX_M4, 2999 },
    { PseudoVWMACCUS_VX_MF2, 3000 },
    { PseudoVWMACCUS_VX_MF4, 3001 },
    { PseudoVWMACCUS_VX_MF8, 3002 },
    { PseudoVWMACCU_VV_M1, 3003 },
    { PseudoVWMACCU_VV_M2, 3004 },
    { PseudoVWMACCU_VV_M4, 3005 },
    { PseudoVWMACCU_VV_MF2, 3006 },
    { PseudoVWMACCU_VV_MF4, 3007 },
    { PseudoVWMACCU_VV_MF8, 3008 },
    { PseudoVWMACCU_VX_M1, 3009 },
    { PseudoVWMACCU_VX_M2, 3010 },
    { PseudoVWMACCU_VX_M4, 3011 },
    { PseudoVWMACCU_VX_MF2, 3012 },
    { PseudoVWMACCU_VX_MF4, 3013 },
    { PseudoVWMACCU_VX_MF8, 3014 },
    { PseudoVWMACC_VV_M1, 3015 },
    { PseudoVWMACC_VV_M2, 3016 },
    { PseudoVWMACC_VV_M4, 3017 },
    { PseudoVWMACC_VV_MF2, 3018 },
    { PseudoVWMACC_VV_MF4, 3019 },
    { PseudoVWMACC_VV_MF8, 3020 },
    { PseudoVWMACC_VX_M1, 3021 },
    { PseudoVWMACC_VX_M2, 3022 },
    { PseudoVWMACC_VX_M4, 3023 },
    { PseudoVWMACC_VX_MF2, 3024 },
    { PseudoVWMACC_VX_MF4, 3025 },
    { PseudoVWMACC_VX_MF8, 3026 },
    { PseudoVWMULSU_VV_M1, 3027 },
    { PseudoVWMULSU_VV_M2, 3028 },
    { PseudoVWMULSU_VV_M4, 3029 },
    { PseudoVWMULSU_VV_MF2, 3030 },
    { PseudoVWMULSU_VV_MF4, 3031 },
    { PseudoVWMULSU_VV_MF8, 3032 },
    { PseudoVWMULSU_VX_M1, 3033 },
    { PseudoVWMULSU_VX_M2, 3034 },
    { PseudoVWMULSU_VX_M4, 3035 },
    { PseudoVWMULSU_VX_MF2, 3036 },
    { PseudoVWMULSU_VX_MF4, 3037 },
    { PseudoVWMULSU_VX_MF8, 3038 },
    { PseudoVWMULU_VV_M1, 3039 },
    { PseudoVWMULU_VV_M2, 3040 },
    { PseudoVWMULU_VV_M4, 3041 },
    { PseudoVWMULU_VV_MF2, 3042 },
    { PseudoVWMULU_VV_MF4, 3043 },
    { PseudoVWMULU_VV_MF8, 3044 },
    { PseudoVWMULU_VX_M1, 3045 },
    { PseudoVWMULU_VX_M2, 3046 },
    { PseudoVWMULU_VX_M4, 3047 },
    { PseudoVWMULU_VX_MF2, 3048 },
    { PseudoVWMULU_VX_MF4, 3049 },
    { PseudoVWMULU_VX_MF8, 3050 },
    { PseudoVWMUL_VV_M1, 3051 },
    { PseudoVWMUL_VV_M2, 3052 },
    { PseudoVWMUL_VV_M4, 3053 },
    { PseudoVWMUL_VV_MF2, 3054 },
    { PseudoVWMUL_VV_MF4, 3055 },
    { PseudoVWMUL_VV_MF8, 3056 },
    { PseudoVWMUL_VX_M1, 3057 },
    { PseudoVWMUL_VX_M2, 3058 },
    { PseudoVWMUL_VX_M4, 3059 },
    { PseudoVWMUL_VX_MF2, 3060 },
    { PseudoVWMUL_VX_MF4, 3061 },
    { PseudoVWMUL_VX_MF8, 3062 },
    { PseudoVWREDSUMU_VS_M1_E16, 3063 },
    { PseudoVWREDSUMU_VS_M1_E32, 3064 },
    { PseudoVWREDSUMU_VS_M1_E8, 3065 },
    { PseudoVWREDSUMU_VS_M2_E16, 3066 },
    { PseudoVWREDSUMU_VS_M2_E32, 3067 },
    { PseudoVWREDSUMU_VS_M2_E8, 3068 },
    { PseudoVWREDSUMU_VS_M4_E16, 3069 },
    { PseudoVWREDSUMU_VS_M4_E32, 3070 },
    { PseudoVWREDSUMU_VS_M4_E8, 3071 },
    { PseudoVWREDSUMU_VS_M8_E16, 3072 },
    { PseudoVWREDSUMU_VS_M8_E32, 3073 },
    { PseudoVWREDSUMU_VS_M8_E8, 3074 },
    { PseudoVWREDSUMU_VS_MF2_E16, 3075 },
    { PseudoVWREDSUMU_VS_MF2_E32, 3076 },
    { PseudoVWREDSUMU_VS_MF2_E8, 3077 },
    { PseudoVWREDSUMU_VS_MF4_E16, 3078 },
    { PseudoVWREDSUMU_VS_MF4_E8, 3079 },
    { PseudoVWREDSUMU_VS_MF8_E8, 3080 },
    { PseudoVWREDSUM_VS_M1_E16, 3081 },
    { PseudoVWREDSUM_VS_M1_E32, 3082 },
    { PseudoVWREDSUM_VS_M1_E8, 3083 },
    { PseudoVWREDSUM_VS_M2_E16, 3084 },
    { PseudoVWREDSUM_VS_M2_E32, 3085 },
    { PseudoVWREDSUM_VS_M2_E8, 3086 },
    { PseudoVWREDSUM_VS_M4_E16, 3087 },
    { PseudoVWREDSUM_VS_M4_E32, 3088 },
    { PseudoVWREDSUM_VS_M4_E8, 3089 },
    { PseudoVWREDSUM_VS_M8_E16, 3090 },
    { PseudoVWREDSUM_VS_M8_E32, 3091 },
    { PseudoVWREDSUM_VS_M8_E8, 3092 },
    { PseudoVWREDSUM_VS_MF2_E16, 3093 },
    { PseudoVWREDSUM_VS_MF2_E32, 3094 },
    { PseudoVWREDSUM_VS_MF2_E8, 3095 },
    { PseudoVWREDSUM_VS_MF4_E16, 3096 },
    { PseudoVWREDSUM_VS_MF4_E8, 3097 },
    { PseudoVWREDSUM_VS_MF8_E8, 3098 },
    { PseudoVWSLL_VI_M1, 3099 },
    { PseudoVWSLL_VI_M2, 3100 },
    { PseudoVWSLL_VI_M4, 3101 },
    { PseudoVWSLL_VI_MF2, 3102 },
    { PseudoVWSLL_VI_MF4, 3103 },
    { PseudoVWSLL_VI_MF8, 3104 },
    { PseudoVWSLL_VV_M1, 3105 },
    { PseudoVWSLL_VV_M2, 3106 },
    { PseudoVWSLL_VV_M4, 3107 },
    { PseudoVWSLL_VV_MF2, 3108 },
    { PseudoVWSLL_VV_MF4, 3109 },
    { PseudoVWSLL_VV_MF8, 3110 },
    { PseudoVWSLL_VX_M1, 3111 },
    { PseudoVWSLL_VX_M2, 3112 },
    { PseudoVWSLL_VX_M4, 3113 },
    { PseudoVWSLL_VX_MF2, 3114 },
    { PseudoVWSLL_VX_MF4, 3115 },
    { PseudoVWSLL_VX_MF8, 3116 },
    { PseudoVWSUBU_VV_M1, 3117 },
    { PseudoVWSUBU_VV_M2, 3118 },
    { PseudoVWSUBU_VV_M4, 3119 },
    { PseudoVWSUBU_VV_MF2, 3120 },
    { PseudoVWSUBU_VV_MF4, 3121 },
    { PseudoVWSUBU_VV_MF8, 3122 },
    { PseudoVWSUBU_VX_M1, 3123 },
    { PseudoVWSUBU_VX_M2, 3124 },
    { PseudoVWSUBU_VX_M4, 3125 },
    { PseudoVWSUBU_VX_MF2, 3126 },
    { PseudoVWSUBU_VX_MF4, 3127 },
    { PseudoVWSUBU_VX_MF8, 3128 },
    { PseudoVWSUBU_WV_M1, 3129 },
    { PseudoVWSUBU_WV_M1_TIED, 3130 },
    { PseudoVWSUBU_WV_M2, 3131 },
    { PseudoVWSUBU_WV_M2_TIED, 3132 },
    { PseudoVWSUBU_WV_M4, 3133 },
    { PseudoVWSUBU_WV_M4_TIED, 3134 },
    { PseudoVWSUBU_WV_MF2, 3135 },
    { PseudoVWSUBU_WV_MF2_TIED, 3136 },
    { PseudoVWSUBU_WV_MF4, 3137 },
    { PseudoVWSUBU_WV_MF4_TIED, 3138 },
    { PseudoVWSUBU_WV_MF8, 3139 },
    { PseudoVWSUBU_WV_MF8_TIED, 3140 },
    { PseudoVWSUBU_WX_M1, 3141 },
    { PseudoVWSUBU_WX_M2, 3142 },
    { PseudoVWSUBU_WX_M4, 3143 },
    { PseudoVWSUBU_WX_MF2, 3144 },
    { PseudoVWSUBU_WX_MF4, 3145 },
    { PseudoVWSUBU_WX_MF8, 3146 },
    { PseudoVWSUB_VV_M1, 3147 },
    { PseudoVWSUB_VV_M2, 3148 },
    { PseudoVWSUB_VV_M4, 3149 },
    { PseudoVWSUB_VV_MF2, 3150 },
    { PseudoVWSUB_VV_MF4, 3151 },
    { PseudoVWSUB_VV_MF8, 3152 },
    { PseudoVWSUB_VX_M1, 3153 },
    { PseudoVWSUB_VX_M2, 3154 },
    { PseudoVWSUB_VX_M4, 3155 },
    { PseudoVWSUB_VX_MF2, 3156 },
    { PseudoVWSUB_VX_MF4, 3157 },
    { PseudoVWSUB_VX_MF8, 3158 },
    { PseudoVWSUB_WV_M1, 3159 },
    { PseudoVWSUB_WV_M1_TIED, 3160 },
    { PseudoVWSUB_WV_M2, 3161 },
    { PseudoVWSUB_WV_M2_TIED, 3162 },
    { PseudoVWSUB_WV_M4, 3163 },
    { PseudoVWSUB_WV_M4_TIED, 3164 },
    { PseudoVWSUB_WV_MF2, 3165 },
    { PseudoVWSUB_WV_MF2_TIED, 3166 },
    { PseudoVWSUB_WV_MF4, 3167 },
    { PseudoVWSUB_WV_MF4_TIED, 3168 },
    { PseudoVWSUB_WV_MF8, 3169 },
    { PseudoVWSUB_WV_MF8_TIED, 3170 },
    { PseudoVWSUB_WX_M1, 3171 },
    { PseudoVWSUB_WX_M2, 3172 },
    { PseudoVWSUB_WX_M4, 3173 },
    { PseudoVWSUB_WX_MF2, 3174 },
    { PseudoVWSUB_WX_MF4, 3175 },
    { PseudoVWSUB_WX_MF8, 3176 },
    { PseudoVXOR_VI_M1, 3177 },
    { PseudoVXOR_VI_M2, 3178 },
    { PseudoVXOR_VI_M4, 3179 },
    { PseudoVXOR_VI_M8, 3180 },
    { PseudoVXOR_VI_MF2, 3181 },
    { PseudoVXOR_VI_MF4, 3182 },
    { PseudoVXOR_VI_MF8, 3183 },
    { PseudoVXOR_VV_M1, 3184 },
    { PseudoVXOR_VV_M2, 3185 },
    { PseudoVXOR_VV_M4, 3186 },
    { PseudoVXOR_VV_M8, 3187 },
    { PseudoVXOR_VV_MF2, 3188 },
    { PseudoVXOR_VV_MF4, 3189 },
    { PseudoVXOR_VV_MF8, 3190 },
    { PseudoVXOR_VX_M1, 3191 },
    { PseudoVXOR_VX_M2, 3192 },
    { PseudoVXOR_VX_M4, 3193 },
    { PseudoVXOR_VX_M8, 3194 },
    { PseudoVXOR_VX_MF2, 3195 },
    { PseudoVXOR_VX_MF4, 3196 },
    { PseudoVXOR_VX_MF8, 3197 },
    { PseudoVZEXT_VF2_M1, 3198 },
    { PseudoVZEXT_VF2_M2, 3199 },
    { PseudoVZEXT_VF2_M4, 3200 },
    { PseudoVZEXT_VF2_M8, 3201 },
    { PseudoVZEXT_VF2_MF2, 3202 },
    { PseudoVZEXT_VF2_MF4, 3203 },
    { PseudoVZEXT_VF4_M1, 3204 },
    { PseudoVZEXT_VF4_M2, 3205 },
    { PseudoVZEXT_VF4_M4, 3206 },
    { PseudoVZEXT_VF4_M8, 3207 },
    { PseudoVZEXT_VF4_MF2, 3208 },
    { PseudoVZEXT_VF8_M1, 3209 },
    { PseudoVZEXT_VF8_M2, 3210 },
    { PseudoVZEXT_VF8_M4, 3211 },
    { PseudoVZEXT_VF8_M8, 3212 },
  };

  struct KeyType {
    unsigned UnmaskedPseudo;
  };
  KeyType Key = {UnmaskedPseudo};
  struct Comp {
    bool operator()(const IndexType &LHS, const KeyType &RHS) const {
      if (LHS.UnmaskedPseudo < RHS.UnmaskedPseudo)
        return true;
      if (LHS.UnmaskedPseudo > RHS.UnmaskedPseudo)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.UnmaskedPseudo != Idx->UnmaskedPseudo)
    return nullptr;

  return &RISCVMaskedPseudosTable[Idx->_index];
}
#endif

#ifdef GET_RISCVOpcodesList_DECL
const RISCVOpcode *lookupRISCVOpcodeByValue(uint8_t Value);
const RISCVOpcode *lookupRISCVOpcodeByName(StringRef Name);
#endif

#ifdef GET_RISCVOpcodesList_IMPL
constexpr RISCVOpcode RISCVOpcodesList[] = {
  { "LOAD", 0x3 }, // 0
  { "LOAD_FP", 0x7 }, // 1
  { "CUSTOM_0", 0xB }, // 2
  { "MISC_MEM", 0xF }, // 3
  { "OP_IMM", 0x13 }, // 4
  { "AUIPC", 0x17 }, // 5
  { "OP_IMM_32", 0x1B }, // 6
  { "STORE", 0x23 }, // 7
  { "STORE_FP", 0x27 }, // 8
  { "CUSTOM_1", 0x2B }, // 9
  { "AMO", 0x2F }, // 10
  { "OP", 0x33 }, // 11
  { "LUI", 0x37 }, // 12
  { "OP_32", 0x3B }, // 13
  { "MADD", 0x43 }, // 14
  { "MSUB", 0x47 }, // 15
  { "NMSUB", 0x4B }, // 16
  { "NMADD", 0x4F }, // 17
  { "OP_FP", 0x53 }, // 18
  { "OP_V", 0x57 }, // 19
  { "CUSTOM_2", 0x5B }, // 20
  { "BRANCH", 0x63 }, // 21
  { "JALR", 0x67 }, // 22
  { "JAL", 0x6F }, // 23
  { "SYSTEM", 0x73 }, // 24
  { "OP_VE", 0x77 }, // 25
  { "CUSTOM_3", 0x7B }, // 26
 };

const RISCVOpcode *lookupRISCVOpcodeByValue(uint8_t Value) {
  struct KeyType {
    uint8_t Value;
  };
  KeyType Key = {Value};
  struct Comp {
    bool operator()(const RISCVOpcode &LHS, const KeyType &RHS) const {
      if (LHS.Value < RHS.Value)
        return true;
      if (LHS.Value > RHS.Value)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVOpcodesList);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Value != Idx->Value)
    return nullptr;

  return &*Idx;
}

const RISCVOpcode *lookupRISCVOpcodeByName(StringRef Name) {
  struct IndexType {
    const char * Name;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "AMO", 10 },
    { "AUIPC", 5 },
    { "BRANCH", 21 },
    { "CUSTOM_0", 2 },
    { "CUSTOM_1", 9 },
    { "CUSTOM_2", 20 },
    { "CUSTOM_3", 26 },
    { "JAL", 23 },
    { "JALR", 22 },
    { "LOAD", 0 },
    { "LOAD_FP", 1 },
    { "LUI", 12 },
    { "MADD", 14 },
    { "MISC_MEM", 3 },
    { "MSUB", 15 },
    { "NMADD", 17 },
    { "NMSUB", 16 },
    { "OP", 11 },
    { "OP_32", 13 },
    { "OP_FP", 18 },
    { "OP_IMM", 4 },
    { "OP_IMM_32", 6 },
    { "OP_V", 19 },
    { "OP_VE", 25 },
    { "STORE", 7 },
    { "STORE_FP", 8 },
    { "SYSTEM", 24 },
  };

  struct KeyType {
    std::string Name;
  };
  KeyType Key = {Name.upper()};
  struct Comp {
    bool operator()(const IndexType &LHS, const KeyType &RHS) const {
      int CmpName = StringRef(LHS.Name).compare(RHS.Name);
      if (CmpName < 0) return true;
      if (CmpName > 0) return false;
      return false;
    }
  };
  auto Table = ArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Name != Idx->Name)
    return nullptr;

  return &RISCVOpcodesList[Idx->_index];
}
#endif

#ifdef GET_RISCVTuneInfoTable_DECL
const RISCVTuneInfo *getRISCVTuneInfo(StringRef Name);
#endif

#ifdef GET_RISCVTuneInfoTable_IMPL
constexpr RISCVTuneInfo RISCVTuneInfoTable[] = {
  { "generic", 0x1, 0x1, 0x0, 0x0, 0x1, 0xFFFFFFFF, 0x5 }, // 0
  { "generic-rv32", 0x1, 0x1, 0x0, 0x0, 0x1, 0xFFFFFFFF, 0x5 }, // 1
  { "generic-rv64", 0x1, 0x1, 0x0, 0x0, 0x1, 0xFFFFFFFF, 0x5 }, // 2
 };

const RISCVTuneInfo *getRISCVTuneInfo(StringRef Name) {
  struct IndexType {
    const char * Name;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "GENERIC", 0 },
    { "GENERIC-RV32", 1 },
    { "GENERIC-RV64", 2 },
  };

  struct KeyType {
    std::string Name;
  };
  KeyType Key = {Name.upper()};
  struct Comp {
    bool operator()(const IndexType &LHS, const KeyType &RHS) const {
      int CmpName = StringRef(LHS.Name).compare(RHS.Name);
      if (CmpName < 0) return true;
      if (CmpName > 0) return false;
      return false;
    }
  };
  auto Table = ArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Name != Idx->Name)
    return nullptr;

  return &RISCVTuneInfoTable[Idx->_index];
}
#endif

#ifdef GET_RISCVVIntrinsicsTable_DECL
const RISCVVIntrinsicInfo *getRISCVVIntrinsicInfo(unsigned IntrinsicID);
#endif

#ifdef GET_RISCVVIntrinsicsTable_IMPL
constexpr RISCVVIntrinsicInfo RISCVVIntrinsicsTable[] = {
  { Intrinsic::riscv_sf_vc_fv_se, 0x3, 0x4 }, // 0
  { Intrinsic::riscv_sf_vc_fvv_se, 0x3, 0x4 }, // 1
  { Intrinsic::riscv_sf_vc_fvw_se, 0x3, 0x4 }, // 2
  { Intrinsic::riscv_sf_vc_i_se, 0xF, 0x6 }, // 3
  { Intrinsic::riscv_sf_vc_iv_se, 0xF, 0x4 }, // 4
  { Intrinsic::riscv_sf_vc_ivv_se, 0xF, 0x4 }, // 5
  { Intrinsic::riscv_sf_vc_ivw_se, 0xF, 0x4 }, // 6
  { Intrinsic::riscv_sf_vc_v_fv, 0x2, 0x3 }, // 7
  { Intrinsic::riscv_sf_vc_v_fv_se, 0x2, 0x3 }, // 8
  { Intrinsic::riscv_sf_vc_v_fvv, 0x3, 0x4 }, // 9
  { Intrinsic::riscv_sf_vc_v_fvv_se, 0x3, 0x4 }, // 10
  { Intrinsic::riscv_sf_vc_v_fvw, 0x3, 0x4 }, // 11
  { Intrinsic::riscv_sf_vc_v_fvw_se, 0x3, 0x4 }, // 12
  { Intrinsic::riscv_sf_vc_v_i, 0xF, 0x3 }, // 13
  { Intrinsic::riscv_sf_vc_v_i_se, 0xF, 0x3 }, // 14
  { Intrinsic::riscv_sf_vc_v_iv, 0xF, 0x3 }, // 15
  { Intrinsic::riscv_sf_vc_v_iv_se, 0xF, 0x3 }, // 16
  { Intrinsic::riscv_sf_vc_v_ivv, 0xF, 0x4 }, // 17
  { Intrinsic::riscv_sf_vc_v_ivv_se, 0xF, 0x4 }, // 18
  { Intrinsic::riscv_sf_vc_v_ivw, 0xF, 0x4 }, // 19
  { Intrinsic::riscv_sf_vc_v_ivw_se, 0xF, 0x4 }, // 20
  { Intrinsic::riscv_sf_vc_v_vv, 0x2, 0x3 }, // 21
  { Intrinsic::riscv_sf_vc_v_vv_se, 0x2, 0x3 }, // 22
  { Intrinsic::riscv_sf_vc_v_vvv, 0x3, 0x4 }, // 23
  { Intrinsic::riscv_sf_vc_v_vvv_se, 0x3, 0x4 }, // 24
  { Intrinsic::riscv_sf_vc_v_vvw, 0x3, 0x4 }, // 25
  { Intrinsic::riscv_sf_vc_v_vvw_se, 0x3, 0x4 }, // 26
  { Intrinsic::riscv_sf_vc_v_x, 0x2, 0x3 }, // 27
  { Intrinsic::riscv_sf_vc_v_x_se, 0x2, 0x3 }, // 28
  { Intrinsic::riscv_sf_vc_v_xv, 0x2, 0x3 }, // 29
  { Intrinsic::riscv_sf_vc_v_xv_se, 0x2, 0x3 }, // 30
  { Intrinsic::riscv_sf_vc_v_xvv, 0x3, 0x4 }, // 31
  { Intrinsic::riscv_sf_vc_v_xvv_se, 0x3, 0x4 }, // 32
  { Intrinsic::riscv_sf_vc_v_xvw, 0x3, 0x4 }, // 33
  { Intrinsic::riscv_sf_vc_v_xvw_se, 0x3, 0x4 }, // 34
  { Intrinsic::riscv_sf_vc_vv_se, 0x3, 0x4 }, // 35
  { Intrinsic::riscv_sf_vc_vvv_se, 0x3, 0x4 }, // 36
  { Intrinsic::riscv_sf_vc_vvw_se, 0x3, 0x4 }, // 37
  { Intrinsic::riscv_sf_vc_x_se, 0x3, 0x6 }, // 38
  { Intrinsic::riscv_sf_vc_xv_se, 0x3, 0x4 }, // 39
  { Intrinsic::riscv_sf_vc_xvv_se, 0x3, 0x4 }, // 40
  { Intrinsic::riscv_sf_vc_xvw_se, 0x3, 0x4 }, // 41
  { Intrinsic::riscv_sf_vfnrclip_x_f_qf, 0xF, 0x4 }, // 42
  { Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask, 0xF, 0x5 }, // 43
  { Intrinsic::riscv_sf_vfnrclip_xu_f_qf, 0xF, 0x4 }, // 44
  { Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask, 0xF, 0x5 }, // 45
  { Intrinsic::riscv_sf_vfwmacc_4x4x4, 0xF, 0x3 }, // 46
  { Intrinsic::riscv_sf_vqmacc_2x8x2, 0xF, 0x3 }, // 47
  { Intrinsic::riscv_sf_vqmacc_4x8x4, 0xF, 0x3 }, // 48
  { Intrinsic::riscv_sf_vqmaccsu_2x8x2, 0xF, 0x3 }, // 49
  { Intrinsic::riscv_sf_vqmaccsu_4x8x4, 0xF, 0x3 }, // 50
  { Intrinsic::riscv_sf_vqmaccu_2x8x2, 0xF, 0x3 }, // 51
  { Intrinsic::riscv_sf_vqmaccu_4x8x4, 0xF, 0x3 }, // 52
  { Intrinsic::riscv_sf_vqmaccus_2x8x2, 0xF, 0x3 }, // 53
  { Intrinsic::riscv_sf_vqmaccus_4x8x4, 0xF, 0x3 }, // 54
  { Intrinsic::riscv_th_vmaqa, 0x1, 0x3 }, // 55
  { Intrinsic::riscv_th_vmaqa_mask, 0x1, 0x4 }, // 56
  { Intrinsic::riscv_th_vmaqasu, 0x1, 0x3 }, // 57
  { Intrinsic::riscv_th_vmaqasu_mask, 0x1, 0x4 }, // 58
  { Intrinsic::riscv_th_vmaqau, 0x1, 0x3 }, // 59
  { Intrinsic::riscv_th_vmaqau_mask, 0x1, 0x4 }, // 60
  { Intrinsic::riscv_th_vmaqaus, 0x1, 0x3 }, // 61
  { Intrinsic::riscv_th_vmaqaus_mask, 0x1, 0x4 }, // 62
  { Intrinsic::riscv_vaadd, 0x2, 0x4 }, // 63
  { Intrinsic::riscv_vaadd_mask, 0x2, 0x5 }, // 64
  { Intrinsic::riscv_vaaddu, 0x2, 0x4 }, // 65
  { Intrinsic::riscv_vaaddu_mask, 0x2, 0x5 }, // 66
  { Intrinsic::riscv_vadc, 0x2, 0x4 }, // 67
  { Intrinsic::riscv_vadd, 0x2, 0x3 }, // 68
  { Intrinsic::riscv_vadd_mask, 0x2, 0x4 }, // 69
  { Intrinsic::riscv_vaesdf_vs, 0xF, 0x2 }, // 70
  { Intrinsic::riscv_vaesdf_vv, 0xF, 0x2 }, // 71
  { Intrinsic::riscv_vaesdm_vs, 0xF, 0x2 }, // 72
  { Intrinsic::riscv_vaesdm_vv, 0xF, 0x2 }, // 73
  { Intrinsic::riscv_vaesef_vs, 0xF, 0x2 }, // 74
  { Intrinsic::riscv_vaesef_vv, 0xF, 0x2 }, // 75
  { Intrinsic::riscv_vaesem_vs, 0xF, 0x2 }, // 76
  { Intrinsic::riscv_vaesem_vv, 0xF, 0x2 }, // 77
  { Intrinsic::riscv_vaeskf1, 0x2, 0x3 }, // 78
  { Intrinsic::riscv_vaeskf2, 0x2, 0x3 }, // 79
  { Intrinsic::riscv_vaesz_vs, 0xF, 0x2 }, // 80
  { Intrinsic::riscv_vand, 0x2, 0x3 }, // 81
  { Intrinsic::riscv_vand_mask, 0x2, 0x4 }, // 82
  { Intrinsic::riscv_vandn, 0x2, 0x3 }, // 83
  { Intrinsic::riscv_vandn_mask, 0x2, 0x4 }, // 84
  { Intrinsic::riscv_vasub, 0x2, 0x4 }, // 85
  { Intrinsic::riscv_vasub_mask, 0x2, 0x5 }, // 86
  { Intrinsic::riscv_vasubu, 0x2, 0x4 }, // 87
  { Intrinsic::riscv_vasubu_mask, 0x2, 0x5 }, // 88
  { Intrinsic::riscv_vbrev, 0xF, 0x2 }, // 89
  { Intrinsic::riscv_vbrev_mask, 0xF, 0x3 }, // 90
  { Intrinsic::riscv_vbrev8, 0xF, 0x2 }, // 91
  { Intrinsic::riscv_vbrev8_mask, 0xF, 0x3 }, // 92
  { Intrinsic::riscv_vclmul, 0x2, 0x3 }, // 93
  { Intrinsic::riscv_vclmul_mask, 0x2, 0x4 }, // 94
  { Intrinsic::riscv_vclmulh, 0x2, 0x3 }, // 95
  { Intrinsic::riscv_vclmulh_mask, 0x2, 0x4 }, // 96
  { Intrinsic::riscv_vclz, 0xF, 0x2 }, // 97
  { Intrinsic::riscv_vclz_mask, 0xF, 0x3 }, // 98
  { Intrinsic::riscv_vcompress, 0xF, 0x3 }, // 99
  { Intrinsic::riscv_vcpop, 0xF, 0x1 }, // 100
  { Intrinsic::riscv_vcpop_mask, 0xF, 0x2 }, // 101
  { Intrinsic::riscv_vcpopv, 0xF, 0x2 }, // 102
  { Intrinsic::riscv_vcpopv_mask, 0xF, 0x3 }, // 103
  { Intrinsic::riscv_vctz, 0xF, 0x2 }, // 104
  { Intrinsic::riscv_vctz_mask, 0xF, 0x3 }, // 105
  { Intrinsic::riscv_vdiv, 0x2, 0x3 }, // 106
  { Intrinsic::riscv_vdiv_mask, 0x2, 0x4 }, // 107
  { Intrinsic::riscv_vdivu, 0x2, 0x3 }, // 108
  { Intrinsic::riscv_vdivu_mask, 0x2, 0x4 }, // 109
  { Intrinsic::riscv_vfadd, 0x2, 0x4 }, // 110
  { Intrinsic::riscv_vfadd_mask, 0x2, 0x5 }, // 111
  { Intrinsic::riscv_vfclass, 0xF, 0x1 }, // 112
  { Intrinsic::riscv_vfclass_mask, 0xF, 0x3 }, // 113
  { Intrinsic::riscv_vfcvt_f_x_v, 0xF, 0x3 }, // 114
  { Intrinsic::riscv_vfcvt_f_x_v_mask, 0xF, 0x4 }, // 115
  { Intrinsic::riscv_vfcvt_f_xu_v, 0xF, 0x3 }, // 116
  { Intrinsic::riscv_vfcvt_f_xu_v_mask, 0xF, 0x4 }, // 117
  { Intrinsic::riscv_vfcvt_rtz_x_f_v, 0xF, 0x2 }, // 118
  { Intrinsic::riscv_vfcvt_rtz_x_f_v_mask, 0xF, 0x3 }, // 119
  { Intrinsic::riscv_vfcvt_rtz_xu_f_v, 0xF, 0x2 }, // 120
  { Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask, 0xF, 0x3 }, // 121
  { Intrinsic::riscv_vfcvt_x_f_v, 0xF, 0x3 }, // 122
  { Intrinsic::riscv_vfcvt_x_f_v_mask, 0xF, 0x4 }, // 123
  { Intrinsic::riscv_vfcvt_xu_f_v, 0xF, 0x3 }, // 124
  { Intrinsic::riscv_vfcvt_xu_f_v_mask, 0xF, 0x4 }, // 125
  { Intrinsic::riscv_vfdiv, 0x2, 0x4 }, // 126
  { Intrinsic::riscv_vfdiv_mask, 0x2, 0x5 }, // 127
  { Intrinsic::riscv_vfirst, 0xF, 0x1 }, // 128
  { Intrinsic::riscv_vfirst_mask, 0xF, 0x2 }, // 129
  { Intrinsic::riscv_vfmacc, 0x1, 0x4 }, // 130
  { Intrinsic::riscv_vfmacc_mask, 0x1, 0x5 }, // 131
  { Intrinsic::riscv_vfmadd, 0x1, 0x4 }, // 132
  { Intrinsic::riscv_vfmadd_mask, 0x1, 0x5 }, // 133
  { Intrinsic::riscv_vfmax, 0x2, 0x3 }, // 134
  { Intrinsic::riscv_vfmax_mask, 0x2, 0x4 }, // 135
  { Intrinsic::riscv_vfmerge, 0x2, 0x4 }, // 136
  { Intrinsic::riscv_vfmin, 0x2, 0x3 }, // 137
  { Intrinsic::riscv_vfmin_mask, 0x2, 0x4 }, // 138
  { Intrinsic::riscv_vfmsac, 0x1, 0x4 }, // 139
  { Intrinsic::riscv_vfmsac_mask, 0x1, 0x5 }, // 140
  { Intrinsic::riscv_vfmsub, 0x1, 0x4 }, // 141
  { Intrinsic::riscv_vfmsub_mask, 0x1, 0x5 }, // 142
  { Intrinsic::riscv_vfmul, 0x2, 0x4 }, // 143
  { Intrinsic::riscv_vfmul_mask, 0x2, 0x5 }, // 144
  { Intrinsic::riscv_vfmv_f_s, 0xF, 0x1F }, // 145
  { Intrinsic::riscv_vfmv_s_f, 0xF, 0x2 }, // 146
  { Intrinsic::riscv_vfmv_v_f, 0xF, 0x2 }, // 147
  { Intrinsic::riscv_vfncvt_f_f_w, 0xF, 0x3 }, // 148
  { Intrinsic::riscv_vfncvt_f_f_w_mask, 0xF, 0x4 }, // 149
  { Intrinsic::riscv_vfncvt_f_x_w, 0xF, 0x3 }, // 150
  { Intrinsic::riscv_vfncvt_f_x_w_mask, 0xF, 0x4 }, // 151
  { Intrinsic::riscv_vfncvt_f_xu_w, 0xF, 0x3 }, // 152
  { Intrinsic::riscv_vfncvt_f_xu_w_mask, 0xF, 0x4 }, // 153
  { Intrinsic::riscv_vfncvt_rod_f_f_w, 0xF, 0x2 }, // 154
  { Intrinsic::riscv_vfncvt_rod_f_f_w_mask, 0xF, 0x3 }, // 155
  { Intrinsic::riscv_vfncvt_rtz_x_f_w, 0xF, 0x2 }, // 156
  { Intrinsic::riscv_vfncvt_rtz_x_f_w_mask, 0xF, 0x3 }, // 157
  { Intrinsic::riscv_vfncvt_rtz_xu_f_w, 0xF, 0x2 }, // 158
  { Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask, 0xF, 0x3 }, // 159
  { Intrinsic::riscv_vfncvt_x_f_w, 0xF, 0x3 }, // 160
  { Intrinsic::riscv_vfncvt_x_f_w_mask, 0xF, 0x4 }, // 161
  { Intrinsic::riscv_vfncvt_xu_f_w, 0xF, 0x3 }, // 162
  { Intrinsic::riscv_vfncvt_xu_f_w_mask, 0xF, 0x4 }, // 163
  { Intrinsic::riscv_vfncvtbf16_f_f_w, 0xF, 0x3 }, // 164
  { Intrinsic::riscv_vfncvtbf16_f_f_w_mask, 0xF, 0x4 }, // 165
  { Intrinsic::riscv_vfnmacc, 0x1, 0x4 }, // 166
  { Intrinsic::riscv_vfnmacc_mask, 0x1, 0x5 }, // 167
  { Intrinsic::riscv_vfnmadd, 0x1, 0x4 }, // 168
  { Intrinsic::riscv_vfnmadd_mask, 0x1, 0x5 }, // 169
  { Intrinsic::riscv_vfnmsac, 0x1, 0x4 }, // 170
  { Intrinsic::riscv_vfnmsac_mask, 0x1, 0x5 }, // 171
  { Intrinsic::riscv_vfnmsub, 0x1, 0x4 }, // 172
  { Intrinsic::riscv_vfnmsub_mask, 0x1, 0x5 }, // 173
  { Intrinsic::riscv_vfrdiv, 0x2, 0x4 }, // 174
  { Intrinsic::riscv_vfrdiv_mask, 0x2, 0x5 }, // 175
  { Intrinsic::riscv_vfrec7, 0xF, 0x3 }, // 176
  { Intrinsic::riscv_vfrec7_mask, 0xF, 0x4 }, // 177
  { Intrinsic::riscv_vfredmax, 0xF, 0x3 }, // 178
  { Intrinsic::riscv_vfredmax_mask, 0xF, 0x4 }, // 179
  { Intrinsic::riscv_vfredmin, 0xF, 0x3 }, // 180
  { Intrinsic::riscv_vfredmin_mask, 0xF, 0x4 }, // 181
  { Intrinsic::riscv_vfredosum, 0xF, 0x4 }, // 182
  { Intrinsic::riscv_vfredosum_mask, 0xF, 0x5 }, // 183
  { Intrinsic::riscv_vfredusum, 0xF, 0x4 }, // 184
  { Intrinsic::riscv_vfredusum_mask, 0xF, 0x5 }, // 185
  { Intrinsic::riscv_vfrsqrt7, 0xF, 0x2 }, // 186
  { Intrinsic::riscv_vfrsqrt7_mask, 0xF, 0x3 }, // 187
  { Intrinsic::riscv_vfrsub, 0x2, 0x4 }, // 188
  { Intrinsic::riscv_vfrsub_mask, 0x2, 0x5 }, // 189
  { Intrinsic::riscv_vfsgnj, 0x2, 0x3 }, // 190
  { Intrinsic::riscv_vfsgnj_mask, 0x2, 0x4 }, // 191
  { Intrinsic::riscv_vfsgnjn, 0x2, 0x3 }, // 192
  { Intrinsic::riscv_vfsgnjn_mask, 0x2, 0x4 }, // 193
  { Intrinsic::riscv_vfsgnjx, 0x2, 0x3 }, // 194
  { Intrinsic::riscv_vfsgnjx_mask, 0x2, 0x4 }, // 195
  { Intrinsic::riscv_vfslide1down, 0x2, 0x3 }, // 196
  { Intrinsic::riscv_vfslide1down_mask, 0x2, 0x4 }, // 197
  { Intrinsic::riscv_vfslide1up, 0x2, 0x3 }, // 198
  { Intrinsic::riscv_vfslide1up_mask, 0x2, 0x4 }, // 199
  { Intrinsic::riscv_vfsqrt, 0xF, 0x3 }, // 200
  { Intrinsic::riscv_vfsqrt_mask, 0xF, 0x4 }, // 201
  { Intrinsic::riscv_vfsub, 0x2, 0x4 }, // 202
  { Intrinsic::riscv_vfsub_mask, 0x2, 0x5 }, // 203
  { Intrinsic::riscv_vfwadd, 0x2, 0x4 }, // 204
  { Intrinsic::riscv_vfwadd_mask, 0x2, 0x5 }, // 205
  { Intrinsic::riscv_vfwadd_w, 0x2, 0x4 }, // 206
  { Intrinsic::riscv_vfwadd_w_mask, 0x2, 0x5 }, // 207
  { Intrinsic::riscv_vfwcvt_f_f_v, 0xF, 0x2 }, // 208
  { Intrinsic::riscv_vfwcvt_f_f_v_mask, 0xF, 0x3 }, // 209
  { Intrinsic::riscv_vfwcvt_f_x_v, 0xF, 0x2 }, // 210
  { Intrinsic::riscv_vfwcvt_f_x_v_mask, 0xF, 0x3 }, // 211
  { Intrinsic::riscv_vfwcvt_f_xu_v, 0xF, 0x2 }, // 212
  { Intrinsic::riscv_vfwcvt_f_xu_v_mask, 0xF, 0x3 }, // 213
  { Intrinsic::riscv_vfwcvt_rtz_x_f_v, 0xF, 0x2 }, // 214
  { Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask, 0xF, 0x3 }, // 215
  { Intrinsic::riscv_vfwcvt_rtz_xu_f_v, 0xF, 0x2 }, // 216
  { Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask, 0xF, 0x3 }, // 217
  { Intrinsic::riscv_vfwcvt_x_f_v, 0xF, 0x3 }, // 218
  { Intrinsic::riscv_vfwcvt_x_f_v_mask, 0xF, 0x4 }, // 219
  { Intrinsic::riscv_vfwcvt_xu_f_v, 0xF, 0x3 }, // 220
  { Intrinsic::riscv_vfwcvt_xu_f_v_mask, 0xF, 0x4 }, // 221
  { Intrinsic::riscv_vfwcvtbf16_f_f_v, 0xF, 0x2 }, // 222
  { Intrinsic::riscv_vfwcvtbf16_f_f_v_mask, 0xF, 0x3 }, // 223
  { Intrinsic::riscv_vfwmacc, 0x1, 0x4 }, // 224
  { Intrinsic::riscv_vfwmacc_mask, 0x1, 0x5 }, // 225
  { Intrinsic::riscv_vfwmaccbf16, 0x1, 0x4 }, // 226
  { Intrinsic::riscv_vfwmaccbf16_mask, 0x1, 0x5 }, // 227
  { Intrinsic::riscv_vfwmsac, 0x1, 0x4 }, // 228
  { Intrinsic::riscv_vfwmsac_mask, 0x1, 0x5 }, // 229
  { Intrinsic::riscv_vfwmul, 0x2, 0x4 }, // 230
  { Intrinsic::riscv_vfwmul_mask, 0x2, 0x5 }, // 231
  { Intrinsic::riscv_vfwnmacc, 0x1, 0x4 }, // 232
  { Intrinsic::riscv_vfwnmacc_mask, 0x1, 0x5 }, // 233
  { Intrinsic::riscv_vfwnmsac, 0x1, 0x4 }, // 234
  { Intrinsic::riscv_vfwnmsac_mask, 0x1, 0x5 }, // 235
  { Intrinsic::riscv_vfwredosum, 0xF, 0x4 }, // 236
  { Intrinsic::riscv_vfwredosum_mask, 0xF, 0x5 }, // 237
  { Intrinsic::riscv_vfwredusum, 0xF, 0x4 }, // 238
  { Intrinsic::riscv_vfwredusum_mask, 0xF, 0x5 }, // 239
  { Intrinsic::riscv_vfwsub, 0x2, 0x4 }, // 240
  { Intrinsic::riscv_vfwsub_mask, 0x2, 0x5 }, // 241
  { Intrinsic::riscv_vfwsub_w, 0x2, 0x4 }, // 242
  { Intrinsic::riscv_vfwsub_w_mask, 0x2, 0x5 }, // 243
  { Intrinsic::riscv_vghsh, 0x2, 0x3 }, // 244
  { Intrinsic::riscv_vgmul_vv, 0xF, 0x2 }, // 245
  { Intrinsic::riscv_vid, 0xF, 0x1 }, // 246
  { Intrinsic::riscv_vid_mask, 0xF, 0x2 }, // 247
  { Intrinsic::riscv_viota, 0xF, 0x2 }, // 248
  { Intrinsic::riscv_viota_mask, 0xF, 0x3 }, // 249
  { Intrinsic::riscv_vle, 0xF, 0x2 }, // 250
  { Intrinsic::riscv_vle_mask, 0xF, 0x3 }, // 251
  { Intrinsic::riscv_vleff, 0xF, 0x2 }, // 252
  { Intrinsic::riscv_vleff_mask, 0xF, 0x3 }, // 253
  { Intrinsic::riscv_vlm, 0xF, 0x1 }, // 254
  { Intrinsic::riscv_vloxei, 0xF, 0x3 }, // 255
  { Intrinsic::riscv_vloxei_mask, 0xF, 0x4 }, // 256
  { Intrinsic::riscv_vloxseg2, 0xF, 0x4 }, // 257
  { Intrinsic::riscv_vloxseg2_mask, 0xF, 0x5 }, // 258
  { Intrinsic::riscv_vloxseg3, 0xF, 0x5 }, // 259
  { Intrinsic::riscv_vloxseg3_mask, 0xF, 0x6 }, // 260
  { Intrinsic::riscv_vloxseg4, 0xF, 0x6 }, // 261
  { Intrinsic::riscv_vloxseg4_mask, 0xF, 0x7 }, // 262
  { Intrinsic::riscv_vloxseg5, 0xF, 0x7 }, // 263
  { Intrinsic::riscv_vloxseg5_mask, 0xF, 0x8 }, // 264
  { Intrinsic::riscv_vloxseg6, 0xF, 0x8 }, // 265
  { Intrinsic::riscv_vloxseg6_mask, 0xF, 0x9 }, // 266
  { Intrinsic::riscv_vloxseg7, 0xF, 0x9 }, // 267
  { Intrinsic::riscv_vloxseg7_mask, 0xF, 0xA }, // 268
  { Intrinsic::riscv_vloxseg8, 0xF, 0xA }, // 269
  { Intrinsic::riscv_vloxseg8_mask, 0xF, 0xB }, // 270
  { Intrinsic::riscv_vlse, 0xF, 0x3 }, // 271
  { Intrinsic::riscv_vlse_mask, 0xF, 0x4 }, // 272
  { Intrinsic::riscv_vlseg2, 0xF, 0x3 }, // 273
  { Intrinsic::riscv_vlseg2_mask, 0xF, 0x4 }, // 274
  { Intrinsic::riscv_vlseg2ff, 0xF, 0x3 }, // 275
  { Intrinsic::riscv_vlseg2ff_mask, 0xF, 0x4 }, // 276
  { Intrinsic::riscv_vlseg3, 0xF, 0x4 }, // 277
  { Intrinsic::riscv_vlseg3_mask, 0xF, 0x5 }, // 278
  { Intrinsic::riscv_vlseg3ff, 0xF, 0x4 }, // 279
  { Intrinsic::riscv_vlseg3ff_mask, 0xF, 0x5 }, // 280
  { Intrinsic::riscv_vlseg4, 0xF, 0x5 }, // 281
  { Intrinsic::riscv_vlseg4_mask, 0xF, 0x6 }, // 282
  { Intrinsic::riscv_vlseg4ff, 0xF, 0x5 }, // 283
  { Intrinsic::riscv_vlseg4ff_mask, 0xF, 0x6 }, // 284
  { Intrinsic::riscv_vlseg5, 0xF, 0x6 }, // 285
  { Intrinsic::riscv_vlseg5_mask, 0xF, 0x7 }, // 286
  { Intrinsic::riscv_vlseg5ff, 0xF, 0x6 }, // 287
  { Intrinsic::riscv_vlseg5ff_mask, 0xF, 0x7 }, // 288
  { Intrinsic::riscv_vlseg6, 0xF, 0x7 }, // 289
  { Intrinsic::riscv_vlseg6_mask, 0xF, 0x8 }, // 290
  { Intrinsic::riscv_vlseg6ff, 0xF, 0x7 }, // 291
  { Intrinsic::riscv_vlseg6ff_mask, 0xF, 0x8 }, // 292
  { Intrinsic::riscv_vlseg7, 0xF, 0x8 }, // 293
  { Intrinsic::riscv_vlseg7_mask, 0xF, 0x9 }, // 294
  { Intrinsic::riscv_vlseg7ff, 0xF, 0x8 }, // 295
  { Intrinsic::riscv_vlseg7ff_mask, 0xF, 0x9 }, // 296
  { Intrinsic::riscv_vlseg8, 0xF, 0x9 }, // 297
  { Intrinsic::riscv_vlseg8_mask, 0xF, 0xA }, // 298
  { Intrinsic::riscv_vlseg8ff, 0xF, 0x9 }, // 299
  { Intrinsic::riscv_vlseg8ff_mask, 0xF, 0xA }, // 300
  { Intrinsic::riscv_vlsseg2, 0xF, 0x4 }, // 301
  { Intrinsic::riscv_vlsseg2_mask, 0xF, 0x5 }, // 302
  { Intrinsic::riscv_vlsseg3, 0xF, 0x5 }, // 303
  { Intrinsic::riscv_vlsseg3_mask, 0xF, 0x6 }, // 304
  { Intrinsic::riscv_vlsseg4, 0xF, 0x6 }, // 305
  { Intrinsic::riscv_vlsseg4_mask, 0xF, 0x7 }, // 306
  { Intrinsic::riscv_vlsseg5, 0xF, 0x7 }, // 307
  { Intrinsic::riscv_vlsseg5_mask, 0xF, 0x8 }, // 308
  { Intrinsic::riscv_vlsseg6, 0xF, 0x8 }, // 309
  { Intrinsic::riscv_vlsseg6_mask, 0xF, 0x9 }, // 310
  { Intrinsic::riscv_vlsseg7, 0xF, 0x9 }, // 311
  { Intrinsic::riscv_vlsseg7_mask, 0xF, 0xA }, // 312
  { Intrinsic::riscv_vlsseg8, 0xF, 0xA }, // 313
  { Intrinsic::riscv_vlsseg8_mask, 0xF, 0xB }, // 314
  { Intrinsic::riscv_vluxei, 0xF, 0x3 }, // 315
  { Intrinsic::riscv_vluxei_mask, 0xF, 0x4 }, // 316
  { Intrinsic::riscv_vluxseg2, 0xF, 0x4 }, // 317
  { Intrinsic::riscv_vluxseg2_mask, 0xF, 0x5 }, // 318
  { Intrinsic::riscv_vluxseg3, 0xF, 0x5 }, // 319
  { Intrinsic::riscv_vluxseg3_mask, 0xF, 0x6 }, // 320
  { Intrinsic::riscv_vluxseg4, 0xF, 0x6 }, // 321
  { Intrinsic::riscv_vluxseg4_mask, 0xF, 0x7 }, // 322
  { Intrinsic::riscv_vluxseg5, 0xF, 0x7 }, // 323
  { Intrinsic::riscv_vluxseg5_mask, 0xF, 0x8 }, // 324
  { Intrinsic::riscv_vluxseg6, 0xF, 0x8 }, // 325
  { Intrinsic::riscv_vluxseg6_mask, 0xF, 0x9 }, // 326
  { Intrinsic::riscv_vluxseg7, 0xF, 0x9 }, // 327
  { Intrinsic::riscv_vluxseg7_mask, 0xF, 0xA }, // 328
  { Intrinsic::riscv_vluxseg8, 0xF, 0xA }, // 329
  { Intrinsic::riscv_vluxseg8_mask, 0xF, 0xB }, // 330
  { Intrinsic::riscv_vmacc, 0x1, 0x3 }, // 331
  { Intrinsic::riscv_vmacc_mask, 0x1, 0x4 }, // 332
  { Intrinsic::riscv_vmadc, 0x1, 0x2 }, // 333
  { Intrinsic::riscv_vmadc_carry_in, 0x1, 0x3 }, // 334
  { Intrinsic::riscv_vmadd, 0x1, 0x3 }, // 335
  { Intrinsic::riscv_vmadd_mask, 0x1, 0x4 }, // 336
  { Intrinsic::riscv_vmand, 0xF, 0x2 }, // 337
  { Intrinsic::riscv_vmandn, 0xF, 0x2 }, // 338
  { Intrinsic::riscv_vmax, 0x2, 0x3 }, // 339
  { Intrinsic::riscv_vmax_mask, 0x2, 0x4 }, // 340
  { Intrinsic::riscv_vmaxu, 0x2, 0x3 }, // 341
  { Intrinsic::riscv_vmaxu_mask, 0x2, 0x4 }, // 342
  { Intrinsic::riscv_vmclr, 0xF, 0x1 }, // 343
  { Intrinsic::riscv_vmerge, 0x2, 0x4 }, // 344
  { Intrinsic::riscv_vmfeq, 0x1, 0x2 }, // 345
  { Intrinsic::riscv_vmfeq_mask, 0x2, 0x4 }, // 346
  { Intrinsic::riscv_vmfge, 0x1, 0x2 }, // 347
  { Intrinsic::riscv_vmfge_mask, 0x2, 0x4 }, // 348
  { Intrinsic::riscv_vmfgt, 0x1, 0x2 }, // 349
  { Intrinsic::riscv_vmfgt_mask, 0x2, 0x4 }, // 350
  { Intrinsic::riscv_vmfle, 0x1, 0x2 }, // 351
  { Intrinsic::riscv_vmfle_mask, 0x2, 0x4 }, // 352
  { Intrinsic::riscv_vmflt, 0x1, 0x2 }, // 353
  { Intrinsic::riscv_vmflt_mask, 0x2, 0x4 }, // 354
  { Intrinsic::riscv_vmfne, 0x1, 0x2 }, // 355
  { Intrinsic::riscv_vmfne_mask, 0x2, 0x4 }, // 356
  { Intrinsic::riscv_vmin, 0x2, 0x3 }, // 357
  { Intrinsic::riscv_vmin_mask, 0x2, 0x4 }, // 358
  { Intrinsic::riscv_vminu, 0x2, 0x3 }, // 359
  { Intrinsic::riscv_vminu_mask, 0x2, 0x4 }, // 360
  { Intrinsic::riscv_vmnand, 0xF, 0x2 }, // 361
  { Intrinsic::riscv_vmnor, 0xF, 0x2 }, // 362
  { Intrinsic::riscv_vmor, 0xF, 0x2 }, // 363
  { Intrinsic::riscv_vmorn, 0xF, 0x2 }, // 364
  { Intrinsic::riscv_vmsbc, 0x1, 0x2 }, // 365
  { Intrinsic::riscv_vmsbc_borrow_in, 0x1, 0x3 }, // 366
  { Intrinsic::riscv_vmsbf, 0xF, 0x1 }, // 367
  { Intrinsic::riscv_vmsbf_mask, 0xF, 0x3 }, // 368
  { Intrinsic::riscv_vmseq, 0x1, 0x2 }, // 369
  { Intrinsic::riscv_vmseq_mask, 0x2, 0x4 }, // 370
  { Intrinsic::riscv_vmset, 0xF, 0x1 }, // 371
  { Intrinsic::riscv_vmsge, 0x1, 0x2 }, // 372
  { Intrinsic::riscv_vmsge_mask, 0x2, 0x4 }, // 373
  { Intrinsic::riscv_vmsgeu, 0x1, 0x2 }, // 374
  { Intrinsic::riscv_vmsgeu_mask, 0x2, 0x4 }, // 375
  { Intrinsic::riscv_vmsgt, 0x1, 0x2 }, // 376
  { Intrinsic::riscv_vmsgt_mask, 0x2, 0x4 }, // 377
  { Intrinsic::riscv_vmsgtu, 0x1, 0x2 }, // 378
  { Intrinsic::riscv_vmsgtu_mask, 0x2, 0x4 }, // 379
  { Intrinsic::riscv_vmsif, 0xF, 0x1 }, // 380
  { Intrinsic::riscv_vmsif_mask, 0xF, 0x3 }, // 381
  { Intrinsic::riscv_vmsle, 0x1, 0x2 }, // 382
  { Intrinsic::riscv_vmsle_mask, 0x2, 0x4 }, // 383
  { Intrinsic::riscv_vmsleu, 0x1, 0x2 }, // 384
  { Intrinsic::riscv_vmsleu_mask, 0x2, 0x4 }, // 385
  { Intrinsic::riscv_vmslt, 0x1, 0x2 }, // 386
  { Intrinsic::riscv_vmslt_mask, 0x2, 0x4 }, // 387
  { Intrinsic::riscv_vmsltu, 0x1, 0x2 }, // 388
  { Intrinsic::riscv_vmsltu_mask, 0x2, 0x4 }, // 389
  { Intrinsic::riscv_vmsne, 0x1, 0x2 }, // 390
  { Intrinsic::riscv_vmsne_mask, 0x2, 0x4 }, // 391
  { Intrinsic::riscv_vmsof, 0xF, 0x1 }, // 392
  { Intrinsic::riscv_vmsof_mask, 0xF, 0x3 }, // 393
  { Intrinsic::riscv_vmul, 0x2, 0x3 }, // 394
  { Intrinsic::riscv_vmul_mask, 0x2, 0x4 }, // 395
  { Intrinsic::riscv_vmulh, 0x2, 0x3 }, // 396
  { Intrinsic::riscv_vmulh_mask, 0x2, 0x4 }, // 397
  { Intrinsic::riscv_vmulhsu, 0x2, 0x3 }, // 398
  { Intrinsic::riscv_vmulhsu_mask, 0x2, 0x4 }, // 399
  { Intrinsic::riscv_vmulhu, 0x2, 0x3 }, // 400
  { Intrinsic::riscv_vmulhu_mask, 0x2, 0x4 }, // 401
  { Intrinsic::riscv_vmv_s_x, 0xF, 0x2 }, // 402
  { Intrinsic::riscv_vmv_v_v, 0xF, 0x2 }, // 403
  { Intrinsic::riscv_vmv_v_x, 0xF, 0x2 }, // 404
  { Intrinsic::riscv_vmv_x_s, 0xF, 0x1F }, // 405
  { Intrinsic::riscv_vmxnor, 0xF, 0x2 }, // 406
  { Intrinsic::riscv_vmxor, 0xF, 0x2 }, // 407
  { Intrinsic::riscv_vnclip, 0xF, 0x4 }, // 408
  { Intrinsic::riscv_vnclip_mask, 0xF, 0x5 }, // 409
  { Intrinsic::riscv_vnclipu, 0xF, 0x4 }, // 410
  { Intrinsic::riscv_vnclipu_mask, 0xF, 0x5 }, // 411
  { Intrinsic::riscv_vnmsac, 0x1, 0x3 }, // 412
  { Intrinsic::riscv_vnmsac_mask, 0x1, 0x4 }, // 413
  { Intrinsic::riscv_vnmsub, 0x1, 0x3 }, // 414
  { Intrinsic::riscv_vnmsub_mask, 0x1, 0x4 }, // 415
  { Intrinsic::riscv_vnsra, 0xF, 0x3 }, // 416
  { Intrinsic::riscv_vnsra_mask, 0xF, 0x4 }, // 417
  { Intrinsic::riscv_vnsrl, 0xF, 0x3 }, // 418
  { Intrinsic::riscv_vnsrl_mask, 0xF, 0x4 }, // 419
  { Intrinsic::riscv_vor, 0x2, 0x3 }, // 420
  { Intrinsic::riscv_vor_mask, 0x2, 0x4 }, // 421
  { Intrinsic::riscv_vredand, 0xF, 0x3 }, // 422
  { Intrinsic::riscv_vredand_mask, 0xF, 0x4 }, // 423
  { Intrinsic::riscv_vredmax, 0xF, 0x3 }, // 424
  { Intrinsic::riscv_vredmax_mask, 0xF, 0x4 }, // 425
  { Intrinsic::riscv_vredmaxu, 0xF, 0x3 }, // 426
  { Intrinsic::riscv_vredmaxu_mask, 0xF, 0x4 }, // 427
  { Intrinsic::riscv_vredmin, 0xF, 0x3 }, // 428
  { Intrinsic::riscv_vredmin_mask, 0xF, 0x4 }, // 429
  { Intrinsic::riscv_vredminu, 0xF, 0x3 }, // 430
  { Intrinsic::riscv_vredminu_mask, 0xF, 0x4 }, // 431
  { Intrinsic::riscv_vredor, 0xF, 0x3 }, // 432
  { Intrinsic::riscv_vredor_mask, 0xF, 0x4 }, // 433
  { Intrinsic::riscv_vredsum, 0xF, 0x3 }, // 434
  { Intrinsic::riscv_vredsum_mask, 0xF, 0x4 }, // 435
  { Intrinsic::riscv_vredxor, 0xF, 0x3 }, // 436
  { Intrinsic::riscv_vredxor_mask, 0xF, 0x4 }, // 437
  { Intrinsic::riscv_vrem, 0x2, 0x3 }, // 438
  { Intrinsic::riscv_vrem_mask, 0x2, 0x4 }, // 439
  { Intrinsic::riscv_vremu, 0x2, 0x3 }, // 440
  { Intrinsic::riscv_vremu_mask, 0x2, 0x4 }, // 441
  { Intrinsic::riscv_vrev8, 0xF, 0x2 }, // 442
  { Intrinsic::riscv_vrev8_mask, 0xF, 0x3 }, // 443
  { Intrinsic::riscv_vrgather_vv, 0xF, 0x3 }, // 444
  { Intrinsic::riscv_vrgather_vv_mask, 0xF, 0x4 }, // 445
  { Intrinsic::riscv_vrgather_vx, 0xF, 0x3 }, // 446
  { Intrinsic::riscv_vrgather_vx_mask, 0xF, 0x4 }, // 447
  { Intrinsic::riscv_vrgatherei16_vv, 0xF, 0x3 }, // 448
  { Intrinsic::riscv_vrgatherei16_vv_mask, 0xF, 0x4 }, // 449
  { Intrinsic::riscv_vrol, 0x2, 0x3 }, // 450
  { Intrinsic::riscv_vrol_mask, 0x2, 0x4 }, // 451
  { Intrinsic::riscv_vror, 0x2, 0x3 }, // 452
  { Intrinsic::riscv_vror_mask, 0x2, 0x4 }, // 453
  { Intrinsic::riscv_vrsub, 0x2, 0x3 }, // 454
  { Intrinsic::riscv_vrsub_mask, 0x2, 0x4 }, // 455
  { Intrinsic::riscv_vsadd, 0x2, 0x3 }, // 456
  { Intrinsic::riscv_vsadd_mask, 0x2, 0x4 }, // 457
  { Intrinsic::riscv_vsaddu, 0x2, 0x3 }, // 458
  { Intrinsic::riscv_vsaddu_mask, 0x2, 0x4 }, // 459
  { Intrinsic::riscv_vsbc, 0x2, 0x4 }, // 460
  { Intrinsic::riscv_vse, 0xF, 0x2 }, // 461
  { Intrinsic::riscv_vse_mask, 0xF, 0x3 }, // 462
  { Intrinsic::riscv_vsext, 0xF, 0x2 }, // 463
  { Intrinsic::riscv_vsext_mask, 0xF, 0x3 }, // 464
  { Intrinsic::riscv_vsha2ch, 0x2, 0x3 }, // 465
  { Intrinsic::riscv_vsha2cl, 0x2, 0x3 }, // 466
  { Intrinsic::riscv_vsha2ms, 0x2, 0x3 }, // 467
  { Intrinsic::riscv_vslide1down, 0x2, 0x3 }, // 468
  { Intrinsic::riscv_vslide1down_mask, 0x2, 0x4 }, // 469
  { Intrinsic::riscv_vslide1up, 0x2, 0x3 }, // 470
  { Intrinsic::riscv_vslide1up_mask, 0x2, 0x4 }, // 471
  { Intrinsic::riscv_vslidedown, 0xF, 0x3 }, // 472
  { Intrinsic::riscv_vslidedown_mask, 0xF, 0x4 }, // 473
  { Intrinsic::riscv_vslideup, 0xF, 0x3 }, // 474
  { Intrinsic::riscv_vslideup_mask, 0xF, 0x4 }, // 475
  { Intrinsic::riscv_vsll, 0xF, 0x3 }, // 476
  { Intrinsic::riscv_vsll_mask, 0xF, 0x4 }, // 477
  { Intrinsic::riscv_vsm, 0xF, 0x2 }, // 478
  { Intrinsic::riscv_vsm3c, 0x2, 0x3 }, // 479
  { Intrinsic::riscv_vsm3me, 0x2, 0x3 }, // 480
  { Intrinsic::riscv_vsm4k, 0x2, 0x3 }, // 481
  { Intrinsic::riscv_vsm4r_vs, 0xF, 0x2 }, // 482
  { Intrinsic::riscv_vsm4r_vv, 0xF, 0x2 }, // 483
  { Intrinsic::riscv_vsmul, 0x2, 0x4 }, // 484
  { Intrinsic::riscv_vsmul_mask, 0x2, 0x5 }, // 485
  { Intrinsic::riscv_vsoxei, 0xF, 0x3 }, // 486
  { Intrinsic::riscv_vsoxei_mask, 0xF, 0x4 }, // 487
  { Intrinsic::riscv_vsoxseg2, 0xF, 0x4 }, // 488
  { Intrinsic::riscv_vsoxseg2_mask, 0xF, 0x5 }, // 489
  { Intrinsic::riscv_vsoxseg3, 0xF, 0x5 }, // 490
  { Intrinsic::riscv_vsoxseg3_mask, 0xF, 0x6 }, // 491
  { Intrinsic::riscv_vsoxseg4, 0xF, 0x6 }, // 492
  { Intrinsic::riscv_vsoxseg4_mask, 0xF, 0x7 }, // 493
  { Intrinsic::riscv_vsoxseg5, 0xF, 0x7 }, // 494
  { Intrinsic::riscv_vsoxseg5_mask, 0xF, 0x8 }, // 495
  { Intrinsic::riscv_vsoxseg6, 0xF, 0x8 }, // 496
  { Intrinsic::riscv_vsoxseg6_mask, 0xF, 0x9 }, // 497
  { Intrinsic::riscv_vsoxseg7, 0xF, 0x9 }, // 498
  { Intrinsic::riscv_vsoxseg7_mask, 0xF, 0xA }, // 499
  { Intrinsic::riscv_vsoxseg8, 0xF, 0xA }, // 500
  { Intrinsic::riscv_vsoxseg8_mask, 0xF, 0xB }, // 501
  { Intrinsic::riscv_vsra, 0xF, 0x3 }, // 502
  { Intrinsic::riscv_vsra_mask, 0xF, 0x4 }, // 503
  { Intrinsic::riscv_vsrl, 0xF, 0x3 }, // 504
  { Intrinsic::riscv_vsrl_mask, 0xF, 0x4 }, // 505
  { Intrinsic::riscv_vsse, 0xF, 0x3 }, // 506
  { Intrinsic::riscv_vsse_mask, 0xF, 0x4 }, // 507
  { Intrinsic::riscv_vsseg2, 0xF, 0x3 }, // 508
  { Intrinsic::riscv_vsseg2_mask, 0xF, 0x4 }, // 509
  { Intrinsic::riscv_vsseg3, 0xF, 0x4 }, // 510
  { Intrinsic::riscv_vsseg3_mask, 0xF, 0x5 }, // 511
  { Intrinsic::riscv_vsseg4, 0xF, 0x5 }, // 512
  { Intrinsic::riscv_vsseg4_mask, 0xF, 0x6 }, // 513
  { Intrinsic::riscv_vsseg5, 0xF, 0x6 }, // 514
  { Intrinsic::riscv_vsseg5_mask, 0xF, 0x7 }, // 515
  { Intrinsic::riscv_vsseg6, 0xF, 0x7 }, // 516
  { Intrinsic::riscv_vsseg6_mask, 0xF, 0x8 }, // 517
  { Intrinsic::riscv_vsseg7, 0xF, 0x8 }, // 518
  { Intrinsic::riscv_vsseg7_mask, 0xF, 0x9 }, // 519
  { Intrinsic::riscv_vsseg8, 0xF, 0x9 }, // 520
  { Intrinsic::riscv_vsseg8_mask, 0xF, 0xA }, // 521
  { Intrinsic::riscv_vssra, 0xF, 0x4 }, // 522
  { Intrinsic::riscv_vssra_mask, 0xF, 0x5 }, // 523
  { Intrinsic::riscv_vssrl, 0xF, 0x4 }, // 524
  { Intrinsic::riscv_vssrl_mask, 0xF, 0x5 }, // 525
  { Intrinsic::riscv_vssseg2, 0xF, 0x4 }, // 526
  { Intrinsic::riscv_vssseg2_mask, 0xF, 0x5 }, // 527
  { Intrinsic::riscv_vssseg3, 0xF, 0x5 }, // 528
  { Intrinsic::riscv_vssseg3_mask, 0xF, 0x6 }, // 529
  { Intrinsic::riscv_vssseg4, 0xF, 0x6 }, // 530
  { Intrinsic::riscv_vssseg4_mask, 0xF, 0x7 }, // 531
  { Intrinsic::riscv_vssseg5, 0xF, 0x7 }, // 532
  { Intrinsic::riscv_vssseg5_mask, 0xF, 0x8 }, // 533
  { Intrinsic::riscv_vssseg6, 0xF, 0x8 }, // 534
  { Intrinsic::riscv_vssseg6_mask, 0xF, 0x9 }, // 535
  { Intrinsic::riscv_vssseg7, 0xF, 0x9 }, // 536
  { Intrinsic::riscv_vssseg7_mask, 0xF, 0xA }, // 537
  { Intrinsic::riscv_vssseg8, 0xF, 0xA }, // 538
  { Intrinsic::riscv_vssseg8_mask, 0xF, 0xB }, // 539
  { Intrinsic::riscv_vssub, 0x2, 0x3 }, // 540
  { Intrinsic::riscv_vssub_mask, 0x2, 0x4 }, // 541
  { Intrinsic::riscv_vssubu, 0x2, 0x3 }, // 542
  { Intrinsic::riscv_vssubu_mask, 0x2, 0x4 }, // 543
  { Intrinsic::riscv_vsub, 0x2, 0x3 }, // 544
  { Intrinsic::riscv_vsub_mask, 0x2, 0x4 }, // 545
  { Intrinsic::riscv_vsuxei, 0xF, 0x3 }, // 546
  { Intrinsic::riscv_vsuxei_mask, 0xF, 0x4 }, // 547
  { Intrinsic::riscv_vsuxseg2, 0xF, 0x4 }, // 548
  { Intrinsic::riscv_vsuxseg2_mask, 0xF, 0x5 }, // 549
  { Intrinsic::riscv_vsuxseg3, 0xF, 0x5 }, // 550
  { Intrinsic::riscv_vsuxseg3_mask, 0xF, 0x6 }, // 551
  { Intrinsic::riscv_vsuxseg4, 0xF, 0x6 }, // 552
  { Intrinsic::riscv_vsuxseg4_mask, 0xF, 0x7 }, // 553
  { Intrinsic::riscv_vsuxseg5, 0xF, 0x7 }, // 554
  { Intrinsic::riscv_vsuxseg5_mask, 0xF, 0x8 }, // 555
  { Intrinsic::riscv_vsuxseg6, 0xF, 0x8 }, // 556
  { Intrinsic::riscv_vsuxseg6_mask, 0xF, 0x9 }, // 557
  { Intrinsic::riscv_vsuxseg7, 0xF, 0x9 }, // 558
  { Intrinsic::riscv_vsuxseg7_mask, 0xF, 0xA }, // 559
  { Intrinsic::riscv_vsuxseg8, 0xF, 0xA }, // 560
  { Intrinsic::riscv_vsuxseg8_mask, 0xF, 0xB }, // 561
  { Intrinsic::riscv_vwadd, 0x2, 0x3 }, // 562
  { Intrinsic::riscv_vwadd_mask, 0x2, 0x4 }, // 563
  { Intrinsic::riscv_vwadd_w, 0x2, 0x3 }, // 564
  { Intrinsic::riscv_vwadd_w_mask, 0x2, 0x4 }, // 565
  { Intrinsic::riscv_vwaddu, 0x2, 0x3 }, // 566
  { Intrinsic::riscv_vwaddu_mask, 0x2, 0x4 }, // 567
  { Intrinsic::riscv_vwaddu_w, 0x2, 0x3 }, // 568
  { Intrinsic::riscv_vwaddu_w_mask, 0x2, 0x4 }, // 569
  { Intrinsic::riscv_vwmacc, 0x1, 0x3 }, // 570
  { Intrinsic::riscv_vwmacc_mask, 0x1, 0x4 }, // 571
  { Intrinsic::riscv_vwmaccsu, 0x1, 0x3 }, // 572
  { Intrinsic::riscv_vwmaccsu_mask, 0x1, 0x4 }, // 573
  { Intrinsic::riscv_vwmaccu, 0x1, 0x3 }, // 574
  { Intrinsic::riscv_vwmaccu_mask, 0x1, 0x4 }, // 575
  { Intrinsic::riscv_vwmaccus, 0x1, 0x3 }, // 576
  { Intrinsic::riscv_vwmaccus_mask, 0x1, 0x4 }, // 577
  { Intrinsic::riscv_vwmul, 0x2, 0x3 }, // 578
  { Intrinsic::riscv_vwmul_mask, 0x2, 0x4 }, // 579
  { Intrinsic::riscv_vwmulsu, 0x2, 0x3 }, // 580
  { Intrinsic::riscv_vwmulsu_mask, 0x2, 0x4 }, // 581
  { Intrinsic::riscv_vwmulu, 0x2, 0x3 }, // 582
  { Intrinsic::riscv_vwmulu_mask, 0x2, 0x4 }, // 583
  { Intrinsic::riscv_vwredsum, 0xF, 0x3 }, // 584
  { Intrinsic::riscv_vwredsum_mask, 0xF, 0x4 }, // 585
  { Intrinsic::riscv_vwredsumu, 0xF, 0x3 }, // 586
  { Intrinsic::riscv_vwredsumu_mask, 0xF, 0x4 }, // 587
  { Intrinsic::riscv_vwsll, 0x2, 0x3 }, // 588
  { Intrinsic::riscv_vwsll_mask, 0x2, 0x4 }, // 589
  { Intrinsic::riscv_vwsub, 0x2, 0x3 }, // 590
  { Intrinsic::riscv_vwsub_mask, 0x2, 0x4 }, // 591
  { Intrinsic::riscv_vwsub_w, 0x2, 0x3 }, // 592
  { Intrinsic::riscv_vwsub_w_mask, 0x2, 0x4 }, // 593
  { Intrinsic::riscv_vwsubu, 0x2, 0x3 }, // 594
  { Intrinsic::riscv_vwsubu_mask, 0x2, 0x4 }, // 595
  { Intrinsic::riscv_vwsubu_w, 0x2, 0x3 }, // 596
  { Intrinsic::riscv_vwsubu_w_mask, 0x2, 0x4 }, // 597
  { Intrinsic::riscv_vxor, 0x2, 0x3 }, // 598
  { Intrinsic::riscv_vxor_mask, 0x2, 0x4 }, // 599
  { Intrinsic::riscv_vzext, 0xF, 0x2 }, // 600
  { Intrinsic::riscv_vzext_mask, 0xF, 0x3 }, // 601
 };

const RISCVVIntrinsicInfo *getRISCVVIntrinsicInfo(unsigned IntrinsicID) {
  struct KeyType {
    unsigned IntrinsicID;
  };
  KeyType Key = {IntrinsicID};
  struct Comp {
    bool operator()(const RISCVVIntrinsicInfo &LHS, const KeyType &RHS) const {
      if (LHS.IntrinsicID < RHS.IntrinsicID)
        return true;
      if (LHS.IntrinsicID > RHS.IntrinsicID)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVIntrinsicsTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.IntrinsicID != Idx->IntrinsicID)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVInversePseudosTable_DECL
const PseudoInfo *getBaseInfo(unsigned BaseInstr, uint8_t VLMul, uint8_t SEW);
#endif

#ifdef GET_RISCVVInversePseudosTable_IMPL
constexpr PseudoInfo RISCVVInversePseudosTable[] = {
  { PseudoTHVdotVMAQASU_VV_M1, THVdotVMAQASU_VV, 0x0, 0x0 }, // 0
  { PseudoTHVdotVMAQASU_VV_M1_MASK, THVdotVMAQASU_VV, 0x0, 0x0 }, // 1
  { PseudoTHVdotVMAQASU_VV_M2, THVdotVMAQASU_VV, 0x1, 0x0 }, // 2
  { PseudoTHVdotVMAQASU_VV_M2_MASK, THVdotVMAQASU_VV, 0x1, 0x0 }, // 3
  { PseudoTHVdotVMAQASU_VV_M4, THVdotVMAQASU_VV, 0x2, 0x0 }, // 4
  { PseudoTHVdotVMAQASU_VV_M4_MASK, THVdotVMAQASU_VV, 0x2, 0x0 }, // 5
  { PseudoTHVdotVMAQASU_VV_M8, THVdotVMAQASU_VV, 0x3, 0x0 }, // 6
  { PseudoTHVdotVMAQASU_VV_M8_MASK, THVdotVMAQASU_VV, 0x3, 0x0 }, // 7
  { PseudoTHVdotVMAQASU_VV_MF2, THVdotVMAQASU_VV, 0x7, 0x0 }, // 8
  { PseudoTHVdotVMAQASU_VV_MF2_MASK, THVdotVMAQASU_VV, 0x7, 0x0 }, // 9
  { PseudoTHVdotVMAQASU_VX_M1, THVdotVMAQASU_VX, 0x0, 0x0 }, // 10
  { PseudoTHVdotVMAQASU_VX_M1_MASK, THVdotVMAQASU_VX, 0x0, 0x0 }, // 11
  { PseudoTHVdotVMAQASU_VX_M2, THVdotVMAQASU_VX, 0x1, 0x0 }, // 12
  { PseudoTHVdotVMAQASU_VX_M2_MASK, THVdotVMAQASU_VX, 0x1, 0x0 }, // 13
  { PseudoTHVdotVMAQASU_VX_M4, THVdotVMAQASU_VX, 0x2, 0x0 }, // 14
  { PseudoTHVdotVMAQASU_VX_M4_MASK, THVdotVMAQASU_VX, 0x2, 0x0 }, // 15
  { PseudoTHVdotVMAQASU_VX_M8, THVdotVMAQASU_VX, 0x3, 0x0 }, // 16
  { PseudoTHVdotVMAQASU_VX_M8_MASK, THVdotVMAQASU_VX, 0x3, 0x0 }, // 17
  { PseudoTHVdotVMAQASU_VX_MF2, THVdotVMAQASU_VX, 0x7, 0x0 }, // 18
  { PseudoTHVdotVMAQASU_VX_MF2_MASK, THVdotVMAQASU_VX, 0x7, 0x0 }, // 19
  { PseudoTHVdotVMAQAUS_VX_M1, THVdotVMAQAUS_VX, 0x0, 0x0 }, // 20
  { PseudoTHVdotVMAQAUS_VX_M1_MASK, THVdotVMAQAUS_VX, 0x0, 0x0 }, // 21
  { PseudoTHVdotVMAQAUS_VX_M2, THVdotVMAQAUS_VX, 0x1, 0x0 }, // 22
  { PseudoTHVdotVMAQAUS_VX_M2_MASK, THVdotVMAQAUS_VX, 0x1, 0x0 }, // 23
  { PseudoTHVdotVMAQAUS_VX_M4, THVdotVMAQAUS_VX, 0x2, 0x0 }, // 24
  { PseudoTHVdotVMAQAUS_VX_M4_MASK, THVdotVMAQAUS_VX, 0x2, 0x0 }, // 25
  { PseudoTHVdotVMAQAUS_VX_M8, THVdotVMAQAUS_VX, 0x3, 0x0 }, // 26
  { PseudoTHVdotVMAQAUS_VX_M8_MASK, THVdotVMAQAUS_VX, 0x3, 0x0 }, // 27
  { PseudoTHVdotVMAQAUS_VX_MF2, THVdotVMAQAUS_VX, 0x7, 0x0 }, // 28
  { PseudoTHVdotVMAQAUS_VX_MF2_MASK, THVdotVMAQAUS_VX, 0x7, 0x0 }, // 29
  { PseudoTHVdotVMAQAU_VV_M1, THVdotVMAQAU_VV, 0x0, 0x0 }, // 30
  { PseudoTHVdotVMAQAU_VV_M1_MASK, THVdotVMAQAU_VV, 0x0, 0x0 }, // 31
  { PseudoTHVdotVMAQAU_VV_M2, THVdotVMAQAU_VV, 0x1, 0x0 }, // 32
  { PseudoTHVdotVMAQAU_VV_M2_MASK, THVdotVMAQAU_VV, 0x1, 0x0 }, // 33
  { PseudoTHVdotVMAQAU_VV_M4, THVdotVMAQAU_VV, 0x2, 0x0 }, // 34
  { PseudoTHVdotVMAQAU_VV_M4_MASK, THVdotVMAQAU_VV, 0x2, 0x0 }, // 35
  { PseudoTHVdotVMAQAU_VV_M8, THVdotVMAQAU_VV, 0x3, 0x0 }, // 36
  { PseudoTHVdotVMAQAU_VV_M8_MASK, THVdotVMAQAU_VV, 0x3, 0x0 }, // 37
  { PseudoTHVdotVMAQAU_VV_MF2, THVdotVMAQAU_VV, 0x7, 0x0 }, // 38
  { PseudoTHVdotVMAQAU_VV_MF2_MASK, THVdotVMAQAU_VV, 0x7, 0x0 }, // 39
  { PseudoTHVdotVMAQAU_VX_M1, THVdotVMAQAU_VX, 0x0, 0x0 }, // 40
  { PseudoTHVdotVMAQAU_VX_M1_MASK, THVdotVMAQAU_VX, 0x0, 0x0 }, // 41
  { PseudoTHVdotVMAQAU_VX_M2, THVdotVMAQAU_VX, 0x1, 0x0 }, // 42
  { PseudoTHVdotVMAQAU_VX_M2_MASK, THVdotVMAQAU_VX, 0x1, 0x0 }, // 43
  { PseudoTHVdotVMAQAU_VX_M4, THVdotVMAQAU_VX, 0x2, 0x0 }, // 44
  { PseudoTHVdotVMAQAU_VX_M4_MASK, THVdotVMAQAU_VX, 0x2, 0x0 }, // 45
  { PseudoTHVdotVMAQAU_VX_M8, THVdotVMAQAU_VX, 0x3, 0x0 }, // 46
  { PseudoTHVdotVMAQAU_VX_M8_MASK, THVdotVMAQAU_VX, 0x3, 0x0 }, // 47
  { PseudoTHVdotVMAQAU_VX_MF2, THVdotVMAQAU_VX, 0x7, 0x0 }, // 48
  { PseudoTHVdotVMAQAU_VX_MF2_MASK, THVdotVMAQAU_VX, 0x7, 0x0 }, // 49
  { PseudoTHVdotVMAQA_VV_M1, THVdotVMAQA_VV, 0x0, 0x0 }, // 50
  { PseudoTHVdotVMAQA_VV_M1_MASK, THVdotVMAQA_VV, 0x0, 0x0 }, // 51
  { PseudoTHVdotVMAQA_VV_M2, THVdotVMAQA_VV, 0x1, 0x0 }, // 52
  { PseudoTHVdotVMAQA_VV_M2_MASK, THVdotVMAQA_VV, 0x1, 0x0 }, // 53
  { PseudoTHVdotVMAQA_VV_M4, THVdotVMAQA_VV, 0x2, 0x0 }, // 54
  { PseudoTHVdotVMAQA_VV_M4_MASK, THVdotVMAQA_VV, 0x2, 0x0 }, // 55
  { PseudoTHVdotVMAQA_VV_M8, THVdotVMAQA_VV, 0x3, 0x0 }, // 56
  { PseudoTHVdotVMAQA_VV_M8_MASK, THVdotVMAQA_VV, 0x3, 0x0 }, // 57
  { PseudoTHVdotVMAQA_VV_MF2, THVdotVMAQA_VV, 0x7, 0x0 }, // 58
  { PseudoTHVdotVMAQA_VV_MF2_MASK, THVdotVMAQA_VV, 0x7, 0x0 }, // 59
  { PseudoTHVdotVMAQA_VX_M1, THVdotVMAQA_VX, 0x0, 0x0 }, // 60
  { PseudoTHVdotVMAQA_VX_M1_MASK, THVdotVMAQA_VX, 0x0, 0x0 }, // 61
  { PseudoTHVdotVMAQA_VX_M2, THVdotVMAQA_VX, 0x1, 0x0 }, // 62
  { PseudoTHVdotVMAQA_VX_M2_MASK, THVdotVMAQA_VX, 0x1, 0x0 }, // 63
  { PseudoTHVdotVMAQA_VX_M4, THVdotVMAQA_VX, 0x2, 0x0 }, // 64
  { PseudoTHVdotVMAQA_VX_M4_MASK, THVdotVMAQA_VX, 0x2, 0x0 }, // 65
  { PseudoTHVdotVMAQA_VX_M8, THVdotVMAQA_VX, 0x3, 0x0 }, // 66
  { PseudoTHVdotVMAQA_VX_M8_MASK, THVdotVMAQA_VX, 0x3, 0x0 }, // 67
  { PseudoTHVdotVMAQA_VX_MF2, THVdotVMAQA_VX, 0x7, 0x0 }, // 68
  { PseudoTHVdotVMAQA_VX_MF2_MASK, THVdotVMAQA_VX, 0x7, 0x0 }, // 69
  { PseudoVAADDU_VV_M1, VAADDU_VV, 0x0, 0x0 }, // 70
  { PseudoVAADDU_VV_M1_MASK, VAADDU_VV, 0x0, 0x0 }, // 71
  { PseudoVAADDU_VV_M2, VAADDU_VV, 0x1, 0x0 }, // 72
  { PseudoVAADDU_VV_M2_MASK, VAADDU_VV, 0x1, 0x0 }, // 73
  { PseudoVAADDU_VV_M4, VAADDU_VV, 0x2, 0x0 }, // 74
  { PseudoVAADDU_VV_M4_MASK, VAADDU_VV, 0x2, 0x0 }, // 75
  { PseudoVAADDU_VV_M8, VAADDU_VV, 0x3, 0x0 }, // 76
  { PseudoVAADDU_VV_M8_MASK, VAADDU_VV, 0x3, 0x0 }, // 77
  { PseudoVAADDU_VV_MF8, VAADDU_VV, 0x5, 0x0 }, // 78
  { PseudoVAADDU_VV_MF8_MASK, VAADDU_VV, 0x5, 0x0 }, // 79
  { PseudoVAADDU_VV_MF4, VAADDU_VV, 0x6, 0x0 }, // 80
  { PseudoVAADDU_VV_MF4_MASK, VAADDU_VV, 0x6, 0x0 }, // 81
  { PseudoVAADDU_VV_MF2, VAADDU_VV, 0x7, 0x0 }, // 82
  { PseudoVAADDU_VV_MF2_MASK, VAADDU_VV, 0x7, 0x0 }, // 83
  { PseudoVAADDU_VX_M1, VAADDU_VX, 0x0, 0x0 }, // 84
  { PseudoVAADDU_VX_M1_MASK, VAADDU_VX, 0x0, 0x0 }, // 85
  { PseudoVAADDU_VX_M2, VAADDU_VX, 0x1, 0x0 }, // 86
  { PseudoVAADDU_VX_M2_MASK, VAADDU_VX, 0x1, 0x0 }, // 87
  { PseudoVAADDU_VX_M4, VAADDU_VX, 0x2, 0x0 }, // 88
  { PseudoVAADDU_VX_M4_MASK, VAADDU_VX, 0x2, 0x0 }, // 89
  { PseudoVAADDU_VX_M8, VAADDU_VX, 0x3, 0x0 }, // 90
  { PseudoVAADDU_VX_M8_MASK, VAADDU_VX, 0x3, 0x0 }, // 91
  { PseudoVAADDU_VX_MF8, VAADDU_VX, 0x5, 0x0 }, // 92
  { PseudoVAADDU_VX_MF8_MASK, VAADDU_VX, 0x5, 0x0 }, // 93
  { PseudoVAADDU_VX_MF4, VAADDU_VX, 0x6, 0x0 }, // 94
  { PseudoVAADDU_VX_MF4_MASK, VAADDU_VX, 0x6, 0x0 }, // 95
  { PseudoVAADDU_VX_MF2, VAADDU_VX, 0x7, 0x0 }, // 96
  { PseudoVAADDU_VX_MF2_MASK, VAADDU_VX, 0x7, 0x0 }, // 97
  { PseudoVAADD_VV_M1, VAADD_VV, 0x0, 0x0 }, // 98
  { PseudoVAADD_VV_M1_MASK, VAADD_VV, 0x0, 0x0 }, // 99
  { PseudoVAADD_VV_M2, VAADD_VV, 0x1, 0x0 }, // 100
  { PseudoVAADD_VV_M2_MASK, VAADD_VV, 0x1, 0x0 }, // 101
  { PseudoVAADD_VV_M4, VAADD_VV, 0x2, 0x0 }, // 102
  { PseudoVAADD_VV_M4_MASK, VAADD_VV, 0x2, 0x0 }, // 103
  { PseudoVAADD_VV_M8, VAADD_VV, 0x3, 0x0 }, // 104
  { PseudoVAADD_VV_M8_MASK, VAADD_VV, 0x3, 0x0 }, // 105
  { PseudoVAADD_VV_MF8, VAADD_VV, 0x5, 0x0 }, // 106
  { PseudoVAADD_VV_MF8_MASK, VAADD_VV, 0x5, 0x0 }, // 107
  { PseudoVAADD_VV_MF4, VAADD_VV, 0x6, 0x0 }, // 108
  { PseudoVAADD_VV_MF4_MASK, VAADD_VV, 0x6, 0x0 }, // 109
  { PseudoVAADD_VV_MF2, VAADD_VV, 0x7, 0x0 }, // 110
  { PseudoVAADD_VV_MF2_MASK, VAADD_VV, 0x7, 0x0 }, // 111
  { PseudoVAADD_VX_M1, VAADD_VX, 0x0, 0x0 }, // 112
  { PseudoVAADD_VX_M1_MASK, VAADD_VX, 0x0, 0x0 }, // 113
  { PseudoVAADD_VX_M2, VAADD_VX, 0x1, 0x0 }, // 114
  { PseudoVAADD_VX_M2_MASK, VAADD_VX, 0x1, 0x0 }, // 115
  { PseudoVAADD_VX_M4, VAADD_VX, 0x2, 0x0 }, // 116
  { PseudoVAADD_VX_M4_MASK, VAADD_VX, 0x2, 0x0 }, // 117
  { PseudoVAADD_VX_M8, VAADD_VX, 0x3, 0x0 }, // 118
  { PseudoVAADD_VX_M8_MASK, VAADD_VX, 0x3, 0x0 }, // 119
  { PseudoVAADD_VX_MF8, VAADD_VX, 0x5, 0x0 }, // 120
  { PseudoVAADD_VX_MF8_MASK, VAADD_VX, 0x5, 0x0 }, // 121
  { PseudoVAADD_VX_MF4, VAADD_VX, 0x6, 0x0 }, // 122
  { PseudoVAADD_VX_MF4_MASK, VAADD_VX, 0x6, 0x0 }, // 123
  { PseudoVAADD_VX_MF2, VAADD_VX, 0x7, 0x0 }, // 124
  { PseudoVAADD_VX_MF2_MASK, VAADD_VX, 0x7, 0x0 }, // 125
  { PseudoVADC_VIM_M1, VADC_VIM, 0x0, 0x0 }, // 126
  { PseudoVADC_VIM_M2, VADC_VIM, 0x1, 0x0 }, // 127
  { PseudoVADC_VIM_M4, VADC_VIM, 0x2, 0x0 }, // 128
  { PseudoVADC_VIM_M8, VADC_VIM, 0x3, 0x0 }, // 129
  { PseudoVADC_VIM_MF8, VADC_VIM, 0x5, 0x0 }, // 130
  { PseudoVADC_VIM_MF4, VADC_VIM, 0x6, 0x0 }, // 131
  { PseudoVADC_VIM_MF2, VADC_VIM, 0x7, 0x0 }, // 132
  { PseudoVADC_VVM_M1, VADC_VVM, 0x0, 0x0 }, // 133
  { PseudoVADC_VVM_M2, VADC_VVM, 0x1, 0x0 }, // 134
  { PseudoVADC_VVM_M4, VADC_VVM, 0x2, 0x0 }, // 135
  { PseudoVADC_VVM_M8, VADC_VVM, 0x3, 0x0 }, // 136
  { PseudoVADC_VVM_MF8, VADC_VVM, 0x5, 0x0 }, // 137
  { PseudoVADC_VVM_MF4, VADC_VVM, 0x6, 0x0 }, // 138
  { PseudoVADC_VVM_MF2, VADC_VVM, 0x7, 0x0 }, // 139
  { PseudoVADC_VXM_M1, VADC_VXM, 0x0, 0x0 }, // 140
  { PseudoVADC_VXM_M2, VADC_VXM, 0x1, 0x0 }, // 141
  { PseudoVADC_VXM_M4, VADC_VXM, 0x2, 0x0 }, // 142
  { PseudoVADC_VXM_M8, VADC_VXM, 0x3, 0x0 }, // 143
  { PseudoVADC_VXM_MF8, VADC_VXM, 0x5, 0x0 }, // 144
  { PseudoVADC_VXM_MF4, VADC_VXM, 0x6, 0x0 }, // 145
  { PseudoVADC_VXM_MF2, VADC_VXM, 0x7, 0x0 }, // 146
  { PseudoVADD_VI_M1, VADD_VI, 0x0, 0x0 }, // 147
  { PseudoVADD_VI_M1_MASK, VADD_VI, 0x0, 0x0 }, // 148
  { PseudoVADD_VI_M2, VADD_VI, 0x1, 0x0 }, // 149
  { PseudoVADD_VI_M2_MASK, VADD_VI, 0x1, 0x0 }, // 150
  { PseudoVADD_VI_M4, VADD_VI, 0x2, 0x0 }, // 151
  { PseudoVADD_VI_M4_MASK, VADD_VI, 0x2, 0x0 }, // 152
  { PseudoVADD_VI_M8, VADD_VI, 0x3, 0x0 }, // 153
  { PseudoVADD_VI_M8_MASK, VADD_VI, 0x3, 0x0 }, // 154
  { PseudoVADD_VI_MF8, VADD_VI, 0x5, 0x0 }, // 155
  { PseudoVADD_VI_MF8_MASK, VADD_VI, 0x5, 0x0 }, // 156
  { PseudoVADD_VI_MF4, VADD_VI, 0x6, 0x0 }, // 157
  { PseudoVADD_VI_MF4_MASK, VADD_VI, 0x6, 0x0 }, // 158
  { PseudoVADD_VI_MF2, VADD_VI, 0x7, 0x0 }, // 159
  { PseudoVADD_VI_MF2_MASK, VADD_VI, 0x7, 0x0 }, // 160
  { PseudoVADD_VV_M1, VADD_VV, 0x0, 0x0 }, // 161
  { PseudoVADD_VV_M1_MASK, VADD_VV, 0x0, 0x0 }, // 162
  { PseudoVADD_VV_M2, VADD_VV, 0x1, 0x0 }, // 163
  { PseudoVADD_VV_M2_MASK, VADD_VV, 0x1, 0x0 }, // 164
  { PseudoVADD_VV_M4, VADD_VV, 0x2, 0x0 }, // 165
  { PseudoVADD_VV_M4_MASK, VADD_VV, 0x2, 0x0 }, // 166
  { PseudoVADD_VV_M8, VADD_VV, 0x3, 0x0 }, // 167
  { PseudoVADD_VV_M8_MASK, VADD_VV, 0x3, 0x0 }, // 168
  { PseudoVADD_VV_MF8, VADD_VV, 0x5, 0x0 }, // 169
  { PseudoVADD_VV_MF8_MASK, VADD_VV, 0x5, 0x0 }, // 170
  { PseudoVADD_VV_MF4, VADD_VV, 0x6, 0x0 }, // 171
  { PseudoVADD_VV_MF4_MASK, VADD_VV, 0x6, 0x0 }, // 172
  { PseudoVADD_VV_MF2, VADD_VV, 0x7, 0x0 }, // 173
  { PseudoVADD_VV_MF2_MASK, VADD_VV, 0x7, 0x0 }, // 174
  { PseudoVADD_VX_M1, VADD_VX, 0x0, 0x0 }, // 175
  { PseudoVADD_VX_M1_MASK, VADD_VX, 0x0, 0x0 }, // 176
  { PseudoVADD_VX_M2, VADD_VX, 0x1, 0x0 }, // 177
  { PseudoVADD_VX_M2_MASK, VADD_VX, 0x1, 0x0 }, // 178
  { PseudoVADD_VX_M4, VADD_VX, 0x2, 0x0 }, // 179
  { PseudoVADD_VX_M4_MASK, VADD_VX, 0x2, 0x0 }, // 180
  { PseudoVADD_VX_M8, VADD_VX, 0x3, 0x0 }, // 181
  { PseudoVADD_VX_M8_MASK, VADD_VX, 0x3, 0x0 }, // 182
  { PseudoVADD_VX_MF8, VADD_VX, 0x5, 0x0 }, // 183
  { PseudoVADD_VX_MF8_MASK, VADD_VX, 0x5, 0x0 }, // 184
  { PseudoVADD_VX_MF4, VADD_VX, 0x6, 0x0 }, // 185
  { PseudoVADD_VX_MF4_MASK, VADD_VX, 0x6, 0x0 }, // 186
  { PseudoVADD_VX_MF2, VADD_VX, 0x7, 0x0 }, // 187
  { PseudoVADD_VX_MF2_MASK, VADD_VX, 0x7, 0x0 }, // 188
  { PseudoVAESDF_VS_M1_M1, VAESDF_VS, 0x0, 0x0 }, // 189
  { PseudoVAESDF_VS_M1_MF2, VAESDF_VS, 0x0, 0x0 }, // 190
  { PseudoVAESDF_VS_M1_MF4, VAESDF_VS, 0x0, 0x0 }, // 191
  { PseudoVAESDF_VS_M1_MF8, VAESDF_VS, 0x0, 0x0 }, // 192
  { PseudoVAESDF_VS_M2_M1, VAESDF_VS, 0x1, 0x0 }, // 193
  { PseudoVAESDF_VS_M2_M2, VAESDF_VS, 0x1, 0x0 }, // 194
  { PseudoVAESDF_VS_M2_MF2, VAESDF_VS, 0x1, 0x0 }, // 195
  { PseudoVAESDF_VS_M2_MF4, VAESDF_VS, 0x1, 0x0 }, // 196
  { PseudoVAESDF_VS_M2_MF8, VAESDF_VS, 0x1, 0x0 }, // 197
  { PseudoVAESDF_VS_M4_M1, VAESDF_VS, 0x2, 0x0 }, // 198
  { PseudoVAESDF_VS_M4_M2, VAESDF_VS, 0x2, 0x0 }, // 199
  { PseudoVAESDF_VS_M4_M4, VAESDF_VS, 0x2, 0x0 }, // 200
  { PseudoVAESDF_VS_M4_MF2, VAESDF_VS, 0x2, 0x0 }, // 201
  { PseudoVAESDF_VS_M4_MF4, VAESDF_VS, 0x2, 0x0 }, // 202
  { PseudoVAESDF_VS_M4_MF8, VAESDF_VS, 0x2, 0x0 }, // 203
  { PseudoVAESDF_VS_M8_M1, VAESDF_VS, 0x3, 0x0 }, // 204
  { PseudoVAESDF_VS_M8_M2, VAESDF_VS, 0x3, 0x0 }, // 205
  { PseudoVAESDF_VS_M8_M4, VAESDF_VS, 0x3, 0x0 }, // 206
  { PseudoVAESDF_VS_M8_MF2, VAESDF_VS, 0x3, 0x0 }, // 207
  { PseudoVAESDF_VS_M8_MF4, VAESDF_VS, 0x3, 0x0 }, // 208
  { PseudoVAESDF_VS_M8_MF8, VAESDF_VS, 0x3, 0x0 }, // 209
  { PseudoVAESDF_VS_MF2_MF2, VAESDF_VS, 0x7, 0x0 }, // 210
  { PseudoVAESDF_VS_MF2_MF4, VAESDF_VS, 0x7, 0x0 }, // 211
  { PseudoVAESDF_VS_MF2_MF8, VAESDF_VS, 0x7, 0x0 }, // 212
  { PseudoVAESDF_VV_M1, VAESDF_VV, 0x0, 0x0 }, // 213
  { PseudoVAESDF_VV_M2, VAESDF_VV, 0x1, 0x0 }, // 214
  { PseudoVAESDF_VV_M4, VAESDF_VV, 0x2, 0x0 }, // 215
  { PseudoVAESDF_VV_M8, VAESDF_VV, 0x3, 0x0 }, // 216
  { PseudoVAESDF_VV_MF2, VAESDF_VV, 0x7, 0x0 }, // 217
  { PseudoVAESDM_VS_M1_M1, VAESDM_VS, 0x0, 0x0 }, // 218
  { PseudoVAESDM_VS_M1_MF2, VAESDM_VS, 0x0, 0x0 }, // 219
  { PseudoVAESDM_VS_M1_MF4, VAESDM_VS, 0x0, 0x0 }, // 220
  { PseudoVAESDM_VS_M1_MF8, VAESDM_VS, 0x0, 0x0 }, // 221
  { PseudoVAESDM_VS_M2_M1, VAESDM_VS, 0x1, 0x0 }, // 222
  { PseudoVAESDM_VS_M2_M2, VAESDM_VS, 0x1, 0x0 }, // 223
  { PseudoVAESDM_VS_M2_MF2, VAESDM_VS, 0x1, 0x0 }, // 224
  { PseudoVAESDM_VS_M2_MF4, VAESDM_VS, 0x1, 0x0 }, // 225
  { PseudoVAESDM_VS_M2_MF8, VAESDM_VS, 0x1, 0x0 }, // 226
  { PseudoVAESDM_VS_M4_M1, VAESDM_VS, 0x2, 0x0 }, // 227
  { PseudoVAESDM_VS_M4_M2, VAESDM_VS, 0x2, 0x0 }, // 228
  { PseudoVAESDM_VS_M4_M4, VAESDM_VS, 0x2, 0x0 }, // 229
  { PseudoVAESDM_VS_M4_MF2, VAESDM_VS, 0x2, 0x0 }, // 230
  { PseudoVAESDM_VS_M4_MF4, VAESDM_VS, 0x2, 0x0 }, // 231
  { PseudoVAESDM_VS_M4_MF8, VAESDM_VS, 0x2, 0x0 }, // 232
  { PseudoVAESDM_VS_M8_M1, VAESDM_VS, 0x3, 0x0 }, // 233
  { PseudoVAESDM_VS_M8_M2, VAESDM_VS, 0x3, 0x0 }, // 234
  { PseudoVAESDM_VS_M8_M4, VAESDM_VS, 0x3, 0x0 }, // 235
  { PseudoVAESDM_VS_M8_MF2, VAESDM_VS, 0x3, 0x0 }, // 236
  { PseudoVAESDM_VS_M8_MF4, VAESDM_VS, 0x3, 0x0 }, // 237
  { PseudoVAESDM_VS_M8_MF8, VAESDM_VS, 0x3, 0x0 }, // 238
  { PseudoVAESDM_VS_MF2_MF2, VAESDM_VS, 0x7, 0x0 }, // 239
  { PseudoVAESDM_VS_MF2_MF4, VAESDM_VS, 0x7, 0x0 }, // 240
  { PseudoVAESDM_VS_MF2_MF8, VAESDM_VS, 0x7, 0x0 }, // 241
  { PseudoVAESDM_VV_M1, VAESDM_VV, 0x0, 0x0 }, // 242
  { PseudoVAESDM_VV_M2, VAESDM_VV, 0x1, 0x0 }, // 243
  { PseudoVAESDM_VV_M4, VAESDM_VV, 0x2, 0x0 }, // 244
  { PseudoVAESDM_VV_M8, VAESDM_VV, 0x3, 0x0 }, // 245
  { PseudoVAESDM_VV_MF2, VAESDM_VV, 0x7, 0x0 }, // 246
  { PseudoVAESEF_VS_M1_M1, VAESEF_VS, 0x0, 0x0 }, // 247
  { PseudoVAESEF_VS_M1_MF2, VAESEF_VS, 0x0, 0x0 }, // 248
  { PseudoVAESEF_VS_M1_MF4, VAESEF_VS, 0x0, 0x0 }, // 249
  { PseudoVAESEF_VS_M1_MF8, VAESEF_VS, 0x0, 0x0 }, // 250
  { PseudoVAESEF_VS_M2_M1, VAESEF_VS, 0x1, 0x0 }, // 251
  { PseudoVAESEF_VS_M2_M2, VAESEF_VS, 0x1, 0x0 }, // 252
  { PseudoVAESEF_VS_M2_MF2, VAESEF_VS, 0x1, 0x0 }, // 253
  { PseudoVAESEF_VS_M2_MF4, VAESEF_VS, 0x1, 0x0 }, // 254
  { PseudoVAESEF_VS_M2_MF8, VAESEF_VS, 0x1, 0x0 }, // 255
  { PseudoVAESEF_VS_M4_M1, VAESEF_VS, 0x2, 0x0 }, // 256
  { PseudoVAESEF_VS_M4_M2, VAESEF_VS, 0x2, 0x0 }, // 257
  { PseudoVAESEF_VS_M4_M4, VAESEF_VS, 0x2, 0x0 }, // 258
  { PseudoVAESEF_VS_M4_MF2, VAESEF_VS, 0x2, 0x0 }, // 259
  { PseudoVAESEF_VS_M4_MF4, VAESEF_VS, 0x2, 0x0 }, // 260
  { PseudoVAESEF_VS_M4_MF8, VAESEF_VS, 0x2, 0x0 }, // 261
  { PseudoVAESEF_VS_M8_M1, VAESEF_VS, 0x3, 0x0 }, // 262
  { PseudoVAESEF_VS_M8_M2, VAESEF_VS, 0x3, 0x0 }, // 263
  { PseudoVAESEF_VS_M8_M4, VAESEF_VS, 0x3, 0x0 }, // 264
  { PseudoVAESEF_VS_M8_MF2, VAESEF_VS, 0x3, 0x0 }, // 265
  { PseudoVAESEF_VS_M8_MF4, VAESEF_VS, 0x3, 0x0 }, // 266
  { PseudoVAESEF_VS_M8_MF8, VAESEF_VS, 0x3, 0x0 }, // 267
  { PseudoVAESEF_VS_MF2_MF2, VAESEF_VS, 0x7, 0x0 }, // 268
  { PseudoVAESEF_VS_MF2_MF4, VAESEF_VS, 0x7, 0x0 }, // 269
  { PseudoVAESEF_VS_MF2_MF8, VAESEF_VS, 0x7, 0x0 }, // 270
  { PseudoVAESEF_VV_M1, VAESEF_VV, 0x0, 0x0 }, // 271
  { PseudoVAESEF_VV_M2, VAESEF_VV, 0x1, 0x0 }, // 272
  { PseudoVAESEF_VV_M4, VAESEF_VV, 0x2, 0x0 }, // 273
  { PseudoVAESEF_VV_M8, VAESEF_VV, 0x3, 0x0 }, // 274
  { PseudoVAESEF_VV_MF2, VAESEF_VV, 0x7, 0x0 }, // 275
  { PseudoVAESEM_VS_M1_M1, VAESEM_VS, 0x0, 0x0 }, // 276
  { PseudoVAESEM_VS_M1_MF2, VAESEM_VS, 0x0, 0x0 }, // 277
  { PseudoVAESEM_VS_M1_MF4, VAESEM_VS, 0x0, 0x0 }, // 278
  { PseudoVAESEM_VS_M1_MF8, VAESEM_VS, 0x0, 0x0 }, // 279
  { PseudoVAESEM_VS_M2_M1, VAESEM_VS, 0x1, 0x0 }, // 280
  { PseudoVAESEM_VS_M2_M2, VAESEM_VS, 0x1, 0x0 }, // 281
  { PseudoVAESEM_VS_M2_MF2, VAESEM_VS, 0x1, 0x0 }, // 282
  { PseudoVAESEM_VS_M2_MF4, VAESEM_VS, 0x1, 0x0 }, // 283
  { PseudoVAESEM_VS_M2_MF8, VAESEM_VS, 0x1, 0x0 }, // 284
  { PseudoVAESEM_VS_M4_M1, VAESEM_VS, 0x2, 0x0 }, // 285
  { PseudoVAESEM_VS_M4_M2, VAESEM_VS, 0x2, 0x0 }, // 286
  { PseudoVAESEM_VS_M4_M4, VAESEM_VS, 0x2, 0x0 }, // 287
  { PseudoVAESEM_VS_M4_MF2, VAESEM_VS, 0x2, 0x0 }, // 288
  { PseudoVAESEM_VS_M4_MF4, VAESEM_VS, 0x2, 0x0 }, // 289
  { PseudoVAESEM_VS_M4_MF8, VAESEM_VS, 0x2, 0x0 }, // 290
  { PseudoVAESEM_VS_M8_M1, VAESEM_VS, 0x3, 0x0 }, // 291
  { PseudoVAESEM_VS_M8_M2, VAESEM_VS, 0x3, 0x0 }, // 292
  { PseudoVAESEM_VS_M8_M4, VAESEM_VS, 0x3, 0x0 }, // 293
  { PseudoVAESEM_VS_M8_MF2, VAESEM_VS, 0x3, 0x0 }, // 294
  { PseudoVAESEM_VS_M8_MF4, VAESEM_VS, 0x3, 0x0 }, // 295
  { PseudoVAESEM_VS_M8_MF8, VAESEM_VS, 0x3, 0x0 }, // 296
  { PseudoVAESEM_VS_MF2_MF2, VAESEM_VS, 0x7, 0x0 }, // 297
  { PseudoVAESEM_VS_MF2_MF4, VAESEM_VS, 0x7, 0x0 }, // 298
  { PseudoVAESEM_VS_MF2_MF8, VAESEM_VS, 0x7, 0x0 }, // 299
  { PseudoVAESEM_VV_M1, VAESEM_VV, 0x0, 0x0 }, // 300
  { PseudoVAESEM_VV_M2, VAESEM_VV, 0x1, 0x0 }, // 301
  { PseudoVAESEM_VV_M4, VAESEM_VV, 0x2, 0x0 }, // 302
  { PseudoVAESEM_VV_M8, VAESEM_VV, 0x3, 0x0 }, // 303
  { PseudoVAESEM_VV_MF2, VAESEM_VV, 0x7, 0x0 }, // 304
  { PseudoVAESKF1_VI_M1, VAESKF1_VI, 0x0, 0x0 }, // 305
  { PseudoVAESKF1_VI_M2, VAESKF1_VI, 0x1, 0x0 }, // 306
  { PseudoVAESKF1_VI_M4, VAESKF1_VI, 0x2, 0x0 }, // 307
  { PseudoVAESKF1_VI_M8, VAESKF1_VI, 0x3, 0x0 }, // 308
  { PseudoVAESKF1_VI_MF2, VAESKF1_VI, 0x7, 0x0 }, // 309
  { PseudoVAESKF2_VI_M1, VAESKF2_VI, 0x0, 0x0 }, // 310
  { PseudoVAESKF2_VI_M2, VAESKF2_VI, 0x1, 0x0 }, // 311
  { PseudoVAESKF2_VI_M4, VAESKF2_VI, 0x2, 0x0 }, // 312
  { PseudoVAESKF2_VI_M8, VAESKF2_VI, 0x3, 0x0 }, // 313
  { PseudoVAESKF2_VI_MF2, VAESKF2_VI, 0x7, 0x0 }, // 314
  { PseudoVAESZ_VS_M1_M1, VAESZ_VS, 0x0, 0x0 }, // 315
  { PseudoVAESZ_VS_M1_MF2, VAESZ_VS, 0x0, 0x0 }, // 316
  { PseudoVAESZ_VS_M1_MF4, VAESZ_VS, 0x0, 0x0 }, // 317
  { PseudoVAESZ_VS_M1_MF8, VAESZ_VS, 0x0, 0x0 }, // 318
  { PseudoVAESZ_VS_M2_M1, VAESZ_VS, 0x1, 0x0 }, // 319
  { PseudoVAESZ_VS_M2_M2, VAESZ_VS, 0x1, 0x0 }, // 320
  { PseudoVAESZ_VS_M2_MF2, VAESZ_VS, 0x1, 0x0 }, // 321
  { PseudoVAESZ_VS_M2_MF4, VAESZ_VS, 0x1, 0x0 }, // 322
  { PseudoVAESZ_VS_M2_MF8, VAESZ_VS, 0x1, 0x0 }, // 323
  { PseudoVAESZ_VS_M4_M1, VAESZ_VS, 0x2, 0x0 }, // 324
  { PseudoVAESZ_VS_M4_M2, VAESZ_VS, 0x2, 0x0 }, // 325
  { PseudoVAESZ_VS_M4_M4, VAESZ_VS, 0x2, 0x0 }, // 326
  { PseudoVAESZ_VS_M4_MF2, VAESZ_VS, 0x2, 0x0 }, // 327
  { PseudoVAESZ_VS_M4_MF4, VAESZ_VS, 0x2, 0x0 }, // 328
  { PseudoVAESZ_VS_M4_MF8, VAESZ_VS, 0x2, 0x0 }, // 329
  { PseudoVAESZ_VS_M8_M1, VAESZ_VS, 0x3, 0x0 }, // 330
  { PseudoVAESZ_VS_M8_M2, VAESZ_VS, 0x3, 0x0 }, // 331
  { PseudoVAESZ_VS_M8_M4, VAESZ_VS, 0x3, 0x0 }, // 332
  { PseudoVAESZ_VS_M8_MF2, VAESZ_VS, 0x3, 0x0 }, // 333
  { PseudoVAESZ_VS_M8_MF4, VAESZ_VS, 0x3, 0x0 }, // 334
  { PseudoVAESZ_VS_M8_MF8, VAESZ_VS, 0x3, 0x0 }, // 335
  { PseudoVAESZ_VS_MF2_MF2, VAESZ_VS, 0x7, 0x0 }, // 336
  { PseudoVAESZ_VS_MF2_MF4, VAESZ_VS, 0x7, 0x0 }, // 337
  { PseudoVAESZ_VS_MF2_MF8, VAESZ_VS, 0x7, 0x0 }, // 338
  { PseudoVANDN_VV_M1, VANDN_VV, 0x0, 0x0 }, // 339
  { PseudoVANDN_VV_M1_MASK, VANDN_VV, 0x0, 0x0 }, // 340
  { PseudoVANDN_VV_M2, VANDN_VV, 0x1, 0x0 }, // 341
  { PseudoVANDN_VV_M2_MASK, VANDN_VV, 0x1, 0x0 }, // 342
  { PseudoVANDN_VV_M4, VANDN_VV, 0x2, 0x0 }, // 343
  { PseudoVANDN_VV_M4_MASK, VANDN_VV, 0x2, 0x0 }, // 344
  { PseudoVANDN_VV_M8, VANDN_VV, 0x3, 0x0 }, // 345
  { PseudoVANDN_VV_M8_MASK, VANDN_VV, 0x3, 0x0 }, // 346
  { PseudoVANDN_VV_MF8, VANDN_VV, 0x5, 0x0 }, // 347
  { PseudoVANDN_VV_MF8_MASK, VANDN_VV, 0x5, 0x0 }, // 348
  { PseudoVANDN_VV_MF4, VANDN_VV, 0x6, 0x0 }, // 349
  { PseudoVANDN_VV_MF4_MASK, VANDN_VV, 0x6, 0x0 }, // 350
  { PseudoVANDN_VV_MF2, VANDN_VV, 0x7, 0x0 }, // 351
  { PseudoVANDN_VV_MF2_MASK, VANDN_VV, 0x7, 0x0 }, // 352
  { PseudoVANDN_VX_M1, VANDN_VX, 0x0, 0x0 }, // 353
  { PseudoVANDN_VX_M1_MASK, VANDN_VX, 0x0, 0x0 }, // 354
  { PseudoVANDN_VX_M2, VANDN_VX, 0x1, 0x0 }, // 355
  { PseudoVANDN_VX_M2_MASK, VANDN_VX, 0x1, 0x0 }, // 356
  { PseudoVANDN_VX_M4, VANDN_VX, 0x2, 0x0 }, // 357
  { PseudoVANDN_VX_M4_MASK, VANDN_VX, 0x2, 0x0 }, // 358
  { PseudoVANDN_VX_M8, VANDN_VX, 0x3, 0x0 }, // 359
  { PseudoVANDN_VX_M8_MASK, VANDN_VX, 0x3, 0x0 }, // 360
  { PseudoVANDN_VX_MF8, VANDN_VX, 0x5, 0x0 }, // 361
  { PseudoVANDN_VX_MF8_MASK, VANDN_VX, 0x5, 0x0 }, // 362
  { PseudoVANDN_VX_MF4, VANDN_VX, 0x6, 0x0 }, // 363
  { PseudoVANDN_VX_MF4_MASK, VANDN_VX, 0x6, 0x0 }, // 364
  { PseudoVANDN_VX_MF2, VANDN_VX, 0x7, 0x0 }, // 365
  { PseudoVANDN_VX_MF2_MASK, VANDN_VX, 0x7, 0x0 }, // 366
  { PseudoVAND_VI_M1, VAND_VI, 0x0, 0x0 }, // 367
  { PseudoVAND_VI_M1_MASK, VAND_VI, 0x0, 0x0 }, // 368
  { PseudoVAND_VI_M2, VAND_VI, 0x1, 0x0 }, // 369
  { PseudoVAND_VI_M2_MASK, VAND_VI, 0x1, 0x0 }, // 370
  { PseudoVAND_VI_M4, VAND_VI, 0x2, 0x0 }, // 371
  { PseudoVAND_VI_M4_MASK, VAND_VI, 0x2, 0x0 }, // 372
  { PseudoVAND_VI_M8, VAND_VI, 0x3, 0x0 }, // 373
  { PseudoVAND_VI_M8_MASK, VAND_VI, 0x3, 0x0 }, // 374
  { PseudoVAND_VI_MF8, VAND_VI, 0x5, 0x0 }, // 375
  { PseudoVAND_VI_MF8_MASK, VAND_VI, 0x5, 0x0 }, // 376
  { PseudoVAND_VI_MF4, VAND_VI, 0x6, 0x0 }, // 377
  { PseudoVAND_VI_MF4_MASK, VAND_VI, 0x6, 0x0 }, // 378
  { PseudoVAND_VI_MF2, VAND_VI, 0x7, 0x0 }, // 379
  { PseudoVAND_VI_MF2_MASK, VAND_VI, 0x7, 0x0 }, // 380
  { PseudoVAND_VV_M1, VAND_VV, 0x0, 0x0 }, // 381
  { PseudoVAND_VV_M1_MASK, VAND_VV, 0x0, 0x0 }, // 382
  { PseudoVAND_VV_M2, VAND_VV, 0x1, 0x0 }, // 383
  { PseudoVAND_VV_M2_MASK, VAND_VV, 0x1, 0x0 }, // 384
  { PseudoVAND_VV_M4, VAND_VV, 0x2, 0x0 }, // 385
  { PseudoVAND_VV_M4_MASK, VAND_VV, 0x2, 0x0 }, // 386
  { PseudoVAND_VV_M8, VAND_VV, 0x3, 0x0 }, // 387
  { PseudoVAND_VV_M8_MASK, VAND_VV, 0x3, 0x0 }, // 388
  { PseudoVAND_VV_MF8, VAND_VV, 0x5, 0x0 }, // 389
  { PseudoVAND_VV_MF8_MASK, VAND_VV, 0x5, 0x0 }, // 390
  { PseudoVAND_VV_MF4, VAND_VV, 0x6, 0x0 }, // 391
  { PseudoVAND_VV_MF4_MASK, VAND_VV, 0x6, 0x0 }, // 392
  { PseudoVAND_VV_MF2, VAND_VV, 0x7, 0x0 }, // 393
  { PseudoVAND_VV_MF2_MASK, VAND_VV, 0x7, 0x0 }, // 394
  { PseudoVAND_VX_M1, VAND_VX, 0x0, 0x0 }, // 395
  { PseudoVAND_VX_M1_MASK, VAND_VX, 0x0, 0x0 }, // 396
  { PseudoVAND_VX_M2, VAND_VX, 0x1, 0x0 }, // 397
  { PseudoVAND_VX_M2_MASK, VAND_VX, 0x1, 0x0 }, // 398
  { PseudoVAND_VX_M4, VAND_VX, 0x2, 0x0 }, // 399
  { PseudoVAND_VX_M4_MASK, VAND_VX, 0x2, 0x0 }, // 400
  { PseudoVAND_VX_M8, VAND_VX, 0x3, 0x0 }, // 401
  { PseudoVAND_VX_M8_MASK, VAND_VX, 0x3, 0x0 }, // 402
  { PseudoVAND_VX_MF8, VAND_VX, 0x5, 0x0 }, // 403
  { PseudoVAND_VX_MF8_MASK, VAND_VX, 0x5, 0x0 }, // 404
  { PseudoVAND_VX_MF4, VAND_VX, 0x6, 0x0 }, // 405
  { PseudoVAND_VX_MF4_MASK, VAND_VX, 0x6, 0x0 }, // 406
  { PseudoVAND_VX_MF2, VAND_VX, 0x7, 0x0 }, // 407
  { PseudoVAND_VX_MF2_MASK, VAND_VX, 0x7, 0x0 }, // 408
  { PseudoVASUBU_VV_M1, VASUBU_VV, 0x0, 0x0 }, // 409
  { PseudoVASUBU_VV_M1_MASK, VASUBU_VV, 0x0, 0x0 }, // 410
  { PseudoVASUBU_VV_M2, VASUBU_VV, 0x1, 0x0 }, // 411
  { PseudoVASUBU_VV_M2_MASK, VASUBU_VV, 0x1, 0x0 }, // 412
  { PseudoVASUBU_VV_M4, VASUBU_VV, 0x2, 0x0 }, // 413
  { PseudoVASUBU_VV_M4_MASK, VASUBU_VV, 0x2, 0x0 }, // 414
  { PseudoVASUBU_VV_M8, VASUBU_VV, 0x3, 0x0 }, // 415
  { PseudoVASUBU_VV_M8_MASK, VASUBU_VV, 0x3, 0x0 }, // 416
  { PseudoVASUBU_VV_MF8, VASUBU_VV, 0x5, 0x0 }, // 417
  { PseudoVASUBU_VV_MF8_MASK, VASUBU_VV, 0x5, 0x0 }, // 418
  { PseudoVASUBU_VV_MF4, VASUBU_VV, 0x6, 0x0 }, // 419
  { PseudoVASUBU_VV_MF4_MASK, VASUBU_VV, 0x6, 0x0 }, // 420
  { PseudoVASUBU_VV_MF2, VASUBU_VV, 0x7, 0x0 }, // 421
  { PseudoVASUBU_VV_MF2_MASK, VASUBU_VV, 0x7, 0x0 }, // 422
  { PseudoVASUBU_VX_M1, VASUBU_VX, 0x0, 0x0 }, // 423
  { PseudoVASUBU_VX_M1_MASK, VASUBU_VX, 0x0, 0x0 }, // 424
  { PseudoVASUBU_VX_M2, VASUBU_VX, 0x1, 0x0 }, // 425
  { PseudoVASUBU_VX_M2_MASK, VASUBU_VX, 0x1, 0x0 }, // 426
  { PseudoVASUBU_VX_M4, VASUBU_VX, 0x2, 0x0 }, // 427
  { PseudoVASUBU_VX_M4_MASK, VASUBU_VX, 0x2, 0x0 }, // 428
  { PseudoVASUBU_VX_M8, VASUBU_VX, 0x3, 0x0 }, // 429
  { PseudoVASUBU_VX_M8_MASK, VASUBU_VX, 0x3, 0x0 }, // 430
  { PseudoVASUBU_VX_MF8, VASUBU_VX, 0x5, 0x0 }, // 431
  { PseudoVASUBU_VX_MF8_MASK, VASUBU_VX, 0x5, 0x0 }, // 432
  { PseudoVASUBU_VX_MF4, VASUBU_VX, 0x6, 0x0 }, // 433
  { PseudoVASUBU_VX_MF4_MASK, VASUBU_VX, 0x6, 0x0 }, // 434
  { PseudoVASUBU_VX_MF2, VASUBU_VX, 0x7, 0x0 }, // 435
  { PseudoVASUBU_VX_MF2_MASK, VASUBU_VX, 0x7, 0x0 }, // 436
  { PseudoVASUB_VV_M1, VASUB_VV, 0x0, 0x0 }, // 437
  { PseudoVASUB_VV_M1_MASK, VASUB_VV, 0x0, 0x0 }, // 438
  { PseudoVASUB_VV_M2, VASUB_VV, 0x1, 0x0 }, // 439
  { PseudoVASUB_VV_M2_MASK, VASUB_VV, 0x1, 0x0 }, // 440
  { PseudoVASUB_VV_M4, VASUB_VV, 0x2, 0x0 }, // 441
  { PseudoVASUB_VV_M4_MASK, VASUB_VV, 0x2, 0x0 }, // 442
  { PseudoVASUB_VV_M8, VASUB_VV, 0x3, 0x0 }, // 443
  { PseudoVASUB_VV_M8_MASK, VASUB_VV, 0x3, 0x0 }, // 444
  { PseudoVASUB_VV_MF8, VASUB_VV, 0x5, 0x0 }, // 445
  { PseudoVASUB_VV_MF8_MASK, VASUB_VV, 0x5, 0x0 }, // 446
  { PseudoVASUB_VV_MF4, VASUB_VV, 0x6, 0x0 }, // 447
  { PseudoVASUB_VV_MF4_MASK, VASUB_VV, 0x6, 0x0 }, // 448
  { PseudoVASUB_VV_MF2, VASUB_VV, 0x7, 0x0 }, // 449
  { PseudoVASUB_VV_MF2_MASK, VASUB_VV, 0x7, 0x0 }, // 450
  { PseudoVASUB_VX_M1, VASUB_VX, 0x0, 0x0 }, // 451
  { PseudoVASUB_VX_M1_MASK, VASUB_VX, 0x0, 0x0 }, // 452
  { PseudoVASUB_VX_M2, VASUB_VX, 0x1, 0x0 }, // 453
  { PseudoVASUB_VX_M2_MASK, VASUB_VX, 0x1, 0x0 }, // 454
  { PseudoVASUB_VX_M4, VASUB_VX, 0x2, 0x0 }, // 455
  { PseudoVASUB_VX_M4_MASK, VASUB_VX, 0x2, 0x0 }, // 456
  { PseudoVASUB_VX_M8, VASUB_VX, 0x3, 0x0 }, // 457
  { PseudoVASUB_VX_M8_MASK, VASUB_VX, 0x3, 0x0 }, // 458
  { PseudoVASUB_VX_MF8, VASUB_VX, 0x5, 0x0 }, // 459
  { PseudoVASUB_VX_MF8_MASK, VASUB_VX, 0x5, 0x0 }, // 460
  { PseudoVASUB_VX_MF4, VASUB_VX, 0x6, 0x0 }, // 461
  { PseudoVASUB_VX_MF4_MASK, VASUB_VX, 0x6, 0x0 }, // 462
  { PseudoVASUB_VX_MF2, VASUB_VX, 0x7, 0x0 }, // 463
  { PseudoVASUB_VX_MF2_MASK, VASUB_VX, 0x7, 0x0 }, // 464
  { PseudoVBREV8_V_M1, VBREV8_V, 0x0, 0x0 }, // 465
  { PseudoVBREV8_V_M1_MASK, VBREV8_V, 0x0, 0x0 }, // 466
  { PseudoVBREV8_V_M2, VBREV8_V, 0x1, 0x0 }, // 467
  { PseudoVBREV8_V_M2_MASK, VBREV8_V, 0x1, 0x0 }, // 468
  { PseudoVBREV8_V_M4, VBREV8_V, 0x2, 0x0 }, // 469
  { PseudoVBREV8_V_M4_MASK, VBREV8_V, 0x2, 0x0 }, // 470
  { PseudoVBREV8_V_M8, VBREV8_V, 0x3, 0x0 }, // 471
  { PseudoVBREV8_V_M8_MASK, VBREV8_V, 0x3, 0x0 }, // 472
  { PseudoVBREV8_V_MF8, VBREV8_V, 0x5, 0x0 }, // 473
  { PseudoVBREV8_V_MF8_MASK, VBREV8_V, 0x5, 0x0 }, // 474
  { PseudoVBREV8_V_MF4, VBREV8_V, 0x6, 0x0 }, // 475
  { PseudoVBREV8_V_MF4_MASK, VBREV8_V, 0x6, 0x0 }, // 476
  { PseudoVBREV8_V_MF2, VBREV8_V, 0x7, 0x0 }, // 477
  { PseudoVBREV8_V_MF2_MASK, VBREV8_V, 0x7, 0x0 }, // 478
  { PseudoVBREV_V_M1, VBREV_V, 0x0, 0x0 }, // 479
  { PseudoVBREV_V_M1_MASK, VBREV_V, 0x0, 0x0 }, // 480
  { PseudoVBREV_V_M2, VBREV_V, 0x1, 0x0 }, // 481
  { PseudoVBREV_V_M2_MASK, VBREV_V, 0x1, 0x0 }, // 482
  { PseudoVBREV_V_M4, VBREV_V, 0x2, 0x0 }, // 483
  { PseudoVBREV_V_M4_MASK, VBREV_V, 0x2, 0x0 }, // 484
  { PseudoVBREV_V_M8, VBREV_V, 0x3, 0x0 }, // 485
  { PseudoVBREV_V_M8_MASK, VBREV_V, 0x3, 0x0 }, // 486
  { PseudoVBREV_V_MF8, VBREV_V, 0x5, 0x0 }, // 487
  { PseudoVBREV_V_MF8_MASK, VBREV_V, 0x5, 0x0 }, // 488
  { PseudoVBREV_V_MF4, VBREV_V, 0x6, 0x0 }, // 489
  { PseudoVBREV_V_MF4_MASK, VBREV_V, 0x6, 0x0 }, // 490
  { PseudoVBREV_V_MF2, VBREV_V, 0x7, 0x0 }, // 491
  { PseudoVBREV_V_MF2_MASK, VBREV_V, 0x7, 0x0 }, // 492
  { PseudoVCLMULH_VV_M1, VCLMULH_VV, 0x0, 0x0 }, // 493
  { PseudoVCLMULH_VV_M1_MASK, VCLMULH_VV, 0x0, 0x0 }, // 494
  { PseudoVCLMULH_VV_M2, VCLMULH_VV, 0x1, 0x0 }, // 495
  { PseudoVCLMULH_VV_M2_MASK, VCLMULH_VV, 0x1, 0x0 }, // 496
  { PseudoVCLMULH_VV_M4, VCLMULH_VV, 0x2, 0x0 }, // 497
  { PseudoVCLMULH_VV_M4_MASK, VCLMULH_VV, 0x2, 0x0 }, // 498
  { PseudoVCLMULH_VV_M8, VCLMULH_VV, 0x3, 0x0 }, // 499
  { PseudoVCLMULH_VV_M8_MASK, VCLMULH_VV, 0x3, 0x0 }, // 500
  { PseudoVCLMULH_VV_MF8, VCLMULH_VV, 0x5, 0x0 }, // 501
  { PseudoVCLMULH_VV_MF8_MASK, VCLMULH_VV, 0x5, 0x0 }, // 502
  { PseudoVCLMULH_VV_MF4, VCLMULH_VV, 0x6, 0x0 }, // 503
  { PseudoVCLMULH_VV_MF4_MASK, VCLMULH_VV, 0x6, 0x0 }, // 504
  { PseudoVCLMULH_VV_MF2, VCLMULH_VV, 0x7, 0x0 }, // 505
  { PseudoVCLMULH_VV_MF2_MASK, VCLMULH_VV, 0x7, 0x0 }, // 506
  { PseudoVCLMULH_VX_M1, VCLMULH_VX, 0x0, 0x0 }, // 507
  { PseudoVCLMULH_VX_M1_MASK, VCLMULH_VX, 0x0, 0x0 }, // 508
  { PseudoVCLMULH_VX_M2, VCLMULH_VX, 0x1, 0x0 }, // 509
  { PseudoVCLMULH_VX_M2_MASK, VCLMULH_VX, 0x1, 0x0 }, // 510
  { PseudoVCLMULH_VX_M4, VCLMULH_VX, 0x2, 0x0 }, // 511
  { PseudoVCLMULH_VX_M4_MASK, VCLMULH_VX, 0x2, 0x0 }, // 512
  { PseudoVCLMULH_VX_M8, VCLMULH_VX, 0x3, 0x0 }, // 513
  { PseudoVCLMULH_VX_M8_MASK, VCLMULH_VX, 0x3, 0x0 }, // 514
  { PseudoVCLMULH_VX_MF8, VCLMULH_VX, 0x5, 0x0 }, // 515
  { PseudoVCLMULH_VX_MF8_MASK, VCLMULH_VX, 0x5, 0x0 }, // 516
  { PseudoVCLMULH_VX_MF4, VCLMULH_VX, 0x6, 0x0 }, // 517
  { PseudoVCLMULH_VX_MF4_MASK, VCLMULH_VX, 0x6, 0x0 }, // 518
  { PseudoVCLMULH_VX_MF2, VCLMULH_VX, 0x7, 0x0 }, // 519
  { PseudoVCLMULH_VX_MF2_MASK, VCLMULH_VX, 0x7, 0x0 }, // 520
  { PseudoVCLMUL_VV_M1, VCLMUL_VV, 0x0, 0x0 }, // 521
  { PseudoVCLMUL_VV_M1_MASK, VCLMUL_VV, 0x0, 0x0 }, // 522
  { PseudoVCLMUL_VV_M2, VCLMUL_VV, 0x1, 0x0 }, // 523
  { PseudoVCLMUL_VV_M2_MASK, VCLMUL_VV, 0x1, 0x0 }, // 524
  { PseudoVCLMUL_VV_M4, VCLMUL_VV, 0x2, 0x0 }, // 525
  { PseudoVCLMUL_VV_M4_MASK, VCLMUL_VV, 0x2, 0x0 }, // 526
  { PseudoVCLMUL_VV_M8, VCLMUL_VV, 0x3, 0x0 }, // 527
  { PseudoVCLMUL_VV_M8_MASK, VCLMUL_VV, 0x3, 0x0 }, // 528
  { PseudoVCLMUL_VV_MF8, VCLMUL_VV, 0x5, 0x0 }, // 529
  { PseudoVCLMUL_VV_MF8_MASK, VCLMUL_VV, 0x5, 0x0 }, // 530
  { PseudoVCLMUL_VV_MF4, VCLMUL_VV, 0x6, 0x0 }, // 531
  { PseudoVCLMUL_VV_MF4_MASK, VCLMUL_VV, 0x6, 0x0 }, // 532
  { PseudoVCLMUL_VV_MF2, VCLMUL_VV, 0x7, 0x0 }, // 533
  { PseudoVCLMUL_VV_MF2_MASK, VCLMUL_VV, 0x7, 0x0 }, // 534
  { PseudoVCLMUL_VX_M1, VCLMUL_VX, 0x0, 0x0 }, // 535
  { PseudoVCLMUL_VX_M1_MASK, VCLMUL_VX, 0x0, 0x0 }, // 536
  { PseudoVCLMUL_VX_M2, VCLMUL_VX, 0x1, 0x0 }, // 537
  { PseudoVCLMUL_VX_M2_MASK, VCLMUL_VX, 0x1, 0x0 }, // 538
  { PseudoVCLMUL_VX_M4, VCLMUL_VX, 0x2, 0x0 }, // 539
  { PseudoVCLMUL_VX_M4_MASK, VCLMUL_VX, 0x2, 0x0 }, // 540
  { PseudoVCLMUL_VX_M8, VCLMUL_VX, 0x3, 0x0 }, // 541
  { PseudoVCLMUL_VX_M8_MASK, VCLMUL_VX, 0x3, 0x0 }, // 542
  { PseudoVCLMUL_VX_MF8, VCLMUL_VX, 0x5, 0x0 }, // 543
  { PseudoVCLMUL_VX_MF8_MASK, VCLMUL_VX, 0x5, 0x0 }, // 544
  { PseudoVCLMUL_VX_MF4, VCLMUL_VX, 0x6, 0x0 }, // 545
  { PseudoVCLMUL_VX_MF4_MASK, VCLMUL_VX, 0x6, 0x0 }, // 546
  { PseudoVCLMUL_VX_MF2, VCLMUL_VX, 0x7, 0x0 }, // 547
  { PseudoVCLMUL_VX_MF2_MASK, VCLMUL_VX, 0x7, 0x0 }, // 548
  { PseudoVCLZ_V_M1, VCLZ_V, 0x0, 0x0 }, // 549
  { PseudoVCLZ_V_M1_MASK, VCLZ_V, 0x0, 0x0 }, // 550
  { PseudoVCLZ_V_M2, VCLZ_V, 0x1, 0x0 }, // 551
  { PseudoVCLZ_V_M2_MASK, VCLZ_V, 0x1, 0x0 }, // 552
  { PseudoVCLZ_V_M4, VCLZ_V, 0x2, 0x0 }, // 553
  { PseudoVCLZ_V_M4_MASK, VCLZ_V, 0x2, 0x0 }, // 554
  { PseudoVCLZ_V_M8, VCLZ_V, 0x3, 0x0 }, // 555
  { PseudoVCLZ_V_M8_MASK, VCLZ_V, 0x3, 0x0 }, // 556
  { PseudoVCLZ_V_MF8, VCLZ_V, 0x5, 0x0 }, // 557
  { PseudoVCLZ_V_MF8_MASK, VCLZ_V, 0x5, 0x0 }, // 558
  { PseudoVCLZ_V_MF4, VCLZ_V, 0x6, 0x0 }, // 559
  { PseudoVCLZ_V_MF4_MASK, VCLZ_V, 0x6, 0x0 }, // 560
  { PseudoVCLZ_V_MF2, VCLZ_V, 0x7, 0x0 }, // 561
  { PseudoVCLZ_V_MF2_MASK, VCLZ_V, 0x7, 0x0 }, // 562
  { PseudoVCOMPRESS_VM_M1_E8, VCOMPRESS_VM, 0x0, 0x8 }, // 563
  { PseudoVCOMPRESS_VM_M1_E16, VCOMPRESS_VM, 0x0, 0x10 }, // 564
  { PseudoVCOMPRESS_VM_M1_E32, VCOMPRESS_VM, 0x0, 0x20 }, // 565
  { PseudoVCOMPRESS_VM_M1_E64, VCOMPRESS_VM, 0x0, 0x40 }, // 566
  { PseudoVCOMPRESS_VM_M2_E8, VCOMPRESS_VM, 0x1, 0x8 }, // 567
  { PseudoVCOMPRESS_VM_M2_E16, VCOMPRESS_VM, 0x1, 0x10 }, // 568
  { PseudoVCOMPRESS_VM_M2_E32, VCOMPRESS_VM, 0x1, 0x20 }, // 569
  { PseudoVCOMPRESS_VM_M2_E64, VCOMPRESS_VM, 0x1, 0x40 }, // 570
  { PseudoVCOMPRESS_VM_M4_E8, VCOMPRESS_VM, 0x2, 0x8 }, // 571
  { PseudoVCOMPRESS_VM_M4_E16, VCOMPRESS_VM, 0x2, 0x10 }, // 572
  { PseudoVCOMPRESS_VM_M4_E32, VCOMPRESS_VM, 0x2, 0x20 }, // 573
  { PseudoVCOMPRESS_VM_M4_E64, VCOMPRESS_VM, 0x2, 0x40 }, // 574
  { PseudoVCOMPRESS_VM_M8_E8, VCOMPRESS_VM, 0x3, 0x8 }, // 575
  { PseudoVCOMPRESS_VM_M8_E16, VCOMPRESS_VM, 0x3, 0x10 }, // 576
  { PseudoVCOMPRESS_VM_M8_E32, VCOMPRESS_VM, 0x3, 0x20 }, // 577
  { PseudoVCOMPRESS_VM_M8_E64, VCOMPRESS_VM, 0x3, 0x40 }, // 578
  { PseudoVCOMPRESS_VM_MF8_E8, VCOMPRESS_VM, 0x5, 0x8 }, // 579
  { PseudoVCOMPRESS_VM_MF4_E8, VCOMPRESS_VM, 0x6, 0x8 }, // 580
  { PseudoVCOMPRESS_VM_MF4_E16, VCOMPRESS_VM, 0x6, 0x10 }, // 581
  { PseudoVCOMPRESS_VM_MF2_E8, VCOMPRESS_VM, 0x7, 0x8 }, // 582
  { PseudoVCOMPRESS_VM_MF2_E16, VCOMPRESS_VM, 0x7, 0x10 }, // 583
  { PseudoVCOMPRESS_VM_MF2_E32, VCOMPRESS_VM, 0x7, 0x20 }, // 584
  { PseudoVCPOP_M_B8, VCPOP_M, 0x0, 0x0 }, // 585
  { PseudoVCPOP_M_B8_MASK, VCPOP_M, 0x0, 0x0 }, // 586
  { PseudoVCPOP_M_B16, VCPOP_M, 0x1, 0x0 }, // 587
  { PseudoVCPOP_M_B16_MASK, VCPOP_M, 0x1, 0x0 }, // 588
  { PseudoVCPOP_M_B32, VCPOP_M, 0x2, 0x0 }, // 589
  { PseudoVCPOP_M_B32_MASK, VCPOP_M, 0x2, 0x0 }, // 590
  { PseudoVCPOP_M_B64, VCPOP_M, 0x3, 0x0 }, // 591
  { PseudoVCPOP_M_B64_MASK, VCPOP_M, 0x3, 0x0 }, // 592
  { PseudoVCPOP_M_B1, VCPOP_M, 0x5, 0x0 }, // 593
  { PseudoVCPOP_M_B1_MASK, VCPOP_M, 0x5, 0x0 }, // 594
  { PseudoVCPOP_M_B2, VCPOP_M, 0x6, 0x0 }, // 595
  { PseudoVCPOP_M_B2_MASK, VCPOP_M, 0x6, 0x0 }, // 596
  { PseudoVCPOP_M_B4, VCPOP_M, 0x7, 0x0 }, // 597
  { PseudoVCPOP_M_B4_MASK, VCPOP_M, 0x7, 0x0 }, // 598
  { PseudoVCPOP_V_M1, VCPOP_V, 0x0, 0x0 }, // 599
  { PseudoVCPOP_V_M1_MASK, VCPOP_V, 0x0, 0x0 }, // 600
  { PseudoVCPOP_V_M2, VCPOP_V, 0x1, 0x0 }, // 601
  { PseudoVCPOP_V_M2_MASK, VCPOP_V, 0x1, 0x0 }, // 602
  { PseudoVCPOP_V_M4, VCPOP_V, 0x2, 0x0 }, // 603
  { PseudoVCPOP_V_M4_MASK, VCPOP_V, 0x2, 0x0 }, // 604
  { PseudoVCPOP_V_M8, VCPOP_V, 0x3, 0x0 }, // 605
  { PseudoVCPOP_V_M8_MASK, VCPOP_V, 0x3, 0x0 }, // 606
  { PseudoVCPOP_V_MF8, VCPOP_V, 0x5, 0x0 }, // 607
  { PseudoVCPOP_V_MF8_MASK, VCPOP_V, 0x5, 0x0 }, // 608
  { PseudoVCPOP_V_MF4, VCPOP_V, 0x6, 0x0 }, // 609
  { PseudoVCPOP_V_MF4_MASK, VCPOP_V, 0x6, 0x0 }, // 610
  { PseudoVCPOP_V_MF2, VCPOP_V, 0x7, 0x0 }, // 611
  { PseudoVCPOP_V_MF2_MASK, VCPOP_V, 0x7, 0x0 }, // 612
  { PseudoVCTZ_V_M1, VCTZ_V, 0x0, 0x0 }, // 613
  { PseudoVCTZ_V_M1_MASK, VCTZ_V, 0x0, 0x0 }, // 614
  { PseudoVCTZ_V_M2, VCTZ_V, 0x1, 0x0 }, // 615
  { PseudoVCTZ_V_M2_MASK, VCTZ_V, 0x1, 0x0 }, // 616
  { PseudoVCTZ_V_M4, VCTZ_V, 0x2, 0x0 }, // 617
  { PseudoVCTZ_V_M4_MASK, VCTZ_V, 0x2, 0x0 }, // 618
  { PseudoVCTZ_V_M8, VCTZ_V, 0x3, 0x0 }, // 619
  { PseudoVCTZ_V_M8_MASK, VCTZ_V, 0x3, 0x0 }, // 620
  { PseudoVCTZ_V_MF8, VCTZ_V, 0x5, 0x0 }, // 621
  { PseudoVCTZ_V_MF8_MASK, VCTZ_V, 0x5, 0x0 }, // 622
  { PseudoVCTZ_V_MF4, VCTZ_V, 0x6, 0x0 }, // 623
  { PseudoVCTZ_V_MF4_MASK, VCTZ_V, 0x6, 0x0 }, // 624
  { PseudoVCTZ_V_MF2, VCTZ_V, 0x7, 0x0 }, // 625
  { PseudoVCTZ_V_MF2_MASK, VCTZ_V, 0x7, 0x0 }, // 626
  { PseudoVC_FPR16V_SE_M1, VC_FV, 0x0, 0x0 }, // 627
  { PseudoVC_FPR32V_SE_M1, VC_FV, 0x0, 0x0 }, // 628
  { PseudoVC_FPR64V_SE_M1, VC_FV, 0x0, 0x0 }, // 629
  { PseudoVC_FPR16V_SE_M2, VC_FV, 0x1, 0x0 }, // 630
  { PseudoVC_FPR32V_SE_M2, VC_FV, 0x1, 0x0 }, // 631
  { PseudoVC_FPR64V_SE_M2, VC_FV, 0x1, 0x0 }, // 632
  { PseudoVC_FPR16V_SE_M4, VC_FV, 0x2, 0x0 }, // 633
  { PseudoVC_FPR32V_SE_M4, VC_FV, 0x2, 0x0 }, // 634
  { PseudoVC_FPR64V_SE_M4, VC_FV, 0x2, 0x0 }, // 635
  { PseudoVC_FPR16V_SE_M8, VC_FV, 0x3, 0x0 }, // 636
  { PseudoVC_FPR32V_SE_M8, VC_FV, 0x3, 0x0 }, // 637
  { PseudoVC_FPR64V_SE_M8, VC_FV, 0x3, 0x0 }, // 638
  { PseudoVC_FPR16V_SE_MF4, VC_FV, 0x6, 0x0 }, // 639
  { PseudoVC_FPR16V_SE_MF2, VC_FV, 0x7, 0x0 }, // 640
  { PseudoVC_FPR32V_SE_MF2, VC_FV, 0x7, 0x0 }, // 641
  { PseudoVC_FPR16VV_SE_M1, VC_FVV, 0x0, 0x0 }, // 642
  { PseudoVC_FPR32VV_SE_M1, VC_FVV, 0x0, 0x0 }, // 643
  { PseudoVC_FPR64VV_SE_M1, VC_FVV, 0x0, 0x0 }, // 644
  { PseudoVC_FPR16VV_SE_M2, VC_FVV, 0x1, 0x0 }, // 645
  { PseudoVC_FPR32VV_SE_M2, VC_FVV, 0x1, 0x0 }, // 646
  { PseudoVC_FPR64VV_SE_M2, VC_FVV, 0x1, 0x0 }, // 647
  { PseudoVC_FPR16VV_SE_M4, VC_FVV, 0x2, 0x0 }, // 648
  { PseudoVC_FPR32VV_SE_M4, VC_FVV, 0x2, 0x0 }, // 649
  { PseudoVC_FPR64VV_SE_M4, VC_FVV, 0x2, 0x0 }, // 650
  { PseudoVC_FPR16VV_SE_M8, VC_FVV, 0x3, 0x0 }, // 651
  { PseudoVC_FPR32VV_SE_M8, VC_FVV, 0x3, 0x0 }, // 652
  { PseudoVC_FPR64VV_SE_M8, VC_FVV, 0x3, 0x0 }, // 653
  { PseudoVC_FPR16VV_SE_MF4, VC_FVV, 0x6, 0x0 }, // 654
  { PseudoVC_FPR16VV_SE_MF2, VC_FVV, 0x7, 0x0 }, // 655
  { PseudoVC_FPR32VV_SE_MF2, VC_FVV, 0x7, 0x0 }, // 656
  { PseudoVC_FPR16VW_SE_M1, VC_FVW, 0x0, 0x0 }, // 657
  { PseudoVC_FPR32VW_SE_M1, VC_FVW, 0x0, 0x0 }, // 658
  { PseudoVC_FPR16VW_SE_M2, VC_FVW, 0x1, 0x0 }, // 659
  { PseudoVC_FPR32VW_SE_M2, VC_FVW, 0x1, 0x0 }, // 660
  { PseudoVC_FPR16VW_SE_M4, VC_FVW, 0x2, 0x0 }, // 661
  { PseudoVC_FPR32VW_SE_M4, VC_FVW, 0x2, 0x0 }, // 662
  { PseudoVC_FPR16VW_SE_M8, VC_FVW, 0x3, 0x0 }, // 663
  { PseudoVC_FPR32VW_SE_M8, VC_FVW, 0x3, 0x0 }, // 664
  { PseudoVC_FPR16VW_SE_MF4, VC_FVW, 0x6, 0x0 }, // 665
  { PseudoVC_FPR16VW_SE_MF2, VC_FVW, 0x7, 0x0 }, // 666
  { PseudoVC_FPR32VW_SE_MF2, VC_FVW, 0x7, 0x0 }, // 667
  { PseudoVC_I_SE_M1, VC_I, 0x0, 0x0 }, // 668
  { PseudoVC_I_SE_M2, VC_I, 0x1, 0x0 }, // 669
  { PseudoVC_I_SE_M4, VC_I, 0x2, 0x0 }, // 670
  { PseudoVC_I_SE_M8, VC_I, 0x3, 0x0 }, // 671
  { PseudoVC_I_SE_MF8, VC_I, 0x5, 0x0 }, // 672
  { PseudoVC_I_SE_MF4, VC_I, 0x6, 0x0 }, // 673
  { PseudoVC_I_SE_MF2, VC_I, 0x7, 0x0 }, // 674
  { PseudoVC_IV_SE_M1, VC_IV, 0x0, 0x0 }, // 675
  { PseudoVC_IV_SE_M2, VC_IV, 0x1, 0x0 }, // 676
  { PseudoVC_IV_SE_M4, VC_IV, 0x2, 0x0 }, // 677
  { PseudoVC_IV_SE_M8, VC_IV, 0x3, 0x0 }, // 678
  { PseudoVC_IV_SE_MF8, VC_IV, 0x5, 0x0 }, // 679
  { PseudoVC_IV_SE_MF4, VC_IV, 0x6, 0x0 }, // 680
  { PseudoVC_IV_SE_MF2, VC_IV, 0x7, 0x0 }, // 681
  { PseudoVC_IVV_SE_M1, VC_IVV, 0x0, 0x0 }, // 682
  { PseudoVC_IVV_SE_M2, VC_IVV, 0x1, 0x0 }, // 683
  { PseudoVC_IVV_SE_M4, VC_IVV, 0x2, 0x0 }, // 684
  { PseudoVC_IVV_SE_M8, VC_IVV, 0x3, 0x0 }, // 685
  { PseudoVC_IVV_SE_MF8, VC_IVV, 0x5, 0x0 }, // 686
  { PseudoVC_IVV_SE_MF4, VC_IVV, 0x6, 0x0 }, // 687
  { PseudoVC_IVV_SE_MF2, VC_IVV, 0x7, 0x0 }, // 688
  { PseudoVC_IVW_SE_M1, VC_IVW, 0x0, 0x0 }, // 689
  { PseudoVC_IVW_SE_M2, VC_IVW, 0x1, 0x0 }, // 690
  { PseudoVC_IVW_SE_M4, VC_IVW, 0x2, 0x0 }, // 691
  { PseudoVC_IVW_SE_MF8, VC_IVW, 0x5, 0x0 }, // 692
  { PseudoVC_IVW_SE_MF4, VC_IVW, 0x6, 0x0 }, // 693
  { PseudoVC_IVW_SE_MF2, VC_IVW, 0x7, 0x0 }, // 694
  { PseudoVC_VV_SE_M1, VC_VV, 0x0, 0x0 }, // 695
  { PseudoVC_VV_SE_M2, VC_VV, 0x1, 0x0 }, // 696
  { PseudoVC_VV_SE_M4, VC_VV, 0x2, 0x0 }, // 697
  { PseudoVC_VV_SE_M8, VC_VV, 0x3, 0x0 }, // 698
  { PseudoVC_VV_SE_MF8, VC_VV, 0x5, 0x0 }, // 699
  { PseudoVC_VV_SE_MF4, VC_VV, 0x6, 0x0 }, // 700
  { PseudoVC_VV_SE_MF2, VC_VV, 0x7, 0x0 }, // 701
  { PseudoVC_VVV_SE_M1, VC_VVV, 0x0, 0x0 }, // 702
  { PseudoVC_VVV_SE_M2, VC_VVV, 0x1, 0x0 }, // 703
  { PseudoVC_VVV_SE_M4, VC_VVV, 0x2, 0x0 }, // 704
  { PseudoVC_VVV_SE_M8, VC_VVV, 0x3, 0x0 }, // 705
  { PseudoVC_VVV_SE_MF8, VC_VVV, 0x5, 0x0 }, // 706
  { PseudoVC_VVV_SE_MF4, VC_VVV, 0x6, 0x0 }, // 707
  { PseudoVC_VVV_SE_MF2, VC_VVV, 0x7, 0x0 }, // 708
  { PseudoVC_VVW_SE_M1, VC_VVW, 0x0, 0x0 }, // 709
  { PseudoVC_VVW_SE_M2, VC_VVW, 0x1, 0x0 }, // 710
  { PseudoVC_VVW_SE_M4, VC_VVW, 0x2, 0x0 }, // 711
  { PseudoVC_VVW_SE_MF8, VC_VVW, 0x5, 0x0 }, // 712
  { PseudoVC_VVW_SE_MF4, VC_VVW, 0x6, 0x0 }, // 713
  { PseudoVC_VVW_SE_MF2, VC_VVW, 0x7, 0x0 }, // 714
  { PseudoVC_V_FPR16V_M1, VC_V_FV, 0x0, 0x0 }, // 715
  { PseudoVC_V_FPR16V_SE_M1, VC_V_FV, 0x0, 0x0 }, // 716
  { PseudoVC_V_FPR32V_M1, VC_V_FV, 0x0, 0x0 }, // 717
  { PseudoVC_V_FPR32V_SE_M1, VC_V_FV, 0x0, 0x0 }, // 718
  { PseudoVC_V_FPR64V_M1, VC_V_FV, 0x0, 0x0 }, // 719
  { PseudoVC_V_FPR64V_SE_M1, VC_V_FV, 0x0, 0x0 }, // 720
  { PseudoVC_V_FPR16V_M2, VC_V_FV, 0x1, 0x0 }, // 721
  { PseudoVC_V_FPR16V_SE_M2, VC_V_FV, 0x1, 0x0 }, // 722
  { PseudoVC_V_FPR32V_M2, VC_V_FV, 0x1, 0x0 }, // 723
  { PseudoVC_V_FPR32V_SE_M2, VC_V_FV, 0x1, 0x0 }, // 724
  { PseudoVC_V_FPR64V_M2, VC_V_FV, 0x1, 0x0 }, // 725
  { PseudoVC_V_FPR64V_SE_M2, VC_V_FV, 0x1, 0x0 }, // 726
  { PseudoVC_V_FPR16V_M4, VC_V_FV, 0x2, 0x0 }, // 727
  { PseudoVC_V_FPR16V_SE_M4, VC_V_FV, 0x2, 0x0 }, // 728
  { PseudoVC_V_FPR32V_M4, VC_V_FV, 0x2, 0x0 }, // 729
  { PseudoVC_V_FPR32V_SE_M4, VC_V_FV, 0x2, 0x0 }, // 730
  { PseudoVC_V_FPR64V_M4, VC_V_FV, 0x2, 0x0 }, // 731
  { PseudoVC_V_FPR64V_SE_M4, VC_V_FV, 0x2, 0x0 }, // 732
  { PseudoVC_V_FPR16V_M8, VC_V_FV, 0x3, 0x0 }, // 733
  { PseudoVC_V_FPR16V_SE_M8, VC_V_FV, 0x3, 0x0 }, // 734
  { PseudoVC_V_FPR32V_M8, VC_V_FV, 0x3, 0x0 }, // 735
  { PseudoVC_V_FPR32V_SE_M8, VC_V_FV, 0x3, 0x0 }, // 736
  { PseudoVC_V_FPR64V_M8, VC_V_FV, 0x3, 0x0 }, // 737
  { PseudoVC_V_FPR64V_SE_M8, VC_V_FV, 0x3, 0x0 }, // 738
  { PseudoVC_V_FPR16V_MF4, VC_V_FV, 0x6, 0x0 }, // 739
  { PseudoVC_V_FPR16V_SE_MF4, VC_V_FV, 0x6, 0x0 }, // 740
  { PseudoVC_V_FPR16V_MF2, VC_V_FV, 0x7, 0x0 }, // 741
  { PseudoVC_V_FPR16V_SE_MF2, VC_V_FV, 0x7, 0x0 }, // 742
  { PseudoVC_V_FPR32V_MF2, VC_V_FV, 0x7, 0x0 }, // 743
  { PseudoVC_V_FPR32V_SE_MF2, VC_V_FV, 0x7, 0x0 }, // 744
  { PseudoVC_V_FPR16VV_M1, VC_V_FVV, 0x0, 0x0 }, // 745
  { PseudoVC_V_FPR16VV_SE_M1, VC_V_FVV, 0x0, 0x0 }, // 746
  { PseudoVC_V_FPR32VV_M1, VC_V_FVV, 0x0, 0x0 }, // 747
  { PseudoVC_V_FPR32VV_SE_M1, VC_V_FVV, 0x0, 0x0 }, // 748
  { PseudoVC_V_FPR64VV_M1, VC_V_FVV, 0x0, 0x0 }, // 749
  { PseudoVC_V_FPR64VV_SE_M1, VC_V_FVV, 0x0, 0x0 }, // 750
  { PseudoVC_V_FPR16VV_M2, VC_V_FVV, 0x1, 0x0 }, // 751
  { PseudoVC_V_FPR16VV_SE_M2, VC_V_FVV, 0x1, 0x0 }, // 752
  { PseudoVC_V_FPR32VV_M2, VC_V_FVV, 0x1, 0x0 }, // 753
  { PseudoVC_V_FPR32VV_SE_M2, VC_V_FVV, 0x1, 0x0 }, // 754
  { PseudoVC_V_FPR64VV_M2, VC_V_FVV, 0x1, 0x0 }, // 755
  { PseudoVC_V_FPR64VV_SE_M2, VC_V_FVV, 0x1, 0x0 }, // 756
  { PseudoVC_V_FPR16VV_M4, VC_V_FVV, 0x2, 0x0 }, // 757
  { PseudoVC_V_FPR16VV_SE_M4, VC_V_FVV, 0x2, 0x0 }, // 758
  { PseudoVC_V_FPR32VV_M4, VC_V_FVV, 0x2, 0x0 }, // 759
  { PseudoVC_V_FPR32VV_SE_M4, VC_V_FVV, 0x2, 0x0 }, // 760
  { PseudoVC_V_FPR64VV_M4, VC_V_FVV, 0x2, 0x0 }, // 761
  { PseudoVC_V_FPR64VV_SE_M4, VC_V_FVV, 0x2, 0x0 }, // 762
  { PseudoVC_V_FPR16VV_M8, VC_V_FVV, 0x3, 0x0 }, // 763
  { PseudoVC_V_FPR16VV_SE_M8, VC_V_FVV, 0x3, 0x0 }, // 764
  { PseudoVC_V_FPR32VV_M8, VC_V_FVV, 0x3, 0x0 }, // 765
  { PseudoVC_V_FPR32VV_SE_M8, VC_V_FVV, 0x3, 0x0 }, // 766
  { PseudoVC_V_FPR64VV_M8, VC_V_FVV, 0x3, 0x0 }, // 767
  { PseudoVC_V_FPR64VV_SE_M8, VC_V_FVV, 0x3, 0x0 }, // 768
  { PseudoVC_V_FPR16VV_MF4, VC_V_FVV, 0x6, 0x0 }, // 769
  { PseudoVC_V_FPR16VV_SE_MF4, VC_V_FVV, 0x6, 0x0 }, // 770
  { PseudoVC_V_FPR16VV_MF2, VC_V_FVV, 0x7, 0x0 }, // 771
  { PseudoVC_V_FPR16VV_SE_MF2, VC_V_FVV, 0x7, 0x0 }, // 772
  { PseudoVC_V_FPR32VV_MF2, VC_V_FVV, 0x7, 0x0 }, // 773
  { PseudoVC_V_FPR32VV_SE_MF2, VC_V_FVV, 0x7, 0x0 }, // 774
  { PseudoVC_V_FPR16VW_M1, VC_V_FVW, 0x0, 0x0 }, // 775
  { PseudoVC_V_FPR16VW_SE_M1, VC_V_FVW, 0x0, 0x0 }, // 776
  { PseudoVC_V_FPR32VW_M1, VC_V_FVW, 0x0, 0x0 }, // 777
  { PseudoVC_V_FPR32VW_SE_M1, VC_V_FVW, 0x0, 0x0 }, // 778
  { PseudoVC_V_FPR16VW_M2, VC_V_FVW, 0x1, 0x0 }, // 779
  { PseudoVC_V_FPR16VW_SE_M2, VC_V_FVW, 0x1, 0x0 }, // 780
  { PseudoVC_V_FPR32VW_M2, VC_V_FVW, 0x1, 0x0 }, // 781
  { PseudoVC_V_FPR32VW_SE_M2, VC_V_FVW, 0x1, 0x0 }, // 782
  { PseudoVC_V_FPR16VW_M4, VC_V_FVW, 0x2, 0x0 }, // 783
  { PseudoVC_V_FPR16VW_SE_M4, VC_V_FVW, 0x2, 0x0 }, // 784
  { PseudoVC_V_FPR32VW_M4, VC_V_FVW, 0x2, 0x0 }, // 785
  { PseudoVC_V_FPR32VW_SE_M4, VC_V_FVW, 0x2, 0x0 }, // 786
  { PseudoVC_V_FPR16VW_M8, VC_V_FVW, 0x3, 0x0 }, // 787
  { PseudoVC_V_FPR16VW_SE_M8, VC_V_FVW, 0x3, 0x0 }, // 788
  { PseudoVC_V_FPR32VW_M8, VC_V_FVW, 0x3, 0x0 }, // 789
  { PseudoVC_V_FPR32VW_SE_M8, VC_V_FVW, 0x3, 0x0 }, // 790
  { PseudoVC_V_FPR16VW_MF4, VC_V_FVW, 0x6, 0x0 }, // 791
  { PseudoVC_V_FPR16VW_SE_MF4, VC_V_FVW, 0x6, 0x0 }, // 792
  { PseudoVC_V_FPR16VW_MF2, VC_V_FVW, 0x7, 0x0 }, // 793
  { PseudoVC_V_FPR16VW_SE_MF2, VC_V_FVW, 0x7, 0x0 }, // 794
  { PseudoVC_V_FPR32VW_MF2, VC_V_FVW, 0x7, 0x0 }, // 795
  { PseudoVC_V_FPR32VW_SE_MF2, VC_V_FVW, 0x7, 0x0 }, // 796
  { PseudoVC_V_I_M1, VC_V_I, 0x0, 0x0 }, // 797
  { PseudoVC_V_I_SE_M1, VC_V_I, 0x0, 0x0 }, // 798
  { PseudoVC_V_I_M2, VC_V_I, 0x1, 0x0 }, // 799
  { PseudoVC_V_I_SE_M2, VC_V_I, 0x1, 0x0 }, // 800
  { PseudoVC_V_I_M4, VC_V_I, 0x2, 0x0 }, // 801
  { PseudoVC_V_I_SE_M4, VC_V_I, 0x2, 0x0 }, // 802
  { PseudoVC_V_I_M8, VC_V_I, 0x3, 0x0 }, // 803
  { PseudoVC_V_I_SE_M8, VC_V_I, 0x3, 0x0 }, // 804
  { PseudoVC_V_I_MF8, VC_V_I, 0x5, 0x0 }, // 805
  { PseudoVC_V_I_SE_MF8, VC_V_I, 0x5, 0x0 }, // 806
  { PseudoVC_V_I_MF4, VC_V_I, 0x6, 0x0 }, // 807
  { PseudoVC_V_I_SE_MF4, VC_V_I, 0x6, 0x0 }, // 808
  { PseudoVC_V_I_MF2, VC_V_I, 0x7, 0x0 }, // 809
  { PseudoVC_V_I_SE_MF2, VC_V_I, 0x7, 0x0 }, // 810
  { PseudoVC_V_IV_M1, VC_V_IV, 0x0, 0x0 }, // 811
  { PseudoVC_V_IV_SE_M1, VC_V_IV, 0x0, 0x0 }, // 812
  { PseudoVC_V_IV_M2, VC_V_IV, 0x1, 0x0 }, // 813
  { PseudoVC_V_IV_SE_M2, VC_V_IV, 0x1, 0x0 }, // 814
  { PseudoVC_V_IV_M4, VC_V_IV, 0x2, 0x0 }, // 815
  { PseudoVC_V_IV_SE_M4, VC_V_IV, 0x2, 0x0 }, // 816
  { PseudoVC_V_IV_M8, VC_V_IV, 0x3, 0x0 }, // 817
  { PseudoVC_V_IV_SE_M8, VC_V_IV, 0x3, 0x0 }, // 818
  { PseudoVC_V_IV_MF8, VC_V_IV, 0x5, 0x0 }, // 819
  { PseudoVC_V_IV_SE_MF8, VC_V_IV, 0x5, 0x0 }, // 820
  { PseudoVC_V_IV_MF4, VC_V_IV, 0x6, 0x0 }, // 821
  { PseudoVC_V_IV_SE_MF4, VC_V_IV, 0x6, 0x0 }, // 822
  { PseudoVC_V_IV_MF2, VC_V_IV, 0x7, 0x0 }, // 823
  { PseudoVC_V_IV_SE_MF2, VC_V_IV, 0x7, 0x0 }, // 824
  { PseudoVC_V_IVV_M1, VC_V_IVV, 0x0, 0x0 }, // 825
  { PseudoVC_V_IVV_SE_M1, VC_V_IVV, 0x0, 0x0 }, // 826
  { PseudoVC_V_IVV_M2, VC_V_IVV, 0x1, 0x0 }, // 827
  { PseudoVC_V_IVV_SE_M2, VC_V_IVV, 0x1, 0x0 }, // 828
  { PseudoVC_V_IVV_M4, VC_V_IVV, 0x2, 0x0 }, // 829
  { PseudoVC_V_IVV_SE_M4, VC_V_IVV, 0x2, 0x0 }, // 830
  { PseudoVC_V_IVV_M8, VC_V_IVV, 0x3, 0x0 }, // 831
  { PseudoVC_V_IVV_SE_M8, VC_V_IVV, 0x3, 0x0 }, // 832
  { PseudoVC_V_IVV_MF8, VC_V_IVV, 0x5, 0x0 }, // 833
  { PseudoVC_V_IVV_SE_MF8, VC_V_IVV, 0x5, 0x0 }, // 834
  { PseudoVC_V_IVV_MF4, VC_V_IVV, 0x6, 0x0 }, // 835
  { PseudoVC_V_IVV_SE_MF4, VC_V_IVV, 0x6, 0x0 }, // 836
  { PseudoVC_V_IVV_MF2, VC_V_IVV, 0x7, 0x0 }, // 837
  { PseudoVC_V_IVV_SE_MF2, VC_V_IVV, 0x7, 0x0 }, // 838
  { PseudoVC_V_IVW_M1, VC_V_IVW, 0x0, 0x0 }, // 839
  { PseudoVC_V_IVW_SE_M1, VC_V_IVW, 0x0, 0x0 }, // 840
  { PseudoVC_V_IVW_M2, VC_V_IVW, 0x1, 0x0 }, // 841
  { PseudoVC_V_IVW_SE_M2, VC_V_IVW, 0x1, 0x0 }, // 842
  { PseudoVC_V_IVW_M4, VC_V_IVW, 0x2, 0x0 }, // 843
  { PseudoVC_V_IVW_SE_M4, VC_V_IVW, 0x2, 0x0 }, // 844
  { PseudoVC_V_IVW_MF8, VC_V_IVW, 0x5, 0x0 }, // 845
  { PseudoVC_V_IVW_SE_MF8, VC_V_IVW, 0x5, 0x0 }, // 846
  { PseudoVC_V_IVW_MF4, VC_V_IVW, 0x6, 0x0 }, // 847
  { PseudoVC_V_IVW_SE_MF4, VC_V_IVW, 0x6, 0x0 }, // 848
  { PseudoVC_V_IVW_MF2, VC_V_IVW, 0x7, 0x0 }, // 849
  { PseudoVC_V_IVW_SE_MF2, VC_V_IVW, 0x7, 0x0 }, // 850
  { PseudoVC_V_VV_M1, VC_V_VV, 0x0, 0x0 }, // 851
  { PseudoVC_V_VV_SE_M1, VC_V_VV, 0x0, 0x0 }, // 852
  { PseudoVC_V_VV_M2, VC_V_VV, 0x1, 0x0 }, // 853
  { PseudoVC_V_VV_SE_M2, VC_V_VV, 0x1, 0x0 }, // 854
  { PseudoVC_V_VV_M4, VC_V_VV, 0x2, 0x0 }, // 855
  { PseudoVC_V_VV_SE_M4, VC_V_VV, 0x2, 0x0 }, // 856
  { PseudoVC_V_VV_M8, VC_V_VV, 0x3, 0x0 }, // 857
  { PseudoVC_V_VV_SE_M8, VC_V_VV, 0x3, 0x0 }, // 858
  { PseudoVC_V_VV_MF8, VC_V_VV, 0x5, 0x0 }, // 859
  { PseudoVC_V_VV_SE_MF8, VC_V_VV, 0x5, 0x0 }, // 860
  { PseudoVC_V_VV_MF4, VC_V_VV, 0x6, 0x0 }, // 861
  { PseudoVC_V_VV_SE_MF4, VC_V_VV, 0x6, 0x0 }, // 862
  { PseudoVC_V_VV_MF2, VC_V_VV, 0x7, 0x0 }, // 863
  { PseudoVC_V_VV_SE_MF2, VC_V_VV, 0x7, 0x0 }, // 864
  { PseudoVC_V_VVV_M1, VC_V_VVV, 0x0, 0x0 }, // 865
  { PseudoVC_V_VVV_SE_M1, VC_V_VVV, 0x0, 0x0 }, // 866
  { PseudoVC_V_VVV_M2, VC_V_VVV, 0x1, 0x0 }, // 867
  { PseudoVC_V_VVV_SE_M2, VC_V_VVV, 0x1, 0x0 }, // 868
  { PseudoVC_V_VVV_M4, VC_V_VVV, 0x2, 0x0 }, // 869
  { PseudoVC_V_VVV_SE_M4, VC_V_VVV, 0x2, 0x0 }, // 870
  { PseudoVC_V_VVV_M8, VC_V_VVV, 0x3, 0x0 }, // 871
  { PseudoVC_V_VVV_SE_M8, VC_V_VVV, 0x3, 0x0 }, // 872
  { PseudoVC_V_VVV_MF8, VC_V_VVV, 0x5, 0x0 }, // 873
  { PseudoVC_V_VVV_SE_MF8, VC_V_VVV, 0x5, 0x0 }, // 874
  { PseudoVC_V_VVV_MF4, VC_V_VVV, 0x6, 0x0 }, // 875
  { PseudoVC_V_VVV_SE_MF4, VC_V_VVV, 0x6, 0x0 }, // 876
  { PseudoVC_V_VVV_MF2, VC_V_VVV, 0x7, 0x0 }, // 877
  { PseudoVC_V_VVV_SE_MF2, VC_V_VVV, 0x7, 0x0 }, // 878
  { PseudoVC_V_VVW_M1, VC_V_VVW, 0x0, 0x0 }, // 879
  { PseudoVC_V_VVW_SE_M1, VC_V_VVW, 0x0, 0x0 }, // 880
  { PseudoVC_V_VVW_M2, VC_V_VVW, 0x1, 0x0 }, // 881
  { PseudoVC_V_VVW_SE_M2, VC_V_VVW, 0x1, 0x0 }, // 882
  { PseudoVC_V_VVW_M4, VC_V_VVW, 0x2, 0x0 }, // 883
  { PseudoVC_V_VVW_SE_M4, VC_V_VVW, 0x2, 0x0 }, // 884
  { PseudoVC_V_VVW_MF8, VC_V_VVW, 0x5, 0x0 }, // 885
  { PseudoVC_V_VVW_SE_MF8, VC_V_VVW, 0x5, 0x0 }, // 886
  { PseudoVC_V_VVW_MF4, VC_V_VVW, 0x6, 0x0 }, // 887
  { PseudoVC_V_VVW_SE_MF4, VC_V_VVW, 0x6, 0x0 }, // 888
  { PseudoVC_V_VVW_MF2, VC_V_VVW, 0x7, 0x0 }, // 889
  { PseudoVC_V_VVW_SE_MF2, VC_V_VVW, 0x7, 0x0 }, // 890
  { PseudoVC_V_X_M1, VC_V_X, 0x0, 0x0 }, // 891
  { PseudoVC_V_X_SE_M1, VC_V_X, 0x0, 0x0 }, // 892
  { PseudoVC_V_X_M2, VC_V_X, 0x1, 0x0 }, // 893
  { PseudoVC_V_X_SE_M2, VC_V_X, 0x1, 0x0 }, // 894
  { PseudoVC_V_X_M4, VC_V_X, 0x2, 0x0 }, // 895
  { PseudoVC_V_X_SE_M4, VC_V_X, 0x2, 0x0 }, // 896
  { PseudoVC_V_X_M8, VC_V_X, 0x3, 0x0 }, // 897
  { PseudoVC_V_X_SE_M8, VC_V_X, 0x3, 0x0 }, // 898
  { PseudoVC_V_X_MF8, VC_V_X, 0x5, 0x0 }, // 899
  { PseudoVC_V_X_SE_MF8, VC_V_X, 0x5, 0x0 }, // 900
  { PseudoVC_V_X_MF4, VC_V_X, 0x6, 0x0 }, // 901
  { PseudoVC_V_X_SE_MF4, VC_V_X, 0x6, 0x0 }, // 902
  { PseudoVC_V_X_MF2, VC_V_X, 0x7, 0x0 }, // 903
  { PseudoVC_V_X_SE_MF2, VC_V_X, 0x7, 0x0 }, // 904
  { PseudoVC_V_XV_M1, VC_V_XV, 0x0, 0x0 }, // 905
  { PseudoVC_V_XV_SE_M1, VC_V_XV, 0x0, 0x0 }, // 906
  { PseudoVC_V_XV_M2, VC_V_XV, 0x1, 0x0 }, // 907
  { PseudoVC_V_XV_SE_M2, VC_V_XV, 0x1, 0x0 }, // 908
  { PseudoVC_V_XV_M4, VC_V_XV, 0x2, 0x0 }, // 909
  { PseudoVC_V_XV_SE_M4, VC_V_XV, 0x2, 0x0 }, // 910
  { PseudoVC_V_XV_M8, VC_V_XV, 0x3, 0x0 }, // 911
  { PseudoVC_V_XV_SE_M8, VC_V_XV, 0x3, 0x0 }, // 912
  { PseudoVC_V_XV_MF8, VC_V_XV, 0x5, 0x0 }, // 913
  { PseudoVC_V_XV_SE_MF8, VC_V_XV, 0x5, 0x0 }, // 914
  { PseudoVC_V_XV_MF4, VC_V_XV, 0x6, 0x0 }, // 915
  { PseudoVC_V_XV_SE_MF4, VC_V_XV, 0x6, 0x0 }, // 916
  { PseudoVC_V_XV_MF2, VC_V_XV, 0x7, 0x0 }, // 917
  { PseudoVC_V_XV_SE_MF2, VC_V_XV, 0x7, 0x0 }, // 918
  { PseudoVC_V_XVV_M1, VC_V_XVV, 0x0, 0x0 }, // 919
  { PseudoVC_V_XVV_SE_M1, VC_V_XVV, 0x0, 0x0 }, // 920
  { PseudoVC_V_XVV_M2, VC_V_XVV, 0x1, 0x0 }, // 921
  { PseudoVC_V_XVV_SE_M2, VC_V_XVV, 0x1, 0x0 }, // 922
  { PseudoVC_V_XVV_M4, VC_V_XVV, 0x2, 0x0 }, // 923
  { PseudoVC_V_XVV_SE_M4, VC_V_XVV, 0x2, 0x0 }, // 924
  { PseudoVC_V_XVV_M8, VC_V_XVV, 0x3, 0x0 }, // 925
  { PseudoVC_V_XVV_SE_M8, VC_V_XVV, 0x3, 0x0 }, // 926
  { PseudoVC_V_XVV_MF8, VC_V_XVV, 0x5, 0x0 }, // 927
  { PseudoVC_V_XVV_SE_MF8, VC_V_XVV, 0x5, 0x0 }, // 928
  { PseudoVC_V_XVV_MF4, VC_V_XVV, 0x6, 0x0 }, // 929
  { PseudoVC_V_XVV_SE_MF4, VC_V_XVV, 0x6, 0x0 }, // 930
  { PseudoVC_V_XVV_MF2, VC_V_XVV, 0x7, 0x0 }, // 931
  { PseudoVC_V_XVV_SE_MF2, VC_V_XVV, 0x7, 0x0 }, // 932
  { PseudoVC_V_XVW_M1, VC_V_XVW, 0x0, 0x0 }, // 933
  { PseudoVC_V_XVW_SE_M1, VC_V_XVW, 0x0, 0x0 }, // 934
  { PseudoVC_V_XVW_M2, VC_V_XVW, 0x1, 0x0 }, // 935
  { PseudoVC_V_XVW_SE_M2, VC_V_XVW, 0x1, 0x0 }, // 936
  { PseudoVC_V_XVW_M4, VC_V_XVW, 0x2, 0x0 }, // 937
  { PseudoVC_V_XVW_SE_M4, VC_V_XVW, 0x2, 0x0 }, // 938
  { PseudoVC_V_XVW_MF8, VC_V_XVW, 0x5, 0x0 }, // 939
  { PseudoVC_V_XVW_SE_MF8, VC_V_XVW, 0x5, 0x0 }, // 940
  { PseudoVC_V_XVW_MF4, VC_V_XVW, 0x6, 0x0 }, // 941
  { PseudoVC_V_XVW_SE_MF4, VC_V_XVW, 0x6, 0x0 }, // 942
  { PseudoVC_V_XVW_MF2, VC_V_XVW, 0x7, 0x0 }, // 943
  { PseudoVC_V_XVW_SE_MF2, VC_V_XVW, 0x7, 0x0 }, // 944
  { PseudoVC_X_SE_M1, VC_X, 0x0, 0x0 }, // 945
  { PseudoVC_X_SE_M2, VC_X, 0x1, 0x0 }, // 946
  { PseudoVC_X_SE_M4, VC_X, 0x2, 0x0 }, // 947
  { PseudoVC_X_SE_M8, VC_X, 0x3, 0x0 }, // 948
  { PseudoVC_X_SE_MF8, VC_X, 0x5, 0x0 }, // 949
  { PseudoVC_X_SE_MF4, VC_X, 0x6, 0x0 }, // 950
  { PseudoVC_X_SE_MF2, VC_X, 0x7, 0x0 }, // 951
  { PseudoVC_XV_SE_M1, VC_XV, 0x0, 0x0 }, // 952
  { PseudoVC_XV_SE_M2, VC_XV, 0x1, 0x0 }, // 953
  { PseudoVC_XV_SE_M4, VC_XV, 0x2, 0x0 }, // 954
  { PseudoVC_XV_SE_M8, VC_XV, 0x3, 0x0 }, // 955
  { PseudoVC_XV_SE_MF8, VC_XV, 0x5, 0x0 }, // 956
  { PseudoVC_XV_SE_MF4, VC_XV, 0x6, 0x0 }, // 957
  { PseudoVC_XV_SE_MF2, VC_XV, 0x7, 0x0 }, // 958
  { PseudoVC_XVV_SE_M1, VC_XVV, 0x0, 0x0 }, // 959
  { PseudoVC_XVV_SE_M2, VC_XVV, 0x1, 0x0 }, // 960
  { PseudoVC_XVV_SE_M4, VC_XVV, 0x2, 0x0 }, // 961
  { PseudoVC_XVV_SE_M8, VC_XVV, 0x3, 0x0 }, // 962
  { PseudoVC_XVV_SE_MF8, VC_XVV, 0x5, 0x0 }, // 963
  { PseudoVC_XVV_SE_MF4, VC_XVV, 0x6, 0x0 }, // 964
  { PseudoVC_XVV_SE_MF2, VC_XVV, 0x7, 0x0 }, // 965
  { PseudoVC_XVW_SE_M1, VC_XVW, 0x0, 0x0 }, // 966
  { PseudoVC_XVW_SE_M2, VC_XVW, 0x1, 0x0 }, // 967
  { PseudoVC_XVW_SE_M4, VC_XVW, 0x2, 0x0 }, // 968
  { PseudoVC_XVW_SE_MF8, VC_XVW, 0x5, 0x0 }, // 969
  { PseudoVC_XVW_SE_MF4, VC_XVW, 0x6, 0x0 }, // 970
  { PseudoVC_XVW_SE_MF2, VC_XVW, 0x7, 0x0 }, // 971
  { PseudoVDIVU_VV_M1_E8, VDIVU_VV, 0x0, 0x8 }, // 972
  { PseudoVDIVU_VV_M1_E8_MASK, VDIVU_VV, 0x0, 0x8 }, // 973
  { PseudoVDIVU_VV_M1_E16, VDIVU_VV, 0x0, 0x10 }, // 974
  { PseudoVDIVU_VV_M1_E16_MASK, VDIVU_VV, 0x0, 0x10 }, // 975
  { PseudoVDIVU_VV_M1_E32, VDIVU_VV, 0x0, 0x20 }, // 976
  { PseudoVDIVU_VV_M1_E32_MASK, VDIVU_VV, 0x0, 0x20 }, // 977
  { PseudoVDIVU_VV_M1_E64, VDIVU_VV, 0x0, 0x40 }, // 978
  { PseudoVDIVU_VV_M1_E64_MASK, VDIVU_VV, 0x0, 0x40 }, // 979
  { PseudoVDIVU_VV_M2_E8, VDIVU_VV, 0x1, 0x8 }, // 980
  { PseudoVDIVU_VV_M2_E8_MASK, VDIVU_VV, 0x1, 0x8 }, // 981
  { PseudoVDIVU_VV_M2_E16, VDIVU_VV, 0x1, 0x10 }, // 982
  { PseudoVDIVU_VV_M2_E16_MASK, VDIVU_VV, 0x1, 0x10 }, // 983
  { PseudoVDIVU_VV_M2_E32, VDIVU_VV, 0x1, 0x20 }, // 984
  { PseudoVDIVU_VV_M2_E32_MASK, VDIVU_VV, 0x1, 0x20 }, // 985
  { PseudoVDIVU_VV_M2_E64, VDIVU_VV, 0x1, 0x40 }, // 986
  { PseudoVDIVU_VV_M2_E64_MASK, VDIVU_VV, 0x1, 0x40 }, // 987
  { PseudoVDIVU_VV_M4_E8, VDIVU_VV, 0x2, 0x8 }, // 988
  { PseudoVDIVU_VV_M4_E8_MASK, VDIVU_VV, 0x2, 0x8 }, // 989
  { PseudoVDIVU_VV_M4_E16, VDIVU_VV, 0x2, 0x10 }, // 990
  { PseudoVDIVU_VV_M4_E16_MASK, VDIVU_VV, 0x2, 0x10 }, // 991
  { PseudoVDIVU_VV_M4_E32, VDIVU_VV, 0x2, 0x20 }, // 992
  { PseudoVDIVU_VV_M4_E32_MASK, VDIVU_VV, 0x2, 0x20 }, // 993
  { PseudoVDIVU_VV_M4_E64, VDIVU_VV, 0x2, 0x40 }, // 994
  { PseudoVDIVU_VV_M4_E64_MASK, VDIVU_VV, 0x2, 0x40 }, // 995
  { PseudoVDIVU_VV_M8_E8, VDIVU_VV, 0x3, 0x8 }, // 996
  { PseudoVDIVU_VV_M8_E8_MASK, VDIVU_VV, 0x3, 0x8 }, // 997
  { PseudoVDIVU_VV_M8_E16, VDIVU_VV, 0x3, 0x10 }, // 998
  { PseudoVDIVU_VV_M8_E16_MASK, VDIVU_VV, 0x3, 0x10 }, // 999
  { PseudoVDIVU_VV_M8_E32, VDIVU_VV, 0x3, 0x20 }, // 1000
  { PseudoVDIVU_VV_M8_E32_MASK, VDIVU_VV, 0x3, 0x20 }, // 1001
  { PseudoVDIVU_VV_M8_E64, VDIVU_VV, 0x3, 0x40 }, // 1002
  { PseudoVDIVU_VV_M8_E64_MASK, VDIVU_VV, 0x3, 0x40 }, // 1003
  { PseudoVDIVU_VV_MF8_E8, VDIVU_VV, 0x5, 0x8 }, // 1004
  { PseudoVDIVU_VV_MF8_E8_MASK, VDIVU_VV, 0x5, 0x8 }, // 1005
  { PseudoVDIVU_VV_MF4_E8, VDIVU_VV, 0x6, 0x8 }, // 1006
  { PseudoVDIVU_VV_MF4_E8_MASK, VDIVU_VV, 0x6, 0x8 }, // 1007
  { PseudoVDIVU_VV_MF4_E16, VDIVU_VV, 0x6, 0x10 }, // 1008
  { PseudoVDIVU_VV_MF4_E16_MASK, VDIVU_VV, 0x6, 0x10 }, // 1009
  { PseudoVDIVU_VV_MF2_E8, VDIVU_VV, 0x7, 0x8 }, // 1010
  { PseudoVDIVU_VV_MF2_E8_MASK, VDIVU_VV, 0x7, 0x8 }, // 1011
  { PseudoVDIVU_VV_MF2_E16, VDIVU_VV, 0x7, 0x10 }, // 1012
  { PseudoVDIVU_VV_MF2_E16_MASK, VDIVU_VV, 0x7, 0x10 }, // 1013
  { PseudoVDIVU_VV_MF2_E32, VDIVU_VV, 0x7, 0x20 }, // 1014
  { PseudoVDIVU_VV_MF2_E32_MASK, VDIVU_VV, 0x7, 0x20 }, // 1015
  { PseudoVDIVU_VX_M1_E8, VDIVU_VX, 0x0, 0x8 }, // 1016
  { PseudoVDIVU_VX_M1_E8_MASK, VDIVU_VX, 0x0, 0x8 }, // 1017
  { PseudoVDIVU_VX_M1_E16, VDIVU_VX, 0x0, 0x10 }, // 1018
  { PseudoVDIVU_VX_M1_E16_MASK, VDIVU_VX, 0x0, 0x10 }, // 1019
  { PseudoVDIVU_VX_M1_E32, VDIVU_VX, 0x0, 0x20 }, // 1020
  { PseudoVDIVU_VX_M1_E32_MASK, VDIVU_VX, 0x0, 0x20 }, // 1021
  { PseudoVDIVU_VX_M1_E64, VDIVU_VX, 0x0, 0x40 }, // 1022
  { PseudoVDIVU_VX_M1_E64_MASK, VDIVU_VX, 0x0, 0x40 }, // 1023
  { PseudoVDIVU_VX_M2_E8, VDIVU_VX, 0x1, 0x8 }, // 1024
  { PseudoVDIVU_VX_M2_E8_MASK, VDIVU_VX, 0x1, 0x8 }, // 1025
  { PseudoVDIVU_VX_M2_E16, VDIVU_VX, 0x1, 0x10 }, // 1026
  { PseudoVDIVU_VX_M2_E16_MASK, VDIVU_VX, 0x1, 0x10 }, // 1027
  { PseudoVDIVU_VX_M2_E32, VDIVU_VX, 0x1, 0x20 }, // 1028
  { PseudoVDIVU_VX_M2_E32_MASK, VDIVU_VX, 0x1, 0x20 }, // 1029
  { PseudoVDIVU_VX_M2_E64, VDIVU_VX, 0x1, 0x40 }, // 1030
  { PseudoVDIVU_VX_M2_E64_MASK, VDIVU_VX, 0x1, 0x40 }, // 1031
  { PseudoVDIVU_VX_M4_E8, VDIVU_VX, 0x2, 0x8 }, // 1032
  { PseudoVDIVU_VX_M4_E8_MASK, VDIVU_VX, 0x2, 0x8 }, // 1033
  { PseudoVDIVU_VX_M4_E16, VDIVU_VX, 0x2, 0x10 }, // 1034
  { PseudoVDIVU_VX_M4_E16_MASK, VDIVU_VX, 0x2, 0x10 }, // 1035
  { PseudoVDIVU_VX_M4_E32, VDIVU_VX, 0x2, 0x20 }, // 1036
  { PseudoVDIVU_VX_M4_E32_MASK, VDIVU_VX, 0x2, 0x20 }, // 1037
  { PseudoVDIVU_VX_M4_E64, VDIVU_VX, 0x2, 0x40 }, // 1038
  { PseudoVDIVU_VX_M4_E64_MASK, VDIVU_VX, 0x2, 0x40 }, // 1039
  { PseudoVDIVU_VX_M8_E8, VDIVU_VX, 0x3, 0x8 }, // 1040
  { PseudoVDIVU_VX_M8_E8_MASK, VDIVU_VX, 0x3, 0x8 }, // 1041
  { PseudoVDIVU_VX_M8_E16, VDIVU_VX, 0x3, 0x10 }, // 1042
  { PseudoVDIVU_VX_M8_E16_MASK, VDIVU_VX, 0x3, 0x10 }, // 1043
  { PseudoVDIVU_VX_M8_E32, VDIVU_VX, 0x3, 0x20 }, // 1044
  { PseudoVDIVU_VX_M8_E32_MASK, VDIVU_VX, 0x3, 0x20 }, // 1045
  { PseudoVDIVU_VX_M8_E64, VDIVU_VX, 0x3, 0x40 }, // 1046
  { PseudoVDIVU_VX_M8_E64_MASK, VDIVU_VX, 0x3, 0x40 }, // 1047
  { PseudoVDIVU_VX_MF8_E8, VDIVU_VX, 0x5, 0x8 }, // 1048
  { PseudoVDIVU_VX_MF8_E8_MASK, VDIVU_VX, 0x5, 0x8 }, // 1049
  { PseudoVDIVU_VX_MF4_E8, VDIVU_VX, 0x6, 0x8 }, // 1050
  { PseudoVDIVU_VX_MF4_E8_MASK, VDIVU_VX, 0x6, 0x8 }, // 1051
  { PseudoVDIVU_VX_MF4_E16, VDIVU_VX, 0x6, 0x10 }, // 1052
  { PseudoVDIVU_VX_MF4_E16_MASK, VDIVU_VX, 0x6, 0x10 }, // 1053
  { PseudoVDIVU_VX_MF2_E8, VDIVU_VX, 0x7, 0x8 }, // 1054
  { PseudoVDIVU_VX_MF2_E8_MASK, VDIVU_VX, 0x7, 0x8 }, // 1055
  { PseudoVDIVU_VX_MF2_E16, VDIVU_VX, 0x7, 0x10 }, // 1056
  { PseudoVDIVU_VX_MF2_E16_MASK, VDIVU_VX, 0x7, 0x10 }, // 1057
  { PseudoVDIVU_VX_MF2_E32, VDIVU_VX, 0x7, 0x20 }, // 1058
  { PseudoVDIVU_VX_MF2_E32_MASK, VDIVU_VX, 0x7, 0x20 }, // 1059
  { PseudoVDIV_VV_M1_E8, VDIV_VV, 0x0, 0x8 }, // 1060
  { PseudoVDIV_VV_M1_E8_MASK, VDIV_VV, 0x0, 0x8 }, // 1061
  { PseudoVDIV_VV_M1_E16, VDIV_VV, 0x0, 0x10 }, // 1062
  { PseudoVDIV_VV_M1_E16_MASK, VDIV_VV, 0x0, 0x10 }, // 1063
  { PseudoVDIV_VV_M1_E32, VDIV_VV, 0x0, 0x20 }, // 1064
  { PseudoVDIV_VV_M1_E32_MASK, VDIV_VV, 0x0, 0x20 }, // 1065
  { PseudoVDIV_VV_M1_E64, VDIV_VV, 0x0, 0x40 }, // 1066
  { PseudoVDIV_VV_M1_E64_MASK, VDIV_VV, 0x0, 0x40 }, // 1067
  { PseudoVDIV_VV_M2_E8, VDIV_VV, 0x1, 0x8 }, // 1068
  { PseudoVDIV_VV_M2_E8_MASK, VDIV_VV, 0x1, 0x8 }, // 1069
  { PseudoVDIV_VV_M2_E16, VDIV_VV, 0x1, 0x10 }, // 1070
  { PseudoVDIV_VV_M2_E16_MASK, VDIV_VV, 0x1, 0x10 }, // 1071
  { PseudoVDIV_VV_M2_E32, VDIV_VV, 0x1, 0x20 }, // 1072
  { PseudoVDIV_VV_M2_E32_MASK, VDIV_VV, 0x1, 0x20 }, // 1073
  { PseudoVDIV_VV_M2_E64, VDIV_VV, 0x1, 0x40 }, // 1074
  { PseudoVDIV_VV_M2_E64_MASK, VDIV_VV, 0x1, 0x40 }, // 1075
  { PseudoVDIV_VV_M4_E8, VDIV_VV, 0x2, 0x8 }, // 1076
  { PseudoVDIV_VV_M4_E8_MASK, VDIV_VV, 0x2, 0x8 }, // 1077
  { PseudoVDIV_VV_M4_E16, VDIV_VV, 0x2, 0x10 }, // 1078
  { PseudoVDIV_VV_M4_E16_MASK, VDIV_VV, 0x2, 0x10 }, // 1079
  { PseudoVDIV_VV_M4_E32, VDIV_VV, 0x2, 0x20 }, // 1080
  { PseudoVDIV_VV_M4_E32_MASK, VDIV_VV, 0x2, 0x20 }, // 1081
  { PseudoVDIV_VV_M4_E64, VDIV_VV, 0x2, 0x40 }, // 1082
  { PseudoVDIV_VV_M4_E64_MASK, VDIV_VV, 0x2, 0x40 }, // 1083
  { PseudoVDIV_VV_M8_E8, VDIV_VV, 0x3, 0x8 }, // 1084
  { PseudoVDIV_VV_M8_E8_MASK, VDIV_VV, 0x3, 0x8 }, // 1085
  { PseudoVDIV_VV_M8_E16, VDIV_VV, 0x3, 0x10 }, // 1086
  { PseudoVDIV_VV_M8_E16_MASK, VDIV_VV, 0x3, 0x10 }, // 1087
  { PseudoVDIV_VV_M8_E32, VDIV_VV, 0x3, 0x20 }, // 1088
  { PseudoVDIV_VV_M8_E32_MASK, VDIV_VV, 0x3, 0x20 }, // 1089
  { PseudoVDIV_VV_M8_E64, VDIV_VV, 0x3, 0x40 }, // 1090
  { PseudoVDIV_VV_M8_E64_MASK, VDIV_VV, 0x3, 0x40 }, // 1091
  { PseudoVDIV_VV_MF8_E8, VDIV_VV, 0x5, 0x8 }, // 1092
  { PseudoVDIV_VV_MF8_E8_MASK, VDIV_VV, 0x5, 0x8 }, // 1093
  { PseudoVDIV_VV_MF4_E8, VDIV_VV, 0x6, 0x8 }, // 1094
  { PseudoVDIV_VV_MF4_E8_MASK, VDIV_VV, 0x6, 0x8 }, // 1095
  { PseudoVDIV_VV_MF4_E16, VDIV_VV, 0x6, 0x10 }, // 1096
  { PseudoVDIV_VV_MF4_E16_MASK, VDIV_VV, 0x6, 0x10 }, // 1097
  { PseudoVDIV_VV_MF2_E8, VDIV_VV, 0x7, 0x8 }, // 1098
  { PseudoVDIV_VV_MF2_E8_MASK, VDIV_VV, 0x7, 0x8 }, // 1099
  { PseudoVDIV_VV_MF2_E16, VDIV_VV, 0x7, 0x10 }, // 1100
  { PseudoVDIV_VV_MF2_E16_MASK, VDIV_VV, 0x7, 0x10 }, // 1101
  { PseudoVDIV_VV_MF2_E32, VDIV_VV, 0x7, 0x20 }, // 1102
  { PseudoVDIV_VV_MF2_E32_MASK, VDIV_VV, 0x7, 0x20 }, // 1103
  { PseudoVDIV_VX_M1_E8, VDIV_VX, 0x0, 0x8 }, // 1104
  { PseudoVDIV_VX_M1_E8_MASK, VDIV_VX, 0x0, 0x8 }, // 1105
  { PseudoVDIV_VX_M1_E16, VDIV_VX, 0x0, 0x10 }, // 1106
  { PseudoVDIV_VX_M1_E16_MASK, VDIV_VX, 0x0, 0x10 }, // 1107
  { PseudoVDIV_VX_M1_E32, VDIV_VX, 0x0, 0x20 }, // 1108
  { PseudoVDIV_VX_M1_E32_MASK, VDIV_VX, 0x0, 0x20 }, // 1109
  { PseudoVDIV_VX_M1_E64, VDIV_VX, 0x0, 0x40 }, // 1110
  { PseudoVDIV_VX_M1_E64_MASK, VDIV_VX, 0x0, 0x40 }, // 1111
  { PseudoVDIV_VX_M2_E8, VDIV_VX, 0x1, 0x8 }, // 1112
  { PseudoVDIV_VX_M2_E8_MASK, VDIV_VX, 0x1, 0x8 }, // 1113
  { PseudoVDIV_VX_M2_E16, VDIV_VX, 0x1, 0x10 }, // 1114
  { PseudoVDIV_VX_M2_E16_MASK, VDIV_VX, 0x1, 0x10 }, // 1115
  { PseudoVDIV_VX_M2_E32, VDIV_VX, 0x1, 0x20 }, // 1116
  { PseudoVDIV_VX_M2_E32_MASK, VDIV_VX, 0x1, 0x20 }, // 1117
  { PseudoVDIV_VX_M2_E64, VDIV_VX, 0x1, 0x40 }, // 1118
  { PseudoVDIV_VX_M2_E64_MASK, VDIV_VX, 0x1, 0x40 }, // 1119
  { PseudoVDIV_VX_M4_E8, VDIV_VX, 0x2, 0x8 }, // 1120
  { PseudoVDIV_VX_M4_E8_MASK, VDIV_VX, 0x2, 0x8 }, // 1121
  { PseudoVDIV_VX_M4_E16, VDIV_VX, 0x2, 0x10 }, // 1122
  { PseudoVDIV_VX_M4_E16_MASK, VDIV_VX, 0x2, 0x10 }, // 1123
  { PseudoVDIV_VX_M4_E32, VDIV_VX, 0x2, 0x20 }, // 1124
  { PseudoVDIV_VX_M4_E32_MASK, VDIV_VX, 0x2, 0x20 }, // 1125
  { PseudoVDIV_VX_M4_E64, VDIV_VX, 0x2, 0x40 }, // 1126
  { PseudoVDIV_VX_M4_E64_MASK, VDIV_VX, 0x2, 0x40 }, // 1127
  { PseudoVDIV_VX_M8_E8, VDIV_VX, 0x3, 0x8 }, // 1128
  { PseudoVDIV_VX_M8_E8_MASK, VDIV_VX, 0x3, 0x8 }, // 1129
  { PseudoVDIV_VX_M8_E16, VDIV_VX, 0x3, 0x10 }, // 1130
  { PseudoVDIV_VX_M8_E16_MASK, VDIV_VX, 0x3, 0x10 }, // 1131
  { PseudoVDIV_VX_M8_E32, VDIV_VX, 0x3, 0x20 }, // 1132
  { PseudoVDIV_VX_M8_E32_MASK, VDIV_VX, 0x3, 0x20 }, // 1133
  { PseudoVDIV_VX_M8_E64, VDIV_VX, 0x3, 0x40 }, // 1134
  { PseudoVDIV_VX_M8_E64_MASK, VDIV_VX, 0x3, 0x40 }, // 1135
  { PseudoVDIV_VX_MF8_E8, VDIV_VX, 0x5, 0x8 }, // 1136
  { PseudoVDIV_VX_MF8_E8_MASK, VDIV_VX, 0x5, 0x8 }, // 1137
  { PseudoVDIV_VX_MF4_E8, VDIV_VX, 0x6, 0x8 }, // 1138
  { PseudoVDIV_VX_MF4_E8_MASK, VDIV_VX, 0x6, 0x8 }, // 1139
  { PseudoVDIV_VX_MF4_E16, VDIV_VX, 0x6, 0x10 }, // 1140
  { PseudoVDIV_VX_MF4_E16_MASK, VDIV_VX, 0x6, 0x10 }, // 1141
  { PseudoVDIV_VX_MF2_E8, VDIV_VX, 0x7, 0x8 }, // 1142
  { PseudoVDIV_VX_MF2_E8_MASK, VDIV_VX, 0x7, 0x8 }, // 1143
  { PseudoVDIV_VX_MF2_E16, VDIV_VX, 0x7, 0x10 }, // 1144
  { PseudoVDIV_VX_MF2_E16_MASK, VDIV_VX, 0x7, 0x10 }, // 1145
  { PseudoVDIV_VX_MF2_E32, VDIV_VX, 0x7, 0x20 }, // 1146
  { PseudoVDIV_VX_MF2_E32_MASK, VDIV_VX, 0x7, 0x20 }, // 1147
  { PseudoVFADD_VFPR16_M1_E16, VFADD_VF, 0x0, 0x10 }, // 1148
  { PseudoVFADD_VFPR16_M1_E16_MASK, VFADD_VF, 0x0, 0x10 }, // 1149
  { PseudoVFADD_VFPR32_M1_E32, VFADD_VF, 0x0, 0x20 }, // 1150
  { PseudoVFADD_VFPR32_M1_E32_MASK, VFADD_VF, 0x0, 0x20 }, // 1151
  { PseudoVFADD_VFPR64_M1_E64, VFADD_VF, 0x0, 0x40 }, // 1152
  { PseudoVFADD_VFPR64_M1_E64_MASK, VFADD_VF, 0x0, 0x40 }, // 1153
  { PseudoVFADD_VFPR16_M2_E16, VFADD_VF, 0x1, 0x10 }, // 1154
  { PseudoVFADD_VFPR16_M2_E16_MASK, VFADD_VF, 0x1, 0x10 }, // 1155
  { PseudoVFADD_VFPR32_M2_E32, VFADD_VF, 0x1, 0x20 }, // 1156
  { PseudoVFADD_VFPR32_M2_E32_MASK, VFADD_VF, 0x1, 0x20 }, // 1157
  { PseudoVFADD_VFPR64_M2_E64, VFADD_VF, 0x1, 0x40 }, // 1158
  { PseudoVFADD_VFPR64_M2_E64_MASK, VFADD_VF, 0x1, 0x40 }, // 1159
  { PseudoVFADD_VFPR16_M4_E16, VFADD_VF, 0x2, 0x10 }, // 1160
  { PseudoVFADD_VFPR16_M4_E16_MASK, VFADD_VF, 0x2, 0x10 }, // 1161
  { PseudoVFADD_VFPR32_M4_E32, VFADD_VF, 0x2, 0x20 }, // 1162
  { PseudoVFADD_VFPR32_M4_E32_MASK, VFADD_VF, 0x2, 0x20 }, // 1163
  { PseudoVFADD_VFPR64_M4_E64, VFADD_VF, 0x2, 0x40 }, // 1164
  { PseudoVFADD_VFPR64_M4_E64_MASK, VFADD_VF, 0x2, 0x40 }, // 1165
  { PseudoVFADD_VFPR16_M8_E16, VFADD_VF, 0x3, 0x10 }, // 1166
  { PseudoVFADD_VFPR16_M8_E16_MASK, VFADD_VF, 0x3, 0x10 }, // 1167
  { PseudoVFADD_VFPR32_M8_E32, VFADD_VF, 0x3, 0x20 }, // 1168
  { PseudoVFADD_VFPR32_M8_E32_MASK, VFADD_VF, 0x3, 0x20 }, // 1169
  { PseudoVFADD_VFPR64_M8_E64, VFADD_VF, 0x3, 0x40 }, // 1170
  { PseudoVFADD_VFPR64_M8_E64_MASK, VFADD_VF, 0x3, 0x40 }, // 1171
  { PseudoVFADD_VFPR16_MF4_E16, VFADD_VF, 0x6, 0x10 }, // 1172
  { PseudoVFADD_VFPR16_MF4_E16_MASK, VFADD_VF, 0x6, 0x10 }, // 1173
  { PseudoVFADD_VFPR16_MF2_E16, VFADD_VF, 0x7, 0x10 }, // 1174
  { PseudoVFADD_VFPR16_MF2_E16_MASK, VFADD_VF, 0x7, 0x10 }, // 1175
  { PseudoVFADD_VFPR32_MF2_E32, VFADD_VF, 0x7, 0x20 }, // 1176
  { PseudoVFADD_VFPR32_MF2_E32_MASK, VFADD_VF, 0x7, 0x20 }, // 1177
  { PseudoVFADD_VV_M1_E16, VFADD_VV, 0x0, 0x10 }, // 1178
  { PseudoVFADD_VV_M1_E16_MASK, VFADD_VV, 0x0, 0x10 }, // 1179
  { PseudoVFADD_VV_M1_E32, VFADD_VV, 0x0, 0x20 }, // 1180
  { PseudoVFADD_VV_M1_E32_MASK, VFADD_VV, 0x0, 0x20 }, // 1181
  { PseudoVFADD_VV_M1_E64, VFADD_VV, 0x0, 0x40 }, // 1182
  { PseudoVFADD_VV_M1_E64_MASK, VFADD_VV, 0x0, 0x40 }, // 1183
  { PseudoVFADD_VV_M2_E16, VFADD_VV, 0x1, 0x10 }, // 1184
  { PseudoVFADD_VV_M2_E16_MASK, VFADD_VV, 0x1, 0x10 }, // 1185
  { PseudoVFADD_VV_M2_E32, VFADD_VV, 0x1, 0x20 }, // 1186
  { PseudoVFADD_VV_M2_E32_MASK, VFADD_VV, 0x1, 0x20 }, // 1187
  { PseudoVFADD_VV_M2_E64, VFADD_VV, 0x1, 0x40 }, // 1188
  { PseudoVFADD_VV_M2_E64_MASK, VFADD_VV, 0x1, 0x40 }, // 1189
  { PseudoVFADD_VV_M4_E16, VFADD_VV, 0x2, 0x10 }, // 1190
  { PseudoVFADD_VV_M4_E16_MASK, VFADD_VV, 0x2, 0x10 }, // 1191
  { PseudoVFADD_VV_M4_E32, VFADD_VV, 0x2, 0x20 }, // 1192
  { PseudoVFADD_VV_M4_E32_MASK, VFADD_VV, 0x2, 0x20 }, // 1193
  { PseudoVFADD_VV_M4_E64, VFADD_VV, 0x2, 0x40 }, // 1194
  { PseudoVFADD_VV_M4_E64_MASK, VFADD_VV, 0x2, 0x40 }, // 1195
  { PseudoVFADD_VV_M8_E16, VFADD_VV, 0x3, 0x10 }, // 1196
  { PseudoVFADD_VV_M8_E16_MASK, VFADD_VV, 0x3, 0x10 }, // 1197
  { PseudoVFADD_VV_M8_E32, VFADD_VV, 0x3, 0x20 }, // 1198
  { PseudoVFADD_VV_M8_E32_MASK, VFADD_VV, 0x3, 0x20 }, // 1199
  { PseudoVFADD_VV_M8_E64, VFADD_VV, 0x3, 0x40 }, // 1200
  { PseudoVFADD_VV_M8_E64_MASK, VFADD_VV, 0x3, 0x40 }, // 1201
  { PseudoVFADD_VV_MF4_E16, VFADD_VV, 0x6, 0x10 }, // 1202
  { PseudoVFADD_VV_MF4_E16_MASK, VFADD_VV, 0x6, 0x10 }, // 1203
  { PseudoVFADD_VV_MF2_E16, VFADD_VV, 0x7, 0x10 }, // 1204
  { PseudoVFADD_VV_MF2_E16_MASK, VFADD_VV, 0x7, 0x10 }, // 1205
  { PseudoVFADD_VV_MF2_E32, VFADD_VV, 0x7, 0x20 }, // 1206
  { PseudoVFADD_VV_MF2_E32_MASK, VFADD_VV, 0x7, 0x20 }, // 1207
  { PseudoVFCLASS_V_M1, VFCLASS_V, 0x0, 0x0 }, // 1208
  { PseudoVFCLASS_V_M1_MASK, VFCLASS_V, 0x0, 0x0 }, // 1209
  { PseudoVFCLASS_V_M2, VFCLASS_V, 0x1, 0x0 }, // 1210
  { PseudoVFCLASS_V_M2_MASK, VFCLASS_V, 0x1, 0x0 }, // 1211
  { PseudoVFCLASS_V_M4, VFCLASS_V, 0x2, 0x0 }, // 1212
  { PseudoVFCLASS_V_M4_MASK, VFCLASS_V, 0x2, 0x0 }, // 1213
  { PseudoVFCLASS_V_M8, VFCLASS_V, 0x3, 0x0 }, // 1214
  { PseudoVFCLASS_V_M8_MASK, VFCLASS_V, 0x3, 0x0 }, // 1215
  { PseudoVFCLASS_V_MF4, VFCLASS_V, 0x6, 0x0 }, // 1216
  { PseudoVFCLASS_V_MF4_MASK, VFCLASS_V, 0x6, 0x0 }, // 1217
  { PseudoVFCLASS_V_MF2, VFCLASS_V, 0x7, 0x0 }, // 1218
  { PseudoVFCLASS_V_MF2_MASK, VFCLASS_V, 0x7, 0x0 }, // 1219
  { PseudoVFCVT_F_XU_V_M1_E16, VFCVT_F_XU_V, 0x0, 0x10 }, // 1220
  { PseudoVFCVT_F_XU_V_M1_E16_MASK, VFCVT_F_XU_V, 0x0, 0x10 }, // 1221
  { PseudoVFCVT_RM_F_XU_V_M1_E16, VFCVT_F_XU_V, 0x0, 0x10 }, // 1222
  { PseudoVFCVT_RM_F_XU_V_M1_E16_MASK, VFCVT_F_XU_V, 0x0, 0x10 }, // 1223
  { PseudoVFCVT_F_XU_V_M1_E32, VFCVT_F_XU_V, 0x0, 0x20 }, // 1224
  { PseudoVFCVT_F_XU_V_M1_E32_MASK, VFCVT_F_XU_V, 0x0, 0x20 }, // 1225
  { PseudoVFCVT_RM_F_XU_V_M1_E32, VFCVT_F_XU_V, 0x0, 0x20 }, // 1226
  { PseudoVFCVT_RM_F_XU_V_M1_E32_MASK, VFCVT_F_XU_V, 0x0, 0x20 }, // 1227
  { PseudoVFCVT_F_XU_V_M1_E64, VFCVT_F_XU_V, 0x0, 0x40 }, // 1228
  { PseudoVFCVT_F_XU_V_M1_E64_MASK, VFCVT_F_XU_V, 0x0, 0x40 }, // 1229
  { PseudoVFCVT_RM_F_XU_V_M1_E64, VFCVT_F_XU_V, 0x0, 0x40 }, // 1230
  { PseudoVFCVT_RM_F_XU_V_M1_E64_MASK, VFCVT_F_XU_V, 0x0, 0x40 }, // 1231
  { PseudoVFCVT_F_XU_V_M2_E16, VFCVT_F_XU_V, 0x1, 0x10 }, // 1232
  { PseudoVFCVT_F_XU_V_M2_E16_MASK, VFCVT_F_XU_V, 0x1, 0x10 }, // 1233
  { PseudoVFCVT_RM_F_XU_V_M2_E16, VFCVT_F_XU_V, 0x1, 0x10 }, // 1234
  { PseudoVFCVT_RM_F_XU_V_M2_E16_MASK, VFCVT_F_XU_V, 0x1, 0x10 }, // 1235
  { PseudoVFCVT_F_XU_V_M2_E32, VFCVT_F_XU_V, 0x1, 0x20 }, // 1236
  { PseudoVFCVT_F_XU_V_M2_E32_MASK, VFCVT_F_XU_V, 0x1, 0x20 }, // 1237
  { PseudoVFCVT_RM_F_XU_V_M2_E32, VFCVT_F_XU_V, 0x1, 0x20 }, // 1238
  { PseudoVFCVT_RM_F_XU_V_M2_E32_MASK, VFCVT_F_XU_V, 0x1, 0x20 }, // 1239
  { PseudoVFCVT_F_XU_V_M2_E64, VFCVT_F_XU_V, 0x1, 0x40 }, // 1240
  { PseudoVFCVT_F_XU_V_M2_E64_MASK, VFCVT_F_XU_V, 0x1, 0x40 }, // 1241
  { PseudoVFCVT_RM_F_XU_V_M2_E64, VFCVT_F_XU_V, 0x1, 0x40 }, // 1242
  { PseudoVFCVT_RM_F_XU_V_M2_E64_MASK, VFCVT_F_XU_V, 0x1, 0x40 }, // 1243
  { PseudoVFCVT_F_XU_V_M4_E16, VFCVT_F_XU_V, 0x2, 0x10 }, // 1244
  { PseudoVFCVT_F_XU_V_M4_E16_MASK, VFCVT_F_XU_V, 0x2, 0x10 }, // 1245
  { PseudoVFCVT_RM_F_XU_V_M4_E16, VFCVT_F_XU_V, 0x2, 0x10 }, // 1246
  { PseudoVFCVT_RM_F_XU_V_M4_E16_MASK, VFCVT_F_XU_V, 0x2, 0x10 }, // 1247
  { PseudoVFCVT_F_XU_V_M4_E32, VFCVT_F_XU_V, 0x2, 0x20 }, // 1248
  { PseudoVFCVT_F_XU_V_M4_E32_MASK, VFCVT_F_XU_V, 0x2, 0x20 }, // 1249
  { PseudoVFCVT_RM_F_XU_V_M4_E32, VFCVT_F_XU_V, 0x2, 0x20 }, // 1250
  { PseudoVFCVT_RM_F_XU_V_M4_E32_MASK, VFCVT_F_XU_V, 0x2, 0x20 }, // 1251
  { PseudoVFCVT_F_XU_V_M4_E64, VFCVT_F_XU_V, 0x2, 0x40 }, // 1252
  { PseudoVFCVT_F_XU_V_M4_E64_MASK, VFCVT_F_XU_V, 0x2, 0x40 }, // 1253
  { PseudoVFCVT_RM_F_XU_V_M4_E64, VFCVT_F_XU_V, 0x2, 0x40 }, // 1254
  { PseudoVFCVT_RM_F_XU_V_M4_E64_MASK, VFCVT_F_XU_V, 0x2, 0x40 }, // 1255
  { PseudoVFCVT_F_XU_V_M8_E16, VFCVT_F_XU_V, 0x3, 0x10 }, // 1256
  { PseudoVFCVT_F_XU_V_M8_E16_MASK, VFCVT_F_XU_V, 0x3, 0x10 }, // 1257
  { PseudoVFCVT_RM_F_XU_V_M8_E16, VFCVT_F_XU_V, 0x3, 0x10 }, // 1258
  { PseudoVFCVT_RM_F_XU_V_M8_E16_MASK, VFCVT_F_XU_V, 0x3, 0x10 }, // 1259
  { PseudoVFCVT_F_XU_V_M8_E32, VFCVT_F_XU_V, 0x3, 0x20 }, // 1260
  { PseudoVFCVT_F_XU_V_M8_E32_MASK, VFCVT_F_XU_V, 0x3, 0x20 }, // 1261
  { PseudoVFCVT_RM_F_XU_V_M8_E32, VFCVT_F_XU_V, 0x3, 0x20 }, // 1262
  { PseudoVFCVT_RM_F_XU_V_M8_E32_MASK, VFCVT_F_XU_V, 0x3, 0x20 }, // 1263
  { PseudoVFCVT_F_XU_V_M8_E64, VFCVT_F_XU_V, 0x3, 0x40 }, // 1264
  { PseudoVFCVT_F_XU_V_M8_E64_MASK, VFCVT_F_XU_V, 0x3, 0x40 }, // 1265
  { PseudoVFCVT_RM_F_XU_V_M8_E64, VFCVT_F_XU_V, 0x3, 0x40 }, // 1266
  { PseudoVFCVT_RM_F_XU_V_M8_E64_MASK, VFCVT_F_XU_V, 0x3, 0x40 }, // 1267
  { PseudoVFCVT_F_XU_V_MF4_E16, VFCVT_F_XU_V, 0x6, 0x10 }, // 1268
  { PseudoVFCVT_F_XU_V_MF4_E16_MASK, VFCVT_F_XU_V, 0x6, 0x10 }, // 1269
  { PseudoVFCVT_RM_F_XU_V_MF4_E16, VFCVT_F_XU_V, 0x6, 0x10 }, // 1270
  { PseudoVFCVT_RM_F_XU_V_MF4_E16_MASK, VFCVT_F_XU_V, 0x6, 0x10 }, // 1271
  { PseudoVFCVT_F_XU_V_MF2_E16, VFCVT_F_XU_V, 0x7, 0x10 }, // 1272
  { PseudoVFCVT_F_XU_V_MF2_E16_MASK, VFCVT_F_XU_V, 0x7, 0x10 }, // 1273
  { PseudoVFCVT_RM_F_XU_V_MF2_E16, VFCVT_F_XU_V, 0x7, 0x10 }, // 1274
  { PseudoVFCVT_RM_F_XU_V_MF2_E16_MASK, VFCVT_F_XU_V, 0x7, 0x10 }, // 1275
  { PseudoVFCVT_F_XU_V_MF2_E32, VFCVT_F_XU_V, 0x7, 0x20 }, // 1276
  { PseudoVFCVT_F_XU_V_MF2_E32_MASK, VFCVT_F_XU_V, 0x7, 0x20 }, // 1277
  { PseudoVFCVT_RM_F_XU_V_MF2_E32, VFCVT_F_XU_V, 0x7, 0x20 }, // 1278
  { PseudoVFCVT_RM_F_XU_V_MF2_E32_MASK, VFCVT_F_XU_V, 0x7, 0x20 }, // 1279
  { PseudoVFCVT_F_X_V_M1_E16, VFCVT_F_X_V, 0x0, 0x10 }, // 1280
  { PseudoVFCVT_F_X_V_M1_E16_MASK, VFCVT_F_X_V, 0x0, 0x10 }, // 1281
  { PseudoVFCVT_RM_F_X_V_M1_E16, VFCVT_F_X_V, 0x0, 0x10 }, // 1282
  { PseudoVFCVT_RM_F_X_V_M1_E16_MASK, VFCVT_F_X_V, 0x0, 0x10 }, // 1283
  { PseudoVFCVT_F_X_V_M1_E32, VFCVT_F_X_V, 0x0, 0x20 }, // 1284
  { PseudoVFCVT_F_X_V_M1_E32_MASK, VFCVT_F_X_V, 0x0, 0x20 }, // 1285
  { PseudoVFCVT_RM_F_X_V_M1_E32, VFCVT_F_X_V, 0x0, 0x20 }, // 1286
  { PseudoVFCVT_RM_F_X_V_M1_E32_MASK, VFCVT_F_X_V, 0x0, 0x20 }, // 1287
  { PseudoVFCVT_F_X_V_M1_E64, VFCVT_F_X_V, 0x0, 0x40 }, // 1288
  { PseudoVFCVT_F_X_V_M1_E64_MASK, VFCVT_F_X_V, 0x0, 0x40 }, // 1289
  { PseudoVFCVT_RM_F_X_V_M1_E64, VFCVT_F_X_V, 0x0, 0x40 }, // 1290
  { PseudoVFCVT_RM_F_X_V_M1_E64_MASK, VFCVT_F_X_V, 0x0, 0x40 }, // 1291
  { PseudoVFCVT_F_X_V_M2_E16, VFCVT_F_X_V, 0x1, 0x10 }, // 1292
  { PseudoVFCVT_F_X_V_M2_E16_MASK, VFCVT_F_X_V, 0x1, 0x10 }, // 1293
  { PseudoVFCVT_RM_F_X_V_M2_E16, VFCVT_F_X_V, 0x1, 0x10 }, // 1294
  { PseudoVFCVT_RM_F_X_V_M2_E16_MASK, VFCVT_F_X_V, 0x1, 0x10 }, // 1295
  { PseudoVFCVT_F_X_V_M2_E32, VFCVT_F_X_V, 0x1, 0x20 }, // 1296
  { PseudoVFCVT_F_X_V_M2_E32_MASK, VFCVT_F_X_V, 0x1, 0x20 }, // 1297
  { PseudoVFCVT_RM_F_X_V_M2_E32, VFCVT_F_X_V, 0x1, 0x20 }, // 1298
  { PseudoVFCVT_RM_F_X_V_M2_E32_MASK, VFCVT_F_X_V, 0x1, 0x20 }, // 1299
  { PseudoVFCVT_F_X_V_M2_E64, VFCVT_F_X_V, 0x1, 0x40 }, // 1300
  { PseudoVFCVT_F_X_V_M2_E64_MASK, VFCVT_F_X_V, 0x1, 0x40 }, // 1301
  { PseudoVFCVT_RM_F_X_V_M2_E64, VFCVT_F_X_V, 0x1, 0x40 }, // 1302
  { PseudoVFCVT_RM_F_X_V_M2_E64_MASK, VFCVT_F_X_V, 0x1, 0x40 }, // 1303
  { PseudoVFCVT_F_X_V_M4_E16, VFCVT_F_X_V, 0x2, 0x10 }, // 1304
  { PseudoVFCVT_F_X_V_M4_E16_MASK, VFCVT_F_X_V, 0x2, 0x10 }, // 1305
  { PseudoVFCVT_RM_F_X_V_M4_E16, VFCVT_F_X_V, 0x2, 0x10 }, // 1306
  { PseudoVFCVT_RM_F_X_V_M4_E16_MASK, VFCVT_F_X_V, 0x2, 0x10 }, // 1307
  { PseudoVFCVT_F_X_V_M4_E32, VFCVT_F_X_V, 0x2, 0x20 }, // 1308
  { PseudoVFCVT_F_X_V_M4_E32_MASK, VFCVT_F_X_V, 0x2, 0x20 }, // 1309
  { PseudoVFCVT_RM_F_X_V_M4_E32, VFCVT_F_X_V, 0x2, 0x20 }, // 1310
  { PseudoVFCVT_RM_F_X_V_M4_E32_MASK, VFCVT_F_X_V, 0x2, 0x20 }, // 1311
  { PseudoVFCVT_F_X_V_M4_E64, VFCVT_F_X_V, 0x2, 0x40 }, // 1312
  { PseudoVFCVT_F_X_V_M4_E64_MASK, VFCVT_F_X_V, 0x2, 0x40 }, // 1313
  { PseudoVFCVT_RM_F_X_V_M4_E64, VFCVT_F_X_V, 0x2, 0x40 }, // 1314
  { PseudoVFCVT_RM_F_X_V_M4_E64_MASK, VFCVT_F_X_V, 0x2, 0x40 }, // 1315
  { PseudoVFCVT_F_X_V_M8_E16, VFCVT_F_X_V, 0x3, 0x10 }, // 1316
  { PseudoVFCVT_F_X_V_M8_E16_MASK, VFCVT_F_X_V, 0x3, 0x10 }, // 1317
  { PseudoVFCVT_RM_F_X_V_M8_E16, VFCVT_F_X_V, 0x3, 0x10 }, // 1318
  { PseudoVFCVT_RM_F_X_V_M8_E16_MASK, VFCVT_F_X_V, 0x3, 0x10 }, // 1319
  { PseudoVFCVT_F_X_V_M8_E32, VFCVT_F_X_V, 0x3, 0x20 }, // 1320
  { PseudoVFCVT_F_X_V_M8_E32_MASK, VFCVT_F_X_V, 0x3, 0x20 }, // 1321
  { PseudoVFCVT_RM_F_X_V_M8_E32, VFCVT_F_X_V, 0x3, 0x20 }, // 1322
  { PseudoVFCVT_RM_F_X_V_M8_E32_MASK, VFCVT_F_X_V, 0x3, 0x20 }, // 1323
  { PseudoVFCVT_F_X_V_M8_E64, VFCVT_F_X_V, 0x3, 0x40 }, // 1324
  { PseudoVFCVT_F_X_V_M8_E64_MASK, VFCVT_F_X_V, 0x3, 0x40 }, // 1325
  { PseudoVFCVT_RM_F_X_V_M8_E64, VFCVT_F_X_V, 0x3, 0x40 }, // 1326
  { PseudoVFCVT_RM_F_X_V_M8_E64_MASK, VFCVT_F_X_V, 0x3, 0x40 }, // 1327
  { PseudoVFCVT_F_X_V_MF4_E16, VFCVT_F_X_V, 0x6, 0x10 }, // 1328
  { PseudoVFCVT_F_X_V_MF4_E16_MASK, VFCVT_F_X_V, 0x6, 0x10 }, // 1329
  { PseudoVFCVT_RM_F_X_V_MF4_E16, VFCVT_F_X_V, 0x6, 0x10 }, // 1330
  { PseudoVFCVT_RM_F_X_V_MF4_E16_MASK, VFCVT_F_X_V, 0x6, 0x10 }, // 1331
  { PseudoVFCVT_F_X_V_MF2_E16, VFCVT_F_X_V, 0x7, 0x10 }, // 1332
  { PseudoVFCVT_F_X_V_MF2_E16_MASK, VFCVT_F_X_V, 0x7, 0x10 }, // 1333
  { PseudoVFCVT_RM_F_X_V_MF2_E16, VFCVT_F_X_V, 0x7, 0x10 }, // 1334
  { PseudoVFCVT_RM_F_X_V_MF2_E16_MASK, VFCVT_F_X_V, 0x7, 0x10 }, // 1335
  { PseudoVFCVT_F_X_V_MF2_E32, VFCVT_F_X_V, 0x7, 0x20 }, // 1336
  { PseudoVFCVT_F_X_V_MF2_E32_MASK, VFCVT_F_X_V, 0x7, 0x20 }, // 1337
  { PseudoVFCVT_RM_F_X_V_MF2_E32, VFCVT_F_X_V, 0x7, 0x20 }, // 1338
  { PseudoVFCVT_RM_F_X_V_MF2_E32_MASK, VFCVT_F_X_V, 0x7, 0x20 }, // 1339
  { PseudoVFCVT_RTZ_XU_F_V_M1, VFCVT_RTZ_XU_F_V, 0x0, 0x0 }, // 1340
  { PseudoVFCVT_RTZ_XU_F_V_M1_MASK, VFCVT_RTZ_XU_F_V, 0x0, 0x0 }, // 1341
  { PseudoVFCVT_RTZ_XU_F_V_M2, VFCVT_RTZ_XU_F_V, 0x1, 0x0 }, // 1342
  { PseudoVFCVT_RTZ_XU_F_V_M2_MASK, VFCVT_RTZ_XU_F_V, 0x1, 0x0 }, // 1343
  { PseudoVFCVT_RTZ_XU_F_V_M4, VFCVT_RTZ_XU_F_V, 0x2, 0x0 }, // 1344
  { PseudoVFCVT_RTZ_XU_F_V_M4_MASK, VFCVT_RTZ_XU_F_V, 0x2, 0x0 }, // 1345
  { PseudoVFCVT_RTZ_XU_F_V_M8, VFCVT_RTZ_XU_F_V, 0x3, 0x0 }, // 1346
  { PseudoVFCVT_RTZ_XU_F_V_M8_MASK, VFCVT_RTZ_XU_F_V, 0x3, 0x0 }, // 1347
  { PseudoVFCVT_RTZ_XU_F_V_MF4, VFCVT_RTZ_XU_F_V, 0x6, 0x0 }, // 1348
  { PseudoVFCVT_RTZ_XU_F_V_MF4_MASK, VFCVT_RTZ_XU_F_V, 0x6, 0x0 }, // 1349
  { PseudoVFCVT_RTZ_XU_F_V_MF2, VFCVT_RTZ_XU_F_V, 0x7, 0x0 }, // 1350
  { PseudoVFCVT_RTZ_XU_F_V_MF2_MASK, VFCVT_RTZ_XU_F_V, 0x7, 0x0 }, // 1351
  { PseudoVFCVT_RTZ_X_F_V_M1, VFCVT_RTZ_X_F_V, 0x0, 0x0 }, // 1352
  { PseudoVFCVT_RTZ_X_F_V_M1_MASK, VFCVT_RTZ_X_F_V, 0x0, 0x0 }, // 1353
  { PseudoVFCVT_RTZ_X_F_V_M2, VFCVT_RTZ_X_F_V, 0x1, 0x0 }, // 1354
  { PseudoVFCVT_RTZ_X_F_V_M2_MASK, VFCVT_RTZ_X_F_V, 0x1, 0x0 }, // 1355
  { PseudoVFCVT_RTZ_X_F_V_M4, VFCVT_RTZ_X_F_V, 0x2, 0x0 }, // 1356
  { PseudoVFCVT_RTZ_X_F_V_M4_MASK, VFCVT_RTZ_X_F_V, 0x2, 0x0 }, // 1357
  { PseudoVFCVT_RTZ_X_F_V_M8, VFCVT_RTZ_X_F_V, 0x3, 0x0 }, // 1358
  { PseudoVFCVT_RTZ_X_F_V_M8_MASK, VFCVT_RTZ_X_F_V, 0x3, 0x0 }, // 1359
  { PseudoVFCVT_RTZ_X_F_V_MF4, VFCVT_RTZ_X_F_V, 0x6, 0x0 }, // 1360
  { PseudoVFCVT_RTZ_X_F_V_MF4_MASK, VFCVT_RTZ_X_F_V, 0x6, 0x0 }, // 1361
  { PseudoVFCVT_RTZ_X_F_V_MF2, VFCVT_RTZ_X_F_V, 0x7, 0x0 }, // 1362
  { PseudoVFCVT_RTZ_X_F_V_MF2_MASK, VFCVT_RTZ_X_F_V, 0x7, 0x0 }, // 1363
  { PseudoVFCVT_RM_XU_F_V_M1, VFCVT_XU_F_V, 0x0, 0x0 }, // 1364
  { PseudoVFCVT_RM_XU_F_V_M1_MASK, VFCVT_XU_F_V, 0x0, 0x0 }, // 1365
  { PseudoVFCVT_XU_F_V_M1, VFCVT_XU_F_V, 0x0, 0x0 }, // 1366
  { PseudoVFCVT_XU_F_V_M1_MASK, VFCVT_XU_F_V, 0x0, 0x0 }, // 1367
  { PseudoVFCVT_RM_XU_F_V_M2, VFCVT_XU_F_V, 0x1, 0x0 }, // 1368
  { PseudoVFCVT_RM_XU_F_V_M2_MASK, VFCVT_XU_F_V, 0x1, 0x0 }, // 1369
  { PseudoVFCVT_XU_F_V_M2, VFCVT_XU_F_V, 0x1, 0x0 }, // 1370
  { PseudoVFCVT_XU_F_V_M2_MASK, VFCVT_XU_F_V, 0x1, 0x0 }, // 1371
  { PseudoVFCVT_RM_XU_F_V_M4, VFCVT_XU_F_V, 0x2, 0x0 }, // 1372
  { PseudoVFCVT_RM_XU_F_V_M4_MASK, VFCVT_XU_F_V, 0x2, 0x0 }, // 1373
  { PseudoVFCVT_XU_F_V_M4, VFCVT_XU_F_V, 0x2, 0x0 }, // 1374
  { PseudoVFCVT_XU_F_V_M4_MASK, VFCVT_XU_F_V, 0x2, 0x0 }, // 1375
  { PseudoVFCVT_RM_XU_F_V_M8, VFCVT_XU_F_V, 0x3, 0x0 }, // 1376
  { PseudoVFCVT_RM_XU_F_V_M8_MASK, VFCVT_XU_F_V, 0x3, 0x0 }, // 1377
  { PseudoVFCVT_XU_F_V_M8, VFCVT_XU_F_V, 0x3, 0x0 }, // 1378
  { PseudoVFCVT_XU_F_V_M8_MASK, VFCVT_XU_F_V, 0x3, 0x0 }, // 1379
  { PseudoVFCVT_RM_XU_F_V_MF4, VFCVT_XU_F_V, 0x6, 0x0 }, // 1380
  { PseudoVFCVT_RM_XU_F_V_MF4_MASK, VFCVT_XU_F_V, 0x6, 0x0 }, // 1381
  { PseudoVFCVT_XU_F_V_MF4, VFCVT_XU_F_V, 0x6, 0x0 }, // 1382
  { PseudoVFCVT_XU_F_V_MF4_MASK, VFCVT_XU_F_V, 0x6, 0x0 }, // 1383
  { PseudoVFCVT_RM_XU_F_V_MF2, VFCVT_XU_F_V, 0x7, 0x0 }, // 1384
  { PseudoVFCVT_RM_XU_F_V_MF2_MASK, VFCVT_XU_F_V, 0x7, 0x0 }, // 1385
  { PseudoVFCVT_XU_F_V_MF2, VFCVT_XU_F_V, 0x7, 0x0 }, // 1386
  { PseudoVFCVT_XU_F_V_MF2_MASK, VFCVT_XU_F_V, 0x7, 0x0 }, // 1387
  { PseudoVFCVT_RM_X_F_V_M1, VFCVT_X_F_V, 0x0, 0x0 }, // 1388
  { PseudoVFCVT_RM_X_F_V_M1_MASK, VFCVT_X_F_V, 0x0, 0x0 }, // 1389
  { PseudoVFCVT_X_F_V_M1, VFCVT_X_F_V, 0x0, 0x0 }, // 1390
  { PseudoVFCVT_X_F_V_M1_MASK, VFCVT_X_F_V, 0x0, 0x0 }, // 1391
  { PseudoVFCVT_RM_X_F_V_M2, VFCVT_X_F_V, 0x1, 0x0 }, // 1392
  { PseudoVFCVT_RM_X_F_V_M2_MASK, VFCVT_X_F_V, 0x1, 0x0 }, // 1393
  { PseudoVFCVT_X_F_V_M2, VFCVT_X_F_V, 0x1, 0x0 }, // 1394
  { PseudoVFCVT_X_F_V_M2_MASK, VFCVT_X_F_V, 0x1, 0x0 }, // 1395
  { PseudoVFCVT_RM_X_F_V_M4, VFCVT_X_F_V, 0x2, 0x0 }, // 1396
  { PseudoVFCVT_RM_X_F_V_M4_MASK, VFCVT_X_F_V, 0x2, 0x0 }, // 1397
  { PseudoVFCVT_X_F_V_M4, VFCVT_X_F_V, 0x2, 0x0 }, // 1398
  { PseudoVFCVT_X_F_V_M4_MASK, VFCVT_X_F_V, 0x2, 0x0 }, // 1399
  { PseudoVFCVT_RM_X_F_V_M8, VFCVT_X_F_V, 0x3, 0x0 }, // 1400
  { PseudoVFCVT_RM_X_F_V_M8_MASK, VFCVT_X_F_V, 0x3, 0x0 }, // 1401
  { PseudoVFCVT_X_F_V_M8, VFCVT_X_F_V, 0x3, 0x0 }, // 1402
  { PseudoVFCVT_X_F_V_M8_MASK, VFCVT_X_F_V, 0x3, 0x0 }, // 1403
  { PseudoVFCVT_RM_X_F_V_MF4, VFCVT_X_F_V, 0x6, 0x0 }, // 1404
  { PseudoVFCVT_RM_X_F_V_MF4_MASK, VFCVT_X_F_V, 0x6, 0x0 }, // 1405
  { PseudoVFCVT_X_F_V_MF4, VFCVT_X_F_V, 0x6, 0x0 }, // 1406
  { PseudoVFCVT_X_F_V_MF4_MASK, VFCVT_X_F_V, 0x6, 0x0 }, // 1407
  { PseudoVFCVT_RM_X_F_V_MF2, VFCVT_X_F_V, 0x7, 0x0 }, // 1408
  { PseudoVFCVT_RM_X_F_V_MF2_MASK, VFCVT_X_F_V, 0x7, 0x0 }, // 1409
  { PseudoVFCVT_X_F_V_MF2, VFCVT_X_F_V, 0x7, 0x0 }, // 1410
  { PseudoVFCVT_X_F_V_MF2_MASK, VFCVT_X_F_V, 0x7, 0x0 }, // 1411
  { PseudoVFDIV_VFPR16_M1_E16, VFDIV_VF, 0x0, 0x10 }, // 1412
  { PseudoVFDIV_VFPR16_M1_E16_MASK, VFDIV_VF, 0x0, 0x10 }, // 1413
  { PseudoVFDIV_VFPR32_M1_E32, VFDIV_VF, 0x0, 0x20 }, // 1414
  { PseudoVFDIV_VFPR32_M1_E32_MASK, VFDIV_VF, 0x0, 0x20 }, // 1415
  { PseudoVFDIV_VFPR64_M1_E64, VFDIV_VF, 0x0, 0x40 }, // 1416
  { PseudoVFDIV_VFPR64_M1_E64_MASK, VFDIV_VF, 0x0, 0x40 }, // 1417
  { PseudoVFDIV_VFPR16_M2_E16, VFDIV_VF, 0x1, 0x10 }, // 1418
  { PseudoVFDIV_VFPR16_M2_E16_MASK, VFDIV_VF, 0x1, 0x10 }, // 1419
  { PseudoVFDIV_VFPR32_M2_E32, VFDIV_VF, 0x1, 0x20 }, // 1420
  { PseudoVFDIV_VFPR32_M2_E32_MASK, VFDIV_VF, 0x1, 0x20 }, // 1421
  { PseudoVFDIV_VFPR64_M2_E64, VFDIV_VF, 0x1, 0x40 }, // 1422
  { PseudoVFDIV_VFPR64_M2_E64_MASK, VFDIV_VF, 0x1, 0x40 }, // 1423
  { PseudoVFDIV_VFPR16_M4_E16, VFDIV_VF, 0x2, 0x10 }, // 1424
  { PseudoVFDIV_VFPR16_M4_E16_MASK, VFDIV_VF, 0x2, 0x10 }, // 1425
  { PseudoVFDIV_VFPR32_M4_E32, VFDIV_VF, 0x2, 0x20 }, // 1426
  { PseudoVFDIV_VFPR32_M4_E32_MASK, VFDIV_VF, 0x2, 0x20 }, // 1427
  { PseudoVFDIV_VFPR64_M4_E64, VFDIV_VF, 0x2, 0x40 }, // 1428
  { PseudoVFDIV_VFPR64_M4_E64_MASK, VFDIV_VF, 0x2, 0x40 }, // 1429
  { PseudoVFDIV_VFPR16_M8_E16, VFDIV_VF, 0x3, 0x10 }, // 1430
  { PseudoVFDIV_VFPR16_M8_E16_MASK, VFDIV_VF, 0x3, 0x10 }, // 1431
  { PseudoVFDIV_VFPR32_M8_E32, VFDIV_VF, 0x3, 0x20 }, // 1432
  { PseudoVFDIV_VFPR32_M8_E32_MASK, VFDIV_VF, 0x3, 0x20 }, // 1433
  { PseudoVFDIV_VFPR64_M8_E64, VFDIV_VF, 0x3, 0x40 }, // 1434
  { PseudoVFDIV_VFPR64_M8_E64_MASK, VFDIV_VF, 0x3, 0x40 }, // 1435
  { PseudoVFDIV_VFPR16_MF4_E16, VFDIV_VF, 0x6, 0x10 }, // 1436
  { PseudoVFDIV_VFPR16_MF4_E16_MASK, VFDIV_VF, 0x6, 0x10 }, // 1437
  { PseudoVFDIV_VFPR16_MF2_E16, VFDIV_VF, 0x7, 0x10 }, // 1438
  { PseudoVFDIV_VFPR16_MF2_E16_MASK, VFDIV_VF, 0x7, 0x10 }, // 1439
  { PseudoVFDIV_VFPR32_MF2_E32, VFDIV_VF, 0x7, 0x20 }, // 1440
  { PseudoVFDIV_VFPR32_MF2_E32_MASK, VFDIV_VF, 0x7, 0x20 }, // 1441
  { PseudoVFDIV_VV_M1_E16, VFDIV_VV, 0x0, 0x10 }, // 1442
  { PseudoVFDIV_VV_M1_E16_MASK, VFDIV_VV, 0x0, 0x10 }, // 1443
  { PseudoVFDIV_VV_M1_E32, VFDIV_VV, 0x0, 0x20 }, // 1444
  { PseudoVFDIV_VV_M1_E32_MASK, VFDIV_VV, 0x0, 0x20 }, // 1445
  { PseudoVFDIV_VV_M1_E64, VFDIV_VV, 0x0, 0x40 }, // 1446
  { PseudoVFDIV_VV_M1_E64_MASK, VFDIV_VV, 0x0, 0x40 }, // 1447
  { PseudoVFDIV_VV_M2_E16, VFDIV_VV, 0x1, 0x10 }, // 1448
  { PseudoVFDIV_VV_M2_E16_MASK, VFDIV_VV, 0x1, 0x10 }, // 1449
  { PseudoVFDIV_VV_M2_E32, VFDIV_VV, 0x1, 0x20 }, // 1450
  { PseudoVFDIV_VV_M2_E32_MASK, VFDIV_VV, 0x1, 0x20 }, // 1451
  { PseudoVFDIV_VV_M2_E64, VFDIV_VV, 0x1, 0x40 }, // 1452
  { PseudoVFDIV_VV_M2_E64_MASK, VFDIV_VV, 0x1, 0x40 }, // 1453
  { PseudoVFDIV_VV_M4_E16, VFDIV_VV, 0x2, 0x10 }, // 1454
  { PseudoVFDIV_VV_M4_E16_MASK, VFDIV_VV, 0x2, 0x10 }, // 1455
  { PseudoVFDIV_VV_M4_E32, VFDIV_VV, 0x2, 0x20 }, // 1456
  { PseudoVFDIV_VV_M4_E32_MASK, VFDIV_VV, 0x2, 0x20 }, // 1457
  { PseudoVFDIV_VV_M4_E64, VFDIV_VV, 0x2, 0x40 }, // 1458
  { PseudoVFDIV_VV_M4_E64_MASK, VFDIV_VV, 0x2, 0x40 }, // 1459
  { PseudoVFDIV_VV_M8_E16, VFDIV_VV, 0x3, 0x10 }, // 1460
  { PseudoVFDIV_VV_M8_E16_MASK, VFDIV_VV, 0x3, 0x10 }, // 1461
  { PseudoVFDIV_VV_M8_E32, VFDIV_VV, 0x3, 0x20 }, // 1462
  { PseudoVFDIV_VV_M8_E32_MASK, VFDIV_VV, 0x3, 0x20 }, // 1463
  { PseudoVFDIV_VV_M8_E64, VFDIV_VV, 0x3, 0x40 }, // 1464
  { PseudoVFDIV_VV_M8_E64_MASK, VFDIV_VV, 0x3, 0x40 }, // 1465
  { PseudoVFDIV_VV_MF4_E16, VFDIV_VV, 0x6, 0x10 }, // 1466
  { PseudoVFDIV_VV_MF4_E16_MASK, VFDIV_VV, 0x6, 0x10 }, // 1467
  { PseudoVFDIV_VV_MF2_E16, VFDIV_VV, 0x7, 0x10 }, // 1468
  { PseudoVFDIV_VV_MF2_E16_MASK, VFDIV_VV, 0x7, 0x10 }, // 1469
  { PseudoVFDIV_VV_MF2_E32, VFDIV_VV, 0x7, 0x20 }, // 1470
  { PseudoVFDIV_VV_MF2_E32_MASK, VFDIV_VV, 0x7, 0x20 }, // 1471
  { PseudoVFIRST_M_B8, VFIRST_M, 0x0, 0x0 }, // 1472
  { PseudoVFIRST_M_B8_MASK, VFIRST_M, 0x0, 0x0 }, // 1473
  { PseudoVFIRST_M_B16, VFIRST_M, 0x1, 0x0 }, // 1474
  { PseudoVFIRST_M_B16_MASK, VFIRST_M, 0x1, 0x0 }, // 1475
  { PseudoVFIRST_M_B32, VFIRST_M, 0x2, 0x0 }, // 1476
  { PseudoVFIRST_M_B32_MASK, VFIRST_M, 0x2, 0x0 }, // 1477
  { PseudoVFIRST_M_B64, VFIRST_M, 0x3, 0x0 }, // 1478
  { PseudoVFIRST_M_B64_MASK, VFIRST_M, 0x3, 0x0 }, // 1479
  { PseudoVFIRST_M_B1, VFIRST_M, 0x5, 0x0 }, // 1480
  { PseudoVFIRST_M_B1_MASK, VFIRST_M, 0x5, 0x0 }, // 1481
  { PseudoVFIRST_M_B2, VFIRST_M, 0x6, 0x0 }, // 1482
  { PseudoVFIRST_M_B2_MASK, VFIRST_M, 0x6, 0x0 }, // 1483
  { PseudoVFIRST_M_B4, VFIRST_M, 0x7, 0x0 }, // 1484
  { PseudoVFIRST_M_B4_MASK, VFIRST_M, 0x7, 0x0 }, // 1485
  { PseudoVFMACC_VFPR16_M1_E16, VFMACC_VF, 0x0, 0x0 }, // 1486
  { PseudoVFMACC_VFPR16_M1_E16_MASK, VFMACC_VF, 0x0, 0x0 }, // 1487
  { PseudoVFMACC_VFPR32_M1_E32, VFMACC_VF, 0x0, 0x0 }, // 1488
  { PseudoVFMACC_VFPR32_M1_E32_MASK, VFMACC_VF, 0x0, 0x0 }, // 1489
  { PseudoVFMACC_VFPR64_M1_E64, VFMACC_VF, 0x0, 0x0 }, // 1490
  { PseudoVFMACC_VFPR64_M1_E64_MASK, VFMACC_VF, 0x0, 0x0 }, // 1491
  { PseudoVFMACC_VFPR16_M2_E16, VFMACC_VF, 0x1, 0x0 }, // 1492
  { PseudoVFMACC_VFPR16_M2_E16_MASK, VFMACC_VF, 0x1, 0x0 }, // 1493
  { PseudoVFMACC_VFPR32_M2_E32, VFMACC_VF, 0x1, 0x0 }, // 1494
  { PseudoVFMACC_VFPR32_M2_E32_MASK, VFMACC_VF, 0x1, 0x0 }, // 1495
  { PseudoVFMACC_VFPR64_M2_E64, VFMACC_VF, 0x1, 0x0 }, // 1496
  { PseudoVFMACC_VFPR64_M2_E64_MASK, VFMACC_VF, 0x1, 0x0 }, // 1497
  { PseudoVFMACC_VFPR16_M4_E16, VFMACC_VF, 0x2, 0x0 }, // 1498
  { PseudoVFMACC_VFPR16_M4_E16_MASK, VFMACC_VF, 0x2, 0x0 }, // 1499
  { PseudoVFMACC_VFPR32_M4_E32, VFMACC_VF, 0x2, 0x0 }, // 1500
  { PseudoVFMACC_VFPR32_M4_E32_MASK, VFMACC_VF, 0x2, 0x0 }, // 1501
  { PseudoVFMACC_VFPR64_M4_E64, VFMACC_VF, 0x2, 0x0 }, // 1502
  { PseudoVFMACC_VFPR64_M4_E64_MASK, VFMACC_VF, 0x2, 0x0 }, // 1503
  { PseudoVFMACC_VFPR16_M8_E16, VFMACC_VF, 0x3, 0x0 }, // 1504
  { PseudoVFMACC_VFPR16_M8_E16_MASK, VFMACC_VF, 0x3, 0x0 }, // 1505
  { PseudoVFMACC_VFPR32_M8_E32, VFMACC_VF, 0x3, 0x0 }, // 1506
  { PseudoVFMACC_VFPR32_M8_E32_MASK, VFMACC_VF, 0x3, 0x0 }, // 1507
  { PseudoVFMACC_VFPR64_M8_E64, VFMACC_VF, 0x3, 0x0 }, // 1508
  { PseudoVFMACC_VFPR64_M8_E64_MASK, VFMACC_VF, 0x3, 0x0 }, // 1509
  { PseudoVFMACC_VFPR16_MF4_E16, VFMACC_VF, 0x6, 0x0 }, // 1510
  { PseudoVFMACC_VFPR16_MF4_E16_MASK, VFMACC_VF, 0x6, 0x0 }, // 1511
  { PseudoVFMACC_VFPR16_MF2_E16, VFMACC_VF, 0x7, 0x0 }, // 1512
  { PseudoVFMACC_VFPR16_MF2_E16_MASK, VFMACC_VF, 0x7, 0x0 }, // 1513
  { PseudoVFMACC_VFPR32_MF2_E32, VFMACC_VF, 0x7, 0x0 }, // 1514
  { PseudoVFMACC_VFPR32_MF2_E32_MASK, VFMACC_VF, 0x7, 0x0 }, // 1515
  { PseudoVFMACC_VV_M1_E16, VFMACC_VV, 0x0, 0x0 }, // 1516
  { PseudoVFMACC_VV_M1_E16_MASK, VFMACC_VV, 0x0, 0x0 }, // 1517
  { PseudoVFMACC_VV_M1_E32, VFMACC_VV, 0x0, 0x0 }, // 1518
  { PseudoVFMACC_VV_M1_E32_MASK, VFMACC_VV, 0x0, 0x0 }, // 1519
  { PseudoVFMACC_VV_M1_E64, VFMACC_VV, 0x0, 0x0 }, // 1520
  { PseudoVFMACC_VV_M1_E64_MASK, VFMACC_VV, 0x0, 0x0 }, // 1521
  { PseudoVFMACC_VV_M2_E16, VFMACC_VV, 0x1, 0x0 }, // 1522
  { PseudoVFMACC_VV_M2_E16_MASK, VFMACC_VV, 0x1, 0x0 }, // 1523
  { PseudoVFMACC_VV_M2_E32, VFMACC_VV, 0x1, 0x0 }, // 1524
  { PseudoVFMACC_VV_M2_E32_MASK, VFMACC_VV, 0x1, 0x0 }, // 1525
  { PseudoVFMACC_VV_M2_E64, VFMACC_VV, 0x1, 0x0 }, // 1526
  { PseudoVFMACC_VV_M2_E64_MASK, VFMACC_VV, 0x1, 0x0 }, // 1527
  { PseudoVFMACC_VV_M4_E16, VFMACC_VV, 0x2, 0x0 }, // 1528
  { PseudoVFMACC_VV_M4_E16_MASK, VFMACC_VV, 0x2, 0x0 }, // 1529
  { PseudoVFMACC_VV_M4_E32, VFMACC_VV, 0x2, 0x0 }, // 1530
  { PseudoVFMACC_VV_M4_E32_MASK, VFMACC_VV, 0x2, 0x0 }, // 1531
  { PseudoVFMACC_VV_M4_E64, VFMACC_VV, 0x2, 0x0 }, // 1532
  { PseudoVFMACC_VV_M4_E64_MASK, VFMACC_VV, 0x2, 0x0 }, // 1533
  { PseudoVFMACC_VV_M8_E16, VFMACC_VV, 0x3, 0x0 }, // 1534
  { PseudoVFMACC_VV_M8_E16_MASK, VFMACC_VV, 0x3, 0x0 }, // 1535
  { PseudoVFMACC_VV_M8_E32, VFMACC_VV, 0x3, 0x0 }, // 1536
  { PseudoVFMACC_VV_M8_E32_MASK, VFMACC_VV, 0x3, 0x0 }, // 1537
  { PseudoVFMACC_VV_M8_E64, VFMACC_VV, 0x3, 0x0 }, // 1538
  { PseudoVFMACC_VV_M8_E64_MASK, VFMACC_VV, 0x3, 0x0 }, // 1539
  { PseudoVFMACC_VV_MF4_E16, VFMACC_VV, 0x6, 0x0 }, // 1540
  { PseudoVFMACC_VV_MF4_E16_MASK, VFMACC_VV, 0x6, 0x0 }, // 1541
  { PseudoVFMACC_VV_MF2_E16, VFMACC_VV, 0x7, 0x0 }, // 1542
  { PseudoVFMACC_VV_MF2_E16_MASK, VFMACC_VV, 0x7, 0x0 }, // 1543
  { PseudoVFMACC_VV_MF2_E32, VFMACC_VV, 0x7, 0x0 }, // 1544
  { PseudoVFMACC_VV_MF2_E32_MASK, VFMACC_VV, 0x7, 0x0 }, // 1545
  { PseudoVFMADD_VFPR16_M1_E16, VFMADD_VF, 0x0, 0x0 }, // 1546
  { PseudoVFMADD_VFPR16_M1_E16_MASK, VFMADD_VF, 0x0, 0x0 }, // 1547
  { PseudoVFMADD_VFPR32_M1_E32, VFMADD_VF, 0x0, 0x0 }, // 1548
  { PseudoVFMADD_VFPR32_M1_E32_MASK, VFMADD_VF, 0x0, 0x0 }, // 1549
  { PseudoVFMADD_VFPR64_M1_E64, VFMADD_VF, 0x0, 0x0 }, // 1550
  { PseudoVFMADD_VFPR64_M1_E64_MASK, VFMADD_VF, 0x0, 0x0 }, // 1551
  { PseudoVFMADD_VFPR16_M2_E16, VFMADD_VF, 0x1, 0x0 }, // 1552
  { PseudoVFMADD_VFPR16_M2_E16_MASK, VFMADD_VF, 0x1, 0x0 }, // 1553
  { PseudoVFMADD_VFPR32_M2_E32, VFMADD_VF, 0x1, 0x0 }, // 1554
  { PseudoVFMADD_VFPR32_M2_E32_MASK, VFMADD_VF, 0x1, 0x0 }, // 1555
  { PseudoVFMADD_VFPR64_M2_E64, VFMADD_VF, 0x1, 0x0 }, // 1556
  { PseudoVFMADD_VFPR64_M2_E64_MASK, VFMADD_VF, 0x1, 0x0 }, // 1557
  { PseudoVFMADD_VFPR16_M4_E16, VFMADD_VF, 0x2, 0x0 }, // 1558
  { PseudoVFMADD_VFPR16_M4_E16_MASK, VFMADD_VF, 0x2, 0x0 }, // 1559
  { PseudoVFMADD_VFPR32_M4_E32, VFMADD_VF, 0x2, 0x0 }, // 1560
  { PseudoVFMADD_VFPR32_M4_E32_MASK, VFMADD_VF, 0x2, 0x0 }, // 1561
  { PseudoVFMADD_VFPR64_M4_E64, VFMADD_VF, 0x2, 0x0 }, // 1562
  { PseudoVFMADD_VFPR64_M4_E64_MASK, VFMADD_VF, 0x2, 0x0 }, // 1563
  { PseudoVFMADD_VFPR16_M8_E16, VFMADD_VF, 0x3, 0x0 }, // 1564
  { PseudoVFMADD_VFPR16_M8_E16_MASK, VFMADD_VF, 0x3, 0x0 }, // 1565
  { PseudoVFMADD_VFPR32_M8_E32, VFMADD_VF, 0x3, 0x0 }, // 1566
  { PseudoVFMADD_VFPR32_M8_E32_MASK, VFMADD_VF, 0x3, 0x0 }, // 1567
  { PseudoVFMADD_VFPR64_M8_E64, VFMADD_VF, 0x3, 0x0 }, // 1568
  { PseudoVFMADD_VFPR64_M8_E64_MASK, VFMADD_VF, 0x3, 0x0 }, // 1569
  { PseudoVFMADD_VFPR16_MF4_E16, VFMADD_VF, 0x6, 0x0 }, // 1570
  { PseudoVFMADD_VFPR16_MF4_E16_MASK, VFMADD_VF, 0x6, 0x0 }, // 1571
  { PseudoVFMADD_VFPR16_MF2_E16, VFMADD_VF, 0x7, 0x0 }, // 1572
  { PseudoVFMADD_VFPR16_MF2_E16_MASK, VFMADD_VF, 0x7, 0x0 }, // 1573
  { PseudoVFMADD_VFPR32_MF2_E32, VFMADD_VF, 0x7, 0x0 }, // 1574
  { PseudoVFMADD_VFPR32_MF2_E32_MASK, VFMADD_VF, 0x7, 0x0 }, // 1575
  { PseudoVFMADD_VV_M1_E16, VFMADD_VV, 0x0, 0x0 }, // 1576
  { PseudoVFMADD_VV_M1_E16_MASK, VFMADD_VV, 0x0, 0x0 }, // 1577
  { PseudoVFMADD_VV_M1_E32, VFMADD_VV, 0x0, 0x0 }, // 1578
  { PseudoVFMADD_VV_M1_E32_MASK, VFMADD_VV, 0x0, 0x0 }, // 1579
  { PseudoVFMADD_VV_M1_E64, VFMADD_VV, 0x0, 0x0 }, // 1580
  { PseudoVFMADD_VV_M1_E64_MASK, VFMADD_VV, 0x0, 0x0 }, // 1581
  { PseudoVFMADD_VV_M2_E16, VFMADD_VV, 0x1, 0x0 }, // 1582
  { PseudoVFMADD_VV_M2_E16_MASK, VFMADD_VV, 0x1, 0x0 }, // 1583
  { PseudoVFMADD_VV_M2_E32, VFMADD_VV, 0x1, 0x0 }, // 1584
  { PseudoVFMADD_VV_M2_E32_MASK, VFMADD_VV, 0x1, 0x0 }, // 1585
  { PseudoVFMADD_VV_M2_E64, VFMADD_VV, 0x1, 0x0 }, // 1586
  { PseudoVFMADD_VV_M2_E64_MASK, VFMADD_VV, 0x1, 0x0 }, // 1587
  { PseudoVFMADD_VV_M4_E16, VFMADD_VV, 0x2, 0x0 }, // 1588
  { PseudoVFMADD_VV_M4_E16_MASK, VFMADD_VV, 0x2, 0x0 }, // 1589
  { PseudoVFMADD_VV_M4_E32, VFMADD_VV, 0x2, 0x0 }, // 1590
  { PseudoVFMADD_VV_M4_E32_MASK, VFMADD_VV, 0x2, 0x0 }, // 1591
  { PseudoVFMADD_VV_M4_E64, VFMADD_VV, 0x2, 0x0 }, // 1592
  { PseudoVFMADD_VV_M4_E64_MASK, VFMADD_VV, 0x2, 0x0 }, // 1593
  { PseudoVFMADD_VV_M8_E16, VFMADD_VV, 0x3, 0x0 }, // 1594
  { PseudoVFMADD_VV_M8_E16_MASK, VFMADD_VV, 0x3, 0x0 }, // 1595
  { PseudoVFMADD_VV_M8_E32, VFMADD_VV, 0x3, 0x0 }, // 1596
  { PseudoVFMADD_VV_M8_E32_MASK, VFMADD_VV, 0x3, 0x0 }, // 1597
  { PseudoVFMADD_VV_M8_E64, VFMADD_VV, 0x3, 0x0 }, // 1598
  { PseudoVFMADD_VV_M8_E64_MASK, VFMADD_VV, 0x3, 0x0 }, // 1599
  { PseudoVFMADD_VV_MF4_E16, VFMADD_VV, 0x6, 0x0 }, // 1600
  { PseudoVFMADD_VV_MF4_E16_MASK, VFMADD_VV, 0x6, 0x0 }, // 1601
  { PseudoVFMADD_VV_MF2_E16, VFMADD_VV, 0x7, 0x0 }, // 1602
  { PseudoVFMADD_VV_MF2_E16_MASK, VFMADD_VV, 0x7, 0x0 }, // 1603
  { PseudoVFMADD_VV_MF2_E32, VFMADD_VV, 0x7, 0x0 }, // 1604
  { PseudoVFMADD_VV_MF2_E32_MASK, VFMADD_VV, 0x7, 0x0 }, // 1605
  { PseudoVFMAX_VFPR16_M1_E16, VFMAX_VF, 0x0, 0x10 }, // 1606
  { PseudoVFMAX_VFPR16_M1_E16_MASK, VFMAX_VF, 0x0, 0x10 }, // 1607
  { PseudoVFMAX_VFPR32_M1_E32, VFMAX_VF, 0x0, 0x20 }, // 1608
  { PseudoVFMAX_VFPR32_M1_E32_MASK, VFMAX_VF, 0x0, 0x20 }, // 1609
  { PseudoVFMAX_VFPR64_M1_E64, VFMAX_VF, 0x0, 0x40 }, // 1610
  { PseudoVFMAX_VFPR64_M1_E64_MASK, VFMAX_VF, 0x0, 0x40 }, // 1611
  { PseudoVFMAX_VFPR16_M2_E16, VFMAX_VF, 0x1, 0x10 }, // 1612
  { PseudoVFMAX_VFPR16_M2_E16_MASK, VFMAX_VF, 0x1, 0x10 }, // 1613
  { PseudoVFMAX_VFPR32_M2_E32, VFMAX_VF, 0x1, 0x20 }, // 1614
  { PseudoVFMAX_VFPR32_M2_E32_MASK, VFMAX_VF, 0x1, 0x20 }, // 1615
  { PseudoVFMAX_VFPR64_M2_E64, VFMAX_VF, 0x1, 0x40 }, // 1616
  { PseudoVFMAX_VFPR64_M2_E64_MASK, VFMAX_VF, 0x1, 0x40 }, // 1617
  { PseudoVFMAX_VFPR16_M4_E16, VFMAX_VF, 0x2, 0x10 }, // 1618
  { PseudoVFMAX_VFPR16_M4_E16_MASK, VFMAX_VF, 0x2, 0x10 }, // 1619
  { PseudoVFMAX_VFPR32_M4_E32, VFMAX_VF, 0x2, 0x20 }, // 1620
  { PseudoVFMAX_VFPR32_M4_E32_MASK, VFMAX_VF, 0x2, 0x20 }, // 1621
  { PseudoVFMAX_VFPR64_M4_E64, VFMAX_VF, 0x2, 0x40 }, // 1622
  { PseudoVFMAX_VFPR64_M4_E64_MASK, VFMAX_VF, 0x2, 0x40 }, // 1623
  { PseudoVFMAX_VFPR16_M8_E16, VFMAX_VF, 0x3, 0x10 }, // 1624
  { PseudoVFMAX_VFPR16_M8_E16_MASK, VFMAX_VF, 0x3, 0x10 }, // 1625
  { PseudoVFMAX_VFPR32_M8_E32, VFMAX_VF, 0x3, 0x20 }, // 1626
  { PseudoVFMAX_VFPR32_M8_E32_MASK, VFMAX_VF, 0x3, 0x20 }, // 1627
  { PseudoVFMAX_VFPR64_M8_E64, VFMAX_VF, 0x3, 0x40 }, // 1628
  { PseudoVFMAX_VFPR64_M8_E64_MASK, VFMAX_VF, 0x3, 0x40 }, // 1629
  { PseudoVFMAX_VFPR16_MF4_E16, VFMAX_VF, 0x6, 0x10 }, // 1630
  { PseudoVFMAX_VFPR16_MF4_E16_MASK, VFMAX_VF, 0x6, 0x10 }, // 1631
  { PseudoVFMAX_VFPR16_MF2_E16, VFMAX_VF, 0x7, 0x10 }, // 1632
  { PseudoVFMAX_VFPR16_MF2_E16_MASK, VFMAX_VF, 0x7, 0x10 }, // 1633
  { PseudoVFMAX_VFPR32_MF2_E32, VFMAX_VF, 0x7, 0x20 }, // 1634
  { PseudoVFMAX_VFPR32_MF2_E32_MASK, VFMAX_VF, 0x7, 0x20 }, // 1635
  { PseudoVFMAX_VV_M1_E16, VFMAX_VV, 0x0, 0x10 }, // 1636
  { PseudoVFMAX_VV_M1_E16_MASK, VFMAX_VV, 0x0, 0x10 }, // 1637
  { PseudoVFMAX_VV_M1_E32, VFMAX_VV, 0x0, 0x20 }, // 1638
  { PseudoVFMAX_VV_M1_E32_MASK, VFMAX_VV, 0x0, 0x20 }, // 1639
  { PseudoVFMAX_VV_M1_E64, VFMAX_VV, 0x0, 0x40 }, // 1640
  { PseudoVFMAX_VV_M1_E64_MASK, VFMAX_VV, 0x0, 0x40 }, // 1641
  { PseudoVFMAX_VV_M2_E16, VFMAX_VV, 0x1, 0x10 }, // 1642
  { PseudoVFMAX_VV_M2_E16_MASK, VFMAX_VV, 0x1, 0x10 }, // 1643
  { PseudoVFMAX_VV_M2_E32, VFMAX_VV, 0x1, 0x20 }, // 1644
  { PseudoVFMAX_VV_M2_E32_MASK, VFMAX_VV, 0x1, 0x20 }, // 1645
  { PseudoVFMAX_VV_M2_E64, VFMAX_VV, 0x1, 0x40 }, // 1646
  { PseudoVFMAX_VV_M2_E64_MASK, VFMAX_VV, 0x1, 0x40 }, // 1647
  { PseudoVFMAX_VV_M4_E16, VFMAX_VV, 0x2, 0x10 }, // 1648
  { PseudoVFMAX_VV_M4_E16_MASK, VFMAX_VV, 0x2, 0x10 }, // 1649
  { PseudoVFMAX_VV_M4_E32, VFMAX_VV, 0x2, 0x20 }, // 1650
  { PseudoVFMAX_VV_M4_E32_MASK, VFMAX_VV, 0x2, 0x20 }, // 1651
  { PseudoVFMAX_VV_M4_E64, VFMAX_VV, 0x2, 0x40 }, // 1652
  { PseudoVFMAX_VV_M4_E64_MASK, VFMAX_VV, 0x2, 0x40 }, // 1653
  { PseudoVFMAX_VV_M8_E16, VFMAX_VV, 0x3, 0x10 }, // 1654
  { PseudoVFMAX_VV_M8_E16_MASK, VFMAX_VV, 0x3, 0x10 }, // 1655
  { PseudoVFMAX_VV_M8_E32, VFMAX_VV, 0x3, 0x20 }, // 1656
  { PseudoVFMAX_VV_M8_E32_MASK, VFMAX_VV, 0x3, 0x20 }, // 1657
  { PseudoVFMAX_VV_M8_E64, VFMAX_VV, 0x3, 0x40 }, // 1658
  { PseudoVFMAX_VV_M8_E64_MASK, VFMAX_VV, 0x3, 0x40 }, // 1659
  { PseudoVFMAX_VV_MF4_E16, VFMAX_VV, 0x6, 0x10 }, // 1660
  { PseudoVFMAX_VV_MF4_E16_MASK, VFMAX_VV, 0x6, 0x10 }, // 1661
  { PseudoVFMAX_VV_MF2_E16, VFMAX_VV, 0x7, 0x10 }, // 1662
  { PseudoVFMAX_VV_MF2_E16_MASK, VFMAX_VV, 0x7, 0x10 }, // 1663
  { PseudoVFMAX_VV_MF2_E32, VFMAX_VV, 0x7, 0x20 }, // 1664
  { PseudoVFMAX_VV_MF2_E32_MASK, VFMAX_VV, 0x7, 0x20 }, // 1665
  { PseudoVFMERGE_VFPR16M_M1, VFMERGE_VFM, 0x0, 0x0 }, // 1666
  { PseudoVFMERGE_VFPR32M_M1, VFMERGE_VFM, 0x0, 0x0 }, // 1667
  { PseudoVFMERGE_VFPR64M_M1, VFMERGE_VFM, 0x0, 0x0 }, // 1668
  { PseudoVFMERGE_VFPR16M_M2, VFMERGE_VFM, 0x1, 0x0 }, // 1669
  { PseudoVFMERGE_VFPR32M_M2, VFMERGE_VFM, 0x1, 0x0 }, // 1670
  { PseudoVFMERGE_VFPR64M_M2, VFMERGE_VFM, 0x1, 0x0 }, // 1671
  { PseudoVFMERGE_VFPR16M_M4, VFMERGE_VFM, 0x2, 0x0 }, // 1672
  { PseudoVFMERGE_VFPR32M_M4, VFMERGE_VFM, 0x2, 0x0 }, // 1673
  { PseudoVFMERGE_VFPR64M_M4, VFMERGE_VFM, 0x2, 0x0 }, // 1674
  { PseudoVFMERGE_VFPR16M_M8, VFMERGE_VFM, 0x3, 0x0 }, // 1675
  { PseudoVFMERGE_VFPR32M_M8, VFMERGE_VFM, 0x3, 0x0 }, // 1676
  { PseudoVFMERGE_VFPR64M_M8, VFMERGE_VFM, 0x3, 0x0 }, // 1677
  { PseudoVFMERGE_VFPR16M_MF4, VFMERGE_VFM, 0x6, 0x0 }, // 1678
  { PseudoVFMERGE_VFPR16M_MF2, VFMERGE_VFM, 0x7, 0x0 }, // 1679
  { PseudoVFMERGE_VFPR32M_MF2, VFMERGE_VFM, 0x7, 0x0 }, // 1680
  { PseudoVFMIN_VFPR16_M1_E16, VFMIN_VF, 0x0, 0x10 }, // 1681
  { PseudoVFMIN_VFPR16_M1_E16_MASK, VFMIN_VF, 0x0, 0x10 }, // 1682
  { PseudoVFMIN_VFPR32_M1_E32, VFMIN_VF, 0x0, 0x20 }, // 1683
  { PseudoVFMIN_VFPR32_M1_E32_MASK, VFMIN_VF, 0x0, 0x20 }, // 1684
  { PseudoVFMIN_VFPR64_M1_E64, VFMIN_VF, 0x0, 0x40 }, // 1685
  { PseudoVFMIN_VFPR64_M1_E64_MASK, VFMIN_VF, 0x0, 0x40 }, // 1686
  { PseudoVFMIN_VFPR16_M2_E16, VFMIN_VF, 0x1, 0x10 }, // 1687
  { PseudoVFMIN_VFPR16_M2_E16_MASK, VFMIN_VF, 0x1, 0x10 }, // 1688
  { PseudoVFMIN_VFPR32_M2_E32, VFMIN_VF, 0x1, 0x20 }, // 1689
  { PseudoVFMIN_VFPR32_M2_E32_MASK, VFMIN_VF, 0x1, 0x20 }, // 1690
  { PseudoVFMIN_VFPR64_M2_E64, VFMIN_VF, 0x1, 0x40 }, // 1691
  { PseudoVFMIN_VFPR64_M2_E64_MASK, VFMIN_VF, 0x1, 0x40 }, // 1692
  { PseudoVFMIN_VFPR16_M4_E16, VFMIN_VF, 0x2, 0x10 }, // 1693
  { PseudoVFMIN_VFPR16_M4_E16_MASK, VFMIN_VF, 0x2, 0x10 }, // 1694
  { PseudoVFMIN_VFPR32_M4_E32, VFMIN_VF, 0x2, 0x20 }, // 1695
  { PseudoVFMIN_VFPR32_M4_E32_MASK, VFMIN_VF, 0x2, 0x20 }, // 1696
  { PseudoVFMIN_VFPR64_M4_E64, VFMIN_VF, 0x2, 0x40 }, // 1697
  { PseudoVFMIN_VFPR64_M4_E64_MASK, VFMIN_VF, 0x2, 0x40 }, // 1698
  { PseudoVFMIN_VFPR16_M8_E16, VFMIN_VF, 0x3, 0x10 }, // 1699
  { PseudoVFMIN_VFPR16_M8_E16_MASK, VFMIN_VF, 0x3, 0x10 }, // 1700
  { PseudoVFMIN_VFPR32_M8_E32, VFMIN_VF, 0x3, 0x20 }, // 1701
  { PseudoVFMIN_VFPR32_M8_E32_MASK, VFMIN_VF, 0x3, 0x20 }, // 1702
  { PseudoVFMIN_VFPR64_M8_E64, VFMIN_VF, 0x3, 0x40 }, // 1703
  { PseudoVFMIN_VFPR64_M8_E64_MASK, VFMIN_VF, 0x3, 0x40 }, // 1704
  { PseudoVFMIN_VFPR16_MF4_E16, VFMIN_VF, 0x6, 0x10 }, // 1705
  { PseudoVFMIN_VFPR16_MF4_E16_MASK, VFMIN_VF, 0x6, 0x10 }, // 1706
  { PseudoVFMIN_VFPR16_MF2_E16, VFMIN_VF, 0x7, 0x10 }, // 1707
  { PseudoVFMIN_VFPR16_MF2_E16_MASK, VFMIN_VF, 0x7, 0x10 }, // 1708
  { PseudoVFMIN_VFPR32_MF2_E32, VFMIN_VF, 0x7, 0x20 }, // 1709
  { PseudoVFMIN_VFPR32_MF2_E32_MASK, VFMIN_VF, 0x7, 0x20 }, // 1710
  { PseudoVFMIN_VV_M1_E16, VFMIN_VV, 0x0, 0x10 }, // 1711
  { PseudoVFMIN_VV_M1_E16_MASK, VFMIN_VV, 0x0, 0x10 }, // 1712
  { PseudoVFMIN_VV_M1_E32, VFMIN_VV, 0x0, 0x20 }, // 1713
  { PseudoVFMIN_VV_M1_E32_MASK, VFMIN_VV, 0x0, 0x20 }, // 1714
  { PseudoVFMIN_VV_M1_E64, VFMIN_VV, 0x0, 0x40 }, // 1715
  { PseudoVFMIN_VV_M1_E64_MASK, VFMIN_VV, 0x0, 0x40 }, // 1716
  { PseudoVFMIN_VV_M2_E16, VFMIN_VV, 0x1, 0x10 }, // 1717
  { PseudoVFMIN_VV_M2_E16_MASK, VFMIN_VV, 0x1, 0x10 }, // 1718
  { PseudoVFMIN_VV_M2_E32, VFMIN_VV, 0x1, 0x20 }, // 1719
  { PseudoVFMIN_VV_M2_E32_MASK, VFMIN_VV, 0x1, 0x20 }, // 1720
  { PseudoVFMIN_VV_M2_E64, VFMIN_VV, 0x1, 0x40 }, // 1721
  { PseudoVFMIN_VV_M2_E64_MASK, VFMIN_VV, 0x1, 0x40 }, // 1722
  { PseudoVFMIN_VV_M4_E16, VFMIN_VV, 0x2, 0x10 }, // 1723
  { PseudoVFMIN_VV_M4_E16_MASK, VFMIN_VV, 0x2, 0x10 }, // 1724
  { PseudoVFMIN_VV_M4_E32, VFMIN_VV, 0x2, 0x20 }, // 1725
  { PseudoVFMIN_VV_M4_E32_MASK, VFMIN_VV, 0x2, 0x20 }, // 1726
  { PseudoVFMIN_VV_M4_E64, VFMIN_VV, 0x2, 0x40 }, // 1727
  { PseudoVFMIN_VV_M4_E64_MASK, VFMIN_VV, 0x2, 0x40 }, // 1728
  { PseudoVFMIN_VV_M8_E16, VFMIN_VV, 0x3, 0x10 }, // 1729
  { PseudoVFMIN_VV_M8_E16_MASK, VFMIN_VV, 0x3, 0x10 }, // 1730
  { PseudoVFMIN_VV_M8_E32, VFMIN_VV, 0x3, 0x20 }, // 1731
  { PseudoVFMIN_VV_M8_E32_MASK, VFMIN_VV, 0x3, 0x20 }, // 1732
  { PseudoVFMIN_VV_M8_E64, VFMIN_VV, 0x3, 0x40 }, // 1733
  { PseudoVFMIN_VV_M8_E64_MASK, VFMIN_VV, 0x3, 0x40 }, // 1734
  { PseudoVFMIN_VV_MF4_E16, VFMIN_VV, 0x6, 0x10 }, // 1735
  { PseudoVFMIN_VV_MF4_E16_MASK, VFMIN_VV, 0x6, 0x10 }, // 1736
  { PseudoVFMIN_VV_MF2_E16, VFMIN_VV, 0x7, 0x10 }, // 1737
  { PseudoVFMIN_VV_MF2_E16_MASK, VFMIN_VV, 0x7, 0x10 }, // 1738
  { PseudoVFMIN_VV_MF2_E32, VFMIN_VV, 0x7, 0x20 }, // 1739
  { PseudoVFMIN_VV_MF2_E32_MASK, VFMIN_VV, 0x7, 0x20 }, // 1740
  { PseudoVFMSAC_VFPR16_M1_E16, VFMSAC_VF, 0x0, 0x0 }, // 1741
  { PseudoVFMSAC_VFPR16_M1_E16_MASK, VFMSAC_VF, 0x0, 0x0 }, // 1742
  { PseudoVFMSAC_VFPR32_M1_E32, VFMSAC_VF, 0x0, 0x0 }, // 1743
  { PseudoVFMSAC_VFPR32_M1_E32_MASK, VFMSAC_VF, 0x0, 0x0 }, // 1744
  { PseudoVFMSAC_VFPR64_M1_E64, VFMSAC_VF, 0x0, 0x0 }, // 1745
  { PseudoVFMSAC_VFPR64_M1_E64_MASK, VFMSAC_VF, 0x0, 0x0 }, // 1746
  { PseudoVFMSAC_VFPR16_M2_E16, VFMSAC_VF, 0x1, 0x0 }, // 1747
  { PseudoVFMSAC_VFPR16_M2_E16_MASK, VFMSAC_VF, 0x1, 0x0 }, // 1748
  { PseudoVFMSAC_VFPR32_M2_E32, VFMSAC_VF, 0x1, 0x0 }, // 1749
  { PseudoVFMSAC_VFPR32_M2_E32_MASK, VFMSAC_VF, 0x1, 0x0 }, // 1750
  { PseudoVFMSAC_VFPR64_M2_E64, VFMSAC_VF, 0x1, 0x0 }, // 1751
  { PseudoVFMSAC_VFPR64_M2_E64_MASK, VFMSAC_VF, 0x1, 0x0 }, // 1752
  { PseudoVFMSAC_VFPR16_M4_E16, VFMSAC_VF, 0x2, 0x0 }, // 1753
  { PseudoVFMSAC_VFPR16_M4_E16_MASK, VFMSAC_VF, 0x2, 0x0 }, // 1754
  { PseudoVFMSAC_VFPR32_M4_E32, VFMSAC_VF, 0x2, 0x0 }, // 1755
  { PseudoVFMSAC_VFPR32_M4_E32_MASK, VFMSAC_VF, 0x2, 0x0 }, // 1756
  { PseudoVFMSAC_VFPR64_M4_E64, VFMSAC_VF, 0x2, 0x0 }, // 1757
  { PseudoVFMSAC_VFPR64_M4_E64_MASK, VFMSAC_VF, 0x2, 0x0 }, // 1758
  { PseudoVFMSAC_VFPR16_M8_E16, VFMSAC_VF, 0x3, 0x0 }, // 1759
  { PseudoVFMSAC_VFPR16_M8_E16_MASK, VFMSAC_VF, 0x3, 0x0 }, // 1760
  { PseudoVFMSAC_VFPR32_M8_E32, VFMSAC_VF, 0x3, 0x0 }, // 1761
  { PseudoVFMSAC_VFPR32_M8_E32_MASK, VFMSAC_VF, 0x3, 0x0 }, // 1762
  { PseudoVFMSAC_VFPR64_M8_E64, VFMSAC_VF, 0x3, 0x0 }, // 1763
  { PseudoVFMSAC_VFPR64_M8_E64_MASK, VFMSAC_VF, 0x3, 0x0 }, // 1764
  { PseudoVFMSAC_VFPR16_MF4_E16, VFMSAC_VF, 0x6, 0x0 }, // 1765
  { PseudoVFMSAC_VFPR16_MF4_E16_MASK, VFMSAC_VF, 0x6, 0x0 }, // 1766
  { PseudoVFMSAC_VFPR16_MF2_E16, VFMSAC_VF, 0x7, 0x0 }, // 1767
  { PseudoVFMSAC_VFPR16_MF2_E16_MASK, VFMSAC_VF, 0x7, 0x0 }, // 1768
  { PseudoVFMSAC_VFPR32_MF2_E32, VFMSAC_VF, 0x7, 0x0 }, // 1769
  { PseudoVFMSAC_VFPR32_MF2_E32_MASK, VFMSAC_VF, 0x7, 0x0 }, // 1770
  { PseudoVFMSAC_VV_M1_E16, VFMSAC_VV, 0x0, 0x0 }, // 1771
  { PseudoVFMSAC_VV_M1_E16_MASK, VFMSAC_VV, 0x0, 0x0 }, // 1772
  { PseudoVFMSAC_VV_M1_E32, VFMSAC_VV, 0x0, 0x0 }, // 1773
  { PseudoVFMSAC_VV_M1_E32_MASK, VFMSAC_VV, 0x0, 0x0 }, // 1774
  { PseudoVFMSAC_VV_M1_E64, VFMSAC_VV, 0x0, 0x0 }, // 1775
  { PseudoVFMSAC_VV_M1_E64_MASK, VFMSAC_VV, 0x0, 0x0 }, // 1776
  { PseudoVFMSAC_VV_M2_E16, VFMSAC_VV, 0x1, 0x0 }, // 1777
  { PseudoVFMSAC_VV_M2_E16_MASK, VFMSAC_VV, 0x1, 0x0 }, // 1778
  { PseudoVFMSAC_VV_M2_E32, VFMSAC_VV, 0x1, 0x0 }, // 1779
  { PseudoVFMSAC_VV_M2_E32_MASK, VFMSAC_VV, 0x1, 0x0 }, // 1780
  { PseudoVFMSAC_VV_M2_E64, VFMSAC_VV, 0x1, 0x0 }, // 1781
  { PseudoVFMSAC_VV_M2_E64_MASK, VFMSAC_VV, 0x1, 0x0 }, // 1782
  { PseudoVFMSAC_VV_M4_E16, VFMSAC_VV, 0x2, 0x0 }, // 1783
  { PseudoVFMSAC_VV_M4_E16_MASK, VFMSAC_VV, 0x2, 0x0 }, // 1784
  { PseudoVFMSAC_VV_M4_E32, VFMSAC_VV, 0x2, 0x0 }, // 1785
  { PseudoVFMSAC_VV_M4_E32_MASK, VFMSAC_VV, 0x2, 0x0 }, // 1786
  { PseudoVFMSAC_VV_M4_E64, VFMSAC_VV, 0x2, 0x0 }, // 1787
  { PseudoVFMSAC_VV_M4_E64_MASK, VFMSAC_VV, 0x2, 0x0 }, // 1788
  { PseudoVFMSAC_VV_M8_E16, VFMSAC_VV, 0x3, 0x0 }, // 1789
  { PseudoVFMSAC_VV_M8_E16_MASK, VFMSAC_VV, 0x3, 0x0 }, // 1790
  { PseudoVFMSAC_VV_M8_E32, VFMSAC_VV, 0x3, 0x0 }, // 1791
  { PseudoVFMSAC_VV_M8_E32_MASK, VFMSAC_VV, 0x3, 0x0 }, // 1792
  { PseudoVFMSAC_VV_M8_E64, VFMSAC_VV, 0x3, 0x0 }, // 1793
  { PseudoVFMSAC_VV_M8_E64_MASK, VFMSAC_VV, 0x3, 0x0 }, // 1794
  { PseudoVFMSAC_VV_MF4_E16, VFMSAC_VV, 0x6, 0x0 }, // 1795
  { PseudoVFMSAC_VV_MF4_E16_MASK, VFMSAC_VV, 0x6, 0x0 }, // 1796
  { PseudoVFMSAC_VV_MF2_E16, VFMSAC_VV, 0x7, 0x0 }, // 1797
  { PseudoVFMSAC_VV_MF2_E16_MASK, VFMSAC_VV, 0x7, 0x0 }, // 1798
  { PseudoVFMSAC_VV_MF2_E32, VFMSAC_VV, 0x7, 0x0 }, // 1799
  { PseudoVFMSAC_VV_MF2_E32_MASK, VFMSAC_VV, 0x7, 0x0 }, // 1800
  { PseudoVFMSUB_VFPR16_M1_E16, VFMSUB_VF, 0x0, 0x0 }, // 1801
  { PseudoVFMSUB_VFPR16_M1_E16_MASK, VFMSUB_VF, 0x0, 0x0 }, // 1802
  { PseudoVFMSUB_VFPR32_M1_E32, VFMSUB_VF, 0x0, 0x0 }, // 1803
  { PseudoVFMSUB_VFPR32_M1_E32_MASK, VFMSUB_VF, 0x0, 0x0 }, // 1804
  { PseudoVFMSUB_VFPR64_M1_E64, VFMSUB_VF, 0x0, 0x0 }, // 1805
  { PseudoVFMSUB_VFPR64_M1_E64_MASK, VFMSUB_VF, 0x0, 0x0 }, // 1806
  { PseudoVFMSUB_VFPR16_M2_E16, VFMSUB_VF, 0x1, 0x0 }, // 1807
  { PseudoVFMSUB_VFPR16_M2_E16_MASK, VFMSUB_VF, 0x1, 0x0 }, // 1808
  { PseudoVFMSUB_VFPR32_M2_E32, VFMSUB_VF, 0x1, 0x0 }, // 1809
  { PseudoVFMSUB_VFPR32_M2_E32_MASK, VFMSUB_VF, 0x1, 0x0 }, // 1810
  { PseudoVFMSUB_VFPR64_M2_E64, VFMSUB_VF, 0x1, 0x0 }, // 1811
  { PseudoVFMSUB_VFPR64_M2_E64_MASK, VFMSUB_VF, 0x1, 0x0 }, // 1812
  { PseudoVFMSUB_VFPR16_M4_E16, VFMSUB_VF, 0x2, 0x0 }, // 1813
  { PseudoVFMSUB_VFPR16_M4_E16_MASK, VFMSUB_VF, 0x2, 0x0 }, // 1814
  { PseudoVFMSUB_VFPR32_M4_E32, VFMSUB_VF, 0x2, 0x0 }, // 1815
  { PseudoVFMSUB_VFPR32_M4_E32_MASK, VFMSUB_VF, 0x2, 0x0 }, // 1816
  { PseudoVFMSUB_VFPR64_M4_E64, VFMSUB_VF, 0x2, 0x0 }, // 1817
  { PseudoVFMSUB_VFPR64_M4_E64_MASK, VFMSUB_VF, 0x2, 0x0 }, // 1818
  { PseudoVFMSUB_VFPR16_M8_E16, VFMSUB_VF, 0x3, 0x0 }, // 1819
  { PseudoVFMSUB_VFPR16_M8_E16_MASK, VFMSUB_VF, 0x3, 0x0 }, // 1820
  { PseudoVFMSUB_VFPR32_M8_E32, VFMSUB_VF, 0x3, 0x0 }, // 1821
  { PseudoVFMSUB_VFPR32_M8_E32_MASK, VFMSUB_VF, 0x3, 0x0 }, // 1822
  { PseudoVFMSUB_VFPR64_M8_E64, VFMSUB_VF, 0x3, 0x0 }, // 1823
  { PseudoVFMSUB_VFPR64_M8_E64_MASK, VFMSUB_VF, 0x3, 0x0 }, // 1824
  { PseudoVFMSUB_VFPR16_MF4_E16, VFMSUB_VF, 0x6, 0x0 }, // 1825
  { PseudoVFMSUB_VFPR16_MF4_E16_MASK, VFMSUB_VF, 0x6, 0x0 }, // 1826
  { PseudoVFMSUB_VFPR16_MF2_E16, VFMSUB_VF, 0x7, 0x0 }, // 1827
  { PseudoVFMSUB_VFPR16_MF2_E16_MASK, VFMSUB_VF, 0x7, 0x0 }, // 1828
  { PseudoVFMSUB_VFPR32_MF2_E32, VFMSUB_VF, 0x7, 0x0 }, // 1829
  { PseudoVFMSUB_VFPR32_MF2_E32_MASK, VFMSUB_VF, 0x7, 0x0 }, // 1830
  { PseudoVFMSUB_VV_M1_E16, VFMSUB_VV, 0x0, 0x0 }, // 1831
  { PseudoVFMSUB_VV_M1_E16_MASK, VFMSUB_VV, 0x0, 0x0 }, // 1832
  { PseudoVFMSUB_VV_M1_E32, VFMSUB_VV, 0x0, 0x0 }, // 1833
  { PseudoVFMSUB_VV_M1_E32_MASK, VFMSUB_VV, 0x0, 0x0 }, // 1834
  { PseudoVFMSUB_VV_M1_E64, VFMSUB_VV, 0x0, 0x0 }, // 1835
  { PseudoVFMSUB_VV_M1_E64_MASK, VFMSUB_VV, 0x0, 0x0 }, // 1836
  { PseudoVFMSUB_VV_M2_E16, VFMSUB_VV, 0x1, 0x0 }, // 1837
  { PseudoVFMSUB_VV_M2_E16_MASK, VFMSUB_VV, 0x1, 0x0 }, // 1838
  { PseudoVFMSUB_VV_M2_E32, VFMSUB_VV, 0x1, 0x0 }, // 1839
  { PseudoVFMSUB_VV_M2_E32_MASK, VFMSUB_VV, 0x1, 0x0 }, // 1840
  { PseudoVFMSUB_VV_M2_E64, VFMSUB_VV, 0x1, 0x0 }, // 1841
  { PseudoVFMSUB_VV_M2_E64_MASK, VFMSUB_VV, 0x1, 0x0 }, // 1842
  { PseudoVFMSUB_VV_M4_E16, VFMSUB_VV, 0x2, 0x0 }, // 1843
  { PseudoVFMSUB_VV_M4_E16_MASK, VFMSUB_VV, 0x2, 0x0 }, // 1844
  { PseudoVFMSUB_VV_M4_E32, VFMSUB_VV, 0x2, 0x0 }, // 1845
  { PseudoVFMSUB_VV_M4_E32_MASK, VFMSUB_VV, 0x2, 0x0 }, // 1846
  { PseudoVFMSUB_VV_M4_E64, VFMSUB_VV, 0x2, 0x0 }, // 1847
  { PseudoVFMSUB_VV_M4_E64_MASK, VFMSUB_VV, 0x2, 0x0 }, // 1848
  { PseudoVFMSUB_VV_M8_E16, VFMSUB_VV, 0x3, 0x0 }, // 1849
  { PseudoVFMSUB_VV_M8_E16_MASK, VFMSUB_VV, 0x3, 0x0 }, // 1850
  { PseudoVFMSUB_VV_M8_E32, VFMSUB_VV, 0x3, 0x0 }, // 1851
  { PseudoVFMSUB_VV_M8_E32_MASK, VFMSUB_VV, 0x3, 0x0 }, // 1852
  { PseudoVFMSUB_VV_M8_E64, VFMSUB_VV, 0x3, 0x0 }, // 1853
  { PseudoVFMSUB_VV_M8_E64_MASK, VFMSUB_VV, 0x3, 0x0 }, // 1854
  { PseudoVFMSUB_VV_MF4_E16, VFMSUB_VV, 0x6, 0x0 }, // 1855
  { PseudoVFMSUB_VV_MF4_E16_MASK, VFMSUB_VV, 0x6, 0x0 }, // 1856
  { PseudoVFMSUB_VV_MF2_E16, VFMSUB_VV, 0x7, 0x0 }, // 1857
  { PseudoVFMSUB_VV_MF2_E16_MASK, VFMSUB_VV, 0x7, 0x0 }, // 1858
  { PseudoVFMSUB_VV_MF2_E32, VFMSUB_VV, 0x7, 0x0 }, // 1859
  { PseudoVFMSUB_VV_MF2_E32_MASK, VFMSUB_VV, 0x7, 0x0 }, // 1860
  { PseudoVFMUL_VFPR16_M1_E16, VFMUL_VF, 0x0, 0x10 }, // 1861
  { PseudoVFMUL_VFPR16_M1_E16_MASK, VFMUL_VF, 0x0, 0x10 }, // 1862
  { PseudoVFMUL_VFPR32_M1_E32, VFMUL_VF, 0x0, 0x20 }, // 1863
  { PseudoVFMUL_VFPR32_M1_E32_MASK, VFMUL_VF, 0x0, 0x20 }, // 1864
  { PseudoVFMUL_VFPR64_M1_E64, VFMUL_VF, 0x0, 0x40 }, // 1865
  { PseudoVFMUL_VFPR64_M1_E64_MASK, VFMUL_VF, 0x0, 0x40 }, // 1866
  { PseudoVFMUL_VFPR16_M2_E16, VFMUL_VF, 0x1, 0x10 }, // 1867
  { PseudoVFMUL_VFPR16_M2_E16_MASK, VFMUL_VF, 0x1, 0x10 }, // 1868
  { PseudoVFMUL_VFPR32_M2_E32, VFMUL_VF, 0x1, 0x20 }, // 1869
  { PseudoVFMUL_VFPR32_M2_E32_MASK, VFMUL_VF, 0x1, 0x20 }, // 1870
  { PseudoVFMUL_VFPR64_M2_E64, VFMUL_VF, 0x1, 0x40 }, // 1871
  { PseudoVFMUL_VFPR64_M2_E64_MASK, VFMUL_VF, 0x1, 0x40 }, // 1872
  { PseudoVFMUL_VFPR16_M4_E16, VFMUL_VF, 0x2, 0x10 }, // 1873
  { PseudoVFMUL_VFPR16_M4_E16_MASK, VFMUL_VF, 0x2, 0x10 }, // 1874
  { PseudoVFMUL_VFPR32_M4_E32, VFMUL_VF, 0x2, 0x20 }, // 1875
  { PseudoVFMUL_VFPR32_M4_E32_MASK, VFMUL_VF, 0x2, 0x20 }, // 1876
  { PseudoVFMUL_VFPR64_M4_E64, VFMUL_VF, 0x2, 0x40 }, // 1877
  { PseudoVFMUL_VFPR64_M4_E64_MASK, VFMUL_VF, 0x2, 0x40 }, // 1878
  { PseudoVFMUL_VFPR16_M8_E16, VFMUL_VF, 0x3, 0x10 }, // 1879
  { PseudoVFMUL_VFPR16_M8_E16_MASK, VFMUL_VF, 0x3, 0x10 }, // 1880
  { PseudoVFMUL_VFPR32_M8_E32, VFMUL_VF, 0x3, 0x20 }, // 1881
  { PseudoVFMUL_VFPR32_M8_E32_MASK, VFMUL_VF, 0x3, 0x20 }, // 1882
  { PseudoVFMUL_VFPR64_M8_E64, VFMUL_VF, 0x3, 0x40 }, // 1883
  { PseudoVFMUL_VFPR64_M8_E64_MASK, VFMUL_VF, 0x3, 0x40 }, // 1884
  { PseudoVFMUL_VFPR16_MF4_E16, VFMUL_VF, 0x6, 0x10 }, // 1885
  { PseudoVFMUL_VFPR16_MF4_E16_MASK, VFMUL_VF, 0x6, 0x10 }, // 1886
  { PseudoVFMUL_VFPR16_MF2_E16, VFMUL_VF, 0x7, 0x10 }, // 1887
  { PseudoVFMUL_VFPR16_MF2_E16_MASK, VFMUL_VF, 0x7, 0x10 }, // 1888
  { PseudoVFMUL_VFPR32_MF2_E32, VFMUL_VF, 0x7, 0x20 }, // 1889
  { PseudoVFMUL_VFPR32_MF2_E32_MASK, VFMUL_VF, 0x7, 0x20 }, // 1890
  { PseudoVFMUL_VV_M1_E16, VFMUL_VV, 0x0, 0x10 }, // 1891
  { PseudoVFMUL_VV_M1_E16_MASK, VFMUL_VV, 0x0, 0x10 }, // 1892
  { PseudoVFMUL_VV_M1_E32, VFMUL_VV, 0x0, 0x20 }, // 1893
  { PseudoVFMUL_VV_M1_E32_MASK, VFMUL_VV, 0x0, 0x20 }, // 1894
  { PseudoVFMUL_VV_M1_E64, VFMUL_VV, 0x0, 0x40 }, // 1895
  { PseudoVFMUL_VV_M1_E64_MASK, VFMUL_VV, 0x0, 0x40 }, // 1896
  { PseudoVFMUL_VV_M2_E16, VFMUL_VV, 0x1, 0x10 }, // 1897
  { PseudoVFMUL_VV_M2_E16_MASK, VFMUL_VV, 0x1, 0x10 }, // 1898
  { PseudoVFMUL_VV_M2_E32, VFMUL_VV, 0x1, 0x20 }, // 1899
  { PseudoVFMUL_VV_M2_E32_MASK, VFMUL_VV, 0x1, 0x20 }, // 1900
  { PseudoVFMUL_VV_M2_E64, VFMUL_VV, 0x1, 0x40 }, // 1901
  { PseudoVFMUL_VV_M2_E64_MASK, VFMUL_VV, 0x1, 0x40 }, // 1902
  { PseudoVFMUL_VV_M4_E16, VFMUL_VV, 0x2, 0x10 }, // 1903
  { PseudoVFMUL_VV_M4_E16_MASK, VFMUL_VV, 0x2, 0x10 }, // 1904
  { PseudoVFMUL_VV_M4_E32, VFMUL_VV, 0x2, 0x20 }, // 1905
  { PseudoVFMUL_VV_M4_E32_MASK, VFMUL_VV, 0x2, 0x20 }, // 1906
  { PseudoVFMUL_VV_M4_E64, VFMUL_VV, 0x2, 0x40 }, // 1907
  { PseudoVFMUL_VV_M4_E64_MASK, VFMUL_VV, 0x2, 0x40 }, // 1908
  { PseudoVFMUL_VV_M8_E16, VFMUL_VV, 0x3, 0x10 }, // 1909
  { PseudoVFMUL_VV_M8_E16_MASK, VFMUL_VV, 0x3, 0x10 }, // 1910
  { PseudoVFMUL_VV_M8_E32, VFMUL_VV, 0x3, 0x20 }, // 1911
  { PseudoVFMUL_VV_M8_E32_MASK, VFMUL_VV, 0x3, 0x20 }, // 1912
  { PseudoVFMUL_VV_M8_E64, VFMUL_VV, 0x3, 0x40 }, // 1913
  { PseudoVFMUL_VV_M8_E64_MASK, VFMUL_VV, 0x3, 0x40 }, // 1914
  { PseudoVFMUL_VV_MF4_E16, VFMUL_VV, 0x6, 0x10 }, // 1915
  { PseudoVFMUL_VV_MF4_E16_MASK, VFMUL_VV, 0x6, 0x10 }, // 1916
  { PseudoVFMUL_VV_MF2_E16, VFMUL_VV, 0x7, 0x10 }, // 1917
  { PseudoVFMUL_VV_MF2_E16_MASK, VFMUL_VV, 0x7, 0x10 }, // 1918
  { PseudoVFMUL_VV_MF2_E32, VFMUL_VV, 0x7, 0x20 }, // 1919
  { PseudoVFMUL_VV_MF2_E32_MASK, VFMUL_VV, 0x7, 0x20 }, // 1920
  { PseudoVFMV_FPR16_S_M1, VFMV_F_S, 0x0, 0x0 }, // 1921
  { PseudoVFMV_FPR32_S_M1, VFMV_F_S, 0x0, 0x0 }, // 1922
  { PseudoVFMV_FPR64_S_M1, VFMV_F_S, 0x0, 0x0 }, // 1923
  { PseudoVFMV_FPR16_S_M2, VFMV_F_S, 0x1, 0x0 }, // 1924
  { PseudoVFMV_FPR32_S_M2, VFMV_F_S, 0x1, 0x0 }, // 1925
  { PseudoVFMV_FPR64_S_M2, VFMV_F_S, 0x1, 0x0 }, // 1926
  { PseudoVFMV_FPR16_S_M4, VFMV_F_S, 0x2, 0x0 }, // 1927
  { PseudoVFMV_FPR32_S_M4, VFMV_F_S, 0x2, 0x0 }, // 1928
  { PseudoVFMV_FPR64_S_M4, VFMV_F_S, 0x2, 0x0 }, // 1929
  { PseudoVFMV_FPR16_S_M8, VFMV_F_S, 0x3, 0x0 }, // 1930
  { PseudoVFMV_FPR32_S_M8, VFMV_F_S, 0x3, 0x0 }, // 1931
  { PseudoVFMV_FPR64_S_M8, VFMV_F_S, 0x3, 0x0 }, // 1932
  { PseudoVFMV_FPR16_S_MF4, VFMV_F_S, 0x6, 0x0 }, // 1933
  { PseudoVFMV_FPR16_S_MF2, VFMV_F_S, 0x7, 0x0 }, // 1934
  { PseudoVFMV_FPR32_S_MF2, VFMV_F_S, 0x7, 0x0 }, // 1935
  { PseudoVFMV_S_FPR16_M1, VFMV_S_F, 0x0, 0x0 }, // 1936
  { PseudoVFMV_S_FPR32_M1, VFMV_S_F, 0x0, 0x0 }, // 1937
  { PseudoVFMV_S_FPR64_M1, VFMV_S_F, 0x0, 0x0 }, // 1938
  { PseudoVFMV_S_FPR16_M2, VFMV_S_F, 0x1, 0x0 }, // 1939
  { PseudoVFMV_S_FPR32_M2, VFMV_S_F, 0x1, 0x0 }, // 1940
  { PseudoVFMV_S_FPR64_M2, VFMV_S_F, 0x1, 0x0 }, // 1941
  { PseudoVFMV_S_FPR16_M4, VFMV_S_F, 0x2, 0x0 }, // 1942
  { PseudoVFMV_S_FPR32_M4, VFMV_S_F, 0x2, 0x0 }, // 1943
  { PseudoVFMV_S_FPR64_M4, VFMV_S_F, 0x2, 0x0 }, // 1944
  { PseudoVFMV_S_FPR16_M8, VFMV_S_F, 0x3, 0x0 }, // 1945
  { PseudoVFMV_S_FPR32_M8, VFMV_S_F, 0x3, 0x0 }, // 1946
  { PseudoVFMV_S_FPR64_M8, VFMV_S_F, 0x3, 0x0 }, // 1947
  { PseudoVFMV_S_FPR16_MF4, VFMV_S_F, 0x6, 0x0 }, // 1948
  { PseudoVFMV_S_FPR16_MF2, VFMV_S_F, 0x7, 0x0 }, // 1949
  { PseudoVFMV_S_FPR32_MF2, VFMV_S_F, 0x7, 0x0 }, // 1950
  { PseudoVFMV_V_FPR16_M1, VFMV_V_F, 0x0, 0x0 }, // 1951
  { PseudoVFMV_V_FPR32_M1, VFMV_V_F, 0x0, 0x0 }, // 1952
  { PseudoVFMV_V_FPR64_M1, VFMV_V_F, 0x0, 0x0 }, // 1953
  { PseudoVFMV_V_FPR16_M2, VFMV_V_F, 0x1, 0x0 }, // 1954
  { PseudoVFMV_V_FPR32_M2, VFMV_V_F, 0x1, 0x0 }, // 1955
  { PseudoVFMV_V_FPR64_M2, VFMV_V_F, 0x1, 0x0 }, // 1956
  { PseudoVFMV_V_FPR16_M4, VFMV_V_F, 0x2, 0x0 }, // 1957
  { PseudoVFMV_V_FPR32_M4, VFMV_V_F, 0x2, 0x0 }, // 1958
  { PseudoVFMV_V_FPR64_M4, VFMV_V_F, 0x2, 0x0 }, // 1959
  { PseudoVFMV_V_FPR16_M8, VFMV_V_F, 0x3, 0x0 }, // 1960
  { PseudoVFMV_V_FPR32_M8, VFMV_V_F, 0x3, 0x0 }, // 1961
  { PseudoVFMV_V_FPR64_M8, VFMV_V_F, 0x3, 0x0 }, // 1962
  { PseudoVFMV_V_FPR16_MF4, VFMV_V_F, 0x6, 0x0 }, // 1963
  { PseudoVFMV_V_FPR16_MF2, VFMV_V_F, 0x7, 0x0 }, // 1964
  { PseudoVFMV_V_FPR32_MF2, VFMV_V_F, 0x7, 0x0 }, // 1965
  { PseudoVFNCVTBF16_F_F_W_M1_E16, VFNCVTBF16_F_F_W, 0x0, 0x10 }, // 1966
  { PseudoVFNCVTBF16_F_F_W_M1_E16_MASK, VFNCVTBF16_F_F_W, 0x0, 0x10 }, // 1967
  { PseudoVFNCVTBF16_F_F_W_M1_E32, VFNCVTBF16_F_F_W, 0x0, 0x20 }, // 1968
  { PseudoVFNCVTBF16_F_F_W_M1_E32_MASK, VFNCVTBF16_F_F_W, 0x0, 0x20 }, // 1969
  { PseudoVFNCVTBF16_F_F_W_M2_E16, VFNCVTBF16_F_F_W, 0x1, 0x10 }, // 1970
  { PseudoVFNCVTBF16_F_F_W_M2_E16_MASK, VFNCVTBF16_F_F_W, 0x1, 0x10 }, // 1971
  { PseudoVFNCVTBF16_F_F_W_M2_E32, VFNCVTBF16_F_F_W, 0x1, 0x20 }, // 1972
  { PseudoVFNCVTBF16_F_F_W_M2_E32_MASK, VFNCVTBF16_F_F_W, 0x1, 0x20 }, // 1973
  { PseudoVFNCVTBF16_F_F_W_M4_E16, VFNCVTBF16_F_F_W, 0x2, 0x10 }, // 1974
  { PseudoVFNCVTBF16_F_F_W_M4_E16_MASK, VFNCVTBF16_F_F_W, 0x2, 0x10 }, // 1975
  { PseudoVFNCVTBF16_F_F_W_M4_E32, VFNCVTBF16_F_F_W, 0x2, 0x20 }, // 1976
  { PseudoVFNCVTBF16_F_F_W_M4_E32_MASK, VFNCVTBF16_F_F_W, 0x2, 0x20 }, // 1977
  { PseudoVFNCVTBF16_F_F_W_MF4_E16, VFNCVTBF16_F_F_W, 0x6, 0x10 }, // 1978
  { PseudoVFNCVTBF16_F_F_W_MF4_E16_MASK, VFNCVTBF16_F_F_W, 0x6, 0x10 }, // 1979
  { PseudoVFNCVTBF16_F_F_W_MF2_E16, VFNCVTBF16_F_F_W, 0x7, 0x10 }, // 1980
  { PseudoVFNCVTBF16_F_F_W_MF2_E16_MASK, VFNCVTBF16_F_F_W, 0x7, 0x10 }, // 1981
  { PseudoVFNCVTBF16_F_F_W_MF2_E32, VFNCVTBF16_F_F_W, 0x7, 0x20 }, // 1982
  { PseudoVFNCVTBF16_F_F_W_MF2_E32_MASK, VFNCVTBF16_F_F_W, 0x7, 0x20 }, // 1983
  { PseudoVFNCVT_F_F_W_M1_E16, VFNCVT_F_F_W, 0x0, 0x10 }, // 1984
  { PseudoVFNCVT_F_F_W_M1_E16_MASK, VFNCVT_F_F_W, 0x0, 0x10 }, // 1985
  { PseudoVFNCVT_F_F_W_M1_E32, VFNCVT_F_F_W, 0x0, 0x20 }, // 1986
  { PseudoVFNCVT_F_F_W_M1_E32_MASK, VFNCVT_F_F_W, 0x0, 0x20 }, // 1987
  { PseudoVFNCVT_F_F_W_M2_E16, VFNCVT_F_F_W, 0x1, 0x10 }, // 1988
  { PseudoVFNCVT_F_F_W_M2_E16_MASK, VFNCVT_F_F_W, 0x1, 0x10 }, // 1989
  { PseudoVFNCVT_F_F_W_M2_E32, VFNCVT_F_F_W, 0x1, 0x20 }, // 1990
  { PseudoVFNCVT_F_F_W_M2_E32_MASK, VFNCVT_F_F_W, 0x1, 0x20 }, // 1991
  { PseudoVFNCVT_F_F_W_M4_E16, VFNCVT_F_F_W, 0x2, 0x10 }, // 1992
  { PseudoVFNCVT_F_F_W_M4_E16_MASK, VFNCVT_F_F_W, 0x2, 0x10 }, // 1993
  { PseudoVFNCVT_F_F_W_M4_E32, VFNCVT_F_F_W, 0x2, 0x20 }, // 1994
  { PseudoVFNCVT_F_F_W_M4_E32_MASK, VFNCVT_F_F_W, 0x2, 0x20 }, // 1995
  { PseudoVFNCVT_F_F_W_MF4_E16, VFNCVT_F_F_W, 0x6, 0x10 }, // 1996
  { PseudoVFNCVT_F_F_W_MF4_E16_MASK, VFNCVT_F_F_W, 0x6, 0x10 }, // 1997
  { PseudoVFNCVT_F_F_W_MF2_E16, VFNCVT_F_F_W, 0x7, 0x10 }, // 1998
  { PseudoVFNCVT_F_F_W_MF2_E16_MASK, VFNCVT_F_F_W, 0x7, 0x10 }, // 1999
  { PseudoVFNCVT_F_F_W_MF2_E32, VFNCVT_F_F_W, 0x7, 0x20 }, // 2000
  { PseudoVFNCVT_F_F_W_MF2_E32_MASK, VFNCVT_F_F_W, 0x7, 0x20 }, // 2001
  { PseudoVFNCVT_F_XU_W_M1_E16, VFNCVT_F_XU_W, 0x0, 0x10 }, // 2002
  { PseudoVFNCVT_F_XU_W_M1_E16_MASK, VFNCVT_F_XU_W, 0x0, 0x10 }, // 2003
  { PseudoVFNCVT_RM_F_XU_W_M1_E16, VFNCVT_F_XU_W, 0x0, 0x10 }, // 2004
  { PseudoVFNCVT_RM_F_XU_W_M1_E16_MASK, VFNCVT_F_XU_W, 0x0, 0x10 }, // 2005
  { PseudoVFNCVT_F_XU_W_M1_E32, VFNCVT_F_XU_W, 0x0, 0x20 }, // 2006
  { PseudoVFNCVT_F_XU_W_M1_E32_MASK, VFNCVT_F_XU_W, 0x0, 0x20 }, // 2007
  { PseudoVFNCVT_RM_F_XU_W_M1_E32, VFNCVT_F_XU_W, 0x0, 0x20 }, // 2008
  { PseudoVFNCVT_RM_F_XU_W_M1_E32_MASK, VFNCVT_F_XU_W, 0x0, 0x20 }, // 2009
  { PseudoVFNCVT_F_XU_W_M2_E16, VFNCVT_F_XU_W, 0x1, 0x10 }, // 2010
  { PseudoVFNCVT_F_XU_W_M2_E16_MASK, VFNCVT_F_XU_W, 0x1, 0x10 }, // 2011
  { PseudoVFNCVT_RM_F_XU_W_M2_E16, VFNCVT_F_XU_W, 0x1, 0x10 }, // 2012
  { PseudoVFNCVT_RM_F_XU_W_M2_E16_MASK, VFNCVT_F_XU_W, 0x1, 0x10 }, // 2013
  { PseudoVFNCVT_F_XU_W_M2_E32, VFNCVT_F_XU_W, 0x1, 0x20 }, // 2014
  { PseudoVFNCVT_F_XU_W_M2_E32_MASK, VFNCVT_F_XU_W, 0x1, 0x20 }, // 2015
  { PseudoVFNCVT_RM_F_XU_W_M2_E32, VFNCVT_F_XU_W, 0x1, 0x20 }, // 2016
  { PseudoVFNCVT_RM_F_XU_W_M2_E32_MASK, VFNCVT_F_XU_W, 0x1, 0x20 }, // 2017
  { PseudoVFNCVT_F_XU_W_M4_E16, VFNCVT_F_XU_W, 0x2, 0x10 }, // 2018
  { PseudoVFNCVT_F_XU_W_M4_E16_MASK, VFNCVT_F_XU_W, 0x2, 0x10 }, // 2019
  { PseudoVFNCVT_RM_F_XU_W_M4_E16, VFNCVT_F_XU_W, 0x2, 0x10 }, // 2020
  { PseudoVFNCVT_RM_F_XU_W_M4_E16_MASK, VFNCVT_F_XU_W, 0x2, 0x10 }, // 2021
  { PseudoVFNCVT_F_XU_W_M4_E32, VFNCVT_F_XU_W, 0x2, 0x20 }, // 2022
  { PseudoVFNCVT_F_XU_W_M4_E32_MASK, VFNCVT_F_XU_W, 0x2, 0x20 }, // 2023
  { PseudoVFNCVT_RM_F_XU_W_M4_E32, VFNCVT_F_XU_W, 0x2, 0x20 }, // 2024
  { PseudoVFNCVT_RM_F_XU_W_M4_E32_MASK, VFNCVT_F_XU_W, 0x2, 0x20 }, // 2025
  { PseudoVFNCVT_F_XU_W_MF4_E16, VFNCVT_F_XU_W, 0x6, 0x10 }, // 2026
  { PseudoVFNCVT_F_XU_W_MF4_E16_MASK, VFNCVT_F_XU_W, 0x6, 0x10 }, // 2027
  { PseudoVFNCVT_RM_F_XU_W_MF4_E16, VFNCVT_F_XU_W, 0x6, 0x10 }, // 2028
  { PseudoVFNCVT_RM_F_XU_W_MF4_E16_MASK, VFNCVT_F_XU_W, 0x6, 0x10 }, // 2029
  { PseudoVFNCVT_F_XU_W_MF2_E16, VFNCVT_F_XU_W, 0x7, 0x10 }, // 2030
  { PseudoVFNCVT_F_XU_W_MF2_E16_MASK, VFNCVT_F_XU_W, 0x7, 0x10 }, // 2031
  { PseudoVFNCVT_RM_F_XU_W_MF2_E16, VFNCVT_F_XU_W, 0x7, 0x10 }, // 2032
  { PseudoVFNCVT_RM_F_XU_W_MF2_E16_MASK, VFNCVT_F_XU_W, 0x7, 0x10 }, // 2033
  { PseudoVFNCVT_F_XU_W_MF2_E32, VFNCVT_F_XU_W, 0x7, 0x20 }, // 2034
  { PseudoVFNCVT_F_XU_W_MF2_E32_MASK, VFNCVT_F_XU_W, 0x7, 0x20 }, // 2035
  { PseudoVFNCVT_RM_F_XU_W_MF2_E32, VFNCVT_F_XU_W, 0x7, 0x20 }, // 2036
  { PseudoVFNCVT_RM_F_XU_W_MF2_E32_MASK, VFNCVT_F_XU_W, 0x7, 0x20 }, // 2037
  { PseudoVFNCVT_F_X_W_M1_E16, VFNCVT_F_X_W, 0x0, 0x10 }, // 2038
  { PseudoVFNCVT_F_X_W_M1_E16_MASK, VFNCVT_F_X_W, 0x0, 0x10 }, // 2039
  { PseudoVFNCVT_RM_F_X_W_M1_E16, VFNCVT_F_X_W, 0x0, 0x10 }, // 2040
  { PseudoVFNCVT_RM_F_X_W_M1_E16_MASK, VFNCVT_F_X_W, 0x0, 0x10 }, // 2041
  { PseudoVFNCVT_F_X_W_M1_E32, VFNCVT_F_X_W, 0x0, 0x20 }, // 2042
  { PseudoVFNCVT_F_X_W_M1_E32_MASK, VFNCVT_F_X_W, 0x0, 0x20 }, // 2043
  { PseudoVFNCVT_RM_F_X_W_M1_E32, VFNCVT_F_X_W, 0x0, 0x20 }, // 2044
  { PseudoVFNCVT_RM_F_X_W_M1_E32_MASK, VFNCVT_F_X_W, 0x0, 0x20 }, // 2045
  { PseudoVFNCVT_F_X_W_M2_E16, VFNCVT_F_X_W, 0x1, 0x10 }, // 2046
  { PseudoVFNCVT_F_X_W_M2_E16_MASK, VFNCVT_F_X_W, 0x1, 0x10 }, // 2047
  { PseudoVFNCVT_RM_F_X_W_M2_E16, VFNCVT_F_X_W, 0x1, 0x10 }, // 2048
  { PseudoVFNCVT_RM_F_X_W_M2_E16_MASK, VFNCVT_F_X_W, 0x1, 0x10 }, // 2049
  { PseudoVFNCVT_F_X_W_M2_E32, VFNCVT_F_X_W, 0x1, 0x20 }, // 2050
  { PseudoVFNCVT_F_X_W_M2_E32_MASK, VFNCVT_F_X_W, 0x1, 0x20 }, // 2051
  { PseudoVFNCVT_RM_F_X_W_M2_E32, VFNCVT_F_X_W, 0x1, 0x20 }, // 2052
  { PseudoVFNCVT_RM_F_X_W_M2_E32_MASK, VFNCVT_F_X_W, 0x1, 0x20 }, // 2053
  { PseudoVFNCVT_F_X_W_M4_E16, VFNCVT_F_X_W, 0x2, 0x10 }, // 2054
  { PseudoVFNCVT_F_X_W_M4_E16_MASK, VFNCVT_F_X_W, 0x2, 0x10 }, // 2055
  { PseudoVFNCVT_RM_F_X_W_M4_E16, VFNCVT_F_X_W, 0x2, 0x10 }, // 2056
  { PseudoVFNCVT_RM_F_X_W_M4_E16_MASK, VFNCVT_F_X_W, 0x2, 0x10 }, // 2057
  { PseudoVFNCVT_F_X_W_M4_E32, VFNCVT_F_X_W, 0x2, 0x20 }, // 2058
  { PseudoVFNCVT_F_X_W_M4_E32_MASK, VFNCVT_F_X_W, 0x2, 0x20 }, // 2059
  { PseudoVFNCVT_RM_F_X_W_M4_E32, VFNCVT_F_X_W, 0x2, 0x20 }, // 2060
  { PseudoVFNCVT_RM_F_X_W_M4_E32_MASK, VFNCVT_F_X_W, 0x2, 0x20 }, // 2061
  { PseudoVFNCVT_F_X_W_MF4_E16, VFNCVT_F_X_W, 0x6, 0x10 }, // 2062
  { PseudoVFNCVT_F_X_W_MF4_E16_MASK, VFNCVT_F_X_W, 0x6, 0x10 }, // 2063
  { PseudoVFNCVT_RM_F_X_W_MF4_E16, VFNCVT_F_X_W, 0x6, 0x10 }, // 2064
  { PseudoVFNCVT_RM_F_X_W_MF4_E16_MASK, VFNCVT_F_X_W, 0x6, 0x10 }, // 2065
  { PseudoVFNCVT_F_X_W_MF2_E16, VFNCVT_F_X_W, 0x7, 0x10 }, // 2066
  { PseudoVFNCVT_F_X_W_MF2_E16_MASK, VFNCVT_F_X_W, 0x7, 0x10 }, // 2067
  { PseudoVFNCVT_RM_F_X_W_MF2_E16, VFNCVT_F_X_W, 0x7, 0x10 }, // 2068
  { PseudoVFNCVT_RM_F_X_W_MF2_E16_MASK, VFNCVT_F_X_W, 0x7, 0x10 }, // 2069
  { PseudoVFNCVT_F_X_W_MF2_E32, VFNCVT_F_X_W, 0x7, 0x20 }, // 2070
  { PseudoVFNCVT_F_X_W_MF2_E32_MASK, VFNCVT_F_X_W, 0x7, 0x20 }, // 2071
  { PseudoVFNCVT_RM_F_X_W_MF2_E32, VFNCVT_F_X_W, 0x7, 0x20 }, // 2072
  { PseudoVFNCVT_RM_F_X_W_MF2_E32_MASK, VFNCVT_F_X_W, 0x7, 0x20 }, // 2073
  { PseudoVFNCVT_ROD_F_F_W_M1_E16, VFNCVT_ROD_F_F_W, 0x0, 0x10 }, // 2074
  { PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK, VFNCVT_ROD_F_F_W, 0x0, 0x10 }, // 2075
  { PseudoVFNCVT_ROD_F_F_W_M1_E32, VFNCVT_ROD_F_F_W, 0x0, 0x20 }, // 2076
  { PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK, VFNCVT_ROD_F_F_W, 0x0, 0x20 }, // 2077
  { PseudoVFNCVT_ROD_F_F_W_M2_E16, VFNCVT_ROD_F_F_W, 0x1, 0x10 }, // 2078
  { PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK, VFNCVT_ROD_F_F_W, 0x1, 0x10 }, // 2079
  { PseudoVFNCVT_ROD_F_F_W_M2_E32, VFNCVT_ROD_F_F_W, 0x1, 0x20 }, // 2080
  { PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK, VFNCVT_ROD_F_F_W, 0x1, 0x20 }, // 2081
  { PseudoVFNCVT_ROD_F_F_W_M4_E16, VFNCVT_ROD_F_F_W, 0x2, 0x10 }, // 2082
  { PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK, VFNCVT_ROD_F_F_W, 0x2, 0x10 }, // 2083
  { PseudoVFNCVT_ROD_F_F_W_M4_E32, VFNCVT_ROD_F_F_W, 0x2, 0x20 }, // 2084
  { PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK, VFNCVT_ROD_F_F_W, 0x2, 0x20 }, // 2085
  { PseudoVFNCVT_ROD_F_F_W_MF4_E16, VFNCVT_ROD_F_F_W, 0x6, 0x10 }, // 2086
  { PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK, VFNCVT_ROD_F_F_W, 0x6, 0x10 }, // 2087
  { PseudoVFNCVT_ROD_F_F_W_MF2_E16, VFNCVT_ROD_F_F_W, 0x7, 0x10 }, // 2088
  { PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK, VFNCVT_ROD_F_F_W, 0x7, 0x10 }, // 2089
  { PseudoVFNCVT_ROD_F_F_W_MF2_E32, VFNCVT_ROD_F_F_W, 0x7, 0x20 }, // 2090
  { PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK, VFNCVT_ROD_F_F_W, 0x7, 0x20 }, // 2091
  { PseudoVFNCVT_RTZ_XU_F_W_M1, VFNCVT_RTZ_XU_F_W, 0x0, 0x0 }, // 2092
  { PseudoVFNCVT_RTZ_XU_F_W_M1_MASK, VFNCVT_RTZ_XU_F_W, 0x0, 0x0 }, // 2093
  { PseudoVFNCVT_RTZ_XU_F_W_M2, VFNCVT_RTZ_XU_F_W, 0x1, 0x0 }, // 2094
  { PseudoVFNCVT_RTZ_XU_F_W_M2_MASK, VFNCVT_RTZ_XU_F_W, 0x1, 0x0 }, // 2095
  { PseudoVFNCVT_RTZ_XU_F_W_M4, VFNCVT_RTZ_XU_F_W, 0x2, 0x0 }, // 2096
  { PseudoVFNCVT_RTZ_XU_F_W_M4_MASK, VFNCVT_RTZ_XU_F_W, 0x2, 0x0 }, // 2097
  { PseudoVFNCVT_RTZ_XU_F_W_MF8, VFNCVT_RTZ_XU_F_W, 0x5, 0x0 }, // 2098
  { PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK, VFNCVT_RTZ_XU_F_W, 0x5, 0x0 }, // 2099
  { PseudoVFNCVT_RTZ_XU_F_W_MF4, VFNCVT_RTZ_XU_F_W, 0x6, 0x0 }, // 2100
  { PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK, VFNCVT_RTZ_XU_F_W, 0x6, 0x0 }, // 2101
  { PseudoVFNCVT_RTZ_XU_F_W_MF2, VFNCVT_RTZ_XU_F_W, 0x7, 0x0 }, // 2102
  { PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK, VFNCVT_RTZ_XU_F_W, 0x7, 0x0 }, // 2103
  { PseudoVFNCVT_RTZ_X_F_W_M1, VFNCVT_RTZ_X_F_W, 0x0, 0x0 }, // 2104
  { PseudoVFNCVT_RTZ_X_F_W_M1_MASK, VFNCVT_RTZ_X_F_W, 0x0, 0x0 }, // 2105
  { PseudoVFNCVT_RTZ_X_F_W_M2, VFNCVT_RTZ_X_F_W, 0x1, 0x0 }, // 2106
  { PseudoVFNCVT_RTZ_X_F_W_M2_MASK, VFNCVT_RTZ_X_F_W, 0x1, 0x0 }, // 2107
  { PseudoVFNCVT_RTZ_X_F_W_M4, VFNCVT_RTZ_X_F_W, 0x2, 0x0 }, // 2108
  { PseudoVFNCVT_RTZ_X_F_W_M4_MASK, VFNCVT_RTZ_X_F_W, 0x2, 0x0 }, // 2109
  { PseudoVFNCVT_RTZ_X_F_W_MF8, VFNCVT_RTZ_X_F_W, 0x5, 0x0 }, // 2110
  { PseudoVFNCVT_RTZ_X_F_W_MF8_MASK, VFNCVT_RTZ_X_F_W, 0x5, 0x0 }, // 2111
  { PseudoVFNCVT_RTZ_X_F_W_MF4, VFNCVT_RTZ_X_F_W, 0x6, 0x0 }, // 2112
  { PseudoVFNCVT_RTZ_X_F_W_MF4_MASK, VFNCVT_RTZ_X_F_W, 0x6, 0x0 }, // 2113
  { PseudoVFNCVT_RTZ_X_F_W_MF2, VFNCVT_RTZ_X_F_W, 0x7, 0x0 }, // 2114
  { PseudoVFNCVT_RTZ_X_F_W_MF2_MASK, VFNCVT_RTZ_X_F_W, 0x7, 0x0 }, // 2115
  { PseudoVFNCVT_RM_XU_F_W_M1, VFNCVT_XU_F_W, 0x0, 0x0 }, // 2116
  { PseudoVFNCVT_RM_XU_F_W_M1_MASK, VFNCVT_XU_F_W, 0x0, 0x0 }, // 2117
  { PseudoVFNCVT_XU_F_W_M1, VFNCVT_XU_F_W, 0x0, 0x0 }, // 2118
  { PseudoVFNCVT_XU_F_W_M1_MASK, VFNCVT_XU_F_W, 0x0, 0x0 }, // 2119
  { PseudoVFNCVT_RM_XU_F_W_M2, VFNCVT_XU_F_W, 0x1, 0x0 }, // 2120
  { PseudoVFNCVT_RM_XU_F_W_M2_MASK, VFNCVT_XU_F_W, 0x1, 0x0 }, // 2121
  { PseudoVFNCVT_XU_F_W_M2, VFNCVT_XU_F_W, 0x1, 0x0 }, // 2122
  { PseudoVFNCVT_XU_F_W_M2_MASK, VFNCVT_XU_F_W, 0x1, 0x0 }, // 2123
  { PseudoVFNCVT_RM_XU_F_W_M4, VFNCVT_XU_F_W, 0x2, 0x0 }, // 2124
  { PseudoVFNCVT_RM_XU_F_W_M4_MASK, VFNCVT_XU_F_W, 0x2, 0x0 }, // 2125
  { PseudoVFNCVT_XU_F_W_M4, VFNCVT_XU_F_W, 0x2, 0x0 }, // 2126
  { PseudoVFNCVT_XU_F_W_M4_MASK, VFNCVT_XU_F_W, 0x2, 0x0 }, // 2127
  { PseudoVFNCVT_RM_XU_F_W_MF8, VFNCVT_XU_F_W, 0x5, 0x0 }, // 2128
  { PseudoVFNCVT_RM_XU_F_W_MF8_MASK, VFNCVT_XU_F_W, 0x5, 0x0 }, // 2129
  { PseudoVFNCVT_XU_F_W_MF8, VFNCVT_XU_F_W, 0x5, 0x0 }, // 2130
  { PseudoVFNCVT_XU_F_W_MF8_MASK, VFNCVT_XU_F_W, 0x5, 0x0 }, // 2131
  { PseudoVFNCVT_RM_XU_F_W_MF4, VFNCVT_XU_F_W, 0x6, 0x0 }, // 2132
  { PseudoVFNCVT_RM_XU_F_W_MF4_MASK, VFNCVT_XU_F_W, 0x6, 0x0 }, // 2133
  { PseudoVFNCVT_XU_F_W_MF4, VFNCVT_XU_F_W, 0x6, 0x0 }, // 2134
  { PseudoVFNCVT_XU_F_W_MF4_MASK, VFNCVT_XU_F_W, 0x6, 0x0 }, // 2135
  { PseudoVFNCVT_RM_XU_F_W_MF2, VFNCVT_XU_F_W, 0x7, 0x0 }, // 2136
  { PseudoVFNCVT_RM_XU_F_W_MF2_MASK, VFNCVT_XU_F_W, 0x7, 0x0 }, // 2137
  { PseudoVFNCVT_XU_F_W_MF2, VFNCVT_XU_F_W, 0x7, 0x0 }, // 2138
  { PseudoVFNCVT_XU_F_W_MF2_MASK, VFNCVT_XU_F_W, 0x7, 0x0 }, // 2139
  { PseudoVFNCVT_RM_X_F_W_M1, VFNCVT_X_F_W, 0x0, 0x0 }, // 2140
  { PseudoVFNCVT_RM_X_F_W_M1_MASK, VFNCVT_X_F_W, 0x0, 0x0 }, // 2141
  { PseudoVFNCVT_X_F_W_M1, VFNCVT_X_F_W, 0x0, 0x0 }, // 2142
  { PseudoVFNCVT_X_F_W_M1_MASK, VFNCVT_X_F_W, 0x0, 0x0 }, // 2143
  { PseudoVFNCVT_RM_X_F_W_M2, VFNCVT_X_F_W, 0x1, 0x0 }, // 2144
  { PseudoVFNCVT_RM_X_F_W_M2_MASK, VFNCVT_X_F_W, 0x1, 0x0 }, // 2145
  { PseudoVFNCVT_X_F_W_M2, VFNCVT_X_F_W, 0x1, 0x0 }, // 2146
  { PseudoVFNCVT_X_F_W_M2_MASK, VFNCVT_X_F_W, 0x1, 0x0 }, // 2147
  { PseudoVFNCVT_RM_X_F_W_M4, VFNCVT_X_F_W, 0x2, 0x0 }, // 2148
  { PseudoVFNCVT_RM_X_F_W_M4_MASK, VFNCVT_X_F_W, 0x2, 0x0 }, // 2149
  { PseudoVFNCVT_X_F_W_M4, VFNCVT_X_F_W, 0x2, 0x0 }, // 2150
  { PseudoVFNCVT_X_F_W_M4_MASK, VFNCVT_X_F_W, 0x2, 0x0 }, // 2151
  { PseudoVFNCVT_RM_X_F_W_MF8, VFNCVT_X_F_W, 0x5, 0x0 }, // 2152
  { PseudoVFNCVT_RM_X_F_W_MF8_MASK, VFNCVT_X_F_W, 0x5, 0x0 }, // 2153
  { PseudoVFNCVT_X_F_W_MF8, VFNCVT_X_F_W, 0x5, 0x0 }, // 2154
  { PseudoVFNCVT_X_F_W_MF8_MASK, VFNCVT_X_F_W, 0x5, 0x0 }, // 2155
  { PseudoVFNCVT_RM_X_F_W_MF4, VFNCVT_X_F_W, 0x6, 0x0 }, // 2156
  { PseudoVFNCVT_RM_X_F_W_MF4_MASK, VFNCVT_X_F_W, 0x6, 0x0 }, // 2157
  { PseudoVFNCVT_X_F_W_MF4, VFNCVT_X_F_W, 0x6, 0x0 }, // 2158
  { PseudoVFNCVT_X_F_W_MF4_MASK, VFNCVT_X_F_W, 0x6, 0x0 }, // 2159
  { PseudoVFNCVT_RM_X_F_W_MF2, VFNCVT_X_F_W, 0x7, 0x0 }, // 2160
  { PseudoVFNCVT_RM_X_F_W_MF2_MASK, VFNCVT_X_F_W, 0x7, 0x0 }, // 2161
  { PseudoVFNCVT_X_F_W_MF2, VFNCVT_X_F_W, 0x7, 0x0 }, // 2162
  { PseudoVFNCVT_X_F_W_MF2_MASK, VFNCVT_X_F_W, 0x7, 0x0 }, // 2163
  { PseudoVFNMACC_VFPR16_M1_E16, VFNMACC_VF, 0x0, 0x0 }, // 2164
  { PseudoVFNMACC_VFPR16_M1_E16_MASK, VFNMACC_VF, 0x0, 0x0 }, // 2165
  { PseudoVFNMACC_VFPR32_M1_E32, VFNMACC_VF, 0x0, 0x0 }, // 2166
  { PseudoVFNMACC_VFPR32_M1_E32_MASK, VFNMACC_VF, 0x0, 0x0 }, // 2167
  { PseudoVFNMACC_VFPR64_M1_E64, VFNMACC_VF, 0x0, 0x0 }, // 2168
  { PseudoVFNMACC_VFPR64_M1_E64_MASK, VFNMACC_VF, 0x0, 0x0 }, // 2169
  { PseudoVFNMACC_VFPR16_M2_E16, VFNMACC_VF, 0x1, 0x0 }, // 2170
  { PseudoVFNMACC_VFPR16_M2_E16_MASK, VFNMACC_VF, 0x1, 0x0 }, // 2171
  { PseudoVFNMACC_VFPR32_M2_E32, VFNMACC_VF, 0x1, 0x0 }, // 2172
  { PseudoVFNMACC_VFPR32_M2_E32_MASK, VFNMACC_VF, 0x1, 0x0 }, // 2173
  { PseudoVFNMACC_VFPR64_M2_E64, VFNMACC_VF, 0x1, 0x0 }, // 2174
  { PseudoVFNMACC_VFPR64_M2_E64_MASK, VFNMACC_VF, 0x1, 0x0 }, // 2175
  { PseudoVFNMACC_VFPR16_M4_E16, VFNMACC_VF, 0x2, 0x0 }, // 2176
  { PseudoVFNMACC_VFPR16_M4_E16_MASK, VFNMACC_VF, 0x2, 0x0 }, // 2177
  { PseudoVFNMACC_VFPR32_M4_E32, VFNMACC_VF, 0x2, 0x0 }, // 2178
  { PseudoVFNMACC_VFPR32_M4_E32_MASK, VFNMACC_VF, 0x2, 0x0 }, // 2179
  { PseudoVFNMACC_VFPR64_M4_E64, VFNMACC_VF, 0x2, 0x0 }, // 2180
  { PseudoVFNMACC_VFPR64_M4_E64_MASK, VFNMACC_VF, 0x2, 0x0 }, // 2181
  { PseudoVFNMACC_VFPR16_M8_E16, VFNMACC_VF, 0x3, 0x0 }, // 2182
  { PseudoVFNMACC_VFPR16_M8_E16_MASK, VFNMACC_VF, 0x3, 0x0 }, // 2183
  { PseudoVFNMACC_VFPR32_M8_E32, VFNMACC_VF, 0x3, 0x0 }, // 2184
  { PseudoVFNMACC_VFPR32_M8_E32_MASK, VFNMACC_VF, 0x3, 0x0 }, // 2185
  { PseudoVFNMACC_VFPR64_M8_E64, VFNMACC_VF, 0x3, 0x0 }, // 2186
  { PseudoVFNMACC_VFPR64_M8_E64_MASK, VFNMACC_VF, 0x3, 0x0 }, // 2187
  { PseudoVFNMACC_VFPR16_MF4_E16, VFNMACC_VF, 0x6, 0x0 }, // 2188
  { PseudoVFNMACC_VFPR16_MF4_E16_MASK, VFNMACC_VF, 0x6, 0x0 }, // 2189
  { PseudoVFNMACC_VFPR16_MF2_E16, VFNMACC_VF, 0x7, 0x0 }, // 2190
  { PseudoVFNMACC_VFPR16_MF2_E16_MASK, VFNMACC_VF, 0x7, 0x0 }, // 2191
  { PseudoVFNMACC_VFPR32_MF2_E32, VFNMACC_VF, 0x7, 0x0 }, // 2192
  { PseudoVFNMACC_VFPR32_MF2_E32_MASK, VFNMACC_VF, 0x7, 0x0 }, // 2193
  { PseudoVFNMACC_VV_M1_E16, VFNMACC_VV, 0x0, 0x0 }, // 2194
  { PseudoVFNMACC_VV_M1_E16_MASK, VFNMACC_VV, 0x0, 0x0 }, // 2195
  { PseudoVFNMACC_VV_M1_E32, VFNMACC_VV, 0x0, 0x0 }, // 2196
  { PseudoVFNMACC_VV_M1_E32_MASK, VFNMACC_VV, 0x0, 0x0 }, // 2197
  { PseudoVFNMACC_VV_M1_E64, VFNMACC_VV, 0x0, 0x0 }, // 2198
  { PseudoVFNMACC_VV_M1_E64_MASK, VFNMACC_VV, 0x0, 0x0 }, // 2199
  { PseudoVFNMACC_VV_M2_E16, VFNMACC_VV, 0x1, 0x0 }, // 2200
  { PseudoVFNMACC_VV_M2_E16_MASK, VFNMACC_VV, 0x1, 0x0 }, // 2201
  { PseudoVFNMACC_VV_M2_E32, VFNMACC_VV, 0x1, 0x0 }, // 2202
  { PseudoVFNMACC_VV_M2_E32_MASK, VFNMACC_VV, 0x1, 0x0 }, // 2203
  { PseudoVFNMACC_VV_M2_E64, VFNMACC_VV, 0x1, 0x0 }, // 2204
  { PseudoVFNMACC_VV_M2_E64_MASK, VFNMACC_VV, 0x1, 0x0 }, // 2205
  { PseudoVFNMACC_VV_M4_E16, VFNMACC_VV, 0x2, 0x0 }, // 2206
  { PseudoVFNMACC_VV_M4_E16_MASK, VFNMACC_VV, 0x2, 0x0 }, // 2207
  { PseudoVFNMACC_VV_M4_E32, VFNMACC_VV, 0x2, 0x0 }, // 2208
  { PseudoVFNMACC_VV_M4_E32_MASK, VFNMACC_VV, 0x2, 0x0 }, // 2209
  { PseudoVFNMACC_VV_M4_E64, VFNMACC_VV, 0x2, 0x0 }, // 2210
  { PseudoVFNMACC_VV_M4_E64_MASK, VFNMACC_VV, 0x2, 0x0 }, // 2211
  { PseudoVFNMACC_VV_M8_E16, VFNMACC_VV, 0x3, 0x0 }, // 2212
  { PseudoVFNMACC_VV_M8_E16_MASK, VFNMACC_VV, 0x3, 0x0 }, // 2213
  { PseudoVFNMACC_VV_M8_E32, VFNMACC_VV, 0x3, 0x0 }, // 2214
  { PseudoVFNMACC_VV_M8_E32_MASK, VFNMACC_VV, 0x3, 0x0 }, // 2215
  { PseudoVFNMACC_VV_M8_E64, VFNMACC_VV, 0x3, 0x0 }, // 2216
  { PseudoVFNMACC_VV_M8_E64_MASK, VFNMACC_VV, 0x3, 0x0 }, // 2217
  { PseudoVFNMACC_VV_MF4_E16, VFNMACC_VV, 0x6, 0x0 }, // 2218
  { PseudoVFNMACC_VV_MF4_E16_MASK, VFNMACC_VV, 0x6, 0x0 }, // 2219
  { PseudoVFNMACC_VV_MF2_E16, VFNMACC_VV, 0x7, 0x0 }, // 2220
  { PseudoVFNMACC_VV_MF2_E16_MASK, VFNMACC_VV, 0x7, 0x0 }, // 2221
  { PseudoVFNMACC_VV_MF2_E32, VFNMACC_VV, 0x7, 0x0 }, // 2222
  { PseudoVFNMACC_VV_MF2_E32_MASK, VFNMACC_VV, 0x7, 0x0 }, // 2223
  { PseudoVFNMADD_VFPR16_M1_E16, VFNMADD_VF, 0x0, 0x0 }, // 2224
  { PseudoVFNMADD_VFPR16_M1_E16_MASK, VFNMADD_VF, 0x0, 0x0 }, // 2225
  { PseudoVFNMADD_VFPR32_M1_E32, VFNMADD_VF, 0x0, 0x0 }, // 2226
  { PseudoVFNMADD_VFPR32_M1_E32_MASK, VFNMADD_VF, 0x0, 0x0 }, // 2227
  { PseudoVFNMADD_VFPR64_M1_E64, VFNMADD_VF, 0x0, 0x0 }, // 2228
  { PseudoVFNMADD_VFPR64_M1_E64_MASK, VFNMADD_VF, 0x0, 0x0 }, // 2229
  { PseudoVFNMADD_VFPR16_M2_E16, VFNMADD_VF, 0x1, 0x0 }, // 2230
  { PseudoVFNMADD_VFPR16_M2_E16_MASK, VFNMADD_VF, 0x1, 0x0 }, // 2231
  { PseudoVFNMADD_VFPR32_M2_E32, VFNMADD_VF, 0x1, 0x0 }, // 2232
  { PseudoVFNMADD_VFPR32_M2_E32_MASK, VFNMADD_VF, 0x1, 0x0 }, // 2233
  { PseudoVFNMADD_VFPR64_M2_E64, VFNMADD_VF, 0x1, 0x0 }, // 2234
  { PseudoVFNMADD_VFPR64_M2_E64_MASK, VFNMADD_VF, 0x1, 0x0 }, // 2235
  { PseudoVFNMADD_VFPR16_M4_E16, VFNMADD_VF, 0x2, 0x0 }, // 2236
  { PseudoVFNMADD_VFPR16_M4_E16_MASK, VFNMADD_VF, 0x2, 0x0 }, // 2237
  { PseudoVFNMADD_VFPR32_M4_E32, VFNMADD_VF, 0x2, 0x0 }, // 2238
  { PseudoVFNMADD_VFPR32_M4_E32_MASK, VFNMADD_VF, 0x2, 0x0 }, // 2239
  { PseudoVFNMADD_VFPR64_M4_E64, VFNMADD_VF, 0x2, 0x0 }, // 2240
  { PseudoVFNMADD_VFPR64_M4_E64_MASK, VFNMADD_VF, 0x2, 0x0 }, // 2241
  { PseudoVFNMADD_VFPR16_M8_E16, VFNMADD_VF, 0x3, 0x0 }, // 2242
  { PseudoVFNMADD_VFPR16_M8_E16_MASK, VFNMADD_VF, 0x3, 0x0 }, // 2243
  { PseudoVFNMADD_VFPR32_M8_E32, VFNMADD_VF, 0x3, 0x0 }, // 2244
  { PseudoVFNMADD_VFPR32_M8_E32_MASK, VFNMADD_VF, 0x3, 0x0 }, // 2245
  { PseudoVFNMADD_VFPR64_M8_E64, VFNMADD_VF, 0x3, 0x0 }, // 2246
  { PseudoVFNMADD_VFPR64_M8_E64_MASK, VFNMADD_VF, 0x3, 0x0 }, // 2247
  { PseudoVFNMADD_VFPR16_MF4_E16, VFNMADD_VF, 0x6, 0x0 }, // 2248
  { PseudoVFNMADD_VFPR16_MF4_E16_MASK, VFNMADD_VF, 0x6, 0x0 }, // 2249
  { PseudoVFNMADD_VFPR16_MF2_E16, VFNMADD_VF, 0x7, 0x0 }, // 2250
  { PseudoVFNMADD_VFPR16_MF2_E16_MASK, VFNMADD_VF, 0x7, 0x0 }, // 2251
  { PseudoVFNMADD_VFPR32_MF2_E32, VFNMADD_VF, 0x7, 0x0 }, // 2252
  { PseudoVFNMADD_VFPR32_MF2_E32_MASK, VFNMADD_VF, 0x7, 0x0 }, // 2253
  { PseudoVFNMADD_VV_M1_E16, VFNMADD_VV, 0x0, 0x0 }, // 2254
  { PseudoVFNMADD_VV_M1_E16_MASK, VFNMADD_VV, 0x0, 0x0 }, // 2255
  { PseudoVFNMADD_VV_M1_E32, VFNMADD_VV, 0x0, 0x0 }, // 2256
  { PseudoVFNMADD_VV_M1_E32_MASK, VFNMADD_VV, 0x0, 0x0 }, // 2257
  { PseudoVFNMADD_VV_M1_E64, VFNMADD_VV, 0x0, 0x0 }, // 2258
  { PseudoVFNMADD_VV_M1_E64_MASK, VFNMADD_VV, 0x0, 0x0 }, // 2259
  { PseudoVFNMADD_VV_M2_E16, VFNMADD_VV, 0x1, 0x0 }, // 2260
  { PseudoVFNMADD_VV_M2_E16_MASK, VFNMADD_VV, 0x1, 0x0 }, // 2261
  { PseudoVFNMADD_VV_M2_E32, VFNMADD_VV, 0x1, 0x0 }, // 2262
  { PseudoVFNMADD_VV_M2_E32_MASK, VFNMADD_VV, 0x1, 0x0 }, // 2263
  { PseudoVFNMADD_VV_M2_E64, VFNMADD_VV, 0x1, 0x0 }, // 2264
  { PseudoVFNMADD_VV_M2_E64_MASK, VFNMADD_VV, 0x1, 0x0 }, // 2265
  { PseudoVFNMADD_VV_M4_E16, VFNMADD_VV, 0x2, 0x0 }, // 2266
  { PseudoVFNMADD_VV_M4_E16_MASK, VFNMADD_VV, 0x2, 0x0 }, // 2267
  { PseudoVFNMADD_VV_M4_E32, VFNMADD_VV, 0x2, 0x0 }, // 2268
  { PseudoVFNMADD_VV_M4_E32_MASK, VFNMADD_VV, 0x2, 0x0 }, // 2269
  { PseudoVFNMADD_VV_M4_E64, VFNMADD_VV, 0x2, 0x0 }, // 2270
  { PseudoVFNMADD_VV_M4_E64_MASK, VFNMADD_VV, 0x2, 0x0 }, // 2271
  { PseudoVFNMADD_VV_M8_E16, VFNMADD_VV, 0x3, 0x0 }, // 2272
  { PseudoVFNMADD_VV_M8_E16_MASK, VFNMADD_VV, 0x3, 0x0 }, // 2273
  { PseudoVFNMADD_VV_M8_E32, VFNMADD_VV, 0x3, 0x0 }, // 2274
  { PseudoVFNMADD_VV_M8_E32_MASK, VFNMADD_VV, 0x3, 0x0 }, // 2275
  { PseudoVFNMADD_VV_M8_E64, VFNMADD_VV, 0x3, 0x0 }, // 2276
  { PseudoVFNMADD_VV_M8_E64_MASK, VFNMADD_VV, 0x3, 0x0 }, // 2277
  { PseudoVFNMADD_VV_MF4_E16, VFNMADD_VV, 0x6, 0x0 }, // 2278
  { PseudoVFNMADD_VV_MF4_E16_MASK, VFNMADD_VV, 0x6, 0x0 }, // 2279
  { PseudoVFNMADD_VV_MF2_E16, VFNMADD_VV, 0x7, 0x0 }, // 2280
  { PseudoVFNMADD_VV_MF2_E16_MASK, VFNMADD_VV, 0x7, 0x0 }, // 2281
  { PseudoVFNMADD_VV_MF2_E32, VFNMADD_VV, 0x7, 0x0 }, // 2282
  { PseudoVFNMADD_VV_MF2_E32_MASK, VFNMADD_VV, 0x7, 0x0 }, // 2283
  { PseudoVFNMSAC_VFPR16_M1_E16, VFNMSAC_VF, 0x0, 0x0 }, // 2284
  { PseudoVFNMSAC_VFPR16_M1_E16_MASK, VFNMSAC_VF, 0x0, 0x0 }, // 2285
  { PseudoVFNMSAC_VFPR32_M1_E32, VFNMSAC_VF, 0x0, 0x0 }, // 2286
  { PseudoVFNMSAC_VFPR32_M1_E32_MASK, VFNMSAC_VF, 0x0, 0x0 }, // 2287
  { PseudoVFNMSAC_VFPR64_M1_E64, VFNMSAC_VF, 0x0, 0x0 }, // 2288
  { PseudoVFNMSAC_VFPR64_M1_E64_MASK, VFNMSAC_VF, 0x0, 0x0 }, // 2289
  { PseudoVFNMSAC_VFPR16_M2_E16, VFNMSAC_VF, 0x1, 0x0 }, // 2290
  { PseudoVFNMSAC_VFPR16_M2_E16_MASK, VFNMSAC_VF, 0x1, 0x0 }, // 2291
  { PseudoVFNMSAC_VFPR32_M2_E32, VFNMSAC_VF, 0x1, 0x0 }, // 2292
  { PseudoVFNMSAC_VFPR32_M2_E32_MASK, VFNMSAC_VF, 0x1, 0x0 }, // 2293
  { PseudoVFNMSAC_VFPR64_M2_E64, VFNMSAC_VF, 0x1, 0x0 }, // 2294
  { PseudoVFNMSAC_VFPR64_M2_E64_MASK, VFNMSAC_VF, 0x1, 0x0 }, // 2295
  { PseudoVFNMSAC_VFPR16_M4_E16, VFNMSAC_VF, 0x2, 0x0 }, // 2296
  { PseudoVFNMSAC_VFPR16_M4_E16_MASK, VFNMSAC_VF, 0x2, 0x0 }, // 2297
  { PseudoVFNMSAC_VFPR32_M4_E32, VFNMSAC_VF, 0x2, 0x0 }, // 2298
  { PseudoVFNMSAC_VFPR32_M4_E32_MASK, VFNMSAC_VF, 0x2, 0x0 }, // 2299
  { PseudoVFNMSAC_VFPR64_M4_E64, VFNMSAC_VF, 0x2, 0x0 }, // 2300
  { PseudoVFNMSAC_VFPR64_M4_E64_MASK, VFNMSAC_VF, 0x2, 0x0 }, // 2301
  { PseudoVFNMSAC_VFPR16_M8_E16, VFNMSAC_VF, 0x3, 0x0 }, // 2302
  { PseudoVFNMSAC_VFPR16_M8_E16_MASK, VFNMSAC_VF, 0x3, 0x0 }, // 2303
  { PseudoVFNMSAC_VFPR32_M8_E32, VFNMSAC_VF, 0x3, 0x0 }, // 2304
  { PseudoVFNMSAC_VFPR32_M8_E32_MASK, VFNMSAC_VF, 0x3, 0x0 }, // 2305
  { PseudoVFNMSAC_VFPR64_M8_E64, VFNMSAC_VF, 0x3, 0x0 }, // 2306
  { PseudoVFNMSAC_VFPR64_M8_E64_MASK, VFNMSAC_VF, 0x3, 0x0 }, // 2307
  { PseudoVFNMSAC_VFPR16_MF4_E16, VFNMSAC_VF, 0x6, 0x0 }, // 2308
  { PseudoVFNMSAC_VFPR16_MF4_E16_MASK, VFNMSAC_VF, 0x6, 0x0 }, // 2309
  { PseudoVFNMSAC_VFPR16_MF2_E16, VFNMSAC_VF, 0x7, 0x0 }, // 2310
  { PseudoVFNMSAC_VFPR16_MF2_E16_MASK, VFNMSAC_VF, 0x7, 0x0 }, // 2311
  { PseudoVFNMSAC_VFPR32_MF2_E32, VFNMSAC_VF, 0x7, 0x0 }, // 2312
  { PseudoVFNMSAC_VFPR32_MF2_E32_MASK, VFNMSAC_VF, 0x7, 0x0 }, // 2313
  { PseudoVFNMSAC_VV_M1_E16, VFNMSAC_VV, 0x0, 0x0 }, // 2314
  { PseudoVFNMSAC_VV_M1_E16_MASK, VFNMSAC_VV, 0x0, 0x0 }, // 2315
  { PseudoVFNMSAC_VV_M1_E32, VFNMSAC_VV, 0x0, 0x0 }, // 2316
  { PseudoVFNMSAC_VV_M1_E32_MASK, VFNMSAC_VV, 0x0, 0x0 }, // 2317
  { PseudoVFNMSAC_VV_M1_E64, VFNMSAC_VV, 0x0, 0x0 }, // 2318
  { PseudoVFNMSAC_VV_M1_E64_MASK, VFNMSAC_VV, 0x0, 0x0 }, // 2319
  { PseudoVFNMSAC_VV_M2_E16, VFNMSAC_VV, 0x1, 0x0 }, // 2320
  { PseudoVFNMSAC_VV_M2_E16_MASK, VFNMSAC_VV, 0x1, 0x0 }, // 2321
  { PseudoVFNMSAC_VV_M2_E32, VFNMSAC_VV, 0x1, 0x0 }, // 2322
  { PseudoVFNMSAC_VV_M2_E32_MASK, VFNMSAC_VV, 0x1, 0x0 }, // 2323
  { PseudoVFNMSAC_VV_M2_E64, VFNMSAC_VV, 0x1, 0x0 }, // 2324
  { PseudoVFNMSAC_VV_M2_E64_MASK, VFNMSAC_VV, 0x1, 0x0 }, // 2325
  { PseudoVFNMSAC_VV_M4_E16, VFNMSAC_VV, 0x2, 0x0 }, // 2326
  { PseudoVFNMSAC_VV_M4_E16_MASK, VFNMSAC_VV, 0x2, 0x0 }, // 2327
  { PseudoVFNMSAC_VV_M4_E32, VFNMSAC_VV, 0x2, 0x0 }, // 2328
  { PseudoVFNMSAC_VV_M4_E32_MASK, VFNMSAC_VV, 0x2, 0x0 }, // 2329
  { PseudoVFNMSAC_VV_M4_E64, VFNMSAC_VV, 0x2, 0x0 }, // 2330
  { PseudoVFNMSAC_VV_M4_E64_MASK, VFNMSAC_VV, 0x2, 0x0 }, // 2331
  { PseudoVFNMSAC_VV_M8_E16, VFNMSAC_VV, 0x3, 0x0 }, // 2332
  { PseudoVFNMSAC_VV_M8_E16_MASK, VFNMSAC_VV, 0x3, 0x0 }, // 2333
  { PseudoVFNMSAC_VV_M8_E32, VFNMSAC_VV, 0x3, 0x0 }, // 2334
  { PseudoVFNMSAC_VV_M8_E32_MASK, VFNMSAC_VV, 0x3, 0x0 }, // 2335
  { PseudoVFNMSAC_VV_M8_E64, VFNMSAC_VV, 0x3, 0x0 }, // 2336
  { PseudoVFNMSAC_VV_M8_E64_MASK, VFNMSAC_VV, 0x3, 0x0 }, // 2337
  { PseudoVFNMSAC_VV_MF4_E16, VFNMSAC_VV, 0x6, 0x0 }, // 2338
  { PseudoVFNMSAC_VV_MF4_E16_MASK, VFNMSAC_VV, 0x6, 0x0 }, // 2339
  { PseudoVFNMSAC_VV_MF2_E16, VFNMSAC_VV, 0x7, 0x0 }, // 2340
  { PseudoVFNMSAC_VV_MF2_E16_MASK, VFNMSAC_VV, 0x7, 0x0 }, // 2341
  { PseudoVFNMSAC_VV_MF2_E32, VFNMSAC_VV, 0x7, 0x0 }, // 2342
  { PseudoVFNMSAC_VV_MF2_E32_MASK, VFNMSAC_VV, 0x7, 0x0 }, // 2343
  { PseudoVFNMSUB_VFPR16_M1_E16, VFNMSUB_VF, 0x0, 0x0 }, // 2344
  { PseudoVFNMSUB_VFPR16_M1_E16_MASK, VFNMSUB_VF, 0x0, 0x0 }, // 2345
  { PseudoVFNMSUB_VFPR32_M1_E32, VFNMSUB_VF, 0x0, 0x0 }, // 2346
  { PseudoVFNMSUB_VFPR32_M1_E32_MASK, VFNMSUB_VF, 0x0, 0x0 }, // 2347
  { PseudoVFNMSUB_VFPR64_M1_E64, VFNMSUB_VF, 0x0, 0x0 }, // 2348
  { PseudoVFNMSUB_VFPR64_M1_E64_MASK, VFNMSUB_VF, 0x0, 0x0 }, // 2349
  { PseudoVFNMSUB_VFPR16_M2_E16, VFNMSUB_VF, 0x1, 0x0 }, // 2350
  { PseudoVFNMSUB_VFPR16_M2_E16_MASK, VFNMSUB_VF, 0x1, 0x0 }, // 2351
  { PseudoVFNMSUB_VFPR32_M2_E32, VFNMSUB_VF, 0x1, 0x0 }, // 2352
  { PseudoVFNMSUB_VFPR32_M2_E32_MASK, VFNMSUB_VF, 0x1, 0x0 }, // 2353
  { PseudoVFNMSUB_VFPR64_M2_E64, VFNMSUB_VF, 0x1, 0x0 }, // 2354
  { PseudoVFNMSUB_VFPR64_M2_E64_MASK, VFNMSUB_VF, 0x1, 0x0 }, // 2355
  { PseudoVFNMSUB_VFPR16_M4_E16, VFNMSUB_VF, 0x2, 0x0 }, // 2356
  { PseudoVFNMSUB_VFPR16_M4_E16_MASK, VFNMSUB_VF, 0x2, 0x0 }, // 2357
  { PseudoVFNMSUB_VFPR32_M4_E32, VFNMSUB_VF, 0x2, 0x0 }, // 2358
  { PseudoVFNMSUB_VFPR32_M4_E32_MASK, VFNMSUB_VF, 0x2, 0x0 }, // 2359
  { PseudoVFNMSUB_VFPR64_M4_E64, VFNMSUB_VF, 0x2, 0x0 }, // 2360
  { PseudoVFNMSUB_VFPR64_M4_E64_MASK, VFNMSUB_VF, 0x2, 0x0 }, // 2361
  { PseudoVFNMSUB_VFPR16_M8_E16, VFNMSUB_VF, 0x3, 0x0 }, // 2362
  { PseudoVFNMSUB_VFPR16_M8_E16_MASK, VFNMSUB_VF, 0x3, 0x0 }, // 2363
  { PseudoVFNMSUB_VFPR32_M8_E32, VFNMSUB_VF, 0x3, 0x0 }, // 2364
  { PseudoVFNMSUB_VFPR32_M8_E32_MASK, VFNMSUB_VF, 0x3, 0x0 }, // 2365
  { PseudoVFNMSUB_VFPR64_M8_E64, VFNMSUB_VF, 0x3, 0x0 }, // 2366
  { PseudoVFNMSUB_VFPR64_M8_E64_MASK, VFNMSUB_VF, 0x3, 0x0 }, // 2367
  { PseudoVFNMSUB_VFPR16_MF4_E16, VFNMSUB_VF, 0x6, 0x0 }, // 2368
  { PseudoVFNMSUB_VFPR16_MF4_E16_MASK, VFNMSUB_VF, 0x6, 0x0 }, // 2369
  { PseudoVFNMSUB_VFPR16_MF2_E16, VFNMSUB_VF, 0x7, 0x0 }, // 2370
  { PseudoVFNMSUB_VFPR16_MF2_E16_MASK, VFNMSUB_VF, 0x7, 0x0 }, // 2371
  { PseudoVFNMSUB_VFPR32_MF2_E32, VFNMSUB_VF, 0x7, 0x0 }, // 2372
  { PseudoVFNMSUB_VFPR32_MF2_E32_MASK, VFNMSUB_VF, 0x7, 0x0 }, // 2373
  { PseudoVFNMSUB_VV_M1_E16, VFNMSUB_VV, 0x0, 0x0 }, // 2374
  { PseudoVFNMSUB_VV_M1_E16_MASK, VFNMSUB_VV, 0x0, 0x0 }, // 2375
  { PseudoVFNMSUB_VV_M1_E32, VFNMSUB_VV, 0x0, 0x0 }, // 2376
  { PseudoVFNMSUB_VV_M1_E32_MASK, VFNMSUB_VV, 0x0, 0x0 }, // 2377
  { PseudoVFNMSUB_VV_M1_E64, VFNMSUB_VV, 0x0, 0x0 }, // 2378
  { PseudoVFNMSUB_VV_M1_E64_MASK, VFNMSUB_VV, 0x0, 0x0 }, // 2379
  { PseudoVFNMSUB_VV_M2_E16, VFNMSUB_VV, 0x1, 0x0 }, // 2380
  { PseudoVFNMSUB_VV_M2_E16_MASK, VFNMSUB_VV, 0x1, 0x0 }, // 2381
  { PseudoVFNMSUB_VV_M2_E32, VFNMSUB_VV, 0x1, 0x0 }, // 2382
  { PseudoVFNMSUB_VV_M2_E32_MASK, VFNMSUB_VV, 0x1, 0x0 }, // 2383
  { PseudoVFNMSUB_VV_M2_E64, VFNMSUB_VV, 0x1, 0x0 }, // 2384
  { PseudoVFNMSUB_VV_M2_E64_MASK, VFNMSUB_VV, 0x1, 0x0 }, // 2385
  { PseudoVFNMSUB_VV_M4_E16, VFNMSUB_VV, 0x2, 0x0 }, // 2386
  { PseudoVFNMSUB_VV_M4_E16_MASK, VFNMSUB_VV, 0x2, 0x0 }, // 2387
  { PseudoVFNMSUB_VV_M4_E32, VFNMSUB_VV, 0x2, 0x0 }, // 2388
  { PseudoVFNMSUB_VV_M4_E32_MASK, VFNMSUB_VV, 0x2, 0x0 }, // 2389
  { PseudoVFNMSUB_VV_M4_E64, VFNMSUB_VV, 0x2, 0x0 }, // 2390
  { PseudoVFNMSUB_VV_M4_E64_MASK, VFNMSUB_VV, 0x2, 0x0 }, // 2391
  { PseudoVFNMSUB_VV_M8_E16, VFNMSUB_VV, 0x3, 0x0 }, // 2392
  { PseudoVFNMSUB_VV_M8_E16_MASK, VFNMSUB_VV, 0x3, 0x0 }, // 2393
  { PseudoVFNMSUB_VV_M8_E32, VFNMSUB_VV, 0x3, 0x0 }, // 2394
  { PseudoVFNMSUB_VV_M8_E32_MASK, VFNMSUB_VV, 0x3, 0x0 }, // 2395
  { PseudoVFNMSUB_VV_M8_E64, VFNMSUB_VV, 0x3, 0x0 }, // 2396
  { PseudoVFNMSUB_VV_M8_E64_MASK, VFNMSUB_VV, 0x3, 0x0 }, // 2397
  { PseudoVFNMSUB_VV_MF4_E16, VFNMSUB_VV, 0x6, 0x0 }, // 2398
  { PseudoVFNMSUB_VV_MF4_E16_MASK, VFNMSUB_VV, 0x6, 0x0 }, // 2399
  { PseudoVFNMSUB_VV_MF2_E16, VFNMSUB_VV, 0x7, 0x0 }, // 2400
  { PseudoVFNMSUB_VV_MF2_E16_MASK, VFNMSUB_VV, 0x7, 0x0 }, // 2401
  { PseudoVFNMSUB_VV_MF2_E32, VFNMSUB_VV, 0x7, 0x0 }, // 2402
  { PseudoVFNMSUB_VV_MF2_E32_MASK, VFNMSUB_VV, 0x7, 0x0 }, // 2403
  { PseudoVFNRCLIP_XU_F_QF_M1, VFNRCLIP_XU_F_QF, 0x0, 0x0 }, // 2404
  { PseudoVFNRCLIP_XU_F_QF_M1_MASK, VFNRCLIP_XU_F_QF, 0x0, 0x0 }, // 2405
  { PseudoVFNRCLIP_XU_F_QF_M2, VFNRCLIP_XU_F_QF, 0x1, 0x0 }, // 2406
  { PseudoVFNRCLIP_XU_F_QF_M2_MASK, VFNRCLIP_XU_F_QF, 0x1, 0x0 }, // 2407
  { PseudoVFNRCLIP_XU_F_QF_MF8, VFNRCLIP_XU_F_QF, 0x5, 0x0 }, // 2408
  { PseudoVFNRCLIP_XU_F_QF_MF8_MASK, VFNRCLIP_XU_F_QF, 0x5, 0x0 }, // 2409
  { PseudoVFNRCLIP_XU_F_QF_MF4, VFNRCLIP_XU_F_QF, 0x6, 0x0 }, // 2410
  { PseudoVFNRCLIP_XU_F_QF_MF4_MASK, VFNRCLIP_XU_F_QF, 0x6, 0x0 }, // 2411
  { PseudoVFNRCLIP_XU_F_QF_MF2, VFNRCLIP_XU_F_QF, 0x7, 0x0 }, // 2412
  { PseudoVFNRCLIP_XU_F_QF_MF2_MASK, VFNRCLIP_XU_F_QF, 0x7, 0x0 }, // 2413
  { PseudoVFNRCLIP_X_F_QF_M1, VFNRCLIP_X_F_QF, 0x0, 0x0 }, // 2414
  { PseudoVFNRCLIP_X_F_QF_M1_MASK, VFNRCLIP_X_F_QF, 0x0, 0x0 }, // 2415
  { PseudoVFNRCLIP_X_F_QF_M2, VFNRCLIP_X_F_QF, 0x1, 0x0 }, // 2416
  { PseudoVFNRCLIP_X_F_QF_M2_MASK, VFNRCLIP_X_F_QF, 0x1, 0x0 }, // 2417
  { PseudoVFNRCLIP_X_F_QF_MF8, VFNRCLIP_X_F_QF, 0x5, 0x0 }, // 2418
  { PseudoVFNRCLIP_X_F_QF_MF8_MASK, VFNRCLIP_X_F_QF, 0x5, 0x0 }, // 2419
  { PseudoVFNRCLIP_X_F_QF_MF4, VFNRCLIP_X_F_QF, 0x6, 0x0 }, // 2420
  { PseudoVFNRCLIP_X_F_QF_MF4_MASK, VFNRCLIP_X_F_QF, 0x6, 0x0 }, // 2421
  { PseudoVFNRCLIP_X_F_QF_MF2, VFNRCLIP_X_F_QF, 0x7, 0x0 }, // 2422
  { PseudoVFNRCLIP_X_F_QF_MF2_MASK, VFNRCLIP_X_F_QF, 0x7, 0x0 }, // 2423
  { PseudoVFRDIV_VFPR16_M1_E16, VFRDIV_VF, 0x0, 0x10 }, // 2424
  { PseudoVFRDIV_VFPR16_M1_E16_MASK, VFRDIV_VF, 0x0, 0x10 }, // 2425
  { PseudoVFRDIV_VFPR32_M1_E32, VFRDIV_VF, 0x0, 0x20 }, // 2426
  { PseudoVFRDIV_VFPR32_M1_E32_MASK, VFRDIV_VF, 0x0, 0x20 }, // 2427
  { PseudoVFRDIV_VFPR64_M1_E64, VFRDIV_VF, 0x0, 0x40 }, // 2428
  { PseudoVFRDIV_VFPR64_M1_E64_MASK, VFRDIV_VF, 0x0, 0x40 }, // 2429
  { PseudoVFRDIV_VFPR16_M2_E16, VFRDIV_VF, 0x1, 0x10 }, // 2430
  { PseudoVFRDIV_VFPR16_M2_E16_MASK, VFRDIV_VF, 0x1, 0x10 }, // 2431
  { PseudoVFRDIV_VFPR32_M2_E32, VFRDIV_VF, 0x1, 0x20 }, // 2432
  { PseudoVFRDIV_VFPR32_M2_E32_MASK, VFRDIV_VF, 0x1, 0x20 }, // 2433
  { PseudoVFRDIV_VFPR64_M2_E64, VFRDIV_VF, 0x1, 0x40 }, // 2434
  { PseudoVFRDIV_VFPR64_M2_E64_MASK, VFRDIV_VF, 0x1, 0x40 }, // 2435
  { PseudoVFRDIV_VFPR16_M4_E16, VFRDIV_VF, 0x2, 0x10 }, // 2436
  { PseudoVFRDIV_VFPR16_M4_E16_MASK, VFRDIV_VF, 0x2, 0x10 }, // 2437
  { PseudoVFRDIV_VFPR32_M4_E32, VFRDIV_VF, 0x2, 0x20 }, // 2438
  { PseudoVFRDIV_VFPR32_M4_E32_MASK, VFRDIV_VF, 0x2, 0x20 }, // 2439
  { PseudoVFRDIV_VFPR64_M4_E64, VFRDIV_VF, 0x2, 0x40 }, // 2440
  { PseudoVFRDIV_VFPR64_M4_E64_MASK, VFRDIV_VF, 0x2, 0x40 }, // 2441
  { PseudoVFRDIV_VFPR16_M8_E16, VFRDIV_VF, 0x3, 0x10 }, // 2442
  { PseudoVFRDIV_VFPR16_M8_E16_MASK, VFRDIV_VF, 0x3, 0x10 }, // 2443
  { PseudoVFRDIV_VFPR32_M8_E32, VFRDIV_VF, 0x3, 0x20 }, // 2444
  { PseudoVFRDIV_VFPR32_M8_E32_MASK, VFRDIV_VF, 0x3, 0x20 }, // 2445
  { PseudoVFRDIV_VFPR64_M8_E64, VFRDIV_VF, 0x3, 0x40 }, // 2446
  { PseudoVFRDIV_VFPR64_M8_E64_MASK, VFRDIV_VF, 0x3, 0x40 }, // 2447
  { PseudoVFRDIV_VFPR16_MF4_E16, VFRDIV_VF, 0x6, 0x10 }, // 2448
  { PseudoVFRDIV_VFPR16_MF4_E16_MASK, VFRDIV_VF, 0x6, 0x10 }, // 2449
  { PseudoVFRDIV_VFPR16_MF2_E16, VFRDIV_VF, 0x7, 0x10 }, // 2450
  { PseudoVFRDIV_VFPR16_MF2_E16_MASK, VFRDIV_VF, 0x7, 0x10 }, // 2451
  { PseudoVFRDIV_VFPR32_MF2_E32, VFRDIV_VF, 0x7, 0x20 }, // 2452
  { PseudoVFRDIV_VFPR32_MF2_E32_MASK, VFRDIV_VF, 0x7, 0x20 }, // 2453
  { PseudoVFREC7_V_M1_E16, VFREC7_V, 0x0, 0x0 }, // 2454
  { PseudoVFREC7_V_M1_E16_MASK, VFREC7_V, 0x0, 0x0 }, // 2455
  { PseudoVFREC7_V_M1_E32, VFREC7_V, 0x0, 0x0 }, // 2456
  { PseudoVFREC7_V_M1_E32_MASK, VFREC7_V, 0x0, 0x0 }, // 2457
  { PseudoVFREC7_V_M1_E64, VFREC7_V, 0x0, 0x0 }, // 2458
  { PseudoVFREC7_V_M1_E64_MASK, VFREC7_V, 0x0, 0x0 }, // 2459
  { PseudoVFREC7_V_M2_E16, VFREC7_V, 0x1, 0x0 }, // 2460
  { PseudoVFREC7_V_M2_E16_MASK, VFREC7_V, 0x1, 0x0 }, // 2461
  { PseudoVFREC7_V_M2_E32, VFREC7_V, 0x1, 0x0 }, // 2462
  { PseudoVFREC7_V_M2_E32_MASK, VFREC7_V, 0x1, 0x0 }, // 2463
  { PseudoVFREC7_V_M2_E64, VFREC7_V, 0x1, 0x0 }, // 2464
  { PseudoVFREC7_V_M2_E64_MASK, VFREC7_V, 0x1, 0x0 }, // 2465
  { PseudoVFREC7_V_M4_E16, VFREC7_V, 0x2, 0x0 }, // 2466
  { PseudoVFREC7_V_M4_E16_MASK, VFREC7_V, 0x2, 0x0 }, // 2467
  { PseudoVFREC7_V_M4_E32, VFREC7_V, 0x2, 0x0 }, // 2468
  { PseudoVFREC7_V_M4_E32_MASK, VFREC7_V, 0x2, 0x0 }, // 2469
  { PseudoVFREC7_V_M4_E64, VFREC7_V, 0x2, 0x0 }, // 2470
  { PseudoVFREC7_V_M4_E64_MASK, VFREC7_V, 0x2, 0x0 }, // 2471
  { PseudoVFREC7_V_M8_E16, VFREC7_V, 0x3, 0x0 }, // 2472
  { PseudoVFREC7_V_M8_E16_MASK, VFREC7_V, 0x3, 0x0 }, // 2473
  { PseudoVFREC7_V_M8_E32, VFREC7_V, 0x3, 0x0 }, // 2474
  { PseudoVFREC7_V_M8_E32_MASK, VFREC7_V, 0x3, 0x0 }, // 2475
  { PseudoVFREC7_V_M8_E64, VFREC7_V, 0x3, 0x0 }, // 2476
  { PseudoVFREC7_V_M8_E64_MASK, VFREC7_V, 0x3, 0x0 }, // 2477
  { PseudoVFREC7_V_MF4_E16, VFREC7_V, 0x6, 0x0 }, // 2478
  { PseudoVFREC7_V_MF4_E16_MASK, VFREC7_V, 0x6, 0x0 }, // 2479
  { PseudoVFREC7_V_MF2_E16, VFREC7_V, 0x7, 0x0 }, // 2480
  { PseudoVFREC7_V_MF2_E16_MASK, VFREC7_V, 0x7, 0x0 }, // 2481
  { PseudoVFREC7_V_MF2_E32, VFREC7_V, 0x7, 0x0 }, // 2482
  { PseudoVFREC7_V_MF2_E32_MASK, VFREC7_V, 0x7, 0x0 }, // 2483
  { PseudoVFREDMAX_VS_M1_E16, VFREDMAX_VS, 0x0, 0x10 }, // 2484
  { PseudoVFREDMAX_VS_M1_E16_MASK, VFREDMAX_VS, 0x0, 0x10 }, // 2485
  { PseudoVFREDMAX_VS_M1_E32, VFREDMAX_VS, 0x0, 0x20 }, // 2486
  { PseudoVFREDMAX_VS_M1_E32_MASK, VFREDMAX_VS, 0x0, 0x20 }, // 2487
  { PseudoVFREDMAX_VS_M1_E64, VFREDMAX_VS, 0x0, 0x40 }, // 2488
  { PseudoVFREDMAX_VS_M1_E64_MASK, VFREDMAX_VS, 0x0, 0x40 }, // 2489
  { PseudoVFREDMAX_VS_M2_E16, VFREDMAX_VS, 0x1, 0x10 }, // 2490
  { PseudoVFREDMAX_VS_M2_E16_MASK, VFREDMAX_VS, 0x1, 0x10 }, // 2491
  { PseudoVFREDMAX_VS_M2_E32, VFREDMAX_VS, 0x1, 0x20 }, // 2492
  { PseudoVFREDMAX_VS_M2_E32_MASK, VFREDMAX_VS, 0x1, 0x20 }, // 2493
  { PseudoVFREDMAX_VS_M2_E64, VFREDMAX_VS, 0x1, 0x40 }, // 2494
  { PseudoVFREDMAX_VS_M2_E64_MASK, VFREDMAX_VS, 0x1, 0x40 }, // 2495
  { PseudoVFREDMAX_VS_M4_E16, VFREDMAX_VS, 0x2, 0x10 }, // 2496
  { PseudoVFREDMAX_VS_M4_E16_MASK, VFREDMAX_VS, 0x2, 0x10 }, // 2497
  { PseudoVFREDMAX_VS_M4_E32, VFREDMAX_VS, 0x2, 0x20 }, // 2498
  { PseudoVFREDMAX_VS_M4_E32_MASK, VFREDMAX_VS, 0x2, 0x20 }, // 2499
  { PseudoVFREDMAX_VS_M4_E64, VFREDMAX_VS, 0x2, 0x40 }, // 2500
  { PseudoVFREDMAX_VS_M4_E64_MASK, VFREDMAX_VS, 0x2, 0x40 }, // 2501
  { PseudoVFREDMAX_VS_M8_E16, VFREDMAX_VS, 0x3, 0x10 }, // 2502
  { PseudoVFREDMAX_VS_M8_E16_MASK, VFREDMAX_VS, 0x3, 0x10 }, // 2503
  { PseudoVFREDMAX_VS_M8_E32, VFREDMAX_VS, 0x3, 0x20 }, // 2504
  { PseudoVFREDMAX_VS_M8_E32_MASK, VFREDMAX_VS, 0x3, 0x20 }, // 2505
  { PseudoVFREDMAX_VS_M8_E64, VFREDMAX_VS, 0x3, 0x40 }, // 2506
  { PseudoVFREDMAX_VS_M8_E64_MASK, VFREDMAX_VS, 0x3, 0x40 }, // 2507
  { PseudoVFREDMAX_VS_MF4_E16, VFREDMAX_VS, 0x6, 0x10 }, // 2508
  { PseudoVFREDMAX_VS_MF4_E16_MASK, VFREDMAX_VS, 0x6, 0x10 }, // 2509
  { PseudoVFREDMAX_VS_MF2_E16, VFREDMAX_VS, 0x7, 0x10 }, // 2510
  { PseudoVFREDMAX_VS_MF2_E16_MASK, VFREDMAX_VS, 0x7, 0x10 }, // 2511
  { PseudoVFREDMAX_VS_MF2_E32, VFREDMAX_VS, 0x7, 0x20 }, // 2512
  { PseudoVFREDMAX_VS_MF2_E32_MASK, VFREDMAX_VS, 0x7, 0x20 }, // 2513
  { PseudoVFREDMIN_VS_M1_E16, VFREDMIN_VS, 0x0, 0x10 }, // 2514
  { PseudoVFREDMIN_VS_M1_E16_MASK, VFREDMIN_VS, 0x0, 0x10 }, // 2515
  { PseudoVFREDMIN_VS_M1_E32, VFREDMIN_VS, 0x0, 0x20 }, // 2516
  { PseudoVFREDMIN_VS_M1_E32_MASK, VFREDMIN_VS, 0x0, 0x20 }, // 2517
  { PseudoVFREDMIN_VS_M1_E64, VFREDMIN_VS, 0x0, 0x40 }, // 2518
  { PseudoVFREDMIN_VS_M1_E64_MASK, VFREDMIN_VS, 0x0, 0x40 }, // 2519
  { PseudoVFREDMIN_VS_M2_E16, VFREDMIN_VS, 0x1, 0x10 }, // 2520
  { PseudoVFREDMIN_VS_M2_E16_MASK, VFREDMIN_VS, 0x1, 0x10 }, // 2521
  { PseudoVFREDMIN_VS_M2_E32, VFREDMIN_VS, 0x1, 0x20 }, // 2522
  { PseudoVFREDMIN_VS_M2_E32_MASK, VFREDMIN_VS, 0x1, 0x20 }, // 2523
  { PseudoVFREDMIN_VS_M2_E64, VFREDMIN_VS, 0x1, 0x40 }, // 2524
  { PseudoVFREDMIN_VS_M2_E64_MASK, VFREDMIN_VS, 0x1, 0x40 }, // 2525
  { PseudoVFREDMIN_VS_M4_E16, VFREDMIN_VS, 0x2, 0x10 }, // 2526
  { PseudoVFREDMIN_VS_M4_E16_MASK, VFREDMIN_VS, 0x2, 0x10 }, // 2527
  { PseudoVFREDMIN_VS_M4_E32, VFREDMIN_VS, 0x2, 0x20 }, // 2528
  { PseudoVFREDMIN_VS_M4_E32_MASK, VFREDMIN_VS, 0x2, 0x20 }, // 2529
  { PseudoVFREDMIN_VS_M4_E64, VFREDMIN_VS, 0x2, 0x40 }, // 2530
  { PseudoVFREDMIN_VS_M4_E64_MASK, VFREDMIN_VS, 0x2, 0x40 }, // 2531
  { PseudoVFREDMIN_VS_M8_E16, VFREDMIN_VS, 0x3, 0x10 }, // 2532
  { PseudoVFREDMIN_VS_M8_E16_MASK, VFREDMIN_VS, 0x3, 0x10 }, // 2533
  { PseudoVFREDMIN_VS_M8_E32, VFREDMIN_VS, 0x3, 0x20 }, // 2534
  { PseudoVFREDMIN_VS_M8_E32_MASK, VFREDMIN_VS, 0x3, 0x20 }, // 2535
  { PseudoVFREDMIN_VS_M8_E64, VFREDMIN_VS, 0x3, 0x40 }, // 2536
  { PseudoVFREDMIN_VS_M8_E64_MASK, VFREDMIN_VS, 0x3, 0x40 }, // 2537
  { PseudoVFREDMIN_VS_MF4_E16, VFREDMIN_VS, 0x6, 0x10 }, // 2538
  { PseudoVFREDMIN_VS_MF4_E16_MASK, VFREDMIN_VS, 0x6, 0x10 }, // 2539
  { PseudoVFREDMIN_VS_MF2_E16, VFREDMIN_VS, 0x7, 0x10 }, // 2540
  { PseudoVFREDMIN_VS_MF2_E16_MASK, VFREDMIN_VS, 0x7, 0x10 }, // 2541
  { PseudoVFREDMIN_VS_MF2_E32, VFREDMIN_VS, 0x7, 0x20 }, // 2542
  { PseudoVFREDMIN_VS_MF2_E32_MASK, VFREDMIN_VS, 0x7, 0x20 }, // 2543
  { PseudoVFREDOSUM_VS_M1_E16, VFREDOSUM_VS, 0x0, 0x10 }, // 2544
  { PseudoVFREDOSUM_VS_M1_E16_MASK, VFREDOSUM_VS, 0x0, 0x10 }, // 2545
  { PseudoVFREDOSUM_VS_M1_E32, VFREDOSUM_VS, 0x0, 0x20 }, // 2546
  { PseudoVFREDOSUM_VS_M1_E32_MASK, VFREDOSUM_VS, 0x0, 0x20 }, // 2547
  { PseudoVFREDOSUM_VS_M1_E64, VFREDOSUM_VS, 0x0, 0x40 }, // 2548
  { PseudoVFREDOSUM_VS_M1_E64_MASK, VFREDOSUM_VS, 0x0, 0x40 }, // 2549
  { PseudoVFREDOSUM_VS_M2_E16, VFREDOSUM_VS, 0x1, 0x10 }, // 2550
  { PseudoVFREDOSUM_VS_M2_E16_MASK, VFREDOSUM_VS, 0x1, 0x10 }, // 2551
  { PseudoVFREDOSUM_VS_M2_E32, VFREDOSUM_VS, 0x1, 0x20 }, // 2552
  { PseudoVFREDOSUM_VS_M2_E32_MASK, VFREDOSUM_VS, 0x1, 0x20 }, // 2553
  { PseudoVFREDOSUM_VS_M2_E64, VFREDOSUM_VS, 0x1, 0x40 }, // 2554
  { PseudoVFREDOSUM_VS_M2_E64_MASK, VFREDOSUM_VS, 0x1, 0x40 }, // 2555
  { PseudoVFREDOSUM_VS_M4_E16, VFREDOSUM_VS, 0x2, 0x10 }, // 2556
  { PseudoVFREDOSUM_VS_M4_E16_MASK, VFREDOSUM_VS, 0x2, 0x10 }, // 2557
  { PseudoVFREDOSUM_VS_M4_E32, VFREDOSUM_VS, 0x2, 0x20 }, // 2558
  { PseudoVFREDOSUM_VS_M4_E32_MASK, VFREDOSUM_VS, 0x2, 0x20 }, // 2559
  { PseudoVFREDOSUM_VS_M4_E64, VFREDOSUM_VS, 0x2, 0x40 }, // 2560
  { PseudoVFREDOSUM_VS_M4_E64_MASK, VFREDOSUM_VS, 0x2, 0x40 }, // 2561
  { PseudoVFREDOSUM_VS_M8_E16, VFREDOSUM_VS, 0x3, 0x10 }, // 2562
  { PseudoVFREDOSUM_VS_M8_E16_MASK, VFREDOSUM_VS, 0x3, 0x10 }, // 2563
  { PseudoVFREDOSUM_VS_M8_E32, VFREDOSUM_VS, 0x3, 0x20 }, // 2564
  { PseudoVFREDOSUM_VS_M8_E32_MASK, VFREDOSUM_VS, 0x3, 0x20 }, // 2565
  { PseudoVFREDOSUM_VS_M8_E64, VFREDOSUM_VS, 0x3, 0x40 }, // 2566
  { PseudoVFREDOSUM_VS_M8_E64_MASK, VFREDOSUM_VS, 0x3, 0x40 }, // 2567
  { PseudoVFREDOSUM_VS_MF4_E16, VFREDOSUM_VS, 0x6, 0x10 }, // 2568
  { PseudoVFREDOSUM_VS_MF4_E16_MASK, VFREDOSUM_VS, 0x6, 0x10 }, // 2569
  { PseudoVFREDOSUM_VS_MF2_E16, VFREDOSUM_VS, 0x7, 0x10 }, // 2570
  { PseudoVFREDOSUM_VS_MF2_E16_MASK, VFREDOSUM_VS, 0x7, 0x10 }, // 2571
  { PseudoVFREDOSUM_VS_MF2_E32, VFREDOSUM_VS, 0x7, 0x20 }, // 2572
  { PseudoVFREDOSUM_VS_MF2_E32_MASK, VFREDOSUM_VS, 0x7, 0x20 }, // 2573
  { PseudoVFREDUSUM_VS_M1_E16, VFREDUSUM_VS, 0x0, 0x10 }, // 2574
  { PseudoVFREDUSUM_VS_M1_E16_MASK, VFREDUSUM_VS, 0x0, 0x10 }, // 2575
  { PseudoVFREDUSUM_VS_M1_E32, VFREDUSUM_VS, 0x0, 0x20 }, // 2576
  { PseudoVFREDUSUM_VS_M1_E32_MASK, VFREDUSUM_VS, 0x0, 0x20 }, // 2577
  { PseudoVFREDUSUM_VS_M1_E64, VFREDUSUM_VS, 0x0, 0x40 }, // 2578
  { PseudoVFREDUSUM_VS_M1_E64_MASK, VFREDUSUM_VS, 0x0, 0x40 }, // 2579
  { PseudoVFREDUSUM_VS_M2_E16, VFREDUSUM_VS, 0x1, 0x10 }, // 2580
  { PseudoVFREDUSUM_VS_M2_E16_MASK, VFREDUSUM_VS, 0x1, 0x10 }, // 2581
  { PseudoVFREDUSUM_VS_M2_E32, VFREDUSUM_VS, 0x1, 0x20 }, // 2582
  { PseudoVFREDUSUM_VS_M2_E32_MASK, VFREDUSUM_VS, 0x1, 0x20 }, // 2583
  { PseudoVFREDUSUM_VS_M2_E64, VFREDUSUM_VS, 0x1, 0x40 }, // 2584
  { PseudoVFREDUSUM_VS_M2_E64_MASK, VFREDUSUM_VS, 0x1, 0x40 }, // 2585
  { PseudoVFREDUSUM_VS_M4_E16, VFREDUSUM_VS, 0x2, 0x10 }, // 2586
  { PseudoVFREDUSUM_VS_M4_E16_MASK, VFREDUSUM_VS, 0x2, 0x10 }, // 2587
  { PseudoVFREDUSUM_VS_M4_E32, VFREDUSUM_VS, 0x2, 0x20 }, // 2588
  { PseudoVFREDUSUM_VS_M4_E32_MASK, VFREDUSUM_VS, 0x2, 0x20 }, // 2589
  { PseudoVFREDUSUM_VS_M4_E64, VFREDUSUM_VS, 0x2, 0x40 }, // 2590
  { PseudoVFREDUSUM_VS_M4_E64_MASK, VFREDUSUM_VS, 0x2, 0x40 }, // 2591
  { PseudoVFREDUSUM_VS_M8_E16, VFREDUSUM_VS, 0x3, 0x10 }, // 2592
  { PseudoVFREDUSUM_VS_M8_E16_MASK, VFREDUSUM_VS, 0x3, 0x10 }, // 2593
  { PseudoVFREDUSUM_VS_M8_E32, VFREDUSUM_VS, 0x3, 0x20 }, // 2594
  { PseudoVFREDUSUM_VS_M8_E32_MASK, VFREDUSUM_VS, 0x3, 0x20 }, // 2595
  { PseudoVFREDUSUM_VS_M8_E64, VFREDUSUM_VS, 0x3, 0x40 }, // 2596
  { PseudoVFREDUSUM_VS_M8_E64_MASK, VFREDUSUM_VS, 0x3, 0x40 }, // 2597
  { PseudoVFREDUSUM_VS_MF4_E16, VFREDUSUM_VS, 0x6, 0x10 }, // 2598
  { PseudoVFREDUSUM_VS_MF4_E16_MASK, VFREDUSUM_VS, 0x6, 0x10 }, // 2599
  { PseudoVFREDUSUM_VS_MF2_E16, VFREDUSUM_VS, 0x7, 0x10 }, // 2600
  { PseudoVFREDUSUM_VS_MF2_E16_MASK, VFREDUSUM_VS, 0x7, 0x10 }, // 2601
  { PseudoVFREDUSUM_VS_MF2_E32, VFREDUSUM_VS, 0x7, 0x20 }, // 2602
  { PseudoVFREDUSUM_VS_MF2_E32_MASK, VFREDUSUM_VS, 0x7, 0x20 }, // 2603
  { PseudoVFRSQRT7_V_M1_E16, VFRSQRT7_V, 0x0, 0x0 }, // 2604
  { PseudoVFRSQRT7_V_M1_E16_MASK, VFRSQRT7_V, 0x0, 0x0 }, // 2605
  { PseudoVFRSQRT7_V_M1_E32, VFRSQRT7_V, 0x0, 0x0 }, // 2606
  { PseudoVFRSQRT7_V_M1_E32_MASK, VFRSQRT7_V, 0x0, 0x0 }, // 2607
  { PseudoVFRSQRT7_V_M1_E64, VFRSQRT7_V, 0x0, 0x0 }, // 2608
  { PseudoVFRSQRT7_V_M1_E64_MASK, VFRSQRT7_V, 0x0, 0x0 }, // 2609
  { PseudoVFRSQRT7_V_M2_E16, VFRSQRT7_V, 0x1, 0x0 }, // 2610
  { PseudoVFRSQRT7_V_M2_E16_MASK, VFRSQRT7_V, 0x1, 0x0 }, // 2611
  { PseudoVFRSQRT7_V_M2_E32, VFRSQRT7_V, 0x1, 0x0 }, // 2612
  { PseudoVFRSQRT7_V_M2_E32_MASK, VFRSQRT7_V, 0x1, 0x0 }, // 2613
  { PseudoVFRSQRT7_V_M2_E64, VFRSQRT7_V, 0x1, 0x0 }, // 2614
  { PseudoVFRSQRT7_V_M2_E64_MASK, VFRSQRT7_V, 0x1, 0x0 }, // 2615
  { PseudoVFRSQRT7_V_M4_E16, VFRSQRT7_V, 0x2, 0x0 }, // 2616
  { PseudoVFRSQRT7_V_M4_E16_MASK, VFRSQRT7_V, 0x2, 0x0 }, // 2617
  { PseudoVFRSQRT7_V_M4_E32, VFRSQRT7_V, 0x2, 0x0 }, // 2618
  { PseudoVFRSQRT7_V_M4_E32_MASK, VFRSQRT7_V, 0x2, 0x0 }, // 2619
  { PseudoVFRSQRT7_V_M4_E64, VFRSQRT7_V, 0x2, 0x0 }, // 2620
  { PseudoVFRSQRT7_V_M4_E64_MASK, VFRSQRT7_V, 0x2, 0x0 }, // 2621
  { PseudoVFRSQRT7_V_M8_E16, VFRSQRT7_V, 0x3, 0x0 }, // 2622
  { PseudoVFRSQRT7_V_M8_E16_MASK, VFRSQRT7_V, 0x3, 0x0 }, // 2623
  { PseudoVFRSQRT7_V_M8_E32, VFRSQRT7_V, 0x3, 0x0 }, // 2624
  { PseudoVFRSQRT7_V_M8_E32_MASK, VFRSQRT7_V, 0x3, 0x0 }, // 2625
  { PseudoVFRSQRT7_V_M8_E64, VFRSQRT7_V, 0x3, 0x0 }, // 2626
  { PseudoVFRSQRT7_V_M8_E64_MASK, VFRSQRT7_V, 0x3, 0x0 }, // 2627
  { PseudoVFRSQRT7_V_MF4_E16, VFRSQRT7_V, 0x6, 0x0 }, // 2628
  { PseudoVFRSQRT7_V_MF4_E16_MASK, VFRSQRT7_V, 0x6, 0x0 }, // 2629
  { PseudoVFRSQRT7_V_MF2_E16, VFRSQRT7_V, 0x7, 0x0 }, // 2630
  { PseudoVFRSQRT7_V_MF2_E16_MASK, VFRSQRT7_V, 0x7, 0x0 }, // 2631
  { PseudoVFRSQRT7_V_MF2_E32, VFRSQRT7_V, 0x7, 0x0 }, // 2632
  { PseudoVFRSQRT7_V_MF2_E32_MASK, VFRSQRT7_V, 0x7, 0x0 }, // 2633
  { PseudoVFRSUB_VFPR16_M1_E16, VFRSUB_VF, 0x0, 0x10 }, // 2634
  { PseudoVFRSUB_VFPR16_M1_E16_MASK, VFRSUB_VF, 0x0, 0x10 }, // 2635
  { PseudoVFRSUB_VFPR32_M1_E32, VFRSUB_VF, 0x0, 0x20 }, // 2636
  { PseudoVFRSUB_VFPR32_M1_E32_MASK, VFRSUB_VF, 0x0, 0x20 }, // 2637
  { PseudoVFRSUB_VFPR64_M1_E64, VFRSUB_VF, 0x0, 0x40 }, // 2638
  { PseudoVFRSUB_VFPR64_M1_E64_MASK, VFRSUB_VF, 0x0, 0x40 }, // 2639
  { PseudoVFRSUB_VFPR16_M2_E16, VFRSUB_VF, 0x1, 0x10 }, // 2640
  { PseudoVFRSUB_VFPR16_M2_E16_MASK, VFRSUB_VF, 0x1, 0x10 }, // 2641
  { PseudoVFRSUB_VFPR32_M2_E32, VFRSUB_VF, 0x1, 0x20 }, // 2642
  { PseudoVFRSUB_VFPR32_M2_E32_MASK, VFRSUB_VF, 0x1, 0x20 }, // 2643
  { PseudoVFRSUB_VFPR64_M2_E64, VFRSUB_VF, 0x1, 0x40 }, // 2644
  { PseudoVFRSUB_VFPR64_M2_E64_MASK, VFRSUB_VF, 0x1, 0x40 }, // 2645
  { PseudoVFRSUB_VFPR16_M4_E16, VFRSUB_VF, 0x2, 0x10 }, // 2646
  { PseudoVFRSUB_VFPR16_M4_E16_MASK, VFRSUB_VF, 0x2, 0x10 }, // 2647
  { PseudoVFRSUB_VFPR32_M4_E32, VFRSUB_VF, 0x2, 0x20 }, // 2648
  { PseudoVFRSUB_VFPR32_M4_E32_MASK, VFRSUB_VF, 0x2, 0x20 }, // 2649
  { PseudoVFRSUB_VFPR64_M4_E64, VFRSUB_VF, 0x2, 0x40 }, // 2650
  { PseudoVFRSUB_VFPR64_M4_E64_MASK, VFRSUB_VF, 0x2, 0x40 }, // 2651
  { PseudoVFRSUB_VFPR16_M8_E16, VFRSUB_VF, 0x3, 0x10 }, // 2652
  { PseudoVFRSUB_VFPR16_M8_E16_MASK, VFRSUB_VF, 0x3, 0x10 }, // 2653
  { PseudoVFRSUB_VFPR32_M8_E32, VFRSUB_VF, 0x3, 0x20 }, // 2654
  { PseudoVFRSUB_VFPR32_M8_E32_MASK, VFRSUB_VF, 0x3, 0x20 }, // 2655
  { PseudoVFRSUB_VFPR64_M8_E64, VFRSUB_VF, 0x3, 0x40 }, // 2656
  { PseudoVFRSUB_VFPR64_M8_E64_MASK, VFRSUB_VF, 0x3, 0x40 }, // 2657
  { PseudoVFRSUB_VFPR16_MF4_E16, VFRSUB_VF, 0x6, 0x10 }, // 2658
  { PseudoVFRSUB_VFPR16_MF4_E16_MASK, VFRSUB_VF, 0x6, 0x10 }, // 2659
  { PseudoVFRSUB_VFPR16_MF2_E16, VFRSUB_VF, 0x7, 0x10 }, // 2660
  { PseudoVFRSUB_VFPR16_MF2_E16_MASK, VFRSUB_VF, 0x7, 0x10 }, // 2661
  { PseudoVFRSUB_VFPR32_MF2_E32, VFRSUB_VF, 0x7, 0x20 }, // 2662
  { PseudoVFRSUB_VFPR32_MF2_E32_MASK, VFRSUB_VF, 0x7, 0x20 }, // 2663
  { PseudoVFSGNJN_VFPR16_M1_E16, VFSGNJN_VF, 0x0, 0x10 }, // 2664
  { PseudoVFSGNJN_VFPR16_M1_E16_MASK, VFSGNJN_VF, 0x0, 0x10 }, // 2665
  { PseudoVFSGNJN_VFPR32_M1_E32, VFSGNJN_VF, 0x0, 0x20 }, // 2666
  { PseudoVFSGNJN_VFPR32_M1_E32_MASK, VFSGNJN_VF, 0x0, 0x20 }, // 2667
  { PseudoVFSGNJN_VFPR64_M1_E64, VFSGNJN_VF, 0x0, 0x40 }, // 2668
  { PseudoVFSGNJN_VFPR64_M1_E64_MASK, VFSGNJN_VF, 0x0, 0x40 }, // 2669
  { PseudoVFSGNJN_VFPR16_M2_E16, VFSGNJN_VF, 0x1, 0x10 }, // 2670
  { PseudoVFSGNJN_VFPR16_M2_E16_MASK, VFSGNJN_VF, 0x1, 0x10 }, // 2671
  { PseudoVFSGNJN_VFPR32_M2_E32, VFSGNJN_VF, 0x1, 0x20 }, // 2672
  { PseudoVFSGNJN_VFPR32_M2_E32_MASK, VFSGNJN_VF, 0x1, 0x20 }, // 2673
  { PseudoVFSGNJN_VFPR64_M2_E64, VFSGNJN_VF, 0x1, 0x40 }, // 2674
  { PseudoVFSGNJN_VFPR64_M2_E64_MASK, VFSGNJN_VF, 0x1, 0x40 }, // 2675
  { PseudoVFSGNJN_VFPR16_M4_E16, VFSGNJN_VF, 0x2, 0x10 }, // 2676
  { PseudoVFSGNJN_VFPR16_M4_E16_MASK, VFSGNJN_VF, 0x2, 0x10 }, // 2677
  { PseudoVFSGNJN_VFPR32_M4_E32, VFSGNJN_VF, 0x2, 0x20 }, // 2678
  { PseudoVFSGNJN_VFPR32_M4_E32_MASK, VFSGNJN_VF, 0x2, 0x20 }, // 2679
  { PseudoVFSGNJN_VFPR64_M4_E64, VFSGNJN_VF, 0x2, 0x40 }, // 2680
  { PseudoVFSGNJN_VFPR64_M4_E64_MASK, VFSGNJN_VF, 0x2, 0x40 }, // 2681
  { PseudoVFSGNJN_VFPR16_M8_E16, VFSGNJN_VF, 0x3, 0x10 }, // 2682
  { PseudoVFSGNJN_VFPR16_M8_E16_MASK, VFSGNJN_VF, 0x3, 0x10 }, // 2683
  { PseudoVFSGNJN_VFPR32_M8_E32, VFSGNJN_VF, 0x3, 0x20 }, // 2684
  { PseudoVFSGNJN_VFPR32_M8_E32_MASK, VFSGNJN_VF, 0x3, 0x20 }, // 2685
  { PseudoVFSGNJN_VFPR64_M8_E64, VFSGNJN_VF, 0x3, 0x40 }, // 2686
  { PseudoVFSGNJN_VFPR64_M8_E64_MASK, VFSGNJN_VF, 0x3, 0x40 }, // 2687
  { PseudoVFSGNJN_VFPR16_MF4_E16, VFSGNJN_VF, 0x6, 0x10 }, // 2688
  { PseudoVFSGNJN_VFPR16_MF4_E16_MASK, VFSGNJN_VF, 0x6, 0x10 }, // 2689
  { PseudoVFSGNJN_VFPR16_MF2_E16, VFSGNJN_VF, 0x7, 0x10 }, // 2690
  { PseudoVFSGNJN_VFPR16_MF2_E16_MASK, VFSGNJN_VF, 0x7, 0x10 }, // 2691
  { PseudoVFSGNJN_VFPR32_MF2_E32, VFSGNJN_VF, 0x7, 0x20 }, // 2692
  { PseudoVFSGNJN_VFPR32_MF2_E32_MASK, VFSGNJN_VF, 0x7, 0x20 }, // 2693
  { PseudoVFSGNJN_VV_M1_E16, VFSGNJN_VV, 0x0, 0x10 }, // 2694
  { PseudoVFSGNJN_VV_M1_E16_MASK, VFSGNJN_VV, 0x0, 0x10 }, // 2695
  { PseudoVFSGNJN_VV_M1_E32, VFSGNJN_VV, 0x0, 0x20 }, // 2696
  { PseudoVFSGNJN_VV_M1_E32_MASK, VFSGNJN_VV, 0x0, 0x20 }, // 2697
  { PseudoVFSGNJN_VV_M1_E64, VFSGNJN_VV, 0x0, 0x40 }, // 2698
  { PseudoVFSGNJN_VV_M1_E64_MASK, VFSGNJN_VV, 0x0, 0x40 }, // 2699
  { PseudoVFSGNJN_VV_M2_E16, VFSGNJN_VV, 0x1, 0x10 }, // 2700
  { PseudoVFSGNJN_VV_M2_E16_MASK, VFSGNJN_VV, 0x1, 0x10 }, // 2701
  { PseudoVFSGNJN_VV_M2_E32, VFSGNJN_VV, 0x1, 0x20 }, // 2702
  { PseudoVFSGNJN_VV_M2_E32_MASK, VFSGNJN_VV, 0x1, 0x20 }, // 2703
  { PseudoVFSGNJN_VV_M2_E64, VFSGNJN_VV, 0x1, 0x40 }, // 2704
  { PseudoVFSGNJN_VV_M2_E64_MASK, VFSGNJN_VV, 0x1, 0x40 }, // 2705
  { PseudoVFSGNJN_VV_M4_E16, VFSGNJN_VV, 0x2, 0x10 }, // 2706
  { PseudoVFSGNJN_VV_M4_E16_MASK, VFSGNJN_VV, 0x2, 0x10 }, // 2707
  { PseudoVFSGNJN_VV_M4_E32, VFSGNJN_VV, 0x2, 0x20 }, // 2708
  { PseudoVFSGNJN_VV_M4_E32_MASK, VFSGNJN_VV, 0x2, 0x20 }, // 2709
  { PseudoVFSGNJN_VV_M4_E64, VFSGNJN_VV, 0x2, 0x40 }, // 2710
  { PseudoVFSGNJN_VV_M4_E64_MASK, VFSGNJN_VV, 0x2, 0x40 }, // 2711
  { PseudoVFSGNJN_VV_M8_E16, VFSGNJN_VV, 0x3, 0x10 }, // 2712
  { PseudoVFSGNJN_VV_M8_E16_MASK, VFSGNJN_VV, 0x3, 0x10 }, // 2713
  { PseudoVFSGNJN_VV_M8_E32, VFSGNJN_VV, 0x3, 0x20 }, // 2714
  { PseudoVFSGNJN_VV_M8_E32_MASK, VFSGNJN_VV, 0x3, 0x20 }, // 2715
  { PseudoVFSGNJN_VV_M8_E64, VFSGNJN_VV, 0x3, 0x40 }, // 2716
  { PseudoVFSGNJN_VV_M8_E64_MASK, VFSGNJN_VV, 0x3, 0x40 }, // 2717
  { PseudoVFSGNJN_VV_MF4_E16, VFSGNJN_VV, 0x6, 0x10 }, // 2718
  { PseudoVFSGNJN_VV_MF4_E16_MASK, VFSGNJN_VV, 0x6, 0x10 }, // 2719
  { PseudoVFSGNJN_VV_MF2_E16, VFSGNJN_VV, 0x7, 0x10 }, // 2720
  { PseudoVFSGNJN_VV_MF2_E16_MASK, VFSGNJN_VV, 0x7, 0x10 }, // 2721
  { PseudoVFSGNJN_VV_MF2_E32, VFSGNJN_VV, 0x7, 0x20 }, // 2722
  { PseudoVFSGNJN_VV_MF2_E32_MASK, VFSGNJN_VV, 0x7, 0x20 }, // 2723
  { PseudoVFSGNJX_VFPR16_M1_E16, VFSGNJX_VF, 0x0, 0x10 }, // 2724
  { PseudoVFSGNJX_VFPR16_M1_E16_MASK, VFSGNJX_VF, 0x0, 0x10 }, // 2725
  { PseudoVFSGNJX_VFPR32_M1_E32, VFSGNJX_VF, 0x0, 0x20 }, // 2726
  { PseudoVFSGNJX_VFPR32_M1_E32_MASK, VFSGNJX_VF, 0x0, 0x20 }, // 2727
  { PseudoVFSGNJX_VFPR64_M1_E64, VFSGNJX_VF, 0x0, 0x40 }, // 2728
  { PseudoVFSGNJX_VFPR64_M1_E64_MASK, VFSGNJX_VF, 0x0, 0x40 }, // 2729
  { PseudoVFSGNJX_VFPR16_M2_E16, VFSGNJX_VF, 0x1, 0x10 }, // 2730
  { PseudoVFSGNJX_VFPR16_M2_E16_MASK, VFSGNJX_VF, 0x1, 0x10 }, // 2731
  { PseudoVFSGNJX_VFPR32_M2_E32, VFSGNJX_VF, 0x1, 0x20 }, // 2732
  { PseudoVFSGNJX_VFPR32_M2_E32_MASK, VFSGNJX_VF, 0x1, 0x20 }, // 2733
  { PseudoVFSGNJX_VFPR64_M2_E64, VFSGNJX_VF, 0x1, 0x40 }, // 2734
  { PseudoVFSGNJX_VFPR64_M2_E64_MASK, VFSGNJX_VF, 0x1, 0x40 }, // 2735
  { PseudoVFSGNJX_VFPR16_M4_E16, VFSGNJX_VF, 0x2, 0x10 }, // 2736
  { PseudoVFSGNJX_VFPR16_M4_E16_MASK, VFSGNJX_VF, 0x2, 0x10 }, // 2737
  { PseudoVFSGNJX_VFPR32_M4_E32, VFSGNJX_VF, 0x2, 0x20 }, // 2738
  { PseudoVFSGNJX_VFPR32_M4_E32_MASK, VFSGNJX_VF, 0x2, 0x20 }, // 2739
  { PseudoVFSGNJX_VFPR64_M4_E64, VFSGNJX_VF, 0x2, 0x40 }, // 2740
  { PseudoVFSGNJX_VFPR64_M4_E64_MASK, VFSGNJX_VF, 0x2, 0x40 }, // 2741
  { PseudoVFSGNJX_VFPR16_M8_E16, VFSGNJX_VF, 0x3, 0x10 }, // 2742
  { PseudoVFSGNJX_VFPR16_M8_E16_MASK, VFSGNJX_VF, 0x3, 0x10 }, // 2743
  { PseudoVFSGNJX_VFPR32_M8_E32, VFSGNJX_VF, 0x3, 0x20 }, // 2744
  { PseudoVFSGNJX_VFPR32_M8_E32_MASK, VFSGNJX_VF, 0x3, 0x20 }, // 2745
  { PseudoVFSGNJX_VFPR64_M8_E64, VFSGNJX_VF, 0x3, 0x40 }, // 2746
  { PseudoVFSGNJX_VFPR64_M8_E64_MASK, VFSGNJX_VF, 0x3, 0x40 }, // 2747
  { PseudoVFSGNJX_VFPR16_MF4_E16, VFSGNJX_VF, 0x6, 0x10 }, // 2748
  { PseudoVFSGNJX_VFPR16_MF4_E16_MASK, VFSGNJX_VF, 0x6, 0x10 }, // 2749
  { PseudoVFSGNJX_VFPR16_MF2_E16, VFSGNJX_VF, 0x7, 0x10 }, // 2750
  { PseudoVFSGNJX_VFPR16_MF2_E16_MASK, VFSGNJX_VF, 0x7, 0x10 }, // 2751
  { PseudoVFSGNJX_VFPR32_MF2_E32, VFSGNJX_VF, 0x7, 0x20 }, // 2752
  { PseudoVFSGNJX_VFPR32_MF2_E32_MASK, VFSGNJX_VF, 0x7, 0x20 }, // 2753
  { PseudoVFSGNJX_VV_M1_E16, VFSGNJX_VV, 0x0, 0x10 }, // 2754
  { PseudoVFSGNJX_VV_M1_E16_MASK, VFSGNJX_VV, 0x0, 0x10 }, // 2755
  { PseudoVFSGNJX_VV_M1_E32, VFSGNJX_VV, 0x0, 0x20 }, // 2756
  { PseudoVFSGNJX_VV_M1_E32_MASK, VFSGNJX_VV, 0x0, 0x20 }, // 2757
  { PseudoVFSGNJX_VV_M1_E64, VFSGNJX_VV, 0x0, 0x40 }, // 2758
  { PseudoVFSGNJX_VV_M1_E64_MASK, VFSGNJX_VV, 0x0, 0x40 }, // 2759
  { PseudoVFSGNJX_VV_M2_E16, VFSGNJX_VV, 0x1, 0x10 }, // 2760
  { PseudoVFSGNJX_VV_M2_E16_MASK, VFSGNJX_VV, 0x1, 0x10 }, // 2761
  { PseudoVFSGNJX_VV_M2_E32, VFSGNJX_VV, 0x1, 0x20 }, // 2762
  { PseudoVFSGNJX_VV_M2_E32_MASK, VFSGNJX_VV, 0x1, 0x20 }, // 2763
  { PseudoVFSGNJX_VV_M2_E64, VFSGNJX_VV, 0x1, 0x40 }, // 2764
  { PseudoVFSGNJX_VV_M2_E64_MASK, VFSGNJX_VV, 0x1, 0x40 }, // 2765
  { PseudoVFSGNJX_VV_M4_E16, VFSGNJX_VV, 0x2, 0x10 }, // 2766
  { PseudoVFSGNJX_VV_M4_E16_MASK, VFSGNJX_VV, 0x2, 0x10 }, // 2767
  { PseudoVFSGNJX_VV_M4_E32, VFSGNJX_VV, 0x2, 0x20 }, // 2768
  { PseudoVFSGNJX_VV_M4_E32_MASK, VFSGNJX_VV, 0x2, 0x20 }, // 2769
  { PseudoVFSGNJX_VV_M4_E64, VFSGNJX_VV, 0x2, 0x40 }, // 2770
  { PseudoVFSGNJX_VV_M4_E64_MASK, VFSGNJX_VV, 0x2, 0x40 }, // 2771
  { PseudoVFSGNJX_VV_M8_E16, VFSGNJX_VV, 0x3, 0x10 }, // 2772
  { PseudoVFSGNJX_VV_M8_E16_MASK, VFSGNJX_VV, 0x3, 0x10 }, // 2773
  { PseudoVFSGNJX_VV_M8_E32, VFSGNJX_VV, 0x3, 0x20 }, // 2774
  { PseudoVFSGNJX_VV_M8_E32_MASK, VFSGNJX_VV, 0x3, 0x20 }, // 2775
  { PseudoVFSGNJX_VV_M8_E64, VFSGNJX_VV, 0x3, 0x40 }, // 2776
  { PseudoVFSGNJX_VV_M8_E64_MASK, VFSGNJX_VV, 0x3, 0x40 }, // 2777
  { PseudoVFSGNJX_VV_MF4_E16, VFSGNJX_VV, 0x6, 0x10 }, // 2778
  { PseudoVFSGNJX_VV_MF4_E16_MASK, VFSGNJX_VV, 0x6, 0x10 }, // 2779
  { PseudoVFSGNJX_VV_MF2_E16, VFSGNJX_VV, 0x7, 0x10 }, // 2780
  { PseudoVFSGNJX_VV_MF2_E16_MASK, VFSGNJX_VV, 0x7, 0x10 }, // 2781
  { PseudoVFSGNJX_VV_MF2_E32, VFSGNJX_VV, 0x7, 0x20 }, // 2782
  { PseudoVFSGNJX_VV_MF2_E32_MASK, VFSGNJX_VV, 0x7, 0x20 }, // 2783
  { PseudoVFSGNJ_VFPR16_M1_E16, VFSGNJ_VF, 0x0, 0x10 }, // 2784
  { PseudoVFSGNJ_VFPR16_M1_E16_MASK, VFSGNJ_VF, 0x0, 0x10 }, // 2785
  { PseudoVFSGNJ_VFPR32_M1_E32, VFSGNJ_VF, 0x0, 0x20 }, // 2786
  { PseudoVFSGNJ_VFPR32_M1_E32_MASK, VFSGNJ_VF, 0x0, 0x20 }, // 2787
  { PseudoVFSGNJ_VFPR64_M1_E64, VFSGNJ_VF, 0x0, 0x40 }, // 2788
  { PseudoVFSGNJ_VFPR64_M1_E64_MASK, VFSGNJ_VF, 0x0, 0x40 }, // 2789
  { PseudoVFSGNJ_VFPR16_M2_E16, VFSGNJ_VF, 0x1, 0x10 }, // 2790
  { PseudoVFSGNJ_VFPR16_M2_E16_MASK, VFSGNJ_VF, 0x1, 0x10 }, // 2791
  { PseudoVFSGNJ_VFPR32_M2_E32, VFSGNJ_VF, 0x1, 0x20 }, // 2792
  { PseudoVFSGNJ_VFPR32_M2_E32_MASK, VFSGNJ_VF, 0x1, 0x20 }, // 2793
  { PseudoVFSGNJ_VFPR64_M2_E64, VFSGNJ_VF, 0x1, 0x40 }, // 2794
  { PseudoVFSGNJ_VFPR64_M2_E64_MASK, VFSGNJ_VF, 0x1, 0x40 }, // 2795
  { PseudoVFSGNJ_VFPR16_M4_E16, VFSGNJ_VF, 0x2, 0x10 }, // 2796
  { PseudoVFSGNJ_VFPR16_M4_E16_MASK, VFSGNJ_VF, 0x2, 0x10 }, // 2797
  { PseudoVFSGNJ_VFPR32_M4_E32, VFSGNJ_VF, 0x2, 0x20 }, // 2798
  { PseudoVFSGNJ_VFPR32_M4_E32_MASK, VFSGNJ_VF, 0x2, 0x20 }, // 2799
  { PseudoVFSGNJ_VFPR64_M4_E64, VFSGNJ_VF, 0x2, 0x40 }, // 2800
  { PseudoVFSGNJ_VFPR64_M4_E64_MASK, VFSGNJ_VF, 0x2, 0x40 }, // 2801
  { PseudoVFSGNJ_VFPR16_M8_E16, VFSGNJ_VF, 0x3, 0x10 }, // 2802
  { PseudoVFSGNJ_VFPR16_M8_E16_MASK, VFSGNJ_VF, 0x3, 0x10 }, // 2803
  { PseudoVFSGNJ_VFPR32_M8_E32, VFSGNJ_VF, 0x3, 0x20 }, // 2804
  { PseudoVFSGNJ_VFPR32_M8_E32_MASK, VFSGNJ_VF, 0x3, 0x20 }, // 2805
  { PseudoVFSGNJ_VFPR64_M8_E64, VFSGNJ_VF, 0x3, 0x40 }, // 2806
  { PseudoVFSGNJ_VFPR64_M8_E64_MASK, VFSGNJ_VF, 0x3, 0x40 }, // 2807
  { PseudoVFSGNJ_VFPR16_MF4_E16, VFSGNJ_VF, 0x6, 0x10 }, // 2808
  { PseudoVFSGNJ_VFPR16_MF4_E16_MASK, VFSGNJ_VF, 0x6, 0x10 }, // 2809
  { PseudoVFSGNJ_VFPR16_MF2_E16, VFSGNJ_VF, 0x7, 0x10 }, // 2810
  { PseudoVFSGNJ_VFPR16_MF2_E16_MASK, VFSGNJ_VF, 0x7, 0x10 }, // 2811
  { PseudoVFSGNJ_VFPR32_MF2_E32, VFSGNJ_VF, 0x7, 0x20 }, // 2812
  { PseudoVFSGNJ_VFPR32_MF2_E32_MASK, VFSGNJ_VF, 0x7, 0x20 }, // 2813
  { PseudoVFSGNJ_VV_M1_E16, VFSGNJ_VV, 0x0, 0x10 }, // 2814
  { PseudoVFSGNJ_VV_M1_E16_MASK, VFSGNJ_VV, 0x0, 0x10 }, // 2815
  { PseudoVFSGNJ_VV_M1_E32, VFSGNJ_VV, 0x0, 0x20 }, // 2816
  { PseudoVFSGNJ_VV_M1_E32_MASK, VFSGNJ_VV, 0x0, 0x20 }, // 2817
  { PseudoVFSGNJ_VV_M1_E64, VFSGNJ_VV, 0x0, 0x40 }, // 2818
  { PseudoVFSGNJ_VV_M1_E64_MASK, VFSGNJ_VV, 0x0, 0x40 }, // 2819
  { PseudoVFSGNJ_VV_M2_E16, VFSGNJ_VV, 0x1, 0x10 }, // 2820
  { PseudoVFSGNJ_VV_M2_E16_MASK, VFSGNJ_VV, 0x1, 0x10 }, // 2821
  { PseudoVFSGNJ_VV_M2_E32, VFSGNJ_VV, 0x1, 0x20 }, // 2822
  { PseudoVFSGNJ_VV_M2_E32_MASK, VFSGNJ_VV, 0x1, 0x20 }, // 2823
  { PseudoVFSGNJ_VV_M2_E64, VFSGNJ_VV, 0x1, 0x40 }, // 2824
  { PseudoVFSGNJ_VV_M2_E64_MASK, VFSGNJ_VV, 0x1, 0x40 }, // 2825
  { PseudoVFSGNJ_VV_M4_E16, VFSGNJ_VV, 0x2, 0x10 }, // 2826
  { PseudoVFSGNJ_VV_M4_E16_MASK, VFSGNJ_VV, 0x2, 0x10 }, // 2827
  { PseudoVFSGNJ_VV_M4_E32, VFSGNJ_VV, 0x2, 0x20 }, // 2828
  { PseudoVFSGNJ_VV_M4_E32_MASK, VFSGNJ_VV, 0x2, 0x20 }, // 2829
  { PseudoVFSGNJ_VV_M4_E64, VFSGNJ_VV, 0x2, 0x40 }, // 2830
  { PseudoVFSGNJ_VV_M4_E64_MASK, VFSGNJ_VV, 0x2, 0x40 }, // 2831
  { PseudoVFSGNJ_VV_M8_E16, VFSGNJ_VV, 0x3, 0x10 }, // 2832
  { PseudoVFSGNJ_VV_M8_E16_MASK, VFSGNJ_VV, 0x3, 0x10 }, // 2833
  { PseudoVFSGNJ_VV_M8_E32, VFSGNJ_VV, 0x3, 0x20 }, // 2834
  { PseudoVFSGNJ_VV_M8_E32_MASK, VFSGNJ_VV, 0x3, 0x20 }, // 2835
  { PseudoVFSGNJ_VV_M8_E64, VFSGNJ_VV, 0x3, 0x40 }, // 2836
  { PseudoVFSGNJ_VV_M8_E64_MASK, VFSGNJ_VV, 0x3, 0x40 }, // 2837
  { PseudoVFSGNJ_VV_MF4_E16, VFSGNJ_VV, 0x6, 0x10 }, // 2838
  { PseudoVFSGNJ_VV_MF4_E16_MASK, VFSGNJ_VV, 0x6, 0x10 }, // 2839
  { PseudoVFSGNJ_VV_MF2_E16, VFSGNJ_VV, 0x7, 0x10 }, // 2840
  { PseudoVFSGNJ_VV_MF2_E16_MASK, VFSGNJ_VV, 0x7, 0x10 }, // 2841
  { PseudoVFSGNJ_VV_MF2_E32, VFSGNJ_VV, 0x7, 0x20 }, // 2842
  { PseudoVFSGNJ_VV_MF2_E32_MASK, VFSGNJ_VV, 0x7, 0x20 }, // 2843
  { PseudoVFSLIDE1DOWN_VFPR16_M1, VFSLIDE1DOWN_VF, 0x0, 0x0 }, // 2844
  { PseudoVFSLIDE1DOWN_VFPR16_M1_MASK, VFSLIDE1DOWN_VF, 0x0, 0x0 }, // 2845
  { PseudoVFSLIDE1DOWN_VFPR32_M1, VFSLIDE1DOWN_VF, 0x0, 0x0 }, // 2846
  { PseudoVFSLIDE1DOWN_VFPR32_M1_MASK, VFSLIDE1DOWN_VF, 0x0, 0x0 }, // 2847
  { PseudoVFSLIDE1DOWN_VFPR64_M1, VFSLIDE1DOWN_VF, 0x0, 0x0 }, // 2848
  { PseudoVFSLIDE1DOWN_VFPR64_M1_MASK, VFSLIDE1DOWN_VF, 0x0, 0x0 }, // 2849
  { PseudoVFSLIDE1DOWN_VFPR16_M2, VFSLIDE1DOWN_VF, 0x1, 0x0 }, // 2850
  { PseudoVFSLIDE1DOWN_VFPR16_M2_MASK, VFSLIDE1DOWN_VF, 0x1, 0x0 }, // 2851
  { PseudoVFSLIDE1DOWN_VFPR32_M2, VFSLIDE1DOWN_VF, 0x1, 0x0 }, // 2852
  { PseudoVFSLIDE1DOWN_VFPR32_M2_MASK, VFSLIDE1DOWN_VF, 0x1, 0x0 }, // 2853
  { PseudoVFSLIDE1DOWN_VFPR64_M2, VFSLIDE1DOWN_VF, 0x1, 0x0 }, // 2854
  { PseudoVFSLIDE1DOWN_VFPR64_M2_MASK, VFSLIDE1DOWN_VF, 0x1, 0x0 }, // 2855
  { PseudoVFSLIDE1DOWN_VFPR16_M4, VFSLIDE1DOWN_VF, 0x2, 0x0 }, // 2856
  { PseudoVFSLIDE1DOWN_VFPR16_M4_MASK, VFSLIDE1DOWN_VF, 0x2, 0x0 }, // 2857
  { PseudoVFSLIDE1DOWN_VFPR32_M4, VFSLIDE1DOWN_VF, 0x2, 0x0 }, // 2858
  { PseudoVFSLIDE1DOWN_VFPR32_M4_MASK, VFSLIDE1DOWN_VF, 0x2, 0x0 }, // 2859
  { PseudoVFSLIDE1DOWN_VFPR64_M4, VFSLIDE1DOWN_VF, 0x2, 0x0 }, // 2860
  { PseudoVFSLIDE1DOWN_VFPR64_M4_MASK, VFSLIDE1DOWN_VF, 0x2, 0x0 }, // 2861
  { PseudoVFSLIDE1DOWN_VFPR16_M8, VFSLIDE1DOWN_VF, 0x3, 0x0 }, // 2862
  { PseudoVFSLIDE1DOWN_VFPR16_M8_MASK, VFSLIDE1DOWN_VF, 0x3, 0x0 }, // 2863
  { PseudoVFSLIDE1DOWN_VFPR32_M8, VFSLIDE1DOWN_VF, 0x3, 0x0 }, // 2864
  { PseudoVFSLIDE1DOWN_VFPR32_M8_MASK, VFSLIDE1DOWN_VF, 0x3, 0x0 }, // 2865
  { PseudoVFSLIDE1DOWN_VFPR64_M8, VFSLIDE1DOWN_VF, 0x3, 0x0 }, // 2866
  { PseudoVFSLIDE1DOWN_VFPR64_M8_MASK, VFSLIDE1DOWN_VF, 0x3, 0x0 }, // 2867
  { PseudoVFSLIDE1DOWN_VFPR16_MF4, VFSLIDE1DOWN_VF, 0x6, 0x0 }, // 2868
  { PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK, VFSLIDE1DOWN_VF, 0x6, 0x0 }, // 2869
  { PseudoVFSLIDE1DOWN_VFPR16_MF2, VFSLIDE1DOWN_VF, 0x7, 0x0 }, // 2870
  { PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK, VFSLIDE1DOWN_VF, 0x7, 0x0 }, // 2871
  { PseudoVFSLIDE1DOWN_VFPR32_MF2, VFSLIDE1DOWN_VF, 0x7, 0x0 }, // 2872
  { PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK, VFSLIDE1DOWN_VF, 0x7, 0x0 }, // 2873
  { PseudoVFSLIDE1UP_VFPR16_M1, VFSLIDE1UP_VF, 0x0, 0x0 }, // 2874
  { PseudoVFSLIDE1UP_VFPR16_M1_MASK, VFSLIDE1UP_VF, 0x0, 0x0 }, // 2875
  { PseudoVFSLIDE1UP_VFPR32_M1, VFSLIDE1UP_VF, 0x0, 0x0 }, // 2876
  { PseudoVFSLIDE1UP_VFPR32_M1_MASK, VFSLIDE1UP_VF, 0x0, 0x0 }, // 2877
  { PseudoVFSLIDE1UP_VFPR64_M1, VFSLIDE1UP_VF, 0x0, 0x0 }, // 2878
  { PseudoVFSLIDE1UP_VFPR64_M1_MASK, VFSLIDE1UP_VF, 0x0, 0x0 }, // 2879
  { PseudoVFSLIDE1UP_VFPR16_M2, VFSLIDE1UP_VF, 0x1, 0x0 }, // 2880
  { PseudoVFSLIDE1UP_VFPR16_M2_MASK, VFSLIDE1UP_VF, 0x1, 0x0 }, // 2881
  { PseudoVFSLIDE1UP_VFPR32_M2, VFSLIDE1UP_VF, 0x1, 0x0 }, // 2882
  { PseudoVFSLIDE1UP_VFPR32_M2_MASK, VFSLIDE1UP_VF, 0x1, 0x0 }, // 2883
  { PseudoVFSLIDE1UP_VFPR64_M2, VFSLIDE1UP_VF, 0x1, 0x0 }, // 2884
  { PseudoVFSLIDE1UP_VFPR64_M2_MASK, VFSLIDE1UP_VF, 0x1, 0x0 }, // 2885
  { PseudoVFSLIDE1UP_VFPR16_M4, VFSLIDE1UP_VF, 0x2, 0x0 }, // 2886
  { PseudoVFSLIDE1UP_VFPR16_M4_MASK, VFSLIDE1UP_VF, 0x2, 0x0 }, // 2887
  { PseudoVFSLIDE1UP_VFPR32_M4, VFSLIDE1UP_VF, 0x2, 0x0 }, // 2888
  { PseudoVFSLIDE1UP_VFPR32_M4_MASK, VFSLIDE1UP_VF, 0x2, 0x0 }, // 2889
  { PseudoVFSLIDE1UP_VFPR64_M4, VFSLIDE1UP_VF, 0x2, 0x0 }, // 2890
  { PseudoVFSLIDE1UP_VFPR64_M4_MASK, VFSLIDE1UP_VF, 0x2, 0x0 }, // 2891
  { PseudoVFSLIDE1UP_VFPR16_M8, VFSLIDE1UP_VF, 0x3, 0x0 }, // 2892
  { PseudoVFSLIDE1UP_VFPR16_M8_MASK, VFSLIDE1UP_VF, 0x3, 0x0 }, // 2893
  { PseudoVFSLIDE1UP_VFPR32_M8, VFSLIDE1UP_VF, 0x3, 0x0 }, // 2894
  { PseudoVFSLIDE1UP_VFPR32_M8_MASK, VFSLIDE1UP_VF, 0x3, 0x0 }, // 2895
  { PseudoVFSLIDE1UP_VFPR64_M8, VFSLIDE1UP_VF, 0x3, 0x0 }, // 2896
  { PseudoVFSLIDE1UP_VFPR64_M8_MASK, VFSLIDE1UP_VF, 0x3, 0x0 }, // 2897
  { PseudoVFSLIDE1UP_VFPR16_MF4, VFSLIDE1UP_VF, 0x6, 0x0 }, // 2898
  { PseudoVFSLIDE1UP_VFPR16_MF4_MASK, VFSLIDE1UP_VF, 0x6, 0x0 }, // 2899
  { PseudoVFSLIDE1UP_VFPR16_MF2, VFSLIDE1UP_VF, 0x7, 0x0 }, // 2900
  { PseudoVFSLIDE1UP_VFPR16_MF2_MASK, VFSLIDE1UP_VF, 0x7, 0x0 }, // 2901
  { PseudoVFSLIDE1UP_VFPR32_MF2, VFSLIDE1UP_VF, 0x7, 0x0 }, // 2902
  { PseudoVFSLIDE1UP_VFPR32_MF2_MASK, VFSLIDE1UP_VF, 0x7, 0x0 }, // 2903
  { PseudoVFSQRT_V_M1_E16, VFSQRT_V, 0x0, 0x10 }, // 2904
  { PseudoVFSQRT_V_M1_E16_MASK, VFSQRT_V, 0x0, 0x10 }, // 2905
  { PseudoVFSQRT_V_M1_E32, VFSQRT_V, 0x0, 0x20 }, // 2906
  { PseudoVFSQRT_V_M1_E32_MASK, VFSQRT_V, 0x0, 0x20 }, // 2907
  { PseudoVFSQRT_V_M1_E64, VFSQRT_V, 0x0, 0x40 }, // 2908
  { PseudoVFSQRT_V_M1_E64_MASK, VFSQRT_V, 0x0, 0x40 }, // 2909
  { PseudoVFSQRT_V_M2_E16, VFSQRT_V, 0x1, 0x10 }, // 2910
  { PseudoVFSQRT_V_M2_E16_MASK, VFSQRT_V, 0x1, 0x10 }, // 2911
  { PseudoVFSQRT_V_M2_E32, VFSQRT_V, 0x1, 0x20 }, // 2912
  { PseudoVFSQRT_V_M2_E32_MASK, VFSQRT_V, 0x1, 0x20 }, // 2913
  { PseudoVFSQRT_V_M2_E64, VFSQRT_V, 0x1, 0x40 }, // 2914
  { PseudoVFSQRT_V_M2_E64_MASK, VFSQRT_V, 0x1, 0x40 }, // 2915
  { PseudoVFSQRT_V_M4_E16, VFSQRT_V, 0x2, 0x10 }, // 2916
  { PseudoVFSQRT_V_M4_E16_MASK, VFSQRT_V, 0x2, 0x10 }, // 2917
  { PseudoVFSQRT_V_M4_E32, VFSQRT_V, 0x2, 0x20 }, // 2918
  { PseudoVFSQRT_V_M4_E32_MASK, VFSQRT_V, 0x2, 0x20 }, // 2919
  { PseudoVFSQRT_V_M4_E64, VFSQRT_V, 0x2, 0x40 }, // 2920
  { PseudoVFSQRT_V_M4_E64_MASK, VFSQRT_V, 0x2, 0x40 }, // 2921
  { PseudoVFSQRT_V_M8_E16, VFSQRT_V, 0x3, 0x10 }, // 2922
  { PseudoVFSQRT_V_M8_E16_MASK, VFSQRT_V, 0x3, 0x10 }, // 2923
  { PseudoVFSQRT_V_M8_E32, VFSQRT_V, 0x3, 0x20 }, // 2924
  { PseudoVFSQRT_V_M8_E32_MASK, VFSQRT_V, 0x3, 0x20 }, // 2925
  { PseudoVFSQRT_V_M8_E64, VFSQRT_V, 0x3, 0x40 }, // 2926
  { PseudoVFSQRT_V_M8_E64_MASK, VFSQRT_V, 0x3, 0x40 }, // 2927
  { PseudoVFSQRT_V_MF4_E16, VFSQRT_V, 0x6, 0x10 }, // 2928
  { PseudoVFSQRT_V_MF4_E16_MASK, VFSQRT_V, 0x6, 0x10 }, // 2929
  { PseudoVFSQRT_V_MF2_E16, VFSQRT_V, 0x7, 0x10 }, // 2930
  { PseudoVFSQRT_V_MF2_E16_MASK, VFSQRT_V, 0x7, 0x10 }, // 2931
  { PseudoVFSQRT_V_MF2_E32, VFSQRT_V, 0x7, 0x20 }, // 2932
  { PseudoVFSQRT_V_MF2_E32_MASK, VFSQRT_V, 0x7, 0x20 }, // 2933
  { PseudoVFSUB_VFPR16_M1_E16, VFSUB_VF, 0x0, 0x10 }, // 2934
  { PseudoVFSUB_VFPR16_M1_E16_MASK, VFSUB_VF, 0x0, 0x10 }, // 2935
  { PseudoVFSUB_VFPR32_M1_E32, VFSUB_VF, 0x0, 0x20 }, // 2936
  { PseudoVFSUB_VFPR32_M1_E32_MASK, VFSUB_VF, 0x0, 0x20 }, // 2937
  { PseudoVFSUB_VFPR64_M1_E64, VFSUB_VF, 0x0, 0x40 }, // 2938
  { PseudoVFSUB_VFPR64_M1_E64_MASK, VFSUB_VF, 0x0, 0x40 }, // 2939
  { PseudoVFSUB_VFPR16_M2_E16, VFSUB_VF, 0x1, 0x10 }, // 2940
  { PseudoVFSUB_VFPR16_M2_E16_MASK, VFSUB_VF, 0x1, 0x10 }, // 2941
  { PseudoVFSUB_VFPR32_M2_E32, VFSUB_VF, 0x1, 0x20 }, // 2942
  { PseudoVFSUB_VFPR32_M2_E32_MASK, VFSUB_VF, 0x1, 0x20 }, // 2943
  { PseudoVFSUB_VFPR64_M2_E64, VFSUB_VF, 0x1, 0x40 }, // 2944
  { PseudoVFSUB_VFPR64_M2_E64_MASK, VFSUB_VF, 0x1, 0x40 }, // 2945
  { PseudoVFSUB_VFPR16_M4_E16, VFSUB_VF, 0x2, 0x10 }, // 2946
  { PseudoVFSUB_VFPR16_M4_E16_MASK, VFSUB_VF, 0x2, 0x10 }, // 2947
  { PseudoVFSUB_VFPR32_M4_E32, VFSUB_VF, 0x2, 0x20 }, // 2948
  { PseudoVFSUB_VFPR32_M4_E32_MASK, VFSUB_VF, 0x2, 0x20 }, // 2949
  { PseudoVFSUB_VFPR64_M4_E64, VFSUB_VF, 0x2, 0x40 }, // 2950
  { PseudoVFSUB_VFPR64_M4_E64_MASK, VFSUB_VF, 0x2, 0x40 }, // 2951
  { PseudoVFSUB_VFPR16_M8_E16, VFSUB_VF, 0x3, 0x10 }, // 2952
  { PseudoVFSUB_VFPR16_M8_E16_MASK, VFSUB_VF, 0x3, 0x10 }, // 2953
  { PseudoVFSUB_VFPR32_M8_E32, VFSUB_VF, 0x3, 0x20 }, // 2954
  { PseudoVFSUB_VFPR32_M8_E32_MASK, VFSUB_VF, 0x3, 0x20 }, // 2955
  { PseudoVFSUB_VFPR64_M8_E64, VFSUB_VF, 0x3, 0x40 }, // 2956
  { PseudoVFSUB_VFPR64_M8_E64_MASK, VFSUB_VF, 0x3, 0x40 }, // 2957
  { PseudoVFSUB_VFPR16_MF4_E16, VFSUB_VF, 0x6, 0x10 }, // 2958
  { PseudoVFSUB_VFPR16_MF4_E16_MASK, VFSUB_VF, 0x6, 0x10 }, // 2959
  { PseudoVFSUB_VFPR16_MF2_E16, VFSUB_VF, 0x7, 0x10 }, // 2960
  { PseudoVFSUB_VFPR16_MF2_E16_MASK, VFSUB_VF, 0x7, 0x10 }, // 2961
  { PseudoVFSUB_VFPR32_MF2_E32, VFSUB_VF, 0x7, 0x20 }, // 2962
  { PseudoVFSUB_VFPR32_MF2_E32_MASK, VFSUB_VF, 0x7, 0x20 }, // 2963
  { PseudoVFSUB_VV_M1_E16, VFSUB_VV, 0x0, 0x10 }, // 2964
  { PseudoVFSUB_VV_M1_E16_MASK, VFSUB_VV, 0x0, 0x10 }, // 2965
  { PseudoVFSUB_VV_M1_E32, VFSUB_VV, 0x0, 0x20 }, // 2966
  { PseudoVFSUB_VV_M1_E32_MASK, VFSUB_VV, 0x0, 0x20 }, // 2967
  { PseudoVFSUB_VV_M1_E64, VFSUB_VV, 0x0, 0x40 }, // 2968
  { PseudoVFSUB_VV_M1_E64_MASK, VFSUB_VV, 0x0, 0x40 }, // 2969
  { PseudoVFSUB_VV_M2_E16, VFSUB_VV, 0x1, 0x10 }, // 2970
  { PseudoVFSUB_VV_M2_E16_MASK, VFSUB_VV, 0x1, 0x10 }, // 2971
  { PseudoVFSUB_VV_M2_E32, VFSUB_VV, 0x1, 0x20 }, // 2972
  { PseudoVFSUB_VV_M2_E32_MASK, VFSUB_VV, 0x1, 0x20 }, // 2973
  { PseudoVFSUB_VV_M2_E64, VFSUB_VV, 0x1, 0x40 }, // 2974
  { PseudoVFSUB_VV_M2_E64_MASK, VFSUB_VV, 0x1, 0x40 }, // 2975
  { PseudoVFSUB_VV_M4_E16, VFSUB_VV, 0x2, 0x10 }, // 2976
  { PseudoVFSUB_VV_M4_E16_MASK, VFSUB_VV, 0x2, 0x10 }, // 2977
  { PseudoVFSUB_VV_M4_E32, VFSUB_VV, 0x2, 0x20 }, // 2978
  { PseudoVFSUB_VV_M4_E32_MASK, VFSUB_VV, 0x2, 0x20 }, // 2979
  { PseudoVFSUB_VV_M4_E64, VFSUB_VV, 0x2, 0x40 }, // 2980
  { PseudoVFSUB_VV_M4_E64_MASK, VFSUB_VV, 0x2, 0x40 }, // 2981
  { PseudoVFSUB_VV_M8_E16, VFSUB_VV, 0x3, 0x10 }, // 2982
  { PseudoVFSUB_VV_M8_E16_MASK, VFSUB_VV, 0x3, 0x10 }, // 2983
  { PseudoVFSUB_VV_M8_E32, VFSUB_VV, 0x3, 0x20 }, // 2984
  { PseudoVFSUB_VV_M8_E32_MASK, VFSUB_VV, 0x3, 0x20 }, // 2985
  { PseudoVFSUB_VV_M8_E64, VFSUB_VV, 0x3, 0x40 }, // 2986
  { PseudoVFSUB_VV_M8_E64_MASK, VFSUB_VV, 0x3, 0x40 }, // 2987
  { PseudoVFSUB_VV_MF4_E16, VFSUB_VV, 0x6, 0x10 }, // 2988
  { PseudoVFSUB_VV_MF4_E16_MASK, VFSUB_VV, 0x6, 0x10 }, // 2989
  { PseudoVFSUB_VV_MF2_E16, VFSUB_VV, 0x7, 0x10 }, // 2990
  { PseudoVFSUB_VV_MF2_E16_MASK, VFSUB_VV, 0x7, 0x10 }, // 2991
  { PseudoVFSUB_VV_MF2_E32, VFSUB_VV, 0x7, 0x20 }, // 2992
  { PseudoVFSUB_VV_MF2_E32_MASK, VFSUB_VV, 0x7, 0x20 }, // 2993
  { PseudoVFWADD_VFPR16_M1_E16, VFWADD_VF, 0x0, 0x10 }, // 2994
  { PseudoVFWADD_VFPR16_M1_E16_MASK, VFWADD_VF, 0x0, 0x10 }, // 2995
  { PseudoVFWADD_VFPR32_M1_E32, VFWADD_VF, 0x0, 0x20 }, // 2996
  { PseudoVFWADD_VFPR32_M1_E32_MASK, VFWADD_VF, 0x0, 0x20 }, // 2997
  { PseudoVFWADD_VFPR16_M2_E16, VFWADD_VF, 0x1, 0x10 }, // 2998
  { PseudoVFWADD_VFPR16_M2_E16_MASK, VFWADD_VF, 0x1, 0x10 }, // 2999
  { PseudoVFWADD_VFPR32_M2_E32, VFWADD_VF, 0x1, 0x20 }, // 3000
  { PseudoVFWADD_VFPR32_M2_E32_MASK, VFWADD_VF, 0x1, 0x20 }, // 3001
  { PseudoVFWADD_VFPR16_M4_E16, VFWADD_VF, 0x2, 0x10 }, // 3002
  { PseudoVFWADD_VFPR16_M4_E16_MASK, VFWADD_VF, 0x2, 0x10 }, // 3003
  { PseudoVFWADD_VFPR32_M4_E32, VFWADD_VF, 0x2, 0x20 }, // 3004
  { PseudoVFWADD_VFPR32_M4_E32_MASK, VFWADD_VF, 0x2, 0x20 }, // 3005
  { PseudoVFWADD_VFPR16_MF4_E16, VFWADD_VF, 0x6, 0x10 }, // 3006
  { PseudoVFWADD_VFPR16_MF4_E16_MASK, VFWADD_VF, 0x6, 0x10 }, // 3007
  { PseudoVFWADD_VFPR16_MF2_E16, VFWADD_VF, 0x7, 0x10 }, // 3008
  { PseudoVFWADD_VFPR16_MF2_E16_MASK, VFWADD_VF, 0x7, 0x10 }, // 3009
  { PseudoVFWADD_VFPR32_MF2_E32, VFWADD_VF, 0x7, 0x20 }, // 3010
  { PseudoVFWADD_VFPR32_MF2_E32_MASK, VFWADD_VF, 0x7, 0x20 }, // 3011
  { PseudoVFWADD_VV_M1_E16, VFWADD_VV, 0x0, 0x10 }, // 3012
  { PseudoVFWADD_VV_M1_E16_MASK, VFWADD_VV, 0x0, 0x10 }, // 3013
  { PseudoVFWADD_VV_M1_E32, VFWADD_VV, 0x0, 0x20 }, // 3014
  { PseudoVFWADD_VV_M1_E32_MASK, VFWADD_VV, 0x0, 0x20 }, // 3015
  { PseudoVFWADD_VV_M2_E16, VFWADD_VV, 0x1, 0x10 }, // 3016
  { PseudoVFWADD_VV_M2_E16_MASK, VFWADD_VV, 0x1, 0x10 }, // 3017
  { PseudoVFWADD_VV_M2_E32, VFWADD_VV, 0x1, 0x20 }, // 3018
  { PseudoVFWADD_VV_M2_E32_MASK, VFWADD_VV, 0x1, 0x20 }, // 3019
  { PseudoVFWADD_VV_M4_E16, VFWADD_VV, 0x2, 0x10 }, // 3020
  { PseudoVFWADD_VV_M4_E16_MASK, VFWADD_VV, 0x2, 0x10 }, // 3021
  { PseudoVFWADD_VV_M4_E32, VFWADD_VV, 0x2, 0x20 }, // 3022
  { PseudoVFWADD_VV_M4_E32_MASK, VFWADD_VV, 0x2, 0x20 }, // 3023
  { PseudoVFWADD_VV_MF4_E16, VFWADD_VV, 0x6, 0x10 }, // 3024
  { PseudoVFWADD_VV_MF4_E16_MASK, VFWADD_VV, 0x6, 0x10 }, // 3025
  { PseudoVFWADD_VV_MF2_E16, VFWADD_VV, 0x7, 0x10 }, // 3026
  { PseudoVFWADD_VV_MF2_E16_MASK, VFWADD_VV, 0x7, 0x10 }, // 3027
  { PseudoVFWADD_VV_MF2_E32, VFWADD_VV, 0x7, 0x20 }, // 3028
  { PseudoVFWADD_VV_MF2_E32_MASK, VFWADD_VV, 0x7, 0x20 }, // 3029
  { PseudoVFWADD_WFPR16_M1_E16, VFWADD_WF, 0x0, 0x10 }, // 3030
  { PseudoVFWADD_WFPR16_M1_E16_MASK, VFWADD_WF, 0x0, 0x10 }, // 3031
  { PseudoVFWADD_WFPR32_M1_E32, VFWADD_WF, 0x0, 0x20 }, // 3032
  { PseudoVFWADD_WFPR32_M1_E32_MASK, VFWADD_WF, 0x0, 0x20 }, // 3033
  { PseudoVFWADD_WFPR16_M2_E16, VFWADD_WF, 0x1, 0x10 }, // 3034
  { PseudoVFWADD_WFPR16_M2_E16_MASK, VFWADD_WF, 0x1, 0x10 }, // 3035
  { PseudoVFWADD_WFPR32_M2_E32, VFWADD_WF, 0x1, 0x20 }, // 3036
  { PseudoVFWADD_WFPR32_M2_E32_MASK, VFWADD_WF, 0x1, 0x20 }, // 3037
  { PseudoVFWADD_WFPR16_M4_E16, VFWADD_WF, 0x2, 0x10 }, // 3038
  { PseudoVFWADD_WFPR16_M4_E16_MASK, VFWADD_WF, 0x2, 0x10 }, // 3039
  { PseudoVFWADD_WFPR32_M4_E32, VFWADD_WF, 0x2, 0x20 }, // 3040
  { PseudoVFWADD_WFPR32_M4_E32_MASK, VFWADD_WF, 0x2, 0x20 }, // 3041
  { PseudoVFWADD_WFPR16_MF4_E16, VFWADD_WF, 0x6, 0x10 }, // 3042
  { PseudoVFWADD_WFPR16_MF4_E16_MASK, VFWADD_WF, 0x6, 0x10 }, // 3043
  { PseudoVFWADD_WFPR16_MF2_E16, VFWADD_WF, 0x7, 0x10 }, // 3044
  { PseudoVFWADD_WFPR16_MF2_E16_MASK, VFWADD_WF, 0x7, 0x10 }, // 3045
  { PseudoVFWADD_WFPR32_MF2_E32, VFWADD_WF, 0x7, 0x20 }, // 3046
  { PseudoVFWADD_WFPR32_MF2_E32_MASK, VFWADD_WF, 0x7, 0x20 }, // 3047
  { PseudoVFWADD_WV_M1_E16_MASK_TIED, VFWADD_WV, 0x0, 0x0 }, // 3048
  { PseudoVFWADD_WV_M1_E16_TIED, VFWADD_WV, 0x0, 0x0 }, // 3049
  { PseudoVFWADD_WV_M1_E32_MASK_TIED, VFWADD_WV, 0x0, 0x0 }, // 3050
  { PseudoVFWADD_WV_M1_E32_TIED, VFWADD_WV, 0x0, 0x0 }, // 3051
  { PseudoVFWADD_WV_M1_E16, VFWADD_WV, 0x0, 0x10 }, // 3052
  { PseudoVFWADD_WV_M1_E16_MASK, VFWADD_WV, 0x0, 0x10 }, // 3053
  { PseudoVFWADD_WV_M1_E32, VFWADD_WV, 0x0, 0x20 }, // 3054
  { PseudoVFWADD_WV_M1_E32_MASK, VFWADD_WV, 0x0, 0x20 }, // 3055
  { PseudoVFWADD_WV_M2_E16_MASK_TIED, VFWADD_WV, 0x1, 0x0 }, // 3056
  { PseudoVFWADD_WV_M2_E16_TIED, VFWADD_WV, 0x1, 0x0 }, // 3057
  { PseudoVFWADD_WV_M2_E32_MASK_TIED, VFWADD_WV, 0x1, 0x0 }, // 3058
  { PseudoVFWADD_WV_M2_E32_TIED, VFWADD_WV, 0x1, 0x0 }, // 3059
  { PseudoVFWADD_WV_M2_E16, VFWADD_WV, 0x1, 0x10 }, // 3060
  { PseudoVFWADD_WV_M2_E16_MASK, VFWADD_WV, 0x1, 0x10 }, // 3061
  { PseudoVFWADD_WV_M2_E32, VFWADD_WV, 0x1, 0x20 }, // 3062
  { PseudoVFWADD_WV_M2_E32_MASK, VFWADD_WV, 0x1, 0x20 }, // 3063
  { PseudoVFWADD_WV_M4_E16_MASK_TIED, VFWADD_WV, 0x2, 0x0 }, // 3064
  { PseudoVFWADD_WV_M4_E16_TIED, VFWADD_WV, 0x2, 0x0 }, // 3065
  { PseudoVFWADD_WV_M4_E32_MASK_TIED, VFWADD_WV, 0x2, 0x0 }, // 3066
  { PseudoVFWADD_WV_M4_E32_TIED, VFWADD_WV, 0x2, 0x0 }, // 3067
  { PseudoVFWADD_WV_M4_E16, VFWADD_WV, 0x2, 0x10 }, // 3068
  { PseudoVFWADD_WV_M4_E16_MASK, VFWADD_WV, 0x2, 0x10 }, // 3069
  { PseudoVFWADD_WV_M4_E32, VFWADD_WV, 0x2, 0x20 }, // 3070
  { PseudoVFWADD_WV_M4_E32_MASK, VFWADD_WV, 0x2, 0x20 }, // 3071
  { PseudoVFWADD_WV_MF4_E16_MASK_TIED, VFWADD_WV, 0x6, 0x0 }, // 3072
  { PseudoVFWADD_WV_MF4_E16_TIED, VFWADD_WV, 0x6, 0x0 }, // 3073
  { PseudoVFWADD_WV_MF4_E16, VFWADD_WV, 0x6, 0x10 }, // 3074
  { PseudoVFWADD_WV_MF4_E16_MASK, VFWADD_WV, 0x6, 0x10 }, // 3075
  { PseudoVFWADD_WV_MF2_E16_MASK_TIED, VFWADD_WV, 0x7, 0x0 }, // 3076
  { PseudoVFWADD_WV_MF2_E16_TIED, VFWADD_WV, 0x7, 0x0 }, // 3077
  { PseudoVFWADD_WV_MF2_E32_MASK_TIED, VFWADD_WV, 0x7, 0x0 }, // 3078
  { PseudoVFWADD_WV_MF2_E32_TIED, VFWADD_WV, 0x7, 0x0 }, // 3079
  { PseudoVFWADD_WV_MF2_E16, VFWADD_WV, 0x7, 0x10 }, // 3080
  { PseudoVFWADD_WV_MF2_E16_MASK, VFWADD_WV, 0x7, 0x10 }, // 3081
  { PseudoVFWADD_WV_MF2_E32, VFWADD_WV, 0x7, 0x20 }, // 3082
  { PseudoVFWADD_WV_MF2_E32_MASK, VFWADD_WV, 0x7, 0x20 }, // 3083
  { PseudoVFWCVTBF16_F_F_V_M1_E16, VFWCVTBF16_F_F_V, 0x0, 0x10 }, // 3084
  { PseudoVFWCVTBF16_F_F_V_M1_E16_MASK, VFWCVTBF16_F_F_V, 0x0, 0x10 }, // 3085
  { PseudoVFWCVTBF16_F_F_V_M1_E32, VFWCVTBF16_F_F_V, 0x0, 0x20 }, // 3086
  { PseudoVFWCVTBF16_F_F_V_M1_E32_MASK, VFWCVTBF16_F_F_V, 0x0, 0x20 }, // 3087
  { PseudoVFWCVTBF16_F_F_V_M2_E16, VFWCVTBF16_F_F_V, 0x1, 0x10 }, // 3088
  { PseudoVFWCVTBF16_F_F_V_M2_E16_MASK, VFWCVTBF16_F_F_V, 0x1, 0x10 }, // 3089
  { PseudoVFWCVTBF16_F_F_V_M2_E32, VFWCVTBF16_F_F_V, 0x1, 0x20 }, // 3090
  { PseudoVFWCVTBF16_F_F_V_M2_E32_MASK, VFWCVTBF16_F_F_V, 0x1, 0x20 }, // 3091
  { PseudoVFWCVTBF16_F_F_V_M4_E16, VFWCVTBF16_F_F_V, 0x2, 0x10 }, // 3092
  { PseudoVFWCVTBF16_F_F_V_M4_E16_MASK, VFWCVTBF16_F_F_V, 0x2, 0x10 }, // 3093
  { PseudoVFWCVTBF16_F_F_V_M4_E32, VFWCVTBF16_F_F_V, 0x2, 0x20 }, // 3094
  { PseudoVFWCVTBF16_F_F_V_M4_E32_MASK, VFWCVTBF16_F_F_V, 0x2, 0x20 }, // 3095
  { PseudoVFWCVTBF16_F_F_V_MF4_E16, VFWCVTBF16_F_F_V, 0x6, 0x10 }, // 3096
  { PseudoVFWCVTBF16_F_F_V_MF4_E16_MASK, VFWCVTBF16_F_F_V, 0x6, 0x10 }, // 3097
  { PseudoVFWCVTBF16_F_F_V_MF2_E16, VFWCVTBF16_F_F_V, 0x7, 0x10 }, // 3098
  { PseudoVFWCVTBF16_F_F_V_MF2_E16_MASK, VFWCVTBF16_F_F_V, 0x7, 0x10 }, // 3099
  { PseudoVFWCVTBF16_F_F_V_MF2_E32, VFWCVTBF16_F_F_V, 0x7, 0x20 }, // 3100
  { PseudoVFWCVTBF16_F_F_V_MF2_E32_MASK, VFWCVTBF16_F_F_V, 0x7, 0x20 }, // 3101
  { PseudoVFWCVT_F_F_V_M1_E16, VFWCVT_F_F_V, 0x0, 0x10 }, // 3102
  { PseudoVFWCVT_F_F_V_M1_E16_MASK, VFWCVT_F_F_V, 0x0, 0x10 }, // 3103
  { PseudoVFWCVT_F_F_V_M1_E32, VFWCVT_F_F_V, 0x0, 0x20 }, // 3104
  { PseudoVFWCVT_F_F_V_M1_E32_MASK, VFWCVT_F_F_V, 0x0, 0x20 }, // 3105
  { PseudoVFWCVT_F_F_V_M2_E16, VFWCVT_F_F_V, 0x1, 0x10 }, // 3106
  { PseudoVFWCVT_F_F_V_M2_E16_MASK, VFWCVT_F_F_V, 0x1, 0x10 }, // 3107
  { PseudoVFWCVT_F_F_V_M2_E32, VFWCVT_F_F_V, 0x1, 0x20 }, // 3108
  { PseudoVFWCVT_F_F_V_M2_E32_MASK, VFWCVT_F_F_V, 0x1, 0x20 }, // 3109
  { PseudoVFWCVT_F_F_V_M4_E16, VFWCVT_F_F_V, 0x2, 0x10 }, // 3110
  { PseudoVFWCVT_F_F_V_M4_E16_MASK, VFWCVT_F_F_V, 0x2, 0x10 }, // 3111
  { PseudoVFWCVT_F_F_V_M4_E32, VFWCVT_F_F_V, 0x2, 0x20 }, // 3112
  { PseudoVFWCVT_F_F_V_M4_E32_MASK, VFWCVT_F_F_V, 0x2, 0x20 }, // 3113
  { PseudoVFWCVT_F_F_V_MF4_E16, VFWCVT_F_F_V, 0x6, 0x10 }, // 3114
  { PseudoVFWCVT_F_F_V_MF4_E16_MASK, VFWCVT_F_F_V, 0x6, 0x10 }, // 3115
  { PseudoVFWCVT_F_F_V_MF2_E16, VFWCVT_F_F_V, 0x7, 0x10 }, // 3116
  { PseudoVFWCVT_F_F_V_MF2_E16_MASK, VFWCVT_F_F_V, 0x7, 0x10 }, // 3117
  { PseudoVFWCVT_F_F_V_MF2_E32, VFWCVT_F_F_V, 0x7, 0x20 }, // 3118
  { PseudoVFWCVT_F_F_V_MF2_E32_MASK, VFWCVT_F_F_V, 0x7, 0x20 }, // 3119
  { PseudoVFWCVT_F_XU_V_M1_E8, VFWCVT_F_XU_V, 0x0, 0x8 }, // 3120
  { PseudoVFWCVT_F_XU_V_M1_E8_MASK, VFWCVT_F_XU_V, 0x0, 0x8 }, // 3121
  { PseudoVFWCVT_F_XU_V_M1_E16, VFWCVT_F_XU_V, 0x0, 0x10 }, // 3122
  { PseudoVFWCVT_F_XU_V_M1_E16_MASK, VFWCVT_F_XU_V, 0x0, 0x10 }, // 3123
  { PseudoVFWCVT_F_XU_V_M1_E32, VFWCVT_F_XU_V, 0x0, 0x20 }, // 3124
  { PseudoVFWCVT_F_XU_V_M1_E32_MASK, VFWCVT_F_XU_V, 0x0, 0x20 }, // 3125
  { PseudoVFWCVT_F_XU_V_M2_E8, VFWCVT_F_XU_V, 0x1, 0x8 }, // 3126
  { PseudoVFWCVT_F_XU_V_M2_E8_MASK, VFWCVT_F_XU_V, 0x1, 0x8 }, // 3127
  { PseudoVFWCVT_F_XU_V_M2_E16, VFWCVT_F_XU_V, 0x1, 0x10 }, // 3128
  { PseudoVFWCVT_F_XU_V_M2_E16_MASK, VFWCVT_F_XU_V, 0x1, 0x10 }, // 3129
  { PseudoVFWCVT_F_XU_V_M2_E32, VFWCVT_F_XU_V, 0x1, 0x20 }, // 3130
  { PseudoVFWCVT_F_XU_V_M2_E32_MASK, VFWCVT_F_XU_V, 0x1, 0x20 }, // 3131
  { PseudoVFWCVT_F_XU_V_M4_E8, VFWCVT_F_XU_V, 0x2, 0x8 }, // 3132
  { PseudoVFWCVT_F_XU_V_M4_E8_MASK, VFWCVT_F_XU_V, 0x2, 0x8 }, // 3133
  { PseudoVFWCVT_F_XU_V_M4_E16, VFWCVT_F_XU_V, 0x2, 0x10 }, // 3134
  { PseudoVFWCVT_F_XU_V_M4_E16_MASK, VFWCVT_F_XU_V, 0x2, 0x10 }, // 3135
  { PseudoVFWCVT_F_XU_V_M4_E32, VFWCVT_F_XU_V, 0x2, 0x20 }, // 3136
  { PseudoVFWCVT_F_XU_V_M4_E32_MASK, VFWCVT_F_XU_V, 0x2, 0x20 }, // 3137
  { PseudoVFWCVT_F_XU_V_MF8_E8, VFWCVT_F_XU_V, 0x5, 0x8 }, // 3138
  { PseudoVFWCVT_F_XU_V_MF8_E8_MASK, VFWCVT_F_XU_V, 0x5, 0x8 }, // 3139
  { PseudoVFWCVT_F_XU_V_MF4_E8, VFWCVT_F_XU_V, 0x6, 0x8 }, // 3140
  { PseudoVFWCVT_F_XU_V_MF4_E8_MASK, VFWCVT_F_XU_V, 0x6, 0x8 }, // 3141
  { PseudoVFWCVT_F_XU_V_MF4_E16, VFWCVT_F_XU_V, 0x6, 0x10 }, // 3142
  { PseudoVFWCVT_F_XU_V_MF4_E16_MASK, VFWCVT_F_XU_V, 0x6, 0x10 }, // 3143
  { PseudoVFWCVT_F_XU_V_MF2_E8, VFWCVT_F_XU_V, 0x7, 0x8 }, // 3144
  { PseudoVFWCVT_F_XU_V_MF2_E8_MASK, VFWCVT_F_XU_V, 0x7, 0x8 }, // 3145
  { PseudoVFWCVT_F_XU_V_MF2_E16, VFWCVT_F_XU_V, 0x7, 0x10 }, // 3146
  { PseudoVFWCVT_F_XU_V_MF2_E16_MASK, VFWCVT_F_XU_V, 0x7, 0x10 }, // 3147
  { PseudoVFWCVT_F_XU_V_MF2_E32, VFWCVT_F_XU_V, 0x7, 0x20 }, // 3148
  { PseudoVFWCVT_F_XU_V_MF2_E32_MASK, VFWCVT_F_XU_V, 0x7, 0x20 }, // 3149
  { PseudoVFWCVT_F_X_V_M1_E8, VFWCVT_F_X_V, 0x0, 0x8 }, // 3150
  { PseudoVFWCVT_F_X_V_M1_E8_MASK, VFWCVT_F_X_V, 0x0, 0x8 }, // 3151
  { PseudoVFWCVT_F_X_V_M1_E16, VFWCVT_F_X_V, 0x0, 0x10 }, // 3152
  { PseudoVFWCVT_F_X_V_M1_E16_MASK, VFWCVT_F_X_V, 0x0, 0x10 }, // 3153
  { PseudoVFWCVT_F_X_V_M1_E32, VFWCVT_F_X_V, 0x0, 0x20 }, // 3154
  { PseudoVFWCVT_F_X_V_M1_E32_MASK, VFWCVT_F_X_V, 0x0, 0x20 }, // 3155
  { PseudoVFWCVT_F_X_V_M2_E8, VFWCVT_F_X_V, 0x1, 0x8 }, // 3156
  { PseudoVFWCVT_F_X_V_M2_E8_MASK, VFWCVT_F_X_V, 0x1, 0x8 }, // 3157
  { PseudoVFWCVT_F_X_V_M2_E16, VFWCVT_F_X_V, 0x1, 0x10 }, // 3158
  { PseudoVFWCVT_F_X_V_M2_E16_MASK, VFWCVT_F_X_V, 0x1, 0x10 }, // 3159
  { PseudoVFWCVT_F_X_V_M2_E32, VFWCVT_F_X_V, 0x1, 0x20 }, // 3160
  { PseudoVFWCVT_F_X_V_M2_E32_MASK, VFWCVT_F_X_V, 0x1, 0x20 }, // 3161
  { PseudoVFWCVT_F_X_V_M4_E8, VFWCVT_F_X_V, 0x2, 0x8 }, // 3162
  { PseudoVFWCVT_F_X_V_M4_E8_MASK, VFWCVT_F_X_V, 0x2, 0x8 }, // 3163
  { PseudoVFWCVT_F_X_V_M4_E16, VFWCVT_F_X_V, 0x2, 0x10 }, // 3164
  { PseudoVFWCVT_F_X_V_M4_E16_MASK, VFWCVT_F_X_V, 0x2, 0x10 }, // 3165
  { PseudoVFWCVT_F_X_V_M4_E32, VFWCVT_F_X_V, 0x2, 0x20 }, // 3166
  { PseudoVFWCVT_F_X_V_M4_E32_MASK, VFWCVT_F_X_V, 0x2, 0x20 }, // 3167
  { PseudoVFWCVT_F_X_V_MF8_E8, VFWCVT_F_X_V, 0x5, 0x8 }, // 3168
  { PseudoVFWCVT_F_X_V_MF8_E8_MASK, VFWCVT_F_X_V, 0x5, 0x8 }, // 3169
  { PseudoVFWCVT_F_X_V_MF4_E8, VFWCVT_F_X_V, 0x6, 0x8 }, // 3170
  { PseudoVFWCVT_F_X_V_MF4_E8_MASK, VFWCVT_F_X_V, 0x6, 0x8 }, // 3171
  { PseudoVFWCVT_F_X_V_MF4_E16, VFWCVT_F_X_V, 0x6, 0x10 }, // 3172
  { PseudoVFWCVT_F_X_V_MF4_E16_MASK, VFWCVT_F_X_V, 0x6, 0x10 }, // 3173
  { PseudoVFWCVT_F_X_V_MF2_E8, VFWCVT_F_X_V, 0x7, 0x8 }, // 3174
  { PseudoVFWCVT_F_X_V_MF2_E8_MASK, VFWCVT_F_X_V, 0x7, 0x8 }, // 3175
  { PseudoVFWCVT_F_X_V_MF2_E16, VFWCVT_F_X_V, 0x7, 0x10 }, // 3176
  { PseudoVFWCVT_F_X_V_MF2_E16_MASK, VFWCVT_F_X_V, 0x7, 0x10 }, // 3177
  { PseudoVFWCVT_F_X_V_MF2_E32, VFWCVT_F_X_V, 0x7, 0x20 }, // 3178
  { PseudoVFWCVT_F_X_V_MF2_E32_MASK, VFWCVT_F_X_V, 0x7, 0x20 }, // 3179
  { PseudoVFWCVT_RTZ_XU_F_V_M1, VFWCVT_RTZ_XU_F_V, 0x0, 0x0 }, // 3180
  { PseudoVFWCVT_RTZ_XU_F_V_M1_MASK, VFWCVT_RTZ_XU_F_V, 0x0, 0x0 }, // 3181
  { PseudoVFWCVT_RTZ_XU_F_V_M2, VFWCVT_RTZ_XU_F_V, 0x1, 0x0 }, // 3182
  { PseudoVFWCVT_RTZ_XU_F_V_M2_MASK, VFWCVT_RTZ_XU_F_V, 0x1, 0x0 }, // 3183
  { PseudoVFWCVT_RTZ_XU_F_V_M4, VFWCVT_RTZ_XU_F_V, 0x2, 0x0 }, // 3184
  { PseudoVFWCVT_RTZ_XU_F_V_M4_MASK, VFWCVT_RTZ_XU_F_V, 0x2, 0x0 }, // 3185
  { PseudoVFWCVT_RTZ_XU_F_V_MF4, VFWCVT_RTZ_XU_F_V, 0x6, 0x0 }, // 3186
  { PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK, VFWCVT_RTZ_XU_F_V, 0x6, 0x0 }, // 3187
  { PseudoVFWCVT_RTZ_XU_F_V_MF2, VFWCVT_RTZ_XU_F_V, 0x7, 0x0 }, // 3188
  { PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK, VFWCVT_RTZ_XU_F_V, 0x7, 0x0 }, // 3189
  { PseudoVFWCVT_RTZ_X_F_V_M1, VFWCVT_RTZ_X_F_V, 0x0, 0x0 }, // 3190
  { PseudoVFWCVT_RTZ_X_F_V_M1_MASK, VFWCVT_RTZ_X_F_V, 0x0, 0x0 }, // 3191
  { PseudoVFWCVT_RTZ_X_F_V_M2, VFWCVT_RTZ_X_F_V, 0x1, 0x0 }, // 3192
  { PseudoVFWCVT_RTZ_X_F_V_M2_MASK, VFWCVT_RTZ_X_F_V, 0x1, 0x0 }, // 3193
  { PseudoVFWCVT_RTZ_X_F_V_M4, VFWCVT_RTZ_X_F_V, 0x2, 0x0 }, // 3194
  { PseudoVFWCVT_RTZ_X_F_V_M4_MASK, VFWCVT_RTZ_X_F_V, 0x2, 0x0 }, // 3195
  { PseudoVFWCVT_RTZ_X_F_V_MF4, VFWCVT_RTZ_X_F_V, 0x6, 0x0 }, // 3196
  { PseudoVFWCVT_RTZ_X_F_V_MF4_MASK, VFWCVT_RTZ_X_F_V, 0x6, 0x0 }, // 3197
  { PseudoVFWCVT_RTZ_X_F_V_MF2, VFWCVT_RTZ_X_F_V, 0x7, 0x0 }, // 3198
  { PseudoVFWCVT_RTZ_X_F_V_MF2_MASK, VFWCVT_RTZ_X_F_V, 0x7, 0x0 }, // 3199
  { PseudoVFWCVT_RM_XU_F_V_M1, VFWCVT_XU_F_V, 0x0, 0x0 }, // 3200
  { PseudoVFWCVT_RM_XU_F_V_M1_MASK, VFWCVT_XU_F_V, 0x0, 0x0 }, // 3201
  { PseudoVFWCVT_XU_F_V_M1, VFWCVT_XU_F_V, 0x0, 0x0 }, // 3202
  { PseudoVFWCVT_XU_F_V_M1_MASK, VFWCVT_XU_F_V, 0x0, 0x0 }, // 3203
  { PseudoVFWCVT_RM_XU_F_V_M2, VFWCVT_XU_F_V, 0x1, 0x0 }, // 3204
  { PseudoVFWCVT_RM_XU_F_V_M2_MASK, VFWCVT_XU_F_V, 0x1, 0x0 }, // 3205
  { PseudoVFWCVT_XU_F_V_M2, VFWCVT_XU_F_V, 0x1, 0x0 }, // 3206
  { PseudoVFWCVT_XU_F_V_M2_MASK, VFWCVT_XU_F_V, 0x1, 0x0 }, // 3207
  { PseudoVFWCVT_RM_XU_F_V_M4, VFWCVT_XU_F_V, 0x2, 0x0 }, // 3208
  { PseudoVFWCVT_RM_XU_F_V_M4_MASK, VFWCVT_XU_F_V, 0x2, 0x0 }, // 3209
  { PseudoVFWCVT_XU_F_V_M4, VFWCVT_XU_F_V, 0x2, 0x0 }, // 3210
  { PseudoVFWCVT_XU_F_V_M4_MASK, VFWCVT_XU_F_V, 0x2, 0x0 }, // 3211
  { PseudoVFWCVT_RM_XU_F_V_MF4, VFWCVT_XU_F_V, 0x6, 0x0 }, // 3212
  { PseudoVFWCVT_RM_XU_F_V_MF4_MASK, VFWCVT_XU_F_V, 0x6, 0x0 }, // 3213
  { PseudoVFWCVT_XU_F_V_MF4, VFWCVT_XU_F_V, 0x6, 0x0 }, // 3214
  { PseudoVFWCVT_XU_F_V_MF4_MASK, VFWCVT_XU_F_V, 0x6, 0x0 }, // 3215
  { PseudoVFWCVT_RM_XU_F_V_MF2, VFWCVT_XU_F_V, 0x7, 0x0 }, // 3216
  { PseudoVFWCVT_RM_XU_F_V_MF2_MASK, VFWCVT_XU_F_V, 0x7, 0x0 }, // 3217
  { PseudoVFWCVT_XU_F_V_MF2, VFWCVT_XU_F_V, 0x7, 0x0 }, // 3218
  { PseudoVFWCVT_XU_F_V_MF2_MASK, VFWCVT_XU_F_V, 0x7, 0x0 }, // 3219
  { PseudoVFWCVT_RM_X_F_V_M1, VFWCVT_X_F_V, 0x0, 0x0 }, // 3220
  { PseudoVFWCVT_RM_X_F_V_M1_MASK, VFWCVT_X_F_V, 0x0, 0x0 }, // 3221
  { PseudoVFWCVT_X_F_V_M1, VFWCVT_X_F_V, 0x0, 0x0 }, // 3222
  { PseudoVFWCVT_X_F_V_M1_MASK, VFWCVT_X_F_V, 0x0, 0x0 }, // 3223
  { PseudoVFWCVT_RM_X_F_V_M2, VFWCVT_X_F_V, 0x1, 0x0 }, // 3224
  { PseudoVFWCVT_RM_X_F_V_M2_MASK, VFWCVT_X_F_V, 0x1, 0x0 }, // 3225
  { PseudoVFWCVT_X_F_V_M2, VFWCVT_X_F_V, 0x1, 0x0 }, // 3226
  { PseudoVFWCVT_X_F_V_M2_MASK, VFWCVT_X_F_V, 0x1, 0x0 }, // 3227
  { PseudoVFWCVT_RM_X_F_V_M4, VFWCVT_X_F_V, 0x2, 0x0 }, // 3228
  { PseudoVFWCVT_RM_X_F_V_M4_MASK, VFWCVT_X_F_V, 0x2, 0x0 }, // 3229
  { PseudoVFWCVT_X_F_V_M4, VFWCVT_X_F_V, 0x2, 0x0 }, // 3230
  { PseudoVFWCVT_X_F_V_M4_MASK, VFWCVT_X_F_V, 0x2, 0x0 }, // 3231
  { PseudoVFWCVT_RM_X_F_V_MF4, VFWCVT_X_F_V, 0x6, 0x0 }, // 3232
  { PseudoVFWCVT_RM_X_F_V_MF4_MASK, VFWCVT_X_F_V, 0x6, 0x0 }, // 3233
  { PseudoVFWCVT_X_F_V_MF4, VFWCVT_X_F_V, 0x6, 0x0 }, // 3234
  { PseudoVFWCVT_X_F_V_MF4_MASK, VFWCVT_X_F_V, 0x6, 0x0 }, // 3235
  { PseudoVFWCVT_RM_X_F_V_MF2, VFWCVT_X_F_V, 0x7, 0x0 }, // 3236
  { PseudoVFWCVT_RM_X_F_V_MF2_MASK, VFWCVT_X_F_V, 0x7, 0x0 }, // 3237
  { PseudoVFWCVT_X_F_V_MF2, VFWCVT_X_F_V, 0x7, 0x0 }, // 3238
  { PseudoVFWCVT_X_F_V_MF2_MASK, VFWCVT_X_F_V, 0x7, 0x0 }, // 3239
  { PseudoVFWMACCBF16_VFPR16_M1_E16, VFWMACCBF16_VF, 0x0, 0x0 }, // 3240
  { PseudoVFWMACCBF16_VFPR16_M1_E16_MASK, VFWMACCBF16_VF, 0x0, 0x0 }, // 3241
  { PseudoVFWMACCBF16_VFPR16_M2_E16, VFWMACCBF16_VF, 0x1, 0x0 }, // 3242
  { PseudoVFWMACCBF16_VFPR16_M2_E16_MASK, VFWMACCBF16_VF, 0x1, 0x0 }, // 3243
  { PseudoVFWMACCBF16_VFPR16_M4_E16, VFWMACCBF16_VF, 0x2, 0x0 }, // 3244
  { PseudoVFWMACCBF16_VFPR16_M4_E16_MASK, VFWMACCBF16_VF, 0x2, 0x0 }, // 3245
  { PseudoVFWMACCBF16_VFPR16_MF4_E16, VFWMACCBF16_VF, 0x6, 0x0 }, // 3246
  { PseudoVFWMACCBF16_VFPR16_MF4_E16_MASK, VFWMACCBF16_VF, 0x6, 0x0 }, // 3247
  { PseudoVFWMACCBF16_VFPR16_MF2_E16, VFWMACCBF16_VF, 0x7, 0x0 }, // 3248
  { PseudoVFWMACCBF16_VFPR16_MF2_E16_MASK, VFWMACCBF16_VF, 0x7, 0x0 }, // 3249
  { PseudoVFWMACCBF16_VV_M1_E16, VFWMACCBF16_VV, 0x0, 0x0 }, // 3250
  { PseudoVFWMACCBF16_VV_M1_E16_MASK, VFWMACCBF16_VV, 0x0, 0x0 }, // 3251
  { PseudoVFWMACCBF16_VV_M1_E32, VFWMACCBF16_VV, 0x0, 0x0 }, // 3252
  { PseudoVFWMACCBF16_VV_M1_E32_MASK, VFWMACCBF16_VV, 0x0, 0x0 }, // 3253
  { PseudoVFWMACCBF16_VV_M2_E16, VFWMACCBF16_VV, 0x1, 0x0 }, // 3254
  { PseudoVFWMACCBF16_VV_M2_E16_MASK, VFWMACCBF16_VV, 0x1, 0x0 }, // 3255
  { PseudoVFWMACCBF16_VV_M2_E32, VFWMACCBF16_VV, 0x1, 0x0 }, // 3256
  { PseudoVFWMACCBF16_VV_M2_E32_MASK, VFWMACCBF16_VV, 0x1, 0x0 }, // 3257
  { PseudoVFWMACCBF16_VV_M4_E16, VFWMACCBF16_VV, 0x2, 0x0 }, // 3258
  { PseudoVFWMACCBF16_VV_M4_E16_MASK, VFWMACCBF16_VV, 0x2, 0x0 }, // 3259
  { PseudoVFWMACCBF16_VV_M4_E32, VFWMACCBF16_VV, 0x2, 0x0 }, // 3260
  { PseudoVFWMACCBF16_VV_M4_E32_MASK, VFWMACCBF16_VV, 0x2, 0x0 }, // 3261
  { PseudoVFWMACCBF16_VV_MF4_E16, VFWMACCBF16_VV, 0x6, 0x0 }, // 3262
  { PseudoVFWMACCBF16_VV_MF4_E16_MASK, VFWMACCBF16_VV, 0x6, 0x0 }, // 3263
  { PseudoVFWMACCBF16_VV_MF2_E16, VFWMACCBF16_VV, 0x7, 0x0 }, // 3264
  { PseudoVFWMACCBF16_VV_MF2_E16_MASK, VFWMACCBF16_VV, 0x7, 0x0 }, // 3265
  { PseudoVFWMACCBF16_VV_MF2_E32, VFWMACCBF16_VV, 0x7, 0x0 }, // 3266
  { PseudoVFWMACCBF16_VV_MF2_E32_MASK, VFWMACCBF16_VV, 0x7, 0x0 }, // 3267
  { PseudoVFWMACC_4x4x4_M1, VFWMACC_4x4x4, 0x0, 0x0 }, // 3268
  { PseudoVFWMACC_4x4x4_M2, VFWMACC_4x4x4, 0x1, 0x0 }, // 3269
  { PseudoVFWMACC_4x4x4_M4, VFWMACC_4x4x4, 0x2, 0x0 }, // 3270
  { PseudoVFWMACC_4x4x4_M8, VFWMACC_4x4x4, 0x3, 0x0 }, // 3271
  { PseudoVFWMACC_4x4x4_MF4, VFWMACC_4x4x4, 0x6, 0x0 }, // 3272
  { PseudoVFWMACC_4x4x4_MF2, VFWMACC_4x4x4, 0x7, 0x0 }, // 3273
  { PseudoVFWMACC_VFPR16_M1_E16, VFWMACC_VF, 0x0, 0x0 }, // 3274
  { PseudoVFWMACC_VFPR16_M1_E16_MASK, VFWMACC_VF, 0x0, 0x0 }, // 3275
  { PseudoVFWMACC_VFPR32_M1_E32, VFWMACC_VF, 0x0, 0x0 }, // 3276
  { PseudoVFWMACC_VFPR32_M1_E32_MASK, VFWMACC_VF, 0x0, 0x0 }, // 3277
  { PseudoVFWMACC_VFPR16_M2_E16, VFWMACC_VF, 0x1, 0x0 }, // 3278
  { PseudoVFWMACC_VFPR16_M2_E16_MASK, VFWMACC_VF, 0x1, 0x0 }, // 3279
  { PseudoVFWMACC_VFPR32_M2_E32, VFWMACC_VF, 0x1, 0x0 }, // 3280
  { PseudoVFWMACC_VFPR32_M2_E32_MASK, VFWMACC_VF, 0x1, 0x0 }, // 3281
  { PseudoVFWMACC_VFPR16_M4_E16, VFWMACC_VF, 0x2, 0x0 }, // 3282
  { PseudoVFWMACC_VFPR16_M4_E16_MASK, VFWMACC_VF, 0x2, 0x0 }, // 3283
  { PseudoVFWMACC_VFPR32_M4_E32, VFWMACC_VF, 0x2, 0x0 }, // 3284
  { PseudoVFWMACC_VFPR32_M4_E32_MASK, VFWMACC_VF, 0x2, 0x0 }, // 3285
  { PseudoVFWMACC_VFPR16_MF4_E16, VFWMACC_VF, 0x6, 0x0 }, // 3286
  { PseudoVFWMACC_VFPR16_MF4_E16_MASK, VFWMACC_VF, 0x6, 0x0 }, // 3287
  { PseudoVFWMACC_VFPR16_MF2_E16, VFWMACC_VF, 0x7, 0x0 }, // 3288
  { PseudoVFWMACC_VFPR16_MF2_E16_MASK, VFWMACC_VF, 0x7, 0x0 }, // 3289
  { PseudoVFWMACC_VFPR32_MF2_E32, VFWMACC_VF, 0x7, 0x0 }, // 3290
  { PseudoVFWMACC_VFPR32_MF2_E32_MASK, VFWMACC_VF, 0x7, 0x0 }, // 3291
  { PseudoVFWMACC_VV_M1_E16, VFWMACC_VV, 0x0, 0x0 }, // 3292
  { PseudoVFWMACC_VV_M1_E16_MASK, VFWMACC_VV, 0x0, 0x0 }, // 3293
  { PseudoVFWMACC_VV_M1_E32, VFWMACC_VV, 0x0, 0x0 }, // 3294
  { PseudoVFWMACC_VV_M1_E32_MASK, VFWMACC_VV, 0x0, 0x0 }, // 3295
  { PseudoVFWMACC_VV_M2_E16, VFWMACC_VV, 0x1, 0x0 }, // 3296
  { PseudoVFWMACC_VV_M2_E16_MASK, VFWMACC_VV, 0x1, 0x0 }, // 3297
  { PseudoVFWMACC_VV_M2_E32, VFWMACC_VV, 0x1, 0x0 }, // 3298
  { PseudoVFWMACC_VV_M2_E32_MASK, VFWMACC_VV, 0x1, 0x0 }, // 3299
  { PseudoVFWMACC_VV_M4_E16, VFWMACC_VV, 0x2, 0x0 }, // 3300
  { PseudoVFWMACC_VV_M4_E16_MASK, VFWMACC_VV, 0x2, 0x0 }, // 3301
  { PseudoVFWMACC_VV_M4_E32, VFWMACC_VV, 0x2, 0x0 }, // 3302
  { PseudoVFWMACC_VV_M4_E32_MASK, VFWMACC_VV, 0x2, 0x0 }, // 3303
  { PseudoVFWMACC_VV_MF4_E16, VFWMACC_VV, 0x6, 0x0 }, // 3304
  { PseudoVFWMACC_VV_MF4_E16_MASK, VFWMACC_VV, 0x6, 0x0 }, // 3305
  { PseudoVFWMACC_VV_MF2_E16, VFWMACC_VV, 0x7, 0x0 }, // 3306
  { PseudoVFWMACC_VV_MF2_E16_MASK, VFWMACC_VV, 0x7, 0x0 }, // 3307
  { PseudoVFWMACC_VV_MF2_E32, VFWMACC_VV, 0x7, 0x0 }, // 3308
  { PseudoVFWMACC_VV_MF2_E32_MASK, VFWMACC_VV, 0x7, 0x0 }, // 3309
  { PseudoVFWMSAC_VFPR16_M1_E16, VFWMSAC_VF, 0x0, 0x0 }, // 3310
  { PseudoVFWMSAC_VFPR16_M1_E16_MASK, VFWMSAC_VF, 0x0, 0x0 }, // 3311
  { PseudoVFWMSAC_VFPR32_M1_E32, VFWMSAC_VF, 0x0, 0x0 }, // 3312
  { PseudoVFWMSAC_VFPR32_M1_E32_MASK, VFWMSAC_VF, 0x0, 0x0 }, // 3313
  { PseudoVFWMSAC_VFPR16_M2_E16, VFWMSAC_VF, 0x1, 0x0 }, // 3314
  { PseudoVFWMSAC_VFPR16_M2_E16_MASK, VFWMSAC_VF, 0x1, 0x0 }, // 3315
  { PseudoVFWMSAC_VFPR32_M2_E32, VFWMSAC_VF, 0x1, 0x0 }, // 3316
  { PseudoVFWMSAC_VFPR32_M2_E32_MASK, VFWMSAC_VF, 0x1, 0x0 }, // 3317
  { PseudoVFWMSAC_VFPR16_M4_E16, VFWMSAC_VF, 0x2, 0x0 }, // 3318
  { PseudoVFWMSAC_VFPR16_M4_E16_MASK, VFWMSAC_VF, 0x2, 0x0 }, // 3319
  { PseudoVFWMSAC_VFPR32_M4_E32, VFWMSAC_VF, 0x2, 0x0 }, // 3320
  { PseudoVFWMSAC_VFPR32_M4_E32_MASK, VFWMSAC_VF, 0x2, 0x0 }, // 3321
  { PseudoVFWMSAC_VFPR16_MF4_E16, VFWMSAC_VF, 0x6, 0x0 }, // 3322
  { PseudoVFWMSAC_VFPR16_MF4_E16_MASK, VFWMSAC_VF, 0x6, 0x0 }, // 3323
  { PseudoVFWMSAC_VFPR16_MF2_E16, VFWMSAC_VF, 0x7, 0x0 }, // 3324
  { PseudoVFWMSAC_VFPR16_MF2_E16_MASK, VFWMSAC_VF, 0x7, 0x0 }, // 3325
  { PseudoVFWMSAC_VFPR32_MF2_E32, VFWMSAC_VF, 0x7, 0x0 }, // 3326
  { PseudoVFWMSAC_VFPR32_MF2_E32_MASK, VFWMSAC_VF, 0x7, 0x0 }, // 3327
  { PseudoVFWMSAC_VV_M1_E16, VFWMSAC_VV, 0x0, 0x0 }, // 3328
  { PseudoVFWMSAC_VV_M1_E16_MASK, VFWMSAC_VV, 0x0, 0x0 }, // 3329
  { PseudoVFWMSAC_VV_M1_E32, VFWMSAC_VV, 0x0, 0x0 }, // 3330
  { PseudoVFWMSAC_VV_M1_E32_MASK, VFWMSAC_VV, 0x0, 0x0 }, // 3331
  { PseudoVFWMSAC_VV_M2_E16, VFWMSAC_VV, 0x1, 0x0 }, // 3332
  { PseudoVFWMSAC_VV_M2_E16_MASK, VFWMSAC_VV, 0x1, 0x0 }, // 3333
  { PseudoVFWMSAC_VV_M2_E32, VFWMSAC_VV, 0x1, 0x0 }, // 3334
  { PseudoVFWMSAC_VV_M2_E32_MASK, VFWMSAC_VV, 0x1, 0x0 }, // 3335
  { PseudoVFWMSAC_VV_M4_E16, VFWMSAC_VV, 0x2, 0x0 }, // 3336
  { PseudoVFWMSAC_VV_M4_E16_MASK, VFWMSAC_VV, 0x2, 0x0 }, // 3337
  { PseudoVFWMSAC_VV_M4_E32, VFWMSAC_VV, 0x2, 0x0 }, // 3338
  { PseudoVFWMSAC_VV_M4_E32_MASK, VFWMSAC_VV, 0x2, 0x0 }, // 3339
  { PseudoVFWMSAC_VV_MF4_E16, VFWMSAC_VV, 0x6, 0x0 }, // 3340
  { PseudoVFWMSAC_VV_MF4_E16_MASK, VFWMSAC_VV, 0x6, 0x0 }, // 3341
  { PseudoVFWMSAC_VV_MF2_E16, VFWMSAC_VV, 0x7, 0x0 }, // 3342
  { PseudoVFWMSAC_VV_MF2_E16_MASK, VFWMSAC_VV, 0x7, 0x0 }, // 3343
  { PseudoVFWMSAC_VV_MF2_E32, VFWMSAC_VV, 0x7, 0x0 }, // 3344
  { PseudoVFWMSAC_VV_MF2_E32_MASK, VFWMSAC_VV, 0x7, 0x0 }, // 3345
  { PseudoVFWMUL_VFPR16_M1_E16, VFWMUL_VF, 0x0, 0x10 }, // 3346
  { PseudoVFWMUL_VFPR16_M1_E16_MASK, VFWMUL_VF, 0x0, 0x10 }, // 3347
  { PseudoVFWMUL_VFPR32_M1_E32, VFWMUL_VF, 0x0, 0x20 }, // 3348
  { PseudoVFWMUL_VFPR32_M1_E32_MASK, VFWMUL_VF, 0x0, 0x20 }, // 3349
  { PseudoVFWMUL_VFPR16_M2_E16, VFWMUL_VF, 0x1, 0x10 }, // 3350
  { PseudoVFWMUL_VFPR16_M2_E16_MASK, VFWMUL_VF, 0x1, 0x10 }, // 3351
  { PseudoVFWMUL_VFPR32_M2_E32, VFWMUL_VF, 0x1, 0x20 }, // 3352
  { PseudoVFWMUL_VFPR32_M2_E32_MASK, VFWMUL_VF, 0x1, 0x20 }, // 3353
  { PseudoVFWMUL_VFPR16_M4_E16, VFWMUL_VF, 0x2, 0x10 }, // 3354
  { PseudoVFWMUL_VFPR16_M4_E16_MASK, VFWMUL_VF, 0x2, 0x10 }, // 3355
  { PseudoVFWMUL_VFPR32_M4_E32, VFWMUL_VF, 0x2, 0x20 }, // 3356
  { PseudoVFWMUL_VFPR32_M4_E32_MASK, VFWMUL_VF, 0x2, 0x20 }, // 3357
  { PseudoVFWMUL_VFPR16_MF4_E16, VFWMUL_VF, 0x6, 0x10 }, // 3358
  { PseudoVFWMUL_VFPR16_MF4_E16_MASK, VFWMUL_VF, 0x6, 0x10 }, // 3359
  { PseudoVFWMUL_VFPR16_MF2_E16, VFWMUL_VF, 0x7, 0x10 }, // 3360
  { PseudoVFWMUL_VFPR16_MF2_E16_MASK, VFWMUL_VF, 0x7, 0x10 }, // 3361
  { PseudoVFWMUL_VFPR32_MF2_E32, VFWMUL_VF, 0x7, 0x20 }, // 3362
  { PseudoVFWMUL_VFPR32_MF2_E32_MASK, VFWMUL_VF, 0x7, 0x20 }, // 3363
  { PseudoVFWMUL_VV_M1_E16, VFWMUL_VV, 0x0, 0x10 }, // 3364
  { PseudoVFWMUL_VV_M1_E16_MASK, VFWMUL_VV, 0x0, 0x10 }, // 3365
  { PseudoVFWMUL_VV_M1_E32, VFWMUL_VV, 0x0, 0x20 }, // 3366
  { PseudoVFWMUL_VV_M1_E32_MASK, VFWMUL_VV, 0x0, 0x20 }, // 3367
  { PseudoVFWMUL_VV_M2_E16, VFWMUL_VV, 0x1, 0x10 }, // 3368
  { PseudoVFWMUL_VV_M2_E16_MASK, VFWMUL_VV, 0x1, 0x10 }, // 3369
  { PseudoVFWMUL_VV_M2_E32, VFWMUL_VV, 0x1, 0x20 }, // 3370
  { PseudoVFWMUL_VV_M2_E32_MASK, VFWMUL_VV, 0x1, 0x20 }, // 3371
  { PseudoVFWMUL_VV_M4_E16, VFWMUL_VV, 0x2, 0x10 }, // 3372
  { PseudoVFWMUL_VV_M4_E16_MASK, VFWMUL_VV, 0x2, 0x10 }, // 3373
  { PseudoVFWMUL_VV_M4_E32, VFWMUL_VV, 0x2, 0x20 }, // 3374
  { PseudoVFWMUL_VV_M4_E32_MASK, VFWMUL_VV, 0x2, 0x20 }, // 3375
  { PseudoVFWMUL_VV_MF4_E16, VFWMUL_VV, 0x6, 0x10 }, // 3376
  { PseudoVFWMUL_VV_MF4_E16_MASK, VFWMUL_VV, 0x6, 0x10 }, // 3377
  { PseudoVFWMUL_VV_MF2_E16, VFWMUL_VV, 0x7, 0x10 }, // 3378
  { PseudoVFWMUL_VV_MF2_E16_MASK, VFWMUL_VV, 0x7, 0x10 }, // 3379
  { PseudoVFWMUL_VV_MF2_E32, VFWMUL_VV, 0x7, 0x20 }, // 3380
  { PseudoVFWMUL_VV_MF2_E32_MASK, VFWMUL_VV, 0x7, 0x20 }, // 3381
  { PseudoVFWNMACC_VFPR16_M1_E16, VFWNMACC_VF, 0x0, 0x0 }, // 3382
  { PseudoVFWNMACC_VFPR16_M1_E16_MASK, VFWNMACC_VF, 0x0, 0x0 }, // 3383
  { PseudoVFWNMACC_VFPR32_M1_E32, VFWNMACC_VF, 0x0, 0x0 }, // 3384
  { PseudoVFWNMACC_VFPR32_M1_E32_MASK, VFWNMACC_VF, 0x0, 0x0 }, // 3385
  { PseudoVFWNMACC_VFPR16_M2_E16, VFWNMACC_VF, 0x1, 0x0 }, // 3386
  { PseudoVFWNMACC_VFPR16_M2_E16_MASK, VFWNMACC_VF, 0x1, 0x0 }, // 3387
  { PseudoVFWNMACC_VFPR32_M2_E32, VFWNMACC_VF, 0x1, 0x0 }, // 3388
  { PseudoVFWNMACC_VFPR32_M2_E32_MASK, VFWNMACC_VF, 0x1, 0x0 }, // 3389
  { PseudoVFWNMACC_VFPR16_M4_E16, VFWNMACC_VF, 0x2, 0x0 }, // 3390
  { PseudoVFWNMACC_VFPR16_M4_E16_MASK, VFWNMACC_VF, 0x2, 0x0 }, // 3391
  { PseudoVFWNMACC_VFPR32_M4_E32, VFWNMACC_VF, 0x2, 0x0 }, // 3392
  { PseudoVFWNMACC_VFPR32_M4_E32_MASK, VFWNMACC_VF, 0x2, 0x0 }, // 3393
  { PseudoVFWNMACC_VFPR16_MF4_E16, VFWNMACC_VF, 0x6, 0x0 }, // 3394
  { PseudoVFWNMACC_VFPR16_MF4_E16_MASK, VFWNMACC_VF, 0x6, 0x0 }, // 3395
  { PseudoVFWNMACC_VFPR16_MF2_E16, VFWNMACC_VF, 0x7, 0x0 }, // 3396
  { PseudoVFWNMACC_VFPR16_MF2_E16_MASK, VFWNMACC_VF, 0x7, 0x0 }, // 3397
  { PseudoVFWNMACC_VFPR32_MF2_E32, VFWNMACC_VF, 0x7, 0x0 }, // 3398
  { PseudoVFWNMACC_VFPR32_MF2_E32_MASK, VFWNMACC_VF, 0x7, 0x0 }, // 3399
  { PseudoVFWNMACC_VV_M1_E16, VFWNMACC_VV, 0x0, 0x0 }, // 3400
  { PseudoVFWNMACC_VV_M1_E16_MASK, VFWNMACC_VV, 0x0, 0x0 }, // 3401
  { PseudoVFWNMACC_VV_M1_E32, VFWNMACC_VV, 0x0, 0x0 }, // 3402
  { PseudoVFWNMACC_VV_M1_E32_MASK, VFWNMACC_VV, 0x0, 0x0 }, // 3403
  { PseudoVFWNMACC_VV_M2_E16, VFWNMACC_VV, 0x1, 0x0 }, // 3404
  { PseudoVFWNMACC_VV_M2_E16_MASK, VFWNMACC_VV, 0x1, 0x0 }, // 3405
  { PseudoVFWNMACC_VV_M2_E32, VFWNMACC_VV, 0x1, 0x0 }, // 3406
  { PseudoVFWNMACC_VV_M2_E32_MASK, VFWNMACC_VV, 0x1, 0x0 }, // 3407
  { PseudoVFWNMACC_VV_M4_E16, VFWNMACC_VV, 0x2, 0x0 }, // 3408
  { PseudoVFWNMACC_VV_M4_E16_MASK, VFWNMACC_VV, 0x2, 0x0 }, // 3409
  { PseudoVFWNMACC_VV_M4_E32, VFWNMACC_VV, 0x2, 0x0 }, // 3410
  { PseudoVFWNMACC_VV_M4_E32_MASK, VFWNMACC_VV, 0x2, 0x0 }, // 3411
  { PseudoVFWNMACC_VV_MF4_E16, VFWNMACC_VV, 0x6, 0x0 }, // 3412
  { PseudoVFWNMACC_VV_MF4_E16_MASK, VFWNMACC_VV, 0x6, 0x0 }, // 3413
  { PseudoVFWNMACC_VV_MF2_E16, VFWNMACC_VV, 0x7, 0x0 }, // 3414
  { PseudoVFWNMACC_VV_MF2_E16_MASK, VFWNMACC_VV, 0x7, 0x0 }, // 3415
  { PseudoVFWNMACC_VV_MF2_E32, VFWNMACC_VV, 0x7, 0x0 }, // 3416
  { PseudoVFWNMACC_VV_MF2_E32_MASK, VFWNMACC_VV, 0x7, 0x0 }, // 3417
  { PseudoVFWNMSAC_VFPR16_M1_E16, VFWNMSAC_VF, 0x0, 0x0 }, // 3418
  { PseudoVFWNMSAC_VFPR16_M1_E16_MASK, VFWNMSAC_VF, 0x0, 0x0 }, // 3419
  { PseudoVFWNMSAC_VFPR32_M1_E32, VFWNMSAC_VF, 0x0, 0x0 }, // 3420
  { PseudoVFWNMSAC_VFPR32_M1_E32_MASK, VFWNMSAC_VF, 0x0, 0x0 }, // 3421
  { PseudoVFWNMSAC_VFPR16_M2_E16, VFWNMSAC_VF, 0x1, 0x0 }, // 3422
  { PseudoVFWNMSAC_VFPR16_M2_E16_MASK, VFWNMSAC_VF, 0x1, 0x0 }, // 3423
  { PseudoVFWNMSAC_VFPR32_M2_E32, VFWNMSAC_VF, 0x1, 0x0 }, // 3424
  { PseudoVFWNMSAC_VFPR32_M2_E32_MASK, VFWNMSAC_VF, 0x1, 0x0 }, // 3425
  { PseudoVFWNMSAC_VFPR16_M4_E16, VFWNMSAC_VF, 0x2, 0x0 }, // 3426
  { PseudoVFWNMSAC_VFPR16_M4_E16_MASK, VFWNMSAC_VF, 0x2, 0x0 }, // 3427
  { PseudoVFWNMSAC_VFPR32_M4_E32, VFWNMSAC_VF, 0x2, 0x0 }, // 3428
  { PseudoVFWNMSAC_VFPR32_M4_E32_MASK, VFWNMSAC_VF, 0x2, 0x0 }, // 3429
  { PseudoVFWNMSAC_VFPR16_MF4_E16, VFWNMSAC_VF, 0x6, 0x0 }, // 3430
  { PseudoVFWNMSAC_VFPR16_MF4_E16_MASK, VFWNMSAC_VF, 0x6, 0x0 }, // 3431
  { PseudoVFWNMSAC_VFPR16_MF2_E16, VFWNMSAC_VF, 0x7, 0x0 }, // 3432
  { PseudoVFWNMSAC_VFPR16_MF2_E16_MASK, VFWNMSAC_VF, 0x7, 0x0 }, // 3433
  { PseudoVFWNMSAC_VFPR32_MF2_E32, VFWNMSAC_VF, 0x7, 0x0 }, // 3434
  { PseudoVFWNMSAC_VFPR32_MF2_E32_MASK, VFWNMSAC_VF, 0x7, 0x0 }, // 3435
  { PseudoVFWNMSAC_VV_M1_E16, VFWNMSAC_VV, 0x0, 0x0 }, // 3436
  { PseudoVFWNMSAC_VV_M1_E16_MASK, VFWNMSAC_VV, 0x0, 0x0 }, // 3437
  { PseudoVFWNMSAC_VV_M1_E32, VFWNMSAC_VV, 0x0, 0x0 }, // 3438
  { PseudoVFWNMSAC_VV_M1_E32_MASK, VFWNMSAC_VV, 0x0, 0x0 }, // 3439
  { PseudoVFWNMSAC_VV_M2_E16, VFWNMSAC_VV, 0x1, 0x0 }, // 3440
  { PseudoVFWNMSAC_VV_M2_E16_MASK, VFWNMSAC_VV, 0x1, 0x0 }, // 3441
  { PseudoVFWNMSAC_VV_M2_E32, VFWNMSAC_VV, 0x1, 0x0 }, // 3442
  { PseudoVFWNMSAC_VV_M2_E32_MASK, VFWNMSAC_VV, 0x1, 0x0 }, // 3443
  { PseudoVFWNMSAC_VV_M4_E16, VFWNMSAC_VV, 0x2, 0x0 }, // 3444
  { PseudoVFWNMSAC_VV_M4_E16_MASK, VFWNMSAC_VV, 0x2, 0x0 }, // 3445
  { PseudoVFWNMSAC_VV_M4_E32, VFWNMSAC_VV, 0x2, 0x0 }, // 3446
  { PseudoVFWNMSAC_VV_M4_E32_MASK, VFWNMSAC_VV, 0x2, 0x0 }, // 3447
  { PseudoVFWNMSAC_VV_MF4_E16, VFWNMSAC_VV, 0x6, 0x0 }, // 3448
  { PseudoVFWNMSAC_VV_MF4_E16_MASK, VFWNMSAC_VV, 0x6, 0x0 }, // 3449
  { PseudoVFWNMSAC_VV_MF2_E16, VFWNMSAC_VV, 0x7, 0x0 }, // 3450
  { PseudoVFWNMSAC_VV_MF2_E16_MASK, VFWNMSAC_VV, 0x7, 0x0 }, // 3451
  { PseudoVFWNMSAC_VV_MF2_E32, VFWNMSAC_VV, 0x7, 0x0 }, // 3452
  { PseudoVFWNMSAC_VV_MF2_E32_MASK, VFWNMSAC_VV, 0x7, 0x0 }, // 3453
  { PseudoVFWREDOSUM_VS_M1_E16, VFWREDOSUM_VS, 0x0, 0x10 }, // 3454
  { PseudoVFWREDOSUM_VS_M1_E16_MASK, VFWREDOSUM_VS, 0x0, 0x10 }, // 3455
  { PseudoVFWREDOSUM_VS_M1_E32, VFWREDOSUM_VS, 0x0, 0x20 }, // 3456
  { PseudoVFWREDOSUM_VS_M1_E32_MASK, VFWREDOSUM_VS, 0x0, 0x20 }, // 3457
  { PseudoVFWREDOSUM_VS_M2_E16, VFWREDOSUM_VS, 0x1, 0x10 }, // 3458
  { PseudoVFWREDOSUM_VS_M2_E16_MASK, VFWREDOSUM_VS, 0x1, 0x10 }, // 3459
  { PseudoVFWREDOSUM_VS_M2_E32, VFWREDOSUM_VS, 0x1, 0x20 }, // 3460
  { PseudoVFWREDOSUM_VS_M2_E32_MASK, VFWREDOSUM_VS, 0x1, 0x20 }, // 3461
  { PseudoVFWREDOSUM_VS_M4_E16, VFWREDOSUM_VS, 0x2, 0x10 }, // 3462
  { PseudoVFWREDOSUM_VS_M4_E16_MASK, VFWREDOSUM_VS, 0x2, 0x10 }, // 3463
  { PseudoVFWREDOSUM_VS_M4_E32, VFWREDOSUM_VS, 0x2, 0x20 }, // 3464
  { PseudoVFWREDOSUM_VS_M4_E32_MASK, VFWREDOSUM_VS, 0x2, 0x20 }, // 3465
  { PseudoVFWREDOSUM_VS_M8_E16, VFWREDOSUM_VS, 0x3, 0x10 }, // 3466
  { PseudoVFWREDOSUM_VS_M8_E16_MASK, VFWREDOSUM_VS, 0x3, 0x10 }, // 3467
  { PseudoVFWREDOSUM_VS_M8_E32, VFWREDOSUM_VS, 0x3, 0x20 }, // 3468
  { PseudoVFWREDOSUM_VS_M8_E32_MASK, VFWREDOSUM_VS, 0x3, 0x20 }, // 3469
  { PseudoVFWREDOSUM_VS_MF4_E16, VFWREDOSUM_VS, 0x6, 0x10 }, // 3470
  { PseudoVFWREDOSUM_VS_MF4_E16_MASK, VFWREDOSUM_VS, 0x6, 0x10 }, // 3471
  { PseudoVFWREDOSUM_VS_MF2_E16, VFWREDOSUM_VS, 0x7, 0x10 }, // 3472
  { PseudoVFWREDOSUM_VS_MF2_E16_MASK, VFWREDOSUM_VS, 0x7, 0x10 }, // 3473
  { PseudoVFWREDOSUM_VS_MF2_E32, VFWREDOSUM_VS, 0x7, 0x20 }, // 3474
  { PseudoVFWREDOSUM_VS_MF2_E32_MASK, VFWREDOSUM_VS, 0x7, 0x20 }, // 3475
  { PseudoVFWREDUSUM_VS_M1_E16, VFWREDUSUM_VS, 0x0, 0x10 }, // 3476
  { PseudoVFWREDUSUM_VS_M1_E16_MASK, VFWREDUSUM_VS, 0x0, 0x10 }, // 3477
  { PseudoVFWREDUSUM_VS_M1_E32, VFWREDUSUM_VS, 0x0, 0x20 }, // 3478
  { PseudoVFWREDUSUM_VS_M1_E32_MASK, VFWREDUSUM_VS, 0x0, 0x20 }, // 3479
  { PseudoVFWREDUSUM_VS_M2_E16, VFWREDUSUM_VS, 0x1, 0x10 }, // 3480
  { PseudoVFWREDUSUM_VS_M2_E16_MASK, VFWREDUSUM_VS, 0x1, 0x10 }, // 3481
  { PseudoVFWREDUSUM_VS_M2_E32, VFWREDUSUM_VS, 0x1, 0x20 }, // 3482
  { PseudoVFWREDUSUM_VS_M2_E32_MASK, VFWREDUSUM_VS, 0x1, 0x20 }, // 3483
  { PseudoVFWREDUSUM_VS_M4_E16, VFWREDUSUM_VS, 0x2, 0x10 }, // 3484
  { PseudoVFWREDUSUM_VS_M4_E16_MASK, VFWREDUSUM_VS, 0x2, 0x10 }, // 3485
  { PseudoVFWREDUSUM_VS_M4_E32, VFWREDUSUM_VS, 0x2, 0x20 }, // 3486
  { PseudoVFWREDUSUM_VS_M4_E32_MASK, VFWREDUSUM_VS, 0x2, 0x20 }, // 3487
  { PseudoVFWREDUSUM_VS_M8_E16, VFWREDUSUM_VS, 0x3, 0x10 }, // 3488
  { PseudoVFWREDUSUM_VS_M8_E16_MASK, VFWREDUSUM_VS, 0x3, 0x10 }, // 3489
  { PseudoVFWREDUSUM_VS_M8_E32, VFWREDUSUM_VS, 0x3, 0x20 }, // 3490
  { PseudoVFWREDUSUM_VS_M8_E32_MASK, VFWREDUSUM_VS, 0x3, 0x20 }, // 3491
  { PseudoVFWREDUSUM_VS_MF4_E16, VFWREDUSUM_VS, 0x6, 0x10 }, // 3492
  { PseudoVFWREDUSUM_VS_MF4_E16_MASK, VFWREDUSUM_VS, 0x6, 0x10 }, // 3493
  { PseudoVFWREDUSUM_VS_MF2_E16, VFWREDUSUM_VS, 0x7, 0x10 }, // 3494
  { PseudoVFWREDUSUM_VS_MF2_E16_MASK, VFWREDUSUM_VS, 0x7, 0x10 }, // 3495
  { PseudoVFWREDUSUM_VS_MF2_E32, VFWREDUSUM_VS, 0x7, 0x20 }, // 3496
  { PseudoVFWREDUSUM_VS_MF2_E32_MASK, VFWREDUSUM_VS, 0x7, 0x20 }, // 3497
  { PseudoVFWSUB_VFPR16_M1_E16, VFWSUB_VF, 0x0, 0x10 }, // 3498
  { PseudoVFWSUB_VFPR16_M1_E16_MASK, VFWSUB_VF, 0x0, 0x10 }, // 3499
  { PseudoVFWSUB_VFPR32_M1_E32, VFWSUB_VF, 0x0, 0x20 }, // 3500
  { PseudoVFWSUB_VFPR32_M1_E32_MASK, VFWSUB_VF, 0x0, 0x20 }, // 3501
  { PseudoVFWSUB_VFPR16_M2_E16, VFWSUB_VF, 0x1, 0x10 }, // 3502
  { PseudoVFWSUB_VFPR16_M2_E16_MASK, VFWSUB_VF, 0x1, 0x10 }, // 3503
  { PseudoVFWSUB_VFPR32_M2_E32, VFWSUB_VF, 0x1, 0x20 }, // 3504
  { PseudoVFWSUB_VFPR32_M2_E32_MASK, VFWSUB_VF, 0x1, 0x20 }, // 3505
  { PseudoVFWSUB_VFPR16_M4_E16, VFWSUB_VF, 0x2, 0x10 }, // 3506
  { PseudoVFWSUB_VFPR16_M4_E16_MASK, VFWSUB_VF, 0x2, 0x10 }, // 3507
  { PseudoVFWSUB_VFPR32_M4_E32, VFWSUB_VF, 0x2, 0x20 }, // 3508
  { PseudoVFWSUB_VFPR32_M4_E32_MASK, VFWSUB_VF, 0x2, 0x20 }, // 3509
  { PseudoVFWSUB_VFPR16_MF4_E16, VFWSUB_VF, 0x6, 0x10 }, // 3510
  { PseudoVFWSUB_VFPR16_MF4_E16_MASK, VFWSUB_VF, 0x6, 0x10 }, // 3511
  { PseudoVFWSUB_VFPR16_MF2_E16, VFWSUB_VF, 0x7, 0x10 }, // 3512
  { PseudoVFWSUB_VFPR16_MF2_E16_MASK, VFWSUB_VF, 0x7, 0x10 }, // 3513
  { PseudoVFWSUB_VFPR32_MF2_E32, VFWSUB_VF, 0x7, 0x20 }, // 3514
  { PseudoVFWSUB_VFPR32_MF2_E32_MASK, VFWSUB_VF, 0x7, 0x20 }, // 3515
  { PseudoVFWSUB_VV_M1_E16, VFWSUB_VV, 0x0, 0x10 }, // 3516
  { PseudoVFWSUB_VV_M1_E16_MASK, VFWSUB_VV, 0x0, 0x10 }, // 3517
  { PseudoVFWSUB_VV_M1_E32, VFWSUB_VV, 0x0, 0x20 }, // 3518
  { PseudoVFWSUB_VV_M1_E32_MASK, VFWSUB_VV, 0x0, 0x20 }, // 3519
  { PseudoVFWSUB_VV_M2_E16, VFWSUB_VV, 0x1, 0x10 }, // 3520
  { PseudoVFWSUB_VV_M2_E16_MASK, VFWSUB_VV, 0x1, 0x10 }, // 3521
  { PseudoVFWSUB_VV_M2_E32, VFWSUB_VV, 0x1, 0x20 }, // 3522
  { PseudoVFWSUB_VV_M2_E32_MASK, VFWSUB_VV, 0x1, 0x20 }, // 3523
  { PseudoVFWSUB_VV_M4_E16, VFWSUB_VV, 0x2, 0x10 }, // 3524
  { PseudoVFWSUB_VV_M4_E16_MASK, VFWSUB_VV, 0x2, 0x10 }, // 3525
  { PseudoVFWSUB_VV_M4_E32, VFWSUB_VV, 0x2, 0x20 }, // 3526
  { PseudoVFWSUB_VV_M4_E32_MASK, VFWSUB_VV, 0x2, 0x20 }, // 3527
  { PseudoVFWSUB_VV_MF4_E16, VFWSUB_VV, 0x6, 0x10 }, // 3528
  { PseudoVFWSUB_VV_MF4_E16_MASK, VFWSUB_VV, 0x6, 0x10 }, // 3529
  { PseudoVFWSUB_VV_MF2_E16, VFWSUB_VV, 0x7, 0x10 }, // 3530
  { PseudoVFWSUB_VV_MF2_E16_MASK, VFWSUB_VV, 0x7, 0x10 }, // 3531
  { PseudoVFWSUB_VV_MF2_E32, VFWSUB_VV, 0x7, 0x20 }, // 3532
  { PseudoVFWSUB_VV_MF2_E32_MASK, VFWSUB_VV, 0x7, 0x20 }, // 3533
  { PseudoVFWSUB_WFPR16_M1_E16, VFWSUB_WF, 0x0, 0x10 }, // 3534
  { PseudoVFWSUB_WFPR16_M1_E16_MASK, VFWSUB_WF, 0x0, 0x10 }, // 3535
  { PseudoVFWSUB_WFPR32_M1_E32, VFWSUB_WF, 0x0, 0x20 }, // 3536
  { PseudoVFWSUB_WFPR32_M1_E32_MASK, VFWSUB_WF, 0x0, 0x20 }, // 3537
  { PseudoVFWSUB_WFPR16_M2_E16, VFWSUB_WF, 0x1, 0x10 }, // 3538
  { PseudoVFWSUB_WFPR16_M2_E16_MASK, VFWSUB_WF, 0x1, 0x10 }, // 3539
  { PseudoVFWSUB_WFPR32_M2_E32, VFWSUB_WF, 0x1, 0x20 }, // 3540
  { PseudoVFWSUB_WFPR32_M2_E32_MASK, VFWSUB_WF, 0x1, 0x20 }, // 3541
  { PseudoVFWSUB_WFPR16_M4_E16, VFWSUB_WF, 0x2, 0x10 }, // 3542
  { PseudoVFWSUB_WFPR16_M4_E16_MASK, VFWSUB_WF, 0x2, 0x10 }, // 3543
  { PseudoVFWSUB_WFPR32_M4_E32, VFWSUB_WF, 0x2, 0x20 }, // 3544
  { PseudoVFWSUB_WFPR32_M4_E32_MASK, VFWSUB_WF, 0x2, 0x20 }, // 3545
  { PseudoVFWSUB_WFPR16_MF4_E16, VFWSUB_WF, 0x6, 0x10 }, // 3546
  { PseudoVFWSUB_WFPR16_MF4_E16_MASK, VFWSUB_WF, 0x6, 0x10 }, // 3547
  { PseudoVFWSUB_WFPR16_MF2_E16, VFWSUB_WF, 0x7, 0x10 }, // 3548
  { PseudoVFWSUB_WFPR16_MF2_E16_MASK, VFWSUB_WF, 0x7, 0x10 }, // 3549
  { PseudoVFWSUB_WFPR32_MF2_E32, VFWSUB_WF, 0x7, 0x20 }, // 3550
  { PseudoVFWSUB_WFPR32_MF2_E32_MASK, VFWSUB_WF, 0x7, 0x20 }, // 3551
  { PseudoVFWSUB_WV_M1_E16_MASK_TIED, VFWSUB_WV, 0x0, 0x0 }, // 3552
  { PseudoVFWSUB_WV_M1_E16_TIED, VFWSUB_WV, 0x0, 0x0 }, // 3553
  { PseudoVFWSUB_WV_M1_E32_MASK_TIED, VFWSUB_WV, 0x0, 0x0 }, // 3554
  { PseudoVFWSUB_WV_M1_E32_TIED, VFWSUB_WV, 0x0, 0x0 }, // 3555
  { PseudoVFWSUB_WV_M1_E16, VFWSUB_WV, 0x0, 0x10 }, // 3556
  { PseudoVFWSUB_WV_M1_E16_MASK, VFWSUB_WV, 0x0, 0x10 }, // 3557
  { PseudoVFWSUB_WV_M1_E32, VFWSUB_WV, 0x0, 0x20 }, // 3558
  { PseudoVFWSUB_WV_M1_E32_MASK, VFWSUB_WV, 0x0, 0x20 }, // 3559
  { PseudoVFWSUB_WV_M2_E16_MASK_TIED, VFWSUB_WV, 0x1, 0x0 }, // 3560
  { PseudoVFWSUB_WV_M2_E16_TIED, VFWSUB_WV, 0x1, 0x0 }, // 3561
  { PseudoVFWSUB_WV_M2_E32_MASK_TIED, VFWSUB_WV, 0x1, 0x0 }, // 3562
  { PseudoVFWSUB_WV_M2_E32_TIED, VFWSUB_WV, 0x1, 0x0 }, // 3563
  { PseudoVFWSUB_WV_M2_E16, VFWSUB_WV, 0x1, 0x10 }, // 3564
  { PseudoVFWSUB_WV_M2_E16_MASK, VFWSUB_WV, 0x1, 0x10 }, // 3565
  { PseudoVFWSUB_WV_M2_E32, VFWSUB_WV, 0x1, 0x20 }, // 3566
  { PseudoVFWSUB_WV_M2_E32_MASK, VFWSUB_WV, 0x1, 0x20 }, // 3567
  { PseudoVFWSUB_WV_M4_E16_MASK_TIED, VFWSUB_WV, 0x2, 0x0 }, // 3568
  { PseudoVFWSUB_WV_M4_E16_TIED, VFWSUB_WV, 0x2, 0x0 }, // 3569
  { PseudoVFWSUB_WV_M4_E32_MASK_TIED, VFWSUB_WV, 0x2, 0x0 }, // 3570
  { PseudoVFWSUB_WV_M4_E32_TIED, VFWSUB_WV, 0x2, 0x0 }, // 3571
  { PseudoVFWSUB_WV_M4_E16, VFWSUB_WV, 0x2, 0x10 }, // 3572
  { PseudoVFWSUB_WV_M4_E16_MASK, VFWSUB_WV, 0x2, 0x10 }, // 3573
  { PseudoVFWSUB_WV_M4_E32, VFWSUB_WV, 0x2, 0x20 }, // 3574
  { PseudoVFWSUB_WV_M4_E32_MASK, VFWSUB_WV, 0x2, 0x20 }, // 3575
  { PseudoVFWSUB_WV_MF4_E16_MASK_TIED, VFWSUB_WV, 0x6, 0x0 }, // 3576
  { PseudoVFWSUB_WV_MF4_E16_TIED, VFWSUB_WV, 0x6, 0x0 }, // 3577
  { PseudoVFWSUB_WV_MF4_E16, VFWSUB_WV, 0x6, 0x10 }, // 3578
  { PseudoVFWSUB_WV_MF4_E16_MASK, VFWSUB_WV, 0x6, 0x10 }, // 3579
  { PseudoVFWSUB_WV_MF2_E16_MASK_TIED, VFWSUB_WV, 0x7, 0x0 }, // 3580
  { PseudoVFWSUB_WV_MF2_E16_TIED, VFWSUB_WV, 0x7, 0x0 }, // 3581
  { PseudoVFWSUB_WV_MF2_E32_MASK_TIED, VFWSUB_WV, 0x7, 0x0 }, // 3582
  { PseudoVFWSUB_WV_MF2_E32_TIED, VFWSUB_WV, 0x7, 0x0 }, // 3583
  { PseudoVFWSUB_WV_MF2_E16, VFWSUB_WV, 0x7, 0x10 }, // 3584
  { PseudoVFWSUB_WV_MF2_E16_MASK, VFWSUB_WV, 0x7, 0x10 }, // 3585
  { PseudoVFWSUB_WV_MF2_E32, VFWSUB_WV, 0x7, 0x20 }, // 3586
  { PseudoVFWSUB_WV_MF2_E32_MASK, VFWSUB_WV, 0x7, 0x20 }, // 3587
  { PseudoVGHSH_VV_M1, VGHSH_VV, 0x0, 0x0 }, // 3588
  { PseudoVGHSH_VV_M2, VGHSH_VV, 0x1, 0x0 }, // 3589
  { PseudoVGHSH_VV_M4, VGHSH_VV, 0x2, 0x0 }, // 3590
  { PseudoVGHSH_VV_M8, VGHSH_VV, 0x3, 0x0 }, // 3591
  { PseudoVGHSH_VV_MF2, VGHSH_VV, 0x7, 0x0 }, // 3592
  { PseudoVGMUL_VV_M1, VGMUL_VV, 0x0, 0x0 }, // 3593
  { PseudoVGMUL_VV_M2, VGMUL_VV, 0x1, 0x0 }, // 3594
  { PseudoVGMUL_VV_M4, VGMUL_VV, 0x2, 0x0 }, // 3595
  { PseudoVGMUL_VV_M8, VGMUL_VV, 0x3, 0x0 }, // 3596
  { PseudoVGMUL_VV_MF2, VGMUL_VV, 0x7, 0x0 }, // 3597
  { PseudoVID_V_M1, VID_V, 0x0, 0x0 }, // 3598
  { PseudoVID_V_M1_MASK, VID_V, 0x0, 0x0 }, // 3599
  { PseudoVID_V_M2, VID_V, 0x1, 0x0 }, // 3600
  { PseudoVID_V_M2_MASK, VID_V, 0x1, 0x0 }, // 3601
  { PseudoVID_V_M4, VID_V, 0x2, 0x0 }, // 3602
  { PseudoVID_V_M4_MASK, VID_V, 0x2, 0x0 }, // 3603
  { PseudoVID_V_M8, VID_V, 0x3, 0x0 }, // 3604
  { PseudoVID_V_M8_MASK, VID_V, 0x3, 0x0 }, // 3605
  { PseudoVID_V_MF8, VID_V, 0x5, 0x0 }, // 3606
  { PseudoVID_V_MF8_MASK, VID_V, 0x5, 0x0 }, // 3607
  { PseudoVID_V_MF4, VID_V, 0x6, 0x0 }, // 3608
  { PseudoVID_V_MF4_MASK, VID_V, 0x6, 0x0 }, // 3609
  { PseudoVID_V_MF2, VID_V, 0x7, 0x0 }, // 3610
  { PseudoVID_V_MF2_MASK, VID_V, 0x7, 0x0 }, // 3611
  { PseudoVIOTA_M_M1, VIOTA_M, 0x0, 0x0 }, // 3612
  { PseudoVIOTA_M_M1_MASK, VIOTA_M, 0x0, 0x0 }, // 3613
  { PseudoVIOTA_M_M2, VIOTA_M, 0x1, 0x0 }, // 3614
  { PseudoVIOTA_M_M2_MASK, VIOTA_M, 0x1, 0x0 }, // 3615
  { PseudoVIOTA_M_M4, VIOTA_M, 0x2, 0x0 }, // 3616
  { PseudoVIOTA_M_M4_MASK, VIOTA_M, 0x2, 0x0 }, // 3617
  { PseudoVIOTA_M_M8, VIOTA_M, 0x3, 0x0 }, // 3618
  { PseudoVIOTA_M_M8_MASK, VIOTA_M, 0x3, 0x0 }, // 3619
  { PseudoVIOTA_M_MF8, VIOTA_M, 0x5, 0x0 }, // 3620
  { PseudoVIOTA_M_MF8_MASK, VIOTA_M, 0x5, 0x0 }, // 3621
  { PseudoVIOTA_M_MF4, VIOTA_M, 0x6, 0x0 }, // 3622
  { PseudoVIOTA_M_MF4_MASK, VIOTA_M, 0x6, 0x0 }, // 3623
  { PseudoVIOTA_M_MF2, VIOTA_M, 0x7, 0x0 }, // 3624
  { PseudoVIOTA_M_MF2_MASK, VIOTA_M, 0x7, 0x0 }, // 3625
  { PseudoVLE16FF_V_M1, VLE16FF_V, 0x0, 0x10 }, // 3626
  { PseudoVLE16FF_V_M1_MASK, VLE16FF_V, 0x0, 0x10 }, // 3627
  { PseudoVLE16FF_V_M2, VLE16FF_V, 0x1, 0x10 }, // 3628
  { PseudoVLE16FF_V_M2_MASK, VLE16FF_V, 0x1, 0x10 }, // 3629
  { PseudoVLE16FF_V_M4, VLE16FF_V, 0x2, 0x10 }, // 3630
  { PseudoVLE16FF_V_M4_MASK, VLE16FF_V, 0x2, 0x10 }, // 3631
  { PseudoVLE16FF_V_M8, VLE16FF_V, 0x3, 0x10 }, // 3632
  { PseudoVLE16FF_V_M8_MASK, VLE16FF_V, 0x3, 0x10 }, // 3633
  { PseudoVLE16FF_V_MF4, VLE16FF_V, 0x6, 0x10 }, // 3634
  { PseudoVLE16FF_V_MF4_MASK, VLE16FF_V, 0x6, 0x10 }, // 3635
  { PseudoVLE16FF_V_MF2, VLE16FF_V, 0x7, 0x10 }, // 3636
  { PseudoVLE16FF_V_MF2_MASK, VLE16FF_V, 0x7, 0x10 }, // 3637
  { PseudoVLE16_V_M1, VLE16_V, 0x0, 0x10 }, // 3638
  { PseudoVLE16_V_M1_MASK, VLE16_V, 0x0, 0x10 }, // 3639
  { PseudoVLE16_V_M2, VLE16_V, 0x1, 0x10 }, // 3640
  { PseudoVLE16_V_M2_MASK, VLE16_V, 0x1, 0x10 }, // 3641
  { PseudoVLE16_V_M4, VLE16_V, 0x2, 0x10 }, // 3642
  { PseudoVLE16_V_M4_MASK, VLE16_V, 0x2, 0x10 }, // 3643
  { PseudoVLE16_V_M8, VLE16_V, 0x3, 0x10 }, // 3644
  { PseudoVLE16_V_M8_MASK, VLE16_V, 0x3, 0x10 }, // 3645
  { PseudoVLE16_V_MF4, VLE16_V, 0x6, 0x10 }, // 3646
  { PseudoVLE16_V_MF4_MASK, VLE16_V, 0x6, 0x10 }, // 3647
  { PseudoVLE16_V_MF2, VLE16_V, 0x7, 0x10 }, // 3648
  { PseudoVLE16_V_MF2_MASK, VLE16_V, 0x7, 0x10 }, // 3649
  { PseudoVLE32FF_V_M1, VLE32FF_V, 0x0, 0x20 }, // 3650
  { PseudoVLE32FF_V_M1_MASK, VLE32FF_V, 0x0, 0x20 }, // 3651
  { PseudoVLE32FF_V_M2, VLE32FF_V, 0x1, 0x20 }, // 3652
  { PseudoVLE32FF_V_M2_MASK, VLE32FF_V, 0x1, 0x20 }, // 3653
  { PseudoVLE32FF_V_M4, VLE32FF_V, 0x2, 0x20 }, // 3654
  { PseudoVLE32FF_V_M4_MASK, VLE32FF_V, 0x2, 0x20 }, // 3655
  { PseudoVLE32FF_V_M8, VLE32FF_V, 0x3, 0x20 }, // 3656
  { PseudoVLE32FF_V_M8_MASK, VLE32FF_V, 0x3, 0x20 }, // 3657
  { PseudoVLE32FF_V_MF2, VLE32FF_V, 0x7, 0x20 }, // 3658
  { PseudoVLE32FF_V_MF2_MASK, VLE32FF_V, 0x7, 0x20 }, // 3659
  { PseudoVLE32_V_M1, VLE32_V, 0x0, 0x20 }, // 3660
  { PseudoVLE32_V_M1_MASK, VLE32_V, 0x0, 0x20 }, // 3661
  { PseudoVLE32_V_M2, VLE32_V, 0x1, 0x20 }, // 3662
  { PseudoVLE32_V_M2_MASK, VLE32_V, 0x1, 0x20 }, // 3663
  { PseudoVLE32_V_M4, VLE32_V, 0x2, 0x20 }, // 3664
  { PseudoVLE32_V_M4_MASK, VLE32_V, 0x2, 0x20 }, // 3665
  { PseudoVLE32_V_M8, VLE32_V, 0x3, 0x20 }, // 3666
  { PseudoVLE32_V_M8_MASK, VLE32_V, 0x3, 0x20 }, // 3667
  { PseudoVLE32_V_MF2, VLE32_V, 0x7, 0x20 }, // 3668
  { PseudoVLE32_V_MF2_MASK, VLE32_V, 0x7, 0x20 }, // 3669
  { PseudoVLE64FF_V_M1, VLE64FF_V, 0x0, 0x40 }, // 3670
  { PseudoVLE64FF_V_M1_MASK, VLE64FF_V, 0x0, 0x40 }, // 3671
  { PseudoVLE64FF_V_M2, VLE64FF_V, 0x1, 0x40 }, // 3672
  { PseudoVLE64FF_V_M2_MASK, VLE64FF_V, 0x1, 0x40 }, // 3673
  { PseudoVLE64FF_V_M4, VLE64FF_V, 0x2, 0x40 }, // 3674
  { PseudoVLE64FF_V_M4_MASK, VLE64FF_V, 0x2, 0x40 }, // 3675
  { PseudoVLE64FF_V_M8, VLE64FF_V, 0x3, 0x40 }, // 3676
  { PseudoVLE64FF_V_M8_MASK, VLE64FF_V, 0x3, 0x40 }, // 3677
  { PseudoVLE64_V_M1, VLE64_V, 0x0, 0x40 }, // 3678
  { PseudoVLE64_V_M1_MASK, VLE64_V, 0x0, 0x40 }, // 3679
  { PseudoVLE64_V_M2, VLE64_V, 0x1, 0x40 }, // 3680
  { PseudoVLE64_V_M2_MASK, VLE64_V, 0x1, 0x40 }, // 3681
  { PseudoVLE64_V_M4, VLE64_V, 0x2, 0x40 }, // 3682
  { PseudoVLE64_V_M4_MASK, VLE64_V, 0x2, 0x40 }, // 3683
  { PseudoVLE64_V_M8, VLE64_V, 0x3, 0x40 }, // 3684
  { PseudoVLE64_V_M8_MASK, VLE64_V, 0x3, 0x40 }, // 3685
  { PseudoVLE8FF_V_M1, VLE8FF_V, 0x0, 0x8 }, // 3686
  { PseudoVLE8FF_V_M1_MASK, VLE8FF_V, 0x0, 0x8 }, // 3687
  { PseudoVLE8FF_V_M2, VLE8FF_V, 0x1, 0x8 }, // 3688
  { PseudoVLE8FF_V_M2_MASK, VLE8FF_V, 0x1, 0x8 }, // 3689
  { PseudoVLE8FF_V_M4, VLE8FF_V, 0x2, 0x8 }, // 3690
  { PseudoVLE8FF_V_M4_MASK, VLE8FF_V, 0x2, 0x8 }, // 3691
  { PseudoVLE8FF_V_M8, VLE8FF_V, 0x3, 0x8 }, // 3692
  { PseudoVLE8FF_V_M8_MASK, VLE8FF_V, 0x3, 0x8 }, // 3693
  { PseudoVLE8FF_V_MF8, VLE8FF_V, 0x5, 0x8 }, // 3694
  { PseudoVLE8FF_V_MF8_MASK, VLE8FF_V, 0x5, 0x8 }, // 3695
  { PseudoVLE8FF_V_MF4, VLE8FF_V, 0x6, 0x8 }, // 3696
  { PseudoVLE8FF_V_MF4_MASK, VLE8FF_V, 0x6, 0x8 }, // 3697
  { PseudoVLE8FF_V_MF2, VLE8FF_V, 0x7, 0x8 }, // 3698
  { PseudoVLE8FF_V_MF2_MASK, VLE8FF_V, 0x7, 0x8 }, // 3699
  { PseudoVLE8_V_M1, VLE8_V, 0x0, 0x8 }, // 3700
  { PseudoVLE8_V_M1_MASK, VLE8_V, 0x0, 0x8 }, // 3701
  { PseudoVLE8_V_M2, VLE8_V, 0x1, 0x8 }, // 3702
  { PseudoVLE8_V_M2_MASK, VLE8_V, 0x1, 0x8 }, // 3703
  { PseudoVLE8_V_M4, VLE8_V, 0x2, 0x8 }, // 3704
  { PseudoVLE8_V_M4_MASK, VLE8_V, 0x2, 0x8 }, // 3705
  { PseudoVLE8_V_M8, VLE8_V, 0x3, 0x8 }, // 3706
  { PseudoVLE8_V_M8_MASK, VLE8_V, 0x3, 0x8 }, // 3707
  { PseudoVLE8_V_MF8, VLE8_V, 0x5, 0x8 }, // 3708
  { PseudoVLE8_V_MF8_MASK, VLE8_V, 0x5, 0x8 }, // 3709
  { PseudoVLE8_V_MF4, VLE8_V, 0x6, 0x8 }, // 3710
  { PseudoVLE8_V_MF4_MASK, VLE8_V, 0x6, 0x8 }, // 3711
  { PseudoVLE8_V_MF2, VLE8_V, 0x7, 0x8 }, // 3712
  { PseudoVLE8_V_MF2_MASK, VLE8_V, 0x7, 0x8 }, // 3713
  { PseudoVLM_V_B8, VLM_V, 0x0, 0x0 }, // 3714
  { PseudoVLM_V_B16, VLM_V, 0x1, 0x0 }, // 3715
  { PseudoVLM_V_B32, VLM_V, 0x2, 0x0 }, // 3716
  { PseudoVLM_V_B64, VLM_V, 0x3, 0x0 }, // 3717
  { PseudoVLM_V_B1, VLM_V, 0x5, 0x0 }, // 3718
  { PseudoVLM_V_B2, VLM_V, 0x6, 0x0 }, // 3719
  { PseudoVLM_V_B4, VLM_V, 0x7, 0x0 }, // 3720
  { PseudoVLOXEI16_V_M1_M1, VLOXEI16_V, 0x0, 0x0 }, // 3721
  { PseudoVLOXEI16_V_M1_M1_MASK, VLOXEI16_V, 0x0, 0x0 }, // 3722
  { PseudoVLOXEI16_V_M2_M1, VLOXEI16_V, 0x0, 0x0 }, // 3723
  { PseudoVLOXEI16_V_M2_M1_MASK, VLOXEI16_V, 0x0, 0x0 }, // 3724
  { PseudoVLOXEI16_V_MF2_M1, VLOXEI16_V, 0x0, 0x0 }, // 3725
  { PseudoVLOXEI16_V_MF2_M1_MASK, VLOXEI16_V, 0x0, 0x0 }, // 3726
  { PseudoVLOXEI16_V_MF4_M1, VLOXEI16_V, 0x0, 0x0 }, // 3727
  { PseudoVLOXEI16_V_MF4_M1_MASK, VLOXEI16_V, 0x0, 0x0 }, // 3728
  { PseudoVLOXEI16_V_M1_M2, VLOXEI16_V, 0x1, 0x0 }, // 3729
  { PseudoVLOXEI16_V_M1_M2_MASK, VLOXEI16_V, 0x1, 0x0 }, // 3730
  { PseudoVLOXEI16_V_M2_M2, VLOXEI16_V, 0x1, 0x0 }, // 3731
  { PseudoVLOXEI16_V_M2_M2_MASK, VLOXEI16_V, 0x1, 0x0 }, // 3732
  { PseudoVLOXEI16_V_M4_M2, VLOXEI16_V, 0x1, 0x0 }, // 3733
  { PseudoVLOXEI16_V_M4_M2_MASK, VLOXEI16_V, 0x1, 0x0 }, // 3734
  { PseudoVLOXEI16_V_MF2_M2, VLOXEI16_V, 0x1, 0x0 }, // 3735
  { PseudoVLOXEI16_V_MF2_M2_MASK, VLOXEI16_V, 0x1, 0x0 }, // 3736
  { PseudoVLOXEI16_V_M1_M4, VLOXEI16_V, 0x2, 0x0 }, // 3737
  { PseudoVLOXEI16_V_M1_M4_MASK, VLOXEI16_V, 0x2, 0x0 }, // 3738
  { PseudoVLOXEI16_V_M2_M4, VLOXEI16_V, 0x2, 0x0 }, // 3739
  { PseudoVLOXEI16_V_M2_M4_MASK, VLOXEI16_V, 0x2, 0x0 }, // 3740
  { PseudoVLOXEI16_V_M4_M4, VLOXEI16_V, 0x2, 0x0 }, // 3741
  { PseudoVLOXEI16_V_M4_M4_MASK, VLOXEI16_V, 0x2, 0x0 }, // 3742
  { PseudoVLOXEI16_V_M8_M4, VLOXEI16_V, 0x2, 0x0 }, // 3743
  { PseudoVLOXEI16_V_M8_M4_MASK, VLOXEI16_V, 0x2, 0x0 }, // 3744
  { PseudoVLOXEI16_V_M2_M8, VLOXEI16_V, 0x3, 0x0 }, // 3745
  { PseudoVLOXEI16_V_M2_M8_MASK, VLOXEI16_V, 0x3, 0x0 }, // 3746
  { PseudoVLOXEI16_V_M4_M8, VLOXEI16_V, 0x3, 0x0 }, // 3747
  { PseudoVLOXEI16_V_M4_M8_MASK, VLOXEI16_V, 0x3, 0x0 }, // 3748
  { PseudoVLOXEI16_V_M8_M8, VLOXEI16_V, 0x3, 0x0 }, // 3749
  { PseudoVLOXEI16_V_M8_M8_MASK, VLOXEI16_V, 0x3, 0x0 }, // 3750
  { PseudoVLOXEI16_V_MF4_MF8, VLOXEI16_V, 0x5, 0x0 }, // 3751
  { PseudoVLOXEI16_V_MF4_MF8_MASK, VLOXEI16_V, 0x5, 0x0 }, // 3752
  { PseudoVLOXEI16_V_MF2_MF4, VLOXEI16_V, 0x6, 0x0 }, // 3753
  { PseudoVLOXEI16_V_MF2_MF4_MASK, VLOXEI16_V, 0x6, 0x0 }, // 3754
  { PseudoVLOXEI16_V_MF4_MF4, VLOXEI16_V, 0x6, 0x0 }, // 3755
  { PseudoVLOXEI16_V_MF4_MF4_MASK, VLOXEI16_V, 0x6, 0x0 }, // 3756
  { PseudoVLOXEI16_V_M1_MF2, VLOXEI16_V, 0x7, 0x0 }, // 3757
  { PseudoVLOXEI16_V_M1_MF2_MASK, VLOXEI16_V, 0x7, 0x0 }, // 3758
  { PseudoVLOXEI16_V_MF2_MF2, VLOXEI16_V, 0x7, 0x0 }, // 3759
  { PseudoVLOXEI16_V_MF2_MF2_MASK, VLOXEI16_V, 0x7, 0x0 }, // 3760
  { PseudoVLOXEI16_V_MF4_MF2, VLOXEI16_V, 0x7, 0x0 }, // 3761
  { PseudoVLOXEI16_V_MF4_MF2_MASK, VLOXEI16_V, 0x7, 0x0 }, // 3762
  { PseudoVLOXEI32_V_M1_M1, VLOXEI32_V, 0x0, 0x0 }, // 3763
  { PseudoVLOXEI32_V_M1_M1_MASK, VLOXEI32_V, 0x0, 0x0 }, // 3764
  { PseudoVLOXEI32_V_M2_M1, VLOXEI32_V, 0x0, 0x0 }, // 3765
  { PseudoVLOXEI32_V_M2_M1_MASK, VLOXEI32_V, 0x0, 0x0 }, // 3766
  { PseudoVLOXEI32_V_M4_M1, VLOXEI32_V, 0x0, 0x0 }, // 3767
  { PseudoVLOXEI32_V_M4_M1_MASK, VLOXEI32_V, 0x0, 0x0 }, // 3768
  { PseudoVLOXEI32_V_MF2_M1, VLOXEI32_V, 0x0, 0x0 }, // 3769
  { PseudoVLOXEI32_V_MF2_M1_MASK, VLOXEI32_V, 0x0, 0x0 }, // 3770
  { PseudoVLOXEI32_V_M1_M2, VLOXEI32_V, 0x1, 0x0 }, // 3771
  { PseudoVLOXEI32_V_M1_M2_MASK, VLOXEI32_V, 0x1, 0x0 }, // 3772
  { PseudoVLOXEI32_V_M2_M2, VLOXEI32_V, 0x1, 0x0 }, // 3773
  { PseudoVLOXEI32_V_M2_M2_MASK, VLOXEI32_V, 0x1, 0x0 }, // 3774
  { PseudoVLOXEI32_V_M4_M2, VLOXEI32_V, 0x1, 0x0 }, // 3775
  { PseudoVLOXEI32_V_M4_M2_MASK, VLOXEI32_V, 0x1, 0x0 }, // 3776
  { PseudoVLOXEI32_V_M8_M2, VLOXEI32_V, 0x1, 0x0 }, // 3777
  { PseudoVLOXEI32_V_M8_M2_MASK, VLOXEI32_V, 0x1, 0x0 }, // 3778
  { PseudoVLOXEI32_V_M2_M4, VLOXEI32_V, 0x2, 0x0 }, // 3779
  { PseudoVLOXEI32_V_M2_M4_MASK, VLOXEI32_V, 0x2, 0x0 }, // 3780
  { PseudoVLOXEI32_V_M4_M4, VLOXEI32_V, 0x2, 0x0 }, // 3781
  { PseudoVLOXEI32_V_M4_M4_MASK, VLOXEI32_V, 0x2, 0x0 }, // 3782
  { PseudoVLOXEI32_V_M8_M4, VLOXEI32_V, 0x2, 0x0 }, // 3783
  { PseudoVLOXEI32_V_M8_M4_MASK, VLOXEI32_V, 0x2, 0x0 }, // 3784
  { PseudoVLOXEI32_V_M4_M8, VLOXEI32_V, 0x3, 0x0 }, // 3785
  { PseudoVLOXEI32_V_M4_M8_MASK, VLOXEI32_V, 0x3, 0x0 }, // 3786
  { PseudoVLOXEI32_V_M8_M8, VLOXEI32_V, 0x3, 0x0 }, // 3787
  { PseudoVLOXEI32_V_M8_M8_MASK, VLOXEI32_V, 0x3, 0x0 }, // 3788
  { PseudoVLOXEI32_V_MF2_MF8, VLOXEI32_V, 0x5, 0x0 }, // 3789
  { PseudoVLOXEI32_V_MF2_MF8_MASK, VLOXEI32_V, 0x5, 0x0 }, // 3790
  { PseudoVLOXEI32_V_M1_MF4, VLOXEI32_V, 0x6, 0x0 }, // 3791
  { PseudoVLOXEI32_V_M1_MF4_MASK, VLOXEI32_V, 0x6, 0x0 }, // 3792
  { PseudoVLOXEI32_V_MF2_MF4, VLOXEI32_V, 0x6, 0x0 }, // 3793
  { PseudoVLOXEI32_V_MF2_MF4_MASK, VLOXEI32_V, 0x6, 0x0 }, // 3794
  { PseudoVLOXEI32_V_M1_MF2, VLOXEI32_V, 0x7, 0x0 }, // 3795
  { PseudoVLOXEI32_V_M1_MF2_MASK, VLOXEI32_V, 0x7, 0x0 }, // 3796
  { PseudoVLOXEI32_V_M2_MF2, VLOXEI32_V, 0x7, 0x0 }, // 3797
  { PseudoVLOXEI32_V_M2_MF2_MASK, VLOXEI32_V, 0x7, 0x0 }, // 3798
  { PseudoVLOXEI32_V_MF2_MF2, VLOXEI32_V, 0x7, 0x0 }, // 3799
  { PseudoVLOXEI32_V_MF2_MF2_MASK, VLOXEI32_V, 0x7, 0x0 }, // 3800
  { PseudoVLOXEI64_V_M1_M1, VLOXEI64_V, 0x0, 0x0 }, // 3801
  { PseudoVLOXEI64_V_M1_M1_MASK, VLOXEI64_V, 0x0, 0x0 }, // 3802
  { PseudoVLOXEI64_V_M2_M1, VLOXEI64_V, 0x0, 0x0 }, // 3803
  { PseudoVLOXEI64_V_M2_M1_MASK, VLOXEI64_V, 0x0, 0x0 }, // 3804
  { PseudoVLOXEI64_V_M4_M1, VLOXEI64_V, 0x0, 0x0 }, // 3805
  { PseudoVLOXEI64_V_M4_M1_MASK, VLOXEI64_V, 0x0, 0x0 }, // 3806
  { PseudoVLOXEI64_V_M8_M1, VLOXEI64_V, 0x0, 0x0 }, // 3807
  { PseudoVLOXEI64_V_M8_M1_MASK, VLOXEI64_V, 0x0, 0x0 }, // 3808
  { PseudoVLOXEI64_V_M2_M2, VLOXEI64_V, 0x1, 0x0 }, // 3809
  { PseudoVLOXEI64_V_M2_M2_MASK, VLOXEI64_V, 0x1, 0x0 }, // 3810
  { PseudoVLOXEI64_V_M4_M2, VLOXEI64_V, 0x1, 0x0 }, // 3811
  { PseudoVLOXEI64_V_M4_M2_MASK, VLOXEI64_V, 0x1, 0x0 }, // 3812
  { PseudoVLOXEI64_V_M8_M2, VLOXEI64_V, 0x1, 0x0 }, // 3813
  { PseudoVLOXEI64_V_M8_M2_MASK, VLOXEI64_V, 0x1, 0x0 }, // 3814
  { PseudoVLOXEI64_V_M4_M4, VLOXEI64_V, 0x2, 0x0 }, // 3815
  { PseudoVLOXEI64_V_M4_M4_MASK, VLOXEI64_V, 0x2, 0x0 }, // 3816
  { PseudoVLOXEI64_V_M8_M4, VLOXEI64_V, 0x2, 0x0 }, // 3817
  { PseudoVLOXEI64_V_M8_M4_MASK, VLOXEI64_V, 0x2, 0x0 }, // 3818
  { PseudoVLOXEI64_V_M8_M8, VLOXEI64_V, 0x3, 0x0 }, // 3819
  { PseudoVLOXEI64_V_M8_M8_MASK, VLOXEI64_V, 0x3, 0x0 }, // 3820
  { PseudoVLOXEI64_V_M1_MF8, VLOXEI64_V, 0x5, 0x0 }, // 3821
  { PseudoVLOXEI64_V_M1_MF8_MASK, VLOXEI64_V, 0x5, 0x0 }, // 3822
  { PseudoVLOXEI64_V_M1_MF4, VLOXEI64_V, 0x6, 0x0 }, // 3823
  { PseudoVLOXEI64_V_M1_MF4_MASK, VLOXEI64_V, 0x6, 0x0 }, // 3824
  { PseudoVLOXEI64_V_M2_MF4, VLOXEI64_V, 0x6, 0x0 }, // 3825
  { PseudoVLOXEI64_V_M2_MF4_MASK, VLOXEI64_V, 0x6, 0x0 }, // 3826
  { PseudoVLOXEI64_V_M1_MF2, VLOXEI64_V, 0x7, 0x0 }, // 3827
  { PseudoVLOXEI64_V_M1_MF2_MASK, VLOXEI64_V, 0x7, 0x0 }, // 3828
  { PseudoVLOXEI64_V_M2_MF2, VLOXEI64_V, 0x7, 0x0 }, // 3829
  { PseudoVLOXEI64_V_M2_MF2_MASK, VLOXEI64_V, 0x7, 0x0 }, // 3830
  { PseudoVLOXEI64_V_M4_MF2, VLOXEI64_V, 0x7, 0x0 }, // 3831
  { PseudoVLOXEI64_V_M4_MF2_MASK, VLOXEI64_V, 0x7, 0x0 }, // 3832
  { PseudoVLOXEI8_V_M1_M1, VLOXEI8_V, 0x0, 0x0 }, // 3833
  { PseudoVLOXEI8_V_M1_M1_MASK, VLOXEI8_V, 0x0, 0x0 }, // 3834
  { PseudoVLOXEI8_V_MF2_M1, VLOXEI8_V, 0x0, 0x0 }, // 3835
  { PseudoVLOXEI8_V_MF2_M1_MASK, VLOXEI8_V, 0x0, 0x0 }, // 3836
  { PseudoVLOXEI8_V_MF4_M1, VLOXEI8_V, 0x0, 0x0 }, // 3837
  { PseudoVLOXEI8_V_MF4_M1_MASK, VLOXEI8_V, 0x0, 0x0 }, // 3838
  { PseudoVLOXEI8_V_MF8_M1, VLOXEI8_V, 0x0, 0x0 }, // 3839
  { PseudoVLOXEI8_V_MF8_M1_MASK, VLOXEI8_V, 0x0, 0x0 }, // 3840
  { PseudoVLOXEI8_V_M1_M2, VLOXEI8_V, 0x1, 0x0 }, // 3841
  { PseudoVLOXEI8_V_M1_M2_MASK, VLOXEI8_V, 0x1, 0x0 }, // 3842
  { PseudoVLOXEI8_V_M2_M2, VLOXEI8_V, 0x1, 0x0 }, // 3843
  { PseudoVLOXEI8_V_M2_M2_MASK, VLOXEI8_V, 0x1, 0x0 }, // 3844
  { PseudoVLOXEI8_V_MF2_M2, VLOXEI8_V, 0x1, 0x0 }, // 3845
  { PseudoVLOXEI8_V_MF2_M2_MASK, VLOXEI8_V, 0x1, 0x0 }, // 3846
  { PseudoVLOXEI8_V_MF4_M2, VLOXEI8_V, 0x1, 0x0 }, // 3847
  { PseudoVLOXEI8_V_MF4_M2_MASK, VLOXEI8_V, 0x1, 0x0 }, // 3848
  { PseudoVLOXEI8_V_M1_M4, VLOXEI8_V, 0x2, 0x0 }, // 3849
  { PseudoVLOXEI8_V_M1_M4_MASK, VLOXEI8_V, 0x2, 0x0 }, // 3850
  { PseudoVLOXEI8_V_M2_M4, VLOXEI8_V, 0x2, 0x0 }, // 3851
  { PseudoVLOXEI8_V_M2_M4_MASK, VLOXEI8_V, 0x2, 0x0 }, // 3852
  { PseudoVLOXEI8_V_M4_M4, VLOXEI8_V, 0x2, 0x0 }, // 3853
  { PseudoVLOXEI8_V_M4_M4_MASK, VLOXEI8_V, 0x2, 0x0 }, // 3854
  { PseudoVLOXEI8_V_MF2_M4, VLOXEI8_V, 0x2, 0x0 }, // 3855
  { PseudoVLOXEI8_V_MF2_M4_MASK, VLOXEI8_V, 0x2, 0x0 }, // 3856
  { PseudoVLOXEI8_V_M1_M8, VLOXEI8_V, 0x3, 0x0 }, // 3857
  { PseudoVLOXEI8_V_M1_M8_MASK, VLOXEI8_V, 0x3, 0x0 }, // 3858
  { PseudoVLOXEI8_V_M2_M8, VLOXEI8_V, 0x3, 0x0 }, // 3859
  { PseudoVLOXEI8_V_M2_M8_MASK, VLOXEI8_V, 0x3, 0x0 }, // 3860
  { PseudoVLOXEI8_V_M4_M8, VLOXEI8_V, 0x3, 0x0 }, // 3861
  { PseudoVLOXEI8_V_M4_M8_MASK, VLOXEI8_V, 0x3, 0x0 }, // 3862
  { PseudoVLOXEI8_V_M8_M8, VLOXEI8_V, 0x3, 0x0 }, // 3863
  { PseudoVLOXEI8_V_M8_M8_MASK, VLOXEI8_V, 0x3, 0x0 }, // 3864
  { PseudoVLOXEI8_V_MF8_MF8, VLOXEI8_V, 0x5, 0x0 }, // 3865
  { PseudoVLOXEI8_V_MF8_MF8_MASK, VLOXEI8_V, 0x5, 0x0 }, // 3866
  { PseudoVLOXEI8_V_MF4_MF4, VLOXEI8_V, 0x6, 0x0 }, // 3867
  { PseudoVLOXEI8_V_MF4_MF4_MASK, VLOXEI8_V, 0x6, 0x0 }, // 3868
  { PseudoVLOXEI8_V_MF8_MF4, VLOXEI8_V, 0x6, 0x0 }, // 3869
  { PseudoVLOXEI8_V_MF8_MF4_MASK, VLOXEI8_V, 0x6, 0x0 }, // 3870
  { PseudoVLOXEI8_V_MF2_MF2, VLOXEI8_V, 0x7, 0x0 }, // 3871
  { PseudoVLOXEI8_V_MF2_MF2_MASK, VLOXEI8_V, 0x7, 0x0 }, // 3872
  { PseudoVLOXEI8_V_MF4_MF2, VLOXEI8_V, 0x7, 0x0 }, // 3873
  { PseudoVLOXEI8_V_MF4_MF2_MASK, VLOXEI8_V, 0x7, 0x0 }, // 3874
  { PseudoVLOXEI8_V_MF8_MF2, VLOXEI8_V, 0x7, 0x0 }, // 3875
  { PseudoVLOXEI8_V_MF8_MF2_MASK, VLOXEI8_V, 0x7, 0x0 }, // 3876
  { PseudoVLOXSEG2EI16_V_M1_M1, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3877
  { PseudoVLOXSEG2EI16_V_M1_M1_MASK, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3878
  { PseudoVLOXSEG2EI16_V_M2_M1, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3879
  { PseudoVLOXSEG2EI16_V_M2_M1_MASK, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3880
  { PseudoVLOXSEG2EI16_V_MF2_M1, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3881
  { PseudoVLOXSEG2EI16_V_MF2_M1_MASK, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3882
  { PseudoVLOXSEG2EI16_V_MF4_M1, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3883
  { PseudoVLOXSEG2EI16_V_MF4_M1_MASK, VLOXSEG2EI16_V, 0x0, 0x0 }, // 3884
  { PseudoVLOXSEG2EI16_V_M1_M2, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3885
  { PseudoVLOXSEG2EI16_V_M1_M2_MASK, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3886
  { PseudoVLOXSEG2EI16_V_M2_M2, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3887
  { PseudoVLOXSEG2EI16_V_M2_M2_MASK, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3888
  { PseudoVLOXSEG2EI16_V_M4_M2, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3889
  { PseudoVLOXSEG2EI16_V_M4_M2_MASK, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3890
  { PseudoVLOXSEG2EI16_V_MF2_M2, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3891
  { PseudoVLOXSEG2EI16_V_MF2_M2_MASK, VLOXSEG2EI16_V, 0x1, 0x0 }, // 3892
  { PseudoVLOXSEG2EI16_V_M1_M4, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3893
  { PseudoVLOXSEG2EI16_V_M1_M4_MASK, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3894
  { PseudoVLOXSEG2EI16_V_M2_M4, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3895
  { PseudoVLOXSEG2EI16_V_M2_M4_MASK, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3896
  { PseudoVLOXSEG2EI16_V_M4_M4, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3897
  { PseudoVLOXSEG2EI16_V_M4_M4_MASK, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3898
  { PseudoVLOXSEG2EI16_V_M8_M4, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3899
  { PseudoVLOXSEG2EI16_V_M8_M4_MASK, VLOXSEG2EI16_V, 0x2, 0x0 }, // 3900
  { PseudoVLOXSEG2EI16_V_MF4_MF8, VLOXSEG2EI16_V, 0x5, 0x0 }, // 3901
  { PseudoVLOXSEG2EI16_V_MF4_MF8_MASK, VLOXSEG2EI16_V, 0x5, 0x0 }, // 3902
  { PseudoVLOXSEG2EI16_V_MF2_MF4, VLOXSEG2EI16_V, 0x6, 0x0 }, // 3903
  { PseudoVLOXSEG2EI16_V_MF2_MF4_MASK, VLOXSEG2EI16_V, 0x6, 0x0 }, // 3904
  { PseudoVLOXSEG2EI16_V_MF4_MF4, VLOXSEG2EI16_V, 0x6, 0x0 }, // 3905
  { PseudoVLOXSEG2EI16_V_MF4_MF4_MASK, VLOXSEG2EI16_V, 0x6, 0x0 }, // 3906
  { PseudoVLOXSEG2EI16_V_M1_MF2, VLOXSEG2EI16_V, 0x7, 0x0 }, // 3907
  { PseudoVLOXSEG2EI16_V_M1_MF2_MASK, VLOXSEG2EI16_V, 0x7, 0x0 }, // 3908
  { PseudoVLOXSEG2EI16_V_MF2_MF2, VLOXSEG2EI16_V, 0x7, 0x0 }, // 3909
  { PseudoVLOXSEG2EI16_V_MF2_MF2_MASK, VLOXSEG2EI16_V, 0x7, 0x0 }, // 3910
  { PseudoVLOXSEG2EI16_V_MF4_MF2, VLOXSEG2EI16_V, 0x7, 0x0 }, // 3911
  { PseudoVLOXSEG2EI16_V_MF4_MF2_MASK, VLOXSEG2EI16_V, 0x7, 0x0 }, // 3912
  { PseudoVLOXSEG2EI32_V_M1_M1, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3913
  { PseudoVLOXSEG2EI32_V_M1_M1_MASK, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3914
  { PseudoVLOXSEG2EI32_V_M2_M1, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3915
  { PseudoVLOXSEG2EI32_V_M2_M1_MASK, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3916
  { PseudoVLOXSEG2EI32_V_M4_M1, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3917
  { PseudoVLOXSEG2EI32_V_M4_M1_MASK, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3918
  { PseudoVLOXSEG2EI32_V_MF2_M1, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3919
  { PseudoVLOXSEG2EI32_V_MF2_M1_MASK, VLOXSEG2EI32_V, 0x0, 0x0 }, // 3920
  { PseudoVLOXSEG2EI32_V_M1_M2, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3921
  { PseudoVLOXSEG2EI32_V_M1_M2_MASK, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3922
  { PseudoVLOXSEG2EI32_V_M2_M2, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3923
  { PseudoVLOXSEG2EI32_V_M2_M2_MASK, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3924
  { PseudoVLOXSEG2EI32_V_M4_M2, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3925
  { PseudoVLOXSEG2EI32_V_M4_M2_MASK, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3926
  { PseudoVLOXSEG2EI32_V_M8_M2, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3927
  { PseudoVLOXSEG2EI32_V_M8_M2_MASK, VLOXSEG2EI32_V, 0x1, 0x0 }, // 3928
  { PseudoVLOXSEG2EI32_V_M2_M4, VLOXSEG2EI32_V, 0x2, 0x0 }, // 3929
  { PseudoVLOXSEG2EI32_V_M2_M4_MASK, VLOXSEG2EI32_V, 0x2, 0x0 }, // 3930
  { PseudoVLOXSEG2EI32_V_M4_M4, VLOXSEG2EI32_V, 0x2, 0x0 }, // 3931
  { PseudoVLOXSEG2EI32_V_M4_M4_MASK, VLOXSEG2EI32_V, 0x2, 0x0 }, // 3932
  { PseudoVLOXSEG2EI32_V_M8_M4, VLOXSEG2EI32_V, 0x2, 0x0 }, // 3933
  { PseudoVLOXSEG2EI32_V_M8_M4_MASK, VLOXSEG2EI32_V, 0x2, 0x0 }, // 3934
  { PseudoVLOXSEG2EI32_V_MF2_MF8, VLOXSEG2EI32_V, 0x5, 0x0 }, // 3935
  { PseudoVLOXSEG2EI32_V_MF2_MF8_MASK, VLOXSEG2EI32_V, 0x5, 0x0 }, // 3936
  { PseudoVLOXSEG2EI32_V_M1_MF4, VLOXSEG2EI32_V, 0x6, 0x0 }, // 3937
  { PseudoVLOXSEG2EI32_V_M1_MF4_MASK, VLOXSEG2EI32_V, 0x6, 0x0 }, // 3938
  { PseudoVLOXSEG2EI32_V_MF2_MF4, VLOXSEG2EI32_V, 0x6, 0x0 }, // 3939
  { PseudoVLOXSEG2EI32_V_MF2_MF4_MASK, VLOXSEG2EI32_V, 0x6, 0x0 }, // 3940
  { PseudoVLOXSEG2EI32_V_M1_MF2, VLOXSEG2EI32_V, 0x7, 0x0 }, // 3941
  { PseudoVLOXSEG2EI32_V_M1_MF2_MASK, VLOXSEG2EI32_V, 0x7, 0x0 }, // 3942
  { PseudoVLOXSEG2EI32_V_M2_MF2, VLOXSEG2EI32_V, 0x7, 0x0 }, // 3943
  { PseudoVLOXSEG2EI32_V_M2_MF2_MASK, VLOXSEG2EI32_V, 0x7, 0x0 }, // 3944
  { PseudoVLOXSEG2EI32_V_MF2_MF2, VLOXSEG2EI32_V, 0x7, 0x0 }, // 3945
  { PseudoVLOXSEG2EI32_V_MF2_MF2_MASK, VLOXSEG2EI32_V, 0x7, 0x0 }, // 3946
  { PseudoVLOXSEG2EI64_V_M1_M1, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3947
  { PseudoVLOXSEG2EI64_V_M1_M1_MASK, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3948
  { PseudoVLOXSEG2EI64_V_M2_M1, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3949
  { PseudoVLOXSEG2EI64_V_M2_M1_MASK, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3950
  { PseudoVLOXSEG2EI64_V_M4_M1, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3951
  { PseudoVLOXSEG2EI64_V_M4_M1_MASK, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3952
  { PseudoVLOXSEG2EI64_V_M8_M1, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3953
  { PseudoVLOXSEG2EI64_V_M8_M1_MASK, VLOXSEG2EI64_V, 0x0, 0x0 }, // 3954
  { PseudoVLOXSEG2EI64_V_M2_M2, VLOXSEG2EI64_V, 0x1, 0x0 }, // 3955
  { PseudoVLOXSEG2EI64_V_M2_M2_MASK, VLOXSEG2EI64_V, 0x1, 0x0 }, // 3956
  { PseudoVLOXSEG2EI64_V_M4_M2, VLOXSEG2EI64_V, 0x1, 0x0 }, // 3957
  { PseudoVLOXSEG2EI64_V_M4_M2_MASK, VLOXSEG2EI64_V, 0x1, 0x0 }, // 3958
  { PseudoVLOXSEG2EI64_V_M8_M2, VLOXSEG2EI64_V, 0x1, 0x0 }, // 3959
  { PseudoVLOXSEG2EI64_V_M8_M2_MASK, VLOXSEG2EI64_V, 0x1, 0x0 }, // 3960
  { PseudoVLOXSEG2EI64_V_M4_M4, VLOXSEG2EI64_V, 0x2, 0x0 }, // 3961
  { PseudoVLOXSEG2EI64_V_M4_M4_MASK, VLOXSEG2EI64_V, 0x2, 0x0 }, // 3962
  { PseudoVLOXSEG2EI64_V_M8_M4, VLOXSEG2EI64_V, 0x2, 0x0 }, // 3963
  { PseudoVLOXSEG2EI64_V_M8_M4_MASK, VLOXSEG2EI64_V, 0x2, 0x0 }, // 3964
  { PseudoVLOXSEG2EI64_V_M1_MF8, VLOXSEG2EI64_V, 0x5, 0x0 }, // 3965
  { PseudoVLOXSEG2EI64_V_M1_MF8_MASK, VLOXSEG2EI64_V, 0x5, 0x0 }, // 3966
  { PseudoVLOXSEG2EI64_V_M1_MF4, VLOXSEG2EI64_V, 0x6, 0x0 }, // 3967
  { PseudoVLOXSEG2EI64_V_M1_MF4_MASK, VLOXSEG2EI64_V, 0x6, 0x0 }, // 3968
  { PseudoVLOXSEG2EI64_V_M2_MF4, VLOXSEG2EI64_V, 0x6, 0x0 }, // 3969
  { PseudoVLOXSEG2EI64_V_M2_MF4_MASK, VLOXSEG2EI64_V, 0x6, 0x0 }, // 3970
  { PseudoVLOXSEG2EI64_V_M1_MF2, VLOXSEG2EI64_V, 0x7, 0x0 }, // 3971
  { PseudoVLOXSEG2EI64_V_M1_MF2_MASK, VLOXSEG2EI64_V, 0x7, 0x0 }, // 3972
  { PseudoVLOXSEG2EI64_V_M2_MF2, VLOXSEG2EI64_V, 0x7, 0x0 }, // 3973
  { PseudoVLOXSEG2EI64_V_M2_MF2_MASK, VLOXSEG2EI64_V, 0x7, 0x0 }, // 3974
  { PseudoVLOXSEG2EI64_V_M4_MF2, VLOXSEG2EI64_V, 0x7, 0x0 }, // 3975
  { PseudoVLOXSEG2EI64_V_M4_MF2_MASK, VLOXSEG2EI64_V, 0x7, 0x0 }, // 3976
  { PseudoVLOXSEG2EI8_V_M1_M1, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3977
  { PseudoVLOXSEG2EI8_V_M1_M1_MASK, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3978
  { PseudoVLOXSEG2EI8_V_MF2_M1, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3979
  { PseudoVLOXSEG2EI8_V_MF2_M1_MASK, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3980
  { PseudoVLOXSEG2EI8_V_MF4_M1, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3981
  { PseudoVLOXSEG2EI8_V_MF4_M1_MASK, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3982
  { PseudoVLOXSEG2EI8_V_MF8_M1, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3983
  { PseudoVLOXSEG2EI8_V_MF8_M1_MASK, VLOXSEG2EI8_V, 0x0, 0x0 }, // 3984
  { PseudoVLOXSEG2EI8_V_M1_M2, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3985
  { PseudoVLOXSEG2EI8_V_M1_M2_MASK, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3986
  { PseudoVLOXSEG2EI8_V_M2_M2, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3987
  { PseudoVLOXSEG2EI8_V_M2_M2_MASK, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3988
  { PseudoVLOXSEG2EI8_V_MF2_M2, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3989
  { PseudoVLOXSEG2EI8_V_MF2_M2_MASK, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3990
  { PseudoVLOXSEG2EI8_V_MF4_M2, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3991
  { PseudoVLOXSEG2EI8_V_MF4_M2_MASK, VLOXSEG2EI8_V, 0x1, 0x0 }, // 3992
  { PseudoVLOXSEG2EI8_V_M1_M4, VLOXSEG2EI8_V, 0x2, 0x0 }, // 3993
  { PseudoVLOXSEG2EI8_V_M1_M4_MASK, VLOXSEG2EI8_V, 0x2, 0x0 }, // 3994
  { PseudoVLOXSEG2EI8_V_M2_M4, VLOXSEG2EI8_V, 0x2, 0x0 }, // 3995
  { PseudoVLOXSEG2EI8_V_M2_M4_MASK, VLOXSEG2EI8_V, 0x2, 0x0 }, // 3996
  { PseudoVLOXSEG2EI8_V_M4_M4, VLOXSEG2EI8_V, 0x2, 0x0 }, // 3997
  { PseudoVLOXSEG2EI8_V_M4_M4_MASK, VLOXSEG2EI8_V, 0x2, 0x0 }, // 3998
  { PseudoVLOXSEG2EI8_V_MF2_M4, VLOXSEG2EI8_V, 0x2, 0x0 }, // 3999
  { PseudoVLOXSEG2EI8_V_MF2_M4_MASK, VLOXSEG2EI8_V, 0x2, 0x0 }, // 4000
  { PseudoVLOXSEG2EI8_V_MF8_MF8, VLOXSEG2EI8_V, 0x5, 0x0 }, // 4001
  { PseudoVLOXSEG2EI8_V_MF8_MF8_MASK, VLOXSEG2EI8_V, 0x5, 0x0 }, // 4002
  { PseudoVLOXSEG2EI8_V_MF4_MF4, VLOXSEG2EI8_V, 0x6, 0x0 }, // 4003
  { PseudoVLOXSEG2EI8_V_MF4_MF4_MASK, VLOXSEG2EI8_V, 0x6, 0x0 }, // 4004
  { PseudoVLOXSEG2EI8_V_MF8_MF4, VLOXSEG2EI8_V, 0x6, 0x0 }, // 4005
  { PseudoVLOXSEG2EI8_V_MF8_MF4_MASK, VLOXSEG2EI8_V, 0x6, 0x0 }, // 4006
  { PseudoVLOXSEG2EI8_V_MF2_MF2, VLOXSEG2EI8_V, 0x7, 0x0 }, // 4007
  { PseudoVLOXSEG2EI8_V_MF2_MF2_MASK, VLOXSEG2EI8_V, 0x7, 0x0 }, // 4008
  { PseudoVLOXSEG2EI8_V_MF4_MF2, VLOXSEG2EI8_V, 0x7, 0x0 }, // 4009
  { PseudoVLOXSEG2EI8_V_MF4_MF2_MASK, VLOXSEG2EI8_V, 0x7, 0x0 }, // 4010
  { PseudoVLOXSEG2EI8_V_MF8_MF2, VLOXSEG2EI8_V, 0x7, 0x0 }, // 4011
  { PseudoVLOXSEG2EI8_V_MF8_MF2_MASK, VLOXSEG2EI8_V, 0x7, 0x0 }, // 4012
  { PseudoVLOXSEG3EI16_V_M1_M1, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4013
  { PseudoVLOXSEG3EI16_V_M1_M1_MASK, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4014
  { PseudoVLOXSEG3EI16_V_M2_M1, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4015
  { PseudoVLOXSEG3EI16_V_M2_M1_MASK, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4016
  { PseudoVLOXSEG3EI16_V_MF2_M1, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4017
  { PseudoVLOXSEG3EI16_V_MF2_M1_MASK, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4018
  { PseudoVLOXSEG3EI16_V_MF4_M1, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4019
  { PseudoVLOXSEG3EI16_V_MF4_M1_MASK, VLOXSEG3EI16_V, 0x0, 0x0 }, // 4020
  { PseudoVLOXSEG3EI16_V_M1_M2, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4021
  { PseudoVLOXSEG3EI16_V_M1_M2_MASK, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4022
  { PseudoVLOXSEG3EI16_V_M2_M2, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4023
  { PseudoVLOXSEG3EI16_V_M2_M2_MASK, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4024
  { PseudoVLOXSEG3EI16_V_M4_M2, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4025
  { PseudoVLOXSEG3EI16_V_M4_M2_MASK, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4026
  { PseudoVLOXSEG3EI16_V_MF2_M2, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4027
  { PseudoVLOXSEG3EI16_V_MF2_M2_MASK, VLOXSEG3EI16_V, 0x1, 0x0 }, // 4028
  { PseudoVLOXSEG3EI16_V_MF4_MF8, VLOXSEG3EI16_V, 0x5, 0x0 }, // 4029
  { PseudoVLOXSEG3EI16_V_MF4_MF8_MASK, VLOXSEG3EI16_V, 0x5, 0x0 }, // 4030
  { PseudoVLOXSEG3EI16_V_MF2_MF4, VLOXSEG3EI16_V, 0x6, 0x0 }, // 4031
  { PseudoVLOXSEG3EI16_V_MF2_MF4_MASK, VLOXSEG3EI16_V, 0x6, 0x0 }, // 4032
  { PseudoVLOXSEG3EI16_V_MF4_MF4, VLOXSEG3EI16_V, 0x6, 0x0 }, // 4033
  { PseudoVLOXSEG3EI16_V_MF4_MF4_MASK, VLOXSEG3EI16_V, 0x6, 0x0 }, // 4034
  { PseudoVLOXSEG3EI16_V_M1_MF2, VLOXSEG3EI16_V, 0x7, 0x0 }, // 4035
  { PseudoVLOXSEG3EI16_V_M1_MF2_MASK, VLOXSEG3EI16_V, 0x7, 0x0 }, // 4036
  { PseudoVLOXSEG3EI16_V_MF2_MF2, VLOXSEG3EI16_V, 0x7, 0x0 }, // 4037
  { PseudoVLOXSEG3EI16_V_MF2_MF2_MASK, VLOXSEG3EI16_V, 0x7, 0x0 }, // 4038
  { PseudoVLOXSEG3EI16_V_MF4_MF2, VLOXSEG3EI16_V, 0x7, 0x0 }, // 4039
  { PseudoVLOXSEG3EI16_V_MF4_MF2_MASK, VLOXSEG3EI16_V, 0x7, 0x0 }, // 4040
  { PseudoVLOXSEG3EI32_V_M1_M1, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4041
  { PseudoVLOXSEG3EI32_V_M1_M1_MASK, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4042
  { PseudoVLOXSEG3EI32_V_M2_M1, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4043
  { PseudoVLOXSEG3EI32_V_M2_M1_MASK, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4044
  { PseudoVLOXSEG3EI32_V_M4_M1, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4045
  { PseudoVLOXSEG3EI32_V_M4_M1_MASK, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4046
  { PseudoVLOXSEG3EI32_V_MF2_M1, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4047
  { PseudoVLOXSEG3EI32_V_MF2_M1_MASK, VLOXSEG3EI32_V, 0x0, 0x0 }, // 4048
  { PseudoVLOXSEG3EI32_V_M1_M2, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4049
  { PseudoVLOXSEG3EI32_V_M1_M2_MASK, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4050
  { PseudoVLOXSEG3EI32_V_M2_M2, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4051
  { PseudoVLOXSEG3EI32_V_M2_M2_MASK, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4052
  { PseudoVLOXSEG3EI32_V_M4_M2, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4053
  { PseudoVLOXSEG3EI32_V_M4_M2_MASK, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4054
  { PseudoVLOXSEG3EI32_V_M8_M2, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4055
  { PseudoVLOXSEG3EI32_V_M8_M2_MASK, VLOXSEG3EI32_V, 0x1, 0x0 }, // 4056
  { PseudoVLOXSEG3EI32_V_MF2_MF8, VLOXSEG3EI32_V, 0x5, 0x0 }, // 4057
  { PseudoVLOXSEG3EI32_V_MF2_MF8_MASK, VLOXSEG3EI32_V, 0x5, 0x0 }, // 4058
  { PseudoVLOXSEG3EI32_V_M1_MF4, VLOXSEG3EI32_V, 0x6, 0x0 }, // 4059
  { PseudoVLOXSEG3EI32_V_M1_MF4_MASK, VLOXSEG3EI32_V, 0x6, 0x0 }, // 4060
  { PseudoVLOXSEG3EI32_V_MF2_MF4, VLOXSEG3EI32_V, 0x6, 0x0 }, // 4061
  { PseudoVLOXSEG3EI32_V_MF2_MF4_MASK, VLOXSEG3EI32_V, 0x6, 0x0 }, // 4062
  { PseudoVLOXSEG3EI32_V_M1_MF2, VLOXSEG3EI32_V, 0x7, 0x0 }, // 4063
  { PseudoVLOXSEG3EI32_V_M1_MF2_MASK, VLOXSEG3EI32_V, 0x7, 0x0 }, // 4064
  { PseudoVLOXSEG3EI32_V_M2_MF2, VLOXSEG3EI32_V, 0x7, 0x0 }, // 4065
  { PseudoVLOXSEG3EI32_V_M2_MF2_MASK, VLOXSEG3EI32_V, 0x7, 0x0 }, // 4066
  { PseudoVLOXSEG3EI32_V_MF2_MF2, VLOXSEG3EI32_V, 0x7, 0x0 }, // 4067
  { PseudoVLOXSEG3EI32_V_MF2_MF2_MASK, VLOXSEG3EI32_V, 0x7, 0x0 }, // 4068
  { PseudoVLOXSEG3EI64_V_M1_M1, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4069
  { PseudoVLOXSEG3EI64_V_M1_M1_MASK, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4070
  { PseudoVLOXSEG3EI64_V_M2_M1, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4071
  { PseudoVLOXSEG3EI64_V_M2_M1_MASK, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4072
  { PseudoVLOXSEG3EI64_V_M4_M1, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4073
  { PseudoVLOXSEG3EI64_V_M4_M1_MASK, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4074
  { PseudoVLOXSEG3EI64_V_M8_M1, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4075
  { PseudoVLOXSEG3EI64_V_M8_M1_MASK, VLOXSEG3EI64_V, 0x0, 0x0 }, // 4076
  { PseudoVLOXSEG3EI64_V_M2_M2, VLOXSEG3EI64_V, 0x1, 0x0 }, // 4077
  { PseudoVLOXSEG3EI64_V_M2_M2_MASK, VLOXSEG3EI64_V, 0x1, 0x0 }, // 4078
  { PseudoVLOXSEG3EI64_V_M4_M2, VLOXSEG3EI64_V, 0x1, 0x0 }, // 4079
  { PseudoVLOXSEG3EI64_V_M4_M2_MASK, VLOXSEG3EI64_V, 0x1, 0x0 }, // 4080
  { PseudoVLOXSEG3EI64_V_M8_M2, VLOXSEG3EI64_V, 0x1, 0x0 }, // 4081
  { PseudoVLOXSEG3EI64_V_M8_M2_MASK, VLOXSEG3EI64_V, 0x1, 0x0 }, // 4082
  { PseudoVLOXSEG3EI64_V_M1_MF8, VLOXSEG3EI64_V, 0x5, 0x0 }, // 4083
  { PseudoVLOXSEG3EI64_V_M1_MF8_MASK, VLOXSEG3EI64_V, 0x5, 0x0 }, // 4084
  { PseudoVLOXSEG3EI64_V_M1_MF4, VLOXSEG3EI64_V, 0x6, 0x0 }, // 4085
  { PseudoVLOXSEG3EI64_V_M1_MF4_MASK, VLOXSEG3EI64_V, 0x6, 0x0 }, // 4086
  { PseudoVLOXSEG3EI64_V_M2_MF4, VLOXSEG3EI64_V, 0x6, 0x0 }, // 4087
  { PseudoVLOXSEG3EI64_V_M2_MF4_MASK, VLOXSEG3EI64_V, 0x6, 0x0 }, // 4088
  { PseudoVLOXSEG3EI64_V_M1_MF2, VLOXSEG3EI64_V, 0x7, 0x0 }, // 4089
  { PseudoVLOXSEG3EI64_V_M1_MF2_MASK, VLOXSEG3EI64_V, 0x7, 0x0 }, // 4090
  { PseudoVLOXSEG3EI64_V_M2_MF2, VLOXSEG3EI64_V, 0x7, 0x0 }, // 4091
  { PseudoVLOXSEG3EI64_V_M2_MF2_MASK, VLOXSEG3EI64_V, 0x7, 0x0 }, // 4092
  { PseudoVLOXSEG3EI64_V_M4_MF2, VLOXSEG3EI64_V, 0x7, 0x0 }, // 4093
  { PseudoVLOXSEG3EI64_V_M4_MF2_MASK, VLOXSEG3EI64_V, 0x7, 0x0 }, // 4094
  { PseudoVLOXSEG3EI8_V_M1_M1, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4095
  { PseudoVLOXSEG3EI8_V_M1_M1_MASK, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4096
  { PseudoVLOXSEG3EI8_V_MF2_M1, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4097
  { PseudoVLOXSEG3EI8_V_MF2_M1_MASK, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4098
  { PseudoVLOXSEG3EI8_V_MF4_M1, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4099
  { PseudoVLOXSEG3EI8_V_MF4_M1_MASK, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4100
  { PseudoVLOXSEG3EI8_V_MF8_M1, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4101
  { PseudoVLOXSEG3EI8_V_MF8_M1_MASK, VLOXSEG3EI8_V, 0x0, 0x0 }, // 4102
  { PseudoVLOXSEG3EI8_V_M1_M2, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4103
  { PseudoVLOXSEG3EI8_V_M1_M2_MASK, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4104
  { PseudoVLOXSEG3EI8_V_M2_M2, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4105
  { PseudoVLOXSEG3EI8_V_M2_M2_MASK, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4106
  { PseudoVLOXSEG3EI8_V_MF2_M2, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4107
  { PseudoVLOXSEG3EI8_V_MF2_M2_MASK, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4108
  { PseudoVLOXSEG3EI8_V_MF4_M2, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4109
  { PseudoVLOXSEG3EI8_V_MF4_M2_MASK, VLOXSEG3EI8_V, 0x1, 0x0 }, // 4110
  { PseudoVLOXSEG3EI8_V_MF8_MF8, VLOXSEG3EI8_V, 0x5, 0x0 }, // 4111
  { PseudoVLOXSEG3EI8_V_MF8_MF8_MASK, VLOXSEG3EI8_V, 0x5, 0x0 }, // 4112
  { PseudoVLOXSEG3EI8_V_MF4_MF4, VLOXSEG3EI8_V, 0x6, 0x0 }, // 4113
  { PseudoVLOXSEG3EI8_V_MF4_MF4_MASK, VLOXSEG3EI8_V, 0x6, 0x0 }, // 4114
  { PseudoVLOXSEG3EI8_V_MF8_MF4, VLOXSEG3EI8_V, 0x6, 0x0 }, // 4115
  { PseudoVLOXSEG3EI8_V_MF8_MF4_MASK, VLOXSEG3EI8_V, 0x6, 0x0 }, // 4116
  { PseudoVLOXSEG3EI8_V_MF2_MF2, VLOXSEG3EI8_V, 0x7, 0x0 }, // 4117
  { PseudoVLOXSEG3EI8_V_MF2_MF2_MASK, VLOXSEG3EI8_V, 0x7, 0x0 }, // 4118
  { PseudoVLOXSEG3EI8_V_MF4_MF2, VLOXSEG3EI8_V, 0x7, 0x0 }, // 4119
  { PseudoVLOXSEG3EI8_V_MF4_MF2_MASK, VLOXSEG3EI8_V, 0x7, 0x0 }, // 4120
  { PseudoVLOXSEG3EI8_V_MF8_MF2, VLOXSEG3EI8_V, 0x7, 0x0 }, // 4121
  { PseudoVLOXSEG3EI8_V_MF8_MF2_MASK, VLOXSEG3EI8_V, 0x7, 0x0 }, // 4122
  { PseudoVLOXSEG4EI16_V_M1_M1, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4123
  { PseudoVLOXSEG4EI16_V_M1_M1_MASK, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4124
  { PseudoVLOXSEG4EI16_V_M2_M1, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4125
  { PseudoVLOXSEG4EI16_V_M2_M1_MASK, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4126
  { PseudoVLOXSEG4EI16_V_MF2_M1, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4127
  { PseudoVLOXSEG4EI16_V_MF2_M1_MASK, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4128
  { PseudoVLOXSEG4EI16_V_MF4_M1, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4129
  { PseudoVLOXSEG4EI16_V_MF4_M1_MASK, VLOXSEG4EI16_V, 0x0, 0x0 }, // 4130
  { PseudoVLOXSEG4EI16_V_M1_M2, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4131
  { PseudoVLOXSEG4EI16_V_M1_M2_MASK, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4132
  { PseudoVLOXSEG4EI16_V_M2_M2, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4133
  { PseudoVLOXSEG4EI16_V_M2_M2_MASK, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4134
  { PseudoVLOXSEG4EI16_V_M4_M2, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4135
  { PseudoVLOXSEG4EI16_V_M4_M2_MASK, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4136
  { PseudoVLOXSEG4EI16_V_MF2_M2, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4137
  { PseudoVLOXSEG4EI16_V_MF2_M2_MASK, VLOXSEG4EI16_V, 0x1, 0x0 }, // 4138
  { PseudoVLOXSEG4EI16_V_MF4_MF8, VLOXSEG4EI16_V, 0x5, 0x0 }, // 4139
  { PseudoVLOXSEG4EI16_V_MF4_MF8_MASK, VLOXSEG4EI16_V, 0x5, 0x0 }, // 4140
  { PseudoVLOXSEG4EI16_V_MF2_MF4, VLOXSEG4EI16_V, 0x6, 0x0 }, // 4141
  { PseudoVLOXSEG4EI16_V_MF2_MF4_MASK, VLOXSEG4EI16_V, 0x6, 0x0 }, // 4142
  { PseudoVLOXSEG4EI16_V_MF4_MF4, VLOXSEG4EI16_V, 0x6, 0x0 }, // 4143
  { PseudoVLOXSEG4EI16_V_MF4_MF4_MASK, VLOXSEG4EI16_V, 0x6, 0x0 }, // 4144
  { PseudoVLOXSEG4EI16_V_M1_MF2, VLOXSEG4EI16_V, 0x7, 0x0 }, // 4145
  { PseudoVLOXSEG4EI16_V_M1_MF2_MASK, VLOXSEG4EI16_V, 0x7, 0x0 }, // 4146
  { PseudoVLOXSEG4EI16_V_MF2_MF2, VLOXSEG4EI16_V, 0x7, 0x0 }, // 4147
  { PseudoVLOXSEG4EI16_V_MF2_MF2_MASK, VLOXSEG4EI16_V, 0x7, 0x0 }, // 4148
  { PseudoVLOXSEG4EI16_V_MF4_MF2, VLOXSEG4EI16_V, 0x7, 0x0 }, // 4149
  { PseudoVLOXSEG4EI16_V_MF4_MF2_MASK, VLOXSEG4EI16_V, 0x7, 0x0 }, // 4150
  { PseudoVLOXSEG4EI32_V_M1_M1, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4151
  { PseudoVLOXSEG4EI32_V_M1_M1_MASK, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4152
  { PseudoVLOXSEG4EI32_V_M2_M1, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4153
  { PseudoVLOXSEG4EI32_V_M2_M1_MASK, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4154
  { PseudoVLOXSEG4EI32_V_M4_M1, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4155
  { PseudoVLOXSEG4EI32_V_M4_M1_MASK, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4156
  { PseudoVLOXSEG4EI32_V_MF2_M1, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4157
  { PseudoVLOXSEG4EI32_V_MF2_M1_MASK, VLOXSEG4EI32_V, 0x0, 0x0 }, // 4158
  { PseudoVLOXSEG4EI32_V_M1_M2, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4159
  { PseudoVLOXSEG4EI32_V_M1_M2_MASK, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4160
  { PseudoVLOXSEG4EI32_V_M2_M2, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4161
  { PseudoVLOXSEG4EI32_V_M2_M2_MASK, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4162
  { PseudoVLOXSEG4EI32_V_M4_M2, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4163
  { PseudoVLOXSEG4EI32_V_M4_M2_MASK, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4164
  { PseudoVLOXSEG4EI32_V_M8_M2, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4165
  { PseudoVLOXSEG4EI32_V_M8_M2_MASK, VLOXSEG4EI32_V, 0x1, 0x0 }, // 4166
  { PseudoVLOXSEG4EI32_V_MF2_MF8, VLOXSEG4EI32_V, 0x5, 0x0 }, // 4167
  { PseudoVLOXSEG4EI32_V_MF2_MF8_MASK, VLOXSEG4EI32_V, 0x5, 0x0 }, // 4168
  { PseudoVLOXSEG4EI32_V_M1_MF4, VLOXSEG4EI32_V, 0x6, 0x0 }, // 4169
  { PseudoVLOXSEG4EI32_V_M1_MF4_MASK, VLOXSEG4EI32_V, 0x6, 0x0 }, // 4170
  { PseudoVLOXSEG4EI32_V_MF2_MF4, VLOXSEG4EI32_V, 0x6, 0x0 }, // 4171
  { PseudoVLOXSEG4EI32_V_MF2_MF4_MASK, VLOXSEG4EI32_V, 0x6, 0x0 }, // 4172
  { PseudoVLOXSEG4EI32_V_M1_MF2, VLOXSEG4EI32_V, 0x7, 0x0 }, // 4173
  { PseudoVLOXSEG4EI32_V_M1_MF2_MASK, VLOXSEG4EI32_V, 0x7, 0x0 }, // 4174
  { PseudoVLOXSEG4EI32_V_M2_MF2, VLOXSEG4EI32_V, 0x7, 0x0 }, // 4175
  { PseudoVLOXSEG4EI32_V_M2_MF2_MASK, VLOXSEG4EI32_V, 0x7, 0x0 }, // 4176
  { PseudoVLOXSEG4EI32_V_MF2_MF2, VLOXSEG4EI32_V, 0x7, 0x0 }, // 4177
  { PseudoVLOXSEG4EI32_V_MF2_MF2_MASK, VLOXSEG4EI32_V, 0x7, 0x0 }, // 4178
  { PseudoVLOXSEG4EI64_V_M1_M1, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4179
  { PseudoVLOXSEG4EI64_V_M1_M1_MASK, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4180
  { PseudoVLOXSEG4EI64_V_M2_M1, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4181
  { PseudoVLOXSEG4EI64_V_M2_M1_MASK, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4182
  { PseudoVLOXSEG4EI64_V_M4_M1, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4183
  { PseudoVLOXSEG4EI64_V_M4_M1_MASK, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4184
  { PseudoVLOXSEG4EI64_V_M8_M1, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4185
  { PseudoVLOXSEG4EI64_V_M8_M1_MASK, VLOXSEG4EI64_V, 0x0, 0x0 }, // 4186
  { PseudoVLOXSEG4EI64_V_M2_M2, VLOXSEG4EI64_V, 0x1, 0x0 }, // 4187
  { PseudoVLOXSEG4EI64_V_M2_M2_MASK, VLOXSEG4EI64_V, 0x1, 0x0 }, // 4188
  { PseudoVLOXSEG4EI64_V_M4_M2, VLOXSEG4EI64_V, 0x1, 0x0 }, // 4189
  { PseudoVLOXSEG4EI64_V_M4_M2_MASK, VLOXSEG4EI64_V, 0x1, 0x0 }, // 4190
  { PseudoVLOXSEG4EI64_V_M8_M2, VLOXSEG4EI64_V, 0x1, 0x0 }, // 4191
  { PseudoVLOXSEG4EI64_V_M8_M2_MASK, VLOXSEG4EI64_V, 0x1, 0x0 }, // 4192
  { PseudoVLOXSEG4EI64_V_M1_MF8, VLOXSEG4EI64_V, 0x5, 0x0 }, // 4193
  { PseudoVLOXSEG4EI64_V_M1_MF8_MASK, VLOXSEG4EI64_V, 0x5, 0x0 }, // 4194
  { PseudoVLOXSEG4EI64_V_M1_MF4, VLOXSEG4EI64_V, 0x6, 0x0 }, // 4195
  { PseudoVLOXSEG4EI64_V_M1_MF4_MASK, VLOXSEG4EI64_V, 0x6, 0x0 }, // 4196
  { PseudoVLOXSEG4EI64_V_M2_MF4, VLOXSEG4EI64_V, 0x6, 0x0 }, // 4197
  { PseudoVLOXSEG4EI64_V_M2_MF4_MASK, VLOXSEG4EI64_V, 0x6, 0x0 }, // 4198
  { PseudoVLOXSEG4EI64_V_M1_MF2, VLOXSEG4EI64_V, 0x7, 0x0 }, // 4199
  { PseudoVLOXSEG4EI64_V_M1_MF2_MASK, VLOXSEG4EI64_V, 0x7, 0x0 }, // 4200
  { PseudoVLOXSEG4EI64_V_M2_MF2, VLOXSEG4EI64_V, 0x7, 0x0 }, // 4201
  { PseudoVLOXSEG4EI64_V_M2_MF2_MASK, VLOXSEG4EI64_V, 0x7, 0x0 }, // 4202
  { PseudoVLOXSEG4EI64_V_M4_MF2, VLOXSEG4EI64_V, 0x7, 0x0 }, // 4203
  { PseudoVLOXSEG4EI64_V_M4_MF2_MASK, VLOXSEG4EI64_V, 0x7, 0x0 }, // 4204
  { PseudoVLOXSEG4EI8_V_M1_M1, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4205
  { PseudoVLOXSEG4EI8_V_M1_M1_MASK, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4206
  { PseudoVLOXSEG4EI8_V_MF2_M1, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4207
  { PseudoVLOXSEG4EI8_V_MF2_M1_MASK, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4208
  { PseudoVLOXSEG4EI8_V_MF4_M1, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4209
  { PseudoVLOXSEG4EI8_V_MF4_M1_MASK, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4210
  { PseudoVLOXSEG4EI8_V_MF8_M1, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4211
  { PseudoVLOXSEG4EI8_V_MF8_M1_MASK, VLOXSEG4EI8_V, 0x0, 0x0 }, // 4212
  { PseudoVLOXSEG4EI8_V_M1_M2, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4213
  { PseudoVLOXSEG4EI8_V_M1_M2_MASK, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4214
  { PseudoVLOXSEG4EI8_V_M2_M2, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4215
  { PseudoVLOXSEG4EI8_V_M2_M2_MASK, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4216
  { PseudoVLOXSEG4EI8_V_MF2_M2, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4217
  { PseudoVLOXSEG4EI8_V_MF2_M2_MASK, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4218
  { PseudoVLOXSEG4EI8_V_MF4_M2, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4219
  { PseudoVLOXSEG4EI8_V_MF4_M2_MASK, VLOXSEG4EI8_V, 0x1, 0x0 }, // 4220
  { PseudoVLOXSEG4EI8_V_MF8_MF8, VLOXSEG4EI8_V, 0x5, 0x0 }, // 4221
  { PseudoVLOXSEG4EI8_V_MF8_MF8_MASK, VLOXSEG4EI8_V, 0x5, 0x0 }, // 4222
  { PseudoVLOXSEG4EI8_V_MF4_MF4, VLOXSEG4EI8_V, 0x6, 0x0 }, // 4223
  { PseudoVLOXSEG4EI8_V_MF4_MF4_MASK, VLOXSEG4EI8_V, 0x6, 0x0 }, // 4224
  { PseudoVLOXSEG4EI8_V_MF8_MF4, VLOXSEG4EI8_V, 0x6, 0x0 }, // 4225
  { PseudoVLOXSEG4EI8_V_MF8_MF4_MASK, VLOXSEG4EI8_V, 0x6, 0x0 }, // 4226
  { PseudoVLOXSEG4EI8_V_MF2_MF2, VLOXSEG4EI8_V, 0x7, 0x0 }, // 4227
  { PseudoVLOXSEG4EI8_V_MF2_MF2_MASK, VLOXSEG4EI8_V, 0x7, 0x0 }, // 4228
  { PseudoVLOXSEG4EI8_V_MF4_MF2, VLOXSEG4EI8_V, 0x7, 0x0 }, // 4229
  { PseudoVLOXSEG4EI8_V_MF4_MF2_MASK, VLOXSEG4EI8_V, 0x7, 0x0 }, // 4230
  { PseudoVLOXSEG4EI8_V_MF8_MF2, VLOXSEG4EI8_V, 0x7, 0x0 }, // 4231
  { PseudoVLOXSEG4EI8_V_MF8_MF2_MASK, VLOXSEG4EI8_V, 0x7, 0x0 }, // 4232
  { PseudoVLOXSEG5EI16_V_M1_M1, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4233
  { PseudoVLOXSEG5EI16_V_M1_M1_MASK, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4234
  { PseudoVLOXSEG5EI16_V_M2_M1, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4235
  { PseudoVLOXSEG5EI16_V_M2_M1_MASK, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4236
  { PseudoVLOXSEG5EI16_V_MF2_M1, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4237
  { PseudoVLOXSEG5EI16_V_MF2_M1_MASK, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4238
  { PseudoVLOXSEG5EI16_V_MF4_M1, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4239
  { PseudoVLOXSEG5EI16_V_MF4_M1_MASK, VLOXSEG5EI16_V, 0x0, 0x0 }, // 4240
  { PseudoVLOXSEG5EI16_V_MF4_MF8, VLOXSEG5EI16_V, 0x5, 0x0 }, // 4241
  { PseudoVLOXSEG5EI16_V_MF4_MF8_MASK, VLOXSEG5EI16_V, 0x5, 0x0 }, // 4242
  { PseudoVLOXSEG5EI16_V_MF2_MF4, VLOXSEG5EI16_V, 0x6, 0x0 }, // 4243
  { PseudoVLOXSEG5EI16_V_MF2_MF4_MASK, VLOXSEG5EI16_V, 0x6, 0x0 }, // 4244
  { PseudoVLOXSEG5EI16_V_MF4_MF4, VLOXSEG5EI16_V, 0x6, 0x0 }, // 4245
  { PseudoVLOXSEG5EI16_V_MF4_MF4_MASK, VLOXSEG5EI16_V, 0x6, 0x0 }, // 4246
  { PseudoVLOXSEG5EI16_V_M1_MF2, VLOXSEG5EI16_V, 0x7, 0x0 }, // 4247
  { PseudoVLOXSEG5EI16_V_M1_MF2_MASK, VLOXSEG5EI16_V, 0x7, 0x0 }, // 4248
  { PseudoVLOXSEG5EI16_V_MF2_MF2, VLOXSEG5EI16_V, 0x7, 0x0 }, // 4249
  { PseudoVLOXSEG5EI16_V_MF2_MF2_MASK, VLOXSEG5EI16_V, 0x7, 0x0 }, // 4250
  { PseudoVLOXSEG5EI16_V_MF4_MF2, VLOXSEG5EI16_V, 0x7, 0x0 }, // 4251
  { PseudoVLOXSEG5EI16_V_MF4_MF2_MASK, VLOXSEG5EI16_V, 0x7, 0x0 }, // 4252
  { PseudoVLOXSEG5EI32_V_M1_M1, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4253
  { PseudoVLOXSEG5EI32_V_M1_M1_MASK, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4254
  { PseudoVLOXSEG5EI32_V_M2_M1, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4255
  { PseudoVLOXSEG5EI32_V_M2_M1_MASK, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4256
  { PseudoVLOXSEG5EI32_V_M4_M1, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4257
  { PseudoVLOXSEG5EI32_V_M4_M1_MASK, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4258
  { PseudoVLOXSEG5EI32_V_MF2_M1, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4259
  { PseudoVLOXSEG5EI32_V_MF2_M1_MASK, VLOXSEG5EI32_V, 0x0, 0x0 }, // 4260
  { PseudoVLOXSEG5EI32_V_MF2_MF8, VLOXSEG5EI32_V, 0x5, 0x0 }, // 4261
  { PseudoVLOXSEG5EI32_V_MF2_MF8_MASK, VLOXSEG5EI32_V, 0x5, 0x0 }, // 4262
  { PseudoVLOXSEG5EI32_V_M1_MF4, VLOXSEG5EI32_V, 0x6, 0x0 }, // 4263
  { PseudoVLOXSEG5EI32_V_M1_MF4_MASK, VLOXSEG5EI32_V, 0x6, 0x0 }, // 4264
  { PseudoVLOXSEG5EI32_V_MF2_MF4, VLOXSEG5EI32_V, 0x6, 0x0 }, // 4265
  { PseudoVLOXSEG5EI32_V_MF2_MF4_MASK, VLOXSEG5EI32_V, 0x6, 0x0 }, // 4266
  { PseudoVLOXSEG5EI32_V_M1_MF2, VLOXSEG5EI32_V, 0x7, 0x0 }, // 4267
  { PseudoVLOXSEG5EI32_V_M1_MF2_MASK, VLOXSEG5EI32_V, 0x7, 0x0 }, // 4268
  { PseudoVLOXSEG5EI32_V_M2_MF2, VLOXSEG5EI32_V, 0x7, 0x0 }, // 4269
  { PseudoVLOXSEG5EI32_V_M2_MF2_MASK, VLOXSEG5EI32_V, 0x7, 0x0 }, // 4270
  { PseudoVLOXSEG5EI32_V_MF2_MF2, VLOXSEG5EI32_V, 0x7, 0x0 }, // 4271
  { PseudoVLOXSEG5EI32_V_MF2_MF2_MASK, VLOXSEG5EI32_V, 0x7, 0x0 }, // 4272
  { PseudoVLOXSEG5EI64_V_M1_M1, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4273
  { PseudoVLOXSEG5EI64_V_M1_M1_MASK, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4274
  { PseudoVLOXSEG5EI64_V_M2_M1, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4275
  { PseudoVLOXSEG5EI64_V_M2_M1_MASK, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4276
  { PseudoVLOXSEG5EI64_V_M4_M1, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4277
  { PseudoVLOXSEG5EI64_V_M4_M1_MASK, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4278
  { PseudoVLOXSEG5EI64_V_M8_M1, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4279
  { PseudoVLOXSEG5EI64_V_M8_M1_MASK, VLOXSEG5EI64_V, 0x0, 0x0 }, // 4280
  { PseudoVLOXSEG5EI64_V_M1_MF8, VLOXSEG5EI64_V, 0x5, 0x0 }, // 4281
  { PseudoVLOXSEG5EI64_V_M1_MF8_MASK, VLOXSEG5EI64_V, 0x5, 0x0 }, // 4282
  { PseudoVLOXSEG5EI64_V_M1_MF4, VLOXSEG5EI64_V, 0x6, 0x0 }, // 4283
  { PseudoVLOXSEG5EI64_V_M1_MF4_MASK, VLOXSEG5EI64_V, 0x6, 0x0 }, // 4284
  { PseudoVLOXSEG5EI64_V_M2_MF4, VLOXSEG5EI64_V, 0x6, 0x0 }, // 4285
  { PseudoVLOXSEG5EI64_V_M2_MF4_MASK, VLOXSEG5EI64_V, 0x6, 0x0 }, // 4286
  { PseudoVLOXSEG5EI64_V_M1_MF2, VLOXSEG5EI64_V, 0x7, 0x0 }, // 4287
  { PseudoVLOXSEG5EI64_V_M1_MF2_MASK, VLOXSEG5EI64_V, 0x7, 0x0 }, // 4288
  { PseudoVLOXSEG5EI64_V_M2_MF2, VLOXSEG5EI64_V, 0x7, 0x0 }, // 4289
  { PseudoVLOXSEG5EI64_V_M2_MF2_MASK, VLOXSEG5EI64_V, 0x7, 0x0 }, // 4290
  { PseudoVLOXSEG5EI64_V_M4_MF2, VLOXSEG5EI64_V, 0x7, 0x0 }, // 4291
  { PseudoVLOXSEG5EI64_V_M4_MF2_MASK, VLOXSEG5EI64_V, 0x7, 0x0 }, // 4292
  { PseudoVLOXSEG5EI8_V_M1_M1, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4293
  { PseudoVLOXSEG5EI8_V_M1_M1_MASK, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4294
  { PseudoVLOXSEG5EI8_V_MF2_M1, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4295
  { PseudoVLOXSEG5EI8_V_MF2_M1_MASK, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4296
  { PseudoVLOXSEG5EI8_V_MF4_M1, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4297
  { PseudoVLOXSEG5EI8_V_MF4_M1_MASK, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4298
  { PseudoVLOXSEG5EI8_V_MF8_M1, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4299
  { PseudoVLOXSEG5EI8_V_MF8_M1_MASK, VLOXSEG5EI8_V, 0x0, 0x0 }, // 4300
  { PseudoVLOXSEG5EI8_V_MF8_MF8, VLOXSEG5EI8_V, 0x5, 0x0 }, // 4301
  { PseudoVLOXSEG5EI8_V_MF8_MF8_MASK, VLOXSEG5EI8_V, 0x5, 0x0 }, // 4302
  { PseudoVLOXSEG5EI8_V_MF4_MF4, VLOXSEG5EI8_V, 0x6, 0x0 }, // 4303
  { PseudoVLOXSEG5EI8_V_MF4_MF4_MASK, VLOXSEG5EI8_V, 0x6, 0x0 }, // 4304
  { PseudoVLOXSEG5EI8_V_MF8_MF4, VLOXSEG5EI8_V, 0x6, 0x0 }, // 4305
  { PseudoVLOXSEG5EI8_V_MF8_MF4_MASK, VLOXSEG5EI8_V, 0x6, 0x0 }, // 4306
  { PseudoVLOXSEG5EI8_V_MF2_MF2, VLOXSEG5EI8_V, 0x7, 0x0 }, // 4307
  { PseudoVLOXSEG5EI8_V_MF2_MF2_MASK, VLOXSEG5EI8_V, 0x7, 0x0 }, // 4308
  { PseudoVLOXSEG5EI8_V_MF4_MF2, VLOXSEG5EI8_V, 0x7, 0x0 }, // 4309
  { PseudoVLOXSEG5EI8_V_MF4_MF2_MASK, VLOXSEG5EI8_V, 0x7, 0x0 }, // 4310
  { PseudoVLOXSEG5EI8_V_MF8_MF2, VLOXSEG5EI8_V, 0x7, 0x0 }, // 4311
  { PseudoVLOXSEG5EI8_V_MF8_MF2_MASK, VLOXSEG5EI8_V, 0x7, 0x0 }, // 4312
  { PseudoVLOXSEG6EI16_V_M1_M1, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4313
  { PseudoVLOXSEG6EI16_V_M1_M1_MASK, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4314
  { PseudoVLOXSEG6EI16_V_M2_M1, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4315
  { PseudoVLOXSEG6EI16_V_M2_M1_MASK, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4316
  { PseudoVLOXSEG6EI16_V_MF2_M1, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4317
  { PseudoVLOXSEG6EI16_V_MF2_M1_MASK, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4318
  { PseudoVLOXSEG6EI16_V_MF4_M1, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4319
  { PseudoVLOXSEG6EI16_V_MF4_M1_MASK, VLOXSEG6EI16_V, 0x0, 0x0 }, // 4320
  { PseudoVLOXSEG6EI16_V_MF4_MF8, VLOXSEG6EI16_V, 0x5, 0x0 }, // 4321
  { PseudoVLOXSEG6EI16_V_MF4_MF8_MASK, VLOXSEG6EI16_V, 0x5, 0x0 }, // 4322
  { PseudoVLOXSEG6EI16_V_MF2_MF4, VLOXSEG6EI16_V, 0x6, 0x0 }, // 4323
  { PseudoVLOXSEG6EI16_V_MF2_MF4_MASK, VLOXSEG6EI16_V, 0x6, 0x0 }, // 4324
  { PseudoVLOXSEG6EI16_V_MF4_MF4, VLOXSEG6EI16_V, 0x6, 0x0 }, // 4325
  { PseudoVLOXSEG6EI16_V_MF4_MF4_MASK, VLOXSEG6EI16_V, 0x6, 0x0 }, // 4326
  { PseudoVLOXSEG6EI16_V_M1_MF2, VLOXSEG6EI16_V, 0x7, 0x0 }, // 4327
  { PseudoVLOXSEG6EI16_V_M1_MF2_MASK, VLOXSEG6EI16_V, 0x7, 0x0 }, // 4328
  { PseudoVLOXSEG6EI16_V_MF2_MF2, VLOXSEG6EI16_V, 0x7, 0x0 }, // 4329
  { PseudoVLOXSEG6EI16_V_MF2_MF2_MASK, VLOXSEG6EI16_V, 0x7, 0x0 }, // 4330
  { PseudoVLOXSEG6EI16_V_MF4_MF2, VLOXSEG6EI16_V, 0x7, 0x0 }, // 4331
  { PseudoVLOXSEG6EI16_V_MF4_MF2_MASK, VLOXSEG6EI16_V, 0x7, 0x0 }, // 4332
  { PseudoVLOXSEG6EI32_V_M1_M1, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4333
  { PseudoVLOXSEG6EI32_V_M1_M1_MASK, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4334
  { PseudoVLOXSEG6EI32_V_M2_M1, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4335
  { PseudoVLOXSEG6EI32_V_M2_M1_MASK, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4336
  { PseudoVLOXSEG6EI32_V_M4_M1, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4337
  { PseudoVLOXSEG6EI32_V_M4_M1_MASK, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4338
  { PseudoVLOXSEG6EI32_V_MF2_M1, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4339
  { PseudoVLOXSEG6EI32_V_MF2_M1_MASK, VLOXSEG6EI32_V, 0x0, 0x0 }, // 4340
  { PseudoVLOXSEG6EI32_V_MF2_MF8, VLOXSEG6EI32_V, 0x5, 0x0 }, // 4341
  { PseudoVLOXSEG6EI32_V_MF2_MF8_MASK, VLOXSEG6EI32_V, 0x5, 0x0 }, // 4342
  { PseudoVLOXSEG6EI32_V_M1_MF4, VLOXSEG6EI32_V, 0x6, 0x0 }, // 4343
  { PseudoVLOXSEG6EI32_V_M1_MF4_MASK, VLOXSEG6EI32_V, 0x6, 0x0 }, // 4344
  { PseudoVLOXSEG6EI32_V_MF2_MF4, VLOXSEG6EI32_V, 0x6, 0x0 }, // 4345
  { PseudoVLOXSEG6EI32_V_MF2_MF4_MASK, VLOXSEG6EI32_V, 0x6, 0x0 }, // 4346
  { PseudoVLOXSEG6EI32_V_M1_MF2, VLOXSEG6EI32_V, 0x7, 0x0 }, // 4347
  { PseudoVLOXSEG6EI32_V_M1_MF2_MASK, VLOXSEG6EI32_V, 0x7, 0x0 }, // 4348
  { PseudoVLOXSEG6EI32_V_M2_MF2, VLOXSEG6EI32_V, 0x7, 0x0 }, // 4349
  { PseudoVLOXSEG6EI32_V_M2_MF2_MASK, VLOXSEG6EI32_V, 0x7, 0x0 }, // 4350
  { PseudoVLOXSEG6EI32_V_MF2_MF2, VLOXSEG6EI32_V, 0x7, 0x0 }, // 4351
  { PseudoVLOXSEG6EI32_V_MF2_MF2_MASK, VLOXSEG6EI32_V, 0x7, 0x0 }, // 4352
  { PseudoVLOXSEG6EI64_V_M1_M1, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4353
  { PseudoVLOXSEG6EI64_V_M1_M1_MASK, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4354
  { PseudoVLOXSEG6EI64_V_M2_M1, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4355
  { PseudoVLOXSEG6EI64_V_M2_M1_MASK, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4356
  { PseudoVLOXSEG6EI64_V_M4_M1, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4357
  { PseudoVLOXSEG6EI64_V_M4_M1_MASK, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4358
  { PseudoVLOXSEG6EI64_V_M8_M1, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4359
  { PseudoVLOXSEG6EI64_V_M8_M1_MASK, VLOXSEG6EI64_V, 0x0, 0x0 }, // 4360
  { PseudoVLOXSEG6EI64_V_M1_MF8, VLOXSEG6EI64_V, 0x5, 0x0 }, // 4361
  { PseudoVLOXSEG6EI64_V_M1_MF8_MASK, VLOXSEG6EI64_V, 0x5, 0x0 }, // 4362
  { PseudoVLOXSEG6EI64_V_M1_MF4, VLOXSEG6EI64_V, 0x6, 0x0 }, // 4363
  { PseudoVLOXSEG6EI64_V_M1_MF4_MASK, VLOXSEG6EI64_V, 0x6, 0x0 }, // 4364
  { PseudoVLOXSEG6EI64_V_M2_MF4, VLOXSEG6EI64_V, 0x6, 0x0 }, // 4365
  { PseudoVLOXSEG6EI64_V_M2_MF4_MASK, VLOXSEG6EI64_V, 0x6, 0x0 }, // 4366
  { PseudoVLOXSEG6EI64_V_M1_MF2, VLOXSEG6EI64_V, 0x7, 0x0 }, // 4367
  { PseudoVLOXSEG6EI64_V_M1_MF2_MASK, VLOXSEG6EI64_V, 0x7, 0x0 }, // 4368
  { PseudoVLOXSEG6EI64_V_M2_MF2, VLOXSEG6EI64_V, 0x7, 0x0 }, // 4369
  { PseudoVLOXSEG6EI64_V_M2_MF2_MASK, VLOXSEG6EI64_V, 0x7, 0x0 }, // 4370
  { PseudoVLOXSEG6EI64_V_M4_MF2, VLOXSEG6EI64_V, 0x7, 0x0 }, // 4371
  { PseudoVLOXSEG6EI64_V_M4_MF2_MASK, VLOXSEG6EI64_V, 0x7, 0x0 }, // 4372
  { PseudoVLOXSEG6EI8_V_M1_M1, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4373
  { PseudoVLOXSEG6EI8_V_M1_M1_MASK, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4374
  { PseudoVLOXSEG6EI8_V_MF2_M1, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4375
  { PseudoVLOXSEG6EI8_V_MF2_M1_MASK, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4376
  { PseudoVLOXSEG6EI8_V_MF4_M1, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4377
  { PseudoVLOXSEG6EI8_V_MF4_M1_MASK, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4378
  { PseudoVLOXSEG6EI8_V_MF8_M1, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4379
  { PseudoVLOXSEG6EI8_V_MF8_M1_MASK, VLOXSEG6EI8_V, 0x0, 0x0 }, // 4380
  { PseudoVLOXSEG6EI8_V_MF8_MF8, VLOXSEG6EI8_V, 0x5, 0x0 }, // 4381
  { PseudoVLOXSEG6EI8_V_MF8_MF8_MASK, VLOXSEG6EI8_V, 0x5, 0x0 }, // 4382
  { PseudoVLOXSEG6EI8_V_MF4_MF4, VLOXSEG6EI8_V, 0x6, 0x0 }, // 4383
  { PseudoVLOXSEG6EI8_V_MF4_MF4_MASK, VLOXSEG6EI8_V, 0x6, 0x0 }, // 4384
  { PseudoVLOXSEG6EI8_V_MF8_MF4, VLOXSEG6EI8_V, 0x6, 0x0 }, // 4385
  { PseudoVLOXSEG6EI8_V_MF8_MF4_MASK, VLOXSEG6EI8_V, 0x6, 0x0 }, // 4386
  { PseudoVLOXSEG6EI8_V_MF2_MF2, VLOXSEG6EI8_V, 0x7, 0x0 }, // 4387
  { PseudoVLOXSEG6EI8_V_MF2_MF2_MASK, VLOXSEG6EI8_V, 0x7, 0x0 }, // 4388
  { PseudoVLOXSEG6EI8_V_MF4_MF2, VLOXSEG6EI8_V, 0x7, 0x0 }, // 4389
  { PseudoVLOXSEG6EI8_V_MF4_MF2_MASK, VLOXSEG6EI8_V, 0x7, 0x0 }, // 4390
  { PseudoVLOXSEG6EI8_V_MF8_MF2, VLOXSEG6EI8_V, 0x7, 0x0 }, // 4391
  { PseudoVLOXSEG6EI8_V_MF8_MF2_MASK, VLOXSEG6EI8_V, 0x7, 0x0 }, // 4392
  { PseudoVLOXSEG7EI16_V_M1_M1, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4393
  { PseudoVLOXSEG7EI16_V_M1_M1_MASK, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4394
  { PseudoVLOXSEG7EI16_V_M2_M1, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4395
  { PseudoVLOXSEG7EI16_V_M2_M1_MASK, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4396
  { PseudoVLOXSEG7EI16_V_MF2_M1, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4397
  { PseudoVLOXSEG7EI16_V_MF2_M1_MASK, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4398
  { PseudoVLOXSEG7EI16_V_MF4_M1, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4399
  { PseudoVLOXSEG7EI16_V_MF4_M1_MASK, VLOXSEG7EI16_V, 0x0, 0x0 }, // 4400
  { PseudoVLOXSEG7EI16_V_MF4_MF8, VLOXSEG7EI16_V, 0x5, 0x0 }, // 4401
  { PseudoVLOXSEG7EI16_V_MF4_MF8_MASK, VLOXSEG7EI16_V, 0x5, 0x0 }, // 4402
  { PseudoVLOXSEG7EI16_V_MF2_MF4, VLOXSEG7EI16_V, 0x6, 0x0 }, // 4403
  { PseudoVLOXSEG7EI16_V_MF2_MF4_MASK, VLOXSEG7EI16_V, 0x6, 0x0 }, // 4404
  { PseudoVLOXSEG7EI16_V_MF4_MF4, VLOXSEG7EI16_V, 0x6, 0x0 }, // 4405
  { PseudoVLOXSEG7EI16_V_MF4_MF4_MASK, VLOXSEG7EI16_V, 0x6, 0x0 }, // 4406
  { PseudoVLOXSEG7EI16_V_M1_MF2, VLOXSEG7EI16_V, 0x7, 0x0 }, // 4407
  { PseudoVLOXSEG7EI16_V_M1_MF2_MASK, VLOXSEG7EI16_V, 0x7, 0x0 }, // 4408
  { PseudoVLOXSEG7EI16_V_MF2_MF2, VLOXSEG7EI16_V, 0x7, 0x0 }, // 4409
  { PseudoVLOXSEG7EI16_V_MF2_MF2_MASK, VLOXSEG7EI16_V, 0x7, 0x0 }, // 4410
  { PseudoVLOXSEG7EI16_V_MF4_MF2, VLOXSEG7EI16_V, 0x7, 0x0 }, // 4411
  { PseudoVLOXSEG7EI16_V_MF4_MF2_MASK, VLOXSEG7EI16_V, 0x7, 0x0 }, // 4412
  { PseudoVLOXSEG7EI32_V_M1_M1, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4413
  { PseudoVLOXSEG7EI32_V_M1_M1_MASK, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4414
  { PseudoVLOXSEG7EI32_V_M2_M1, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4415
  { PseudoVLOXSEG7EI32_V_M2_M1_MASK, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4416
  { PseudoVLOXSEG7EI32_V_M4_M1, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4417
  { PseudoVLOXSEG7EI32_V_M4_M1_MASK, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4418
  { PseudoVLOXSEG7EI32_V_MF2_M1, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4419
  { PseudoVLOXSEG7EI32_V_MF2_M1_MASK, VLOXSEG7EI32_V, 0x0, 0x0 }, // 4420
  { PseudoVLOXSEG7EI32_V_MF2_MF8, VLOXSEG7EI32_V, 0x5, 0x0 }, // 4421
  { PseudoVLOXSEG7EI32_V_MF2_MF8_MASK, VLOXSEG7EI32_V, 0x5, 0x0 }, // 4422
  { PseudoVLOXSEG7EI32_V_M1_MF4, VLOXSEG7EI32_V, 0x6, 0x0 }, // 4423
  { PseudoVLOXSEG7EI32_V_M1_MF4_MASK, VLOXSEG7EI32_V, 0x6, 0x0 }, // 4424
  { PseudoVLOXSEG7EI32_V_MF2_MF4, VLOXSEG7EI32_V, 0x6, 0x0 }, // 4425
  { PseudoVLOXSEG7EI32_V_MF2_MF4_MASK, VLOXSEG7EI32_V, 0x6, 0x0 }, // 4426
  { PseudoVLOXSEG7EI32_V_M1_MF2, VLOXSEG7EI32_V, 0x7, 0x0 }, // 4427
  { PseudoVLOXSEG7EI32_V_M1_MF2_MASK, VLOXSEG7EI32_V, 0x7, 0x0 }, // 4428
  { PseudoVLOXSEG7EI32_V_M2_MF2, VLOXSEG7EI32_V, 0x7, 0x0 }, // 4429
  { PseudoVLOXSEG7EI32_V_M2_MF2_MASK, VLOXSEG7EI32_V, 0x7, 0x0 }, // 4430
  { PseudoVLOXSEG7EI32_V_MF2_MF2, VLOXSEG7EI32_V, 0x7, 0x0 }, // 4431
  { PseudoVLOXSEG7EI32_V_MF2_MF2_MASK, VLOXSEG7EI32_V, 0x7, 0x0 }, // 4432
  { PseudoVLOXSEG7EI64_V_M1_M1, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4433
  { PseudoVLOXSEG7EI64_V_M1_M1_MASK, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4434
  { PseudoVLOXSEG7EI64_V_M2_M1, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4435
  { PseudoVLOXSEG7EI64_V_M2_M1_MASK, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4436
  { PseudoVLOXSEG7EI64_V_M4_M1, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4437
  { PseudoVLOXSEG7EI64_V_M4_M1_MASK, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4438
  { PseudoVLOXSEG7EI64_V_M8_M1, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4439
  { PseudoVLOXSEG7EI64_V_M8_M1_MASK, VLOXSEG7EI64_V, 0x0, 0x0 }, // 4440
  { PseudoVLOXSEG7EI64_V_M1_MF8, VLOXSEG7EI64_V, 0x5, 0x0 }, // 4441
  { PseudoVLOXSEG7EI64_V_M1_MF8_MASK, VLOXSEG7EI64_V, 0x5, 0x0 }, // 4442
  { PseudoVLOXSEG7EI64_V_M1_MF4, VLOXSEG7EI64_V, 0x6, 0x0 }, // 4443
  { PseudoVLOXSEG7EI64_V_M1_MF4_MASK, VLOXSEG7EI64_V, 0x6, 0x0 }, // 4444
  { PseudoVLOXSEG7EI64_V_M2_MF4, VLOXSEG7EI64_V, 0x6, 0x0 }, // 4445
  { PseudoVLOXSEG7EI64_V_M2_MF4_MASK, VLOXSEG7EI64_V, 0x6, 0x0 }, // 4446
  { PseudoVLOXSEG7EI64_V_M1_MF2, VLOXSEG7EI64_V, 0x7, 0x0 }, // 4447
  { PseudoVLOXSEG7EI64_V_M1_MF2_MASK, VLOXSEG7EI64_V, 0x7, 0x0 }, // 4448
  { PseudoVLOXSEG7EI64_V_M2_MF2, VLOXSEG7EI64_V, 0x7, 0x0 }, // 4449
  { PseudoVLOXSEG7EI64_V_M2_MF2_MASK, VLOXSEG7EI64_V, 0x7, 0x0 }, // 4450
  { PseudoVLOXSEG7EI64_V_M4_MF2, VLOXSEG7EI64_V, 0x7, 0x0 }, // 4451
  { PseudoVLOXSEG7EI64_V_M4_MF2_MASK, VLOXSEG7EI64_V, 0x7, 0x0 }, // 4452
  { PseudoVLOXSEG7EI8_V_M1_M1, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4453
  { PseudoVLOXSEG7EI8_V_M1_M1_MASK, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4454
  { PseudoVLOXSEG7EI8_V_MF2_M1, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4455
  { PseudoVLOXSEG7EI8_V_MF2_M1_MASK, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4456
  { PseudoVLOXSEG7EI8_V_MF4_M1, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4457
  { PseudoVLOXSEG7EI8_V_MF4_M1_MASK, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4458
  { PseudoVLOXSEG7EI8_V_MF8_M1, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4459
  { PseudoVLOXSEG7EI8_V_MF8_M1_MASK, VLOXSEG7EI8_V, 0x0, 0x0 }, // 4460
  { PseudoVLOXSEG7EI8_V_MF8_MF8, VLOXSEG7EI8_V, 0x5, 0x0 }, // 4461
  { PseudoVLOXSEG7EI8_V_MF8_MF8_MASK, VLOXSEG7EI8_V, 0x5, 0x0 }, // 4462
  { PseudoVLOXSEG7EI8_V_MF4_MF4, VLOXSEG7EI8_V, 0x6, 0x0 }, // 4463
  { PseudoVLOXSEG7EI8_V_MF4_MF4_MASK, VLOXSEG7EI8_V, 0x6, 0x0 }, // 4464
  { PseudoVLOXSEG7EI8_V_MF8_MF4, VLOXSEG7EI8_V, 0x6, 0x0 }, // 4465
  { PseudoVLOXSEG7EI8_V_MF8_MF4_MASK, VLOXSEG7EI8_V, 0x6, 0x0 }, // 4466
  { PseudoVLOXSEG7EI8_V_MF2_MF2, VLOXSEG7EI8_V, 0x7, 0x0 }, // 4467
  { PseudoVLOXSEG7EI8_V_MF2_MF2_MASK, VLOXSEG7EI8_V, 0x7, 0x0 }, // 4468
  { PseudoVLOXSEG7EI8_V_MF4_MF2, VLOXSEG7EI8_V, 0x7, 0x0 }, // 4469
  { PseudoVLOXSEG7EI8_V_MF4_MF2_MASK, VLOXSEG7EI8_V, 0x7, 0x0 }, // 4470
  { PseudoVLOXSEG7EI8_V_MF8_MF2, VLOXSEG7EI8_V, 0x7, 0x0 }, // 4471
  { PseudoVLOXSEG7EI8_V_MF8_MF2_MASK, VLOXSEG7EI8_V, 0x7, 0x0 }, // 4472
  { PseudoVLOXSEG8EI16_V_M1_M1, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4473
  { PseudoVLOXSEG8EI16_V_M1_M1_MASK, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4474
  { PseudoVLOXSEG8EI16_V_M2_M1, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4475
  { PseudoVLOXSEG8EI16_V_M2_M1_MASK, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4476
  { PseudoVLOXSEG8EI16_V_MF2_M1, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4477
  { PseudoVLOXSEG8EI16_V_MF2_M1_MASK, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4478
  { PseudoVLOXSEG8EI16_V_MF4_M1, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4479
  { PseudoVLOXSEG8EI16_V_MF4_M1_MASK, VLOXSEG8EI16_V, 0x0, 0x0 }, // 4480
  { PseudoVLOXSEG8EI16_V_MF4_MF8, VLOXSEG8EI16_V, 0x5, 0x0 }, // 4481
  { PseudoVLOXSEG8EI16_V_MF4_MF8_MASK, VLOXSEG8EI16_V, 0x5, 0x0 }, // 4482
  { PseudoVLOXSEG8EI16_V_MF2_MF4, VLOXSEG8EI16_V, 0x6, 0x0 }, // 4483
  { PseudoVLOXSEG8EI16_V_MF2_MF4_MASK, VLOXSEG8EI16_V, 0x6, 0x0 }, // 4484
  { PseudoVLOXSEG8EI16_V_MF4_MF4, VLOXSEG8EI16_V, 0x6, 0x0 }, // 4485
  { PseudoVLOXSEG8EI16_V_MF4_MF4_MASK, VLOXSEG8EI16_V, 0x6, 0x0 }, // 4486
  { PseudoVLOXSEG8EI16_V_M1_MF2, VLOXSEG8EI16_V, 0x7, 0x0 }, // 4487
  { PseudoVLOXSEG8EI16_V_M1_MF2_MASK, VLOXSEG8EI16_V, 0x7, 0x0 }, // 4488
  { PseudoVLOXSEG8EI16_V_MF2_MF2, VLOXSEG8EI16_V, 0x7, 0x0 }, // 4489
  { PseudoVLOXSEG8EI16_V_MF2_MF2_MASK, VLOXSEG8EI16_V, 0x7, 0x0 }, // 4490
  { PseudoVLOXSEG8EI16_V_MF4_MF2, VLOXSEG8EI16_V, 0x7, 0x0 }, // 4491
  { PseudoVLOXSEG8EI16_V_MF4_MF2_MASK, VLOXSEG8EI16_V, 0x7, 0x0 }, // 4492
  { PseudoVLOXSEG8EI32_V_M1_M1, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4493
  { PseudoVLOXSEG8EI32_V_M1_M1_MASK, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4494
  { PseudoVLOXSEG8EI32_V_M2_M1, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4495
  { PseudoVLOXSEG8EI32_V_M2_M1_MASK, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4496
  { PseudoVLOXSEG8EI32_V_M4_M1, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4497
  { PseudoVLOXSEG8EI32_V_M4_M1_MASK, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4498
  { PseudoVLOXSEG8EI32_V_MF2_M1, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4499
  { PseudoVLOXSEG8EI32_V_MF2_M1_MASK, VLOXSEG8EI32_V, 0x0, 0x0 }, // 4500
  { PseudoVLOXSEG8EI32_V_MF2_MF8, VLOXSEG8EI32_V, 0x5, 0x0 }, // 4501
  { PseudoVLOXSEG8EI32_V_MF2_MF8_MASK, VLOXSEG8EI32_V, 0x5, 0x0 }, // 4502
  { PseudoVLOXSEG8EI32_V_M1_MF4, VLOXSEG8EI32_V, 0x6, 0x0 }, // 4503
  { PseudoVLOXSEG8EI32_V_M1_MF4_MASK, VLOXSEG8EI32_V, 0x6, 0x0 }, // 4504
  { PseudoVLOXSEG8EI32_V_MF2_MF4, VLOXSEG8EI32_V, 0x6, 0x0 }, // 4505
  { PseudoVLOXSEG8EI32_V_MF2_MF4_MASK, VLOXSEG8EI32_V, 0x6, 0x0 }, // 4506
  { PseudoVLOXSEG8EI32_V_M1_MF2, VLOXSEG8EI32_V, 0x7, 0x0 }, // 4507
  { PseudoVLOXSEG8EI32_V_M1_MF2_MASK, VLOXSEG8EI32_V, 0x7, 0x0 }, // 4508
  { PseudoVLOXSEG8EI32_V_M2_MF2, VLOXSEG8EI32_V, 0x7, 0x0 }, // 4509
  { PseudoVLOXSEG8EI32_V_M2_MF2_MASK, VLOXSEG8EI32_V, 0x7, 0x0 }, // 4510
  { PseudoVLOXSEG8EI32_V_MF2_MF2, VLOXSEG8EI32_V, 0x7, 0x0 }, // 4511
  { PseudoVLOXSEG8EI32_V_MF2_MF2_MASK, VLOXSEG8EI32_V, 0x7, 0x0 }, // 4512
  { PseudoVLOXSEG8EI64_V_M1_M1, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4513
  { PseudoVLOXSEG8EI64_V_M1_M1_MASK, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4514
  { PseudoVLOXSEG8EI64_V_M2_M1, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4515
  { PseudoVLOXSEG8EI64_V_M2_M1_MASK, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4516
  { PseudoVLOXSEG8EI64_V_M4_M1, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4517
  { PseudoVLOXSEG8EI64_V_M4_M1_MASK, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4518
  { PseudoVLOXSEG8EI64_V_M8_M1, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4519
  { PseudoVLOXSEG8EI64_V_M8_M1_MASK, VLOXSEG8EI64_V, 0x0, 0x0 }, // 4520
  { PseudoVLOXSEG8EI64_V_M1_MF8, VLOXSEG8EI64_V, 0x5, 0x0 }, // 4521
  { PseudoVLOXSEG8EI64_V_M1_MF8_MASK, VLOXSEG8EI64_V, 0x5, 0x0 }, // 4522
  { PseudoVLOXSEG8EI64_V_M1_MF4, VLOXSEG8EI64_V, 0x6, 0x0 }, // 4523
  { PseudoVLOXSEG8EI64_V_M1_MF4_MASK, VLOXSEG8EI64_V, 0x6, 0x0 }, // 4524
  { PseudoVLOXSEG8EI64_V_M2_MF4, VLOXSEG8EI64_V, 0x6, 0x0 }, // 4525
  { PseudoVLOXSEG8EI64_V_M2_MF4_MASK, VLOXSEG8EI64_V, 0x6, 0x0 }, // 4526
  { PseudoVLOXSEG8EI64_V_M1_MF2, VLOXSEG8EI64_V, 0x7, 0x0 }, // 4527
  { PseudoVLOXSEG8EI64_V_M1_MF2_MASK, VLOXSEG8EI64_V, 0x7, 0x0 }, // 4528
  { PseudoVLOXSEG8EI64_V_M2_MF2, VLOXSEG8EI64_V, 0x7, 0x0 }, // 4529
  { PseudoVLOXSEG8EI64_V_M2_MF2_MASK, VLOXSEG8EI64_V, 0x7, 0x0 }, // 4530
  { PseudoVLOXSEG8EI64_V_M4_MF2, VLOXSEG8EI64_V, 0x7, 0x0 }, // 4531
  { PseudoVLOXSEG8EI64_V_M4_MF2_MASK, VLOXSEG8EI64_V, 0x7, 0x0 }, // 4532
  { PseudoVLOXSEG8EI8_V_M1_M1, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4533
  { PseudoVLOXSEG8EI8_V_M1_M1_MASK, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4534
  { PseudoVLOXSEG8EI8_V_MF2_M1, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4535
  { PseudoVLOXSEG8EI8_V_MF2_M1_MASK, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4536
  { PseudoVLOXSEG8EI8_V_MF4_M1, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4537
  { PseudoVLOXSEG8EI8_V_MF4_M1_MASK, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4538
  { PseudoVLOXSEG8EI8_V_MF8_M1, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4539
  { PseudoVLOXSEG8EI8_V_MF8_M1_MASK, VLOXSEG8EI8_V, 0x0, 0x0 }, // 4540
  { PseudoVLOXSEG8EI8_V_MF8_MF8, VLOXSEG8EI8_V, 0x5, 0x0 }, // 4541
  { PseudoVLOXSEG8EI8_V_MF8_MF8_MASK, VLOXSEG8EI8_V, 0x5, 0x0 }, // 4542
  { PseudoVLOXSEG8EI8_V_MF4_MF4, VLOXSEG8EI8_V, 0x6, 0x0 }, // 4543
  { PseudoVLOXSEG8EI8_V_MF4_MF4_MASK, VLOXSEG8EI8_V, 0x6, 0x0 }, // 4544
  { PseudoVLOXSEG8EI8_V_MF8_MF4, VLOXSEG8EI8_V, 0x6, 0x0 }, // 4545
  { PseudoVLOXSEG8EI8_V_MF8_MF4_MASK, VLOXSEG8EI8_V, 0x6, 0x0 }, // 4546
  { PseudoVLOXSEG8EI8_V_MF2_MF2, VLOXSEG8EI8_V, 0x7, 0x0 }, // 4547
  { PseudoVLOXSEG8EI8_V_MF2_MF2_MASK, VLOXSEG8EI8_V, 0x7, 0x0 }, // 4548
  { PseudoVLOXSEG8EI8_V_MF4_MF2, VLOXSEG8EI8_V, 0x7, 0x0 }, // 4549
  { PseudoVLOXSEG8EI8_V_MF4_MF2_MASK, VLOXSEG8EI8_V, 0x7, 0x0 }, // 4550
  { PseudoVLOXSEG8EI8_V_MF8_MF2, VLOXSEG8EI8_V, 0x7, 0x0 }, // 4551
  { PseudoVLOXSEG8EI8_V_MF8_MF2_MASK, VLOXSEG8EI8_V, 0x7, 0x0 }, // 4552
  { PseudoVLSE16_V_M1, VLSE16_V, 0x0, 0x10 }, // 4553
  { PseudoVLSE16_V_M1_MASK, VLSE16_V, 0x0, 0x10 }, // 4554
  { PseudoVLSE16_V_M2, VLSE16_V, 0x1, 0x10 }, // 4555
  { PseudoVLSE16_V_M2_MASK, VLSE16_V, 0x1, 0x10 }, // 4556
  { PseudoVLSE16_V_M4, VLSE16_V, 0x2, 0x10 }, // 4557
  { PseudoVLSE16_V_M4_MASK, VLSE16_V, 0x2, 0x10 }, // 4558
  { PseudoVLSE16_V_M8, VLSE16_V, 0x3, 0x10 }, // 4559
  { PseudoVLSE16_V_M8_MASK, VLSE16_V, 0x3, 0x10 }, // 4560
  { PseudoVLSE16_V_MF4, VLSE16_V, 0x6, 0x10 }, // 4561
  { PseudoVLSE16_V_MF4_MASK, VLSE16_V, 0x6, 0x10 }, // 4562
  { PseudoVLSE16_V_MF2, VLSE16_V, 0x7, 0x10 }, // 4563
  { PseudoVLSE16_V_MF2_MASK, VLSE16_V, 0x7, 0x10 }, // 4564
  { PseudoVLSE32_V_M1, VLSE32_V, 0x0, 0x20 }, // 4565
  { PseudoVLSE32_V_M1_MASK, VLSE32_V, 0x0, 0x20 }, // 4566
  { PseudoVLSE32_V_M2, VLSE32_V, 0x1, 0x20 }, // 4567
  { PseudoVLSE32_V_M2_MASK, VLSE32_V, 0x1, 0x20 }, // 4568
  { PseudoVLSE32_V_M4, VLSE32_V, 0x2, 0x20 }, // 4569
  { PseudoVLSE32_V_M4_MASK, VLSE32_V, 0x2, 0x20 }, // 4570
  { PseudoVLSE32_V_M8, VLSE32_V, 0x3, 0x20 }, // 4571
  { PseudoVLSE32_V_M8_MASK, VLSE32_V, 0x3, 0x20 }, // 4572
  { PseudoVLSE32_V_MF2, VLSE32_V, 0x7, 0x20 }, // 4573
  { PseudoVLSE32_V_MF2_MASK, VLSE32_V, 0x7, 0x20 }, // 4574
  { PseudoVLSE64_V_M1, VLSE64_V, 0x0, 0x40 }, // 4575
  { PseudoVLSE64_V_M1_MASK, VLSE64_V, 0x0, 0x40 }, // 4576
  { PseudoVLSE64_V_M2, VLSE64_V, 0x1, 0x40 }, // 4577
  { PseudoVLSE64_V_M2_MASK, VLSE64_V, 0x1, 0x40 }, // 4578
  { PseudoVLSE64_V_M4, VLSE64_V, 0x2, 0x40 }, // 4579
  { PseudoVLSE64_V_M4_MASK, VLSE64_V, 0x2, 0x40 }, // 4580
  { PseudoVLSE64_V_M8, VLSE64_V, 0x3, 0x40 }, // 4581
  { PseudoVLSE64_V_M8_MASK, VLSE64_V, 0x3, 0x40 }, // 4582
  { PseudoVLSE8_V_M1, VLSE8_V, 0x0, 0x8 }, // 4583
  { PseudoVLSE8_V_M1_MASK, VLSE8_V, 0x0, 0x8 }, // 4584
  { PseudoVLSE8_V_M2, VLSE8_V, 0x1, 0x8 }, // 4585
  { PseudoVLSE8_V_M2_MASK, VLSE8_V, 0x1, 0x8 }, // 4586
  { PseudoVLSE8_V_M4, VLSE8_V, 0x2, 0x8 }, // 4587
  { PseudoVLSE8_V_M4_MASK, VLSE8_V, 0x2, 0x8 }, // 4588
  { PseudoVLSE8_V_M8, VLSE8_V, 0x3, 0x8 }, // 4589
  { PseudoVLSE8_V_M8_MASK, VLSE8_V, 0x3, 0x8 }, // 4590
  { PseudoVLSE8_V_MF8, VLSE8_V, 0x5, 0x8 }, // 4591
  { PseudoVLSE8_V_MF8_MASK, VLSE8_V, 0x5, 0x8 }, // 4592
  { PseudoVLSE8_V_MF4, VLSE8_V, 0x6, 0x8 }, // 4593
  { PseudoVLSE8_V_MF4_MASK, VLSE8_V, 0x6, 0x8 }, // 4594
  { PseudoVLSE8_V_MF2, VLSE8_V, 0x7, 0x8 }, // 4595
  { PseudoVLSE8_V_MF2_MASK, VLSE8_V, 0x7, 0x8 }, // 4596
  { PseudoVLSEG2E16FF_V_M1, VLSEG2E16FF_V, 0x0, 0x10 }, // 4597
  { PseudoVLSEG2E16FF_V_M1_MASK, VLSEG2E16FF_V, 0x0, 0x10 }, // 4598
  { PseudoVLSEG2E16FF_V_M2, VLSEG2E16FF_V, 0x1, 0x10 }, // 4599
  { PseudoVLSEG2E16FF_V_M2_MASK, VLSEG2E16FF_V, 0x1, 0x10 }, // 4600
  { PseudoVLSEG2E16FF_V_M4, VLSEG2E16FF_V, 0x2, 0x10 }, // 4601
  { PseudoVLSEG2E16FF_V_M4_MASK, VLSEG2E16FF_V, 0x2, 0x10 }, // 4602
  { PseudoVLSEG2E16FF_V_MF4, VLSEG2E16FF_V, 0x6, 0x10 }, // 4603
  { PseudoVLSEG2E16FF_V_MF4_MASK, VLSEG2E16FF_V, 0x6, 0x10 }, // 4604
  { PseudoVLSEG2E16FF_V_MF2, VLSEG2E16FF_V, 0x7, 0x10 }, // 4605
  { PseudoVLSEG2E16FF_V_MF2_MASK, VLSEG2E16FF_V, 0x7, 0x10 }, // 4606
  { PseudoVLSEG2E16_V_M1, VLSEG2E16_V, 0x0, 0x10 }, // 4607
  { PseudoVLSEG2E16_V_M1_MASK, VLSEG2E16_V, 0x0, 0x10 }, // 4608
  { PseudoVLSEG2E16_V_M2, VLSEG2E16_V, 0x1, 0x10 }, // 4609
  { PseudoVLSEG2E16_V_M2_MASK, VLSEG2E16_V, 0x1, 0x10 }, // 4610
  { PseudoVLSEG2E16_V_M4, VLSEG2E16_V, 0x2, 0x10 }, // 4611
  { PseudoVLSEG2E16_V_M4_MASK, VLSEG2E16_V, 0x2, 0x10 }, // 4612
  { PseudoVLSEG2E16_V_MF4, VLSEG2E16_V, 0x6, 0x10 }, // 4613
  { PseudoVLSEG2E16_V_MF4_MASK, VLSEG2E16_V, 0x6, 0x10 }, // 4614
  { PseudoVLSEG2E16_V_MF2, VLSEG2E16_V, 0x7, 0x10 }, // 4615
  { PseudoVLSEG2E16_V_MF2_MASK, VLSEG2E16_V, 0x7, 0x10 }, // 4616
  { PseudoVLSEG2E32FF_V_M1, VLSEG2E32FF_V, 0x0, 0x20 }, // 4617
  { PseudoVLSEG2E32FF_V_M1_MASK, VLSEG2E32FF_V, 0x0, 0x20 }, // 4618
  { PseudoVLSEG2E32FF_V_M2, VLSEG2E32FF_V, 0x1, 0x20 }, // 4619
  { PseudoVLSEG2E32FF_V_M2_MASK, VLSEG2E32FF_V, 0x1, 0x20 }, // 4620
  { PseudoVLSEG2E32FF_V_M4, VLSEG2E32FF_V, 0x2, 0x20 }, // 4621
  { PseudoVLSEG2E32FF_V_M4_MASK, VLSEG2E32FF_V, 0x2, 0x20 }, // 4622
  { PseudoVLSEG2E32FF_V_MF2, VLSEG2E32FF_V, 0x7, 0x20 }, // 4623
  { PseudoVLSEG2E32FF_V_MF2_MASK, VLSEG2E32FF_V, 0x7, 0x20 }, // 4624
  { PseudoVLSEG2E32_V_M1, VLSEG2E32_V, 0x0, 0x20 }, // 4625
  { PseudoVLSEG2E32_V_M1_MASK, VLSEG2E32_V, 0x0, 0x20 }, // 4626
  { PseudoVLSEG2E32_V_M2, VLSEG2E32_V, 0x1, 0x20 }, // 4627
  { PseudoVLSEG2E32_V_M2_MASK, VLSEG2E32_V, 0x1, 0x20 }, // 4628
  { PseudoVLSEG2E32_V_M4, VLSEG2E32_V, 0x2, 0x20 }, // 4629
  { PseudoVLSEG2E32_V_M4_MASK, VLSEG2E32_V, 0x2, 0x20 }, // 4630
  { PseudoVLSEG2E32_V_MF2, VLSEG2E32_V, 0x7, 0x20 }, // 4631
  { PseudoVLSEG2E32_V_MF2_MASK, VLSEG2E32_V, 0x7, 0x20 }, // 4632
  { PseudoVLSEG2E64FF_V_M1, VLSEG2E64FF_V, 0x0, 0x40 }, // 4633
  { PseudoVLSEG2E64FF_V_M1_MASK, VLSEG2E64FF_V, 0x0, 0x40 }, // 4634
  { PseudoVLSEG2E64FF_V_M2, VLSEG2E64FF_V, 0x1, 0x40 }, // 4635
  { PseudoVLSEG2E64FF_V_M2_MASK, VLSEG2E64FF_V, 0x1, 0x40 }, // 4636
  { PseudoVLSEG2E64FF_V_M4, VLSEG2E64FF_V, 0x2, 0x40 }, // 4637
  { PseudoVLSEG2E64FF_V_M4_MASK, VLSEG2E64FF_V, 0x2, 0x40 }, // 4638
  { PseudoVLSEG2E64_V_M1, VLSEG2E64_V, 0x0, 0x40 }, // 4639
  { PseudoVLSEG2E64_V_M1_MASK, VLSEG2E64_V, 0x0, 0x40 }, // 4640
  { PseudoVLSEG2E64_V_M2, VLSEG2E64_V, 0x1, 0x40 }, // 4641
  { PseudoVLSEG2E64_V_M2_MASK, VLSEG2E64_V, 0x1, 0x40 }, // 4642
  { PseudoVLSEG2E64_V_M4, VLSEG2E64_V, 0x2, 0x40 }, // 4643
  { PseudoVLSEG2E64_V_M4_MASK, VLSEG2E64_V, 0x2, 0x40 }, // 4644
  { PseudoVLSEG2E8FF_V_M1, VLSEG2E8FF_V, 0x0, 0x8 }, // 4645
  { PseudoVLSEG2E8FF_V_M1_MASK, VLSEG2E8FF_V, 0x0, 0x8 }, // 4646
  { PseudoVLSEG2E8FF_V_M2, VLSEG2E8FF_V, 0x1, 0x8 }, // 4647
  { PseudoVLSEG2E8FF_V_M2_MASK, VLSEG2E8FF_V, 0x1, 0x8 }, // 4648
  { PseudoVLSEG2E8FF_V_M4, VLSEG2E8FF_V, 0x2, 0x8 }, // 4649
  { PseudoVLSEG2E8FF_V_M4_MASK, VLSEG2E8FF_V, 0x2, 0x8 }, // 4650
  { PseudoVLSEG2E8FF_V_MF8, VLSEG2E8FF_V, 0x5, 0x8 }, // 4651
  { PseudoVLSEG2E8FF_V_MF8_MASK, VLSEG2E8FF_V, 0x5, 0x8 }, // 4652
  { PseudoVLSEG2E8FF_V_MF4, VLSEG2E8FF_V, 0x6, 0x8 }, // 4653
  { PseudoVLSEG2E8FF_V_MF4_MASK, VLSEG2E8FF_V, 0x6, 0x8 }, // 4654
  { PseudoVLSEG2E8FF_V_MF2, VLSEG2E8FF_V, 0x7, 0x8 }, // 4655
  { PseudoVLSEG2E8FF_V_MF2_MASK, VLSEG2E8FF_V, 0x7, 0x8 }, // 4656
  { PseudoVLSEG2E8_V_M1, VLSEG2E8_V, 0x0, 0x8 }, // 4657
  { PseudoVLSEG2E8_V_M1_MASK, VLSEG2E8_V, 0x0, 0x8 }, // 4658
  { PseudoVLSEG2E8_V_M2, VLSEG2E8_V, 0x1, 0x8 }, // 4659
  { PseudoVLSEG2E8_V_M2_MASK, VLSEG2E8_V, 0x1, 0x8 }, // 4660
  { PseudoVLSEG2E8_V_M4, VLSEG2E8_V, 0x2, 0x8 }, // 4661
  { PseudoVLSEG2E8_V_M4_MASK, VLSEG2E8_V, 0x2, 0x8 }, // 4662
  { PseudoVLSEG2E8_V_MF8, VLSEG2E8_V, 0x5, 0x8 }, // 4663
  { PseudoVLSEG2E8_V_MF8_MASK, VLSEG2E8_V, 0x5, 0x8 }, // 4664
  { PseudoVLSEG2E8_V_MF4, VLSEG2E8_V, 0x6, 0x8 }, // 4665
  { PseudoVLSEG2E8_V_MF4_MASK, VLSEG2E8_V, 0x6, 0x8 }, // 4666
  { PseudoVLSEG2E8_V_MF2, VLSEG2E8_V, 0x7, 0x8 }, // 4667
  { PseudoVLSEG2E8_V_MF2_MASK, VLSEG2E8_V, 0x7, 0x8 }, // 4668
  { PseudoVLSEG3E16FF_V_M1, VLSEG3E16FF_V, 0x0, 0x10 }, // 4669
  { PseudoVLSEG3E16FF_V_M1_MASK, VLSEG3E16FF_V, 0x0, 0x10 }, // 4670
  { PseudoVLSEG3E16FF_V_M2, VLSEG3E16FF_V, 0x1, 0x10 }, // 4671
  { PseudoVLSEG3E16FF_V_M2_MASK, VLSEG3E16FF_V, 0x1, 0x10 }, // 4672
  { PseudoVLSEG3E16FF_V_MF4, VLSEG3E16FF_V, 0x6, 0x10 }, // 4673
  { PseudoVLSEG3E16FF_V_MF4_MASK, VLSEG3E16FF_V, 0x6, 0x10 }, // 4674
  { PseudoVLSEG3E16FF_V_MF2, VLSEG3E16FF_V, 0x7, 0x10 }, // 4675
  { PseudoVLSEG3E16FF_V_MF2_MASK, VLSEG3E16FF_V, 0x7, 0x10 }, // 4676
  { PseudoVLSEG3E16_V_M1, VLSEG3E16_V, 0x0, 0x10 }, // 4677
  { PseudoVLSEG3E16_V_M1_MASK, VLSEG3E16_V, 0x0, 0x10 }, // 4678
  { PseudoVLSEG3E16_V_M2, VLSEG3E16_V, 0x1, 0x10 }, // 4679
  { PseudoVLSEG3E16_V_M2_MASK, VLSEG3E16_V, 0x1, 0x10 }, // 4680
  { PseudoVLSEG3E16_V_MF4, VLSEG3E16_V, 0x6, 0x10 }, // 4681
  { PseudoVLSEG3E16_V_MF4_MASK, VLSEG3E16_V, 0x6, 0x10 }, // 4682
  { PseudoVLSEG3E16_V_MF2, VLSEG3E16_V, 0x7, 0x10 }, // 4683
  { PseudoVLSEG3E16_V_MF2_MASK, VLSEG3E16_V, 0x7, 0x10 }, // 4684
  { PseudoVLSEG3E32FF_V_M1, VLSEG3E32FF_V, 0x0, 0x20 }, // 4685
  { PseudoVLSEG3E32FF_V_M1_MASK, VLSEG3E32FF_V, 0x0, 0x20 }, // 4686
  { PseudoVLSEG3E32FF_V_M2, VLSEG3E32FF_V, 0x1, 0x20 }, // 4687
  { PseudoVLSEG3E32FF_V_M2_MASK, VLSEG3E32FF_V, 0x1, 0x20 }, // 4688
  { PseudoVLSEG3E32FF_V_MF2, VLSEG3E32FF_V, 0x7, 0x20 }, // 4689
  { PseudoVLSEG3E32FF_V_MF2_MASK, VLSEG3E32FF_V, 0x7, 0x20 }, // 4690
  { PseudoVLSEG3E32_V_M1, VLSEG3E32_V, 0x0, 0x20 }, // 4691
  { PseudoVLSEG3E32_V_M1_MASK, VLSEG3E32_V, 0x0, 0x20 }, // 4692
  { PseudoVLSEG3E32_V_M2, VLSEG3E32_V, 0x1, 0x20 }, // 4693
  { PseudoVLSEG3E32_V_M2_MASK, VLSEG3E32_V, 0x1, 0x20 }, // 4694
  { PseudoVLSEG3E32_V_MF2, VLSEG3E32_V, 0x7, 0x20 }, // 4695
  { PseudoVLSEG3E32_V_MF2_MASK, VLSEG3E32_V, 0x7, 0x20 }, // 4696
  { PseudoVLSEG3E64FF_V_M1, VLSEG3E64FF_V, 0x0, 0x40 }, // 4697
  { PseudoVLSEG3E64FF_V_M1_MASK, VLSEG3E64FF_V, 0x0, 0x40 }, // 4698
  { PseudoVLSEG3E64FF_V_M2, VLSEG3E64FF_V, 0x1, 0x40 }, // 4699
  { PseudoVLSEG3E64FF_V_M2_MASK, VLSEG3E64FF_V, 0x1, 0x40 }, // 4700
  { PseudoVLSEG3E64_V_M1, VLSEG3E64_V, 0x0, 0x40 }, // 4701
  { PseudoVLSEG3E64_V_M1_MASK, VLSEG3E64_V, 0x0, 0x40 }, // 4702
  { PseudoVLSEG3E64_V_M2, VLSEG3E64_V, 0x1, 0x40 }, // 4703
  { PseudoVLSEG3E64_V_M2_MASK, VLSEG3E64_V, 0x1, 0x40 }, // 4704
  { PseudoVLSEG3E8FF_V_M1, VLSEG3E8FF_V, 0x0, 0x8 }, // 4705
  { PseudoVLSEG3E8FF_V_M1_MASK, VLSEG3E8FF_V, 0x0, 0x8 }, // 4706
  { PseudoVLSEG3E8FF_V_M2, VLSEG3E8FF_V, 0x1, 0x8 }, // 4707
  { PseudoVLSEG3E8FF_V_M2_MASK, VLSEG3E8FF_V, 0x1, 0x8 }, // 4708
  { PseudoVLSEG3E8FF_V_MF8, VLSEG3E8FF_V, 0x5, 0x8 }, // 4709
  { PseudoVLSEG3E8FF_V_MF8_MASK, VLSEG3E8FF_V, 0x5, 0x8 }, // 4710
  { PseudoVLSEG3E8FF_V_MF4, VLSEG3E8FF_V, 0x6, 0x8 }, // 4711
  { PseudoVLSEG3E8FF_V_MF4_MASK, VLSEG3E8FF_V, 0x6, 0x8 }, // 4712
  { PseudoVLSEG3E8FF_V_MF2, VLSEG3E8FF_V, 0x7, 0x8 }, // 4713
  { PseudoVLSEG3E8FF_V_MF2_MASK, VLSEG3E8FF_V, 0x7, 0x8 }, // 4714
  { PseudoVLSEG3E8_V_M1, VLSEG3E8_V, 0x0, 0x8 }, // 4715
  { PseudoVLSEG3E8_V_M1_MASK, VLSEG3E8_V, 0x0, 0x8 }, // 4716
  { PseudoVLSEG3E8_V_M2, VLSEG3E8_V, 0x1, 0x8 }, // 4717
  { PseudoVLSEG3E8_V_M2_MASK, VLSEG3E8_V, 0x1, 0x8 }, // 4718
  { PseudoVLSEG3E8_V_MF8, VLSEG3E8_V, 0x5, 0x8 }, // 4719
  { PseudoVLSEG3E8_V_MF8_MASK, VLSEG3E8_V, 0x5, 0x8 }, // 4720
  { PseudoVLSEG3E8_V_MF4, VLSEG3E8_V, 0x6, 0x8 }, // 4721
  { PseudoVLSEG3E8_V_MF4_MASK, VLSEG3E8_V, 0x6, 0x8 }, // 4722
  { PseudoVLSEG3E8_V_MF2, VLSEG3E8_V, 0x7, 0x8 }, // 4723
  { PseudoVLSEG3E8_V_MF2_MASK, VLSEG3E8_V, 0x7, 0x8 }, // 4724
  { PseudoVLSEG4E16FF_V_M1, VLSEG4E16FF_V, 0x0, 0x10 }, // 4725
  { PseudoVLSEG4E16FF_V_M1_MASK, VLSEG4E16FF_V, 0x0, 0x10 }, // 4726
  { PseudoVLSEG4E16FF_V_M2, VLSEG4E16FF_V, 0x1, 0x10 }, // 4727
  { PseudoVLSEG4E16FF_V_M2_MASK, VLSEG4E16FF_V, 0x1, 0x10 }, // 4728
  { PseudoVLSEG4E16FF_V_MF4, VLSEG4E16FF_V, 0x6, 0x10 }, // 4729
  { PseudoVLSEG4E16FF_V_MF4_MASK, VLSEG4E16FF_V, 0x6, 0x10 }, // 4730
  { PseudoVLSEG4E16FF_V_MF2, VLSEG4E16FF_V, 0x7, 0x10 }, // 4731
  { PseudoVLSEG4E16FF_V_MF2_MASK, VLSEG4E16FF_V, 0x7, 0x10 }, // 4732
  { PseudoVLSEG4E16_V_M1, VLSEG4E16_V, 0x0, 0x10 }, // 4733
  { PseudoVLSEG4E16_V_M1_MASK, VLSEG4E16_V, 0x0, 0x10 }, // 4734
  { PseudoVLSEG4E16_V_M2, VLSEG4E16_V, 0x1, 0x10 }, // 4735
  { PseudoVLSEG4E16_V_M2_MASK, VLSEG4E16_V, 0x1, 0x10 }, // 4736
  { PseudoVLSEG4E16_V_MF4, VLSEG4E16_V, 0x6, 0x10 }, // 4737
  { PseudoVLSEG4E16_V_MF4_MASK, VLSEG4E16_V, 0x6, 0x10 }, // 4738
  { PseudoVLSEG4E16_V_MF2, VLSEG4E16_V, 0x7, 0x10 }, // 4739
  { PseudoVLSEG4E16_V_MF2_MASK, VLSEG4E16_V, 0x7, 0x10 }, // 4740
  { PseudoVLSEG4E32FF_V_M1, VLSEG4E32FF_V, 0x0, 0x20 }, // 4741
  { PseudoVLSEG4E32FF_V_M1_MASK, VLSEG4E32FF_V, 0x0, 0x20 }, // 4742
  { PseudoVLSEG4E32FF_V_M2, VLSEG4E32FF_V, 0x1, 0x20 }, // 4743
  { PseudoVLSEG4E32FF_V_M2_MASK, VLSEG4E32FF_V, 0x1, 0x20 }, // 4744
  { PseudoVLSEG4E32FF_V_MF2, VLSEG4E32FF_V, 0x7, 0x20 }, // 4745
  { PseudoVLSEG4E32FF_V_MF2_MASK, VLSEG4E32FF_V, 0x7, 0x20 }, // 4746
  { PseudoVLSEG4E32_V_M1, VLSEG4E32_V, 0x0, 0x20 }, // 4747
  { PseudoVLSEG4E32_V_M1_MASK, VLSEG4E32_V, 0x0, 0x20 }, // 4748
  { PseudoVLSEG4E32_V_M2, VLSEG4E32_V, 0x1, 0x20 }, // 4749
  { PseudoVLSEG4E32_V_M2_MASK, VLSEG4E32_V, 0x1, 0x20 }, // 4750
  { PseudoVLSEG4E32_V_MF2, VLSEG4E32_V, 0x7, 0x20 }, // 4751
  { PseudoVLSEG4E32_V_MF2_MASK, VLSEG4E32_V, 0x7, 0x20 }, // 4752
  { PseudoVLSEG4E64FF_V_M1, VLSEG4E64FF_V, 0x0, 0x40 }, // 4753
  { PseudoVLSEG4E64FF_V_M1_MASK, VLSEG4E64FF_V, 0x0, 0x40 }, // 4754
  { PseudoVLSEG4E64FF_V_M2, VLSEG4E64FF_V, 0x1, 0x40 }, // 4755
  { PseudoVLSEG4E64FF_V_M2_MASK, VLSEG4E64FF_V, 0x1, 0x40 }, // 4756
  { PseudoVLSEG4E64_V_M1, VLSEG4E64_V, 0x0, 0x40 }, // 4757
  { PseudoVLSEG4E64_V_M1_MASK, VLSEG4E64_V, 0x0, 0x40 }, // 4758
  { PseudoVLSEG4E64_V_M2, VLSEG4E64_V, 0x1, 0x40 }, // 4759
  { PseudoVLSEG4E64_V_M2_MASK, VLSEG4E64_V, 0x1, 0x40 }, // 4760
  { PseudoVLSEG4E8FF_V_M1, VLSEG4E8FF_V, 0x0, 0x8 }, // 4761
  { PseudoVLSEG4E8FF_V_M1_MASK, VLSEG4E8FF_V, 0x0, 0x8 }, // 4762
  { PseudoVLSEG4E8FF_V_M2, VLSEG4E8FF_V, 0x1, 0x8 }, // 4763
  { PseudoVLSEG4E8FF_V_M2_MASK, VLSEG4E8FF_V, 0x1, 0x8 }, // 4764
  { PseudoVLSEG4E8FF_V_MF8, VLSEG4E8FF_V, 0x5, 0x8 }, // 4765
  { PseudoVLSEG4E8FF_V_MF8_MASK, VLSEG4E8FF_V, 0x5, 0x8 }, // 4766
  { PseudoVLSEG4E8FF_V_MF4, VLSEG4E8FF_V, 0x6, 0x8 }, // 4767
  { PseudoVLSEG4E8FF_V_MF4_MASK, VLSEG4E8FF_V, 0x6, 0x8 }, // 4768
  { PseudoVLSEG4E8FF_V_MF2, VLSEG4E8FF_V, 0x7, 0x8 }, // 4769
  { PseudoVLSEG4E8FF_V_MF2_MASK, VLSEG4E8FF_V, 0x7, 0x8 }, // 4770
  { PseudoVLSEG4E8_V_M1, VLSEG4E8_V, 0x0, 0x8 }, // 4771
  { PseudoVLSEG4E8_V_M1_MASK, VLSEG4E8_V, 0x0, 0x8 }, // 4772
  { PseudoVLSEG4E8_V_M2, VLSEG4E8_V, 0x1, 0x8 }, // 4773
  { PseudoVLSEG4E8_V_M2_MASK, VLSEG4E8_V, 0x1, 0x8 }, // 4774
  { PseudoVLSEG4E8_V_MF8, VLSEG4E8_V, 0x5, 0x8 }, // 4775
  { PseudoVLSEG4E8_V_MF8_MASK, VLSEG4E8_V, 0x5, 0x8 }, // 4776
  { PseudoVLSEG4E8_V_MF4, VLSEG4E8_V, 0x6, 0x8 }, // 4777
  { PseudoVLSEG4E8_V_MF4_MASK, VLSEG4E8_V, 0x6, 0x8 }, // 4778
  { PseudoVLSEG4E8_V_MF2, VLSEG4E8_V, 0x7, 0x8 }, // 4779
  { PseudoVLSEG4E8_V_MF2_MASK, VLSEG4E8_V, 0x7, 0x8 }, // 4780
  { PseudoVLSEG5E16FF_V_M1, VLSEG5E16FF_V, 0x0, 0x10 }, // 4781
  { PseudoVLSEG5E16FF_V_M1_MASK, VLSEG5E16FF_V, 0x0, 0x10 }, // 4782
  { PseudoVLSEG5E16FF_V_MF4, VLSEG5E16FF_V, 0x6, 0x10 }, // 4783
  { PseudoVLSEG5E16FF_V_MF4_MASK, VLSEG5E16FF_V, 0x6, 0x10 }, // 4784
  { PseudoVLSEG5E16FF_V_MF2, VLSEG5E16FF_V, 0x7, 0x10 }, // 4785
  { PseudoVLSEG5E16FF_V_MF2_MASK, VLSEG5E16FF_V, 0x7, 0x10 }, // 4786
  { PseudoVLSEG5E16_V_M1, VLSEG5E16_V, 0x0, 0x10 }, // 4787
  { PseudoVLSEG5E16_V_M1_MASK, VLSEG5E16_V, 0x0, 0x10 }, // 4788
  { PseudoVLSEG5E16_V_MF4, VLSEG5E16_V, 0x6, 0x10 }, // 4789
  { PseudoVLSEG5E16_V_MF4_MASK, VLSEG5E16_V, 0x6, 0x10 }, // 4790
  { PseudoVLSEG5E16_V_MF2, VLSEG5E16_V, 0x7, 0x10 }, // 4791
  { PseudoVLSEG5E16_V_MF2_MASK, VLSEG5E16_V, 0x7, 0x10 }, // 4792
  { PseudoVLSEG5E32FF_V_M1, VLSEG5E32FF_V, 0x0, 0x20 }, // 4793
  { PseudoVLSEG5E32FF_V_M1_MASK, VLSEG5E32FF_V, 0x0, 0x20 }, // 4794
  { PseudoVLSEG5E32FF_V_MF2, VLSEG5E32FF_V, 0x7, 0x20 }, // 4795
  { PseudoVLSEG5E32FF_V_MF2_MASK, VLSEG5E32FF_V, 0x7, 0x20 }, // 4796
  { PseudoVLSEG5E32_V_M1, VLSEG5E32_V, 0x0, 0x20 }, // 4797
  { PseudoVLSEG5E32_V_M1_MASK, VLSEG5E32_V, 0x0, 0x20 }, // 4798
  { PseudoVLSEG5E32_V_MF2, VLSEG5E32_V, 0x7, 0x20 }, // 4799
  { PseudoVLSEG5E32_V_MF2_MASK, VLSEG5E32_V, 0x7, 0x20 }, // 4800
  { PseudoVLSEG5E64FF_V_M1, VLSEG5E64FF_V, 0x0, 0x40 }, // 4801
  { PseudoVLSEG5E64FF_V_M1_MASK, VLSEG5E64FF_V, 0x0, 0x40 }, // 4802
  { PseudoVLSEG5E64_V_M1, VLSEG5E64_V, 0x0, 0x40 }, // 4803
  { PseudoVLSEG5E64_V_M1_MASK, VLSEG5E64_V, 0x0, 0x40 }, // 4804
  { PseudoVLSEG5E8FF_V_M1, VLSEG5E8FF_V, 0x0, 0x8 }, // 4805
  { PseudoVLSEG5E8FF_V_M1_MASK, VLSEG5E8FF_V, 0x0, 0x8 }, // 4806
  { PseudoVLSEG5E8FF_V_MF8, VLSEG5E8FF_V, 0x5, 0x8 }, // 4807
  { PseudoVLSEG5E8FF_V_MF8_MASK, VLSEG5E8FF_V, 0x5, 0x8 }, // 4808
  { PseudoVLSEG5E8FF_V_MF4, VLSEG5E8FF_V, 0x6, 0x8 }, // 4809
  { PseudoVLSEG5E8FF_V_MF4_MASK, VLSEG5E8FF_V, 0x6, 0x8 }, // 4810
  { PseudoVLSEG5E8FF_V_MF2, VLSEG5E8FF_V, 0x7, 0x8 }, // 4811
  { PseudoVLSEG5E8FF_V_MF2_MASK, VLSEG5E8FF_V, 0x7, 0x8 }, // 4812
  { PseudoVLSEG5E8_V_M1, VLSEG5E8_V, 0x0, 0x8 }, // 4813
  { PseudoVLSEG5E8_V_M1_MASK, VLSEG5E8_V, 0x0, 0x8 }, // 4814
  { PseudoVLSEG5E8_V_MF8, VLSEG5E8_V, 0x5, 0x8 }, // 4815
  { PseudoVLSEG5E8_V_MF8_MASK, VLSEG5E8_V, 0x5, 0x8 }, // 4816
  { PseudoVLSEG5E8_V_MF4, VLSEG5E8_V, 0x6, 0x8 }, // 4817
  { PseudoVLSEG5E8_V_MF4_MASK, VLSEG5E8_V, 0x6, 0x8 }, // 4818
  { PseudoVLSEG5E8_V_MF2, VLSEG5E8_V, 0x7, 0x8 }, // 4819
  { PseudoVLSEG5E8_V_MF2_MASK, VLSEG5E8_V, 0x7, 0x8 }, // 4820
  { PseudoVLSEG6E16FF_V_M1, VLSEG6E16FF_V, 0x0, 0x10 }, // 4821
  { PseudoVLSEG6E16FF_V_M1_MASK, VLSEG6E16FF_V, 0x0, 0x10 }, // 4822
  { PseudoVLSEG6E16FF_V_MF4, VLSEG6E16FF_V, 0x6, 0x10 }, // 4823
  { PseudoVLSEG6E16FF_V_MF4_MASK, VLSEG6E16FF_V, 0x6, 0x10 }, // 4824
  { PseudoVLSEG6E16FF_V_MF2, VLSEG6E16FF_V, 0x7, 0x10 }, // 4825
  { PseudoVLSEG6E16FF_V_MF2_MASK, VLSEG6E16FF_V, 0x7, 0x10 }, // 4826
  { PseudoVLSEG6E16_V_M1, VLSEG6E16_V, 0x0, 0x10 }, // 4827
  { PseudoVLSEG6E16_V_M1_MASK, VLSEG6E16_V, 0x0, 0x10 }, // 4828
  { PseudoVLSEG6E16_V_MF4, VLSEG6E16_V, 0x6, 0x10 }, // 4829
  { PseudoVLSEG6E16_V_MF4_MASK, VLSEG6E16_V, 0x6, 0x10 }, // 4830
  { PseudoVLSEG6E16_V_MF2, VLSEG6E16_V, 0x7, 0x10 }, // 4831
  { PseudoVLSEG6E16_V_MF2_MASK, VLSEG6E16_V, 0x7, 0x10 }, // 4832
  { PseudoVLSEG6E32FF_V_M1, VLSEG6E32FF_V, 0x0, 0x20 }, // 4833
  { PseudoVLSEG6E32FF_V_M1_MASK, VLSEG6E32FF_V, 0x0, 0x20 }, // 4834
  { PseudoVLSEG6E32FF_V_MF2, VLSEG6E32FF_V, 0x7, 0x20 }, // 4835
  { PseudoVLSEG6E32FF_V_MF2_MASK, VLSEG6E32FF_V, 0x7, 0x20 }, // 4836
  { PseudoVLSEG6E32_V_M1, VLSEG6E32_V, 0x0, 0x20 }, // 4837
  { PseudoVLSEG6E32_V_M1_MASK, VLSEG6E32_V, 0x0, 0x20 }, // 4838
  { PseudoVLSEG6E32_V_MF2, VLSEG6E32_V, 0x7, 0x20 }, // 4839
  { PseudoVLSEG6E32_V_MF2_MASK, VLSEG6E32_V, 0x7, 0x20 }, // 4840
  { PseudoVLSEG6E64FF_V_M1, VLSEG6E64FF_V, 0x0, 0x40 }, // 4841
  { PseudoVLSEG6E64FF_V_M1_MASK, VLSEG6E64FF_V, 0x0, 0x40 }, // 4842
  { PseudoVLSEG6E64_V_M1, VLSEG6E64_V, 0x0, 0x40 }, // 4843
  { PseudoVLSEG6E64_V_M1_MASK, VLSEG6E64_V, 0x0, 0x40 }, // 4844
  { PseudoVLSEG6E8FF_V_M1, VLSEG6E8FF_V, 0x0, 0x8 }, // 4845
  { PseudoVLSEG6E8FF_V_M1_MASK, VLSEG6E8FF_V, 0x0, 0x8 }, // 4846
  { PseudoVLSEG6E8FF_V_MF8, VLSEG6E8FF_V, 0x5, 0x8 }, // 4847
  { PseudoVLSEG6E8FF_V_MF8_MASK, VLSEG6E8FF_V, 0x5, 0x8 }, // 4848
  { PseudoVLSEG6E8FF_V_MF4, VLSEG6E8FF_V, 0x6, 0x8 }, // 4849
  { PseudoVLSEG6E8FF_V_MF4_MASK, VLSEG6E8FF_V, 0x6, 0x8 }, // 4850
  { PseudoVLSEG6E8FF_V_MF2, VLSEG6E8FF_V, 0x7, 0x8 }, // 4851
  { PseudoVLSEG6E8FF_V_MF2_MASK, VLSEG6E8FF_V, 0x7, 0x8 }, // 4852
  { PseudoVLSEG6E8_V_M1, VLSEG6E8_V, 0x0, 0x8 }, // 4853
  { PseudoVLSEG6E8_V_M1_MASK, VLSEG6E8_V, 0x0, 0x8 }, // 4854
  { PseudoVLSEG6E8_V_MF8, VLSEG6E8_V, 0x5, 0x8 }, // 4855
  { PseudoVLSEG6E8_V_MF8_MASK, VLSEG6E8_V, 0x5, 0x8 }, // 4856
  { PseudoVLSEG6E8_V_MF4, VLSEG6E8_V, 0x6, 0x8 }, // 4857
  { PseudoVLSEG6E8_V_MF4_MASK, VLSEG6E8_V, 0x6, 0x8 }, // 4858
  { PseudoVLSEG6E8_V_MF2, VLSEG6E8_V, 0x7, 0x8 }, // 4859
  { PseudoVLSEG6E8_V_MF2_MASK, VLSEG6E8_V, 0x7, 0x8 }, // 4860
  { PseudoVLSEG7E16FF_V_M1, VLSEG7E16FF_V, 0x0, 0x10 }, // 4861
  { PseudoVLSEG7E16FF_V_M1_MASK, VLSEG7E16FF_V, 0x0, 0x10 }, // 4862
  { PseudoVLSEG7E16FF_V_MF4, VLSEG7E16FF_V, 0x6, 0x10 }, // 4863
  { PseudoVLSEG7E16FF_V_MF4_MASK, VLSEG7E16FF_V, 0x6, 0x10 }, // 4864
  { PseudoVLSEG7E16FF_V_MF2, VLSEG7E16FF_V, 0x7, 0x10 }, // 4865
  { PseudoVLSEG7E16FF_V_MF2_MASK, VLSEG7E16FF_V, 0x7, 0x10 }, // 4866
  { PseudoVLSEG7E16_V_M1, VLSEG7E16_V, 0x0, 0x10 }, // 4867
  { PseudoVLSEG7E16_V_M1_MASK, VLSEG7E16_V, 0x0, 0x10 }, // 4868
  { PseudoVLSEG7E16_V_MF4, VLSEG7E16_V, 0x6, 0x10 }, // 4869
  { PseudoVLSEG7E16_V_MF4_MASK, VLSEG7E16_V, 0x6, 0x10 }, // 4870
  { PseudoVLSEG7E16_V_MF2, VLSEG7E16_V, 0x7, 0x10 }, // 4871
  { PseudoVLSEG7E16_V_MF2_MASK, VLSEG7E16_V, 0x7, 0x10 }, // 4872
  { PseudoVLSEG7E32FF_V_M1, VLSEG7E32FF_V, 0x0, 0x20 }, // 4873
  { PseudoVLSEG7E32FF_V_M1_MASK, VLSEG7E32FF_V, 0x0, 0x20 }, // 4874
  { PseudoVLSEG7E32FF_V_MF2, VLSEG7E32FF_V, 0x7, 0x20 }, // 4875
  { PseudoVLSEG7E32FF_V_MF2_MASK, VLSEG7E32FF_V, 0x7, 0x20 }, // 4876
  { PseudoVLSEG7E32_V_M1, VLSEG7E32_V, 0x0, 0x20 }, // 4877
  { PseudoVLSEG7E32_V_M1_MASK, VLSEG7E32_V, 0x0, 0x20 }, // 4878
  { PseudoVLSEG7E32_V_MF2, VLSEG7E32_V, 0x7, 0x20 }, // 4879
  { PseudoVLSEG7E32_V_MF2_MASK, VLSEG7E32_V, 0x7, 0x20 }, // 4880
  { PseudoVLSEG7E64FF_V_M1, VLSEG7E64FF_V, 0x0, 0x40 }, // 4881
  { PseudoVLSEG7E64FF_V_M1_MASK, VLSEG7E64FF_V, 0x0, 0x40 }, // 4882
  { PseudoVLSEG7E64_V_M1, VLSEG7E64_V, 0x0, 0x40 }, // 4883
  { PseudoVLSEG7E64_V_M1_MASK, VLSEG7E64_V, 0x0, 0x40 }, // 4884
  { PseudoVLSEG7E8FF_V_M1, VLSEG7E8FF_V, 0x0, 0x8 }, // 4885
  { PseudoVLSEG7E8FF_V_M1_MASK, VLSEG7E8FF_V, 0x0, 0x8 }, // 4886
  { PseudoVLSEG7E8FF_V_MF8, VLSEG7E8FF_V, 0x5, 0x8 }, // 4887
  { PseudoVLSEG7E8FF_V_MF8_MASK, VLSEG7E8FF_V, 0x5, 0x8 }, // 4888
  { PseudoVLSEG7E8FF_V_MF4, VLSEG7E8FF_V, 0x6, 0x8 }, // 4889
  { PseudoVLSEG7E8FF_V_MF4_MASK, VLSEG7E8FF_V, 0x6, 0x8 }, // 4890
  { PseudoVLSEG7E8FF_V_MF2, VLSEG7E8FF_V, 0x7, 0x8 }, // 4891
  { PseudoVLSEG7E8FF_V_MF2_MASK, VLSEG7E8FF_V, 0x7, 0x8 }, // 4892
  { PseudoVLSEG7E8_V_M1, VLSEG7E8_V, 0x0, 0x8 }, // 4893
  { PseudoVLSEG7E8_V_M1_MASK, VLSEG7E8_V, 0x0, 0x8 }, // 4894
  { PseudoVLSEG7E8_V_MF8, VLSEG7E8_V, 0x5, 0x8 }, // 4895
  { PseudoVLSEG7E8_V_MF8_MASK, VLSEG7E8_V, 0x5, 0x8 }, // 4896
  { PseudoVLSEG7E8_V_MF4, VLSEG7E8_V, 0x6, 0x8 }, // 4897
  { PseudoVLSEG7E8_V_MF4_MASK, VLSEG7E8_V, 0x6, 0x8 }, // 4898
  { PseudoVLSEG7E8_V_MF2, VLSEG7E8_V, 0x7, 0x8 }, // 4899
  { PseudoVLSEG7E8_V_MF2_MASK, VLSEG7E8_V, 0x7, 0x8 }, // 4900
  { PseudoVLSEG8E16FF_V_M1, VLSEG8E16FF_V, 0x0, 0x10 }, // 4901
  { PseudoVLSEG8E16FF_V_M1_MASK, VLSEG8E16FF_V, 0x0, 0x10 }, // 4902
  { PseudoVLSEG8E16FF_V_MF4, VLSEG8E16FF_V, 0x6, 0x10 }, // 4903
  { PseudoVLSEG8E16FF_V_MF4_MASK, VLSEG8E16FF_V, 0x6, 0x10 }, // 4904
  { PseudoVLSEG8E16FF_V_MF2, VLSEG8E16FF_V, 0x7, 0x10 }, // 4905
  { PseudoVLSEG8E16FF_V_MF2_MASK, VLSEG8E16FF_V, 0x7, 0x10 }, // 4906
  { PseudoVLSEG8E16_V_M1, VLSEG8E16_V, 0x0, 0x10 }, // 4907
  { PseudoVLSEG8E16_V_M1_MASK, VLSEG8E16_V, 0x0, 0x10 }, // 4908
  { PseudoVLSEG8E16_V_MF4, VLSEG8E16_V, 0x6, 0x10 }, // 4909
  { PseudoVLSEG8E16_V_MF4_MASK, VLSEG8E16_V, 0x6, 0x10 }, // 4910
  { PseudoVLSEG8E16_V_MF2, VLSEG8E16_V, 0x7, 0x10 }, // 4911
  { PseudoVLSEG8E16_V_MF2_MASK, VLSEG8E16_V, 0x7, 0x10 }, // 4912
  { PseudoVLSEG8E32FF_V_M1, VLSEG8E32FF_V, 0x0, 0x20 }, // 4913
  { PseudoVLSEG8E32FF_V_M1_MASK, VLSEG8E32FF_V, 0x0, 0x20 }, // 4914
  { PseudoVLSEG8E32FF_V_MF2, VLSEG8E32FF_V, 0x7, 0x20 }, // 4915
  { PseudoVLSEG8E32FF_V_MF2_MASK, VLSEG8E32FF_V, 0x7, 0x20 }, // 4916
  { PseudoVLSEG8E32_V_M1, VLSEG8E32_V, 0x0, 0x20 }, // 4917
  { PseudoVLSEG8E32_V_M1_MASK, VLSEG8E32_V, 0x0, 0x20 }, // 4918
  { PseudoVLSEG8E32_V_MF2, VLSEG8E32_V, 0x7, 0x20 }, // 4919
  { PseudoVLSEG8E32_V_MF2_MASK, VLSEG8E32_V, 0x7, 0x20 }, // 4920
  { PseudoVLSEG8E64FF_V_M1, VLSEG8E64FF_V, 0x0, 0x40 }, // 4921
  { PseudoVLSEG8E64FF_V_M1_MASK, VLSEG8E64FF_V, 0x0, 0x40 }, // 4922
  { PseudoVLSEG8E64_V_M1, VLSEG8E64_V, 0x0, 0x40 }, // 4923
  { PseudoVLSEG8E64_V_M1_MASK, VLSEG8E64_V, 0x0, 0x40 }, // 4924
  { PseudoVLSEG8E8FF_V_M1, VLSEG8E8FF_V, 0x0, 0x8 }, // 4925
  { PseudoVLSEG8E8FF_V_M1_MASK, VLSEG8E8FF_V, 0x0, 0x8 }, // 4926
  { PseudoVLSEG8E8FF_V_MF8, VLSEG8E8FF_V, 0x5, 0x8 }, // 4927
  { PseudoVLSEG8E8FF_V_MF8_MASK, VLSEG8E8FF_V, 0x5, 0x8 }, // 4928
  { PseudoVLSEG8E8FF_V_MF4, VLSEG8E8FF_V, 0x6, 0x8 }, // 4929
  { PseudoVLSEG8E8FF_V_MF4_MASK, VLSEG8E8FF_V, 0x6, 0x8 }, // 4930
  { PseudoVLSEG8E8FF_V_MF2, VLSEG8E8FF_V, 0x7, 0x8 }, // 4931
  { PseudoVLSEG8E8FF_V_MF2_MASK, VLSEG8E8FF_V, 0x7, 0x8 }, // 4932
  { PseudoVLSEG8E8_V_M1, VLSEG8E8_V, 0x0, 0x8 }, // 4933
  { PseudoVLSEG8E8_V_M1_MASK, VLSEG8E8_V, 0x0, 0x8 }, // 4934
  { PseudoVLSEG8E8_V_MF8, VLSEG8E8_V, 0x5, 0x8 }, // 4935
  { PseudoVLSEG8E8_V_MF8_MASK, VLSEG8E8_V, 0x5, 0x8 }, // 4936
  { PseudoVLSEG8E8_V_MF4, VLSEG8E8_V, 0x6, 0x8 }, // 4937
  { PseudoVLSEG8E8_V_MF4_MASK, VLSEG8E8_V, 0x6, 0x8 }, // 4938
  { PseudoVLSEG8E8_V_MF2, VLSEG8E8_V, 0x7, 0x8 }, // 4939
  { PseudoVLSEG8E8_V_MF2_MASK, VLSEG8E8_V, 0x7, 0x8 }, // 4940
  { PseudoVLSSEG2E16_V_M1, VLSSEG2E16_V, 0x0, 0x10 }, // 4941
  { PseudoVLSSEG2E16_V_M1_MASK, VLSSEG2E16_V, 0x0, 0x10 }, // 4942
  { PseudoVLSSEG2E16_V_M2, VLSSEG2E16_V, 0x1, 0x10 }, // 4943
  { PseudoVLSSEG2E16_V_M2_MASK, VLSSEG2E16_V, 0x1, 0x10 }, // 4944
  { PseudoVLSSEG2E16_V_M4, VLSSEG2E16_V, 0x2, 0x10 }, // 4945
  { PseudoVLSSEG2E16_V_M4_MASK, VLSSEG2E16_V, 0x2, 0x10 }, // 4946
  { PseudoVLSSEG2E16_V_MF4, VLSSEG2E16_V, 0x6, 0x10 }, // 4947
  { PseudoVLSSEG2E16_V_MF4_MASK, VLSSEG2E16_V, 0x6, 0x10 }, // 4948
  { PseudoVLSSEG2E16_V_MF2, VLSSEG2E16_V, 0x7, 0x10 }, // 4949
  { PseudoVLSSEG2E16_V_MF2_MASK, VLSSEG2E16_V, 0x7, 0x10 }, // 4950
  { PseudoVLSSEG2E32_V_M1, VLSSEG2E32_V, 0x0, 0x20 }, // 4951
  { PseudoVLSSEG2E32_V_M1_MASK, VLSSEG2E32_V, 0x0, 0x20 }, // 4952
  { PseudoVLSSEG2E32_V_M2, VLSSEG2E32_V, 0x1, 0x20 }, // 4953
  { PseudoVLSSEG2E32_V_M2_MASK, VLSSEG2E32_V, 0x1, 0x20 }, // 4954
  { PseudoVLSSEG2E32_V_M4, VLSSEG2E32_V, 0x2, 0x20 }, // 4955
  { PseudoVLSSEG2E32_V_M4_MASK, VLSSEG2E32_V, 0x2, 0x20 }, // 4956
  { PseudoVLSSEG2E32_V_MF2, VLSSEG2E32_V, 0x7, 0x20 }, // 4957
  { PseudoVLSSEG2E32_V_MF2_MASK, VLSSEG2E32_V, 0x7, 0x20 }, // 4958
  { PseudoVLSSEG2E64_V_M1, VLSSEG2E64_V, 0x0, 0x40 }, // 4959
  { PseudoVLSSEG2E64_V_M1_MASK, VLSSEG2E64_V, 0x0, 0x40 }, // 4960
  { PseudoVLSSEG2E64_V_M2, VLSSEG2E64_V, 0x1, 0x40 }, // 4961
  { PseudoVLSSEG2E64_V_M2_MASK, VLSSEG2E64_V, 0x1, 0x40 }, // 4962
  { PseudoVLSSEG2E64_V_M4, VLSSEG2E64_V, 0x2, 0x40 }, // 4963
  { PseudoVLSSEG2E64_V_M4_MASK, VLSSEG2E64_V, 0x2, 0x40 }, // 4964
  { PseudoVLSSEG2E8_V_M1, VLSSEG2E8_V, 0x0, 0x8 }, // 4965
  { PseudoVLSSEG2E8_V_M1_MASK, VLSSEG2E8_V, 0x0, 0x8 }, // 4966
  { PseudoVLSSEG2E8_V_M2, VLSSEG2E8_V, 0x1, 0x8 }, // 4967
  { PseudoVLSSEG2E8_V_M2_MASK, VLSSEG2E8_V, 0x1, 0x8 }, // 4968
  { PseudoVLSSEG2E8_V_M4, VLSSEG2E8_V, 0x2, 0x8 }, // 4969
  { PseudoVLSSEG2E8_V_M4_MASK, VLSSEG2E8_V, 0x2, 0x8 }, // 4970
  { PseudoVLSSEG2E8_V_MF8, VLSSEG2E8_V, 0x5, 0x8 }, // 4971
  { PseudoVLSSEG2E8_V_MF8_MASK, VLSSEG2E8_V, 0x5, 0x8 }, // 4972
  { PseudoVLSSEG2E8_V_MF4, VLSSEG2E8_V, 0x6, 0x8 }, // 4973
  { PseudoVLSSEG2E8_V_MF4_MASK, VLSSEG2E8_V, 0x6, 0x8 }, // 4974
  { PseudoVLSSEG2E8_V_MF2, VLSSEG2E8_V, 0x7, 0x8 }, // 4975
  { PseudoVLSSEG2E8_V_MF2_MASK, VLSSEG2E8_V, 0x7, 0x8 }, // 4976
  { PseudoVLSSEG3E16_V_M1, VLSSEG3E16_V, 0x0, 0x10 }, // 4977
  { PseudoVLSSEG3E16_V_M1_MASK, VLSSEG3E16_V, 0x0, 0x10 }, // 4978
  { PseudoVLSSEG3E16_V_M2, VLSSEG3E16_V, 0x1, 0x10 }, // 4979
  { PseudoVLSSEG3E16_V_M2_MASK, VLSSEG3E16_V, 0x1, 0x10 }, // 4980
  { PseudoVLSSEG3E16_V_MF4, VLSSEG3E16_V, 0x6, 0x10 }, // 4981
  { PseudoVLSSEG3E16_V_MF4_MASK, VLSSEG3E16_V, 0x6, 0x10 }, // 4982
  { PseudoVLSSEG3E16_V_MF2, VLSSEG3E16_V, 0x7, 0x10 }, // 4983
  { PseudoVLSSEG3E16_V_MF2_MASK, VLSSEG3E16_V, 0x7, 0x10 }, // 4984
  { PseudoVLSSEG3E32_V_M1, VLSSEG3E32_V, 0x0, 0x20 }, // 4985
  { PseudoVLSSEG3E32_V_M1_MASK, VLSSEG3E32_V, 0x0, 0x20 }, // 4986
  { PseudoVLSSEG3E32_V_M2, VLSSEG3E32_V, 0x1, 0x20 }, // 4987
  { PseudoVLSSEG3E32_V_M2_MASK, VLSSEG3E32_V, 0x1, 0x20 }, // 4988
  { PseudoVLSSEG3E32_V_MF2, VLSSEG3E32_V, 0x7, 0x20 }, // 4989
  { PseudoVLSSEG3E32_V_MF2_MASK, VLSSEG3E32_V, 0x7, 0x20 }, // 4990
  { PseudoVLSSEG3E64_V_M1, VLSSEG3E64_V, 0x0, 0x40 }, // 4991
  { PseudoVLSSEG3E64_V_M1_MASK, VLSSEG3E64_V, 0x0, 0x40 }, // 4992
  { PseudoVLSSEG3E64_V_M2, VLSSEG3E64_V, 0x1, 0x40 }, // 4993
  { PseudoVLSSEG3E64_V_M2_MASK, VLSSEG3E64_V, 0x1, 0x40 }, // 4994
  { PseudoVLSSEG3E8_V_M1, VLSSEG3E8_V, 0x0, 0x8 }, // 4995
  { PseudoVLSSEG3E8_V_M1_MASK, VLSSEG3E8_V, 0x0, 0x8 }, // 4996
  { PseudoVLSSEG3E8_V_M2, VLSSEG3E8_V, 0x1, 0x8 }, // 4997
  { PseudoVLSSEG3E8_V_M2_MASK, VLSSEG3E8_V, 0x1, 0x8 }, // 4998
  { PseudoVLSSEG3E8_V_MF8, VLSSEG3E8_V, 0x5, 0x8 }, // 4999
  { PseudoVLSSEG3E8_V_MF8_MASK, VLSSEG3E8_V, 0x5, 0x8 }, // 5000
  { PseudoVLSSEG3E8_V_MF4, VLSSEG3E8_V, 0x6, 0x8 }, // 5001
  { PseudoVLSSEG3E8_V_MF4_MASK, VLSSEG3E8_V, 0x6, 0x8 }, // 5002
  { PseudoVLSSEG3E8_V_MF2, VLSSEG3E8_V, 0x7, 0x8 }, // 5003
  { PseudoVLSSEG3E8_V_MF2_MASK, VLSSEG3E8_V, 0x7, 0x8 }, // 5004
  { PseudoVLSSEG4E16_V_M1, VLSSEG4E16_V, 0x0, 0x10 }, // 5005
  { PseudoVLSSEG4E16_V_M1_MASK, VLSSEG4E16_V, 0x0, 0x10 }, // 5006
  { PseudoVLSSEG4E16_V_M2, VLSSEG4E16_V, 0x1, 0x10 }, // 5007
  { PseudoVLSSEG4E16_V_M2_MASK, VLSSEG4E16_V, 0x1, 0x10 }, // 5008
  { PseudoVLSSEG4E16_V_MF4, VLSSEG4E16_V, 0x6, 0x10 }, // 5009
  { PseudoVLSSEG4E16_V_MF4_MASK, VLSSEG4E16_V, 0x6, 0x10 }, // 5010
  { PseudoVLSSEG4E16_V_MF2, VLSSEG4E16_V, 0x7, 0x10 }, // 5011
  { PseudoVLSSEG4E16_V_MF2_MASK, VLSSEG4E16_V, 0x7, 0x10 }, // 5012
  { PseudoVLSSEG4E32_V_M1, VLSSEG4E32_V, 0x0, 0x20 }, // 5013
  { PseudoVLSSEG4E32_V_M1_MASK, VLSSEG4E32_V, 0x0, 0x20 }, // 5014
  { PseudoVLSSEG4E32_V_M2, VLSSEG4E32_V, 0x1, 0x20 }, // 5015
  { PseudoVLSSEG4E32_V_M2_MASK, VLSSEG4E32_V, 0x1, 0x20 }, // 5016
  { PseudoVLSSEG4E32_V_MF2, VLSSEG4E32_V, 0x7, 0x20 }, // 5017
  { PseudoVLSSEG4E32_V_MF2_MASK, VLSSEG4E32_V, 0x7, 0x20 }, // 5018
  { PseudoVLSSEG4E64_V_M1, VLSSEG4E64_V, 0x0, 0x40 }, // 5019
  { PseudoVLSSEG4E64_V_M1_MASK, VLSSEG4E64_V, 0x0, 0x40 }, // 5020
  { PseudoVLSSEG4E64_V_M2, VLSSEG4E64_V, 0x1, 0x40 }, // 5021
  { PseudoVLSSEG4E64_V_M2_MASK, VLSSEG4E64_V, 0x1, 0x40 }, // 5022
  { PseudoVLSSEG4E8_V_M1, VLSSEG4E8_V, 0x0, 0x8 }, // 5023
  { PseudoVLSSEG4E8_V_M1_MASK, VLSSEG4E8_V, 0x0, 0x8 }, // 5024
  { PseudoVLSSEG4E8_V_M2, VLSSEG4E8_V, 0x1, 0x8 }, // 5025
  { PseudoVLSSEG4E8_V_M2_MASK, VLSSEG4E8_V, 0x1, 0x8 }, // 5026
  { PseudoVLSSEG4E8_V_MF8, VLSSEG4E8_V, 0x5, 0x8 }, // 5027
  { PseudoVLSSEG4E8_V_MF8_MASK, VLSSEG4E8_V, 0x5, 0x8 }, // 5028
  { PseudoVLSSEG4E8_V_MF4, VLSSEG4E8_V, 0x6, 0x8 }, // 5029
  { PseudoVLSSEG4E8_V_MF4_MASK, VLSSEG4E8_V, 0x6, 0x8 }, // 5030
  { PseudoVLSSEG4E8_V_MF2, VLSSEG4E8_V, 0x7, 0x8 }, // 5031
  { PseudoVLSSEG4E8_V_MF2_MASK, VLSSEG4E8_V, 0x7, 0x8 }, // 5032
  { PseudoVLSSEG5E16_V_M1, VLSSEG5E16_V, 0x0, 0x10 }, // 5033
  { PseudoVLSSEG5E16_V_M1_MASK, VLSSEG5E16_V, 0x0, 0x10 }, // 5034
  { PseudoVLSSEG5E16_V_MF4, VLSSEG5E16_V, 0x6, 0x10 }, // 5035
  { PseudoVLSSEG5E16_V_MF4_MASK, VLSSEG5E16_V, 0x6, 0x10 }, // 5036
  { PseudoVLSSEG5E16_V_MF2, VLSSEG5E16_V, 0x7, 0x10 }, // 5037
  { PseudoVLSSEG5E16_V_MF2_MASK, VLSSEG5E16_V, 0x7, 0x10 }, // 5038
  { PseudoVLSSEG5E32_V_M1, VLSSEG5E32_V, 0x0, 0x20 }, // 5039
  { PseudoVLSSEG5E32_V_M1_MASK, VLSSEG5E32_V, 0x0, 0x20 }, // 5040
  { PseudoVLSSEG5E32_V_MF2, VLSSEG5E32_V, 0x7, 0x20 }, // 5041
  { PseudoVLSSEG5E32_V_MF2_MASK, VLSSEG5E32_V, 0x7, 0x20 }, // 5042
  { PseudoVLSSEG5E64_V_M1, VLSSEG5E64_V, 0x0, 0x40 }, // 5043
  { PseudoVLSSEG5E64_V_M1_MASK, VLSSEG5E64_V, 0x0, 0x40 }, // 5044
  { PseudoVLSSEG5E8_V_M1, VLSSEG5E8_V, 0x0, 0x8 }, // 5045
  { PseudoVLSSEG5E8_V_M1_MASK, VLSSEG5E8_V, 0x0, 0x8 }, // 5046
  { PseudoVLSSEG5E8_V_MF8, VLSSEG5E8_V, 0x5, 0x8 }, // 5047
  { PseudoVLSSEG5E8_V_MF8_MASK, VLSSEG5E8_V, 0x5, 0x8 }, // 5048
  { PseudoVLSSEG5E8_V_MF4, VLSSEG5E8_V, 0x6, 0x8 }, // 5049
  { PseudoVLSSEG5E8_V_MF4_MASK, VLSSEG5E8_V, 0x6, 0x8 }, // 5050
  { PseudoVLSSEG5E8_V_MF2, VLSSEG5E8_V, 0x7, 0x8 }, // 5051
  { PseudoVLSSEG5E8_V_MF2_MASK, VLSSEG5E8_V, 0x7, 0x8 }, // 5052
  { PseudoVLSSEG6E16_V_M1, VLSSEG6E16_V, 0x0, 0x10 }, // 5053
  { PseudoVLSSEG6E16_V_M1_MASK, VLSSEG6E16_V, 0x0, 0x10 }, // 5054
  { PseudoVLSSEG6E16_V_MF4, VLSSEG6E16_V, 0x6, 0x10 }, // 5055
  { PseudoVLSSEG6E16_V_MF4_MASK, VLSSEG6E16_V, 0x6, 0x10 }, // 5056
  { PseudoVLSSEG6E16_V_MF2, VLSSEG6E16_V, 0x7, 0x10 }, // 5057
  { PseudoVLSSEG6E16_V_MF2_MASK, VLSSEG6E16_V, 0x7, 0x10 }, // 5058
  { PseudoVLSSEG6E32_V_M1, VLSSEG6E32_V, 0x0, 0x20 }, // 5059
  { PseudoVLSSEG6E32_V_M1_MASK, VLSSEG6E32_V, 0x0, 0x20 }, // 5060
  { PseudoVLSSEG6E32_V_MF2, VLSSEG6E32_V, 0x7, 0x20 }, // 5061
  { PseudoVLSSEG6E32_V_MF2_MASK, VLSSEG6E32_V, 0x7, 0x20 }, // 5062
  { PseudoVLSSEG6E64_V_M1, VLSSEG6E64_V, 0x0, 0x40 }, // 5063
  { PseudoVLSSEG6E64_V_M1_MASK, VLSSEG6E64_V, 0x0, 0x40 }, // 5064
  { PseudoVLSSEG6E8_V_M1, VLSSEG6E8_V, 0x0, 0x8 }, // 5065
  { PseudoVLSSEG6E8_V_M1_MASK, VLSSEG6E8_V, 0x0, 0x8 }, // 5066
  { PseudoVLSSEG6E8_V_MF8, VLSSEG6E8_V, 0x5, 0x8 }, // 5067
  { PseudoVLSSEG6E8_V_MF8_MASK, VLSSEG6E8_V, 0x5, 0x8 }, // 5068
  { PseudoVLSSEG6E8_V_MF4, VLSSEG6E8_V, 0x6, 0x8 }, // 5069
  { PseudoVLSSEG6E8_V_MF4_MASK, VLSSEG6E8_V, 0x6, 0x8 }, // 5070
  { PseudoVLSSEG6E8_V_MF2, VLSSEG6E8_V, 0x7, 0x8 }, // 5071
  { PseudoVLSSEG6E8_V_MF2_MASK, VLSSEG6E8_V, 0x7, 0x8 }, // 5072
  { PseudoVLSSEG7E16_V_M1, VLSSEG7E16_V, 0x0, 0x10 }, // 5073
  { PseudoVLSSEG7E16_V_M1_MASK, VLSSEG7E16_V, 0x0, 0x10 }, // 5074
  { PseudoVLSSEG7E16_V_MF4, VLSSEG7E16_V, 0x6, 0x10 }, // 5075
  { PseudoVLSSEG7E16_V_MF4_MASK, VLSSEG7E16_V, 0x6, 0x10 }, // 5076
  { PseudoVLSSEG7E16_V_MF2, VLSSEG7E16_V, 0x7, 0x10 }, // 5077
  { PseudoVLSSEG7E16_V_MF2_MASK, VLSSEG7E16_V, 0x7, 0x10 }, // 5078
  { PseudoVLSSEG7E32_V_M1, VLSSEG7E32_V, 0x0, 0x20 }, // 5079
  { PseudoVLSSEG7E32_V_M1_MASK, VLSSEG7E32_V, 0x0, 0x20 }, // 5080
  { PseudoVLSSEG7E32_V_MF2, VLSSEG7E32_V, 0x7, 0x20 }, // 5081
  { PseudoVLSSEG7E32_V_MF2_MASK, VLSSEG7E32_V, 0x7, 0x20 }, // 5082
  { PseudoVLSSEG7E64_V_M1, VLSSEG7E64_V, 0x0, 0x40 }, // 5083
  { PseudoVLSSEG7E64_V_M1_MASK, VLSSEG7E64_V, 0x0, 0x40 }, // 5084
  { PseudoVLSSEG7E8_V_M1, VLSSEG7E8_V, 0x0, 0x8 }, // 5085
  { PseudoVLSSEG7E8_V_M1_MASK, VLSSEG7E8_V, 0x0, 0x8 }, // 5086
  { PseudoVLSSEG7E8_V_MF8, VLSSEG7E8_V, 0x5, 0x8 }, // 5087
  { PseudoVLSSEG7E8_V_MF8_MASK, VLSSEG7E8_V, 0x5, 0x8 }, // 5088
  { PseudoVLSSEG7E8_V_MF4, VLSSEG7E8_V, 0x6, 0x8 }, // 5089
  { PseudoVLSSEG7E8_V_MF4_MASK, VLSSEG7E8_V, 0x6, 0x8 }, // 5090
  { PseudoVLSSEG7E8_V_MF2, VLSSEG7E8_V, 0x7, 0x8 }, // 5091
  { PseudoVLSSEG7E8_V_MF2_MASK, VLSSEG7E8_V, 0x7, 0x8 }, // 5092
  { PseudoVLSSEG8E16_V_M1, VLSSEG8E16_V, 0x0, 0x10 }, // 5093
  { PseudoVLSSEG8E16_V_M1_MASK, VLSSEG8E16_V, 0x0, 0x10 }, // 5094
  { PseudoVLSSEG8E16_V_MF4, VLSSEG8E16_V, 0x6, 0x10 }, // 5095
  { PseudoVLSSEG8E16_V_MF4_MASK, VLSSEG8E16_V, 0x6, 0x10 }, // 5096
  { PseudoVLSSEG8E16_V_MF2, VLSSEG8E16_V, 0x7, 0x10 }, // 5097
  { PseudoVLSSEG8E16_V_MF2_MASK, VLSSEG8E16_V, 0x7, 0x10 }, // 5098
  { PseudoVLSSEG8E32_V_M1, VLSSEG8E32_V, 0x0, 0x20 }, // 5099
  { PseudoVLSSEG8E32_V_M1_MASK, VLSSEG8E32_V, 0x0, 0x20 }, // 5100
  { PseudoVLSSEG8E32_V_MF2, VLSSEG8E32_V, 0x7, 0x20 }, // 5101
  { PseudoVLSSEG8E32_V_MF2_MASK, VLSSEG8E32_V, 0x7, 0x20 }, // 5102
  { PseudoVLSSEG8E64_V_M1, VLSSEG8E64_V, 0x0, 0x40 }, // 5103
  { PseudoVLSSEG8E64_V_M1_MASK, VLSSEG8E64_V, 0x0, 0x40 }, // 5104
  { PseudoVLSSEG8E8_V_M1, VLSSEG8E8_V, 0x0, 0x8 }, // 5105
  { PseudoVLSSEG8E8_V_M1_MASK, VLSSEG8E8_V, 0x0, 0x8 }, // 5106
  { PseudoVLSSEG8E8_V_MF8, VLSSEG8E8_V, 0x5, 0x8 }, // 5107
  { PseudoVLSSEG8E8_V_MF8_MASK, VLSSEG8E8_V, 0x5, 0x8 }, // 5108
  { PseudoVLSSEG8E8_V_MF4, VLSSEG8E8_V, 0x6, 0x8 }, // 5109
  { PseudoVLSSEG8E8_V_MF4_MASK, VLSSEG8E8_V, 0x6, 0x8 }, // 5110
  { PseudoVLSSEG8E8_V_MF2, VLSSEG8E8_V, 0x7, 0x8 }, // 5111
  { PseudoVLSSEG8E8_V_MF2_MASK, VLSSEG8E8_V, 0x7, 0x8 }, // 5112
  { PseudoVLUXEI16_V_M1_M1, VLUXEI16_V, 0x0, 0x0 }, // 5113
  { PseudoVLUXEI16_V_M1_M1_MASK, VLUXEI16_V, 0x0, 0x0 }, // 5114
  { PseudoVLUXEI16_V_M2_M1, VLUXEI16_V, 0x0, 0x0 }, // 5115
  { PseudoVLUXEI16_V_M2_M1_MASK, VLUXEI16_V, 0x0, 0x0 }, // 5116
  { PseudoVLUXEI16_V_MF2_M1, VLUXEI16_V, 0x0, 0x0 }, // 5117
  { PseudoVLUXEI16_V_MF2_M1_MASK, VLUXEI16_V, 0x0, 0x0 }, // 5118
  { PseudoVLUXEI16_V_MF4_M1, VLUXEI16_V, 0x0, 0x0 }, // 5119
  { PseudoVLUXEI16_V_MF4_M1_MASK, VLUXEI16_V, 0x0, 0x0 }, // 5120
  { PseudoVLUXEI16_V_M1_M2, VLUXEI16_V, 0x1, 0x0 }, // 5121
  { PseudoVLUXEI16_V_M1_M2_MASK, VLUXEI16_V, 0x1, 0x0 }, // 5122
  { PseudoVLUXEI16_V_M2_M2, VLUXEI16_V, 0x1, 0x0 }, // 5123
  { PseudoVLUXEI16_V_M2_M2_MASK, VLUXEI16_V, 0x1, 0x0 }, // 5124
  { PseudoVLUXEI16_V_M4_M2, VLUXEI16_V, 0x1, 0x0 }, // 5125
  { PseudoVLUXEI16_V_M4_M2_MASK, VLUXEI16_V, 0x1, 0x0 }, // 5126
  { PseudoVLUXEI16_V_MF2_M2, VLUXEI16_V, 0x1, 0x0 }, // 5127
  { PseudoVLUXEI16_V_MF2_M2_MASK, VLUXEI16_V, 0x1, 0x0 }, // 5128
  { PseudoVLUXEI16_V_M1_M4, VLUXEI16_V, 0x2, 0x0 }, // 5129
  { PseudoVLUXEI16_V_M1_M4_MASK, VLUXEI16_V, 0x2, 0x0 }, // 5130
  { PseudoVLUXEI16_V_M2_M4, VLUXEI16_V, 0x2, 0x0 }, // 5131
  { PseudoVLUXEI16_V_M2_M4_MASK, VLUXEI16_V, 0x2, 0x0 }, // 5132
  { PseudoVLUXEI16_V_M4_M4, VLUXEI16_V, 0x2, 0x0 }, // 5133
  { PseudoVLUXEI16_V_M4_M4_MASK, VLUXEI16_V, 0x2, 0x0 }, // 5134
  { PseudoVLUXEI16_V_M8_M4, VLUXEI16_V, 0x2, 0x0 }, // 5135
  { PseudoVLUXEI16_V_M8_M4_MASK, VLUXEI16_V, 0x2, 0x0 }, // 5136
  { PseudoVLUXEI16_V_M2_M8, VLUXEI16_V, 0x3, 0x0 }, // 5137
  { PseudoVLUXEI16_V_M2_M8_MASK, VLUXEI16_V, 0x3, 0x0 }, // 5138
  { PseudoVLUXEI16_V_M4_M8, VLUXEI16_V, 0x3, 0x0 }, // 5139
  { PseudoVLUXEI16_V_M4_M8_MASK, VLUXEI16_V, 0x3, 0x0 }, // 5140
  { PseudoVLUXEI16_V_M8_M8, VLUXEI16_V, 0x3, 0x0 }, // 5141
  { PseudoVLUXEI16_V_M8_M8_MASK, VLUXEI16_V, 0x3, 0x0 }, // 5142
  { PseudoVLUXEI16_V_MF4_MF8, VLUXEI16_V, 0x5, 0x0 }, // 5143
  { PseudoVLUXEI16_V_MF4_MF8_MASK, VLUXEI16_V, 0x5, 0x0 }, // 5144
  { PseudoVLUXEI16_V_MF2_MF4, VLUXEI16_V, 0x6, 0x0 }, // 5145
  { PseudoVLUXEI16_V_MF2_MF4_MASK, VLUXEI16_V, 0x6, 0x0 }, // 5146
  { PseudoVLUXEI16_V_MF4_MF4, VLUXEI16_V, 0x6, 0x0 }, // 5147
  { PseudoVLUXEI16_V_MF4_MF4_MASK, VLUXEI16_V, 0x6, 0x0 }, // 5148
  { PseudoVLUXEI16_V_M1_MF2, VLUXEI16_V, 0x7, 0x0 }, // 5149
  { PseudoVLUXEI16_V_M1_MF2_MASK, VLUXEI16_V, 0x7, 0x0 }, // 5150
  { PseudoVLUXEI16_V_MF2_MF2, VLUXEI16_V, 0x7, 0x0 }, // 5151
  { PseudoVLUXEI16_V_MF2_MF2_MASK, VLUXEI16_V, 0x7, 0x0 }, // 5152
  { PseudoVLUXEI16_V_MF4_MF2, VLUXEI16_V, 0x7, 0x0 }, // 5153
  { PseudoVLUXEI16_V_MF4_MF2_MASK, VLUXEI16_V, 0x7, 0x0 }, // 5154
  { PseudoVLUXEI32_V_M1_M1, VLUXEI32_V, 0x0, 0x0 }, // 5155
  { PseudoVLUXEI32_V_M1_M1_MASK, VLUXEI32_V, 0x0, 0x0 }, // 5156
  { PseudoVLUXEI32_V_M2_M1, VLUXEI32_V, 0x0, 0x0 }, // 5157
  { PseudoVLUXEI32_V_M2_M1_MASK, VLUXEI32_V, 0x0, 0x0 }, // 5158
  { PseudoVLUXEI32_V_M4_M1, VLUXEI32_V, 0x0, 0x0 }, // 5159
  { PseudoVLUXEI32_V_M4_M1_MASK, VLUXEI32_V, 0x0, 0x0 }, // 5160
  { PseudoVLUXEI32_V_MF2_M1, VLUXEI32_V, 0x0, 0x0 }, // 5161
  { PseudoVLUXEI32_V_MF2_M1_MASK, VLUXEI32_V, 0x0, 0x0 }, // 5162
  { PseudoVLUXEI32_V_M1_M2, VLUXEI32_V, 0x1, 0x0 }, // 5163
  { PseudoVLUXEI32_V_M1_M2_MASK, VLUXEI32_V, 0x1, 0x0 }, // 5164
  { PseudoVLUXEI32_V_M2_M2, VLUXEI32_V, 0x1, 0x0 }, // 5165
  { PseudoVLUXEI32_V_M2_M2_MASK, VLUXEI32_V, 0x1, 0x0 }, // 5166
  { PseudoVLUXEI32_V_M4_M2, VLUXEI32_V, 0x1, 0x0 }, // 5167
  { PseudoVLUXEI32_V_M4_M2_MASK, VLUXEI32_V, 0x1, 0x0 }, // 5168
  { PseudoVLUXEI32_V_M8_M2, VLUXEI32_V, 0x1, 0x0 }, // 5169
  { PseudoVLUXEI32_V_M8_M2_MASK, VLUXEI32_V, 0x1, 0x0 }, // 5170
  { PseudoVLUXEI32_V_M2_M4, VLUXEI32_V, 0x2, 0x0 }, // 5171
  { PseudoVLUXEI32_V_M2_M4_MASK, VLUXEI32_V, 0x2, 0x0 }, // 5172
  { PseudoVLUXEI32_V_M4_M4, VLUXEI32_V, 0x2, 0x0 }, // 5173
  { PseudoVLUXEI32_V_M4_M4_MASK, VLUXEI32_V, 0x2, 0x0 }, // 5174
  { PseudoVLUXEI32_V_M8_M4, VLUXEI32_V, 0x2, 0x0 }, // 5175
  { PseudoVLUXEI32_V_M8_M4_MASK, VLUXEI32_V, 0x2, 0x0 }, // 5176
  { PseudoVLUXEI32_V_M4_M8, VLUXEI32_V, 0x3, 0x0 }, // 5177
  { PseudoVLUXEI32_V_M4_M8_MASK, VLUXEI32_V, 0x3, 0x0 }, // 5178
  { PseudoVLUXEI32_V_M8_M8, VLUXEI32_V, 0x3, 0x0 }, // 5179
  { PseudoVLUXEI32_V_M8_M8_MASK, VLUXEI32_V, 0x3, 0x0 }, // 5180
  { PseudoVLUXEI32_V_MF2_MF8, VLUXEI32_V, 0x5, 0x0 }, // 5181
  { PseudoVLUXEI32_V_MF2_MF8_MASK, VLUXEI32_V, 0x5, 0x0 }, // 5182
  { PseudoVLUXEI32_V_M1_MF4, VLUXEI32_V, 0x6, 0x0 }, // 5183
  { PseudoVLUXEI32_V_M1_MF4_MASK, VLUXEI32_V, 0x6, 0x0 }, // 5184
  { PseudoVLUXEI32_V_MF2_MF4, VLUXEI32_V, 0x6, 0x0 }, // 5185
  { PseudoVLUXEI32_V_MF2_MF4_MASK, VLUXEI32_V, 0x6, 0x0 }, // 5186
  { PseudoVLUXEI32_V_M1_MF2, VLUXEI32_V, 0x7, 0x0 }, // 5187
  { PseudoVLUXEI32_V_M1_MF2_MASK, VLUXEI32_V, 0x7, 0x0 }, // 5188
  { PseudoVLUXEI32_V_M2_MF2, VLUXEI32_V, 0x7, 0x0 }, // 5189
  { PseudoVLUXEI32_V_M2_MF2_MASK, VLUXEI32_V, 0x7, 0x0 }, // 5190
  { PseudoVLUXEI32_V_MF2_MF2, VLUXEI32_V, 0x7, 0x0 }, // 5191
  { PseudoVLUXEI32_V_MF2_MF2_MASK, VLUXEI32_V, 0x7, 0x0 }, // 5192
  { PseudoVLUXEI64_V_M1_M1, VLUXEI64_V, 0x0, 0x0 }, // 5193
  { PseudoVLUXEI64_V_M1_M1_MASK, VLUXEI64_V, 0x0, 0x0 }, // 5194
  { PseudoVLUXEI64_V_M2_M1, VLUXEI64_V, 0x0, 0x0 }, // 5195
  { PseudoVLUXEI64_V_M2_M1_MASK, VLUXEI64_V, 0x0, 0x0 }, // 5196
  { PseudoVLUXEI64_V_M4_M1, VLUXEI64_V, 0x0, 0x0 }, // 5197
  { PseudoVLUXEI64_V_M4_M1_MASK, VLUXEI64_V, 0x0, 0x0 }, // 5198
  { PseudoVLUXEI64_V_M8_M1, VLUXEI64_V, 0x0, 0x0 }, // 5199
  { PseudoVLUXEI64_V_M8_M1_MASK, VLUXEI64_V, 0x0, 0x0 }, // 5200
  { PseudoVLUXEI64_V_M2_M2, VLUXEI64_V, 0x1, 0x0 }, // 5201
  { PseudoVLUXEI64_V_M2_M2_MASK, VLUXEI64_V, 0x1, 0x0 }, // 5202
  { PseudoVLUXEI64_V_M4_M2, VLUXEI64_V, 0x1, 0x0 }, // 5203
  { PseudoVLUXEI64_V_M4_M2_MASK, VLUXEI64_V, 0x1, 0x0 }, // 5204
  { PseudoVLUXEI64_V_M8_M2, VLUXEI64_V, 0x1, 0x0 }, // 5205
  { PseudoVLUXEI64_V_M8_M2_MASK, VLUXEI64_V, 0x1, 0x0 }, // 5206
  { PseudoVLUXEI64_V_M4_M4, VLUXEI64_V, 0x2, 0x0 }, // 5207
  { PseudoVLUXEI64_V_M4_M4_MASK, VLUXEI64_V, 0x2, 0x0 }, // 5208
  { PseudoVLUXEI64_V_M8_M4, VLUXEI64_V, 0x2, 0x0 }, // 5209
  { PseudoVLUXEI64_V_M8_M4_MASK, VLUXEI64_V, 0x2, 0x0 }, // 5210
  { PseudoVLUXEI64_V_M8_M8, VLUXEI64_V, 0x3, 0x0 }, // 5211
  { PseudoVLUXEI64_V_M8_M8_MASK, VLUXEI64_V, 0x3, 0x0 }, // 5212
  { PseudoVLUXEI64_V_M1_MF8, VLUXEI64_V, 0x5, 0x0 }, // 5213
  { PseudoVLUXEI64_V_M1_MF8_MASK, VLUXEI64_V, 0x5, 0x0 }, // 5214
  { PseudoVLUXEI64_V_M1_MF4, VLUXEI64_V, 0x6, 0x0 }, // 5215
  { PseudoVLUXEI64_V_M1_MF4_MASK, VLUXEI64_V, 0x6, 0x0 }, // 5216
  { PseudoVLUXEI64_V_M2_MF4, VLUXEI64_V, 0x6, 0x0 }, // 5217
  { PseudoVLUXEI64_V_M2_MF4_MASK, VLUXEI64_V, 0x6, 0x0 }, // 5218
  { PseudoVLUXEI64_V_M1_MF2, VLUXEI64_V, 0x7, 0x0 }, // 5219
  { PseudoVLUXEI64_V_M1_MF2_MASK, VLUXEI64_V, 0x7, 0x0 }, // 5220
  { PseudoVLUXEI64_V_M2_MF2, VLUXEI64_V, 0x7, 0x0 }, // 5221
  { PseudoVLUXEI64_V_M2_MF2_MASK, VLUXEI64_V, 0x7, 0x0 }, // 5222
  { PseudoVLUXEI64_V_M4_MF2, VLUXEI64_V, 0x7, 0x0 }, // 5223
  { PseudoVLUXEI64_V_M4_MF2_MASK, VLUXEI64_V, 0x7, 0x0 }, // 5224
  { PseudoVLUXEI8_V_M1_M1, VLUXEI8_V, 0x0, 0x0 }, // 5225
  { PseudoVLUXEI8_V_M1_M1_MASK, VLUXEI8_V, 0x0, 0x0 }, // 5226
  { PseudoVLUXEI8_V_MF2_M1, VLUXEI8_V, 0x0, 0x0 }, // 5227
  { PseudoVLUXEI8_V_MF2_M1_MASK, VLUXEI8_V, 0x0, 0x0 }, // 5228
  { PseudoVLUXEI8_V_MF4_M1, VLUXEI8_V, 0x0, 0x0 }, // 5229
  { PseudoVLUXEI8_V_MF4_M1_MASK, VLUXEI8_V, 0x0, 0x0 }, // 5230
  { PseudoVLUXEI8_V_MF8_M1, VLUXEI8_V, 0x0, 0x0 }, // 5231
  { PseudoVLUXEI8_V_MF8_M1_MASK, VLUXEI8_V, 0x0, 0x0 }, // 5232
  { PseudoVLUXEI8_V_M1_M2, VLUXEI8_V, 0x1, 0x0 }, // 5233
  { PseudoVLUXEI8_V_M1_M2_MASK, VLUXEI8_V, 0x1, 0x0 }, // 5234
  { PseudoVLUXEI8_V_M2_M2, VLUXEI8_V, 0x1, 0x0 }, // 5235
  { PseudoVLUXEI8_V_M2_M2_MASK, VLUXEI8_V, 0x1, 0x0 }, // 5236
  { PseudoVLUXEI8_V_MF2_M2, VLUXEI8_V, 0x1, 0x0 }, // 5237
  { PseudoVLUXEI8_V_MF2_M2_MASK, VLUXEI8_V, 0x1, 0x0 }, // 5238
  { PseudoVLUXEI8_V_MF4_M2, VLUXEI8_V, 0x1, 0x0 }, // 5239
  { PseudoVLUXEI8_V_MF4_M2_MASK, VLUXEI8_V, 0x1, 0x0 }, // 5240
  { PseudoVLUXEI8_V_M1_M4, VLUXEI8_V, 0x2, 0x0 }, // 5241
  { PseudoVLUXEI8_V_M1_M4_MASK, VLUXEI8_V, 0x2, 0x0 }, // 5242
  { PseudoVLUXEI8_V_M2_M4, VLUXEI8_V, 0x2, 0x0 }, // 5243
  { PseudoVLUXEI8_V_M2_M4_MASK, VLUXEI8_V, 0x2, 0x0 }, // 5244
  { PseudoVLUXEI8_V_M4_M4, VLUXEI8_V, 0x2, 0x0 }, // 5245
  { PseudoVLUXEI8_V_M4_M4_MASK, VLUXEI8_V, 0x2, 0x0 }, // 5246
  { PseudoVLUXEI8_V_MF2_M4, VLUXEI8_V, 0x2, 0x0 }, // 5247
  { PseudoVLUXEI8_V_MF2_M4_MASK, VLUXEI8_V, 0x2, 0x0 }, // 5248
  { PseudoVLUXEI8_V_M1_M8, VLUXEI8_V, 0x3, 0x0 }, // 5249
  { PseudoVLUXEI8_V_M1_M8_MASK, VLUXEI8_V, 0x3, 0x0 }, // 5250
  { PseudoVLUXEI8_V_M2_M8, VLUXEI8_V, 0x3, 0x0 }, // 5251
  { PseudoVLUXEI8_V_M2_M8_MASK, VLUXEI8_V, 0x3, 0x0 }, // 5252
  { PseudoVLUXEI8_V_M4_M8, VLUXEI8_V, 0x3, 0x0 }, // 5253
  { PseudoVLUXEI8_V_M4_M8_MASK, VLUXEI8_V, 0x3, 0x0 }, // 5254
  { PseudoVLUXEI8_V_M8_M8, VLUXEI8_V, 0x3, 0x0 }, // 5255
  { PseudoVLUXEI8_V_M8_M8_MASK, VLUXEI8_V, 0x3, 0x0 }, // 5256
  { PseudoVLUXEI8_V_MF8_MF8, VLUXEI8_V, 0x5, 0x0 }, // 5257
  { PseudoVLUXEI8_V_MF8_MF8_MASK, VLUXEI8_V, 0x5, 0x0 }, // 5258
  { PseudoVLUXEI8_V_MF4_MF4, VLUXEI8_V, 0x6, 0x0 }, // 5259
  { PseudoVLUXEI8_V_MF4_MF4_MASK, VLUXEI8_V, 0x6, 0x0 }, // 5260
  { PseudoVLUXEI8_V_MF8_MF4, VLUXEI8_V, 0x6, 0x0 }, // 5261
  { PseudoVLUXEI8_V_MF8_MF4_MASK, VLUXEI8_V, 0x6, 0x0 }, // 5262
  { PseudoVLUXEI8_V_MF2_MF2, VLUXEI8_V, 0x7, 0x0 }, // 5263
  { PseudoVLUXEI8_V_MF2_MF2_MASK, VLUXEI8_V, 0x7, 0x0 }, // 5264
  { PseudoVLUXEI8_V_MF4_MF2, VLUXEI8_V, 0x7, 0x0 }, // 5265
  { PseudoVLUXEI8_V_MF4_MF2_MASK, VLUXEI8_V, 0x7, 0x0 }, // 5266
  { PseudoVLUXEI8_V_MF8_MF2, VLUXEI8_V, 0x7, 0x0 }, // 5267
  { PseudoVLUXEI8_V_MF8_MF2_MASK, VLUXEI8_V, 0x7, 0x0 }, // 5268
  { PseudoVLUXSEG2EI16_V_M1_M1, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5269
  { PseudoVLUXSEG2EI16_V_M1_M1_MASK, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5270
  { PseudoVLUXSEG2EI16_V_M2_M1, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5271
  { PseudoVLUXSEG2EI16_V_M2_M1_MASK, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5272
  { PseudoVLUXSEG2EI16_V_MF2_M1, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5273
  { PseudoVLUXSEG2EI16_V_MF2_M1_MASK, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5274
  { PseudoVLUXSEG2EI16_V_MF4_M1, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5275
  { PseudoVLUXSEG2EI16_V_MF4_M1_MASK, VLUXSEG2EI16_V, 0x0, 0x0 }, // 5276
  { PseudoVLUXSEG2EI16_V_M1_M2, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5277
  { PseudoVLUXSEG2EI16_V_M1_M2_MASK, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5278
  { PseudoVLUXSEG2EI16_V_M2_M2, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5279
  { PseudoVLUXSEG2EI16_V_M2_M2_MASK, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5280
  { PseudoVLUXSEG2EI16_V_M4_M2, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5281
  { PseudoVLUXSEG2EI16_V_M4_M2_MASK, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5282
  { PseudoVLUXSEG2EI16_V_MF2_M2, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5283
  { PseudoVLUXSEG2EI16_V_MF2_M2_MASK, VLUXSEG2EI16_V, 0x1, 0x0 }, // 5284
  { PseudoVLUXSEG2EI16_V_M1_M4, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5285
  { PseudoVLUXSEG2EI16_V_M1_M4_MASK, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5286
  { PseudoVLUXSEG2EI16_V_M2_M4, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5287
  { PseudoVLUXSEG2EI16_V_M2_M4_MASK, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5288
  { PseudoVLUXSEG2EI16_V_M4_M4, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5289
  { PseudoVLUXSEG2EI16_V_M4_M4_MASK, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5290
  { PseudoVLUXSEG2EI16_V_M8_M4, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5291
  { PseudoVLUXSEG2EI16_V_M8_M4_MASK, VLUXSEG2EI16_V, 0x2, 0x0 }, // 5292
  { PseudoVLUXSEG2EI16_V_MF4_MF8, VLUXSEG2EI16_V, 0x5, 0x0 }, // 5293
  { PseudoVLUXSEG2EI16_V_MF4_MF8_MASK, VLUXSEG2EI16_V, 0x5, 0x0 }, // 5294
  { PseudoVLUXSEG2EI16_V_MF2_MF4, VLUXSEG2EI16_V, 0x6, 0x0 }, // 5295
  { PseudoVLUXSEG2EI16_V_MF2_MF4_MASK, VLUXSEG2EI16_V, 0x6, 0x0 }, // 5296
  { PseudoVLUXSEG2EI16_V_MF4_MF4, VLUXSEG2EI16_V, 0x6, 0x0 }, // 5297
  { PseudoVLUXSEG2EI16_V_MF4_MF4_MASK, VLUXSEG2EI16_V, 0x6, 0x0 }, // 5298
  { PseudoVLUXSEG2EI16_V_M1_MF2, VLUXSEG2EI16_V, 0x7, 0x0 }, // 5299
  { PseudoVLUXSEG2EI16_V_M1_MF2_MASK, VLUXSEG2EI16_V, 0x7, 0x0 }, // 5300
  { PseudoVLUXSEG2EI16_V_MF2_MF2, VLUXSEG2EI16_V, 0x7, 0x0 }, // 5301
  { PseudoVLUXSEG2EI16_V_MF2_MF2_MASK, VLUXSEG2EI16_V, 0x7, 0x0 }, // 5302
  { PseudoVLUXSEG2EI16_V_MF4_MF2, VLUXSEG2EI16_V, 0x7, 0x0 }, // 5303
  { PseudoVLUXSEG2EI16_V_MF4_MF2_MASK, VLUXSEG2EI16_V, 0x7, 0x0 }, // 5304
  { PseudoVLUXSEG2EI32_V_M1_M1, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5305
  { PseudoVLUXSEG2EI32_V_M1_M1_MASK, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5306
  { PseudoVLUXSEG2EI32_V_M2_M1, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5307
  { PseudoVLUXSEG2EI32_V_M2_M1_MASK, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5308
  { PseudoVLUXSEG2EI32_V_M4_M1, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5309
  { PseudoVLUXSEG2EI32_V_M4_M1_MASK, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5310
  { PseudoVLUXSEG2EI32_V_MF2_M1, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5311
  { PseudoVLUXSEG2EI32_V_MF2_M1_MASK, VLUXSEG2EI32_V, 0x0, 0x0 }, // 5312
  { PseudoVLUXSEG2EI32_V_M1_M2, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5313
  { PseudoVLUXSEG2EI32_V_M1_M2_MASK, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5314
  { PseudoVLUXSEG2EI32_V_M2_M2, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5315
  { PseudoVLUXSEG2EI32_V_M2_M2_MASK, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5316
  { PseudoVLUXSEG2EI32_V_M4_M2, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5317
  { PseudoVLUXSEG2EI32_V_M4_M2_MASK, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5318
  { PseudoVLUXSEG2EI32_V_M8_M2, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5319
  { PseudoVLUXSEG2EI32_V_M8_M2_MASK, VLUXSEG2EI32_V, 0x1, 0x0 }, // 5320
  { PseudoVLUXSEG2EI32_V_M2_M4, VLUXSEG2EI32_V, 0x2, 0x0 }, // 5321
  { PseudoVLUXSEG2EI32_V_M2_M4_MASK, VLUXSEG2EI32_V, 0x2, 0x0 }, // 5322
  { PseudoVLUXSEG2EI32_V_M4_M4, VLUXSEG2EI32_V, 0x2, 0x0 }, // 5323
  { PseudoVLUXSEG2EI32_V_M4_M4_MASK, VLUXSEG2EI32_V, 0x2, 0x0 }, // 5324
  { PseudoVLUXSEG2EI32_V_M8_M4, VLUXSEG2EI32_V, 0x2, 0x0 }, // 5325
  { PseudoVLUXSEG2EI32_V_M8_M4_MASK, VLUXSEG2EI32_V, 0x2, 0x0 }, // 5326
  { PseudoVLUXSEG2EI32_V_MF2_MF8, VLUXSEG2EI32_V, 0x5, 0x0 }, // 5327
  { PseudoVLUXSEG2EI32_V_MF2_MF8_MASK, VLUXSEG2EI32_V, 0x5, 0x0 }, // 5328
  { PseudoVLUXSEG2EI32_V_M1_MF4, VLUXSEG2EI32_V, 0x6, 0x0 }, // 5329
  { PseudoVLUXSEG2EI32_V_M1_MF4_MASK, VLUXSEG2EI32_V, 0x6, 0x0 }, // 5330
  { PseudoVLUXSEG2EI32_V_MF2_MF4, VLUXSEG2EI32_V, 0x6, 0x0 }, // 5331
  { PseudoVLUXSEG2EI32_V_MF2_MF4_MASK, VLUXSEG2EI32_V, 0x6, 0x0 }, // 5332
  { PseudoVLUXSEG2EI32_V_M1_MF2, VLUXSEG2EI32_V, 0x7, 0x0 }, // 5333
  { PseudoVLUXSEG2EI32_V_M1_MF2_MASK, VLUXSEG2EI32_V, 0x7, 0x0 }, // 5334
  { PseudoVLUXSEG2EI32_V_M2_MF2, VLUXSEG2EI32_V, 0x7, 0x0 }, // 5335
  { PseudoVLUXSEG2EI32_V_M2_MF2_MASK, VLUXSEG2EI32_V, 0x7, 0x0 }, // 5336
  { PseudoVLUXSEG2EI32_V_MF2_MF2, VLUXSEG2EI32_V, 0x7, 0x0 }, // 5337
  { PseudoVLUXSEG2EI32_V_MF2_MF2_MASK, VLUXSEG2EI32_V, 0x7, 0x0 }, // 5338
  { PseudoVLUXSEG2EI64_V_M1_M1, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5339
  { PseudoVLUXSEG2EI64_V_M1_M1_MASK, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5340
  { PseudoVLUXSEG2EI64_V_M2_M1, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5341
  { PseudoVLUXSEG2EI64_V_M2_M1_MASK, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5342
  { PseudoVLUXSEG2EI64_V_M4_M1, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5343
  { PseudoVLUXSEG2EI64_V_M4_M1_MASK, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5344
  { PseudoVLUXSEG2EI64_V_M8_M1, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5345
  { PseudoVLUXSEG2EI64_V_M8_M1_MASK, VLUXSEG2EI64_V, 0x0, 0x0 }, // 5346
  { PseudoVLUXSEG2EI64_V_M2_M2, VLUXSEG2EI64_V, 0x1, 0x0 }, // 5347
  { PseudoVLUXSEG2EI64_V_M2_M2_MASK, VLUXSEG2EI64_V, 0x1, 0x0 }, // 5348
  { PseudoVLUXSEG2EI64_V_M4_M2, VLUXSEG2EI64_V, 0x1, 0x0 }, // 5349
  { PseudoVLUXSEG2EI64_V_M4_M2_MASK, VLUXSEG2EI64_V, 0x1, 0x0 }, // 5350
  { PseudoVLUXSEG2EI64_V_M8_M2, VLUXSEG2EI64_V, 0x1, 0x0 }, // 5351
  { PseudoVLUXSEG2EI64_V_M8_M2_MASK, VLUXSEG2EI64_V, 0x1, 0x0 }, // 5352
  { PseudoVLUXSEG2EI64_V_M4_M4, VLUXSEG2EI64_V, 0x2, 0x0 }, // 5353
  { PseudoVLUXSEG2EI64_V_M4_M4_MASK, VLUXSEG2EI64_V, 0x2, 0x0 }, // 5354
  { PseudoVLUXSEG2EI64_V_M8_M4, VLUXSEG2EI64_V, 0x2, 0x0 }, // 5355
  { PseudoVLUXSEG2EI64_V_M8_M4_MASK, VLUXSEG2EI64_V, 0x2, 0x0 }, // 5356
  { PseudoVLUXSEG2EI64_V_M1_MF8, VLUXSEG2EI64_V, 0x5, 0x0 }, // 5357
  { PseudoVLUXSEG2EI64_V_M1_MF8_MASK, VLUXSEG2EI64_V, 0x5, 0x0 }, // 5358
  { PseudoVLUXSEG2EI64_V_M1_MF4, VLUXSEG2EI64_V, 0x6, 0x0 }, // 5359
  { PseudoVLUXSEG2EI64_V_M1_MF4_MASK, VLUXSEG2EI64_V, 0x6, 0x0 }, // 5360
  { PseudoVLUXSEG2EI64_V_M2_MF4, VLUXSEG2EI64_V, 0x6, 0x0 }, // 5361
  { PseudoVLUXSEG2EI64_V_M2_MF4_MASK, VLUXSEG2EI64_V, 0x6, 0x0 }, // 5362
  { PseudoVLUXSEG2EI64_V_M1_MF2, VLUXSEG2EI64_V, 0x7, 0x0 }, // 5363
  { PseudoVLUXSEG2EI64_V_M1_MF2_MASK, VLUXSEG2EI64_V, 0x7, 0x0 }, // 5364
  { PseudoVLUXSEG2EI64_V_M2_MF2, VLUXSEG2EI64_V, 0x7, 0x0 }, // 5365
  { PseudoVLUXSEG2EI64_V_M2_MF2_MASK, VLUXSEG2EI64_V, 0x7, 0x0 }, // 5366
  { PseudoVLUXSEG2EI64_V_M4_MF2, VLUXSEG2EI64_V, 0x7, 0x0 }, // 5367
  { PseudoVLUXSEG2EI64_V_M4_MF2_MASK, VLUXSEG2EI64_V, 0x7, 0x0 }, // 5368
  { PseudoVLUXSEG2EI8_V_M1_M1, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5369
  { PseudoVLUXSEG2EI8_V_M1_M1_MASK, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5370
  { PseudoVLUXSEG2EI8_V_MF2_M1, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5371
  { PseudoVLUXSEG2EI8_V_MF2_M1_MASK, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5372
  { PseudoVLUXSEG2EI8_V_MF4_M1, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5373
  { PseudoVLUXSEG2EI8_V_MF4_M1_MASK, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5374
  { PseudoVLUXSEG2EI8_V_MF8_M1, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5375
  { PseudoVLUXSEG2EI8_V_MF8_M1_MASK, VLUXSEG2EI8_V, 0x0, 0x0 }, // 5376
  { PseudoVLUXSEG2EI8_V_M1_M2, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5377
  { PseudoVLUXSEG2EI8_V_M1_M2_MASK, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5378
  { PseudoVLUXSEG2EI8_V_M2_M2, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5379
  { PseudoVLUXSEG2EI8_V_M2_M2_MASK, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5380
  { PseudoVLUXSEG2EI8_V_MF2_M2, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5381
  { PseudoVLUXSEG2EI8_V_MF2_M2_MASK, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5382
  { PseudoVLUXSEG2EI8_V_MF4_M2, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5383
  { PseudoVLUXSEG2EI8_V_MF4_M2_MASK, VLUXSEG2EI8_V, 0x1, 0x0 }, // 5384
  { PseudoVLUXSEG2EI8_V_M1_M4, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5385
  { PseudoVLUXSEG2EI8_V_M1_M4_MASK, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5386
  { PseudoVLUXSEG2EI8_V_M2_M4, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5387
  { PseudoVLUXSEG2EI8_V_M2_M4_MASK, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5388
  { PseudoVLUXSEG2EI8_V_M4_M4, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5389
  { PseudoVLUXSEG2EI8_V_M4_M4_MASK, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5390
  { PseudoVLUXSEG2EI8_V_MF2_M4, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5391
  { PseudoVLUXSEG2EI8_V_MF2_M4_MASK, VLUXSEG2EI8_V, 0x2, 0x0 }, // 5392
  { PseudoVLUXSEG2EI8_V_MF8_MF8, VLUXSEG2EI8_V, 0x5, 0x0 }, // 5393
  { PseudoVLUXSEG2EI8_V_MF8_MF8_MASK, VLUXSEG2EI8_V, 0x5, 0x0 }, // 5394
  { PseudoVLUXSEG2EI8_V_MF4_MF4, VLUXSEG2EI8_V, 0x6, 0x0 }, // 5395
  { PseudoVLUXSEG2EI8_V_MF4_MF4_MASK, VLUXSEG2EI8_V, 0x6, 0x0 }, // 5396
  { PseudoVLUXSEG2EI8_V_MF8_MF4, VLUXSEG2EI8_V, 0x6, 0x0 }, // 5397
  { PseudoVLUXSEG2EI8_V_MF8_MF4_MASK, VLUXSEG2EI8_V, 0x6, 0x0 }, // 5398
  { PseudoVLUXSEG2EI8_V_MF2_MF2, VLUXSEG2EI8_V, 0x7, 0x0 }, // 5399
  { PseudoVLUXSEG2EI8_V_MF2_MF2_MASK, VLUXSEG2EI8_V, 0x7, 0x0 }, // 5400
  { PseudoVLUXSEG2EI8_V_MF4_MF2, VLUXSEG2EI8_V, 0x7, 0x0 }, // 5401
  { PseudoVLUXSEG2EI8_V_MF4_MF2_MASK, VLUXSEG2EI8_V, 0x7, 0x0 }, // 5402
  { PseudoVLUXSEG2EI8_V_MF8_MF2, VLUXSEG2EI8_V, 0x7, 0x0 }, // 5403
  { PseudoVLUXSEG2EI8_V_MF8_MF2_MASK, VLUXSEG2EI8_V, 0x7, 0x0 }, // 5404
  { PseudoVLUXSEG3EI16_V_M1_M1, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5405
  { PseudoVLUXSEG3EI16_V_M1_M1_MASK, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5406
  { PseudoVLUXSEG3EI16_V_M2_M1, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5407
  { PseudoVLUXSEG3EI16_V_M2_M1_MASK, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5408
  { PseudoVLUXSEG3EI16_V_MF2_M1, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5409
  { PseudoVLUXSEG3EI16_V_MF2_M1_MASK, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5410
  { PseudoVLUXSEG3EI16_V_MF4_M1, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5411
  { PseudoVLUXSEG3EI16_V_MF4_M1_MASK, VLUXSEG3EI16_V, 0x0, 0x0 }, // 5412
  { PseudoVLUXSEG3EI16_V_M1_M2, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5413
  { PseudoVLUXSEG3EI16_V_M1_M2_MASK, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5414
  { PseudoVLUXSEG3EI16_V_M2_M2, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5415
  { PseudoVLUXSEG3EI16_V_M2_M2_MASK, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5416
  { PseudoVLUXSEG3EI16_V_M4_M2, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5417
  { PseudoVLUXSEG3EI16_V_M4_M2_MASK, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5418
  { PseudoVLUXSEG3EI16_V_MF2_M2, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5419
  { PseudoVLUXSEG3EI16_V_MF2_M2_MASK, VLUXSEG3EI16_V, 0x1, 0x0 }, // 5420
  { PseudoVLUXSEG3EI16_V_MF4_MF8, VLUXSEG3EI16_V, 0x5, 0x0 }, // 5421
  { PseudoVLUXSEG3EI16_V_MF4_MF8_MASK, VLUXSEG3EI16_V, 0x5, 0x0 }, // 5422
  { PseudoVLUXSEG3EI16_V_MF2_MF4, VLUXSEG3EI16_V, 0x6, 0x0 }, // 5423
  { PseudoVLUXSEG3EI16_V_MF2_MF4_MASK, VLUXSEG3EI16_V, 0x6, 0x0 }, // 5424
  { PseudoVLUXSEG3EI16_V_MF4_MF4, VLUXSEG3EI16_V, 0x6, 0x0 }, // 5425
  { PseudoVLUXSEG3EI16_V_MF4_MF4_MASK, VLUXSEG3EI16_V, 0x6, 0x0 }, // 5426
  { PseudoVLUXSEG3EI16_V_M1_MF2, VLUXSEG3EI16_V, 0x7, 0x0 }, // 5427
  { PseudoVLUXSEG3EI16_V_M1_MF2_MASK, VLUXSEG3EI16_V, 0x7, 0x0 }, // 5428
  { PseudoVLUXSEG3EI16_V_MF2_MF2, VLUXSEG3EI16_V, 0x7, 0x0 }, // 5429
  { PseudoVLUXSEG3EI16_V_MF2_MF2_MASK, VLUXSEG3EI16_V, 0x7, 0x0 }, // 5430
  { PseudoVLUXSEG3EI16_V_MF4_MF2, VLUXSEG3EI16_V, 0x7, 0x0 }, // 5431
  { PseudoVLUXSEG3EI16_V_MF4_MF2_MASK, VLUXSEG3EI16_V, 0x7, 0x0 }, // 5432
  { PseudoVLUXSEG3EI32_V_M1_M1, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5433
  { PseudoVLUXSEG3EI32_V_M1_M1_MASK, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5434
  { PseudoVLUXSEG3EI32_V_M2_M1, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5435
  { PseudoVLUXSEG3EI32_V_M2_M1_MASK, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5436
  { PseudoVLUXSEG3EI32_V_M4_M1, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5437
  { PseudoVLUXSEG3EI32_V_M4_M1_MASK, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5438
  { PseudoVLUXSEG3EI32_V_MF2_M1, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5439
  { PseudoVLUXSEG3EI32_V_MF2_M1_MASK, VLUXSEG3EI32_V, 0x0, 0x0 }, // 5440
  { PseudoVLUXSEG3EI32_V_M1_M2, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5441
  { PseudoVLUXSEG3EI32_V_M1_M2_MASK, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5442
  { PseudoVLUXSEG3EI32_V_M2_M2, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5443
  { PseudoVLUXSEG3EI32_V_M2_M2_MASK, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5444
  { PseudoVLUXSEG3EI32_V_M4_M2, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5445
  { PseudoVLUXSEG3EI32_V_M4_M2_MASK, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5446
  { PseudoVLUXSEG3EI32_V_M8_M2, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5447
  { PseudoVLUXSEG3EI32_V_M8_M2_MASK, VLUXSEG3EI32_V, 0x1, 0x0 }, // 5448
  { PseudoVLUXSEG3EI32_V_MF2_MF8, VLUXSEG3EI32_V, 0x5, 0x0 }, // 5449
  { PseudoVLUXSEG3EI32_V_MF2_MF8_MASK, VLUXSEG3EI32_V, 0x5, 0x0 }, // 5450
  { PseudoVLUXSEG3EI32_V_M1_MF4, VLUXSEG3EI32_V, 0x6, 0x0 }, // 5451
  { PseudoVLUXSEG3EI32_V_M1_MF4_MASK, VLUXSEG3EI32_V, 0x6, 0x0 }, // 5452
  { PseudoVLUXSEG3EI32_V_MF2_MF4, VLUXSEG3EI32_V, 0x6, 0x0 }, // 5453
  { PseudoVLUXSEG3EI32_V_MF2_MF4_MASK, VLUXSEG3EI32_V, 0x6, 0x0 }, // 5454
  { PseudoVLUXSEG3EI32_V_M1_MF2, VLUXSEG3EI32_V, 0x7, 0x0 }, // 5455
  { PseudoVLUXSEG3EI32_V_M1_MF2_MASK, VLUXSEG3EI32_V, 0x7, 0x0 }, // 5456
  { PseudoVLUXSEG3EI32_V_M2_MF2, VLUXSEG3EI32_V, 0x7, 0x0 }, // 5457
  { PseudoVLUXSEG3EI32_V_M2_MF2_MASK, VLUXSEG3EI32_V, 0x7, 0x0 }, // 5458
  { PseudoVLUXSEG3EI32_V_MF2_MF2, VLUXSEG3EI32_V, 0x7, 0x0 }, // 5459
  { PseudoVLUXSEG3EI32_V_MF2_MF2_MASK, VLUXSEG3EI32_V, 0x7, 0x0 }, // 5460
  { PseudoVLUXSEG3EI64_V_M1_M1, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5461
  { PseudoVLUXSEG3EI64_V_M1_M1_MASK, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5462
  { PseudoVLUXSEG3EI64_V_M2_M1, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5463
  { PseudoVLUXSEG3EI64_V_M2_M1_MASK, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5464
  { PseudoVLUXSEG3EI64_V_M4_M1, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5465
  { PseudoVLUXSEG3EI64_V_M4_M1_MASK, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5466
  { PseudoVLUXSEG3EI64_V_M8_M1, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5467
  { PseudoVLUXSEG3EI64_V_M8_M1_MASK, VLUXSEG3EI64_V, 0x0, 0x0 }, // 5468
  { PseudoVLUXSEG3EI64_V_M2_M2, VLUXSEG3EI64_V, 0x1, 0x0 }, // 5469
  { PseudoVLUXSEG3EI64_V_M2_M2_MASK, VLUXSEG3EI64_V, 0x1, 0x0 }, // 5470
  { PseudoVLUXSEG3EI64_V_M4_M2, VLUXSEG3EI64_V, 0x1, 0x0 }, // 5471
  { PseudoVLUXSEG3EI64_V_M4_M2_MASK, VLUXSEG3EI64_V, 0x1, 0x0 }, // 5472
  { PseudoVLUXSEG3EI64_V_M8_M2, VLUXSEG3EI64_V, 0x1, 0x0 }, // 5473
  { PseudoVLUXSEG3EI64_V_M8_M2_MASK, VLUXSEG3EI64_V, 0x1, 0x0 }, // 5474
  { PseudoVLUXSEG3EI64_V_M1_MF8, VLUXSEG3EI64_V, 0x5, 0x0 }, // 5475
  { PseudoVLUXSEG3EI64_V_M1_MF8_MASK, VLUXSEG3EI64_V, 0x5, 0x0 }, // 5476
  { PseudoVLUXSEG3EI64_V_M1_MF4, VLUXSEG3EI64_V, 0x6, 0x0 }, // 5477
  { PseudoVLUXSEG3EI64_V_M1_MF4_MASK, VLUXSEG3EI64_V, 0x6, 0x0 }, // 5478
  { PseudoVLUXSEG3EI64_V_M2_MF4, VLUXSEG3EI64_V, 0x6, 0x0 }, // 5479
  { PseudoVLUXSEG3EI64_V_M2_MF4_MASK, VLUXSEG3EI64_V, 0x6, 0x0 }, // 5480
  { PseudoVLUXSEG3EI64_V_M1_MF2, VLUXSEG3EI64_V, 0x7, 0x0 }, // 5481
  { PseudoVLUXSEG3EI64_V_M1_MF2_MASK, VLUXSEG3EI64_V, 0x7, 0x0 }, // 5482
  { PseudoVLUXSEG3EI64_V_M2_MF2, VLUXSEG3EI64_V, 0x7, 0x0 }, // 5483
  { PseudoVLUXSEG3EI64_V_M2_MF2_MASK, VLUXSEG3EI64_V, 0x7, 0x0 }, // 5484
  { PseudoVLUXSEG3EI64_V_M4_MF2, VLUXSEG3EI64_V, 0x7, 0x0 }, // 5485
  { PseudoVLUXSEG3EI64_V_M4_MF2_MASK, VLUXSEG3EI64_V, 0x7, 0x0 }, // 5486
  { PseudoVLUXSEG3EI8_V_M1_M1, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5487
  { PseudoVLUXSEG3EI8_V_M1_M1_MASK, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5488
  { PseudoVLUXSEG3EI8_V_MF2_M1, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5489
  { PseudoVLUXSEG3EI8_V_MF2_M1_MASK, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5490
  { PseudoVLUXSEG3EI8_V_MF4_M1, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5491
  { PseudoVLUXSEG3EI8_V_MF4_M1_MASK, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5492
  { PseudoVLUXSEG3EI8_V_MF8_M1, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5493
  { PseudoVLUXSEG3EI8_V_MF8_M1_MASK, VLUXSEG3EI8_V, 0x0, 0x0 }, // 5494
  { PseudoVLUXSEG3EI8_V_M1_M2, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5495
  { PseudoVLUXSEG3EI8_V_M1_M2_MASK, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5496
  { PseudoVLUXSEG3EI8_V_M2_M2, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5497
  { PseudoVLUXSEG3EI8_V_M2_M2_MASK, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5498
  { PseudoVLUXSEG3EI8_V_MF2_M2, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5499
  { PseudoVLUXSEG3EI8_V_MF2_M2_MASK, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5500
  { PseudoVLUXSEG3EI8_V_MF4_M2, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5501
  { PseudoVLUXSEG3EI8_V_MF4_M2_MASK, VLUXSEG3EI8_V, 0x1, 0x0 }, // 5502
  { PseudoVLUXSEG3EI8_V_MF8_MF8, VLUXSEG3EI8_V, 0x5, 0x0 }, // 5503
  { PseudoVLUXSEG3EI8_V_MF8_MF8_MASK, VLUXSEG3EI8_V, 0x5, 0x0 }, // 5504
  { PseudoVLUXSEG3EI8_V_MF4_MF4, VLUXSEG3EI8_V, 0x6, 0x0 }, // 5505
  { PseudoVLUXSEG3EI8_V_MF4_MF4_MASK, VLUXSEG3EI8_V, 0x6, 0x0 }, // 5506
  { PseudoVLUXSEG3EI8_V_MF8_MF4, VLUXSEG3EI8_V, 0x6, 0x0 }, // 5507
  { PseudoVLUXSEG3EI8_V_MF8_MF4_MASK, VLUXSEG3EI8_V, 0x6, 0x0 }, // 5508
  { PseudoVLUXSEG3EI8_V_MF2_MF2, VLUXSEG3EI8_V, 0x7, 0x0 }, // 5509
  { PseudoVLUXSEG3EI8_V_MF2_MF2_MASK, VLUXSEG3EI8_V, 0x7, 0x0 }, // 5510
  { PseudoVLUXSEG3EI8_V_MF4_MF2, VLUXSEG3EI8_V, 0x7, 0x0 }, // 5511
  { PseudoVLUXSEG3EI8_V_MF4_MF2_MASK, VLUXSEG3EI8_V, 0x7, 0x0 }, // 5512
  { PseudoVLUXSEG3EI8_V_MF8_MF2, VLUXSEG3EI8_V, 0x7, 0x0 }, // 5513
  { PseudoVLUXSEG3EI8_V_MF8_MF2_MASK, VLUXSEG3EI8_V, 0x7, 0x0 }, // 5514
  { PseudoVLUXSEG4EI16_V_M1_M1, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5515
  { PseudoVLUXSEG4EI16_V_M1_M1_MASK, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5516
  { PseudoVLUXSEG4EI16_V_M2_M1, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5517
  { PseudoVLUXSEG4EI16_V_M2_M1_MASK, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5518
  { PseudoVLUXSEG4EI16_V_MF2_M1, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5519
  { PseudoVLUXSEG4EI16_V_MF2_M1_MASK, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5520
  { PseudoVLUXSEG4EI16_V_MF4_M1, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5521
  { PseudoVLUXSEG4EI16_V_MF4_M1_MASK, VLUXSEG4EI16_V, 0x0, 0x0 }, // 5522
  { PseudoVLUXSEG4EI16_V_M1_M2, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5523
  { PseudoVLUXSEG4EI16_V_M1_M2_MASK, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5524
  { PseudoVLUXSEG4EI16_V_M2_M2, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5525
  { PseudoVLUXSEG4EI16_V_M2_M2_MASK, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5526
  { PseudoVLUXSEG4EI16_V_M4_M2, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5527
  { PseudoVLUXSEG4EI16_V_M4_M2_MASK, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5528
  { PseudoVLUXSEG4EI16_V_MF2_M2, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5529
  { PseudoVLUXSEG4EI16_V_MF2_M2_MASK, VLUXSEG4EI16_V, 0x1, 0x0 }, // 5530
  { PseudoVLUXSEG4EI16_V_MF4_MF8, VLUXSEG4EI16_V, 0x5, 0x0 }, // 5531
  { PseudoVLUXSEG4EI16_V_MF4_MF8_MASK, VLUXSEG4EI16_V, 0x5, 0x0 }, // 5532
  { PseudoVLUXSEG4EI16_V_MF2_MF4, VLUXSEG4EI16_V, 0x6, 0x0 }, // 5533
  { PseudoVLUXSEG4EI16_V_MF2_MF4_MASK, VLUXSEG4EI16_V, 0x6, 0x0 }, // 5534
  { PseudoVLUXSEG4EI16_V_MF4_MF4, VLUXSEG4EI16_V, 0x6, 0x0 }, // 5535
  { PseudoVLUXSEG4EI16_V_MF4_MF4_MASK, VLUXSEG4EI16_V, 0x6, 0x0 }, // 5536
  { PseudoVLUXSEG4EI16_V_M1_MF2, VLUXSEG4EI16_V, 0x7, 0x0 }, // 5537
  { PseudoVLUXSEG4EI16_V_M1_MF2_MASK, VLUXSEG4EI16_V, 0x7, 0x0 }, // 5538
  { PseudoVLUXSEG4EI16_V_MF2_MF2, VLUXSEG4EI16_V, 0x7, 0x0 }, // 5539
  { PseudoVLUXSEG4EI16_V_MF2_MF2_MASK, VLUXSEG4EI16_V, 0x7, 0x0 }, // 5540
  { PseudoVLUXSEG4EI16_V_MF4_MF2, VLUXSEG4EI16_V, 0x7, 0x0 }, // 5541
  { PseudoVLUXSEG4EI16_V_MF4_MF2_MASK, VLUXSEG4EI16_V, 0x7, 0x0 }, // 5542
  { PseudoVLUXSEG4EI32_V_M1_M1, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5543
  { PseudoVLUXSEG4EI32_V_M1_M1_MASK, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5544
  { PseudoVLUXSEG4EI32_V_M2_M1, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5545
  { PseudoVLUXSEG4EI32_V_M2_M1_MASK, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5546
  { PseudoVLUXSEG4EI32_V_M4_M1, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5547
  { PseudoVLUXSEG4EI32_V_M4_M1_MASK, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5548
  { PseudoVLUXSEG4EI32_V_MF2_M1, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5549
  { PseudoVLUXSEG4EI32_V_MF2_M1_MASK, VLUXSEG4EI32_V, 0x0, 0x0 }, // 5550
  { PseudoVLUXSEG4EI32_V_M1_M2, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5551
  { PseudoVLUXSEG4EI32_V_M1_M2_MASK, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5552
  { PseudoVLUXSEG4EI32_V_M2_M2, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5553
  { PseudoVLUXSEG4EI32_V_M2_M2_MASK, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5554
  { PseudoVLUXSEG4EI32_V_M4_M2, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5555
  { PseudoVLUXSEG4EI32_V_M4_M2_MASK, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5556
  { PseudoVLUXSEG4EI32_V_M8_M2, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5557
  { PseudoVLUXSEG4EI32_V_M8_M2_MASK, VLUXSEG4EI32_V, 0x1, 0x0 }, // 5558
  { PseudoVLUXSEG4EI32_V_MF2_MF8, VLUXSEG4EI32_V, 0x5, 0x0 }, // 5559
  { PseudoVLUXSEG4EI32_V_MF2_MF8_MASK, VLUXSEG4EI32_V, 0x5, 0x0 }, // 5560
  { PseudoVLUXSEG4EI32_V_M1_MF4, VLUXSEG4EI32_V, 0x6, 0x0 }, // 5561
  { PseudoVLUXSEG4EI32_V_M1_MF4_MASK, VLUXSEG4EI32_V, 0x6, 0x0 }, // 5562
  { PseudoVLUXSEG4EI32_V_MF2_MF4, VLUXSEG4EI32_V, 0x6, 0x0 }, // 5563
  { PseudoVLUXSEG4EI32_V_MF2_MF4_MASK, VLUXSEG4EI32_V, 0x6, 0x0 }, // 5564
  { PseudoVLUXSEG4EI32_V_M1_MF2, VLUXSEG4EI32_V, 0x7, 0x0 }, // 5565
  { PseudoVLUXSEG4EI32_V_M1_MF2_MASK, VLUXSEG4EI32_V, 0x7, 0x0 }, // 5566
  { PseudoVLUXSEG4EI32_V_M2_MF2, VLUXSEG4EI32_V, 0x7, 0x0 }, // 5567
  { PseudoVLUXSEG4EI32_V_M2_MF2_MASK, VLUXSEG4EI32_V, 0x7, 0x0 }, // 5568
  { PseudoVLUXSEG4EI32_V_MF2_MF2, VLUXSEG4EI32_V, 0x7, 0x0 }, // 5569
  { PseudoVLUXSEG4EI32_V_MF2_MF2_MASK, VLUXSEG4EI32_V, 0x7, 0x0 }, // 5570
  { PseudoVLUXSEG4EI64_V_M1_M1, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5571
  { PseudoVLUXSEG4EI64_V_M1_M1_MASK, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5572
  { PseudoVLUXSEG4EI64_V_M2_M1, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5573
  { PseudoVLUXSEG4EI64_V_M2_M1_MASK, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5574
  { PseudoVLUXSEG4EI64_V_M4_M1, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5575
  { PseudoVLUXSEG4EI64_V_M4_M1_MASK, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5576
  { PseudoVLUXSEG4EI64_V_M8_M1, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5577
  { PseudoVLUXSEG4EI64_V_M8_M1_MASK, VLUXSEG4EI64_V, 0x0, 0x0 }, // 5578
  { PseudoVLUXSEG4EI64_V_M2_M2, VLUXSEG4EI64_V, 0x1, 0x0 }, // 5579
  { PseudoVLUXSEG4EI64_V_M2_M2_MASK, VLUXSEG4EI64_V, 0x1, 0x0 }, // 5580
  { PseudoVLUXSEG4EI64_V_M4_M2, VLUXSEG4EI64_V, 0x1, 0x0 }, // 5581
  { PseudoVLUXSEG4EI64_V_M4_M2_MASK, VLUXSEG4EI64_V, 0x1, 0x0 }, // 5582
  { PseudoVLUXSEG4EI64_V_M8_M2, VLUXSEG4EI64_V, 0x1, 0x0 }, // 5583
  { PseudoVLUXSEG4EI64_V_M8_M2_MASK, VLUXSEG4EI64_V, 0x1, 0x0 }, // 5584
  { PseudoVLUXSEG4EI64_V_M1_MF8, VLUXSEG4EI64_V, 0x5, 0x0 }, // 5585
  { PseudoVLUXSEG4EI64_V_M1_MF8_MASK, VLUXSEG4EI64_V, 0x5, 0x0 }, // 5586
  { PseudoVLUXSEG4EI64_V_M1_MF4, VLUXSEG4EI64_V, 0x6, 0x0 }, // 5587
  { PseudoVLUXSEG4EI64_V_M1_MF4_MASK, VLUXSEG4EI64_V, 0x6, 0x0 }, // 5588
  { PseudoVLUXSEG4EI64_V_M2_MF4, VLUXSEG4EI64_V, 0x6, 0x0 }, // 5589
  { PseudoVLUXSEG4EI64_V_M2_MF4_MASK, VLUXSEG4EI64_V, 0x6, 0x0 }, // 5590
  { PseudoVLUXSEG4EI64_V_M1_MF2, VLUXSEG4EI64_V, 0x7, 0x0 }, // 5591
  { PseudoVLUXSEG4EI64_V_M1_MF2_MASK, VLUXSEG4EI64_V, 0x7, 0x0 }, // 5592
  { PseudoVLUXSEG4EI64_V_M2_MF2, VLUXSEG4EI64_V, 0x7, 0x0 }, // 5593
  { PseudoVLUXSEG4EI64_V_M2_MF2_MASK, VLUXSEG4EI64_V, 0x7, 0x0 }, // 5594
  { PseudoVLUXSEG4EI64_V_M4_MF2, VLUXSEG4EI64_V, 0x7, 0x0 }, // 5595
  { PseudoVLUXSEG4EI64_V_M4_MF2_MASK, VLUXSEG4EI64_V, 0x7, 0x0 }, // 5596
  { PseudoVLUXSEG4EI8_V_M1_M1, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5597
  { PseudoVLUXSEG4EI8_V_M1_M1_MASK, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5598
  { PseudoVLUXSEG4EI8_V_MF2_M1, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5599
  { PseudoVLUXSEG4EI8_V_MF2_M1_MASK, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5600
  { PseudoVLUXSEG4EI8_V_MF4_M1, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5601
  { PseudoVLUXSEG4EI8_V_MF4_M1_MASK, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5602
  { PseudoVLUXSEG4EI8_V_MF8_M1, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5603
  { PseudoVLUXSEG4EI8_V_MF8_M1_MASK, VLUXSEG4EI8_V, 0x0, 0x0 }, // 5604
  { PseudoVLUXSEG4EI8_V_M1_M2, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5605
  { PseudoVLUXSEG4EI8_V_M1_M2_MASK, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5606
  { PseudoVLUXSEG4EI8_V_M2_M2, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5607
  { PseudoVLUXSEG4EI8_V_M2_M2_MASK, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5608
  { PseudoVLUXSEG4EI8_V_MF2_M2, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5609
  { PseudoVLUXSEG4EI8_V_MF2_M2_MASK, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5610
  { PseudoVLUXSEG4EI8_V_MF4_M2, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5611
  { PseudoVLUXSEG4EI8_V_MF4_M2_MASK, VLUXSEG4EI8_V, 0x1, 0x0 }, // 5612
  { PseudoVLUXSEG4EI8_V_MF8_MF8, VLUXSEG4EI8_V, 0x5, 0x0 }, // 5613
  { PseudoVLUXSEG4EI8_V_MF8_MF8_MASK, VLUXSEG4EI8_V, 0x5, 0x0 }, // 5614
  { PseudoVLUXSEG4EI8_V_MF4_MF4, VLUXSEG4EI8_V, 0x6, 0x0 }, // 5615
  { PseudoVLUXSEG4EI8_V_MF4_MF4_MASK, VLUXSEG4EI8_V, 0x6, 0x0 }, // 5616
  { PseudoVLUXSEG4EI8_V_MF8_MF4, VLUXSEG4EI8_V, 0x6, 0x0 }, // 5617
  { PseudoVLUXSEG4EI8_V_MF8_MF4_MASK, VLUXSEG4EI8_V, 0x6, 0x0 }, // 5618
  { PseudoVLUXSEG4EI8_V_MF2_MF2, VLUXSEG4EI8_V, 0x7, 0x0 }, // 5619
  { PseudoVLUXSEG4EI8_V_MF2_MF2_MASK, VLUXSEG4EI8_V, 0x7, 0x0 }, // 5620
  { PseudoVLUXSEG4EI8_V_MF4_MF2, VLUXSEG4EI8_V, 0x7, 0x0 }, // 5621
  { PseudoVLUXSEG4EI8_V_MF4_MF2_MASK, VLUXSEG4EI8_V, 0x7, 0x0 }, // 5622
  { PseudoVLUXSEG4EI8_V_MF8_MF2, VLUXSEG4EI8_V, 0x7, 0x0 }, // 5623
  { PseudoVLUXSEG4EI8_V_MF8_MF2_MASK, VLUXSEG4EI8_V, 0x7, 0x0 }, // 5624
  { PseudoVLUXSEG5EI16_V_M1_M1, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5625
  { PseudoVLUXSEG5EI16_V_M1_M1_MASK, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5626
  { PseudoVLUXSEG5EI16_V_M2_M1, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5627
  { PseudoVLUXSEG5EI16_V_M2_M1_MASK, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5628
  { PseudoVLUXSEG5EI16_V_MF2_M1, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5629
  { PseudoVLUXSEG5EI16_V_MF2_M1_MASK, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5630
  { PseudoVLUXSEG5EI16_V_MF4_M1, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5631
  { PseudoVLUXSEG5EI16_V_MF4_M1_MASK, VLUXSEG5EI16_V, 0x0, 0x0 }, // 5632
  { PseudoVLUXSEG5EI16_V_MF4_MF8, VLUXSEG5EI16_V, 0x5, 0x0 }, // 5633
  { PseudoVLUXSEG5EI16_V_MF4_MF8_MASK, VLUXSEG5EI16_V, 0x5, 0x0 }, // 5634
  { PseudoVLUXSEG5EI16_V_MF2_MF4, VLUXSEG5EI16_V, 0x6, 0x0 }, // 5635
  { PseudoVLUXSEG5EI16_V_MF2_MF4_MASK, VLUXSEG5EI16_V, 0x6, 0x0 }, // 5636
  { PseudoVLUXSEG5EI16_V_MF4_MF4, VLUXSEG5EI16_V, 0x6, 0x0 }, // 5637
  { PseudoVLUXSEG5EI16_V_MF4_MF4_MASK, VLUXSEG5EI16_V, 0x6, 0x0 }, // 5638
  { PseudoVLUXSEG5EI16_V_M1_MF2, VLUXSEG5EI16_V, 0x7, 0x0 }, // 5639
  { PseudoVLUXSEG5EI16_V_M1_MF2_MASK, VLUXSEG5EI16_V, 0x7, 0x0 }, // 5640
  { PseudoVLUXSEG5EI16_V_MF2_MF2, VLUXSEG5EI16_V, 0x7, 0x0 }, // 5641
  { PseudoVLUXSEG5EI16_V_MF2_MF2_MASK, VLUXSEG5EI16_V, 0x7, 0x0 }, // 5642
  { PseudoVLUXSEG5EI16_V_MF4_MF2, VLUXSEG5EI16_V, 0x7, 0x0 }, // 5643
  { PseudoVLUXSEG5EI16_V_MF4_MF2_MASK, VLUXSEG5EI16_V, 0x7, 0x0 }, // 5644
  { PseudoVLUXSEG5EI32_V_M1_M1, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5645
  { PseudoVLUXSEG5EI32_V_M1_M1_MASK, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5646
  { PseudoVLUXSEG5EI32_V_M2_M1, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5647
  { PseudoVLUXSEG5EI32_V_M2_M1_MASK, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5648
  { PseudoVLUXSEG5EI32_V_M4_M1, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5649
  { PseudoVLUXSEG5EI32_V_M4_M1_MASK, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5650
  { PseudoVLUXSEG5EI32_V_MF2_M1, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5651
  { PseudoVLUXSEG5EI32_V_MF2_M1_MASK, VLUXSEG5EI32_V, 0x0, 0x0 }, // 5652
  { PseudoVLUXSEG5EI32_V_MF2_MF8, VLUXSEG5EI32_V, 0x5, 0x0 }, // 5653
  { PseudoVLUXSEG5EI32_V_MF2_MF8_MASK, VLUXSEG5EI32_V, 0x5, 0x0 }, // 5654
  { PseudoVLUXSEG5EI32_V_M1_MF4, VLUXSEG5EI32_V, 0x6, 0x0 }, // 5655
  { PseudoVLUXSEG5EI32_V_M1_MF4_MASK, VLUXSEG5EI32_V, 0x6, 0x0 }, // 5656
  { PseudoVLUXSEG5EI32_V_MF2_MF4, VLUXSEG5EI32_V, 0x6, 0x0 }, // 5657
  { PseudoVLUXSEG5EI32_V_MF2_MF4_MASK, VLUXSEG5EI32_V, 0x6, 0x0 }, // 5658
  { PseudoVLUXSEG5EI32_V_M1_MF2, VLUXSEG5EI32_V, 0x7, 0x0 }, // 5659
  { PseudoVLUXSEG5EI32_V_M1_MF2_MASK, VLUXSEG5EI32_V, 0x7, 0x0 }, // 5660
  { PseudoVLUXSEG5EI32_V_M2_MF2, VLUXSEG5EI32_V, 0x7, 0x0 }, // 5661
  { PseudoVLUXSEG5EI32_V_M2_MF2_MASK, VLUXSEG5EI32_V, 0x7, 0x0 }, // 5662
  { PseudoVLUXSEG5EI32_V_MF2_MF2, VLUXSEG5EI32_V, 0x7, 0x0 }, // 5663
  { PseudoVLUXSEG5EI32_V_MF2_MF2_MASK, VLUXSEG5EI32_V, 0x7, 0x0 }, // 5664
  { PseudoVLUXSEG5EI64_V_M1_M1, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5665
  { PseudoVLUXSEG5EI64_V_M1_M1_MASK, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5666
  { PseudoVLUXSEG5EI64_V_M2_M1, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5667
  { PseudoVLUXSEG5EI64_V_M2_M1_MASK, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5668
  { PseudoVLUXSEG5EI64_V_M4_M1, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5669
  { PseudoVLUXSEG5EI64_V_M4_M1_MASK, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5670
  { PseudoVLUXSEG5EI64_V_M8_M1, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5671
  { PseudoVLUXSEG5EI64_V_M8_M1_MASK, VLUXSEG5EI64_V, 0x0, 0x0 }, // 5672
  { PseudoVLUXSEG5EI64_V_M1_MF8, VLUXSEG5EI64_V, 0x5, 0x0 }, // 5673
  { PseudoVLUXSEG5EI64_V_M1_MF8_MASK, VLUXSEG5EI64_V, 0x5, 0x0 }, // 5674
  { PseudoVLUXSEG5EI64_V_M1_MF4, VLUXSEG5EI64_V, 0x6, 0x0 }, // 5675
  { PseudoVLUXSEG5EI64_V_M1_MF4_MASK, VLUXSEG5EI64_V, 0x6, 0x0 }, // 5676
  { PseudoVLUXSEG5EI64_V_M2_MF4, VLUXSEG5EI64_V, 0x6, 0x0 }, // 5677
  { PseudoVLUXSEG5EI64_V_M2_MF4_MASK, VLUXSEG5EI64_V, 0x6, 0x0 }, // 5678
  { PseudoVLUXSEG5EI64_V_M1_MF2, VLUXSEG5EI64_V, 0x7, 0x0 }, // 5679
  { PseudoVLUXSEG5EI64_V_M1_MF2_MASK, VLUXSEG5EI64_V, 0x7, 0x0 }, // 5680
  { PseudoVLUXSEG5EI64_V_M2_MF2, VLUXSEG5EI64_V, 0x7, 0x0 }, // 5681
  { PseudoVLUXSEG5EI64_V_M2_MF2_MASK, VLUXSEG5EI64_V, 0x7, 0x0 }, // 5682
  { PseudoVLUXSEG5EI64_V_M4_MF2, VLUXSEG5EI64_V, 0x7, 0x0 }, // 5683
  { PseudoVLUXSEG5EI64_V_M4_MF2_MASK, VLUXSEG5EI64_V, 0x7, 0x0 }, // 5684
  { PseudoVLUXSEG5EI8_V_M1_M1, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5685
  { PseudoVLUXSEG5EI8_V_M1_M1_MASK, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5686
  { PseudoVLUXSEG5EI8_V_MF2_M1, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5687
  { PseudoVLUXSEG5EI8_V_MF2_M1_MASK, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5688
  { PseudoVLUXSEG5EI8_V_MF4_M1, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5689
  { PseudoVLUXSEG5EI8_V_MF4_M1_MASK, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5690
  { PseudoVLUXSEG5EI8_V_MF8_M1, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5691
  { PseudoVLUXSEG5EI8_V_MF8_M1_MASK, VLUXSEG5EI8_V, 0x0, 0x0 }, // 5692
  { PseudoVLUXSEG5EI8_V_MF8_MF8, VLUXSEG5EI8_V, 0x5, 0x0 }, // 5693
  { PseudoVLUXSEG5EI8_V_MF8_MF8_MASK, VLUXSEG5EI8_V, 0x5, 0x0 }, // 5694
  { PseudoVLUXSEG5EI8_V_MF4_MF4, VLUXSEG5EI8_V, 0x6, 0x0 }, // 5695
  { PseudoVLUXSEG5EI8_V_MF4_MF4_MASK, VLUXSEG5EI8_V, 0x6, 0x0 }, // 5696
  { PseudoVLUXSEG5EI8_V_MF8_MF4, VLUXSEG5EI8_V, 0x6, 0x0 }, // 5697
  { PseudoVLUXSEG5EI8_V_MF8_MF4_MASK, VLUXSEG5EI8_V, 0x6, 0x0 }, // 5698
  { PseudoVLUXSEG5EI8_V_MF2_MF2, VLUXSEG5EI8_V, 0x7, 0x0 }, // 5699
  { PseudoVLUXSEG5EI8_V_MF2_MF2_MASK, VLUXSEG5EI8_V, 0x7, 0x0 }, // 5700
  { PseudoVLUXSEG5EI8_V_MF4_MF2, VLUXSEG5EI8_V, 0x7, 0x0 }, // 5701
  { PseudoVLUXSEG5EI8_V_MF4_MF2_MASK, VLUXSEG5EI8_V, 0x7, 0x0 }, // 5702
  { PseudoVLUXSEG5EI8_V_MF8_MF2, VLUXSEG5EI8_V, 0x7, 0x0 }, // 5703
  { PseudoVLUXSEG5EI8_V_MF8_MF2_MASK, VLUXSEG5EI8_V, 0x7, 0x0 }, // 5704
  { PseudoVLUXSEG6EI16_V_M1_M1, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5705
  { PseudoVLUXSEG6EI16_V_M1_M1_MASK, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5706
  { PseudoVLUXSEG6EI16_V_M2_M1, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5707
  { PseudoVLUXSEG6EI16_V_M2_M1_MASK, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5708
  { PseudoVLUXSEG6EI16_V_MF2_M1, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5709
  { PseudoVLUXSEG6EI16_V_MF2_M1_MASK, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5710
  { PseudoVLUXSEG6EI16_V_MF4_M1, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5711
  { PseudoVLUXSEG6EI16_V_MF4_M1_MASK, VLUXSEG6EI16_V, 0x0, 0x0 }, // 5712
  { PseudoVLUXSEG6EI16_V_MF4_MF8, VLUXSEG6EI16_V, 0x5, 0x0 }, // 5713
  { PseudoVLUXSEG6EI16_V_MF4_MF8_MASK, VLUXSEG6EI16_V, 0x5, 0x0 }, // 5714
  { PseudoVLUXSEG6EI16_V_MF2_MF4, VLUXSEG6EI16_V, 0x6, 0x0 }, // 5715
  { PseudoVLUXSEG6EI16_V_MF2_MF4_MASK, VLUXSEG6EI16_V, 0x6, 0x0 }, // 5716
  { PseudoVLUXSEG6EI16_V_MF4_MF4, VLUXSEG6EI16_V, 0x6, 0x0 }, // 5717
  { PseudoVLUXSEG6EI16_V_MF4_MF4_MASK, VLUXSEG6EI16_V, 0x6, 0x0 }, // 5718
  { PseudoVLUXSEG6EI16_V_M1_MF2, VLUXSEG6EI16_V, 0x7, 0x0 }, // 5719
  { PseudoVLUXSEG6EI16_V_M1_MF2_MASK, VLUXSEG6EI16_V, 0x7, 0x0 }, // 5720
  { PseudoVLUXSEG6EI16_V_MF2_MF2, VLUXSEG6EI16_V, 0x7, 0x0 }, // 5721
  { PseudoVLUXSEG6EI16_V_MF2_MF2_MASK, VLUXSEG6EI16_V, 0x7, 0x0 }, // 5722
  { PseudoVLUXSEG6EI16_V_MF4_MF2, VLUXSEG6EI16_V, 0x7, 0x0 }, // 5723
  { PseudoVLUXSEG6EI16_V_MF4_MF2_MASK, VLUXSEG6EI16_V, 0x7, 0x0 }, // 5724
  { PseudoVLUXSEG6EI32_V_M1_M1, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5725
  { PseudoVLUXSEG6EI32_V_M1_M1_MASK, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5726
  { PseudoVLUXSEG6EI32_V_M2_M1, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5727
  { PseudoVLUXSEG6EI32_V_M2_M1_MASK, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5728
  { PseudoVLUXSEG6EI32_V_M4_M1, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5729
  { PseudoVLUXSEG6EI32_V_M4_M1_MASK, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5730
  { PseudoVLUXSEG6EI32_V_MF2_M1, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5731
  { PseudoVLUXSEG6EI32_V_MF2_M1_MASK, VLUXSEG6EI32_V, 0x0, 0x0 }, // 5732
  { PseudoVLUXSEG6EI32_V_MF2_MF8, VLUXSEG6EI32_V, 0x5, 0x0 }, // 5733
  { PseudoVLUXSEG6EI32_V_MF2_MF8_MASK, VLUXSEG6EI32_V, 0x5, 0x0 }, // 5734
  { PseudoVLUXSEG6EI32_V_M1_MF4, VLUXSEG6EI32_V, 0x6, 0x0 }, // 5735
  { PseudoVLUXSEG6EI32_V_M1_MF4_MASK, VLUXSEG6EI32_V, 0x6, 0x0 }, // 5736
  { PseudoVLUXSEG6EI32_V_MF2_MF4, VLUXSEG6EI32_V, 0x6, 0x0 }, // 5737
  { PseudoVLUXSEG6EI32_V_MF2_MF4_MASK, VLUXSEG6EI32_V, 0x6, 0x0 }, // 5738
  { PseudoVLUXSEG6EI32_V_M1_MF2, VLUXSEG6EI32_V, 0x7, 0x0 }, // 5739
  { PseudoVLUXSEG6EI32_V_M1_MF2_MASK, VLUXSEG6EI32_V, 0x7, 0x0 }, // 5740
  { PseudoVLUXSEG6EI32_V_M2_MF2, VLUXSEG6EI32_V, 0x7, 0x0 }, // 5741
  { PseudoVLUXSEG6EI32_V_M2_MF2_MASK, VLUXSEG6EI32_V, 0x7, 0x0 }, // 5742
  { PseudoVLUXSEG6EI32_V_MF2_MF2, VLUXSEG6EI32_V, 0x7, 0x0 }, // 5743
  { PseudoVLUXSEG6EI32_V_MF2_MF2_MASK, VLUXSEG6EI32_V, 0x7, 0x0 }, // 5744
  { PseudoVLUXSEG6EI64_V_M1_M1, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5745
  { PseudoVLUXSEG6EI64_V_M1_M1_MASK, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5746
  { PseudoVLUXSEG6EI64_V_M2_M1, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5747
  { PseudoVLUXSEG6EI64_V_M2_M1_MASK, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5748
  { PseudoVLUXSEG6EI64_V_M4_M1, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5749
  { PseudoVLUXSEG6EI64_V_M4_M1_MASK, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5750
  { PseudoVLUXSEG6EI64_V_M8_M1, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5751
  { PseudoVLUXSEG6EI64_V_M8_M1_MASK, VLUXSEG6EI64_V, 0x0, 0x0 }, // 5752
  { PseudoVLUXSEG6EI64_V_M1_MF8, VLUXSEG6EI64_V, 0x5, 0x0 }, // 5753
  { PseudoVLUXSEG6EI64_V_M1_MF8_MASK, VLUXSEG6EI64_V, 0x5, 0x0 }, // 5754
  { PseudoVLUXSEG6EI64_V_M1_MF4, VLUXSEG6EI64_V, 0x6, 0x0 }, // 5755
  { PseudoVLUXSEG6EI64_V_M1_MF4_MASK, VLUXSEG6EI64_V, 0x6, 0x0 }, // 5756
  { PseudoVLUXSEG6EI64_V_M2_MF4, VLUXSEG6EI64_V, 0x6, 0x0 }, // 5757
  { PseudoVLUXSEG6EI64_V_M2_MF4_MASK, VLUXSEG6EI64_V, 0x6, 0x0 }, // 5758
  { PseudoVLUXSEG6EI64_V_M1_MF2, VLUXSEG6EI64_V, 0x7, 0x0 }, // 5759
  { PseudoVLUXSEG6EI64_V_M1_MF2_MASK, VLUXSEG6EI64_V, 0x7, 0x0 }, // 5760
  { PseudoVLUXSEG6EI64_V_M2_MF2, VLUXSEG6EI64_V, 0x7, 0x0 }, // 5761
  { PseudoVLUXSEG6EI64_V_M2_MF2_MASK, VLUXSEG6EI64_V, 0x7, 0x0 }, // 5762
  { PseudoVLUXSEG6EI64_V_M4_MF2, VLUXSEG6EI64_V, 0x7, 0x0 }, // 5763
  { PseudoVLUXSEG6EI64_V_M4_MF2_MASK, VLUXSEG6EI64_V, 0x7, 0x0 }, // 5764
  { PseudoVLUXSEG6EI8_V_M1_M1, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5765
  { PseudoVLUXSEG6EI8_V_M1_M1_MASK, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5766
  { PseudoVLUXSEG6EI8_V_MF2_M1, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5767
  { PseudoVLUXSEG6EI8_V_MF2_M1_MASK, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5768
  { PseudoVLUXSEG6EI8_V_MF4_M1, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5769
  { PseudoVLUXSEG6EI8_V_MF4_M1_MASK, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5770
  { PseudoVLUXSEG6EI8_V_MF8_M1, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5771
  { PseudoVLUXSEG6EI8_V_MF8_M1_MASK, VLUXSEG6EI8_V, 0x0, 0x0 }, // 5772
  { PseudoVLUXSEG6EI8_V_MF8_MF8, VLUXSEG6EI8_V, 0x5, 0x0 }, // 5773
  { PseudoVLUXSEG6EI8_V_MF8_MF8_MASK, VLUXSEG6EI8_V, 0x5, 0x0 }, // 5774
  { PseudoVLUXSEG6EI8_V_MF4_MF4, VLUXSEG6EI8_V, 0x6, 0x0 }, // 5775
  { PseudoVLUXSEG6EI8_V_MF4_MF4_MASK, VLUXSEG6EI8_V, 0x6, 0x0 }, // 5776
  { PseudoVLUXSEG6EI8_V_MF8_MF4, VLUXSEG6EI8_V, 0x6, 0x0 }, // 5777
  { PseudoVLUXSEG6EI8_V_MF8_MF4_MASK, VLUXSEG6EI8_V, 0x6, 0x0 }, // 5778
  { PseudoVLUXSEG6EI8_V_MF2_MF2, VLUXSEG6EI8_V, 0x7, 0x0 }, // 5779
  { PseudoVLUXSEG6EI8_V_MF2_MF2_MASK, VLUXSEG6EI8_V, 0x7, 0x0 }, // 5780
  { PseudoVLUXSEG6EI8_V_MF4_MF2, VLUXSEG6EI8_V, 0x7, 0x0 }, // 5781
  { PseudoVLUXSEG6EI8_V_MF4_MF2_MASK, VLUXSEG6EI8_V, 0x7, 0x0 }, // 5782
  { PseudoVLUXSEG6EI8_V_MF8_MF2, VLUXSEG6EI8_V, 0x7, 0x0 }, // 5783
  { PseudoVLUXSEG6EI8_V_MF8_MF2_MASK, VLUXSEG6EI8_V, 0x7, 0x0 }, // 5784
  { PseudoVLUXSEG7EI16_V_M1_M1, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5785
  { PseudoVLUXSEG7EI16_V_M1_M1_MASK, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5786
  { PseudoVLUXSEG7EI16_V_M2_M1, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5787
  { PseudoVLUXSEG7EI16_V_M2_M1_MASK, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5788
  { PseudoVLUXSEG7EI16_V_MF2_M1, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5789
  { PseudoVLUXSEG7EI16_V_MF2_M1_MASK, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5790
  { PseudoVLUXSEG7EI16_V_MF4_M1, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5791
  { PseudoVLUXSEG7EI16_V_MF4_M1_MASK, VLUXSEG7EI16_V, 0x0, 0x0 }, // 5792
  { PseudoVLUXSEG7EI16_V_MF4_MF8, VLUXSEG7EI16_V, 0x5, 0x0 }, // 5793
  { PseudoVLUXSEG7EI16_V_MF4_MF8_MASK, VLUXSEG7EI16_V, 0x5, 0x0 }, // 5794
  { PseudoVLUXSEG7EI16_V_MF2_MF4, VLUXSEG7EI16_V, 0x6, 0x0 }, // 5795
  { PseudoVLUXSEG7EI16_V_MF2_MF4_MASK, VLUXSEG7EI16_V, 0x6, 0x0 }, // 5796
  { PseudoVLUXSEG7EI16_V_MF4_MF4, VLUXSEG7EI16_V, 0x6, 0x0 }, // 5797
  { PseudoVLUXSEG7EI16_V_MF4_MF4_MASK, VLUXSEG7EI16_V, 0x6, 0x0 }, // 5798
  { PseudoVLUXSEG7EI16_V_M1_MF2, VLUXSEG7EI16_V, 0x7, 0x0 }, // 5799
  { PseudoVLUXSEG7EI16_V_M1_MF2_MASK, VLUXSEG7EI16_V, 0x7, 0x0 }, // 5800
  { PseudoVLUXSEG7EI16_V_MF2_MF2, VLUXSEG7EI16_V, 0x7, 0x0 }, // 5801
  { PseudoVLUXSEG7EI16_V_MF2_MF2_MASK, VLUXSEG7EI16_V, 0x7, 0x0 }, // 5802
  { PseudoVLUXSEG7EI16_V_MF4_MF2, VLUXSEG7EI16_V, 0x7, 0x0 }, // 5803
  { PseudoVLUXSEG7EI16_V_MF4_MF2_MASK, VLUXSEG7EI16_V, 0x7, 0x0 }, // 5804
  { PseudoVLUXSEG7EI32_V_M1_M1, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5805
  { PseudoVLUXSEG7EI32_V_M1_M1_MASK, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5806
  { PseudoVLUXSEG7EI32_V_M2_M1, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5807
  { PseudoVLUXSEG7EI32_V_M2_M1_MASK, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5808
  { PseudoVLUXSEG7EI32_V_M4_M1, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5809
  { PseudoVLUXSEG7EI32_V_M4_M1_MASK, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5810
  { PseudoVLUXSEG7EI32_V_MF2_M1, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5811
  { PseudoVLUXSEG7EI32_V_MF2_M1_MASK, VLUXSEG7EI32_V, 0x0, 0x0 }, // 5812
  { PseudoVLUXSEG7EI32_V_MF2_MF8, VLUXSEG7EI32_V, 0x5, 0x0 }, // 5813
  { PseudoVLUXSEG7EI32_V_MF2_MF8_MASK, VLUXSEG7EI32_V, 0x5, 0x0 }, // 5814
  { PseudoVLUXSEG7EI32_V_M1_MF4, VLUXSEG7EI32_V, 0x6, 0x0 }, // 5815
  { PseudoVLUXSEG7EI32_V_M1_MF4_MASK, VLUXSEG7EI32_V, 0x6, 0x0 }, // 5816
  { PseudoVLUXSEG7EI32_V_MF2_MF4, VLUXSEG7EI32_V, 0x6, 0x0 }, // 5817
  { PseudoVLUXSEG7EI32_V_MF2_MF4_MASK, VLUXSEG7EI32_V, 0x6, 0x0 }, // 5818
  { PseudoVLUXSEG7EI32_V_M1_MF2, VLUXSEG7EI32_V, 0x7, 0x0 }, // 5819
  { PseudoVLUXSEG7EI32_V_M1_MF2_MASK, VLUXSEG7EI32_V, 0x7, 0x0 }, // 5820
  { PseudoVLUXSEG7EI32_V_M2_MF2, VLUXSEG7EI32_V, 0x7, 0x0 }, // 5821
  { PseudoVLUXSEG7EI32_V_M2_MF2_MASK, VLUXSEG7EI32_V, 0x7, 0x0 }, // 5822
  { PseudoVLUXSEG7EI32_V_MF2_MF2, VLUXSEG7EI32_V, 0x7, 0x0 }, // 5823
  { PseudoVLUXSEG7EI32_V_MF2_MF2_MASK, VLUXSEG7EI32_V, 0x7, 0x0 }, // 5824
  { PseudoVLUXSEG7EI64_V_M1_M1, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5825
  { PseudoVLUXSEG7EI64_V_M1_M1_MASK, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5826
  { PseudoVLUXSEG7EI64_V_M2_M1, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5827
  { PseudoVLUXSEG7EI64_V_M2_M1_MASK, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5828
  { PseudoVLUXSEG7EI64_V_M4_M1, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5829
  { PseudoVLUXSEG7EI64_V_M4_M1_MASK, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5830
  { PseudoVLUXSEG7EI64_V_M8_M1, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5831
  { PseudoVLUXSEG7EI64_V_M8_M1_MASK, VLUXSEG7EI64_V, 0x0, 0x0 }, // 5832
  { PseudoVLUXSEG7EI64_V_M1_MF8, VLUXSEG7EI64_V, 0x5, 0x0 }, // 5833
  { PseudoVLUXSEG7EI64_V_M1_MF8_MASK, VLUXSEG7EI64_V, 0x5, 0x0 }, // 5834
  { PseudoVLUXSEG7EI64_V_M1_MF4, VLUXSEG7EI64_V, 0x6, 0x0 }, // 5835
  { PseudoVLUXSEG7EI64_V_M1_MF4_MASK, VLUXSEG7EI64_V, 0x6, 0x0 }, // 5836
  { PseudoVLUXSEG7EI64_V_M2_MF4, VLUXSEG7EI64_V, 0x6, 0x0 }, // 5837
  { PseudoVLUXSEG7EI64_V_M2_MF4_MASK, VLUXSEG7EI64_V, 0x6, 0x0 }, // 5838
  { PseudoVLUXSEG7EI64_V_M1_MF2, VLUXSEG7EI64_V, 0x7, 0x0 }, // 5839
  { PseudoVLUXSEG7EI64_V_M1_MF2_MASK, VLUXSEG7EI64_V, 0x7, 0x0 }, // 5840
  { PseudoVLUXSEG7EI64_V_M2_MF2, VLUXSEG7EI64_V, 0x7, 0x0 }, // 5841
  { PseudoVLUXSEG7EI64_V_M2_MF2_MASK, VLUXSEG7EI64_V, 0x7, 0x0 }, // 5842
  { PseudoVLUXSEG7EI64_V_M4_MF2, VLUXSEG7EI64_V, 0x7, 0x0 }, // 5843
  { PseudoVLUXSEG7EI64_V_M4_MF2_MASK, VLUXSEG7EI64_V, 0x7, 0x0 }, // 5844
  { PseudoVLUXSEG7EI8_V_M1_M1, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5845
  { PseudoVLUXSEG7EI8_V_M1_M1_MASK, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5846
  { PseudoVLUXSEG7EI8_V_MF2_M1, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5847
  { PseudoVLUXSEG7EI8_V_MF2_M1_MASK, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5848
  { PseudoVLUXSEG7EI8_V_MF4_M1, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5849
  { PseudoVLUXSEG7EI8_V_MF4_M1_MASK, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5850
  { PseudoVLUXSEG7EI8_V_MF8_M1, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5851
  { PseudoVLUXSEG7EI8_V_MF8_M1_MASK, VLUXSEG7EI8_V, 0x0, 0x0 }, // 5852
  { PseudoVLUXSEG7EI8_V_MF8_MF8, VLUXSEG7EI8_V, 0x5, 0x0 }, // 5853
  { PseudoVLUXSEG7EI8_V_MF8_MF8_MASK, VLUXSEG7EI8_V, 0x5, 0x0 }, // 5854
  { PseudoVLUXSEG7EI8_V_MF4_MF4, VLUXSEG7EI8_V, 0x6, 0x0 }, // 5855
  { PseudoVLUXSEG7EI8_V_MF4_MF4_MASK, VLUXSEG7EI8_V, 0x6, 0x0 }, // 5856
  { PseudoVLUXSEG7EI8_V_MF8_MF4, VLUXSEG7EI8_V, 0x6, 0x0 }, // 5857
  { PseudoVLUXSEG7EI8_V_MF8_MF4_MASK, VLUXSEG7EI8_V, 0x6, 0x0 }, // 5858
  { PseudoVLUXSEG7EI8_V_MF2_MF2, VLUXSEG7EI8_V, 0x7, 0x0 }, // 5859
  { PseudoVLUXSEG7EI8_V_MF2_MF2_MASK, VLUXSEG7EI8_V, 0x7, 0x0 }, // 5860
  { PseudoVLUXSEG7EI8_V_MF4_MF2, VLUXSEG7EI8_V, 0x7, 0x0 }, // 5861
  { PseudoVLUXSEG7EI8_V_MF4_MF2_MASK, VLUXSEG7EI8_V, 0x7, 0x0 }, // 5862
  { PseudoVLUXSEG7EI8_V_MF8_MF2, VLUXSEG7EI8_V, 0x7, 0x0 }, // 5863
  { PseudoVLUXSEG7EI8_V_MF8_MF2_MASK, VLUXSEG7EI8_V, 0x7, 0x0 }, // 5864
  { PseudoVLUXSEG8EI16_V_M1_M1, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5865
  { PseudoVLUXSEG8EI16_V_M1_M1_MASK, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5866
  { PseudoVLUXSEG8EI16_V_M2_M1, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5867
  { PseudoVLUXSEG8EI16_V_M2_M1_MASK, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5868
  { PseudoVLUXSEG8EI16_V_MF2_M1, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5869
  { PseudoVLUXSEG8EI16_V_MF2_M1_MASK, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5870
  { PseudoVLUXSEG8EI16_V_MF4_M1, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5871
  { PseudoVLUXSEG8EI16_V_MF4_M1_MASK, VLUXSEG8EI16_V, 0x0, 0x0 }, // 5872
  { PseudoVLUXSEG8EI16_V_MF4_MF8, VLUXSEG8EI16_V, 0x5, 0x0 }, // 5873
  { PseudoVLUXSEG8EI16_V_MF4_MF8_MASK, VLUXSEG8EI16_V, 0x5, 0x0 }, // 5874
  { PseudoVLUXSEG8EI16_V_MF2_MF4, VLUXSEG8EI16_V, 0x6, 0x0 }, // 5875
  { PseudoVLUXSEG8EI16_V_MF2_MF4_MASK, VLUXSEG8EI16_V, 0x6, 0x0 }, // 5876
  { PseudoVLUXSEG8EI16_V_MF4_MF4, VLUXSEG8EI16_V, 0x6, 0x0 }, // 5877
  { PseudoVLUXSEG8EI16_V_MF4_MF4_MASK, VLUXSEG8EI16_V, 0x6, 0x0 }, // 5878
  { PseudoVLUXSEG8EI16_V_M1_MF2, VLUXSEG8EI16_V, 0x7, 0x0 }, // 5879
  { PseudoVLUXSEG8EI16_V_M1_MF2_MASK, VLUXSEG8EI16_V, 0x7, 0x0 }, // 5880
  { PseudoVLUXSEG8EI16_V_MF2_MF2, VLUXSEG8EI16_V, 0x7, 0x0 }, // 5881
  { PseudoVLUXSEG8EI16_V_MF2_MF2_MASK, VLUXSEG8EI16_V, 0x7, 0x0 }, // 5882
  { PseudoVLUXSEG8EI16_V_MF4_MF2, VLUXSEG8EI16_V, 0x7, 0x0 }, // 5883
  { PseudoVLUXSEG8EI16_V_MF4_MF2_MASK, VLUXSEG8EI16_V, 0x7, 0x0 }, // 5884
  { PseudoVLUXSEG8EI32_V_M1_M1, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5885
  { PseudoVLUXSEG8EI32_V_M1_M1_MASK, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5886
  { PseudoVLUXSEG8EI32_V_M2_M1, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5887
  { PseudoVLUXSEG8EI32_V_M2_M1_MASK, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5888
  { PseudoVLUXSEG8EI32_V_M4_M1, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5889
  { PseudoVLUXSEG8EI32_V_M4_M1_MASK, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5890
  { PseudoVLUXSEG8EI32_V_MF2_M1, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5891
  { PseudoVLUXSEG8EI32_V_MF2_M1_MASK, VLUXSEG8EI32_V, 0x0, 0x0 }, // 5892
  { PseudoVLUXSEG8EI32_V_MF2_MF8, VLUXSEG8EI32_V, 0x5, 0x0 }, // 5893
  { PseudoVLUXSEG8EI32_V_MF2_MF8_MASK, VLUXSEG8EI32_V, 0x5, 0x0 }, // 5894
  { PseudoVLUXSEG8EI32_V_M1_MF4, VLUXSEG8EI32_V, 0x6, 0x0 }, // 5895
  { PseudoVLUXSEG8EI32_V_M1_MF4_MASK, VLUXSEG8EI32_V, 0x6, 0x0 }, // 5896
  { PseudoVLUXSEG8EI32_V_MF2_MF4, VLUXSEG8EI32_V, 0x6, 0x0 }, // 5897
  { PseudoVLUXSEG8EI32_V_MF2_MF4_MASK, VLUXSEG8EI32_V, 0x6, 0x0 }, // 5898
  { PseudoVLUXSEG8EI32_V_M1_MF2, VLUXSEG8EI32_V, 0x7, 0x0 }, // 5899
  { PseudoVLUXSEG8EI32_V_M1_MF2_MASK, VLUXSEG8EI32_V, 0x7, 0x0 }, // 5900
  { PseudoVLUXSEG8EI32_V_M2_MF2, VLUXSEG8EI32_V, 0x7, 0x0 }, // 5901
  { PseudoVLUXSEG8EI32_V_M2_MF2_MASK, VLUXSEG8EI32_V, 0x7, 0x0 }, // 5902
  { PseudoVLUXSEG8EI32_V_MF2_MF2, VLUXSEG8EI32_V, 0x7, 0x0 }, // 5903
  { PseudoVLUXSEG8EI32_V_MF2_MF2_MASK, VLUXSEG8EI32_V, 0x7, 0x0 }, // 5904
  { PseudoVLUXSEG8EI64_V_M1_M1, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5905
  { PseudoVLUXSEG8EI64_V_M1_M1_MASK, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5906
  { PseudoVLUXSEG8EI64_V_M2_M1, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5907
  { PseudoVLUXSEG8EI64_V_M2_M1_MASK, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5908
  { PseudoVLUXSEG8EI64_V_M4_M1, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5909
  { PseudoVLUXSEG8EI64_V_M4_M1_MASK, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5910
  { PseudoVLUXSEG8EI64_V_M8_M1, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5911
  { PseudoVLUXSEG8EI64_V_M8_M1_MASK, VLUXSEG8EI64_V, 0x0, 0x0 }, // 5912
  { PseudoVLUXSEG8EI64_V_M1_MF8, VLUXSEG8EI64_V, 0x5, 0x0 }, // 5913
  { PseudoVLUXSEG8EI64_V_M1_MF8_MASK, VLUXSEG8EI64_V, 0x5, 0x0 }, // 5914
  { PseudoVLUXSEG8EI64_V_M1_MF4, VLUXSEG8EI64_V, 0x6, 0x0 }, // 5915
  { PseudoVLUXSEG8EI64_V_M1_MF4_MASK, VLUXSEG8EI64_V, 0x6, 0x0 }, // 5916
  { PseudoVLUXSEG8EI64_V_M2_MF4, VLUXSEG8EI64_V, 0x6, 0x0 }, // 5917
  { PseudoVLUXSEG8EI64_V_M2_MF4_MASK, VLUXSEG8EI64_V, 0x6, 0x0 }, // 5918
  { PseudoVLUXSEG8EI64_V_M1_MF2, VLUXSEG8EI64_V, 0x7, 0x0 }, // 5919
  { PseudoVLUXSEG8EI64_V_M1_MF2_MASK, VLUXSEG8EI64_V, 0x7, 0x0 }, // 5920
  { PseudoVLUXSEG8EI64_V_M2_MF2, VLUXSEG8EI64_V, 0x7, 0x0 }, // 5921
  { PseudoVLUXSEG8EI64_V_M2_MF2_MASK, VLUXSEG8EI64_V, 0x7, 0x0 }, // 5922
  { PseudoVLUXSEG8EI64_V_M4_MF2, VLUXSEG8EI64_V, 0x7, 0x0 }, // 5923
  { PseudoVLUXSEG8EI64_V_M4_MF2_MASK, VLUXSEG8EI64_V, 0x7, 0x0 }, // 5924
  { PseudoVLUXSEG8EI8_V_M1_M1, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5925
  { PseudoVLUXSEG8EI8_V_M1_M1_MASK, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5926
  { PseudoVLUXSEG8EI8_V_MF2_M1, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5927
  { PseudoVLUXSEG8EI8_V_MF2_M1_MASK, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5928
  { PseudoVLUXSEG8EI8_V_MF4_M1, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5929
  { PseudoVLUXSEG8EI8_V_MF4_M1_MASK, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5930
  { PseudoVLUXSEG8EI8_V_MF8_M1, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5931
  { PseudoVLUXSEG8EI8_V_MF8_M1_MASK, VLUXSEG8EI8_V, 0x0, 0x0 }, // 5932
  { PseudoVLUXSEG8EI8_V_MF8_MF8, VLUXSEG8EI8_V, 0x5, 0x0 }, // 5933
  { PseudoVLUXSEG8EI8_V_MF8_MF8_MASK, VLUXSEG8EI8_V, 0x5, 0x0 }, // 5934
  { PseudoVLUXSEG8EI8_V_MF4_MF4, VLUXSEG8EI8_V, 0x6, 0x0 }, // 5935
  { PseudoVLUXSEG8EI8_V_MF4_MF4_MASK, VLUXSEG8EI8_V, 0x6, 0x0 }, // 5936
  { PseudoVLUXSEG8EI8_V_MF8_MF4, VLUXSEG8EI8_V, 0x6, 0x0 }, // 5937
  { PseudoVLUXSEG8EI8_V_MF8_MF4_MASK, VLUXSEG8EI8_V, 0x6, 0x0 }, // 5938
  { PseudoVLUXSEG8EI8_V_MF2_MF2, VLUXSEG8EI8_V, 0x7, 0x0 }, // 5939
  { PseudoVLUXSEG8EI8_V_MF2_MF2_MASK, VLUXSEG8EI8_V, 0x7, 0x0 }, // 5940
  { PseudoVLUXSEG8EI8_V_MF4_MF2, VLUXSEG8EI8_V, 0x7, 0x0 }, // 5941
  { PseudoVLUXSEG8EI8_V_MF4_MF2_MASK, VLUXSEG8EI8_V, 0x7, 0x0 }, // 5942
  { PseudoVLUXSEG8EI8_V_MF8_MF2, VLUXSEG8EI8_V, 0x7, 0x0 }, // 5943
  { PseudoVLUXSEG8EI8_V_MF8_MF2_MASK, VLUXSEG8EI8_V, 0x7, 0x0 }, // 5944
  { PseudoVMACC_VV_M1, VMACC_VV, 0x0, 0x0 }, // 5945
  { PseudoVMACC_VV_M1_MASK, VMACC_VV, 0x0, 0x0 }, // 5946
  { PseudoVMACC_VV_M2, VMACC_VV, 0x1, 0x0 }, // 5947
  { PseudoVMACC_VV_M2_MASK, VMACC_VV, 0x1, 0x0 }, // 5948
  { PseudoVMACC_VV_M4, VMACC_VV, 0x2, 0x0 }, // 5949
  { PseudoVMACC_VV_M4_MASK, VMACC_VV, 0x2, 0x0 }, // 5950
  { PseudoVMACC_VV_M8, VMACC_VV, 0x3, 0x0 }, // 5951
  { PseudoVMACC_VV_M8_MASK, VMACC_VV, 0x3, 0x0 }, // 5952
  { PseudoVMACC_VV_MF8, VMACC_VV, 0x5, 0x0 }, // 5953
  { PseudoVMACC_VV_MF8_MASK, VMACC_VV, 0x5, 0x0 }, // 5954
  { PseudoVMACC_VV_MF4, VMACC_VV, 0x6, 0x0 }, // 5955
  { PseudoVMACC_VV_MF4_MASK, VMACC_VV, 0x6, 0x0 }, // 5956
  { PseudoVMACC_VV_MF2, VMACC_VV, 0x7, 0x0 }, // 5957
  { PseudoVMACC_VV_MF2_MASK, VMACC_VV, 0x7, 0x0 }, // 5958
  { PseudoVMACC_VX_M1, VMACC_VX, 0x0, 0x0 }, // 5959
  { PseudoVMACC_VX_M1_MASK, VMACC_VX, 0x0, 0x0 }, // 5960
  { PseudoVMACC_VX_M2, VMACC_VX, 0x1, 0x0 }, // 5961
  { PseudoVMACC_VX_M2_MASK, VMACC_VX, 0x1, 0x0 }, // 5962
  { PseudoVMACC_VX_M4, VMACC_VX, 0x2, 0x0 }, // 5963
  { PseudoVMACC_VX_M4_MASK, VMACC_VX, 0x2, 0x0 }, // 5964
  { PseudoVMACC_VX_M8, VMACC_VX, 0x3, 0x0 }, // 5965
  { PseudoVMACC_VX_M8_MASK, VMACC_VX, 0x3, 0x0 }, // 5966
  { PseudoVMACC_VX_MF8, VMACC_VX, 0x5, 0x0 }, // 5967
  { PseudoVMACC_VX_MF8_MASK, VMACC_VX, 0x5, 0x0 }, // 5968
  { PseudoVMACC_VX_MF4, VMACC_VX, 0x6, 0x0 }, // 5969
  { PseudoVMACC_VX_MF4_MASK, VMACC_VX, 0x6, 0x0 }, // 5970
  { PseudoVMACC_VX_MF2, VMACC_VX, 0x7, 0x0 }, // 5971
  { PseudoVMACC_VX_MF2_MASK, VMACC_VX, 0x7, 0x0 }, // 5972
  { PseudoVMADC_VI_M1, VMADC_VI, 0x0, 0x0 }, // 5973
  { PseudoVMADC_VI_M2, VMADC_VI, 0x1, 0x0 }, // 5974
  { PseudoVMADC_VI_M4, VMADC_VI, 0x2, 0x0 }, // 5975
  { PseudoVMADC_VI_M8, VMADC_VI, 0x3, 0x0 }, // 5976
  { PseudoVMADC_VI_MF8, VMADC_VI, 0x5, 0x0 }, // 5977
  { PseudoVMADC_VI_MF4, VMADC_VI, 0x6, 0x0 }, // 5978
  { PseudoVMADC_VI_MF2, VMADC_VI, 0x7, 0x0 }, // 5979
  { PseudoVMADC_VIM_M1, VMADC_VIM, 0x0, 0x0 }, // 5980
  { PseudoVMADC_VIM_M2, VMADC_VIM, 0x1, 0x0 }, // 5981
  { PseudoVMADC_VIM_M4, VMADC_VIM, 0x2, 0x0 }, // 5982
  { PseudoVMADC_VIM_M8, VMADC_VIM, 0x3, 0x0 }, // 5983
  { PseudoVMADC_VIM_MF8, VMADC_VIM, 0x5, 0x0 }, // 5984
  { PseudoVMADC_VIM_MF4, VMADC_VIM, 0x6, 0x0 }, // 5985
  { PseudoVMADC_VIM_MF2, VMADC_VIM, 0x7, 0x0 }, // 5986
  { PseudoVMADC_VV_M1, VMADC_VV, 0x0, 0x0 }, // 5987
  { PseudoVMADC_VV_M2, VMADC_VV, 0x1, 0x0 }, // 5988
  { PseudoVMADC_VV_M4, VMADC_VV, 0x2, 0x0 }, // 5989
  { PseudoVMADC_VV_M8, VMADC_VV, 0x3, 0x0 }, // 5990
  { PseudoVMADC_VV_MF8, VMADC_VV, 0x5, 0x0 }, // 5991
  { PseudoVMADC_VV_MF4, VMADC_VV, 0x6, 0x0 }, // 5992
  { PseudoVMADC_VV_MF2, VMADC_VV, 0x7, 0x0 }, // 5993
  { PseudoVMADC_VVM_M1, VMADC_VVM, 0x0, 0x0 }, // 5994
  { PseudoVMADC_VVM_M2, VMADC_VVM, 0x1, 0x0 }, // 5995
  { PseudoVMADC_VVM_M4, VMADC_VVM, 0x2, 0x0 }, // 5996
  { PseudoVMADC_VVM_M8, VMADC_VVM, 0x3, 0x0 }, // 5997
  { PseudoVMADC_VVM_MF8, VMADC_VVM, 0x5, 0x0 }, // 5998
  { PseudoVMADC_VVM_MF4, VMADC_VVM, 0x6, 0x0 }, // 5999
  { PseudoVMADC_VVM_MF2, VMADC_VVM, 0x7, 0x0 }, // 6000
  { PseudoVMADC_VX_M1, VMADC_VX, 0x0, 0x0 }, // 6001
  { PseudoVMADC_VX_M2, VMADC_VX, 0x1, 0x0 }, // 6002
  { PseudoVMADC_VX_M4, VMADC_VX, 0x2, 0x0 }, // 6003
  { PseudoVMADC_VX_M8, VMADC_VX, 0x3, 0x0 }, // 6004
  { PseudoVMADC_VX_MF8, VMADC_VX, 0x5, 0x0 }, // 6005
  { PseudoVMADC_VX_MF4, VMADC_VX, 0x6, 0x0 }, // 6006
  { PseudoVMADC_VX_MF2, VMADC_VX, 0x7, 0x0 }, // 6007
  { PseudoVMADC_VXM_M1, VMADC_VXM, 0x0, 0x0 }, // 6008
  { PseudoVMADC_VXM_M2, VMADC_VXM, 0x1, 0x0 }, // 6009
  { PseudoVMADC_VXM_M4, VMADC_VXM, 0x2, 0x0 }, // 6010
  { PseudoVMADC_VXM_M8, VMADC_VXM, 0x3, 0x0 }, // 6011
  { PseudoVMADC_VXM_MF8, VMADC_VXM, 0x5, 0x0 }, // 6012
  { PseudoVMADC_VXM_MF4, VMADC_VXM, 0x6, 0x0 }, // 6013
  { PseudoVMADC_VXM_MF2, VMADC_VXM, 0x7, 0x0 }, // 6014
  { PseudoVMADD_VV_M1, VMADD_VV, 0x0, 0x0 }, // 6015
  { PseudoVMADD_VV_M1_MASK, VMADD_VV, 0x0, 0x0 }, // 6016
  { PseudoVMADD_VV_M2, VMADD_VV, 0x1, 0x0 }, // 6017
  { PseudoVMADD_VV_M2_MASK, VMADD_VV, 0x1, 0x0 }, // 6018
  { PseudoVMADD_VV_M4, VMADD_VV, 0x2, 0x0 }, // 6019
  { PseudoVMADD_VV_M4_MASK, VMADD_VV, 0x2, 0x0 }, // 6020
  { PseudoVMADD_VV_M8, VMADD_VV, 0x3, 0x0 }, // 6021
  { PseudoVMADD_VV_M8_MASK, VMADD_VV, 0x3, 0x0 }, // 6022
  { PseudoVMADD_VV_MF8, VMADD_VV, 0x5, 0x0 }, // 6023
  { PseudoVMADD_VV_MF8_MASK, VMADD_VV, 0x5, 0x0 }, // 6024
  { PseudoVMADD_VV_MF4, VMADD_VV, 0x6, 0x0 }, // 6025
  { PseudoVMADD_VV_MF4_MASK, VMADD_VV, 0x6, 0x0 }, // 6026
  { PseudoVMADD_VV_MF2, VMADD_VV, 0x7, 0x0 }, // 6027
  { PseudoVMADD_VV_MF2_MASK, VMADD_VV, 0x7, 0x0 }, // 6028
  { PseudoVMADD_VX_M1, VMADD_VX, 0x0, 0x0 }, // 6029
  { PseudoVMADD_VX_M1_MASK, VMADD_VX, 0x0, 0x0 }, // 6030
  { PseudoVMADD_VX_M2, VMADD_VX, 0x1, 0x0 }, // 6031
  { PseudoVMADD_VX_M2_MASK, VMADD_VX, 0x1, 0x0 }, // 6032
  { PseudoVMADD_VX_M4, VMADD_VX, 0x2, 0x0 }, // 6033
  { PseudoVMADD_VX_M4_MASK, VMADD_VX, 0x2, 0x0 }, // 6034
  { PseudoVMADD_VX_M8, VMADD_VX, 0x3, 0x0 }, // 6035
  { PseudoVMADD_VX_M8_MASK, VMADD_VX, 0x3, 0x0 }, // 6036
  { PseudoVMADD_VX_MF8, VMADD_VX, 0x5, 0x0 }, // 6037
  { PseudoVMADD_VX_MF8_MASK, VMADD_VX, 0x5, 0x0 }, // 6038
  { PseudoVMADD_VX_MF4, VMADD_VX, 0x6, 0x0 }, // 6039
  { PseudoVMADD_VX_MF4_MASK, VMADD_VX, 0x6, 0x0 }, // 6040
  { PseudoVMADD_VX_MF2, VMADD_VX, 0x7, 0x0 }, // 6041
  { PseudoVMADD_VX_MF2_MASK, VMADD_VX, 0x7, 0x0 }, // 6042
  { PseudoVMANDN_MM_M1, VMANDN_MM, 0x0, 0x0 }, // 6043
  { PseudoVMANDN_MM_M2, VMANDN_MM, 0x1, 0x0 }, // 6044
  { PseudoVMANDN_MM_M4, VMANDN_MM, 0x2, 0x0 }, // 6045
  { PseudoVMANDN_MM_M8, VMANDN_MM, 0x3, 0x0 }, // 6046
  { PseudoVMANDN_MM_MF8, VMANDN_MM, 0x5, 0x0 }, // 6047
  { PseudoVMANDN_MM_MF4, VMANDN_MM, 0x6, 0x0 }, // 6048
  { PseudoVMANDN_MM_MF2, VMANDN_MM, 0x7, 0x0 }, // 6049
  { PseudoVMAND_MM_M1, VMAND_MM, 0x0, 0x0 }, // 6050
  { PseudoVMAND_MM_M2, VMAND_MM, 0x1, 0x0 }, // 6051
  { PseudoVMAND_MM_M4, VMAND_MM, 0x2, 0x0 }, // 6052
  { PseudoVMAND_MM_M8, VMAND_MM, 0x3, 0x0 }, // 6053
  { PseudoVMAND_MM_MF8, VMAND_MM, 0x5, 0x0 }, // 6054
  { PseudoVMAND_MM_MF4, VMAND_MM, 0x6, 0x0 }, // 6055
  { PseudoVMAND_MM_MF2, VMAND_MM, 0x7, 0x0 }, // 6056
  { PseudoVMAXU_VV_M1, VMAXU_VV, 0x0, 0x0 }, // 6057
  { PseudoVMAXU_VV_M1_MASK, VMAXU_VV, 0x0, 0x0 }, // 6058
  { PseudoVMAXU_VV_M2, VMAXU_VV, 0x1, 0x0 }, // 6059
  { PseudoVMAXU_VV_M2_MASK, VMAXU_VV, 0x1, 0x0 }, // 6060
  { PseudoVMAXU_VV_M4, VMAXU_VV, 0x2, 0x0 }, // 6061
  { PseudoVMAXU_VV_M4_MASK, VMAXU_VV, 0x2, 0x0 }, // 6062
  { PseudoVMAXU_VV_M8, VMAXU_VV, 0x3, 0x0 }, // 6063
  { PseudoVMAXU_VV_M8_MASK, VMAXU_VV, 0x3, 0x0 }, // 6064
  { PseudoVMAXU_VV_MF8, VMAXU_VV, 0x5, 0x0 }, // 6065
  { PseudoVMAXU_VV_MF8_MASK, VMAXU_VV, 0x5, 0x0 }, // 6066
  { PseudoVMAXU_VV_MF4, VMAXU_VV, 0x6, 0x0 }, // 6067
  { PseudoVMAXU_VV_MF4_MASK, VMAXU_VV, 0x6, 0x0 }, // 6068
  { PseudoVMAXU_VV_MF2, VMAXU_VV, 0x7, 0x0 }, // 6069
  { PseudoVMAXU_VV_MF2_MASK, VMAXU_VV, 0x7, 0x0 }, // 6070
  { PseudoVMAXU_VX_M1, VMAXU_VX, 0x0, 0x0 }, // 6071
  { PseudoVMAXU_VX_M1_MASK, VMAXU_VX, 0x0, 0x0 }, // 6072
  { PseudoVMAXU_VX_M2, VMAXU_VX, 0x1, 0x0 }, // 6073
  { PseudoVMAXU_VX_M2_MASK, VMAXU_VX, 0x1, 0x0 }, // 6074
  { PseudoVMAXU_VX_M4, VMAXU_VX, 0x2, 0x0 }, // 6075
  { PseudoVMAXU_VX_M4_MASK, VMAXU_VX, 0x2, 0x0 }, // 6076
  { PseudoVMAXU_VX_M8, VMAXU_VX, 0x3, 0x0 }, // 6077
  { PseudoVMAXU_VX_M8_MASK, VMAXU_VX, 0x3, 0x0 }, // 6078
  { PseudoVMAXU_VX_MF8, VMAXU_VX, 0x5, 0x0 }, // 6079
  { PseudoVMAXU_VX_MF8_MASK, VMAXU_VX, 0x5, 0x0 }, // 6080
  { PseudoVMAXU_VX_MF4, VMAXU_VX, 0x6, 0x0 }, // 6081
  { PseudoVMAXU_VX_MF4_MASK, VMAXU_VX, 0x6, 0x0 }, // 6082
  { PseudoVMAXU_VX_MF2, VMAXU_VX, 0x7, 0x0 }, // 6083
  { PseudoVMAXU_VX_MF2_MASK, VMAXU_VX, 0x7, 0x0 }, // 6084
  { PseudoVMAX_VV_M1, VMAX_VV, 0x0, 0x0 }, // 6085
  { PseudoVMAX_VV_M1_MASK, VMAX_VV, 0x0, 0x0 }, // 6086
  { PseudoVMAX_VV_M2, VMAX_VV, 0x1, 0x0 }, // 6087
  { PseudoVMAX_VV_M2_MASK, VMAX_VV, 0x1, 0x0 }, // 6088
  { PseudoVMAX_VV_M4, VMAX_VV, 0x2, 0x0 }, // 6089
  { PseudoVMAX_VV_M4_MASK, VMAX_VV, 0x2, 0x0 }, // 6090
  { PseudoVMAX_VV_M8, VMAX_VV, 0x3, 0x0 }, // 6091
  { PseudoVMAX_VV_M8_MASK, VMAX_VV, 0x3, 0x0 }, // 6092
  { PseudoVMAX_VV_MF8, VMAX_VV, 0x5, 0x0 }, // 6093
  { PseudoVMAX_VV_MF8_MASK, VMAX_VV, 0x5, 0x0 }, // 6094
  { PseudoVMAX_VV_MF4, VMAX_VV, 0x6, 0x0 }, // 6095
  { PseudoVMAX_VV_MF4_MASK, VMAX_VV, 0x6, 0x0 }, // 6096
  { PseudoVMAX_VV_MF2, VMAX_VV, 0x7, 0x0 }, // 6097
  { PseudoVMAX_VV_MF2_MASK, VMAX_VV, 0x7, 0x0 }, // 6098
  { PseudoVMAX_VX_M1, VMAX_VX, 0x0, 0x0 }, // 6099
  { PseudoVMAX_VX_M1_MASK, VMAX_VX, 0x0, 0x0 }, // 6100
  { PseudoVMAX_VX_M2, VMAX_VX, 0x1, 0x0 }, // 6101
  { PseudoVMAX_VX_M2_MASK, VMAX_VX, 0x1, 0x0 }, // 6102
  { PseudoVMAX_VX_M4, VMAX_VX, 0x2, 0x0 }, // 6103
  { PseudoVMAX_VX_M4_MASK, VMAX_VX, 0x2, 0x0 }, // 6104
  { PseudoVMAX_VX_M8, VMAX_VX, 0x3, 0x0 }, // 6105
  { PseudoVMAX_VX_M8_MASK, VMAX_VX, 0x3, 0x0 }, // 6106
  { PseudoVMAX_VX_MF8, VMAX_VX, 0x5, 0x0 }, // 6107
  { PseudoVMAX_VX_MF8_MASK, VMAX_VX, 0x5, 0x0 }, // 6108
  { PseudoVMAX_VX_MF4, VMAX_VX, 0x6, 0x0 }, // 6109
  { PseudoVMAX_VX_MF4_MASK, VMAX_VX, 0x6, 0x0 }, // 6110
  { PseudoVMAX_VX_MF2, VMAX_VX, 0x7, 0x0 }, // 6111
  { PseudoVMAX_VX_MF2_MASK, VMAX_VX, 0x7, 0x0 }, // 6112
  { PseudoVMERGE_VIM_M1, VMERGE_VIM, 0x0, 0x0 }, // 6113
  { PseudoVMERGE_VIM_M2, VMERGE_VIM, 0x1, 0x0 }, // 6114
  { PseudoVMERGE_VIM_M4, VMERGE_VIM, 0x2, 0x0 }, // 6115
  { PseudoVMERGE_VIM_M8, VMERGE_VIM, 0x3, 0x0 }, // 6116
  { PseudoVMERGE_VIM_MF8, VMERGE_VIM, 0x5, 0x0 }, // 6117
  { PseudoVMERGE_VIM_MF4, VMERGE_VIM, 0x6, 0x0 }, // 6118
  { PseudoVMERGE_VIM_MF2, VMERGE_VIM, 0x7, 0x0 }, // 6119
  { PseudoVMERGE_VVM_M1, VMERGE_VVM, 0x0, 0x0 }, // 6120
  { PseudoVMERGE_VVM_M2, VMERGE_VVM, 0x1, 0x0 }, // 6121
  { PseudoVMERGE_VVM_M4, VMERGE_VVM, 0x2, 0x0 }, // 6122
  { PseudoVMERGE_VVM_M8, VMERGE_VVM, 0x3, 0x0 }, // 6123
  { PseudoVMERGE_VVM_MF8, VMERGE_VVM, 0x5, 0x0 }, // 6124
  { PseudoVMERGE_VVM_MF4, VMERGE_VVM, 0x6, 0x0 }, // 6125
  { PseudoVMERGE_VVM_MF2, VMERGE_VVM, 0x7, 0x0 }, // 6126
  { PseudoVMERGE_VXM_M1, VMERGE_VXM, 0x0, 0x0 }, // 6127
  { PseudoVMERGE_VXM_M2, VMERGE_VXM, 0x1, 0x0 }, // 6128
  { PseudoVMERGE_VXM_M4, VMERGE_VXM, 0x2, 0x0 }, // 6129
  { PseudoVMERGE_VXM_M8, VMERGE_VXM, 0x3, 0x0 }, // 6130
  { PseudoVMERGE_VXM_MF8, VMERGE_VXM, 0x5, 0x0 }, // 6131
  { PseudoVMERGE_VXM_MF4, VMERGE_VXM, 0x6, 0x0 }, // 6132
  { PseudoVMERGE_VXM_MF2, VMERGE_VXM, 0x7, 0x0 }, // 6133
  { PseudoVMFEQ_VFPR16_M1, VMFEQ_VF, 0x0, 0x0 }, // 6134
  { PseudoVMFEQ_VFPR16_M1_MASK, VMFEQ_VF, 0x0, 0x0 }, // 6135
  { PseudoVMFEQ_VFPR32_M1, VMFEQ_VF, 0x0, 0x0 }, // 6136
  { PseudoVMFEQ_VFPR32_M1_MASK, VMFEQ_VF, 0x0, 0x0 }, // 6137
  { PseudoVMFEQ_VFPR64_M1, VMFEQ_VF, 0x0, 0x0 }, // 6138
  { PseudoVMFEQ_VFPR64_M1_MASK, VMFEQ_VF, 0x0, 0x0 }, // 6139
  { PseudoVMFEQ_VFPR16_M2, VMFEQ_VF, 0x1, 0x0 }, // 6140
  { PseudoVMFEQ_VFPR16_M2_MASK, VMFEQ_VF, 0x1, 0x0 }, // 6141
  { PseudoVMFEQ_VFPR32_M2, VMFEQ_VF, 0x1, 0x0 }, // 6142
  { PseudoVMFEQ_VFPR32_M2_MASK, VMFEQ_VF, 0x1, 0x0 }, // 6143
  { PseudoVMFEQ_VFPR64_M2, VMFEQ_VF, 0x1, 0x0 }, // 6144
  { PseudoVMFEQ_VFPR64_M2_MASK, VMFEQ_VF, 0x1, 0x0 }, // 6145
  { PseudoVMFEQ_VFPR16_M4, VMFEQ_VF, 0x2, 0x0 }, // 6146
  { PseudoVMFEQ_VFPR16_M4_MASK, VMFEQ_VF, 0x2, 0x0 }, // 6147
  { PseudoVMFEQ_VFPR32_M4, VMFEQ_VF, 0x2, 0x0 }, // 6148
  { PseudoVMFEQ_VFPR32_M4_MASK, VMFEQ_VF, 0x2, 0x0 }, // 6149
  { PseudoVMFEQ_VFPR64_M4, VMFEQ_VF, 0x2, 0x0 }, // 6150
  { PseudoVMFEQ_VFPR64_M4_MASK, VMFEQ_VF, 0x2, 0x0 }, // 6151
  { PseudoVMFEQ_VFPR16_M8, VMFEQ_VF, 0x3, 0x0 }, // 6152
  { PseudoVMFEQ_VFPR16_M8_MASK, VMFEQ_VF, 0x3, 0x0 }, // 6153
  { PseudoVMFEQ_VFPR32_M8, VMFEQ_VF, 0x3, 0x0 }, // 6154
  { PseudoVMFEQ_VFPR32_M8_MASK, VMFEQ_VF, 0x3, 0x0 }, // 6155
  { PseudoVMFEQ_VFPR64_M8, VMFEQ_VF, 0x3, 0x0 }, // 6156
  { PseudoVMFEQ_VFPR64_M8_MASK, VMFEQ_VF, 0x3, 0x0 }, // 6157
  { PseudoVMFEQ_VFPR16_MF4, VMFEQ_VF, 0x6, 0x0 }, // 6158
  { PseudoVMFEQ_VFPR16_MF4_MASK, VMFEQ_VF, 0x6, 0x0 }, // 6159
  { PseudoVMFEQ_VFPR16_MF2, VMFEQ_VF, 0x7, 0x0 }, // 6160
  { PseudoVMFEQ_VFPR16_MF2_MASK, VMFEQ_VF, 0x7, 0x0 }, // 6161
  { PseudoVMFEQ_VFPR32_MF2, VMFEQ_VF, 0x7, 0x0 }, // 6162
  { PseudoVMFEQ_VFPR32_MF2_MASK, VMFEQ_VF, 0x7, 0x0 }, // 6163
  { PseudoVMFEQ_VV_M1, VMFEQ_VV, 0x0, 0x0 }, // 6164
  { PseudoVMFEQ_VV_M1_MASK, VMFEQ_VV, 0x0, 0x0 }, // 6165
  { PseudoVMFEQ_VV_M2, VMFEQ_VV, 0x1, 0x0 }, // 6166
  { PseudoVMFEQ_VV_M2_MASK, VMFEQ_VV, 0x1, 0x0 }, // 6167
  { PseudoVMFEQ_VV_M4, VMFEQ_VV, 0x2, 0x0 }, // 6168
  { PseudoVMFEQ_VV_M4_MASK, VMFEQ_VV, 0x2, 0x0 }, // 6169
  { PseudoVMFEQ_VV_M8, VMFEQ_VV, 0x3, 0x0 }, // 6170
  { PseudoVMFEQ_VV_M8_MASK, VMFEQ_VV, 0x3, 0x0 }, // 6171
  { PseudoVMFEQ_VV_MF4, VMFEQ_VV, 0x6, 0x0 }, // 6172
  { PseudoVMFEQ_VV_MF4_MASK, VMFEQ_VV, 0x6, 0x0 }, // 6173
  { PseudoVMFEQ_VV_MF2, VMFEQ_VV, 0x7, 0x0 }, // 6174
  { PseudoVMFEQ_VV_MF2_MASK, VMFEQ_VV, 0x7, 0x0 }, // 6175
  { PseudoVMFGE_VFPR16_M1, VMFGE_VF, 0x0, 0x0 }, // 6176
  { PseudoVMFGE_VFPR16_M1_MASK, VMFGE_VF, 0x0, 0x0 }, // 6177
  { PseudoVMFGE_VFPR32_M1, VMFGE_VF, 0x0, 0x0 }, // 6178
  { PseudoVMFGE_VFPR32_M1_MASK, VMFGE_VF, 0x0, 0x0 }, // 6179
  { PseudoVMFGE_VFPR64_M1, VMFGE_VF, 0x0, 0x0 }, // 6180
  { PseudoVMFGE_VFPR64_M1_MASK, VMFGE_VF, 0x0, 0x0 }, // 6181
  { PseudoVMFGE_VFPR16_M2, VMFGE_VF, 0x1, 0x0 }, // 6182
  { PseudoVMFGE_VFPR16_M2_MASK, VMFGE_VF, 0x1, 0x0 }, // 6183
  { PseudoVMFGE_VFPR32_M2, VMFGE_VF, 0x1, 0x0 }, // 6184
  { PseudoVMFGE_VFPR32_M2_MASK, VMFGE_VF, 0x1, 0x0 }, // 6185
  { PseudoVMFGE_VFPR64_M2, VMFGE_VF, 0x1, 0x0 }, // 6186
  { PseudoVMFGE_VFPR64_M2_MASK, VMFGE_VF, 0x1, 0x0 }, // 6187
  { PseudoVMFGE_VFPR16_M4, VMFGE_VF, 0x2, 0x0 }, // 6188
  { PseudoVMFGE_VFPR16_M4_MASK, VMFGE_VF, 0x2, 0x0 }, // 6189
  { PseudoVMFGE_VFPR32_M4, VMFGE_VF, 0x2, 0x0 }, // 6190
  { PseudoVMFGE_VFPR32_M4_MASK, VMFGE_VF, 0x2, 0x0 }, // 6191
  { PseudoVMFGE_VFPR64_M4, VMFGE_VF, 0x2, 0x0 }, // 6192
  { PseudoVMFGE_VFPR64_M4_MASK, VMFGE_VF, 0x2, 0x0 }, // 6193
  { PseudoVMFGE_VFPR16_M8, VMFGE_VF, 0x3, 0x0 }, // 6194
  { PseudoVMFGE_VFPR16_M8_MASK, VMFGE_VF, 0x3, 0x0 }, // 6195
  { PseudoVMFGE_VFPR32_M8, VMFGE_VF, 0x3, 0x0 }, // 6196
  { PseudoVMFGE_VFPR32_M8_MASK, VMFGE_VF, 0x3, 0x0 }, // 6197
  { PseudoVMFGE_VFPR64_M8, VMFGE_VF, 0x3, 0x0 }, // 6198
  { PseudoVMFGE_VFPR64_M8_MASK, VMFGE_VF, 0x3, 0x0 }, // 6199
  { PseudoVMFGE_VFPR16_MF4, VMFGE_VF, 0x6, 0x0 }, // 6200
  { PseudoVMFGE_VFPR16_MF4_MASK, VMFGE_VF, 0x6, 0x0 }, // 6201
  { PseudoVMFGE_VFPR16_MF2, VMFGE_VF, 0x7, 0x0 }, // 6202
  { PseudoVMFGE_VFPR16_MF2_MASK, VMFGE_VF, 0x7, 0x0 }, // 6203
  { PseudoVMFGE_VFPR32_MF2, VMFGE_VF, 0x7, 0x0 }, // 6204
  { PseudoVMFGE_VFPR32_MF2_MASK, VMFGE_VF, 0x7, 0x0 }, // 6205
  { PseudoVMFGT_VFPR16_M1, VMFGT_VF, 0x0, 0x0 }, // 6206
  { PseudoVMFGT_VFPR16_M1_MASK, VMFGT_VF, 0x0, 0x0 }, // 6207
  { PseudoVMFGT_VFPR32_M1, VMFGT_VF, 0x0, 0x0 }, // 6208
  { PseudoVMFGT_VFPR32_M1_MASK, VMFGT_VF, 0x0, 0x0 }, // 6209
  { PseudoVMFGT_VFPR64_M1, VMFGT_VF, 0x0, 0x0 }, // 6210
  { PseudoVMFGT_VFPR64_M1_MASK, VMFGT_VF, 0x0, 0x0 }, // 6211
  { PseudoVMFGT_VFPR16_M2, VMFGT_VF, 0x1, 0x0 }, // 6212
  { PseudoVMFGT_VFPR16_M2_MASK, VMFGT_VF, 0x1, 0x0 }, // 6213
  { PseudoVMFGT_VFPR32_M2, VMFGT_VF, 0x1, 0x0 }, // 6214
  { PseudoVMFGT_VFPR32_M2_MASK, VMFGT_VF, 0x1, 0x0 }, // 6215
  { PseudoVMFGT_VFPR64_M2, VMFGT_VF, 0x1, 0x0 }, // 6216
  { PseudoVMFGT_VFPR64_M2_MASK, VMFGT_VF, 0x1, 0x0 }, // 6217
  { PseudoVMFGT_VFPR16_M4, VMFGT_VF, 0x2, 0x0 }, // 6218
  { PseudoVMFGT_VFPR16_M4_MASK, VMFGT_VF, 0x2, 0x0 }, // 6219
  { PseudoVMFGT_VFPR32_M4, VMFGT_VF, 0x2, 0x0 }, // 6220
  { PseudoVMFGT_VFPR32_M4_MASK, VMFGT_VF, 0x2, 0x0 }, // 6221
  { PseudoVMFGT_VFPR64_M4, VMFGT_VF, 0x2, 0x0 }, // 6222
  { PseudoVMFGT_VFPR64_M4_MASK, VMFGT_VF, 0x2, 0x0 }, // 6223
  { PseudoVMFGT_VFPR16_M8, VMFGT_VF, 0x3, 0x0 }, // 6224
  { PseudoVMFGT_VFPR16_M8_MASK, VMFGT_VF, 0x3, 0x0 }, // 6225
  { PseudoVMFGT_VFPR32_M8, VMFGT_VF, 0x3, 0x0 }, // 6226
  { PseudoVMFGT_VFPR32_M8_MASK, VMFGT_VF, 0x3, 0x0 }, // 6227
  { PseudoVMFGT_VFPR64_M8, VMFGT_VF, 0x3, 0x0 }, // 6228
  { PseudoVMFGT_VFPR64_M8_MASK, VMFGT_VF, 0x3, 0x0 }, // 6229
  { PseudoVMFGT_VFPR16_MF4, VMFGT_VF, 0x6, 0x0 }, // 6230
  { PseudoVMFGT_VFPR16_MF4_MASK, VMFGT_VF, 0x6, 0x0 }, // 6231
  { PseudoVMFGT_VFPR16_MF2, VMFGT_VF, 0x7, 0x0 }, // 6232
  { PseudoVMFGT_VFPR16_MF2_MASK, VMFGT_VF, 0x7, 0x0 }, // 6233
  { PseudoVMFGT_VFPR32_MF2, VMFGT_VF, 0x7, 0x0 }, // 6234
  { PseudoVMFGT_VFPR32_MF2_MASK, VMFGT_VF, 0x7, 0x0 }, // 6235
  { PseudoVMFLE_VFPR16_M1, VMFLE_VF, 0x0, 0x0 }, // 6236
  { PseudoVMFLE_VFPR16_M1_MASK, VMFLE_VF, 0x0, 0x0 }, // 6237
  { PseudoVMFLE_VFPR32_M1, VMFLE_VF, 0x0, 0x0 }, // 6238
  { PseudoVMFLE_VFPR32_M1_MASK, VMFLE_VF, 0x0, 0x0 }, // 6239
  { PseudoVMFLE_VFPR64_M1, VMFLE_VF, 0x0, 0x0 }, // 6240
  { PseudoVMFLE_VFPR64_M1_MASK, VMFLE_VF, 0x0, 0x0 }, // 6241
  { PseudoVMFLE_VFPR16_M2, VMFLE_VF, 0x1, 0x0 }, // 6242
  { PseudoVMFLE_VFPR16_M2_MASK, VMFLE_VF, 0x1, 0x0 }, // 6243
  { PseudoVMFLE_VFPR32_M2, VMFLE_VF, 0x1, 0x0 }, // 6244
  { PseudoVMFLE_VFPR32_M2_MASK, VMFLE_VF, 0x1, 0x0 }, // 6245
  { PseudoVMFLE_VFPR64_M2, VMFLE_VF, 0x1, 0x0 }, // 6246
  { PseudoVMFLE_VFPR64_M2_MASK, VMFLE_VF, 0x1, 0x0 }, // 6247
  { PseudoVMFLE_VFPR16_M4, VMFLE_VF, 0x2, 0x0 }, // 6248
  { PseudoVMFLE_VFPR16_M4_MASK, VMFLE_VF, 0x2, 0x0 }, // 6249
  { PseudoVMFLE_VFPR32_M4, VMFLE_VF, 0x2, 0x0 }, // 6250
  { PseudoVMFLE_VFPR32_M4_MASK, VMFLE_VF, 0x2, 0x0 }, // 6251
  { PseudoVMFLE_VFPR64_M4, VMFLE_VF, 0x2, 0x0 }, // 6252
  { PseudoVMFLE_VFPR64_M4_MASK, VMFLE_VF, 0x2, 0x0 }, // 6253
  { PseudoVMFLE_VFPR16_M8, VMFLE_VF, 0x3, 0x0 }, // 6254
  { PseudoVMFLE_VFPR16_M8_MASK, VMFLE_VF, 0x3, 0x0 }, // 6255
  { PseudoVMFLE_VFPR32_M8, VMFLE_VF, 0x3, 0x0 }, // 6256
  { PseudoVMFLE_VFPR32_M8_MASK, VMFLE_VF, 0x3, 0x0 }, // 6257
  { PseudoVMFLE_VFPR64_M8, VMFLE_VF, 0x3, 0x0 }, // 6258
  { PseudoVMFLE_VFPR64_M8_MASK, VMFLE_VF, 0x3, 0x0 }, // 6259
  { PseudoVMFLE_VFPR16_MF4, VMFLE_VF, 0x6, 0x0 }, // 6260
  { PseudoVMFLE_VFPR16_MF4_MASK, VMFLE_VF, 0x6, 0x0 }, // 6261
  { PseudoVMFLE_VFPR16_MF2, VMFLE_VF, 0x7, 0x0 }, // 6262
  { PseudoVMFLE_VFPR16_MF2_MASK, VMFLE_VF, 0x7, 0x0 }, // 6263
  { PseudoVMFLE_VFPR32_MF2, VMFLE_VF, 0x7, 0x0 }, // 6264
  { PseudoVMFLE_VFPR32_MF2_MASK, VMFLE_VF, 0x7, 0x0 }, // 6265
  { PseudoVMFLE_VV_M1, VMFLE_VV, 0x0, 0x0 }, // 6266
  { PseudoVMFLE_VV_M1_MASK, VMFLE_VV, 0x0, 0x0 }, // 6267
  { PseudoVMFLE_VV_M2, VMFLE_VV, 0x1, 0x0 }, // 6268
  { PseudoVMFLE_VV_M2_MASK, VMFLE_VV, 0x1, 0x0 }, // 6269
  { PseudoVMFLE_VV_M4, VMFLE_VV, 0x2, 0x0 }, // 6270
  { PseudoVMFLE_VV_M4_MASK, VMFLE_VV, 0x2, 0x0 }, // 6271
  { PseudoVMFLE_VV_M8, VMFLE_VV, 0x3, 0x0 }, // 6272
  { PseudoVMFLE_VV_M8_MASK, VMFLE_VV, 0x3, 0x0 }, // 6273
  { PseudoVMFLE_VV_MF4, VMFLE_VV, 0x6, 0x0 }, // 6274
  { PseudoVMFLE_VV_MF4_MASK, VMFLE_VV, 0x6, 0x0 }, // 6275
  { PseudoVMFLE_VV_MF2, VMFLE_VV, 0x7, 0x0 }, // 6276
  { PseudoVMFLE_VV_MF2_MASK, VMFLE_VV, 0x7, 0x0 }, // 6277
  { PseudoVMFLT_VFPR16_M1, VMFLT_VF, 0x0, 0x0 }, // 6278
  { PseudoVMFLT_VFPR16_M1_MASK, VMFLT_VF, 0x0, 0x0 }, // 6279
  { PseudoVMFLT_VFPR32_M1, VMFLT_VF, 0x0, 0x0 }, // 6280
  { PseudoVMFLT_VFPR32_M1_MASK, VMFLT_VF, 0x0, 0x0 }, // 6281
  { PseudoVMFLT_VFPR64_M1, VMFLT_VF, 0x0, 0x0 }, // 6282
  { PseudoVMFLT_VFPR64_M1_MASK, VMFLT_VF, 0x0, 0x0 }, // 6283
  { PseudoVMFLT_VFPR16_M2, VMFLT_VF, 0x1, 0x0 }, // 6284
  { PseudoVMFLT_VFPR16_M2_MASK, VMFLT_VF, 0x1, 0x0 }, // 6285
  { PseudoVMFLT_VFPR32_M2, VMFLT_VF, 0x1, 0x0 }, // 6286
  { PseudoVMFLT_VFPR32_M2_MASK, VMFLT_VF, 0x1, 0x0 }, // 6287
  { PseudoVMFLT_VFPR64_M2, VMFLT_VF, 0x1, 0x0 }, // 6288
  { PseudoVMFLT_VFPR64_M2_MASK, VMFLT_VF, 0x1, 0x0 }, // 6289
  { PseudoVMFLT_VFPR16_M4, VMFLT_VF, 0x2, 0x0 }, // 6290
  { PseudoVMFLT_VFPR16_M4_MASK, VMFLT_VF, 0x2, 0x0 }, // 6291
  { PseudoVMFLT_VFPR32_M4, VMFLT_VF, 0x2, 0x0 }, // 6292
  { PseudoVMFLT_VFPR32_M4_MASK, VMFLT_VF, 0x2, 0x0 }, // 6293
  { PseudoVMFLT_VFPR64_M4, VMFLT_VF, 0x2, 0x0 }, // 6294
  { PseudoVMFLT_VFPR64_M4_MASK, VMFLT_VF, 0x2, 0x0 }, // 6295
  { PseudoVMFLT_VFPR16_M8, VMFLT_VF, 0x3, 0x0 }, // 6296
  { PseudoVMFLT_VFPR16_M8_MASK, VMFLT_VF, 0x3, 0x0 }, // 6297
  { PseudoVMFLT_VFPR32_M8, VMFLT_VF, 0x3, 0x0 }, // 6298
  { PseudoVMFLT_VFPR32_M8_MASK, VMFLT_VF, 0x3, 0x0 }, // 6299
  { PseudoVMFLT_VFPR64_M8, VMFLT_VF, 0x3, 0x0 }, // 6300
  { PseudoVMFLT_VFPR64_M8_MASK, VMFLT_VF, 0x3, 0x0 }, // 6301
  { PseudoVMFLT_VFPR16_MF4, VMFLT_VF, 0x6, 0x0 }, // 6302
  { PseudoVMFLT_VFPR16_MF4_MASK, VMFLT_VF, 0x6, 0x0 }, // 6303
  { PseudoVMFLT_VFPR16_MF2, VMFLT_VF, 0x7, 0x0 }, // 6304
  { PseudoVMFLT_VFPR16_MF2_MASK, VMFLT_VF, 0x7, 0x0 }, // 6305
  { PseudoVMFLT_VFPR32_MF2, VMFLT_VF, 0x7, 0x0 }, // 6306
  { PseudoVMFLT_VFPR32_MF2_MASK, VMFLT_VF, 0x7, 0x0 }, // 6307
  { PseudoVMFLT_VV_M1, VMFLT_VV, 0x0, 0x0 }, // 6308
  { PseudoVMFLT_VV_M1_MASK, VMFLT_VV, 0x0, 0x0 }, // 6309
  { PseudoVMFLT_VV_M2, VMFLT_VV, 0x1, 0x0 }, // 6310
  { PseudoVMFLT_VV_M2_MASK, VMFLT_VV, 0x1, 0x0 }, // 6311
  { PseudoVMFLT_VV_M4, VMFLT_VV, 0x2, 0x0 }, // 6312
  { PseudoVMFLT_VV_M4_MASK, VMFLT_VV, 0x2, 0x0 }, // 6313
  { PseudoVMFLT_VV_M8, VMFLT_VV, 0x3, 0x0 }, // 6314
  { PseudoVMFLT_VV_M8_MASK, VMFLT_VV, 0x3, 0x0 }, // 6315
  { PseudoVMFLT_VV_MF4, VMFLT_VV, 0x6, 0x0 }, // 6316
  { PseudoVMFLT_VV_MF4_MASK, VMFLT_VV, 0x6, 0x0 }, // 6317
  { PseudoVMFLT_VV_MF2, VMFLT_VV, 0x7, 0x0 }, // 6318
  { PseudoVMFLT_VV_MF2_MASK, VMFLT_VV, 0x7, 0x0 }, // 6319
  { PseudoVMFNE_VFPR16_M1, VMFNE_VF, 0x0, 0x0 }, // 6320
  { PseudoVMFNE_VFPR16_M1_MASK, VMFNE_VF, 0x0, 0x0 }, // 6321
  { PseudoVMFNE_VFPR32_M1, VMFNE_VF, 0x0, 0x0 }, // 6322
  { PseudoVMFNE_VFPR32_M1_MASK, VMFNE_VF, 0x0, 0x0 }, // 6323
  { PseudoVMFNE_VFPR64_M1, VMFNE_VF, 0x0, 0x0 }, // 6324
  { PseudoVMFNE_VFPR64_M1_MASK, VMFNE_VF, 0x0, 0x0 }, // 6325
  { PseudoVMFNE_VFPR16_M2, VMFNE_VF, 0x1, 0x0 }, // 6326
  { PseudoVMFNE_VFPR16_M2_MASK, VMFNE_VF, 0x1, 0x0 }, // 6327
  { PseudoVMFNE_VFPR32_M2, VMFNE_VF, 0x1, 0x0 }, // 6328
  { PseudoVMFNE_VFPR32_M2_MASK, VMFNE_VF, 0x1, 0x0 }, // 6329
  { PseudoVMFNE_VFPR64_M2, VMFNE_VF, 0x1, 0x0 }, // 6330
  { PseudoVMFNE_VFPR64_M2_MASK, VMFNE_VF, 0x1, 0x0 }, // 6331
  { PseudoVMFNE_VFPR16_M4, VMFNE_VF, 0x2, 0x0 }, // 6332
  { PseudoVMFNE_VFPR16_M4_MASK, VMFNE_VF, 0x2, 0x0 }, // 6333
  { PseudoVMFNE_VFPR32_M4, VMFNE_VF, 0x2, 0x0 }, // 6334
  { PseudoVMFNE_VFPR32_M4_MASK, VMFNE_VF, 0x2, 0x0 }, // 6335
  { PseudoVMFNE_VFPR64_M4, VMFNE_VF, 0x2, 0x0 }, // 6336
  { PseudoVMFNE_VFPR64_M4_MASK, VMFNE_VF, 0x2, 0x0 }, // 6337
  { PseudoVMFNE_VFPR16_M8, VMFNE_VF, 0x3, 0x0 }, // 6338
  { PseudoVMFNE_VFPR16_M8_MASK, VMFNE_VF, 0x3, 0x0 }, // 6339
  { PseudoVMFNE_VFPR32_M8, VMFNE_VF, 0x3, 0x0 }, // 6340
  { PseudoVMFNE_VFPR32_M8_MASK, VMFNE_VF, 0x3, 0x0 }, // 6341
  { PseudoVMFNE_VFPR64_M8, VMFNE_VF, 0x3, 0x0 }, // 6342
  { PseudoVMFNE_VFPR64_M8_MASK, VMFNE_VF, 0x3, 0x0 }, // 6343
  { PseudoVMFNE_VFPR16_MF4, VMFNE_VF, 0x6, 0x0 }, // 6344
  { PseudoVMFNE_VFPR16_MF4_MASK, VMFNE_VF, 0x6, 0x0 }, // 6345
  { PseudoVMFNE_VFPR16_MF2, VMFNE_VF, 0x7, 0x0 }, // 6346
  { PseudoVMFNE_VFPR16_MF2_MASK, VMFNE_VF, 0x7, 0x0 }, // 6347
  { PseudoVMFNE_VFPR32_MF2, VMFNE_VF, 0x7, 0x0 }, // 6348
  { PseudoVMFNE_VFPR32_MF2_MASK, VMFNE_VF, 0x7, 0x0 }, // 6349
  { PseudoVMFNE_VV_M1, VMFNE_VV, 0x0, 0x0 }, // 6350
  { PseudoVMFNE_VV_M1_MASK, VMFNE_VV, 0x0, 0x0 }, // 6351
  { PseudoVMFNE_VV_M2, VMFNE_VV, 0x1, 0x0 }, // 6352
  { PseudoVMFNE_VV_M2_MASK, VMFNE_VV, 0x1, 0x0 }, // 6353
  { PseudoVMFNE_VV_M4, VMFNE_VV, 0x2, 0x0 }, // 6354
  { PseudoVMFNE_VV_M4_MASK, VMFNE_VV, 0x2, 0x0 }, // 6355
  { PseudoVMFNE_VV_M8, VMFNE_VV, 0x3, 0x0 }, // 6356
  { PseudoVMFNE_VV_M8_MASK, VMFNE_VV, 0x3, 0x0 }, // 6357
  { PseudoVMFNE_VV_MF4, VMFNE_VV, 0x6, 0x0 }, // 6358
  { PseudoVMFNE_VV_MF4_MASK, VMFNE_VV, 0x6, 0x0 }, // 6359
  { PseudoVMFNE_VV_MF2, VMFNE_VV, 0x7, 0x0 }, // 6360
  { PseudoVMFNE_VV_MF2_MASK, VMFNE_VV, 0x7, 0x0 }, // 6361
  { PseudoVMINU_VV_M1, VMINU_VV, 0x0, 0x0 }, // 6362
  { PseudoVMINU_VV_M1_MASK, VMINU_VV, 0x0, 0x0 }, // 6363
  { PseudoVMINU_VV_M2, VMINU_VV, 0x1, 0x0 }, // 6364
  { PseudoVMINU_VV_M2_MASK, VMINU_VV, 0x1, 0x0 }, // 6365
  { PseudoVMINU_VV_M4, VMINU_VV, 0x2, 0x0 }, // 6366
  { PseudoVMINU_VV_M4_MASK, VMINU_VV, 0x2, 0x0 }, // 6367
  { PseudoVMINU_VV_M8, VMINU_VV, 0x3, 0x0 }, // 6368
  { PseudoVMINU_VV_M8_MASK, VMINU_VV, 0x3, 0x0 }, // 6369
  { PseudoVMINU_VV_MF8, VMINU_VV, 0x5, 0x0 }, // 6370
  { PseudoVMINU_VV_MF8_MASK, VMINU_VV, 0x5, 0x0 }, // 6371
  { PseudoVMINU_VV_MF4, VMINU_VV, 0x6, 0x0 }, // 6372
  { PseudoVMINU_VV_MF4_MASK, VMINU_VV, 0x6, 0x0 }, // 6373
  { PseudoVMINU_VV_MF2, VMINU_VV, 0x7, 0x0 }, // 6374
  { PseudoVMINU_VV_MF2_MASK, VMINU_VV, 0x7, 0x0 }, // 6375
  { PseudoVMINU_VX_M1, VMINU_VX, 0x0, 0x0 }, // 6376
  { PseudoVMINU_VX_M1_MASK, VMINU_VX, 0x0, 0x0 }, // 6377
  { PseudoVMINU_VX_M2, VMINU_VX, 0x1, 0x0 }, // 6378
  { PseudoVMINU_VX_M2_MASK, VMINU_VX, 0x1, 0x0 }, // 6379
  { PseudoVMINU_VX_M4, VMINU_VX, 0x2, 0x0 }, // 6380
  { PseudoVMINU_VX_M4_MASK, VMINU_VX, 0x2, 0x0 }, // 6381
  { PseudoVMINU_VX_M8, VMINU_VX, 0x3, 0x0 }, // 6382
  { PseudoVMINU_VX_M8_MASK, VMINU_VX, 0x3, 0x0 }, // 6383
  { PseudoVMINU_VX_MF8, VMINU_VX, 0x5, 0x0 }, // 6384
  { PseudoVMINU_VX_MF8_MASK, VMINU_VX, 0x5, 0x0 }, // 6385
  { PseudoVMINU_VX_MF4, VMINU_VX, 0x6, 0x0 }, // 6386
  { PseudoVMINU_VX_MF4_MASK, VMINU_VX, 0x6, 0x0 }, // 6387
  { PseudoVMINU_VX_MF2, VMINU_VX, 0x7, 0x0 }, // 6388
  { PseudoVMINU_VX_MF2_MASK, VMINU_VX, 0x7, 0x0 }, // 6389
  { PseudoVMIN_VV_M1, VMIN_VV, 0x0, 0x0 }, // 6390
  { PseudoVMIN_VV_M1_MASK, VMIN_VV, 0x0, 0x0 }, // 6391
  { PseudoVMIN_VV_M2, VMIN_VV, 0x1, 0x0 }, // 6392
  { PseudoVMIN_VV_M2_MASK, VMIN_VV, 0x1, 0x0 }, // 6393
  { PseudoVMIN_VV_M4, VMIN_VV, 0x2, 0x0 }, // 6394
  { PseudoVMIN_VV_M4_MASK, VMIN_VV, 0x2, 0x0 }, // 6395
  { PseudoVMIN_VV_M8, VMIN_VV, 0x3, 0x0 }, // 6396
  { PseudoVMIN_VV_M8_MASK, VMIN_VV, 0x3, 0x0 }, // 6397
  { PseudoVMIN_VV_MF8, VMIN_VV, 0x5, 0x0 }, // 6398
  { PseudoVMIN_VV_MF8_MASK, VMIN_VV, 0x5, 0x0 }, // 6399
  { PseudoVMIN_VV_MF4, VMIN_VV, 0x6, 0x0 }, // 6400
  { PseudoVMIN_VV_MF4_MASK, VMIN_VV, 0x6, 0x0 }, // 6401
  { PseudoVMIN_VV_MF2, VMIN_VV, 0x7, 0x0 }, // 6402
  { PseudoVMIN_VV_MF2_MASK, VMIN_VV, 0x7, 0x0 }, // 6403
  { PseudoVMIN_VX_M1, VMIN_VX, 0x0, 0x0 }, // 6404
  { PseudoVMIN_VX_M1_MASK, VMIN_VX, 0x0, 0x0 }, // 6405
  { PseudoVMIN_VX_M2, VMIN_VX, 0x1, 0x0 }, // 6406
  { PseudoVMIN_VX_M2_MASK, VMIN_VX, 0x1, 0x0 }, // 6407
  { PseudoVMIN_VX_M4, VMIN_VX, 0x2, 0x0 }, // 6408
  { PseudoVMIN_VX_M4_MASK, VMIN_VX, 0x2, 0x0 }, // 6409
  { PseudoVMIN_VX_M8, VMIN_VX, 0x3, 0x0 }, // 6410
  { PseudoVMIN_VX_M8_MASK, VMIN_VX, 0x3, 0x0 }, // 6411
  { PseudoVMIN_VX_MF8, VMIN_VX, 0x5, 0x0 }, // 6412
  { PseudoVMIN_VX_MF8_MASK, VMIN_VX, 0x5, 0x0 }, // 6413
  { PseudoVMIN_VX_MF4, VMIN_VX, 0x6, 0x0 }, // 6414
  { PseudoVMIN_VX_MF4_MASK, VMIN_VX, 0x6, 0x0 }, // 6415
  { PseudoVMIN_VX_MF2, VMIN_VX, 0x7, 0x0 }, // 6416
  { PseudoVMIN_VX_MF2_MASK, VMIN_VX, 0x7, 0x0 }, // 6417
  { PseudoVMNAND_MM_M1, VMNAND_MM, 0x0, 0x0 }, // 6418
  { PseudoVMNAND_MM_M2, VMNAND_MM, 0x1, 0x0 }, // 6419
  { PseudoVMNAND_MM_M4, VMNAND_MM, 0x2, 0x0 }, // 6420
  { PseudoVMNAND_MM_M8, VMNAND_MM, 0x3, 0x0 }, // 6421
  { PseudoVMNAND_MM_MF8, VMNAND_MM, 0x5, 0x0 }, // 6422
  { PseudoVMNAND_MM_MF4, VMNAND_MM, 0x6, 0x0 }, // 6423
  { PseudoVMNAND_MM_MF2, VMNAND_MM, 0x7, 0x0 }, // 6424
  { PseudoVMNOR_MM_M1, VMNOR_MM, 0x0, 0x0 }, // 6425
  { PseudoVMNOR_MM_M2, VMNOR_MM, 0x1, 0x0 }, // 6426
  { PseudoVMNOR_MM_M4, VMNOR_MM, 0x2, 0x0 }, // 6427
  { PseudoVMNOR_MM_M8, VMNOR_MM, 0x3, 0x0 }, // 6428
  { PseudoVMNOR_MM_MF8, VMNOR_MM, 0x5, 0x0 }, // 6429
  { PseudoVMNOR_MM_MF4, VMNOR_MM, 0x6, 0x0 }, // 6430
  { PseudoVMNOR_MM_MF2, VMNOR_MM, 0x7, 0x0 }, // 6431
  { PseudoVMORN_MM_M1, VMORN_MM, 0x0, 0x0 }, // 6432
  { PseudoVMORN_MM_M2, VMORN_MM, 0x1, 0x0 }, // 6433
  { PseudoVMORN_MM_M4, VMORN_MM, 0x2, 0x0 }, // 6434
  { PseudoVMORN_MM_M8, VMORN_MM, 0x3, 0x0 }, // 6435
  { PseudoVMORN_MM_MF8, VMORN_MM, 0x5, 0x0 }, // 6436
  { PseudoVMORN_MM_MF4, VMORN_MM, 0x6, 0x0 }, // 6437
  { PseudoVMORN_MM_MF2, VMORN_MM, 0x7, 0x0 }, // 6438
  { PseudoVMOR_MM_M1, VMOR_MM, 0x0, 0x0 }, // 6439
  { PseudoVMOR_MM_M2, VMOR_MM, 0x1, 0x0 }, // 6440
  { PseudoVMOR_MM_M4, VMOR_MM, 0x2, 0x0 }, // 6441
  { PseudoVMOR_MM_M8, VMOR_MM, 0x3, 0x0 }, // 6442
  { PseudoVMOR_MM_MF8, VMOR_MM, 0x5, 0x0 }, // 6443
  { PseudoVMOR_MM_MF4, VMOR_MM, 0x6, 0x0 }, // 6444
  { PseudoVMOR_MM_MF2, VMOR_MM, 0x7, 0x0 }, // 6445
  { PseudoVMSBC_VV_M1, VMSBC_VV, 0x0, 0x0 }, // 6446
  { PseudoVMSBC_VV_M2, VMSBC_VV, 0x1, 0x0 }, // 6447
  { PseudoVMSBC_VV_M4, VMSBC_VV, 0x2, 0x0 }, // 6448
  { PseudoVMSBC_VV_M8, VMSBC_VV, 0x3, 0x0 }, // 6449
  { PseudoVMSBC_VV_MF8, VMSBC_VV, 0x5, 0x0 }, // 6450
  { PseudoVMSBC_VV_MF4, VMSBC_VV, 0x6, 0x0 }, // 6451
  { PseudoVMSBC_VV_MF2, VMSBC_VV, 0x7, 0x0 }, // 6452
  { PseudoVMSBC_VVM_M1, VMSBC_VVM, 0x0, 0x0 }, // 6453
  { PseudoVMSBC_VVM_M2, VMSBC_VVM, 0x1, 0x0 }, // 6454
  { PseudoVMSBC_VVM_M4, VMSBC_VVM, 0x2, 0x0 }, // 6455
  { PseudoVMSBC_VVM_M8, VMSBC_VVM, 0x3, 0x0 }, // 6456
  { PseudoVMSBC_VVM_MF8, VMSBC_VVM, 0x5, 0x0 }, // 6457
  { PseudoVMSBC_VVM_MF4, VMSBC_VVM, 0x6, 0x0 }, // 6458
  { PseudoVMSBC_VVM_MF2, VMSBC_VVM, 0x7, 0x0 }, // 6459
  { PseudoVMSBC_VX_M1, VMSBC_VX, 0x0, 0x0 }, // 6460
  { PseudoVMSBC_VX_M2, VMSBC_VX, 0x1, 0x0 }, // 6461
  { PseudoVMSBC_VX_M4, VMSBC_VX, 0x2, 0x0 }, // 6462
  { PseudoVMSBC_VX_M8, VMSBC_VX, 0x3, 0x0 }, // 6463
  { PseudoVMSBC_VX_MF8, VMSBC_VX, 0x5, 0x0 }, // 6464
  { PseudoVMSBC_VX_MF4, VMSBC_VX, 0x6, 0x0 }, // 6465
  { PseudoVMSBC_VX_MF2, VMSBC_VX, 0x7, 0x0 }, // 6466
  { PseudoVMSBC_VXM_M1, VMSBC_VXM, 0x0, 0x0 }, // 6467
  { PseudoVMSBC_VXM_M2, VMSBC_VXM, 0x1, 0x0 }, // 6468
  { PseudoVMSBC_VXM_M4, VMSBC_VXM, 0x2, 0x0 }, // 6469
  { PseudoVMSBC_VXM_M8, VMSBC_VXM, 0x3, 0x0 }, // 6470
  { PseudoVMSBC_VXM_MF8, VMSBC_VXM, 0x5, 0x0 }, // 6471
  { PseudoVMSBC_VXM_MF4, VMSBC_VXM, 0x6, 0x0 }, // 6472
  { PseudoVMSBC_VXM_MF2, VMSBC_VXM, 0x7, 0x0 }, // 6473
  { PseudoVMSBF_M_B8, VMSBF_M, 0x0, 0x0 }, // 6474
  { PseudoVMSBF_M_B8_MASK, VMSBF_M, 0x0, 0x0 }, // 6475
  { PseudoVMSBF_M_B16, VMSBF_M, 0x1, 0x0 }, // 6476
  { PseudoVMSBF_M_B16_MASK, VMSBF_M, 0x1, 0x0 }, // 6477
  { PseudoVMSBF_M_B32, VMSBF_M, 0x2, 0x0 }, // 6478
  { PseudoVMSBF_M_B32_MASK, VMSBF_M, 0x2, 0x0 }, // 6479
  { PseudoVMSBF_M_B64, VMSBF_M, 0x3, 0x0 }, // 6480
  { PseudoVMSBF_M_B64_MASK, VMSBF_M, 0x3, 0x0 }, // 6481
  { PseudoVMSBF_M_B1, VMSBF_M, 0x5, 0x0 }, // 6482
  { PseudoVMSBF_M_B1_MASK, VMSBF_M, 0x5, 0x0 }, // 6483
  { PseudoVMSBF_M_B2, VMSBF_M, 0x6, 0x0 }, // 6484
  { PseudoVMSBF_M_B2_MASK, VMSBF_M, 0x6, 0x0 }, // 6485
  { PseudoVMSBF_M_B4, VMSBF_M, 0x7, 0x0 }, // 6486
  { PseudoVMSBF_M_B4_MASK, VMSBF_M, 0x7, 0x0 }, // 6487
  { PseudoVMSEQ_VI_M1, VMSEQ_VI, 0x0, 0x0 }, // 6488
  { PseudoVMSEQ_VI_M1_MASK, VMSEQ_VI, 0x0, 0x0 }, // 6489
  { PseudoVMSEQ_VI_M2, VMSEQ_VI, 0x1, 0x0 }, // 6490
  { PseudoVMSEQ_VI_M2_MASK, VMSEQ_VI, 0x1, 0x0 }, // 6491
  { PseudoVMSEQ_VI_M4, VMSEQ_VI, 0x2, 0x0 }, // 6492
  { PseudoVMSEQ_VI_M4_MASK, VMSEQ_VI, 0x2, 0x0 }, // 6493
  { PseudoVMSEQ_VI_M8, VMSEQ_VI, 0x3, 0x0 }, // 6494
  { PseudoVMSEQ_VI_M8_MASK, VMSEQ_VI, 0x3, 0x0 }, // 6495
  { PseudoVMSEQ_VI_MF8, VMSEQ_VI, 0x5, 0x0 }, // 6496
  { PseudoVMSEQ_VI_MF8_MASK, VMSEQ_VI, 0x5, 0x0 }, // 6497
  { PseudoVMSEQ_VI_MF4, VMSEQ_VI, 0x6, 0x0 }, // 6498
  { PseudoVMSEQ_VI_MF4_MASK, VMSEQ_VI, 0x6, 0x0 }, // 6499
  { PseudoVMSEQ_VI_MF2, VMSEQ_VI, 0x7, 0x0 }, // 6500
  { PseudoVMSEQ_VI_MF2_MASK, VMSEQ_VI, 0x7, 0x0 }, // 6501
  { PseudoVMSEQ_VV_M1, VMSEQ_VV, 0x0, 0x0 }, // 6502
  { PseudoVMSEQ_VV_M1_MASK, VMSEQ_VV, 0x0, 0x0 }, // 6503
  { PseudoVMSEQ_VV_M2, VMSEQ_VV, 0x1, 0x0 }, // 6504
  { PseudoVMSEQ_VV_M2_MASK, VMSEQ_VV, 0x1, 0x0 }, // 6505
  { PseudoVMSEQ_VV_M4, VMSEQ_VV, 0x2, 0x0 }, // 6506
  { PseudoVMSEQ_VV_M4_MASK, VMSEQ_VV, 0x2, 0x0 }, // 6507
  { PseudoVMSEQ_VV_M8, VMSEQ_VV, 0x3, 0x0 }, // 6508
  { PseudoVMSEQ_VV_M8_MASK, VMSEQ_VV, 0x3, 0x0 }, // 6509
  { PseudoVMSEQ_VV_MF8, VMSEQ_VV, 0x5, 0x0 }, // 6510
  { PseudoVMSEQ_VV_MF8_MASK, VMSEQ_VV, 0x5, 0x0 }, // 6511
  { PseudoVMSEQ_VV_MF4, VMSEQ_VV, 0x6, 0x0 }, // 6512
  { PseudoVMSEQ_VV_MF4_MASK, VMSEQ_VV, 0x6, 0x0 }, // 6513
  { PseudoVMSEQ_VV_MF2, VMSEQ_VV, 0x7, 0x0 }, // 6514
  { PseudoVMSEQ_VV_MF2_MASK, VMSEQ_VV, 0x7, 0x0 }, // 6515
  { PseudoVMSEQ_VX_M1, VMSEQ_VX, 0x0, 0x0 }, // 6516
  { PseudoVMSEQ_VX_M1_MASK, VMSEQ_VX, 0x0, 0x0 }, // 6517
  { PseudoVMSEQ_VX_M2, VMSEQ_VX, 0x1, 0x0 }, // 6518
  { PseudoVMSEQ_VX_M2_MASK, VMSEQ_VX, 0x1, 0x0 }, // 6519
  { PseudoVMSEQ_VX_M4, VMSEQ_VX, 0x2, 0x0 }, // 6520
  { PseudoVMSEQ_VX_M4_MASK, VMSEQ_VX, 0x2, 0x0 }, // 6521
  { PseudoVMSEQ_VX_M8, VMSEQ_VX, 0x3, 0x0 }, // 6522
  { PseudoVMSEQ_VX_M8_MASK, VMSEQ_VX, 0x3, 0x0 }, // 6523
  { PseudoVMSEQ_VX_MF8, VMSEQ_VX, 0x5, 0x0 }, // 6524
  { PseudoVMSEQ_VX_MF8_MASK, VMSEQ_VX, 0x5, 0x0 }, // 6525
  { PseudoVMSEQ_VX_MF4, VMSEQ_VX, 0x6, 0x0 }, // 6526
  { PseudoVMSEQ_VX_MF4_MASK, VMSEQ_VX, 0x6, 0x0 }, // 6527
  { PseudoVMSEQ_VX_MF2, VMSEQ_VX, 0x7, 0x0 }, // 6528
  { PseudoVMSEQ_VX_MF2_MASK, VMSEQ_VX, 0x7, 0x0 }, // 6529
  { PseudoVMSGTU_VI_M1, VMSGTU_VI, 0x0, 0x0 }, // 6530
  { PseudoVMSGTU_VI_M1_MASK, VMSGTU_VI, 0x0, 0x0 }, // 6531
  { PseudoVMSGTU_VI_M2, VMSGTU_VI, 0x1, 0x0 }, // 6532
  { PseudoVMSGTU_VI_M2_MASK, VMSGTU_VI, 0x1, 0x0 }, // 6533
  { PseudoVMSGTU_VI_M4, VMSGTU_VI, 0x2, 0x0 }, // 6534
  { PseudoVMSGTU_VI_M4_MASK, VMSGTU_VI, 0x2, 0x0 }, // 6535
  { PseudoVMSGTU_VI_M8, VMSGTU_VI, 0x3, 0x0 }, // 6536
  { PseudoVMSGTU_VI_M8_MASK, VMSGTU_VI, 0x3, 0x0 }, // 6537
  { PseudoVMSGTU_VI_MF8, VMSGTU_VI, 0x5, 0x0 }, // 6538
  { PseudoVMSGTU_VI_MF8_MASK, VMSGTU_VI, 0x5, 0x0 }, // 6539
  { PseudoVMSGTU_VI_MF4, VMSGTU_VI, 0x6, 0x0 }, // 6540
  { PseudoVMSGTU_VI_MF4_MASK, VMSGTU_VI, 0x6, 0x0 }, // 6541
  { PseudoVMSGTU_VI_MF2, VMSGTU_VI, 0x7, 0x0 }, // 6542
  { PseudoVMSGTU_VI_MF2_MASK, VMSGTU_VI, 0x7, 0x0 }, // 6543
  { PseudoVMSGTU_VX_M1, VMSGTU_VX, 0x0, 0x0 }, // 6544
  { PseudoVMSGTU_VX_M1_MASK, VMSGTU_VX, 0x0, 0x0 }, // 6545
  { PseudoVMSGTU_VX_M2, VMSGTU_VX, 0x1, 0x0 }, // 6546
  { PseudoVMSGTU_VX_M2_MASK, VMSGTU_VX, 0x1, 0x0 }, // 6547
  { PseudoVMSGTU_VX_M4, VMSGTU_VX, 0x2, 0x0 }, // 6548
  { PseudoVMSGTU_VX_M4_MASK, VMSGTU_VX, 0x2, 0x0 }, // 6549
  { PseudoVMSGTU_VX_M8, VMSGTU_VX, 0x3, 0x0 }, // 6550
  { PseudoVMSGTU_VX_M8_MASK, VMSGTU_VX, 0x3, 0x0 }, // 6551
  { PseudoVMSGTU_VX_MF8, VMSGTU_VX, 0x5, 0x0 }, // 6552
  { PseudoVMSGTU_VX_MF8_MASK, VMSGTU_VX, 0x5, 0x0 }, // 6553
  { PseudoVMSGTU_VX_MF4, VMSGTU_VX, 0x6, 0x0 }, // 6554
  { PseudoVMSGTU_VX_MF4_MASK, VMSGTU_VX, 0x6, 0x0 }, // 6555
  { PseudoVMSGTU_VX_MF2, VMSGTU_VX, 0x7, 0x0 }, // 6556
  { PseudoVMSGTU_VX_MF2_MASK, VMSGTU_VX, 0x7, 0x0 }, // 6557
  { PseudoVMSGT_VI_M1, VMSGT_VI, 0x0, 0x0 }, // 6558
  { PseudoVMSGT_VI_M1_MASK, VMSGT_VI, 0x0, 0x0 }, // 6559
  { PseudoVMSGT_VI_M2, VMSGT_VI, 0x1, 0x0 }, // 6560
  { PseudoVMSGT_VI_M2_MASK, VMSGT_VI, 0x1, 0x0 }, // 6561
  { PseudoVMSGT_VI_M4, VMSGT_VI, 0x2, 0x0 }, // 6562
  { PseudoVMSGT_VI_M4_MASK, VMSGT_VI, 0x2, 0x0 }, // 6563
  { PseudoVMSGT_VI_M8, VMSGT_VI, 0x3, 0x0 }, // 6564
  { PseudoVMSGT_VI_M8_MASK, VMSGT_VI, 0x3, 0x0 }, // 6565
  { PseudoVMSGT_VI_MF8, VMSGT_VI, 0x5, 0x0 }, // 6566
  { PseudoVMSGT_VI_MF8_MASK, VMSGT_VI, 0x5, 0x0 }, // 6567
  { PseudoVMSGT_VI_MF4, VMSGT_VI, 0x6, 0x0 }, // 6568
  { PseudoVMSGT_VI_MF4_MASK, VMSGT_VI, 0x6, 0x0 }, // 6569
  { PseudoVMSGT_VI_MF2, VMSGT_VI, 0x7, 0x0 }, // 6570
  { PseudoVMSGT_VI_MF2_MASK, VMSGT_VI, 0x7, 0x0 }, // 6571
  { PseudoVMSGT_VX_M1, VMSGT_VX, 0x0, 0x0 }, // 6572
  { PseudoVMSGT_VX_M1_MASK, VMSGT_VX, 0x0, 0x0 }, // 6573
  { PseudoVMSGT_VX_M2, VMSGT_VX, 0x1, 0x0 }, // 6574
  { PseudoVMSGT_VX_M2_MASK, VMSGT_VX, 0x1, 0x0 }, // 6575
  { PseudoVMSGT_VX_M4, VMSGT_VX, 0x2, 0x0 }, // 6576
  { PseudoVMSGT_VX_M4_MASK, VMSGT_VX, 0x2, 0x0 }, // 6577
  { PseudoVMSGT_VX_M8, VMSGT_VX, 0x3, 0x0 }, // 6578
  { PseudoVMSGT_VX_M8_MASK, VMSGT_VX, 0x3, 0x0 }, // 6579
  { PseudoVMSGT_VX_MF8, VMSGT_VX, 0x5, 0x0 }, // 6580
  { PseudoVMSGT_VX_MF8_MASK, VMSGT_VX, 0x5, 0x0 }, // 6581
  { PseudoVMSGT_VX_MF4, VMSGT_VX, 0x6, 0x0 }, // 6582
  { PseudoVMSGT_VX_MF4_MASK, VMSGT_VX, 0x6, 0x0 }, // 6583
  { PseudoVMSGT_VX_MF2, VMSGT_VX, 0x7, 0x0 }, // 6584
  { PseudoVMSGT_VX_MF2_MASK, VMSGT_VX, 0x7, 0x0 }, // 6585
  { PseudoVMSIF_M_B8, VMSIF_M, 0x0, 0x0 }, // 6586
  { PseudoVMSIF_M_B8_MASK, VMSIF_M, 0x0, 0x0 }, // 6587
  { PseudoVMSIF_M_B16, VMSIF_M, 0x1, 0x0 }, // 6588
  { PseudoVMSIF_M_B16_MASK, VMSIF_M, 0x1, 0x0 }, // 6589
  { PseudoVMSIF_M_B32, VMSIF_M, 0x2, 0x0 }, // 6590
  { PseudoVMSIF_M_B32_MASK, VMSIF_M, 0x2, 0x0 }, // 6591
  { PseudoVMSIF_M_B64, VMSIF_M, 0x3, 0x0 }, // 6592
  { PseudoVMSIF_M_B64_MASK, VMSIF_M, 0x3, 0x0 }, // 6593
  { PseudoVMSIF_M_B1, VMSIF_M, 0x5, 0x0 }, // 6594
  { PseudoVMSIF_M_B1_MASK, VMSIF_M, 0x5, 0x0 }, // 6595
  { PseudoVMSIF_M_B2, VMSIF_M, 0x6, 0x0 }, // 6596
  { PseudoVMSIF_M_B2_MASK, VMSIF_M, 0x6, 0x0 }, // 6597
  { PseudoVMSIF_M_B4, VMSIF_M, 0x7, 0x0 }, // 6598
  { PseudoVMSIF_M_B4_MASK, VMSIF_M, 0x7, 0x0 }, // 6599
  { PseudoVMSLEU_VI_M1, VMSLEU_VI, 0x0, 0x0 }, // 6600
  { PseudoVMSLEU_VI_M1_MASK, VMSLEU_VI, 0x0, 0x0 }, // 6601
  { PseudoVMSLEU_VI_M2, VMSLEU_VI, 0x1, 0x0 }, // 6602
  { PseudoVMSLEU_VI_M2_MASK, VMSLEU_VI, 0x1, 0x0 }, // 6603
  { PseudoVMSLEU_VI_M4, VMSLEU_VI, 0x2, 0x0 }, // 6604
  { PseudoVMSLEU_VI_M4_MASK, VMSLEU_VI, 0x2, 0x0 }, // 6605
  { PseudoVMSLEU_VI_M8, VMSLEU_VI, 0x3, 0x0 }, // 6606
  { PseudoVMSLEU_VI_M8_MASK, VMSLEU_VI, 0x3, 0x0 }, // 6607
  { PseudoVMSLEU_VI_MF8, VMSLEU_VI, 0x5, 0x0 }, // 6608
  { PseudoVMSLEU_VI_MF8_MASK, VMSLEU_VI, 0x5, 0x0 }, // 6609
  { PseudoVMSLEU_VI_MF4, VMSLEU_VI, 0x6, 0x0 }, // 6610
  { PseudoVMSLEU_VI_MF4_MASK, VMSLEU_VI, 0x6, 0x0 }, // 6611
  { PseudoVMSLEU_VI_MF2, VMSLEU_VI, 0x7, 0x0 }, // 6612
  { PseudoVMSLEU_VI_MF2_MASK, VMSLEU_VI, 0x7, 0x0 }, // 6613
  { PseudoVMSLEU_VV_M1, VMSLEU_VV, 0x0, 0x0 }, // 6614
  { PseudoVMSLEU_VV_M1_MASK, VMSLEU_VV, 0x0, 0x0 }, // 6615
  { PseudoVMSLEU_VV_M2, VMSLEU_VV, 0x1, 0x0 }, // 6616
  { PseudoVMSLEU_VV_M2_MASK, VMSLEU_VV, 0x1, 0x0 }, // 6617
  { PseudoVMSLEU_VV_M4, VMSLEU_VV, 0x2, 0x0 }, // 6618
  { PseudoVMSLEU_VV_M4_MASK, VMSLEU_VV, 0x2, 0x0 }, // 6619
  { PseudoVMSLEU_VV_M8, VMSLEU_VV, 0x3, 0x0 }, // 6620
  { PseudoVMSLEU_VV_M8_MASK, VMSLEU_VV, 0x3, 0x0 }, // 6621
  { PseudoVMSLEU_VV_MF8, VMSLEU_VV, 0x5, 0x0 }, // 6622
  { PseudoVMSLEU_VV_MF8_MASK, VMSLEU_VV, 0x5, 0x0 }, // 6623
  { PseudoVMSLEU_VV_MF4, VMSLEU_VV, 0x6, 0x0 }, // 6624
  { PseudoVMSLEU_VV_MF4_MASK, VMSLEU_VV, 0x6, 0x0 }, // 6625
  { PseudoVMSLEU_VV_MF2, VMSLEU_VV, 0x7, 0x0 }, // 6626
  { PseudoVMSLEU_VV_MF2_MASK, VMSLEU_VV, 0x7, 0x0 }, // 6627
  { PseudoVMSLEU_VX_M1, VMSLEU_VX, 0x0, 0x0 }, // 6628
  { PseudoVMSLEU_VX_M1_MASK, VMSLEU_VX, 0x0, 0x0 }, // 6629
  { PseudoVMSLEU_VX_M2, VMSLEU_VX, 0x1, 0x0 }, // 6630
  { PseudoVMSLEU_VX_M2_MASK, VMSLEU_VX, 0x1, 0x0 }, // 6631
  { PseudoVMSLEU_VX_M4, VMSLEU_VX, 0x2, 0x0 }, // 6632
  { PseudoVMSLEU_VX_M4_MASK, VMSLEU_VX, 0x2, 0x0 }, // 6633
  { PseudoVMSLEU_VX_M8, VMSLEU_VX, 0x3, 0x0 }, // 6634
  { PseudoVMSLEU_VX_M8_MASK, VMSLEU_VX, 0x3, 0x0 }, // 6635
  { PseudoVMSLEU_VX_MF8, VMSLEU_VX, 0x5, 0x0 }, // 6636
  { PseudoVMSLEU_VX_MF8_MASK, VMSLEU_VX, 0x5, 0x0 }, // 6637
  { PseudoVMSLEU_VX_MF4, VMSLEU_VX, 0x6, 0x0 }, // 6638
  { PseudoVMSLEU_VX_MF4_MASK, VMSLEU_VX, 0x6, 0x0 }, // 6639
  { PseudoVMSLEU_VX_MF2, VMSLEU_VX, 0x7, 0x0 }, // 6640
  { PseudoVMSLEU_VX_MF2_MASK, VMSLEU_VX, 0x7, 0x0 }, // 6641
  { PseudoVMSLE_VI_M1, VMSLE_VI, 0x0, 0x0 }, // 6642
  { PseudoVMSLE_VI_M1_MASK, VMSLE_VI, 0x0, 0x0 }, // 6643
  { PseudoVMSLE_VI_M2, VMSLE_VI, 0x1, 0x0 }, // 6644
  { PseudoVMSLE_VI_M2_MASK, VMSLE_VI, 0x1, 0x0 }, // 6645
  { PseudoVMSLE_VI_M4, VMSLE_VI, 0x2, 0x0 }, // 6646
  { PseudoVMSLE_VI_M4_MASK, VMSLE_VI, 0x2, 0x0 }, // 6647
  { PseudoVMSLE_VI_M8, VMSLE_VI, 0x3, 0x0 }, // 6648
  { PseudoVMSLE_VI_M8_MASK, VMSLE_VI, 0x3, 0x0 }, // 6649
  { PseudoVMSLE_VI_MF8, VMSLE_VI, 0x5, 0x0 }, // 6650
  { PseudoVMSLE_VI_MF8_MASK, VMSLE_VI, 0x5, 0x0 }, // 6651
  { PseudoVMSLE_VI_MF4, VMSLE_VI, 0x6, 0x0 }, // 6652
  { PseudoVMSLE_VI_MF4_MASK, VMSLE_VI, 0x6, 0x0 }, // 6653
  { PseudoVMSLE_VI_MF2, VMSLE_VI, 0x7, 0x0 }, // 6654
  { PseudoVMSLE_VI_MF2_MASK, VMSLE_VI, 0x7, 0x0 }, // 6655
  { PseudoVMSLE_VV_M1, VMSLE_VV, 0x0, 0x0 }, // 6656
  { PseudoVMSLE_VV_M1_MASK, VMSLE_VV, 0x0, 0x0 }, // 6657
  { PseudoVMSLE_VV_M2, VMSLE_VV, 0x1, 0x0 }, // 6658
  { PseudoVMSLE_VV_M2_MASK, VMSLE_VV, 0x1, 0x0 }, // 6659
  { PseudoVMSLE_VV_M4, VMSLE_VV, 0x2, 0x0 }, // 6660
  { PseudoVMSLE_VV_M4_MASK, VMSLE_VV, 0x2, 0x0 }, // 6661
  { PseudoVMSLE_VV_M8, VMSLE_VV, 0x3, 0x0 }, // 6662
  { PseudoVMSLE_VV_M8_MASK, VMSLE_VV, 0x3, 0x0 }, // 6663
  { PseudoVMSLE_VV_MF8, VMSLE_VV, 0x5, 0x0 }, // 6664
  { PseudoVMSLE_VV_MF8_MASK, VMSLE_VV, 0x5, 0x0 }, // 6665
  { PseudoVMSLE_VV_MF4, VMSLE_VV, 0x6, 0x0 }, // 6666
  { PseudoVMSLE_VV_MF4_MASK, VMSLE_VV, 0x6, 0x0 }, // 6667
  { PseudoVMSLE_VV_MF2, VMSLE_VV, 0x7, 0x0 }, // 6668
  { PseudoVMSLE_VV_MF2_MASK, VMSLE_VV, 0x7, 0x0 }, // 6669
  { PseudoVMSLE_VX_M1, VMSLE_VX, 0x0, 0x0 }, // 6670
  { PseudoVMSLE_VX_M1_MASK, VMSLE_VX, 0x0, 0x0 }, // 6671
  { PseudoVMSLE_VX_M2, VMSLE_VX, 0x1, 0x0 }, // 6672
  { PseudoVMSLE_VX_M2_MASK, VMSLE_VX, 0x1, 0x0 }, // 6673
  { PseudoVMSLE_VX_M4, VMSLE_VX, 0x2, 0x0 }, // 6674
  { PseudoVMSLE_VX_M4_MASK, VMSLE_VX, 0x2, 0x0 }, // 6675
  { PseudoVMSLE_VX_M8, VMSLE_VX, 0x3, 0x0 }, // 6676
  { PseudoVMSLE_VX_M8_MASK, VMSLE_VX, 0x3, 0x0 }, // 6677
  { PseudoVMSLE_VX_MF8, VMSLE_VX, 0x5, 0x0 }, // 6678
  { PseudoVMSLE_VX_MF8_MASK, VMSLE_VX, 0x5, 0x0 }, // 6679
  { PseudoVMSLE_VX_MF4, VMSLE_VX, 0x6, 0x0 }, // 6680
  { PseudoVMSLE_VX_MF4_MASK, VMSLE_VX, 0x6, 0x0 }, // 6681
  { PseudoVMSLE_VX_MF2, VMSLE_VX, 0x7, 0x0 }, // 6682
  { PseudoVMSLE_VX_MF2_MASK, VMSLE_VX, 0x7, 0x0 }, // 6683
  { PseudoVMSLTU_VV_M1, VMSLTU_VV, 0x0, 0x0 }, // 6684
  { PseudoVMSLTU_VV_M1_MASK, VMSLTU_VV, 0x0, 0x0 }, // 6685
  { PseudoVMSLTU_VV_M2, VMSLTU_VV, 0x1, 0x0 }, // 6686
  { PseudoVMSLTU_VV_M2_MASK, VMSLTU_VV, 0x1, 0x0 }, // 6687
  { PseudoVMSLTU_VV_M4, VMSLTU_VV, 0x2, 0x0 }, // 6688
  { PseudoVMSLTU_VV_M4_MASK, VMSLTU_VV, 0x2, 0x0 }, // 6689
  { PseudoVMSLTU_VV_M8, VMSLTU_VV, 0x3, 0x0 }, // 6690
  { PseudoVMSLTU_VV_M8_MASK, VMSLTU_VV, 0x3, 0x0 }, // 6691
  { PseudoVMSLTU_VV_MF8, VMSLTU_VV, 0x5, 0x0 }, // 6692
  { PseudoVMSLTU_VV_MF8_MASK, VMSLTU_VV, 0x5, 0x0 }, // 6693
  { PseudoVMSLTU_VV_MF4, VMSLTU_VV, 0x6, 0x0 }, // 6694
  { PseudoVMSLTU_VV_MF4_MASK, VMSLTU_VV, 0x6, 0x0 }, // 6695
  { PseudoVMSLTU_VV_MF2, VMSLTU_VV, 0x7, 0x0 }, // 6696
  { PseudoVMSLTU_VV_MF2_MASK, VMSLTU_VV, 0x7, 0x0 }, // 6697
  { PseudoVMSLTU_VX_M1, VMSLTU_VX, 0x0, 0x0 }, // 6698
  { PseudoVMSLTU_VX_M1_MASK, VMSLTU_VX, 0x0, 0x0 }, // 6699
  { PseudoVMSLTU_VX_M2, VMSLTU_VX, 0x1, 0x0 }, // 6700
  { PseudoVMSLTU_VX_M2_MASK, VMSLTU_VX, 0x1, 0x0 }, // 6701
  { PseudoVMSLTU_VX_M4, VMSLTU_VX, 0x2, 0x0 }, // 6702
  { PseudoVMSLTU_VX_M4_MASK, VMSLTU_VX, 0x2, 0x0 }, // 6703
  { PseudoVMSLTU_VX_M8, VMSLTU_VX, 0x3, 0x0 }, // 6704
  { PseudoVMSLTU_VX_M8_MASK, VMSLTU_VX, 0x3, 0x0 }, // 6705
  { PseudoVMSLTU_VX_MF8, VMSLTU_VX, 0x5, 0x0 }, // 6706
  { PseudoVMSLTU_VX_MF8_MASK, VMSLTU_VX, 0x5, 0x0 }, // 6707
  { PseudoVMSLTU_VX_MF4, VMSLTU_VX, 0x6, 0x0 }, // 6708
  { PseudoVMSLTU_VX_MF4_MASK, VMSLTU_VX, 0x6, 0x0 }, // 6709
  { PseudoVMSLTU_VX_MF2, VMSLTU_VX, 0x7, 0x0 }, // 6710
  { PseudoVMSLTU_VX_MF2_MASK, VMSLTU_VX, 0x7, 0x0 }, // 6711
  { PseudoVMSLT_VV_M1, VMSLT_VV, 0x0, 0x0 }, // 6712
  { PseudoVMSLT_VV_M1_MASK, VMSLT_VV, 0x0, 0x0 }, // 6713
  { PseudoVMSLT_VV_M2, VMSLT_VV, 0x1, 0x0 }, // 6714
  { PseudoVMSLT_VV_M2_MASK, VMSLT_VV, 0x1, 0x0 }, // 6715
  { PseudoVMSLT_VV_M4, VMSLT_VV, 0x2, 0x0 }, // 6716
  { PseudoVMSLT_VV_M4_MASK, VMSLT_VV, 0x2, 0x0 }, // 6717
  { PseudoVMSLT_VV_M8, VMSLT_VV, 0x3, 0x0 }, // 6718
  { PseudoVMSLT_VV_M8_MASK, VMSLT_VV, 0x3, 0x0 }, // 6719
  { PseudoVMSLT_VV_MF8, VMSLT_VV, 0x5, 0x0 }, // 6720
  { PseudoVMSLT_VV_MF8_MASK, VMSLT_VV, 0x5, 0x0 }, // 6721
  { PseudoVMSLT_VV_MF4, VMSLT_VV, 0x6, 0x0 }, // 6722
  { PseudoVMSLT_VV_MF4_MASK, VMSLT_VV, 0x6, 0x0 }, // 6723
  { PseudoVMSLT_VV_MF2, VMSLT_VV, 0x7, 0x0 }, // 6724
  { PseudoVMSLT_VV_MF2_MASK, VMSLT_VV, 0x7, 0x0 }, // 6725
  { PseudoVMSLT_VX_M1, VMSLT_VX, 0x0, 0x0 }, // 6726
  { PseudoVMSLT_VX_M1_MASK, VMSLT_VX, 0x0, 0x0 }, // 6727
  { PseudoVMSLT_VX_M2, VMSLT_VX, 0x1, 0x0 }, // 6728
  { PseudoVMSLT_VX_M2_MASK, VMSLT_VX, 0x1, 0x0 }, // 6729
  { PseudoVMSLT_VX_M4, VMSLT_VX, 0x2, 0x0 }, // 6730
  { PseudoVMSLT_VX_M4_MASK, VMSLT_VX, 0x2, 0x0 }, // 6731
  { PseudoVMSLT_VX_M8, VMSLT_VX, 0x3, 0x0 }, // 6732
  { PseudoVMSLT_VX_M8_MASK, VMSLT_VX, 0x3, 0x0 }, // 6733
  { PseudoVMSLT_VX_MF8, VMSLT_VX, 0x5, 0x0 }, // 6734
  { PseudoVMSLT_VX_MF8_MASK, VMSLT_VX, 0x5, 0x0 }, // 6735
  { PseudoVMSLT_VX_MF4, VMSLT_VX, 0x6, 0x0 }, // 6736
  { PseudoVMSLT_VX_MF4_MASK, VMSLT_VX, 0x6, 0x0 }, // 6737
  { PseudoVMSLT_VX_MF2, VMSLT_VX, 0x7, 0x0 }, // 6738
  { PseudoVMSLT_VX_MF2_MASK, VMSLT_VX, 0x7, 0x0 }, // 6739
  { PseudoVMSNE_VI_M1, VMSNE_VI, 0x0, 0x0 }, // 6740
  { PseudoVMSNE_VI_M1_MASK, VMSNE_VI, 0x0, 0x0 }, // 6741
  { PseudoVMSNE_VI_M2, VMSNE_VI, 0x1, 0x0 }, // 6742
  { PseudoVMSNE_VI_M2_MASK, VMSNE_VI, 0x1, 0x0 }, // 6743
  { PseudoVMSNE_VI_M4, VMSNE_VI, 0x2, 0x0 }, // 6744
  { PseudoVMSNE_VI_M4_MASK, VMSNE_VI, 0x2, 0x0 }, // 6745
  { PseudoVMSNE_VI_M8, VMSNE_VI, 0x3, 0x0 }, // 6746
  { PseudoVMSNE_VI_M8_MASK, VMSNE_VI, 0x3, 0x0 }, // 6747
  { PseudoVMSNE_VI_MF8, VMSNE_VI, 0x5, 0x0 }, // 6748
  { PseudoVMSNE_VI_MF8_MASK, VMSNE_VI, 0x5, 0x0 }, // 6749
  { PseudoVMSNE_VI_MF4, VMSNE_VI, 0x6, 0x0 }, // 6750
  { PseudoVMSNE_VI_MF4_MASK, VMSNE_VI, 0x6, 0x0 }, // 6751
  { PseudoVMSNE_VI_MF2, VMSNE_VI, 0x7, 0x0 }, // 6752
  { PseudoVMSNE_VI_MF2_MASK, VMSNE_VI, 0x7, 0x0 }, // 6753
  { PseudoVMSNE_VV_M1, VMSNE_VV, 0x0, 0x0 }, // 6754
  { PseudoVMSNE_VV_M1_MASK, VMSNE_VV, 0x0, 0x0 }, // 6755
  { PseudoVMSNE_VV_M2, VMSNE_VV, 0x1, 0x0 }, // 6756
  { PseudoVMSNE_VV_M2_MASK, VMSNE_VV, 0x1, 0x0 }, // 6757
  { PseudoVMSNE_VV_M4, VMSNE_VV, 0x2, 0x0 }, // 6758
  { PseudoVMSNE_VV_M4_MASK, VMSNE_VV, 0x2, 0x0 }, // 6759
  { PseudoVMSNE_VV_M8, VMSNE_VV, 0x3, 0x0 }, // 6760
  { PseudoVMSNE_VV_M8_MASK, VMSNE_VV, 0x3, 0x0 }, // 6761
  { PseudoVMSNE_VV_MF8, VMSNE_VV, 0x5, 0x0 }, // 6762
  { PseudoVMSNE_VV_MF8_MASK, VMSNE_VV, 0x5, 0x0 }, // 6763
  { PseudoVMSNE_VV_MF4, VMSNE_VV, 0x6, 0x0 }, // 6764
  { PseudoVMSNE_VV_MF4_MASK, VMSNE_VV, 0x6, 0x0 }, // 6765
  { PseudoVMSNE_VV_MF2, VMSNE_VV, 0x7, 0x0 }, // 6766
  { PseudoVMSNE_VV_MF2_MASK, VMSNE_VV, 0x7, 0x0 }, // 6767
  { PseudoVMSNE_VX_M1, VMSNE_VX, 0x0, 0x0 }, // 6768
  { PseudoVMSNE_VX_M1_MASK, VMSNE_VX, 0x0, 0x0 }, // 6769
  { PseudoVMSNE_VX_M2, VMSNE_VX, 0x1, 0x0 }, // 6770
  { PseudoVMSNE_VX_M2_MASK, VMSNE_VX, 0x1, 0x0 }, // 6771
  { PseudoVMSNE_VX_M4, VMSNE_VX, 0x2, 0x0 }, // 6772
  { PseudoVMSNE_VX_M4_MASK, VMSNE_VX, 0x2, 0x0 }, // 6773
  { PseudoVMSNE_VX_M8, VMSNE_VX, 0x3, 0x0 }, // 6774
  { PseudoVMSNE_VX_M8_MASK, VMSNE_VX, 0x3, 0x0 }, // 6775
  { PseudoVMSNE_VX_MF8, VMSNE_VX, 0x5, 0x0 }, // 6776
  { PseudoVMSNE_VX_MF8_MASK, VMSNE_VX, 0x5, 0x0 }, // 6777
  { PseudoVMSNE_VX_MF4, VMSNE_VX, 0x6, 0x0 }, // 6778
  { PseudoVMSNE_VX_MF4_MASK, VMSNE_VX, 0x6, 0x0 }, // 6779
  { PseudoVMSNE_VX_MF2, VMSNE_VX, 0x7, 0x0 }, // 6780
  { PseudoVMSNE_VX_MF2_MASK, VMSNE_VX, 0x7, 0x0 }, // 6781
  { PseudoVMSOF_M_B8, VMSOF_M, 0x0, 0x0 }, // 6782
  { PseudoVMSOF_M_B8_MASK, VMSOF_M, 0x0, 0x0 }, // 6783
  { PseudoVMSOF_M_B16, VMSOF_M, 0x1, 0x0 }, // 6784
  { PseudoVMSOF_M_B16_MASK, VMSOF_M, 0x1, 0x0 }, // 6785
  { PseudoVMSOF_M_B32, VMSOF_M, 0x2, 0x0 }, // 6786
  { PseudoVMSOF_M_B32_MASK, VMSOF_M, 0x2, 0x0 }, // 6787
  { PseudoVMSOF_M_B64, VMSOF_M, 0x3, 0x0 }, // 6788
  { PseudoVMSOF_M_B64_MASK, VMSOF_M, 0x3, 0x0 }, // 6789
  { PseudoVMSOF_M_B1, VMSOF_M, 0x5, 0x0 }, // 6790
  { PseudoVMSOF_M_B1_MASK, VMSOF_M, 0x5, 0x0 }, // 6791
  { PseudoVMSOF_M_B2, VMSOF_M, 0x6, 0x0 }, // 6792
  { PseudoVMSOF_M_B2_MASK, VMSOF_M, 0x6, 0x0 }, // 6793
  { PseudoVMSOF_M_B4, VMSOF_M, 0x7, 0x0 }, // 6794
  { PseudoVMSOF_M_B4_MASK, VMSOF_M, 0x7, 0x0 }, // 6795
  { PseudoVMULHSU_VV_M1, VMULHSU_VV, 0x0, 0x0 }, // 6796
  { PseudoVMULHSU_VV_M1_MASK, VMULHSU_VV, 0x0, 0x0 }, // 6797
  { PseudoVMULHSU_VV_M2, VMULHSU_VV, 0x1, 0x0 }, // 6798
  { PseudoVMULHSU_VV_M2_MASK, VMULHSU_VV, 0x1, 0x0 }, // 6799
  { PseudoVMULHSU_VV_M4, VMULHSU_VV, 0x2, 0x0 }, // 6800
  { PseudoVMULHSU_VV_M4_MASK, VMULHSU_VV, 0x2, 0x0 }, // 6801
  { PseudoVMULHSU_VV_M8, VMULHSU_VV, 0x3, 0x0 }, // 6802
  { PseudoVMULHSU_VV_M8_MASK, VMULHSU_VV, 0x3, 0x0 }, // 6803
  { PseudoVMULHSU_VV_MF8, VMULHSU_VV, 0x5, 0x0 }, // 6804
  { PseudoVMULHSU_VV_MF8_MASK, VMULHSU_VV, 0x5, 0x0 }, // 6805
  { PseudoVMULHSU_VV_MF4, VMULHSU_VV, 0x6, 0x0 }, // 6806
  { PseudoVMULHSU_VV_MF4_MASK, VMULHSU_VV, 0x6, 0x0 }, // 6807
  { PseudoVMULHSU_VV_MF2, VMULHSU_VV, 0x7, 0x0 }, // 6808
  { PseudoVMULHSU_VV_MF2_MASK, VMULHSU_VV, 0x7, 0x0 }, // 6809
  { PseudoVMULHSU_VX_M1, VMULHSU_VX, 0x0, 0x0 }, // 6810
  { PseudoVMULHSU_VX_M1_MASK, VMULHSU_VX, 0x0, 0x0 }, // 6811
  { PseudoVMULHSU_VX_M2, VMULHSU_VX, 0x1, 0x0 }, // 6812
  { PseudoVMULHSU_VX_M2_MASK, VMULHSU_VX, 0x1, 0x0 }, // 6813
  { PseudoVMULHSU_VX_M4, VMULHSU_VX, 0x2, 0x0 }, // 6814
  { PseudoVMULHSU_VX_M4_MASK, VMULHSU_VX, 0x2, 0x0 }, // 6815
  { PseudoVMULHSU_VX_M8, VMULHSU_VX, 0x3, 0x0 }, // 6816
  { PseudoVMULHSU_VX_M8_MASK, VMULHSU_VX, 0x3, 0x0 }, // 6817
  { PseudoVMULHSU_VX_MF8, VMULHSU_VX, 0x5, 0x0 }, // 6818
  { PseudoVMULHSU_VX_MF8_MASK, VMULHSU_VX, 0x5, 0x0 }, // 6819
  { PseudoVMULHSU_VX_MF4, VMULHSU_VX, 0x6, 0x0 }, // 6820
  { PseudoVMULHSU_VX_MF4_MASK, VMULHSU_VX, 0x6, 0x0 }, // 6821
  { PseudoVMULHSU_VX_MF2, VMULHSU_VX, 0x7, 0x0 }, // 6822
  { PseudoVMULHSU_VX_MF2_MASK, VMULHSU_VX, 0x7, 0x0 }, // 6823
  { PseudoVMULHU_VV_M1, VMULHU_VV, 0x0, 0x0 }, // 6824
  { PseudoVMULHU_VV_M1_MASK, VMULHU_VV, 0x0, 0x0 }, // 6825
  { PseudoVMULHU_VV_M2, VMULHU_VV, 0x1, 0x0 }, // 6826
  { PseudoVMULHU_VV_M2_MASK, VMULHU_VV, 0x1, 0x0 }, // 6827
  { PseudoVMULHU_VV_M4, VMULHU_VV, 0x2, 0x0 }, // 6828
  { PseudoVMULHU_VV_M4_MASK, VMULHU_VV, 0x2, 0x0 }, // 6829
  { PseudoVMULHU_VV_M8, VMULHU_VV, 0x3, 0x0 }, // 6830
  { PseudoVMULHU_VV_M8_MASK, VMULHU_VV, 0x3, 0x0 }, // 6831
  { PseudoVMULHU_VV_MF8, VMULHU_VV, 0x5, 0x0 }, // 6832
  { PseudoVMULHU_VV_MF8_MASK, VMULHU_VV, 0x5, 0x0 }, // 6833
  { PseudoVMULHU_VV_MF4, VMULHU_VV, 0x6, 0x0 }, // 6834
  { PseudoVMULHU_VV_MF4_MASK, VMULHU_VV, 0x6, 0x0 }, // 6835
  { PseudoVMULHU_VV_MF2, VMULHU_VV, 0x7, 0x0 }, // 6836
  { PseudoVMULHU_VV_MF2_MASK, VMULHU_VV, 0x7, 0x0 }, // 6837
  { PseudoVMULHU_VX_M1, VMULHU_VX, 0x0, 0x0 }, // 6838
  { PseudoVMULHU_VX_M1_MASK, VMULHU_VX, 0x0, 0x0 }, // 6839
  { PseudoVMULHU_VX_M2, VMULHU_VX, 0x1, 0x0 }, // 6840
  { PseudoVMULHU_VX_M2_MASK, VMULHU_VX, 0x1, 0x0 }, // 6841
  { PseudoVMULHU_VX_M4, VMULHU_VX, 0x2, 0x0 }, // 6842
  { PseudoVMULHU_VX_M4_MASK, VMULHU_VX, 0x2, 0x0 }, // 6843
  { PseudoVMULHU_VX_M8, VMULHU_VX, 0x3, 0x0 }, // 6844
  { PseudoVMULHU_VX_M8_MASK, VMULHU_VX, 0x3, 0x0 }, // 6845
  { PseudoVMULHU_VX_MF8, VMULHU_VX, 0x5, 0x0 }, // 6846
  { PseudoVMULHU_VX_MF8_MASK, VMULHU_VX, 0x5, 0x0 }, // 6847
  { PseudoVMULHU_VX_MF4, VMULHU_VX, 0x6, 0x0 }, // 6848
  { PseudoVMULHU_VX_MF4_MASK, VMULHU_VX, 0x6, 0x0 }, // 6849
  { PseudoVMULHU_VX_MF2, VMULHU_VX, 0x7, 0x0 }, // 6850
  { PseudoVMULHU_VX_MF2_MASK, VMULHU_VX, 0x7, 0x0 }, // 6851
  { PseudoVMULH_VV_M1, VMULH_VV, 0x0, 0x0 }, // 6852
  { PseudoVMULH_VV_M1_MASK, VMULH_VV, 0x0, 0x0 }, // 6853
  { PseudoVMULH_VV_M2, VMULH_VV, 0x1, 0x0 }, // 6854
  { PseudoVMULH_VV_M2_MASK, VMULH_VV, 0x1, 0x0 }, // 6855
  { PseudoVMULH_VV_M4, VMULH_VV, 0x2, 0x0 }, // 6856
  { PseudoVMULH_VV_M4_MASK, VMULH_VV, 0x2, 0x0 }, // 6857
  { PseudoVMULH_VV_M8, VMULH_VV, 0x3, 0x0 }, // 6858
  { PseudoVMULH_VV_M8_MASK, VMULH_VV, 0x3, 0x0 }, // 6859
  { PseudoVMULH_VV_MF8, VMULH_VV, 0x5, 0x0 }, // 6860
  { PseudoVMULH_VV_MF8_MASK, VMULH_VV, 0x5, 0x0 }, // 6861
  { PseudoVMULH_VV_MF4, VMULH_VV, 0x6, 0x0 }, // 6862
  { PseudoVMULH_VV_MF4_MASK, VMULH_VV, 0x6, 0x0 }, // 6863
  { PseudoVMULH_VV_MF2, VMULH_VV, 0x7, 0x0 }, // 6864
  { PseudoVMULH_VV_MF2_MASK, VMULH_VV, 0x7, 0x0 }, // 6865
  { PseudoVMULH_VX_M1, VMULH_VX, 0x0, 0x0 }, // 6866
  { PseudoVMULH_VX_M1_MASK, VMULH_VX, 0x0, 0x0 }, // 6867
  { PseudoVMULH_VX_M2, VMULH_VX, 0x1, 0x0 }, // 6868
  { PseudoVMULH_VX_M2_MASK, VMULH_VX, 0x1, 0x0 }, // 6869
  { PseudoVMULH_VX_M4, VMULH_VX, 0x2, 0x0 }, // 6870
  { PseudoVMULH_VX_M4_MASK, VMULH_VX, 0x2, 0x0 }, // 6871
  { PseudoVMULH_VX_M8, VMULH_VX, 0x3, 0x0 }, // 6872
  { PseudoVMULH_VX_M8_MASK, VMULH_VX, 0x3, 0x0 }, // 6873
  { PseudoVMULH_VX_MF8, VMULH_VX, 0x5, 0x0 }, // 6874
  { PseudoVMULH_VX_MF8_MASK, VMULH_VX, 0x5, 0x0 }, // 6875
  { PseudoVMULH_VX_MF4, VMULH_VX, 0x6, 0x0 }, // 6876
  { PseudoVMULH_VX_MF4_MASK, VMULH_VX, 0x6, 0x0 }, // 6877
  { PseudoVMULH_VX_MF2, VMULH_VX, 0x7, 0x0 }, // 6878
  { PseudoVMULH_VX_MF2_MASK, VMULH_VX, 0x7, 0x0 }, // 6879
  { PseudoVMUL_VV_M1, VMUL_VV, 0x0, 0x0 }, // 6880
  { PseudoVMUL_VV_M1_MASK, VMUL_VV, 0x0, 0x0 }, // 6881
  { PseudoVMUL_VV_M2, VMUL_VV, 0x1, 0x0 }, // 6882
  { PseudoVMUL_VV_M2_MASK, VMUL_VV, 0x1, 0x0 }, // 6883
  { PseudoVMUL_VV_M4, VMUL_VV, 0x2, 0x0 }, // 6884
  { PseudoVMUL_VV_M4_MASK, VMUL_VV, 0x2, 0x0 }, // 6885
  { PseudoVMUL_VV_M8, VMUL_VV, 0x3, 0x0 }, // 6886
  { PseudoVMUL_VV_M8_MASK, VMUL_VV, 0x3, 0x0 }, // 6887
  { PseudoVMUL_VV_MF8, VMUL_VV, 0x5, 0x0 }, // 6888
  { PseudoVMUL_VV_MF8_MASK, VMUL_VV, 0x5, 0x0 }, // 6889
  { PseudoVMUL_VV_MF4, VMUL_VV, 0x6, 0x0 }, // 6890
  { PseudoVMUL_VV_MF4_MASK, VMUL_VV, 0x6, 0x0 }, // 6891
  { PseudoVMUL_VV_MF2, VMUL_VV, 0x7, 0x0 }, // 6892
  { PseudoVMUL_VV_MF2_MASK, VMUL_VV, 0x7, 0x0 }, // 6893
  { PseudoVMUL_VX_M1, VMUL_VX, 0x0, 0x0 }, // 6894
  { PseudoVMUL_VX_M1_MASK, VMUL_VX, 0x0, 0x0 }, // 6895
  { PseudoVMUL_VX_M2, VMUL_VX, 0x1, 0x0 }, // 6896
  { PseudoVMUL_VX_M2_MASK, VMUL_VX, 0x1, 0x0 }, // 6897
  { PseudoVMUL_VX_M4, VMUL_VX, 0x2, 0x0 }, // 6898
  { PseudoVMUL_VX_M4_MASK, VMUL_VX, 0x2, 0x0 }, // 6899
  { PseudoVMUL_VX_M8, VMUL_VX, 0x3, 0x0 }, // 6900
  { PseudoVMUL_VX_M8_MASK, VMUL_VX, 0x3, 0x0 }, // 6901
  { PseudoVMUL_VX_MF8, VMUL_VX, 0x5, 0x0 }, // 6902
  { PseudoVMUL_VX_MF8_MASK, VMUL_VX, 0x5, 0x0 }, // 6903
  { PseudoVMUL_VX_MF4, VMUL_VX, 0x6, 0x0 }, // 6904
  { PseudoVMUL_VX_MF4_MASK, VMUL_VX, 0x6, 0x0 }, // 6905
  { PseudoVMUL_VX_MF2, VMUL_VX, 0x7, 0x0 }, // 6906
  { PseudoVMUL_VX_MF2_MASK, VMUL_VX, 0x7, 0x0 }, // 6907
  { PseudoVMV_S_X, VMV_S_X, 0x0, 0x0 }, // 6908
  { PseudoVMV_V_I_M1, VMV_V_I, 0x0, 0x0 }, // 6909
  { PseudoVMV_V_I_M2, VMV_V_I, 0x1, 0x0 }, // 6910
  { PseudoVMV_V_I_M4, VMV_V_I, 0x2, 0x0 }, // 6911
  { PseudoVMV_V_I_M8, VMV_V_I, 0x3, 0x0 }, // 6912
  { PseudoVMV_V_I_MF8, VMV_V_I, 0x5, 0x0 }, // 6913
  { PseudoVMV_V_I_MF4, VMV_V_I, 0x6, 0x0 }, // 6914
  { PseudoVMV_V_I_MF2, VMV_V_I, 0x7, 0x0 }, // 6915
  { PseudoVMV_V_V_M1, VMV_V_V, 0x0, 0x0 }, // 6916
  { PseudoVMV_V_V_M2, VMV_V_V, 0x1, 0x0 }, // 6917
  { PseudoVMV_V_V_M4, VMV_V_V, 0x2, 0x0 }, // 6918
  { PseudoVMV_V_V_M8, VMV_V_V, 0x3, 0x0 }, // 6919
  { PseudoVMV_V_V_MF8, VMV_V_V, 0x5, 0x0 }, // 6920
  { PseudoVMV_V_V_MF4, VMV_V_V, 0x6, 0x0 }, // 6921
  { PseudoVMV_V_V_MF2, VMV_V_V, 0x7, 0x0 }, // 6922
  { PseudoVMV_V_X_M1, VMV_V_X, 0x0, 0x0 }, // 6923
  { PseudoVMV_V_X_M2, VMV_V_X, 0x1, 0x0 }, // 6924
  { PseudoVMV_V_X_M4, VMV_V_X, 0x2, 0x0 }, // 6925
  { PseudoVMV_V_X_M8, VMV_V_X, 0x3, 0x0 }, // 6926
  { PseudoVMV_V_X_MF8, VMV_V_X, 0x5, 0x0 }, // 6927
  { PseudoVMV_V_X_MF4, VMV_V_X, 0x6, 0x0 }, // 6928
  { PseudoVMV_V_X_MF2, VMV_V_X, 0x7, 0x0 }, // 6929
  { PseudoVMV_X_S, VMV_X_S, 0x0, 0x0 }, // 6930
  { PseudoVMSET_M_B8, VMXNOR_MM, 0x0, 0x0 }, // 6931
  { PseudoVMXNOR_MM_M1, VMXNOR_MM, 0x0, 0x0 }, // 6932
  { PseudoVMSET_M_B16, VMXNOR_MM, 0x1, 0x0 }, // 6933
  { PseudoVMXNOR_MM_M2, VMXNOR_MM, 0x1, 0x0 }, // 6934
  { PseudoVMSET_M_B32, VMXNOR_MM, 0x2, 0x0 }, // 6935
  { PseudoVMXNOR_MM_M4, VMXNOR_MM, 0x2, 0x0 }, // 6936
  { PseudoVMSET_M_B64, VMXNOR_MM, 0x3, 0x0 }, // 6937
  { PseudoVMXNOR_MM_M8, VMXNOR_MM, 0x3, 0x0 }, // 6938
  { PseudoVMSET_M_B1, VMXNOR_MM, 0x5, 0x0 }, // 6939
  { PseudoVMXNOR_MM_MF8, VMXNOR_MM, 0x5, 0x0 }, // 6940
  { PseudoVMSET_M_B2, VMXNOR_MM, 0x6, 0x0 }, // 6941
  { PseudoVMXNOR_MM_MF4, VMXNOR_MM, 0x6, 0x0 }, // 6942
  { PseudoVMSET_M_B4, VMXNOR_MM, 0x7, 0x0 }, // 6943
  { PseudoVMXNOR_MM_MF2, VMXNOR_MM, 0x7, 0x0 }, // 6944
  { PseudoVMCLR_M_B8, VMXOR_MM, 0x0, 0x0 }, // 6945
  { PseudoVMXOR_MM_M1, VMXOR_MM, 0x0, 0x0 }, // 6946
  { PseudoVMCLR_M_B16, VMXOR_MM, 0x1, 0x0 }, // 6947
  { PseudoVMXOR_MM_M2, VMXOR_MM, 0x1, 0x0 }, // 6948
  { PseudoVMCLR_M_B32, VMXOR_MM, 0x2, 0x0 }, // 6949
  { PseudoVMXOR_MM_M4, VMXOR_MM, 0x2, 0x0 }, // 6950
  { PseudoVMCLR_M_B64, VMXOR_MM, 0x3, 0x0 }, // 6951
  { PseudoVMXOR_MM_M8, VMXOR_MM, 0x3, 0x0 }, // 6952
  { PseudoVMCLR_M_B1, VMXOR_MM, 0x5, 0x0 }, // 6953
  { PseudoVMXOR_MM_MF8, VMXOR_MM, 0x5, 0x0 }, // 6954
  { PseudoVMCLR_M_B2, VMXOR_MM, 0x6, 0x0 }, // 6955
  { PseudoVMXOR_MM_MF4, VMXOR_MM, 0x6, 0x0 }, // 6956
  { PseudoVMCLR_M_B4, VMXOR_MM, 0x7, 0x0 }, // 6957
  { PseudoVMXOR_MM_MF2, VMXOR_MM, 0x7, 0x0 }, // 6958
  { PseudoVNCLIPU_WI_M1, VNCLIPU_WI, 0x0, 0x0 }, // 6959
  { PseudoVNCLIPU_WI_M1_MASK, VNCLIPU_WI, 0x0, 0x0 }, // 6960
  { PseudoVNCLIPU_WI_M2, VNCLIPU_WI, 0x1, 0x0 }, // 6961
  { PseudoVNCLIPU_WI_M2_MASK, VNCLIPU_WI, 0x1, 0x0 }, // 6962
  { PseudoVNCLIPU_WI_M4, VNCLIPU_WI, 0x2, 0x0 }, // 6963
  { PseudoVNCLIPU_WI_M4_MASK, VNCLIPU_WI, 0x2, 0x0 }, // 6964
  { PseudoVNCLIPU_WI_MF8, VNCLIPU_WI, 0x5, 0x0 }, // 6965
  { PseudoVNCLIPU_WI_MF8_MASK, VNCLIPU_WI, 0x5, 0x0 }, // 6966
  { PseudoVNCLIPU_WI_MF4, VNCLIPU_WI, 0x6, 0x0 }, // 6967
  { PseudoVNCLIPU_WI_MF4_MASK, VNCLIPU_WI, 0x6, 0x0 }, // 6968
  { PseudoVNCLIPU_WI_MF2, VNCLIPU_WI, 0x7, 0x0 }, // 6969
  { PseudoVNCLIPU_WI_MF2_MASK, VNCLIPU_WI, 0x7, 0x0 }, // 6970
  { PseudoVNCLIPU_WV_M1, VNCLIPU_WV, 0x0, 0x0 }, // 6971
  { PseudoVNCLIPU_WV_M1_MASK, VNCLIPU_WV, 0x0, 0x0 }, // 6972
  { PseudoVNCLIPU_WV_M2, VNCLIPU_WV, 0x1, 0x0 }, // 6973
  { PseudoVNCLIPU_WV_M2_MASK, VNCLIPU_WV, 0x1, 0x0 }, // 6974
  { PseudoVNCLIPU_WV_M4, VNCLIPU_WV, 0x2, 0x0 }, // 6975
  { PseudoVNCLIPU_WV_M4_MASK, VNCLIPU_WV, 0x2, 0x0 }, // 6976
  { PseudoVNCLIPU_WV_MF8, VNCLIPU_WV, 0x5, 0x0 }, // 6977
  { PseudoVNCLIPU_WV_MF8_MASK, VNCLIPU_WV, 0x5, 0x0 }, // 6978
  { PseudoVNCLIPU_WV_MF4, VNCLIPU_WV, 0x6, 0x0 }, // 6979
  { PseudoVNCLIPU_WV_MF4_MASK, VNCLIPU_WV, 0x6, 0x0 }, // 6980
  { PseudoVNCLIPU_WV_MF2, VNCLIPU_WV, 0x7, 0x0 }, // 6981
  { PseudoVNCLIPU_WV_MF2_MASK, VNCLIPU_WV, 0x7, 0x0 }, // 6982
  { PseudoVNCLIPU_WX_M1, VNCLIPU_WX, 0x0, 0x0 }, // 6983
  { PseudoVNCLIPU_WX_M1_MASK, VNCLIPU_WX, 0x0, 0x0 }, // 6984
  { PseudoVNCLIPU_WX_M2, VNCLIPU_WX, 0x1, 0x0 }, // 6985
  { PseudoVNCLIPU_WX_M2_MASK, VNCLIPU_WX, 0x1, 0x0 }, // 6986
  { PseudoVNCLIPU_WX_M4, VNCLIPU_WX, 0x2, 0x0 }, // 6987
  { PseudoVNCLIPU_WX_M4_MASK, VNCLIPU_WX, 0x2, 0x0 }, // 6988
  { PseudoVNCLIPU_WX_MF8, VNCLIPU_WX, 0x5, 0x0 }, // 6989
  { PseudoVNCLIPU_WX_MF8_MASK, VNCLIPU_WX, 0x5, 0x0 }, // 6990
  { PseudoVNCLIPU_WX_MF4, VNCLIPU_WX, 0x6, 0x0 }, // 6991
  { PseudoVNCLIPU_WX_MF4_MASK, VNCLIPU_WX, 0x6, 0x0 }, // 6992
  { PseudoVNCLIPU_WX_MF2, VNCLIPU_WX, 0x7, 0x0 }, // 6993
  { PseudoVNCLIPU_WX_MF2_MASK, VNCLIPU_WX, 0x7, 0x0 }, // 6994
  { PseudoVNCLIP_WI_M1, VNCLIP_WI, 0x0, 0x0 }, // 6995
  { PseudoVNCLIP_WI_M1_MASK, VNCLIP_WI, 0x0, 0x0 }, // 6996
  { PseudoVNCLIP_WI_M2, VNCLIP_WI, 0x1, 0x0 }, // 6997
  { PseudoVNCLIP_WI_M2_MASK, VNCLIP_WI, 0x1, 0x0 }, // 6998
  { PseudoVNCLIP_WI_M4, VNCLIP_WI, 0x2, 0x0 }, // 6999
  { PseudoVNCLIP_WI_M4_MASK, VNCLIP_WI, 0x2, 0x0 }, // 7000
  { PseudoVNCLIP_WI_MF8, VNCLIP_WI, 0x5, 0x0 }, // 7001
  { PseudoVNCLIP_WI_MF8_MASK, VNCLIP_WI, 0x5, 0x0 }, // 7002
  { PseudoVNCLIP_WI_MF4, VNCLIP_WI, 0x6, 0x0 }, // 7003
  { PseudoVNCLIP_WI_MF4_MASK, VNCLIP_WI, 0x6, 0x0 }, // 7004
  { PseudoVNCLIP_WI_MF2, VNCLIP_WI, 0x7, 0x0 }, // 7005
  { PseudoVNCLIP_WI_MF2_MASK, VNCLIP_WI, 0x7, 0x0 }, // 7006
  { PseudoVNCLIP_WV_M1, VNCLIP_WV, 0x0, 0x0 }, // 7007
  { PseudoVNCLIP_WV_M1_MASK, VNCLIP_WV, 0x0, 0x0 }, // 7008
  { PseudoVNCLIP_WV_M2, VNCLIP_WV, 0x1, 0x0 }, // 7009
  { PseudoVNCLIP_WV_M2_MASK, VNCLIP_WV, 0x1, 0x0 }, // 7010
  { PseudoVNCLIP_WV_M4, VNCLIP_WV, 0x2, 0x0 }, // 7011
  { PseudoVNCLIP_WV_M4_MASK, VNCLIP_WV, 0x2, 0x0 }, // 7012
  { PseudoVNCLIP_WV_MF8, VNCLIP_WV, 0x5, 0x0 }, // 7013
  { PseudoVNCLIP_WV_MF8_MASK, VNCLIP_WV, 0x5, 0x0 }, // 7014
  { PseudoVNCLIP_WV_MF4, VNCLIP_WV, 0x6, 0x0 }, // 7015
  { PseudoVNCLIP_WV_MF4_MASK, VNCLIP_WV, 0x6, 0x0 }, // 7016
  { PseudoVNCLIP_WV_MF2, VNCLIP_WV, 0x7, 0x0 }, // 7017
  { PseudoVNCLIP_WV_MF2_MASK, VNCLIP_WV, 0x7, 0x0 }, // 7018
  { PseudoVNCLIP_WX_M1, VNCLIP_WX, 0x0, 0x0 }, // 7019
  { PseudoVNCLIP_WX_M1_MASK, VNCLIP_WX, 0x0, 0x0 }, // 7020
  { PseudoVNCLIP_WX_M2, VNCLIP_WX, 0x1, 0x0 }, // 7021
  { PseudoVNCLIP_WX_M2_MASK, VNCLIP_WX, 0x1, 0x0 }, // 7022
  { PseudoVNCLIP_WX_M4, VNCLIP_WX, 0x2, 0x0 }, // 7023
  { PseudoVNCLIP_WX_M4_MASK, VNCLIP_WX, 0x2, 0x0 }, // 7024
  { PseudoVNCLIP_WX_MF8, VNCLIP_WX, 0x5, 0x0 }, // 7025
  { PseudoVNCLIP_WX_MF8_MASK, VNCLIP_WX, 0x5, 0x0 }, // 7026
  { PseudoVNCLIP_WX_MF4, VNCLIP_WX, 0x6, 0x0 }, // 7027
  { PseudoVNCLIP_WX_MF4_MASK, VNCLIP_WX, 0x6, 0x0 }, // 7028
  { PseudoVNCLIP_WX_MF2, VNCLIP_WX, 0x7, 0x0 }, // 7029
  { PseudoVNCLIP_WX_MF2_MASK, VNCLIP_WX, 0x7, 0x0 }, // 7030
  { PseudoVNMSAC_VV_M1, VNMSAC_VV, 0x0, 0x0 }, // 7031
  { PseudoVNMSAC_VV_M1_MASK, VNMSAC_VV, 0x0, 0x0 }, // 7032
  { PseudoVNMSAC_VV_M2, VNMSAC_VV, 0x1, 0x0 }, // 7033
  { PseudoVNMSAC_VV_M2_MASK, VNMSAC_VV, 0x1, 0x0 }, // 7034
  { PseudoVNMSAC_VV_M4, VNMSAC_VV, 0x2, 0x0 }, // 7035
  { PseudoVNMSAC_VV_M4_MASK, VNMSAC_VV, 0x2, 0x0 }, // 7036
  { PseudoVNMSAC_VV_M8, VNMSAC_VV, 0x3, 0x0 }, // 7037
  { PseudoVNMSAC_VV_M8_MASK, VNMSAC_VV, 0x3, 0x0 }, // 7038
  { PseudoVNMSAC_VV_MF8, VNMSAC_VV, 0x5, 0x0 }, // 7039
  { PseudoVNMSAC_VV_MF8_MASK, VNMSAC_VV, 0x5, 0x0 }, // 7040
  { PseudoVNMSAC_VV_MF4, VNMSAC_VV, 0x6, 0x0 }, // 7041
  { PseudoVNMSAC_VV_MF4_MASK, VNMSAC_VV, 0x6, 0x0 }, // 7042
  { PseudoVNMSAC_VV_MF2, VNMSAC_VV, 0x7, 0x0 }, // 7043
  { PseudoVNMSAC_VV_MF2_MASK, VNMSAC_VV, 0x7, 0x0 }, // 7044
  { PseudoVNMSAC_VX_M1, VNMSAC_VX, 0x0, 0x0 }, // 7045
  { PseudoVNMSAC_VX_M1_MASK, VNMSAC_VX, 0x0, 0x0 }, // 7046
  { PseudoVNMSAC_VX_M2, VNMSAC_VX, 0x1, 0x0 }, // 7047
  { PseudoVNMSAC_VX_M2_MASK, VNMSAC_VX, 0x1, 0x0 }, // 7048
  { PseudoVNMSAC_VX_M4, VNMSAC_VX, 0x2, 0x0 }, // 7049
  { PseudoVNMSAC_VX_M4_MASK, VNMSAC_VX, 0x2, 0x0 }, // 7050
  { PseudoVNMSAC_VX_M8, VNMSAC_VX, 0x3, 0x0 }, // 7051
  { PseudoVNMSAC_VX_M8_MASK, VNMSAC_VX, 0x3, 0x0 }, // 7052
  { PseudoVNMSAC_VX_MF8, VNMSAC_VX, 0x5, 0x0 }, // 7053
  { PseudoVNMSAC_VX_MF8_MASK, VNMSAC_VX, 0x5, 0x0 }, // 7054
  { PseudoVNMSAC_VX_MF4, VNMSAC_VX, 0x6, 0x0 }, // 7055
  { PseudoVNMSAC_VX_MF4_MASK, VNMSAC_VX, 0x6, 0x0 }, // 7056
  { PseudoVNMSAC_VX_MF2, VNMSAC_VX, 0x7, 0x0 }, // 7057
  { PseudoVNMSAC_VX_MF2_MASK, VNMSAC_VX, 0x7, 0x0 }, // 7058
  { PseudoVNMSUB_VV_M1, VNMSUB_VV, 0x0, 0x0 }, // 7059
  { PseudoVNMSUB_VV_M1_MASK, VNMSUB_VV, 0x0, 0x0 }, // 7060
  { PseudoVNMSUB_VV_M2, VNMSUB_VV, 0x1, 0x0 }, // 7061
  { PseudoVNMSUB_VV_M2_MASK, VNMSUB_VV, 0x1, 0x0 }, // 7062
  { PseudoVNMSUB_VV_M4, VNMSUB_VV, 0x2, 0x0 }, // 7063
  { PseudoVNMSUB_VV_M4_MASK, VNMSUB_VV, 0x2, 0x0 }, // 7064
  { PseudoVNMSUB_VV_M8, VNMSUB_VV, 0x3, 0x0 }, // 7065
  { PseudoVNMSUB_VV_M8_MASK, VNMSUB_VV, 0x3, 0x0 }, // 7066
  { PseudoVNMSUB_VV_MF8, VNMSUB_VV, 0x5, 0x0 }, // 7067
  { PseudoVNMSUB_VV_MF8_MASK, VNMSUB_VV, 0x5, 0x0 }, // 7068
  { PseudoVNMSUB_VV_MF4, VNMSUB_VV, 0x6, 0x0 }, // 7069
  { PseudoVNMSUB_VV_MF4_MASK, VNMSUB_VV, 0x6, 0x0 }, // 7070
  { PseudoVNMSUB_VV_MF2, VNMSUB_VV, 0x7, 0x0 }, // 7071
  { PseudoVNMSUB_VV_MF2_MASK, VNMSUB_VV, 0x7, 0x0 }, // 7072
  { PseudoVNMSUB_VX_M1, VNMSUB_VX, 0x0, 0x0 }, // 7073
  { PseudoVNMSUB_VX_M1_MASK, VNMSUB_VX, 0x0, 0x0 }, // 7074
  { PseudoVNMSUB_VX_M2, VNMSUB_VX, 0x1, 0x0 }, // 7075
  { PseudoVNMSUB_VX_M2_MASK, VNMSUB_VX, 0x1, 0x0 }, // 7076
  { PseudoVNMSUB_VX_M4, VNMSUB_VX, 0x2, 0x0 }, // 7077
  { PseudoVNMSUB_VX_M4_MASK, VNMSUB_VX, 0x2, 0x0 }, // 7078
  { PseudoVNMSUB_VX_M8, VNMSUB_VX, 0x3, 0x0 }, // 7079
  { PseudoVNMSUB_VX_M8_MASK, VNMSUB_VX, 0x3, 0x0 }, // 7080
  { PseudoVNMSUB_VX_MF8, VNMSUB_VX, 0x5, 0x0 }, // 7081
  { PseudoVNMSUB_VX_MF8_MASK, VNMSUB_VX, 0x5, 0x0 }, // 7082
  { PseudoVNMSUB_VX_MF4, VNMSUB_VX, 0x6, 0x0 }, // 7083
  { PseudoVNMSUB_VX_MF4_MASK, VNMSUB_VX, 0x6, 0x0 }, // 7084
  { PseudoVNMSUB_VX_MF2, VNMSUB_VX, 0x7, 0x0 }, // 7085
  { PseudoVNMSUB_VX_MF2_MASK, VNMSUB_VX, 0x7, 0x0 }, // 7086
  { PseudoVNSRA_WI_M1, VNSRA_WI, 0x0, 0x0 }, // 7087
  { PseudoVNSRA_WI_M1_MASK, VNSRA_WI, 0x0, 0x0 }, // 7088
  { PseudoVNSRA_WI_M2, VNSRA_WI, 0x1, 0x0 }, // 7089
  { PseudoVNSRA_WI_M2_MASK, VNSRA_WI, 0x1, 0x0 }, // 7090
  { PseudoVNSRA_WI_M4, VNSRA_WI, 0x2, 0x0 }, // 7091
  { PseudoVNSRA_WI_M4_MASK, VNSRA_WI, 0x2, 0x0 }, // 7092
  { PseudoVNSRA_WI_MF8, VNSRA_WI, 0x5, 0x0 }, // 7093
  { PseudoVNSRA_WI_MF8_MASK, VNSRA_WI, 0x5, 0x0 }, // 7094
  { PseudoVNSRA_WI_MF4, VNSRA_WI, 0x6, 0x0 }, // 7095
  { PseudoVNSRA_WI_MF4_MASK, VNSRA_WI, 0x6, 0x0 }, // 7096
  { PseudoVNSRA_WI_MF2, VNSRA_WI, 0x7, 0x0 }, // 7097
  { PseudoVNSRA_WI_MF2_MASK, VNSRA_WI, 0x7, 0x0 }, // 7098
  { PseudoVNSRA_WV_M1, VNSRA_WV, 0x0, 0x0 }, // 7099
  { PseudoVNSRA_WV_M1_MASK, VNSRA_WV, 0x0, 0x0 }, // 7100
  { PseudoVNSRA_WV_M2, VNSRA_WV, 0x1, 0x0 }, // 7101
  { PseudoVNSRA_WV_M2_MASK, VNSRA_WV, 0x1, 0x0 }, // 7102
  { PseudoVNSRA_WV_M4, VNSRA_WV, 0x2, 0x0 }, // 7103
  { PseudoVNSRA_WV_M4_MASK, VNSRA_WV, 0x2, 0x0 }, // 7104
  { PseudoVNSRA_WV_MF8, VNSRA_WV, 0x5, 0x0 }, // 7105
  { PseudoVNSRA_WV_MF8_MASK, VNSRA_WV, 0x5, 0x0 }, // 7106
  { PseudoVNSRA_WV_MF4, VNSRA_WV, 0x6, 0x0 }, // 7107
  { PseudoVNSRA_WV_MF4_MASK, VNSRA_WV, 0x6, 0x0 }, // 7108
  { PseudoVNSRA_WV_MF2, VNSRA_WV, 0x7, 0x0 }, // 7109
  { PseudoVNSRA_WV_MF2_MASK, VNSRA_WV, 0x7, 0x0 }, // 7110
  { PseudoVNSRA_WX_M1, VNSRA_WX, 0x0, 0x0 }, // 7111
  { PseudoVNSRA_WX_M1_MASK, VNSRA_WX, 0x0, 0x0 }, // 7112
  { PseudoVNSRA_WX_M2, VNSRA_WX, 0x1, 0x0 }, // 7113
  { PseudoVNSRA_WX_M2_MASK, VNSRA_WX, 0x1, 0x0 }, // 7114
  { PseudoVNSRA_WX_M4, VNSRA_WX, 0x2, 0x0 }, // 7115
  { PseudoVNSRA_WX_M4_MASK, VNSRA_WX, 0x2, 0x0 }, // 7116
  { PseudoVNSRA_WX_MF8, VNSRA_WX, 0x5, 0x0 }, // 7117
  { PseudoVNSRA_WX_MF8_MASK, VNSRA_WX, 0x5, 0x0 }, // 7118
  { PseudoVNSRA_WX_MF4, VNSRA_WX, 0x6, 0x0 }, // 7119
  { PseudoVNSRA_WX_MF4_MASK, VNSRA_WX, 0x6, 0x0 }, // 7120
  { PseudoVNSRA_WX_MF2, VNSRA_WX, 0x7, 0x0 }, // 7121
  { PseudoVNSRA_WX_MF2_MASK, VNSRA_WX, 0x7, 0x0 }, // 7122
  { PseudoVNSRL_WI_M1, VNSRL_WI, 0x0, 0x0 }, // 7123
  { PseudoVNSRL_WI_M1_MASK, VNSRL_WI, 0x0, 0x0 }, // 7124
  { PseudoVNSRL_WI_M2, VNSRL_WI, 0x1, 0x0 }, // 7125
  { PseudoVNSRL_WI_M2_MASK, VNSRL_WI, 0x1, 0x0 }, // 7126
  { PseudoVNSRL_WI_M4, VNSRL_WI, 0x2, 0x0 }, // 7127
  { PseudoVNSRL_WI_M4_MASK, VNSRL_WI, 0x2, 0x0 }, // 7128
  { PseudoVNSRL_WI_MF8, VNSRL_WI, 0x5, 0x0 }, // 7129
  { PseudoVNSRL_WI_MF8_MASK, VNSRL_WI, 0x5, 0x0 }, // 7130
  { PseudoVNSRL_WI_MF4, VNSRL_WI, 0x6, 0x0 }, // 7131
  { PseudoVNSRL_WI_MF4_MASK, VNSRL_WI, 0x6, 0x0 }, // 7132
  { PseudoVNSRL_WI_MF2, VNSRL_WI, 0x7, 0x0 }, // 7133
  { PseudoVNSRL_WI_MF2_MASK, VNSRL_WI, 0x7, 0x0 }, // 7134
  { PseudoVNSRL_WV_M1, VNSRL_WV, 0x0, 0x0 }, // 7135
  { PseudoVNSRL_WV_M1_MASK, VNSRL_WV, 0x0, 0x0 }, // 7136
  { PseudoVNSRL_WV_M2, VNSRL_WV, 0x1, 0x0 }, // 7137
  { PseudoVNSRL_WV_M2_MASK, VNSRL_WV, 0x1, 0x0 }, // 7138
  { PseudoVNSRL_WV_M4, VNSRL_WV, 0x2, 0x0 }, // 7139
  { PseudoVNSRL_WV_M4_MASK, VNSRL_WV, 0x2, 0x0 }, // 7140
  { PseudoVNSRL_WV_MF8, VNSRL_WV, 0x5, 0x0 }, // 7141
  { PseudoVNSRL_WV_MF8_MASK, VNSRL_WV, 0x5, 0x0 }, // 7142
  { PseudoVNSRL_WV_MF4, VNSRL_WV, 0x6, 0x0 }, // 7143
  { PseudoVNSRL_WV_MF4_MASK, VNSRL_WV, 0x6, 0x0 }, // 7144
  { PseudoVNSRL_WV_MF2, VNSRL_WV, 0x7, 0x0 }, // 7145
  { PseudoVNSRL_WV_MF2_MASK, VNSRL_WV, 0x7, 0x0 }, // 7146
  { PseudoVNSRL_WX_M1, VNSRL_WX, 0x0, 0x0 }, // 7147
  { PseudoVNSRL_WX_M1_MASK, VNSRL_WX, 0x0, 0x0 }, // 7148
  { PseudoVNSRL_WX_M2, VNSRL_WX, 0x1, 0x0 }, // 7149
  { PseudoVNSRL_WX_M2_MASK, VNSRL_WX, 0x1, 0x0 }, // 7150
  { PseudoVNSRL_WX_M4, VNSRL_WX, 0x2, 0x0 }, // 7151
  { PseudoVNSRL_WX_M4_MASK, VNSRL_WX, 0x2, 0x0 }, // 7152
  { PseudoVNSRL_WX_MF8, VNSRL_WX, 0x5, 0x0 }, // 7153
  { PseudoVNSRL_WX_MF8_MASK, VNSRL_WX, 0x5, 0x0 }, // 7154
  { PseudoVNSRL_WX_MF4, VNSRL_WX, 0x6, 0x0 }, // 7155
  { PseudoVNSRL_WX_MF4_MASK, VNSRL_WX, 0x6, 0x0 }, // 7156
  { PseudoVNSRL_WX_MF2, VNSRL_WX, 0x7, 0x0 }, // 7157
  { PseudoVNSRL_WX_MF2_MASK, VNSRL_WX, 0x7, 0x0 }, // 7158
  { PseudoVOR_VI_M1, VOR_VI, 0x0, 0x0 }, // 7159
  { PseudoVOR_VI_M1_MASK, VOR_VI, 0x0, 0x0 }, // 7160
  { PseudoVOR_VI_M2, VOR_VI, 0x1, 0x0 }, // 7161
  { PseudoVOR_VI_M2_MASK, VOR_VI, 0x1, 0x0 }, // 7162
  { PseudoVOR_VI_M4, VOR_VI, 0x2, 0x0 }, // 7163
  { PseudoVOR_VI_M4_MASK, VOR_VI, 0x2, 0x0 }, // 7164
  { PseudoVOR_VI_M8, VOR_VI, 0x3, 0x0 }, // 7165
  { PseudoVOR_VI_M8_MASK, VOR_VI, 0x3, 0x0 }, // 7166
  { PseudoVOR_VI_MF8, VOR_VI, 0x5, 0x0 }, // 7167
  { PseudoVOR_VI_MF8_MASK, VOR_VI, 0x5, 0x0 }, // 7168
  { PseudoVOR_VI_MF4, VOR_VI, 0x6, 0x0 }, // 7169
  { PseudoVOR_VI_MF4_MASK, VOR_VI, 0x6, 0x0 }, // 7170
  { PseudoVOR_VI_MF2, VOR_VI, 0x7, 0x0 }, // 7171
  { PseudoVOR_VI_MF2_MASK, VOR_VI, 0x7, 0x0 }, // 7172
  { PseudoVOR_VV_M1, VOR_VV, 0x0, 0x0 }, // 7173
  { PseudoVOR_VV_M1_MASK, VOR_VV, 0x0, 0x0 }, // 7174
  { PseudoVOR_VV_M2, VOR_VV, 0x1, 0x0 }, // 7175
  { PseudoVOR_VV_M2_MASK, VOR_VV, 0x1, 0x0 }, // 7176
  { PseudoVOR_VV_M4, VOR_VV, 0x2, 0x0 }, // 7177
  { PseudoVOR_VV_M4_MASK, VOR_VV, 0x2, 0x0 }, // 7178
  { PseudoVOR_VV_M8, VOR_VV, 0x3, 0x0 }, // 7179
  { PseudoVOR_VV_M8_MASK, VOR_VV, 0x3, 0x0 }, // 7180
  { PseudoVOR_VV_MF8, VOR_VV, 0x5, 0x0 }, // 7181
  { PseudoVOR_VV_MF8_MASK, VOR_VV, 0x5, 0x0 }, // 7182
  { PseudoVOR_VV_MF4, VOR_VV, 0x6, 0x0 }, // 7183
  { PseudoVOR_VV_MF4_MASK, VOR_VV, 0x6, 0x0 }, // 7184
  { PseudoVOR_VV_MF2, VOR_VV, 0x7, 0x0 }, // 7185
  { PseudoVOR_VV_MF2_MASK, VOR_VV, 0x7, 0x0 }, // 7186
  { PseudoVOR_VX_M1, VOR_VX, 0x0, 0x0 }, // 7187
  { PseudoVOR_VX_M1_MASK, VOR_VX, 0x0, 0x0 }, // 7188
  { PseudoVOR_VX_M2, VOR_VX, 0x1, 0x0 }, // 7189
  { PseudoVOR_VX_M2_MASK, VOR_VX, 0x1, 0x0 }, // 7190
  { PseudoVOR_VX_M4, VOR_VX, 0x2, 0x0 }, // 7191
  { PseudoVOR_VX_M4_MASK, VOR_VX, 0x2, 0x0 }, // 7192
  { PseudoVOR_VX_M8, VOR_VX, 0x3, 0x0 }, // 7193
  { PseudoVOR_VX_M8_MASK, VOR_VX, 0x3, 0x0 }, // 7194
  { PseudoVOR_VX_MF8, VOR_VX, 0x5, 0x0 }, // 7195
  { PseudoVOR_VX_MF8_MASK, VOR_VX, 0x5, 0x0 }, // 7196
  { PseudoVOR_VX_MF4, VOR_VX, 0x6, 0x0 }, // 7197
  { PseudoVOR_VX_MF4_MASK, VOR_VX, 0x6, 0x0 }, // 7198
  { PseudoVOR_VX_MF2, VOR_VX, 0x7, 0x0 }, // 7199
  { PseudoVOR_VX_MF2_MASK, VOR_VX, 0x7, 0x0 }, // 7200
  { PseudoVQMACCSU_2x8x2_M1, VQMACCSU_2x8x2, 0x0, 0x0 }, // 7201
  { PseudoVQMACCSU_2x8x2_M2, VQMACCSU_2x8x2, 0x1, 0x0 }, // 7202
  { PseudoVQMACCSU_2x8x2_M4, VQMACCSU_2x8x2, 0x2, 0x0 }, // 7203
  { PseudoVQMACCSU_2x8x2_M8, VQMACCSU_2x8x2, 0x3, 0x0 }, // 7204
  { PseudoVQMACCSU_4x8x4_M1, VQMACCSU_4x8x4, 0x0, 0x0 }, // 7205
  { PseudoVQMACCSU_4x8x4_M2, VQMACCSU_4x8x4, 0x1, 0x0 }, // 7206
  { PseudoVQMACCSU_4x8x4_M4, VQMACCSU_4x8x4, 0x2, 0x0 }, // 7207
  { PseudoVQMACCSU_4x8x4_MF2, VQMACCSU_4x8x4, 0x7, 0x0 }, // 7208
  { PseudoVQMACCUS_2x8x2_M1, VQMACCUS_2x8x2, 0x0, 0x0 }, // 7209
  { PseudoVQMACCUS_2x8x2_M2, VQMACCUS_2x8x2, 0x1, 0x0 }, // 7210
  { PseudoVQMACCUS_2x8x2_M4, VQMACCUS_2x8x2, 0x2, 0x0 }, // 7211
  { PseudoVQMACCUS_2x8x2_M8, VQMACCUS_2x8x2, 0x3, 0x0 }, // 7212
  { PseudoVQMACCUS_4x8x4_M1, VQMACCUS_4x8x4, 0x0, 0x0 }, // 7213
  { PseudoVQMACCUS_4x8x4_M2, VQMACCUS_4x8x4, 0x1, 0x0 }, // 7214
  { PseudoVQMACCUS_4x8x4_M4, VQMACCUS_4x8x4, 0x2, 0x0 }, // 7215
  { PseudoVQMACCUS_4x8x4_MF2, VQMACCUS_4x8x4, 0x7, 0x0 }, // 7216
  { PseudoVQMACCU_2x8x2_M1, VQMACCU_2x8x2, 0x0, 0x0 }, // 7217
  { PseudoVQMACCU_2x8x2_M2, VQMACCU_2x8x2, 0x1, 0x0 }, // 7218
  { PseudoVQMACCU_2x8x2_M4, VQMACCU_2x8x2, 0x2, 0x0 }, // 7219
  { PseudoVQMACCU_2x8x2_M8, VQMACCU_2x8x2, 0x3, 0x0 }, // 7220
  { PseudoVQMACCU_4x8x4_M1, VQMACCU_4x8x4, 0x0, 0x0 }, // 7221
  { PseudoVQMACCU_4x8x4_M2, VQMACCU_4x8x4, 0x1, 0x0 }, // 7222
  { PseudoVQMACCU_4x8x4_M4, VQMACCU_4x8x4, 0x2, 0x0 }, // 7223
  { PseudoVQMACCU_4x8x4_MF2, VQMACCU_4x8x4, 0x7, 0x0 }, // 7224
  { PseudoVQMACC_2x8x2_M1, VQMACC_2x8x2, 0x0, 0x0 }, // 7225
  { PseudoVQMACC_2x8x2_M2, VQMACC_2x8x2, 0x1, 0x0 }, // 7226
  { PseudoVQMACC_2x8x2_M4, VQMACC_2x8x2, 0x2, 0x0 }, // 7227
  { PseudoVQMACC_2x8x2_M8, VQMACC_2x8x2, 0x3, 0x0 }, // 7228
  { PseudoVQMACC_4x8x4_M1, VQMACC_4x8x4, 0x0, 0x0 }, // 7229
  { PseudoVQMACC_4x8x4_M2, VQMACC_4x8x4, 0x1, 0x0 }, // 7230
  { PseudoVQMACC_4x8x4_M4, VQMACC_4x8x4, 0x2, 0x0 }, // 7231
  { PseudoVQMACC_4x8x4_MF2, VQMACC_4x8x4, 0x7, 0x0 }, // 7232
  { PseudoVREDAND_VS_M1_E8, VREDAND_VS, 0x0, 0x8 }, // 7233
  { PseudoVREDAND_VS_M1_E8_MASK, VREDAND_VS, 0x0, 0x8 }, // 7234
  { PseudoVREDAND_VS_M1_E16, VREDAND_VS, 0x0, 0x10 }, // 7235
  { PseudoVREDAND_VS_M1_E16_MASK, VREDAND_VS, 0x0, 0x10 }, // 7236
  { PseudoVREDAND_VS_M1_E32, VREDAND_VS, 0x0, 0x20 }, // 7237
  { PseudoVREDAND_VS_M1_E32_MASK, VREDAND_VS, 0x0, 0x20 }, // 7238
  { PseudoVREDAND_VS_M1_E64, VREDAND_VS, 0x0, 0x40 }, // 7239
  { PseudoVREDAND_VS_M1_E64_MASK, VREDAND_VS, 0x0, 0x40 }, // 7240
  { PseudoVREDAND_VS_M2_E8, VREDAND_VS, 0x1, 0x8 }, // 7241
  { PseudoVREDAND_VS_M2_E8_MASK, VREDAND_VS, 0x1, 0x8 }, // 7242
  { PseudoVREDAND_VS_M2_E16, VREDAND_VS, 0x1, 0x10 }, // 7243
  { PseudoVREDAND_VS_M2_E16_MASK, VREDAND_VS, 0x1, 0x10 }, // 7244
  { PseudoVREDAND_VS_M2_E32, VREDAND_VS, 0x1, 0x20 }, // 7245
  { PseudoVREDAND_VS_M2_E32_MASK, VREDAND_VS, 0x1, 0x20 }, // 7246
  { PseudoVREDAND_VS_M2_E64, VREDAND_VS, 0x1, 0x40 }, // 7247
  { PseudoVREDAND_VS_M2_E64_MASK, VREDAND_VS, 0x1, 0x40 }, // 7248
  { PseudoVREDAND_VS_M4_E8, VREDAND_VS, 0x2, 0x8 }, // 7249
  { PseudoVREDAND_VS_M4_E8_MASK, VREDAND_VS, 0x2, 0x8 }, // 7250
  { PseudoVREDAND_VS_M4_E16, VREDAND_VS, 0x2, 0x10 }, // 7251
  { PseudoVREDAND_VS_M4_E16_MASK, VREDAND_VS, 0x2, 0x10 }, // 7252
  { PseudoVREDAND_VS_M4_E32, VREDAND_VS, 0x2, 0x20 }, // 7253
  { PseudoVREDAND_VS_M4_E32_MASK, VREDAND_VS, 0x2, 0x20 }, // 7254
  { PseudoVREDAND_VS_M4_E64, VREDAND_VS, 0x2, 0x40 }, // 7255
  { PseudoVREDAND_VS_M4_E64_MASK, VREDAND_VS, 0x2, 0x40 }, // 7256
  { PseudoVREDAND_VS_M8_E8, VREDAND_VS, 0x3, 0x8 }, // 7257
  { PseudoVREDAND_VS_M8_E8_MASK, VREDAND_VS, 0x3, 0x8 }, // 7258
  { PseudoVREDAND_VS_M8_E16, VREDAND_VS, 0x3, 0x10 }, // 7259
  { PseudoVREDAND_VS_M8_E16_MASK, VREDAND_VS, 0x3, 0x10 }, // 7260
  { PseudoVREDAND_VS_M8_E32, VREDAND_VS, 0x3, 0x20 }, // 7261
  { PseudoVREDAND_VS_M8_E32_MASK, VREDAND_VS, 0x3, 0x20 }, // 7262
  { PseudoVREDAND_VS_M8_E64, VREDAND_VS, 0x3, 0x40 }, // 7263
  { PseudoVREDAND_VS_M8_E64_MASK, VREDAND_VS, 0x3, 0x40 }, // 7264
  { PseudoVREDAND_VS_MF8_E8, VREDAND_VS, 0x5, 0x8 }, // 7265
  { PseudoVREDAND_VS_MF8_E8_MASK, VREDAND_VS, 0x5, 0x8 }, // 7266
  { PseudoVREDAND_VS_MF4_E8, VREDAND_VS, 0x6, 0x8 }, // 7267
  { PseudoVREDAND_VS_MF4_E8_MASK, VREDAND_VS, 0x6, 0x8 }, // 7268
  { PseudoVREDAND_VS_MF4_E16, VREDAND_VS, 0x6, 0x10 }, // 7269
  { PseudoVREDAND_VS_MF4_E16_MASK, VREDAND_VS, 0x6, 0x10 }, // 7270
  { PseudoVREDAND_VS_MF2_E8, VREDAND_VS, 0x7, 0x8 }, // 7271
  { PseudoVREDAND_VS_MF2_E8_MASK, VREDAND_VS, 0x7, 0x8 }, // 7272
  { PseudoVREDAND_VS_MF2_E16, VREDAND_VS, 0x7, 0x10 }, // 7273
  { PseudoVREDAND_VS_MF2_E16_MASK, VREDAND_VS, 0x7, 0x10 }, // 7274
  { PseudoVREDAND_VS_MF2_E32, VREDAND_VS, 0x7, 0x20 }, // 7275
  { PseudoVREDAND_VS_MF2_E32_MASK, VREDAND_VS, 0x7, 0x20 }, // 7276
  { PseudoVREDMAXU_VS_M1_E8, VREDMAXU_VS, 0x0, 0x8 }, // 7277
  { PseudoVREDMAXU_VS_M1_E8_MASK, VREDMAXU_VS, 0x0, 0x8 }, // 7278
  { PseudoVREDMAXU_VS_M1_E16, VREDMAXU_VS, 0x0, 0x10 }, // 7279
  { PseudoVREDMAXU_VS_M1_E16_MASK, VREDMAXU_VS, 0x0, 0x10 }, // 7280
  { PseudoVREDMAXU_VS_M1_E32, VREDMAXU_VS, 0x0, 0x20 }, // 7281
  { PseudoVREDMAXU_VS_M1_E32_MASK, VREDMAXU_VS, 0x0, 0x20 }, // 7282
  { PseudoVREDMAXU_VS_M1_E64, VREDMAXU_VS, 0x0, 0x40 }, // 7283
  { PseudoVREDMAXU_VS_M1_E64_MASK, VREDMAXU_VS, 0x0, 0x40 }, // 7284
  { PseudoVREDMAXU_VS_M2_E8, VREDMAXU_VS, 0x1, 0x8 }, // 7285
  { PseudoVREDMAXU_VS_M2_E8_MASK, VREDMAXU_VS, 0x1, 0x8 }, // 7286
  { PseudoVREDMAXU_VS_M2_E16, VREDMAXU_VS, 0x1, 0x10 }, // 7287
  { PseudoVREDMAXU_VS_M2_E16_MASK, VREDMAXU_VS, 0x1, 0x10 }, // 7288
  { PseudoVREDMAXU_VS_M2_E32, VREDMAXU_VS, 0x1, 0x20 }, // 7289
  { PseudoVREDMAXU_VS_M2_E32_MASK, VREDMAXU_VS, 0x1, 0x20 }, // 7290
  { PseudoVREDMAXU_VS_M2_E64, VREDMAXU_VS, 0x1, 0x40 }, // 7291
  { PseudoVREDMAXU_VS_M2_E64_MASK, VREDMAXU_VS, 0x1, 0x40 }, // 7292
  { PseudoVREDMAXU_VS_M4_E8, VREDMAXU_VS, 0x2, 0x8 }, // 7293
  { PseudoVREDMAXU_VS_M4_E8_MASK, VREDMAXU_VS, 0x2, 0x8 }, // 7294
  { PseudoVREDMAXU_VS_M4_E16, VREDMAXU_VS, 0x2, 0x10 }, // 7295
  { PseudoVREDMAXU_VS_M4_E16_MASK, VREDMAXU_VS, 0x2, 0x10 }, // 7296
  { PseudoVREDMAXU_VS_M4_E32, VREDMAXU_VS, 0x2, 0x20 }, // 7297
  { PseudoVREDMAXU_VS_M4_E32_MASK, VREDMAXU_VS, 0x2, 0x20 }, // 7298
  { PseudoVREDMAXU_VS_M4_E64, VREDMAXU_VS, 0x2, 0x40 }, // 7299
  { PseudoVREDMAXU_VS_M4_E64_MASK, VREDMAXU_VS, 0x2, 0x40 }, // 7300
  { PseudoVREDMAXU_VS_M8_E8, VREDMAXU_VS, 0x3, 0x8 }, // 7301
  { PseudoVREDMAXU_VS_M8_E8_MASK, VREDMAXU_VS, 0x3, 0x8 }, // 7302
  { PseudoVREDMAXU_VS_M8_E16, VREDMAXU_VS, 0x3, 0x10 }, // 7303
  { PseudoVREDMAXU_VS_M8_E16_MASK, VREDMAXU_VS, 0x3, 0x10 }, // 7304
  { PseudoVREDMAXU_VS_M8_E32, VREDMAXU_VS, 0x3, 0x20 }, // 7305
  { PseudoVREDMAXU_VS_M8_E32_MASK, VREDMAXU_VS, 0x3, 0x20 }, // 7306
  { PseudoVREDMAXU_VS_M8_E64, VREDMAXU_VS, 0x3, 0x40 }, // 7307
  { PseudoVREDMAXU_VS_M8_E64_MASK, VREDMAXU_VS, 0x3, 0x40 }, // 7308
  { PseudoVREDMAXU_VS_MF8_E8, VREDMAXU_VS, 0x5, 0x8 }, // 7309
  { PseudoVREDMAXU_VS_MF8_E8_MASK, VREDMAXU_VS, 0x5, 0x8 }, // 7310
  { PseudoVREDMAXU_VS_MF4_E8, VREDMAXU_VS, 0x6, 0x8 }, // 7311
  { PseudoVREDMAXU_VS_MF4_E8_MASK, VREDMAXU_VS, 0x6, 0x8 }, // 7312
  { PseudoVREDMAXU_VS_MF4_E16, VREDMAXU_VS, 0x6, 0x10 }, // 7313
  { PseudoVREDMAXU_VS_MF4_E16_MASK, VREDMAXU_VS, 0x6, 0x10 }, // 7314
  { PseudoVREDMAXU_VS_MF2_E8, VREDMAXU_VS, 0x7, 0x8 }, // 7315
  { PseudoVREDMAXU_VS_MF2_E8_MASK, VREDMAXU_VS, 0x7, 0x8 }, // 7316
  { PseudoVREDMAXU_VS_MF2_E16, VREDMAXU_VS, 0x7, 0x10 }, // 7317
  { PseudoVREDMAXU_VS_MF2_E16_MASK, VREDMAXU_VS, 0x7, 0x10 }, // 7318
  { PseudoVREDMAXU_VS_MF2_E32, VREDMAXU_VS, 0x7, 0x20 }, // 7319
  { PseudoVREDMAXU_VS_MF2_E32_MASK, VREDMAXU_VS, 0x7, 0x20 }, // 7320
  { PseudoVREDMAX_VS_M1_E8, VREDMAX_VS, 0x0, 0x8 }, // 7321
  { PseudoVREDMAX_VS_M1_E8_MASK, VREDMAX_VS, 0x0, 0x8 }, // 7322
  { PseudoVREDMAX_VS_M1_E16, VREDMAX_VS, 0x0, 0x10 }, // 7323
  { PseudoVREDMAX_VS_M1_E16_MASK, VREDMAX_VS, 0x0, 0x10 }, // 7324
  { PseudoVREDMAX_VS_M1_E32, VREDMAX_VS, 0x0, 0x20 }, // 7325
  { PseudoVREDMAX_VS_M1_E32_MASK, VREDMAX_VS, 0x0, 0x20 }, // 7326
  { PseudoVREDMAX_VS_M1_E64, VREDMAX_VS, 0x0, 0x40 }, // 7327
  { PseudoVREDMAX_VS_M1_E64_MASK, VREDMAX_VS, 0x0, 0x40 }, // 7328
  { PseudoVREDMAX_VS_M2_E8, VREDMAX_VS, 0x1, 0x8 }, // 7329
  { PseudoVREDMAX_VS_M2_E8_MASK, VREDMAX_VS, 0x1, 0x8 }, // 7330
  { PseudoVREDMAX_VS_M2_E16, VREDMAX_VS, 0x1, 0x10 }, // 7331
  { PseudoVREDMAX_VS_M2_E16_MASK, VREDMAX_VS, 0x1, 0x10 }, // 7332
  { PseudoVREDMAX_VS_M2_E32, VREDMAX_VS, 0x1, 0x20 }, // 7333
  { PseudoVREDMAX_VS_M2_E32_MASK, VREDMAX_VS, 0x1, 0x20 }, // 7334
  { PseudoVREDMAX_VS_M2_E64, VREDMAX_VS, 0x1, 0x40 }, // 7335
  { PseudoVREDMAX_VS_M2_E64_MASK, VREDMAX_VS, 0x1, 0x40 }, // 7336
  { PseudoVREDMAX_VS_M4_E8, VREDMAX_VS, 0x2, 0x8 }, // 7337
  { PseudoVREDMAX_VS_M4_E8_MASK, VREDMAX_VS, 0x2, 0x8 }, // 7338
  { PseudoVREDMAX_VS_M4_E16, VREDMAX_VS, 0x2, 0x10 }, // 7339
  { PseudoVREDMAX_VS_M4_E16_MASK, VREDMAX_VS, 0x2, 0x10 }, // 7340
  { PseudoVREDMAX_VS_M4_E32, VREDMAX_VS, 0x2, 0x20 }, // 7341
  { PseudoVREDMAX_VS_M4_E32_MASK, VREDMAX_VS, 0x2, 0x20 }, // 7342
  { PseudoVREDMAX_VS_M4_E64, VREDMAX_VS, 0x2, 0x40 }, // 7343
  { PseudoVREDMAX_VS_M4_E64_MASK, VREDMAX_VS, 0x2, 0x40 }, // 7344
  { PseudoVREDMAX_VS_M8_E8, VREDMAX_VS, 0x3, 0x8 }, // 7345
  { PseudoVREDMAX_VS_M8_E8_MASK, VREDMAX_VS, 0x3, 0x8 }, // 7346
  { PseudoVREDMAX_VS_M8_E16, VREDMAX_VS, 0x3, 0x10 }, // 7347
  { PseudoVREDMAX_VS_M8_E16_MASK, VREDMAX_VS, 0x3, 0x10 }, // 7348
  { PseudoVREDMAX_VS_M8_E32, VREDMAX_VS, 0x3, 0x20 }, // 7349
  { PseudoVREDMAX_VS_M8_E32_MASK, VREDMAX_VS, 0x3, 0x20 }, // 7350
  { PseudoVREDMAX_VS_M8_E64, VREDMAX_VS, 0x3, 0x40 }, // 7351
  { PseudoVREDMAX_VS_M8_E64_MASK, VREDMAX_VS, 0x3, 0x40 }, // 7352
  { PseudoVREDMAX_VS_MF8_E8, VREDMAX_VS, 0x5, 0x8 }, // 7353
  { PseudoVREDMAX_VS_MF8_E8_MASK, VREDMAX_VS, 0x5, 0x8 }, // 7354
  { PseudoVREDMAX_VS_MF4_E8, VREDMAX_VS, 0x6, 0x8 }, // 7355
  { PseudoVREDMAX_VS_MF4_E8_MASK, VREDMAX_VS, 0x6, 0x8 }, // 7356
  { PseudoVREDMAX_VS_MF4_E16, VREDMAX_VS, 0x6, 0x10 }, // 7357
  { PseudoVREDMAX_VS_MF4_E16_MASK, VREDMAX_VS, 0x6, 0x10 }, // 7358
  { PseudoVREDMAX_VS_MF2_E8, VREDMAX_VS, 0x7, 0x8 }, // 7359
  { PseudoVREDMAX_VS_MF2_E8_MASK, VREDMAX_VS, 0x7, 0x8 }, // 7360
  { PseudoVREDMAX_VS_MF2_E16, VREDMAX_VS, 0x7, 0x10 }, // 7361
  { PseudoVREDMAX_VS_MF2_E16_MASK, VREDMAX_VS, 0x7, 0x10 }, // 7362
  { PseudoVREDMAX_VS_MF2_E32, VREDMAX_VS, 0x7, 0x20 }, // 7363
  { PseudoVREDMAX_VS_MF2_E32_MASK, VREDMAX_VS, 0x7, 0x20 }, // 7364
  { PseudoVREDMINU_VS_M1_E8, VREDMINU_VS, 0x0, 0x8 }, // 7365
  { PseudoVREDMINU_VS_M1_E8_MASK, VREDMINU_VS, 0x0, 0x8 }, // 7366
  { PseudoVREDMINU_VS_M1_E16, VREDMINU_VS, 0x0, 0x10 }, // 7367
  { PseudoVREDMINU_VS_M1_E16_MASK, VREDMINU_VS, 0x0, 0x10 }, // 7368
  { PseudoVREDMINU_VS_M1_E32, VREDMINU_VS, 0x0, 0x20 }, // 7369
  { PseudoVREDMINU_VS_M1_E32_MASK, VREDMINU_VS, 0x0, 0x20 }, // 7370
  { PseudoVREDMINU_VS_M1_E64, VREDMINU_VS, 0x0, 0x40 }, // 7371
  { PseudoVREDMINU_VS_M1_E64_MASK, VREDMINU_VS, 0x0, 0x40 }, // 7372
  { PseudoVREDMINU_VS_M2_E8, VREDMINU_VS, 0x1, 0x8 }, // 7373
  { PseudoVREDMINU_VS_M2_E8_MASK, VREDMINU_VS, 0x1, 0x8 }, // 7374
  { PseudoVREDMINU_VS_M2_E16, VREDMINU_VS, 0x1, 0x10 }, // 7375
  { PseudoVREDMINU_VS_M2_E16_MASK, VREDMINU_VS, 0x1, 0x10 }, // 7376
  { PseudoVREDMINU_VS_M2_E32, VREDMINU_VS, 0x1, 0x20 }, // 7377
  { PseudoVREDMINU_VS_M2_E32_MASK, VREDMINU_VS, 0x1, 0x20 }, // 7378
  { PseudoVREDMINU_VS_M2_E64, VREDMINU_VS, 0x1, 0x40 }, // 7379
  { PseudoVREDMINU_VS_M2_E64_MASK, VREDMINU_VS, 0x1, 0x40 }, // 7380
  { PseudoVREDMINU_VS_M4_E8, VREDMINU_VS, 0x2, 0x8 }, // 7381
  { PseudoVREDMINU_VS_M4_E8_MASK, VREDMINU_VS, 0x2, 0x8 }, // 7382
  { PseudoVREDMINU_VS_M4_E16, VREDMINU_VS, 0x2, 0x10 }, // 7383
  { PseudoVREDMINU_VS_M4_E16_MASK, VREDMINU_VS, 0x2, 0x10 }, // 7384
  { PseudoVREDMINU_VS_M4_E32, VREDMINU_VS, 0x2, 0x20 }, // 7385
  { PseudoVREDMINU_VS_M4_E32_MASK, VREDMINU_VS, 0x2, 0x20 }, // 7386
  { PseudoVREDMINU_VS_M4_E64, VREDMINU_VS, 0x2, 0x40 }, // 7387
  { PseudoVREDMINU_VS_M4_E64_MASK, VREDMINU_VS, 0x2, 0x40 }, // 7388
  { PseudoVREDMINU_VS_M8_E8, VREDMINU_VS, 0x3, 0x8 }, // 7389
  { PseudoVREDMINU_VS_M8_E8_MASK, VREDMINU_VS, 0x3, 0x8 }, // 7390
  { PseudoVREDMINU_VS_M8_E16, VREDMINU_VS, 0x3, 0x10 }, // 7391
  { PseudoVREDMINU_VS_M8_E16_MASK, VREDMINU_VS, 0x3, 0x10 }, // 7392
  { PseudoVREDMINU_VS_M8_E32, VREDMINU_VS, 0x3, 0x20 }, // 7393
  { PseudoVREDMINU_VS_M8_E32_MASK, VREDMINU_VS, 0x3, 0x20 }, // 7394
  { PseudoVREDMINU_VS_M8_E64, VREDMINU_VS, 0x3, 0x40 }, // 7395
  { PseudoVREDMINU_VS_M8_E64_MASK, VREDMINU_VS, 0x3, 0x40 }, // 7396
  { PseudoVREDMINU_VS_MF8_E8, VREDMINU_VS, 0x5, 0x8 }, // 7397
  { PseudoVREDMINU_VS_MF8_E8_MASK, VREDMINU_VS, 0x5, 0x8 }, // 7398
  { PseudoVREDMINU_VS_MF4_E8, VREDMINU_VS, 0x6, 0x8 }, // 7399
  { PseudoVREDMINU_VS_MF4_E8_MASK, VREDMINU_VS, 0x6, 0x8 }, // 7400
  { PseudoVREDMINU_VS_MF4_E16, VREDMINU_VS, 0x6, 0x10 }, // 7401
  { PseudoVREDMINU_VS_MF4_E16_MASK, VREDMINU_VS, 0x6, 0x10 }, // 7402
  { PseudoVREDMINU_VS_MF2_E8, VREDMINU_VS, 0x7, 0x8 }, // 7403
  { PseudoVREDMINU_VS_MF2_E8_MASK, VREDMINU_VS, 0x7, 0x8 }, // 7404
  { PseudoVREDMINU_VS_MF2_E16, VREDMINU_VS, 0x7, 0x10 }, // 7405
  { PseudoVREDMINU_VS_MF2_E16_MASK, VREDMINU_VS, 0x7, 0x10 }, // 7406
  { PseudoVREDMINU_VS_MF2_E32, VREDMINU_VS, 0x7, 0x20 }, // 7407
  { PseudoVREDMINU_VS_MF2_E32_MASK, VREDMINU_VS, 0x7, 0x20 }, // 7408
  { PseudoVREDMIN_VS_M1_E8, VREDMIN_VS, 0x0, 0x8 }, // 7409
  { PseudoVREDMIN_VS_M1_E8_MASK, VREDMIN_VS, 0x0, 0x8 }, // 7410
  { PseudoVREDMIN_VS_M1_E16, VREDMIN_VS, 0x0, 0x10 }, // 7411
  { PseudoVREDMIN_VS_M1_E16_MASK, VREDMIN_VS, 0x0, 0x10 }, // 7412
  { PseudoVREDMIN_VS_M1_E32, VREDMIN_VS, 0x0, 0x20 }, // 7413
  { PseudoVREDMIN_VS_M1_E32_MASK, VREDMIN_VS, 0x0, 0x20 }, // 7414
  { PseudoVREDMIN_VS_M1_E64, VREDMIN_VS, 0x0, 0x40 }, // 7415
  { PseudoVREDMIN_VS_M1_E64_MASK, VREDMIN_VS, 0x0, 0x40 }, // 7416
  { PseudoVREDMIN_VS_M2_E8, VREDMIN_VS, 0x1, 0x8 }, // 7417
  { PseudoVREDMIN_VS_M2_E8_MASK, VREDMIN_VS, 0x1, 0x8 }, // 7418
  { PseudoVREDMIN_VS_M2_E16, VREDMIN_VS, 0x1, 0x10 }, // 7419
  { PseudoVREDMIN_VS_M2_E16_MASK, VREDMIN_VS, 0x1, 0x10 }, // 7420
  { PseudoVREDMIN_VS_M2_E32, VREDMIN_VS, 0x1, 0x20 }, // 7421
  { PseudoVREDMIN_VS_M2_E32_MASK, VREDMIN_VS, 0x1, 0x20 }, // 7422
  { PseudoVREDMIN_VS_M2_E64, VREDMIN_VS, 0x1, 0x40 }, // 7423
  { PseudoVREDMIN_VS_M2_E64_MASK, VREDMIN_VS, 0x1, 0x40 }, // 7424
  { PseudoVREDMIN_VS_M4_E8, VREDMIN_VS, 0x2, 0x8 }, // 7425
  { PseudoVREDMIN_VS_M4_E8_MASK, VREDMIN_VS, 0x2, 0x8 }, // 7426
  { PseudoVREDMIN_VS_M4_E16, VREDMIN_VS, 0x2, 0x10 }, // 7427
  { PseudoVREDMIN_VS_M4_E16_MASK, VREDMIN_VS, 0x2, 0x10 }, // 7428
  { PseudoVREDMIN_VS_M4_E32, VREDMIN_VS, 0x2, 0x20 }, // 7429
  { PseudoVREDMIN_VS_M4_E32_MASK, VREDMIN_VS, 0x2, 0x20 }, // 7430
  { PseudoVREDMIN_VS_M4_E64, VREDMIN_VS, 0x2, 0x40 }, // 7431
  { PseudoVREDMIN_VS_M4_E64_MASK, VREDMIN_VS, 0x2, 0x40 }, // 7432
  { PseudoVREDMIN_VS_M8_E8, VREDMIN_VS, 0x3, 0x8 }, // 7433
  { PseudoVREDMIN_VS_M8_E8_MASK, VREDMIN_VS, 0x3, 0x8 }, // 7434
  { PseudoVREDMIN_VS_M8_E16, VREDMIN_VS, 0x3, 0x10 }, // 7435
  { PseudoVREDMIN_VS_M8_E16_MASK, VREDMIN_VS, 0x3, 0x10 }, // 7436
  { PseudoVREDMIN_VS_M8_E32, VREDMIN_VS, 0x3, 0x20 }, // 7437
  { PseudoVREDMIN_VS_M8_E32_MASK, VREDMIN_VS, 0x3, 0x20 }, // 7438
  { PseudoVREDMIN_VS_M8_E64, VREDMIN_VS, 0x3, 0x40 }, // 7439
  { PseudoVREDMIN_VS_M8_E64_MASK, VREDMIN_VS, 0x3, 0x40 }, // 7440
  { PseudoVREDMIN_VS_MF8_E8, VREDMIN_VS, 0x5, 0x8 }, // 7441
  { PseudoVREDMIN_VS_MF8_E8_MASK, VREDMIN_VS, 0x5, 0x8 }, // 7442
  { PseudoVREDMIN_VS_MF4_E8, VREDMIN_VS, 0x6, 0x8 }, // 7443
  { PseudoVREDMIN_VS_MF4_E8_MASK, VREDMIN_VS, 0x6, 0x8 }, // 7444
  { PseudoVREDMIN_VS_MF4_E16, VREDMIN_VS, 0x6, 0x10 }, // 7445
  { PseudoVREDMIN_VS_MF4_E16_MASK, VREDMIN_VS, 0x6, 0x10 }, // 7446
  { PseudoVREDMIN_VS_MF2_E8, VREDMIN_VS, 0x7, 0x8 }, // 7447
  { PseudoVREDMIN_VS_MF2_E8_MASK, VREDMIN_VS, 0x7, 0x8 }, // 7448
  { PseudoVREDMIN_VS_MF2_E16, VREDMIN_VS, 0x7, 0x10 }, // 7449
  { PseudoVREDMIN_VS_MF2_E16_MASK, VREDMIN_VS, 0x7, 0x10 }, // 7450
  { PseudoVREDMIN_VS_MF2_E32, VREDMIN_VS, 0x7, 0x20 }, // 7451
  { PseudoVREDMIN_VS_MF2_E32_MASK, VREDMIN_VS, 0x7, 0x20 }, // 7452
  { PseudoVREDOR_VS_M1_E8, VREDOR_VS, 0x0, 0x8 }, // 7453
  { PseudoVREDOR_VS_M1_E8_MASK, VREDOR_VS, 0x0, 0x8 }, // 7454
  { PseudoVREDOR_VS_M1_E16, VREDOR_VS, 0x0, 0x10 }, // 7455
  { PseudoVREDOR_VS_M1_E16_MASK, VREDOR_VS, 0x0, 0x10 }, // 7456
  { PseudoVREDOR_VS_M1_E32, VREDOR_VS, 0x0, 0x20 }, // 7457
  { PseudoVREDOR_VS_M1_E32_MASK, VREDOR_VS, 0x0, 0x20 }, // 7458
  { PseudoVREDOR_VS_M1_E64, VREDOR_VS, 0x0, 0x40 }, // 7459
  { PseudoVREDOR_VS_M1_E64_MASK, VREDOR_VS, 0x0, 0x40 }, // 7460
  { PseudoVREDOR_VS_M2_E8, VREDOR_VS, 0x1, 0x8 }, // 7461
  { PseudoVREDOR_VS_M2_E8_MASK, VREDOR_VS, 0x1, 0x8 }, // 7462
  { PseudoVREDOR_VS_M2_E16, VREDOR_VS, 0x1, 0x10 }, // 7463
  { PseudoVREDOR_VS_M2_E16_MASK, VREDOR_VS, 0x1, 0x10 }, // 7464
  { PseudoVREDOR_VS_M2_E32, VREDOR_VS, 0x1, 0x20 }, // 7465
  { PseudoVREDOR_VS_M2_E32_MASK, VREDOR_VS, 0x1, 0x20 }, // 7466
  { PseudoVREDOR_VS_M2_E64, VREDOR_VS, 0x1, 0x40 }, // 7467
  { PseudoVREDOR_VS_M2_E64_MASK, VREDOR_VS, 0x1, 0x40 }, // 7468
  { PseudoVREDOR_VS_M4_E8, VREDOR_VS, 0x2, 0x8 }, // 7469
  { PseudoVREDOR_VS_M4_E8_MASK, VREDOR_VS, 0x2, 0x8 }, // 7470
  { PseudoVREDOR_VS_M4_E16, VREDOR_VS, 0x2, 0x10 }, // 7471
  { PseudoVREDOR_VS_M4_E16_MASK, VREDOR_VS, 0x2, 0x10 }, // 7472
  { PseudoVREDOR_VS_M4_E32, VREDOR_VS, 0x2, 0x20 }, // 7473
  { PseudoVREDOR_VS_M4_E32_MASK, VREDOR_VS, 0x2, 0x20 }, // 7474
  { PseudoVREDOR_VS_M4_E64, VREDOR_VS, 0x2, 0x40 }, // 7475
  { PseudoVREDOR_VS_M4_E64_MASK, VREDOR_VS, 0x2, 0x40 }, // 7476
  { PseudoVREDOR_VS_M8_E8, VREDOR_VS, 0x3, 0x8 }, // 7477
  { PseudoVREDOR_VS_M8_E8_MASK, VREDOR_VS, 0x3, 0x8 }, // 7478
  { PseudoVREDOR_VS_M8_E16, VREDOR_VS, 0x3, 0x10 }, // 7479
  { PseudoVREDOR_VS_M8_E16_MASK, VREDOR_VS, 0x3, 0x10 }, // 7480
  { PseudoVREDOR_VS_M8_E32, VREDOR_VS, 0x3, 0x20 }, // 7481
  { PseudoVREDOR_VS_M8_E32_MASK, VREDOR_VS, 0x3, 0x20 }, // 7482
  { PseudoVREDOR_VS_M8_E64, VREDOR_VS, 0x3, 0x40 }, // 7483
  { PseudoVREDOR_VS_M8_E64_MASK, VREDOR_VS, 0x3, 0x40 }, // 7484
  { PseudoVREDOR_VS_MF8_E8, VREDOR_VS, 0x5, 0x8 }, // 7485
  { PseudoVREDOR_VS_MF8_E8_MASK, VREDOR_VS, 0x5, 0x8 }, // 7486
  { PseudoVREDOR_VS_MF4_E8, VREDOR_VS, 0x6, 0x8 }, // 7487
  { PseudoVREDOR_VS_MF4_E8_MASK, VREDOR_VS, 0x6, 0x8 }, // 7488
  { PseudoVREDOR_VS_MF4_E16, VREDOR_VS, 0x6, 0x10 }, // 7489
  { PseudoVREDOR_VS_MF4_E16_MASK, VREDOR_VS, 0x6, 0x10 }, // 7490
  { PseudoVREDOR_VS_MF2_E8, VREDOR_VS, 0x7, 0x8 }, // 7491
  { PseudoVREDOR_VS_MF2_E8_MASK, VREDOR_VS, 0x7, 0x8 }, // 7492
  { PseudoVREDOR_VS_MF2_E16, VREDOR_VS, 0x7, 0x10 }, // 7493
  { PseudoVREDOR_VS_MF2_E16_MASK, VREDOR_VS, 0x7, 0x10 }, // 7494
  { PseudoVREDOR_VS_MF2_E32, VREDOR_VS, 0x7, 0x20 }, // 7495
  { PseudoVREDOR_VS_MF2_E32_MASK, VREDOR_VS, 0x7, 0x20 }, // 7496
  { PseudoVREDSUM_VS_M1_E8, VREDSUM_VS, 0x0, 0x8 }, // 7497
  { PseudoVREDSUM_VS_M1_E8_MASK, VREDSUM_VS, 0x0, 0x8 }, // 7498
  { PseudoVREDSUM_VS_M1_E16, VREDSUM_VS, 0x0, 0x10 }, // 7499
  { PseudoVREDSUM_VS_M1_E16_MASK, VREDSUM_VS, 0x0, 0x10 }, // 7500
  { PseudoVREDSUM_VS_M1_E32, VREDSUM_VS, 0x0, 0x20 }, // 7501
  { PseudoVREDSUM_VS_M1_E32_MASK, VREDSUM_VS, 0x0, 0x20 }, // 7502
  { PseudoVREDSUM_VS_M1_E64, VREDSUM_VS, 0x0, 0x40 }, // 7503
  { PseudoVREDSUM_VS_M1_E64_MASK, VREDSUM_VS, 0x0, 0x40 }, // 7504
  { PseudoVREDSUM_VS_M2_E8, VREDSUM_VS, 0x1, 0x8 }, // 7505
  { PseudoVREDSUM_VS_M2_E8_MASK, VREDSUM_VS, 0x1, 0x8 }, // 7506
  { PseudoVREDSUM_VS_M2_E16, VREDSUM_VS, 0x1, 0x10 }, // 7507
  { PseudoVREDSUM_VS_M2_E16_MASK, VREDSUM_VS, 0x1, 0x10 }, // 7508
  { PseudoVREDSUM_VS_M2_E32, VREDSUM_VS, 0x1, 0x20 }, // 7509
  { PseudoVREDSUM_VS_M2_E32_MASK, VREDSUM_VS, 0x1, 0x20 }, // 7510
  { PseudoVREDSUM_VS_M2_E64, VREDSUM_VS, 0x1, 0x40 }, // 7511
  { PseudoVREDSUM_VS_M2_E64_MASK, VREDSUM_VS, 0x1, 0x40 }, // 7512
  { PseudoVREDSUM_VS_M4_E8, VREDSUM_VS, 0x2, 0x8 }, // 7513
  { PseudoVREDSUM_VS_M4_E8_MASK, VREDSUM_VS, 0x2, 0x8 }, // 7514
  { PseudoVREDSUM_VS_M4_E16, VREDSUM_VS, 0x2, 0x10 }, // 7515
  { PseudoVREDSUM_VS_M4_E16_MASK, VREDSUM_VS, 0x2, 0x10 }, // 7516
  { PseudoVREDSUM_VS_M4_E32, VREDSUM_VS, 0x2, 0x20 }, // 7517
  { PseudoVREDSUM_VS_M4_E32_MASK, VREDSUM_VS, 0x2, 0x20 }, // 7518
  { PseudoVREDSUM_VS_M4_E64, VREDSUM_VS, 0x2, 0x40 }, // 7519
  { PseudoVREDSUM_VS_M4_E64_MASK, VREDSUM_VS, 0x2, 0x40 }, // 7520
  { PseudoVREDSUM_VS_M8_E8, VREDSUM_VS, 0x3, 0x8 }, // 7521
  { PseudoVREDSUM_VS_M8_E8_MASK, VREDSUM_VS, 0x3, 0x8 }, // 7522
  { PseudoVREDSUM_VS_M8_E16, VREDSUM_VS, 0x3, 0x10 }, // 7523
  { PseudoVREDSUM_VS_M8_E16_MASK, VREDSUM_VS, 0x3, 0x10 }, // 7524
  { PseudoVREDSUM_VS_M8_E32, VREDSUM_VS, 0x3, 0x20 }, // 7525
  { PseudoVREDSUM_VS_M8_E32_MASK, VREDSUM_VS, 0x3, 0x20 }, // 7526
  { PseudoVREDSUM_VS_M8_E64, VREDSUM_VS, 0x3, 0x40 }, // 7527
  { PseudoVREDSUM_VS_M8_E64_MASK, VREDSUM_VS, 0x3, 0x40 }, // 7528
  { PseudoVREDSUM_VS_MF8_E8, VREDSUM_VS, 0x5, 0x8 }, // 7529
  { PseudoVREDSUM_VS_MF8_E8_MASK, VREDSUM_VS, 0x5, 0x8 }, // 7530
  { PseudoVREDSUM_VS_MF4_E8, VREDSUM_VS, 0x6, 0x8 }, // 7531
  { PseudoVREDSUM_VS_MF4_E8_MASK, VREDSUM_VS, 0x6, 0x8 }, // 7532
  { PseudoVREDSUM_VS_MF4_E16, VREDSUM_VS, 0x6, 0x10 }, // 7533
  { PseudoVREDSUM_VS_MF4_E16_MASK, VREDSUM_VS, 0x6, 0x10 }, // 7534
  { PseudoVREDSUM_VS_MF2_E8, VREDSUM_VS, 0x7, 0x8 }, // 7535
  { PseudoVREDSUM_VS_MF2_E8_MASK, VREDSUM_VS, 0x7, 0x8 }, // 7536
  { PseudoVREDSUM_VS_MF2_E16, VREDSUM_VS, 0x7, 0x10 }, // 7537
  { PseudoVREDSUM_VS_MF2_E16_MASK, VREDSUM_VS, 0x7, 0x10 }, // 7538
  { PseudoVREDSUM_VS_MF2_E32, VREDSUM_VS, 0x7, 0x20 }, // 7539
  { PseudoVREDSUM_VS_MF2_E32_MASK, VREDSUM_VS, 0x7, 0x20 }, // 7540
  { PseudoVREDXOR_VS_M1_E8, VREDXOR_VS, 0x0, 0x8 }, // 7541
  { PseudoVREDXOR_VS_M1_E8_MASK, VREDXOR_VS, 0x0, 0x8 }, // 7542
  { PseudoVREDXOR_VS_M1_E16, VREDXOR_VS, 0x0, 0x10 }, // 7543
  { PseudoVREDXOR_VS_M1_E16_MASK, VREDXOR_VS, 0x0, 0x10 }, // 7544
  { PseudoVREDXOR_VS_M1_E32, VREDXOR_VS, 0x0, 0x20 }, // 7545
  { PseudoVREDXOR_VS_M1_E32_MASK, VREDXOR_VS, 0x0, 0x20 }, // 7546
  { PseudoVREDXOR_VS_M1_E64, VREDXOR_VS, 0x0, 0x40 }, // 7547
  { PseudoVREDXOR_VS_M1_E64_MASK, VREDXOR_VS, 0x0, 0x40 }, // 7548
  { PseudoVREDXOR_VS_M2_E8, VREDXOR_VS, 0x1, 0x8 }, // 7549
  { PseudoVREDXOR_VS_M2_E8_MASK, VREDXOR_VS, 0x1, 0x8 }, // 7550
  { PseudoVREDXOR_VS_M2_E16, VREDXOR_VS, 0x1, 0x10 }, // 7551
  { PseudoVREDXOR_VS_M2_E16_MASK, VREDXOR_VS, 0x1, 0x10 }, // 7552
  { PseudoVREDXOR_VS_M2_E32, VREDXOR_VS, 0x1, 0x20 }, // 7553
  { PseudoVREDXOR_VS_M2_E32_MASK, VREDXOR_VS, 0x1, 0x20 }, // 7554
  { PseudoVREDXOR_VS_M2_E64, VREDXOR_VS, 0x1, 0x40 }, // 7555
  { PseudoVREDXOR_VS_M2_E64_MASK, VREDXOR_VS, 0x1, 0x40 }, // 7556
  { PseudoVREDXOR_VS_M4_E8, VREDXOR_VS, 0x2, 0x8 }, // 7557
  { PseudoVREDXOR_VS_M4_E8_MASK, VREDXOR_VS, 0x2, 0x8 }, // 7558
  { PseudoVREDXOR_VS_M4_E16, VREDXOR_VS, 0x2, 0x10 }, // 7559
  { PseudoVREDXOR_VS_M4_E16_MASK, VREDXOR_VS, 0x2, 0x10 }, // 7560
  { PseudoVREDXOR_VS_M4_E32, VREDXOR_VS, 0x2, 0x20 }, // 7561
  { PseudoVREDXOR_VS_M4_E32_MASK, VREDXOR_VS, 0x2, 0x20 }, // 7562
  { PseudoVREDXOR_VS_M4_E64, VREDXOR_VS, 0x2, 0x40 }, // 7563
  { PseudoVREDXOR_VS_M4_E64_MASK, VREDXOR_VS, 0x2, 0x40 }, // 7564
  { PseudoVREDXOR_VS_M8_E8, VREDXOR_VS, 0x3, 0x8 }, // 7565
  { PseudoVREDXOR_VS_M8_E8_MASK, VREDXOR_VS, 0x3, 0x8 }, // 7566
  { PseudoVREDXOR_VS_M8_E16, VREDXOR_VS, 0x3, 0x10 }, // 7567
  { PseudoVREDXOR_VS_M8_E16_MASK, VREDXOR_VS, 0x3, 0x10 }, // 7568
  { PseudoVREDXOR_VS_M8_E32, VREDXOR_VS, 0x3, 0x20 }, // 7569
  { PseudoVREDXOR_VS_M8_E32_MASK, VREDXOR_VS, 0x3, 0x20 }, // 7570
  { PseudoVREDXOR_VS_M8_E64, VREDXOR_VS, 0x3, 0x40 }, // 7571
  { PseudoVREDXOR_VS_M8_E64_MASK, VREDXOR_VS, 0x3, 0x40 }, // 7572
  { PseudoVREDXOR_VS_MF8_E8, VREDXOR_VS, 0x5, 0x8 }, // 7573
  { PseudoVREDXOR_VS_MF8_E8_MASK, VREDXOR_VS, 0x5, 0x8 }, // 7574
  { PseudoVREDXOR_VS_MF4_E8, VREDXOR_VS, 0x6, 0x8 }, // 7575
  { PseudoVREDXOR_VS_MF4_E8_MASK, VREDXOR_VS, 0x6, 0x8 }, // 7576
  { PseudoVREDXOR_VS_MF4_E16, VREDXOR_VS, 0x6, 0x10 }, // 7577
  { PseudoVREDXOR_VS_MF4_E16_MASK, VREDXOR_VS, 0x6, 0x10 }, // 7578
  { PseudoVREDXOR_VS_MF2_E8, VREDXOR_VS, 0x7, 0x8 }, // 7579
  { PseudoVREDXOR_VS_MF2_E8_MASK, VREDXOR_VS, 0x7, 0x8 }, // 7580
  { PseudoVREDXOR_VS_MF2_E16, VREDXOR_VS, 0x7, 0x10 }, // 7581
  { PseudoVREDXOR_VS_MF2_E16_MASK, VREDXOR_VS, 0x7, 0x10 }, // 7582
  { PseudoVREDXOR_VS_MF2_E32, VREDXOR_VS, 0x7, 0x20 }, // 7583
  { PseudoVREDXOR_VS_MF2_E32_MASK, VREDXOR_VS, 0x7, 0x20 }, // 7584
  { PseudoVREMU_VV_M1_E8, VREMU_VV, 0x0, 0x8 }, // 7585
  { PseudoVREMU_VV_M1_E8_MASK, VREMU_VV, 0x0, 0x8 }, // 7586
  { PseudoVREMU_VV_M1_E16, VREMU_VV, 0x0, 0x10 }, // 7587
  { PseudoVREMU_VV_M1_E16_MASK, VREMU_VV, 0x0, 0x10 }, // 7588
  { PseudoVREMU_VV_M1_E32, VREMU_VV, 0x0, 0x20 }, // 7589
  { PseudoVREMU_VV_M1_E32_MASK, VREMU_VV, 0x0, 0x20 }, // 7590
  { PseudoVREMU_VV_M1_E64, VREMU_VV, 0x0, 0x40 }, // 7591
  { PseudoVREMU_VV_M1_E64_MASK, VREMU_VV, 0x0, 0x40 }, // 7592
  { PseudoVREMU_VV_M2_E8, VREMU_VV, 0x1, 0x8 }, // 7593
  { PseudoVREMU_VV_M2_E8_MASK, VREMU_VV, 0x1, 0x8 }, // 7594
  { PseudoVREMU_VV_M2_E16, VREMU_VV, 0x1, 0x10 }, // 7595
  { PseudoVREMU_VV_M2_E16_MASK, VREMU_VV, 0x1, 0x10 }, // 7596
  { PseudoVREMU_VV_M2_E32, VREMU_VV, 0x1, 0x20 }, // 7597
  { PseudoVREMU_VV_M2_E32_MASK, VREMU_VV, 0x1, 0x20 }, // 7598
  { PseudoVREMU_VV_M2_E64, VREMU_VV, 0x1, 0x40 }, // 7599
  { PseudoVREMU_VV_M2_E64_MASK, VREMU_VV, 0x1, 0x40 }, // 7600
  { PseudoVREMU_VV_M4_E8, VREMU_VV, 0x2, 0x8 }, // 7601
  { PseudoVREMU_VV_M4_E8_MASK, VREMU_VV, 0x2, 0x8 }, // 7602
  { PseudoVREMU_VV_M4_E16, VREMU_VV, 0x2, 0x10 }, // 7603
  { PseudoVREMU_VV_M4_E16_MASK, VREMU_VV, 0x2, 0x10 }, // 7604
  { PseudoVREMU_VV_M4_E32, VREMU_VV, 0x2, 0x20 }, // 7605
  { PseudoVREMU_VV_M4_E32_MASK, VREMU_VV, 0x2, 0x20 }, // 7606
  { PseudoVREMU_VV_M4_E64, VREMU_VV, 0x2, 0x40 }, // 7607
  { PseudoVREMU_VV_M4_E64_MASK, VREMU_VV, 0x2, 0x40 }, // 7608
  { PseudoVREMU_VV_M8_E8, VREMU_VV, 0x3, 0x8 }, // 7609
  { PseudoVREMU_VV_M8_E8_MASK, VREMU_VV, 0x3, 0x8 }, // 7610
  { PseudoVREMU_VV_M8_E16, VREMU_VV, 0x3, 0x10 }, // 7611
  { PseudoVREMU_VV_M8_E16_MASK, VREMU_VV, 0x3, 0x10 }, // 7612
  { PseudoVREMU_VV_M8_E32, VREMU_VV, 0x3, 0x20 }, // 7613
  { PseudoVREMU_VV_M8_E32_MASK, VREMU_VV, 0x3, 0x20 }, // 7614
  { PseudoVREMU_VV_M8_E64, VREMU_VV, 0x3, 0x40 }, // 7615
  { PseudoVREMU_VV_M8_E64_MASK, VREMU_VV, 0x3, 0x40 }, // 7616
  { PseudoVREMU_VV_MF8_E8, VREMU_VV, 0x5, 0x8 }, // 7617
  { PseudoVREMU_VV_MF8_E8_MASK, VREMU_VV, 0x5, 0x8 }, // 7618
  { PseudoVREMU_VV_MF4_E8, VREMU_VV, 0x6, 0x8 }, // 7619
  { PseudoVREMU_VV_MF4_E8_MASK, VREMU_VV, 0x6, 0x8 }, // 7620
  { PseudoVREMU_VV_MF4_E16, VREMU_VV, 0x6, 0x10 }, // 7621
  { PseudoVREMU_VV_MF4_E16_MASK, VREMU_VV, 0x6, 0x10 }, // 7622
  { PseudoVREMU_VV_MF2_E8, VREMU_VV, 0x7, 0x8 }, // 7623
  { PseudoVREMU_VV_MF2_E8_MASK, VREMU_VV, 0x7, 0x8 }, // 7624
  { PseudoVREMU_VV_MF2_E16, VREMU_VV, 0x7, 0x10 }, // 7625
  { PseudoVREMU_VV_MF2_E16_MASK, VREMU_VV, 0x7, 0x10 }, // 7626
  { PseudoVREMU_VV_MF2_E32, VREMU_VV, 0x7, 0x20 }, // 7627
  { PseudoVREMU_VV_MF2_E32_MASK, VREMU_VV, 0x7, 0x20 }, // 7628
  { PseudoVREMU_VX_M1_E8, VREMU_VX, 0x0, 0x8 }, // 7629
  { PseudoVREMU_VX_M1_E8_MASK, VREMU_VX, 0x0, 0x8 }, // 7630
  { PseudoVREMU_VX_M1_E16, VREMU_VX, 0x0, 0x10 }, // 7631
  { PseudoVREMU_VX_M1_E16_MASK, VREMU_VX, 0x0, 0x10 }, // 7632
  { PseudoVREMU_VX_M1_E32, VREMU_VX, 0x0, 0x20 }, // 7633
  { PseudoVREMU_VX_M1_E32_MASK, VREMU_VX, 0x0, 0x20 }, // 7634
  { PseudoVREMU_VX_M1_E64, VREMU_VX, 0x0, 0x40 }, // 7635
  { PseudoVREMU_VX_M1_E64_MASK, VREMU_VX, 0x0, 0x40 }, // 7636
  { PseudoVREMU_VX_M2_E8, VREMU_VX, 0x1, 0x8 }, // 7637
  { PseudoVREMU_VX_M2_E8_MASK, VREMU_VX, 0x1, 0x8 }, // 7638
  { PseudoVREMU_VX_M2_E16, VREMU_VX, 0x1, 0x10 }, // 7639
  { PseudoVREMU_VX_M2_E16_MASK, VREMU_VX, 0x1, 0x10 }, // 7640
  { PseudoVREMU_VX_M2_E32, VREMU_VX, 0x1, 0x20 }, // 7641
  { PseudoVREMU_VX_M2_E32_MASK, VREMU_VX, 0x1, 0x20 }, // 7642
  { PseudoVREMU_VX_M2_E64, VREMU_VX, 0x1, 0x40 }, // 7643
  { PseudoVREMU_VX_M2_E64_MASK, VREMU_VX, 0x1, 0x40 }, // 7644
  { PseudoVREMU_VX_M4_E8, VREMU_VX, 0x2, 0x8 }, // 7645
  { PseudoVREMU_VX_M4_E8_MASK, VREMU_VX, 0x2, 0x8 }, // 7646
  { PseudoVREMU_VX_M4_E16, VREMU_VX, 0x2, 0x10 }, // 7647
  { PseudoVREMU_VX_M4_E16_MASK, VREMU_VX, 0x2, 0x10 }, // 7648
  { PseudoVREMU_VX_M4_E32, VREMU_VX, 0x2, 0x20 }, // 7649
  { PseudoVREMU_VX_M4_E32_MASK, VREMU_VX, 0x2, 0x20 }, // 7650
  { PseudoVREMU_VX_M4_E64, VREMU_VX, 0x2, 0x40 }, // 7651
  { PseudoVREMU_VX_M4_E64_MASK, VREMU_VX, 0x2, 0x40 }, // 7652
  { PseudoVREMU_VX_M8_E8, VREMU_VX, 0x3, 0x8 }, // 7653
  { PseudoVREMU_VX_M8_E8_MASK, VREMU_VX, 0x3, 0x8 }, // 7654
  { PseudoVREMU_VX_M8_E16, VREMU_VX, 0x3, 0x10 }, // 7655
  { PseudoVREMU_VX_M8_E16_MASK, VREMU_VX, 0x3, 0x10 }, // 7656
  { PseudoVREMU_VX_M8_E32, VREMU_VX, 0x3, 0x20 }, // 7657
  { PseudoVREMU_VX_M8_E32_MASK, VREMU_VX, 0x3, 0x20 }, // 7658
  { PseudoVREMU_VX_M8_E64, VREMU_VX, 0x3, 0x40 }, // 7659
  { PseudoVREMU_VX_M8_E64_MASK, VREMU_VX, 0x3, 0x40 }, // 7660
  { PseudoVREMU_VX_MF8_E8, VREMU_VX, 0x5, 0x8 }, // 7661
  { PseudoVREMU_VX_MF8_E8_MASK, VREMU_VX, 0x5, 0x8 }, // 7662
  { PseudoVREMU_VX_MF4_E8, VREMU_VX, 0x6, 0x8 }, // 7663
  { PseudoVREMU_VX_MF4_E8_MASK, VREMU_VX, 0x6, 0x8 }, // 7664
  { PseudoVREMU_VX_MF4_E16, VREMU_VX, 0x6, 0x10 }, // 7665
  { PseudoVREMU_VX_MF4_E16_MASK, VREMU_VX, 0x6, 0x10 }, // 7666
  { PseudoVREMU_VX_MF2_E8, VREMU_VX, 0x7, 0x8 }, // 7667
  { PseudoVREMU_VX_MF2_E8_MASK, VREMU_VX, 0x7, 0x8 }, // 7668
  { PseudoVREMU_VX_MF2_E16, VREMU_VX, 0x7, 0x10 }, // 7669
  { PseudoVREMU_VX_MF2_E16_MASK, VREMU_VX, 0x7, 0x10 }, // 7670
  { PseudoVREMU_VX_MF2_E32, VREMU_VX, 0x7, 0x20 }, // 7671
  { PseudoVREMU_VX_MF2_E32_MASK, VREMU_VX, 0x7, 0x20 }, // 7672
  { PseudoVREM_VV_M1_E8, VREM_VV, 0x0, 0x8 }, // 7673
  { PseudoVREM_VV_M1_E8_MASK, VREM_VV, 0x0, 0x8 }, // 7674
  { PseudoVREM_VV_M1_E16, VREM_VV, 0x0, 0x10 }, // 7675
  { PseudoVREM_VV_M1_E16_MASK, VREM_VV, 0x0, 0x10 }, // 7676
  { PseudoVREM_VV_M1_E32, VREM_VV, 0x0, 0x20 }, // 7677
  { PseudoVREM_VV_M1_E32_MASK, VREM_VV, 0x0, 0x20 }, // 7678
  { PseudoVREM_VV_M1_E64, VREM_VV, 0x0, 0x40 }, // 7679
  { PseudoVREM_VV_M1_E64_MASK, VREM_VV, 0x0, 0x40 }, // 7680
  { PseudoVREM_VV_M2_E8, VREM_VV, 0x1, 0x8 }, // 7681
  { PseudoVREM_VV_M2_E8_MASK, VREM_VV, 0x1, 0x8 }, // 7682
  { PseudoVREM_VV_M2_E16, VREM_VV, 0x1, 0x10 }, // 7683
  { PseudoVREM_VV_M2_E16_MASK, VREM_VV, 0x1, 0x10 }, // 7684
  { PseudoVREM_VV_M2_E32, VREM_VV, 0x1, 0x20 }, // 7685
  { PseudoVREM_VV_M2_E32_MASK, VREM_VV, 0x1, 0x20 }, // 7686
  { PseudoVREM_VV_M2_E64, VREM_VV, 0x1, 0x40 }, // 7687
  { PseudoVREM_VV_M2_E64_MASK, VREM_VV, 0x1, 0x40 }, // 7688
  { PseudoVREM_VV_M4_E8, VREM_VV, 0x2, 0x8 }, // 7689
  { PseudoVREM_VV_M4_E8_MASK, VREM_VV, 0x2, 0x8 }, // 7690
  { PseudoVREM_VV_M4_E16, VREM_VV, 0x2, 0x10 }, // 7691
  { PseudoVREM_VV_M4_E16_MASK, VREM_VV, 0x2, 0x10 }, // 7692
  { PseudoVREM_VV_M4_E32, VREM_VV, 0x2, 0x20 }, // 7693
  { PseudoVREM_VV_M4_E32_MASK, VREM_VV, 0x2, 0x20 }, // 7694
  { PseudoVREM_VV_M4_E64, VREM_VV, 0x2, 0x40 }, // 7695
  { PseudoVREM_VV_M4_E64_MASK, VREM_VV, 0x2, 0x40 }, // 7696
  { PseudoVREM_VV_M8_E8, VREM_VV, 0x3, 0x8 }, // 7697
  { PseudoVREM_VV_M8_E8_MASK, VREM_VV, 0x3, 0x8 }, // 7698
  { PseudoVREM_VV_M8_E16, VREM_VV, 0x3, 0x10 }, // 7699
  { PseudoVREM_VV_M8_E16_MASK, VREM_VV, 0x3, 0x10 }, // 7700
  { PseudoVREM_VV_M8_E32, VREM_VV, 0x3, 0x20 }, // 7701
  { PseudoVREM_VV_M8_E32_MASK, VREM_VV, 0x3, 0x20 }, // 7702
  { PseudoVREM_VV_M8_E64, VREM_VV, 0x3, 0x40 }, // 7703
  { PseudoVREM_VV_M8_E64_MASK, VREM_VV, 0x3, 0x40 }, // 7704
  { PseudoVREM_VV_MF8_E8, VREM_VV, 0x5, 0x8 }, // 7705
  { PseudoVREM_VV_MF8_E8_MASK, VREM_VV, 0x5, 0x8 }, // 7706
  { PseudoVREM_VV_MF4_E8, VREM_VV, 0x6, 0x8 }, // 7707
  { PseudoVREM_VV_MF4_E8_MASK, VREM_VV, 0x6, 0x8 }, // 7708
  { PseudoVREM_VV_MF4_E16, VREM_VV, 0x6, 0x10 }, // 7709
  { PseudoVREM_VV_MF4_E16_MASK, VREM_VV, 0x6, 0x10 }, // 7710
  { PseudoVREM_VV_MF2_E8, VREM_VV, 0x7, 0x8 }, // 7711
  { PseudoVREM_VV_MF2_E8_MASK, VREM_VV, 0x7, 0x8 }, // 7712
  { PseudoVREM_VV_MF2_E16, VREM_VV, 0x7, 0x10 }, // 7713
  { PseudoVREM_VV_MF2_E16_MASK, VREM_VV, 0x7, 0x10 }, // 7714
  { PseudoVREM_VV_MF2_E32, VREM_VV, 0x7, 0x20 }, // 7715
  { PseudoVREM_VV_MF2_E32_MASK, VREM_VV, 0x7, 0x20 }, // 7716
  { PseudoVREM_VX_M1_E8, VREM_VX, 0x0, 0x8 }, // 7717
  { PseudoVREM_VX_M1_E8_MASK, VREM_VX, 0x0, 0x8 }, // 7718
  { PseudoVREM_VX_M1_E16, VREM_VX, 0x0, 0x10 }, // 7719
  { PseudoVREM_VX_M1_E16_MASK, VREM_VX, 0x0, 0x10 }, // 7720
  { PseudoVREM_VX_M1_E32, VREM_VX, 0x0, 0x20 }, // 7721
  { PseudoVREM_VX_M1_E32_MASK, VREM_VX, 0x0, 0x20 }, // 7722
  { PseudoVREM_VX_M1_E64, VREM_VX, 0x0, 0x40 }, // 7723
  { PseudoVREM_VX_M1_E64_MASK, VREM_VX, 0x0, 0x40 }, // 7724
  { PseudoVREM_VX_M2_E8, VREM_VX, 0x1, 0x8 }, // 7725
  { PseudoVREM_VX_M2_E8_MASK, VREM_VX, 0x1, 0x8 }, // 7726
  { PseudoVREM_VX_M2_E16, VREM_VX, 0x1, 0x10 }, // 7727
  { PseudoVREM_VX_M2_E16_MASK, VREM_VX, 0x1, 0x10 }, // 7728
  { PseudoVREM_VX_M2_E32, VREM_VX, 0x1, 0x20 }, // 7729
  { PseudoVREM_VX_M2_E32_MASK, VREM_VX, 0x1, 0x20 }, // 7730
  { PseudoVREM_VX_M2_E64, VREM_VX, 0x1, 0x40 }, // 7731
  { PseudoVREM_VX_M2_E64_MASK, VREM_VX, 0x1, 0x40 }, // 7732
  { PseudoVREM_VX_M4_E8, VREM_VX, 0x2, 0x8 }, // 7733
  { PseudoVREM_VX_M4_E8_MASK, VREM_VX, 0x2, 0x8 }, // 7734
  { PseudoVREM_VX_M4_E16, VREM_VX, 0x2, 0x10 }, // 7735
  { PseudoVREM_VX_M4_E16_MASK, VREM_VX, 0x2, 0x10 }, // 7736
  { PseudoVREM_VX_M4_E32, VREM_VX, 0x2, 0x20 }, // 7737
  { PseudoVREM_VX_M4_E32_MASK, VREM_VX, 0x2, 0x20 }, // 7738
  { PseudoVREM_VX_M4_E64, VREM_VX, 0x2, 0x40 }, // 7739
  { PseudoVREM_VX_M4_E64_MASK, VREM_VX, 0x2, 0x40 }, // 7740
  { PseudoVREM_VX_M8_E8, VREM_VX, 0x3, 0x8 }, // 7741
  { PseudoVREM_VX_M8_E8_MASK, VREM_VX, 0x3, 0x8 }, // 7742
  { PseudoVREM_VX_M8_E16, VREM_VX, 0x3, 0x10 }, // 7743
  { PseudoVREM_VX_M8_E16_MASK, VREM_VX, 0x3, 0x10 }, // 7744
  { PseudoVREM_VX_M8_E32, VREM_VX, 0x3, 0x20 }, // 7745
  { PseudoVREM_VX_M8_E32_MASK, VREM_VX, 0x3, 0x20 }, // 7746
  { PseudoVREM_VX_M8_E64, VREM_VX, 0x3, 0x40 }, // 7747
  { PseudoVREM_VX_M8_E64_MASK, VREM_VX, 0x3, 0x40 }, // 7748
  { PseudoVREM_VX_MF8_E8, VREM_VX, 0x5, 0x8 }, // 7749
  { PseudoVREM_VX_MF8_E8_MASK, VREM_VX, 0x5, 0x8 }, // 7750
  { PseudoVREM_VX_MF4_E8, VREM_VX, 0x6, 0x8 }, // 7751
  { PseudoVREM_VX_MF4_E8_MASK, VREM_VX, 0x6, 0x8 }, // 7752
  { PseudoVREM_VX_MF4_E16, VREM_VX, 0x6, 0x10 }, // 7753
  { PseudoVREM_VX_MF4_E16_MASK, VREM_VX, 0x6, 0x10 }, // 7754
  { PseudoVREM_VX_MF2_E8, VREM_VX, 0x7, 0x8 }, // 7755
  { PseudoVREM_VX_MF2_E8_MASK, VREM_VX, 0x7, 0x8 }, // 7756
  { PseudoVREM_VX_MF2_E16, VREM_VX, 0x7, 0x10 }, // 7757
  { PseudoVREM_VX_MF2_E16_MASK, VREM_VX, 0x7, 0x10 }, // 7758
  { PseudoVREM_VX_MF2_E32, VREM_VX, 0x7, 0x20 }, // 7759
  { PseudoVREM_VX_MF2_E32_MASK, VREM_VX, 0x7, 0x20 }, // 7760
  { PseudoVREV8_V_M1, VREV8_V, 0x0, 0x0 }, // 7761
  { PseudoVREV8_V_M1_MASK, VREV8_V, 0x0, 0x0 }, // 7762
  { PseudoVREV8_V_M2, VREV8_V, 0x1, 0x0 }, // 7763
  { PseudoVREV8_V_M2_MASK, VREV8_V, 0x1, 0x0 }, // 7764
  { PseudoVREV8_V_M4, VREV8_V, 0x2, 0x0 }, // 7765
  { PseudoVREV8_V_M4_MASK, VREV8_V, 0x2, 0x0 }, // 7766
  { PseudoVREV8_V_M8, VREV8_V, 0x3, 0x0 }, // 7767
  { PseudoVREV8_V_M8_MASK, VREV8_V, 0x3, 0x0 }, // 7768
  { PseudoVREV8_V_MF8, VREV8_V, 0x5, 0x0 }, // 7769
  { PseudoVREV8_V_MF8_MASK, VREV8_V, 0x5, 0x0 }, // 7770
  { PseudoVREV8_V_MF4, VREV8_V, 0x6, 0x0 }, // 7771
  { PseudoVREV8_V_MF4_MASK, VREV8_V, 0x6, 0x0 }, // 7772
  { PseudoVREV8_V_MF2, VREV8_V, 0x7, 0x0 }, // 7773
  { PseudoVREV8_V_MF2_MASK, VREV8_V, 0x7, 0x0 }, // 7774
  { PseudoVRGATHEREI16_VV_M1_E8_M1, VRGATHEREI16_VV, 0x0, 0x8 }, // 7775
  { PseudoVRGATHEREI16_VV_M1_E8_M1_MASK, VRGATHEREI16_VV, 0x0, 0x8 }, // 7776
  { PseudoVRGATHEREI16_VV_M1_E8_M2, VRGATHEREI16_VV, 0x0, 0x8 }, // 7777
  { PseudoVRGATHEREI16_VV_M1_E8_M2_MASK, VRGATHEREI16_VV, 0x0, 0x8 }, // 7778
  { PseudoVRGATHEREI16_VV_M1_E8_MF2, VRGATHEREI16_VV, 0x0, 0x8 }, // 7779
  { PseudoVRGATHEREI16_VV_M1_E8_MF2_MASK, VRGATHEREI16_VV, 0x0, 0x8 }, // 7780
  { PseudoVRGATHEREI16_VV_M1_E8_MF4, VRGATHEREI16_VV, 0x0, 0x8 }, // 7781
  { PseudoVRGATHEREI16_VV_M1_E8_MF4_MASK, VRGATHEREI16_VV, 0x0, 0x8 }, // 7782
  { PseudoVRGATHEREI16_VV_M1_E16_M1, VRGATHEREI16_VV, 0x0, 0x10 }, // 7783
  { PseudoVRGATHEREI16_VV_M1_E16_M1_MASK, VRGATHEREI16_VV, 0x0, 0x10 }, // 7784
  { PseudoVRGATHEREI16_VV_M1_E16_M2, VRGATHEREI16_VV, 0x0, 0x10 }, // 7785
  { PseudoVRGATHEREI16_VV_M1_E16_M2_MASK, VRGATHEREI16_VV, 0x0, 0x10 }, // 7786
  { PseudoVRGATHEREI16_VV_M1_E16_MF2, VRGATHEREI16_VV, 0x0, 0x10 }, // 7787
  { PseudoVRGATHEREI16_VV_M1_E16_MF2_MASK, VRGATHEREI16_VV, 0x0, 0x10 }, // 7788
  { PseudoVRGATHEREI16_VV_M1_E16_MF4, VRGATHEREI16_VV, 0x0, 0x10 }, // 7789
  { PseudoVRGATHEREI16_VV_M1_E16_MF4_MASK, VRGATHEREI16_VV, 0x0, 0x10 }, // 7790
  { PseudoVRGATHEREI16_VV_M1_E32_M1, VRGATHEREI16_VV, 0x0, 0x20 }, // 7791
  { PseudoVRGATHEREI16_VV_M1_E32_M1_MASK, VRGATHEREI16_VV, 0x0, 0x20 }, // 7792
  { PseudoVRGATHEREI16_VV_M1_E32_M2, VRGATHEREI16_VV, 0x0, 0x20 }, // 7793
  { PseudoVRGATHEREI16_VV_M1_E32_M2_MASK, VRGATHEREI16_VV, 0x0, 0x20 }, // 7794
  { PseudoVRGATHEREI16_VV_M1_E32_MF2, VRGATHEREI16_VV, 0x0, 0x20 }, // 7795
  { PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK, VRGATHEREI16_VV, 0x0, 0x20 }, // 7796
  { PseudoVRGATHEREI16_VV_M1_E32_MF4, VRGATHEREI16_VV, 0x0, 0x20 }, // 7797
  { PseudoVRGATHEREI16_VV_M1_E32_MF4_MASK, VRGATHEREI16_VV, 0x0, 0x20 }, // 7798
  { PseudoVRGATHEREI16_VV_M1_E64_M1, VRGATHEREI16_VV, 0x0, 0x40 }, // 7799
  { PseudoVRGATHEREI16_VV_M1_E64_M1_MASK, VRGATHEREI16_VV, 0x0, 0x40 }, // 7800
  { PseudoVRGATHEREI16_VV_M1_E64_M2, VRGATHEREI16_VV, 0x0, 0x40 }, // 7801
  { PseudoVRGATHEREI16_VV_M1_E64_M2_MASK, VRGATHEREI16_VV, 0x0, 0x40 }, // 7802
  { PseudoVRGATHEREI16_VV_M1_E64_MF2, VRGATHEREI16_VV, 0x0, 0x40 }, // 7803
  { PseudoVRGATHEREI16_VV_M1_E64_MF2_MASK, VRGATHEREI16_VV, 0x0, 0x40 }, // 7804
  { PseudoVRGATHEREI16_VV_M1_E64_MF4, VRGATHEREI16_VV, 0x0, 0x40 }, // 7805
  { PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK, VRGATHEREI16_VV, 0x0, 0x40 }, // 7806
  { PseudoVRGATHEREI16_VV_M2_E8_M1, VRGATHEREI16_VV, 0x1, 0x8 }, // 7807
  { PseudoVRGATHEREI16_VV_M2_E8_M1_MASK, VRGATHEREI16_VV, 0x1, 0x8 }, // 7808
  { PseudoVRGATHEREI16_VV_M2_E8_M2, VRGATHEREI16_VV, 0x1, 0x8 }, // 7809
  { PseudoVRGATHEREI16_VV_M2_E8_M2_MASK, VRGATHEREI16_VV, 0x1, 0x8 }, // 7810
  { PseudoVRGATHEREI16_VV_M2_E8_M4, VRGATHEREI16_VV, 0x1, 0x8 }, // 7811
  { PseudoVRGATHEREI16_VV_M2_E8_M4_MASK, VRGATHEREI16_VV, 0x1, 0x8 }, // 7812
  { PseudoVRGATHEREI16_VV_M2_E8_MF2, VRGATHEREI16_VV, 0x1, 0x8 }, // 7813
  { PseudoVRGATHEREI16_VV_M2_E8_MF2_MASK, VRGATHEREI16_VV, 0x1, 0x8 }, // 7814
  { PseudoVRGATHEREI16_VV_M2_E16_M1, VRGATHEREI16_VV, 0x1, 0x10 }, // 7815
  { PseudoVRGATHEREI16_VV_M2_E16_M1_MASK, VRGATHEREI16_VV, 0x1, 0x10 }, // 7816
  { PseudoVRGATHEREI16_VV_M2_E16_M2, VRGATHEREI16_VV, 0x1, 0x10 }, // 7817
  { PseudoVRGATHEREI16_VV_M2_E16_M2_MASK, VRGATHEREI16_VV, 0x1, 0x10 }, // 7818
  { PseudoVRGATHEREI16_VV_M2_E16_M4, VRGATHEREI16_VV, 0x1, 0x10 }, // 7819
  { PseudoVRGATHEREI16_VV_M2_E16_M4_MASK, VRGATHEREI16_VV, 0x1, 0x10 }, // 7820
  { PseudoVRGATHEREI16_VV_M2_E16_MF2, VRGATHEREI16_VV, 0x1, 0x10 }, // 7821
  { PseudoVRGATHEREI16_VV_M2_E16_MF2_MASK, VRGATHEREI16_VV, 0x1, 0x10 }, // 7822
  { PseudoVRGATHEREI16_VV_M2_E32_M1, VRGATHEREI16_VV, 0x1, 0x20 }, // 7823
  { PseudoVRGATHEREI16_VV_M2_E32_M1_MASK, VRGATHEREI16_VV, 0x1, 0x20 }, // 7824
  { PseudoVRGATHEREI16_VV_M2_E32_M2, VRGATHEREI16_VV, 0x1, 0x20 }, // 7825
  { PseudoVRGATHEREI16_VV_M2_E32_M2_MASK, VRGATHEREI16_VV, 0x1, 0x20 }, // 7826
  { PseudoVRGATHEREI16_VV_M2_E32_M4, VRGATHEREI16_VV, 0x1, 0x20 }, // 7827
  { PseudoVRGATHEREI16_VV_M2_E32_M4_MASK, VRGATHEREI16_VV, 0x1, 0x20 }, // 7828
  { PseudoVRGATHEREI16_VV_M2_E32_MF2, VRGATHEREI16_VV, 0x1, 0x20 }, // 7829
  { PseudoVRGATHEREI16_VV_M2_E32_MF2_MASK, VRGATHEREI16_VV, 0x1, 0x20 }, // 7830
  { PseudoVRGATHEREI16_VV_M2_E64_M1, VRGATHEREI16_VV, 0x1, 0x40 }, // 7831
  { PseudoVRGATHEREI16_VV_M2_E64_M1_MASK, VRGATHEREI16_VV, 0x1, 0x40 }, // 7832
  { PseudoVRGATHEREI16_VV_M2_E64_M2, VRGATHEREI16_VV, 0x1, 0x40 }, // 7833
  { PseudoVRGATHEREI16_VV_M2_E64_M2_MASK, VRGATHEREI16_VV, 0x1, 0x40 }, // 7834
  { PseudoVRGATHEREI16_VV_M2_E64_M4, VRGATHEREI16_VV, 0x1, 0x40 }, // 7835
  { PseudoVRGATHEREI16_VV_M2_E64_M4_MASK, VRGATHEREI16_VV, 0x1, 0x40 }, // 7836
  { PseudoVRGATHEREI16_VV_M2_E64_MF2, VRGATHEREI16_VV, 0x1, 0x40 }, // 7837
  { PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK, VRGATHEREI16_VV, 0x1, 0x40 }, // 7838
  { PseudoVRGATHEREI16_VV_M4_E8_M1, VRGATHEREI16_VV, 0x2, 0x8 }, // 7839
  { PseudoVRGATHEREI16_VV_M4_E8_M1_MASK, VRGATHEREI16_VV, 0x2, 0x8 }, // 7840
  { PseudoVRGATHEREI16_VV_M4_E8_M2, VRGATHEREI16_VV, 0x2, 0x8 }, // 7841
  { PseudoVRGATHEREI16_VV_M4_E8_M2_MASK, VRGATHEREI16_VV, 0x2, 0x8 }, // 7842
  { PseudoVRGATHEREI16_VV_M4_E8_M4, VRGATHEREI16_VV, 0x2, 0x8 }, // 7843
  { PseudoVRGATHEREI16_VV_M4_E8_M4_MASK, VRGATHEREI16_VV, 0x2, 0x8 }, // 7844
  { PseudoVRGATHEREI16_VV_M4_E8_M8, VRGATHEREI16_VV, 0x2, 0x8 }, // 7845
  { PseudoVRGATHEREI16_VV_M4_E8_M8_MASK, VRGATHEREI16_VV, 0x2, 0x8 }, // 7846
  { PseudoVRGATHEREI16_VV_M4_E16_M1, VRGATHEREI16_VV, 0x2, 0x10 }, // 7847
  { PseudoVRGATHEREI16_VV_M4_E16_M1_MASK, VRGATHEREI16_VV, 0x2, 0x10 }, // 7848
  { PseudoVRGATHEREI16_VV_M4_E16_M2, VRGATHEREI16_VV, 0x2, 0x10 }, // 7849
  { PseudoVRGATHEREI16_VV_M4_E16_M2_MASK, VRGATHEREI16_VV, 0x2, 0x10 }, // 7850
  { PseudoVRGATHEREI16_VV_M4_E16_M4, VRGATHEREI16_VV, 0x2, 0x10 }, // 7851
  { PseudoVRGATHEREI16_VV_M4_E16_M4_MASK, VRGATHEREI16_VV, 0x2, 0x10 }, // 7852
  { PseudoVRGATHEREI16_VV_M4_E16_M8, VRGATHEREI16_VV, 0x2, 0x10 }, // 7853
  { PseudoVRGATHEREI16_VV_M4_E16_M8_MASK, VRGATHEREI16_VV, 0x2, 0x10 }, // 7854
  { PseudoVRGATHEREI16_VV_M4_E32_M1, VRGATHEREI16_VV, 0x2, 0x20 }, // 7855
  { PseudoVRGATHEREI16_VV_M4_E32_M1_MASK, VRGATHEREI16_VV, 0x2, 0x20 }, // 7856
  { PseudoVRGATHEREI16_VV_M4_E32_M2, VRGATHEREI16_VV, 0x2, 0x20 }, // 7857
  { PseudoVRGATHEREI16_VV_M4_E32_M2_MASK, VRGATHEREI16_VV, 0x2, 0x20 }, // 7858
  { PseudoVRGATHEREI16_VV_M4_E32_M4, VRGATHEREI16_VV, 0x2, 0x20 }, // 7859
  { PseudoVRGATHEREI16_VV_M4_E32_M4_MASK, VRGATHEREI16_VV, 0x2, 0x20 }, // 7860
  { PseudoVRGATHEREI16_VV_M4_E32_M8, VRGATHEREI16_VV, 0x2, 0x20 }, // 7861
  { PseudoVRGATHEREI16_VV_M4_E32_M8_MASK, VRGATHEREI16_VV, 0x2, 0x20 }, // 7862
  { PseudoVRGATHEREI16_VV_M4_E64_M1, VRGATHEREI16_VV, 0x2, 0x40 }, // 7863
  { PseudoVRGATHEREI16_VV_M4_E64_M1_MASK, VRGATHEREI16_VV, 0x2, 0x40 }, // 7864
  { PseudoVRGATHEREI16_VV_M4_E64_M2, VRGATHEREI16_VV, 0x2, 0x40 }, // 7865
  { PseudoVRGATHEREI16_VV_M4_E64_M2_MASK, VRGATHEREI16_VV, 0x2, 0x40 }, // 7866
  { PseudoVRGATHEREI16_VV_M4_E64_M4, VRGATHEREI16_VV, 0x2, 0x40 }, // 7867
  { PseudoVRGATHEREI16_VV_M4_E64_M4_MASK, VRGATHEREI16_VV, 0x2, 0x40 }, // 7868
  { PseudoVRGATHEREI16_VV_M4_E64_M8, VRGATHEREI16_VV, 0x2, 0x40 }, // 7869
  { PseudoVRGATHEREI16_VV_M4_E64_M8_MASK, VRGATHEREI16_VV, 0x2, 0x40 }, // 7870
  { PseudoVRGATHEREI16_VV_M8_E8_M2, VRGATHEREI16_VV, 0x3, 0x8 }, // 7871
  { PseudoVRGATHEREI16_VV_M8_E8_M2_MASK, VRGATHEREI16_VV, 0x3, 0x8 }, // 7872
  { PseudoVRGATHEREI16_VV_M8_E8_M4, VRGATHEREI16_VV, 0x3, 0x8 }, // 7873
  { PseudoVRGATHEREI16_VV_M8_E8_M4_MASK, VRGATHEREI16_VV, 0x3, 0x8 }, // 7874
  { PseudoVRGATHEREI16_VV_M8_E8_M8, VRGATHEREI16_VV, 0x3, 0x8 }, // 7875
  { PseudoVRGATHEREI16_VV_M8_E8_M8_MASK, VRGATHEREI16_VV, 0x3, 0x8 }, // 7876
  { PseudoVRGATHEREI16_VV_M8_E16_M2, VRGATHEREI16_VV, 0x3, 0x10 }, // 7877
  { PseudoVRGATHEREI16_VV_M8_E16_M2_MASK, VRGATHEREI16_VV, 0x3, 0x10 }, // 7878
  { PseudoVRGATHEREI16_VV_M8_E16_M4, VRGATHEREI16_VV, 0x3, 0x10 }, // 7879
  { PseudoVRGATHEREI16_VV_M8_E16_M4_MASK, VRGATHEREI16_VV, 0x3, 0x10 }, // 7880
  { PseudoVRGATHEREI16_VV_M8_E16_M8, VRGATHEREI16_VV, 0x3, 0x10 }, // 7881
  { PseudoVRGATHEREI16_VV_M8_E16_M8_MASK, VRGATHEREI16_VV, 0x3, 0x10 }, // 7882
  { PseudoVRGATHEREI16_VV_M8_E32_M2, VRGATHEREI16_VV, 0x3, 0x20 }, // 7883
  { PseudoVRGATHEREI16_VV_M8_E32_M2_MASK, VRGATHEREI16_VV, 0x3, 0x20 }, // 7884
  { PseudoVRGATHEREI16_VV_M8_E32_M4, VRGATHEREI16_VV, 0x3, 0x20 }, // 7885
  { PseudoVRGATHEREI16_VV_M8_E32_M4_MASK, VRGATHEREI16_VV, 0x3, 0x20 }, // 7886
  { PseudoVRGATHEREI16_VV_M8_E32_M8, VRGATHEREI16_VV, 0x3, 0x20 }, // 7887
  { PseudoVRGATHEREI16_VV_M8_E32_M8_MASK, VRGATHEREI16_VV, 0x3, 0x20 }, // 7888
  { PseudoVRGATHEREI16_VV_M8_E64_M2, VRGATHEREI16_VV, 0x3, 0x40 }, // 7889
  { PseudoVRGATHEREI16_VV_M8_E64_M2_MASK, VRGATHEREI16_VV, 0x3, 0x40 }, // 7890
  { PseudoVRGATHEREI16_VV_M8_E64_M4, VRGATHEREI16_VV, 0x3, 0x40 }, // 7891
  { PseudoVRGATHEREI16_VV_M8_E64_M4_MASK, VRGATHEREI16_VV, 0x3, 0x40 }, // 7892
  { PseudoVRGATHEREI16_VV_M8_E64_M8, VRGATHEREI16_VV, 0x3, 0x40 }, // 7893
  { PseudoVRGATHEREI16_VV_M8_E64_M8_MASK, VRGATHEREI16_VV, 0x3, 0x40 }, // 7894
  { PseudoVRGATHEREI16_VV_MF8_E8_MF4, VRGATHEREI16_VV, 0x5, 0x8 }, // 7895
  { PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK, VRGATHEREI16_VV, 0x5, 0x8 }, // 7896
  { PseudoVRGATHEREI16_VV_MF8_E8_MF8, VRGATHEREI16_VV, 0x5, 0x8 }, // 7897
  { PseudoVRGATHEREI16_VV_MF8_E8_MF8_MASK, VRGATHEREI16_VV, 0x5, 0x8 }, // 7898
  { PseudoVRGATHEREI16_VV_MF4_E8_MF2, VRGATHEREI16_VV, 0x6, 0x8 }, // 7899
  { PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK, VRGATHEREI16_VV, 0x6, 0x8 }, // 7900
  { PseudoVRGATHEREI16_VV_MF4_E8_MF4, VRGATHEREI16_VV, 0x6, 0x8 }, // 7901
  { PseudoVRGATHEREI16_VV_MF4_E8_MF4_MASK, VRGATHEREI16_VV, 0x6, 0x8 }, // 7902
  { PseudoVRGATHEREI16_VV_MF4_E8_MF8, VRGATHEREI16_VV, 0x6, 0x8 }, // 7903
  { PseudoVRGATHEREI16_VV_MF4_E8_MF8_MASK, VRGATHEREI16_VV, 0x6, 0x8 }, // 7904
  { PseudoVRGATHEREI16_VV_MF4_E16_MF2, VRGATHEREI16_VV, 0x6, 0x10 }, // 7905
  { PseudoVRGATHEREI16_VV_MF4_E16_MF2_MASK, VRGATHEREI16_VV, 0x6, 0x10 }, // 7906
  { PseudoVRGATHEREI16_VV_MF4_E16_MF4, VRGATHEREI16_VV, 0x6, 0x10 }, // 7907
  { PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK, VRGATHEREI16_VV, 0x6, 0x10 }, // 7908
  { PseudoVRGATHEREI16_VV_MF4_E16_MF8, VRGATHEREI16_VV, 0x6, 0x10 }, // 7909
  { PseudoVRGATHEREI16_VV_MF4_E16_MF8_MASK, VRGATHEREI16_VV, 0x6, 0x10 }, // 7910
  { PseudoVRGATHEREI16_VV_MF2_E8_M1, VRGATHEREI16_VV, 0x7, 0x8 }, // 7911
  { PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK, VRGATHEREI16_VV, 0x7, 0x8 }, // 7912
  { PseudoVRGATHEREI16_VV_MF2_E8_MF2, VRGATHEREI16_VV, 0x7, 0x8 }, // 7913
  { PseudoVRGATHEREI16_VV_MF2_E8_MF2_MASK, VRGATHEREI16_VV, 0x7, 0x8 }, // 7914
  { PseudoVRGATHEREI16_VV_MF2_E8_MF4, VRGATHEREI16_VV, 0x7, 0x8 }, // 7915
  { PseudoVRGATHEREI16_VV_MF2_E8_MF4_MASK, VRGATHEREI16_VV, 0x7, 0x8 }, // 7916
  { PseudoVRGATHEREI16_VV_MF2_E8_MF8, VRGATHEREI16_VV, 0x7, 0x8 }, // 7917
  { PseudoVRGATHEREI16_VV_MF2_E8_MF8_MASK, VRGATHEREI16_VV, 0x7, 0x8 }, // 7918
  { PseudoVRGATHEREI16_VV_MF2_E16_M1, VRGATHEREI16_VV, 0x7, 0x10 }, // 7919
  { PseudoVRGATHEREI16_VV_MF2_E16_M1_MASK, VRGATHEREI16_VV, 0x7, 0x10 }, // 7920
  { PseudoVRGATHEREI16_VV_MF2_E16_MF2, VRGATHEREI16_VV, 0x7, 0x10 }, // 7921
  { PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK, VRGATHEREI16_VV, 0x7, 0x10 }, // 7922
  { PseudoVRGATHEREI16_VV_MF2_E16_MF4, VRGATHEREI16_VV, 0x7, 0x10 }, // 7923
  { PseudoVRGATHEREI16_VV_MF2_E16_MF4_MASK, VRGATHEREI16_VV, 0x7, 0x10 }, // 7924
  { PseudoVRGATHEREI16_VV_MF2_E16_MF8, VRGATHEREI16_VV, 0x7, 0x10 }, // 7925
  { PseudoVRGATHEREI16_VV_MF2_E16_MF8_MASK, VRGATHEREI16_VV, 0x7, 0x10 }, // 7926
  { PseudoVRGATHEREI16_VV_MF2_E32_M1, VRGATHEREI16_VV, 0x7, 0x20 }, // 7927
  { PseudoVRGATHEREI16_VV_MF2_E32_M1_MASK, VRGATHEREI16_VV, 0x7, 0x20 }, // 7928
  { PseudoVRGATHEREI16_VV_MF2_E32_MF2, VRGATHEREI16_VV, 0x7, 0x20 }, // 7929
  { PseudoVRGATHEREI16_VV_MF2_E32_MF2_MASK, VRGATHEREI16_VV, 0x7, 0x20 }, // 7930
  { PseudoVRGATHEREI16_VV_MF2_E32_MF4, VRGATHEREI16_VV, 0x7, 0x20 }, // 7931
  { PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK, VRGATHEREI16_VV, 0x7, 0x20 }, // 7932
  { PseudoVRGATHEREI16_VV_MF2_E32_MF8, VRGATHEREI16_VV, 0x7, 0x20 }, // 7933
  { PseudoVRGATHEREI16_VV_MF2_E32_MF8_MASK, VRGATHEREI16_VV, 0x7, 0x20 }, // 7934
  { PseudoVRGATHER_VI_M1, VRGATHER_VI, 0x0, 0x0 }, // 7935
  { PseudoVRGATHER_VI_M1_MASK, VRGATHER_VI, 0x0, 0x0 }, // 7936
  { PseudoVRGATHER_VI_M2, VRGATHER_VI, 0x1, 0x0 }, // 7937
  { PseudoVRGATHER_VI_M2_MASK, VRGATHER_VI, 0x1, 0x0 }, // 7938
  { PseudoVRGATHER_VI_M4, VRGATHER_VI, 0x2, 0x0 }, // 7939
  { PseudoVRGATHER_VI_M4_MASK, VRGATHER_VI, 0x2, 0x0 }, // 7940
  { PseudoVRGATHER_VI_M8, VRGATHER_VI, 0x3, 0x0 }, // 7941
  { PseudoVRGATHER_VI_M8_MASK, VRGATHER_VI, 0x3, 0x0 }, // 7942
  { PseudoVRGATHER_VI_MF8, VRGATHER_VI, 0x5, 0x0 }, // 7943
  { PseudoVRGATHER_VI_MF8_MASK, VRGATHER_VI, 0x5, 0x0 }, // 7944
  { PseudoVRGATHER_VI_MF4, VRGATHER_VI, 0x6, 0x0 }, // 7945
  { PseudoVRGATHER_VI_MF4_MASK, VRGATHER_VI, 0x6, 0x0 }, // 7946
  { PseudoVRGATHER_VI_MF2, VRGATHER_VI, 0x7, 0x0 }, // 7947
  { PseudoVRGATHER_VI_MF2_MASK, VRGATHER_VI, 0x7, 0x0 }, // 7948
  { PseudoVRGATHER_VV_M1_E8, VRGATHER_VV, 0x0, 0x8 }, // 7949
  { PseudoVRGATHER_VV_M1_E8_MASK, VRGATHER_VV, 0x0, 0x8 }, // 7950
  { PseudoVRGATHER_VV_M1_E16, VRGATHER_VV, 0x0, 0x10 }, // 7951
  { PseudoVRGATHER_VV_M1_E16_MASK, VRGATHER_VV, 0x0, 0x10 }, // 7952
  { PseudoVRGATHER_VV_M1_E32, VRGATHER_VV, 0x0, 0x20 }, // 7953
  { PseudoVRGATHER_VV_M1_E32_MASK, VRGATHER_VV, 0x0, 0x20 }, // 7954
  { PseudoVRGATHER_VV_M1_E64, VRGATHER_VV, 0x0, 0x40 }, // 7955
  { PseudoVRGATHER_VV_M1_E64_MASK, VRGATHER_VV, 0x0, 0x40 }, // 7956
  { PseudoVRGATHER_VV_M2_E8, VRGATHER_VV, 0x1, 0x8 }, // 7957
  { PseudoVRGATHER_VV_M2_E8_MASK, VRGATHER_VV, 0x1, 0x8 }, // 7958
  { PseudoVRGATHER_VV_M2_E16, VRGATHER_VV, 0x1, 0x10 }, // 7959
  { PseudoVRGATHER_VV_M2_E16_MASK, VRGATHER_VV, 0x1, 0x10 }, // 7960
  { PseudoVRGATHER_VV_M2_E32, VRGATHER_VV, 0x1, 0x20 }, // 7961
  { PseudoVRGATHER_VV_M2_E32_MASK, VRGATHER_VV, 0x1, 0x20 }, // 7962
  { PseudoVRGATHER_VV_M2_E64, VRGATHER_VV, 0x1, 0x40 }, // 7963
  { PseudoVRGATHER_VV_M2_E64_MASK, VRGATHER_VV, 0x1, 0x40 }, // 7964
  { PseudoVRGATHER_VV_M4_E8, VRGATHER_VV, 0x2, 0x8 }, // 7965
  { PseudoVRGATHER_VV_M4_E8_MASK, VRGATHER_VV, 0x2, 0x8 }, // 7966
  { PseudoVRGATHER_VV_M4_E16, VRGATHER_VV, 0x2, 0x10 }, // 7967
  { PseudoVRGATHER_VV_M4_E16_MASK, VRGATHER_VV, 0x2, 0x10 }, // 7968
  { PseudoVRGATHER_VV_M4_E32, VRGATHER_VV, 0x2, 0x20 }, // 7969
  { PseudoVRGATHER_VV_M4_E32_MASK, VRGATHER_VV, 0x2, 0x20 }, // 7970
  { PseudoVRGATHER_VV_M4_E64, VRGATHER_VV, 0x2, 0x40 }, // 7971
  { PseudoVRGATHER_VV_M4_E64_MASK, VRGATHER_VV, 0x2, 0x40 }, // 7972
  { PseudoVRGATHER_VV_M8_E8, VRGATHER_VV, 0x3, 0x8 }, // 7973
  { PseudoVRGATHER_VV_M8_E8_MASK, VRGATHER_VV, 0x3, 0x8 }, // 7974
  { PseudoVRGATHER_VV_M8_E16, VRGATHER_VV, 0x3, 0x10 }, // 7975
  { PseudoVRGATHER_VV_M8_E16_MASK, VRGATHER_VV, 0x3, 0x10 }, // 7976
  { PseudoVRGATHER_VV_M8_E32, VRGATHER_VV, 0x3, 0x20 }, // 7977
  { PseudoVRGATHER_VV_M8_E32_MASK, VRGATHER_VV, 0x3, 0x20 }, // 7978
  { PseudoVRGATHER_VV_M8_E64, VRGATHER_VV, 0x3, 0x40 }, // 7979
  { PseudoVRGATHER_VV_M8_E64_MASK, VRGATHER_VV, 0x3, 0x40 }, // 7980
  { PseudoVRGATHER_VV_MF8_E8, VRGATHER_VV, 0x5, 0x8 }, // 7981
  { PseudoVRGATHER_VV_MF8_E8_MASK, VRGATHER_VV, 0x5, 0x8 }, // 7982
  { PseudoVRGATHER_VV_MF4_E8, VRGATHER_VV, 0x6, 0x8 }, // 7983
  { PseudoVRGATHER_VV_MF4_E8_MASK, VRGATHER_VV, 0x6, 0x8 }, // 7984
  { PseudoVRGATHER_VV_MF4_E16, VRGATHER_VV, 0x6, 0x10 }, // 7985
  { PseudoVRGATHER_VV_MF4_E16_MASK, VRGATHER_VV, 0x6, 0x10 }, // 7986
  { PseudoVRGATHER_VV_MF2_E8, VRGATHER_VV, 0x7, 0x8 }, // 7987
  { PseudoVRGATHER_VV_MF2_E8_MASK, VRGATHER_VV, 0x7, 0x8 }, // 7988
  { PseudoVRGATHER_VV_MF2_E16, VRGATHER_VV, 0x7, 0x10 }, // 7989
  { PseudoVRGATHER_VV_MF2_E16_MASK, VRGATHER_VV, 0x7, 0x10 }, // 7990
  { PseudoVRGATHER_VV_MF2_E32, VRGATHER_VV, 0x7, 0x20 }, // 7991
  { PseudoVRGATHER_VV_MF2_E32_MASK, VRGATHER_VV, 0x7, 0x20 }, // 7992
  { PseudoVRGATHER_VX_M1, VRGATHER_VX, 0x0, 0x0 }, // 7993
  { PseudoVRGATHER_VX_M1_MASK, VRGATHER_VX, 0x0, 0x0 }, // 7994
  { PseudoVRGATHER_VX_M2, VRGATHER_VX, 0x1, 0x0 }, // 7995
  { PseudoVRGATHER_VX_M2_MASK, VRGATHER_VX, 0x1, 0x0 }, // 7996
  { PseudoVRGATHER_VX_M4, VRGATHER_VX, 0x2, 0x0 }, // 7997
  { PseudoVRGATHER_VX_M4_MASK, VRGATHER_VX, 0x2, 0x0 }, // 7998
  { PseudoVRGATHER_VX_M8, VRGATHER_VX, 0x3, 0x0 }, // 7999
  { PseudoVRGATHER_VX_M8_MASK, VRGATHER_VX, 0x3, 0x0 }, // 8000
  { PseudoVRGATHER_VX_MF8, VRGATHER_VX, 0x5, 0x0 }, // 8001
  { PseudoVRGATHER_VX_MF8_MASK, VRGATHER_VX, 0x5, 0x0 }, // 8002
  { PseudoVRGATHER_VX_MF4, VRGATHER_VX, 0x6, 0x0 }, // 8003
  { PseudoVRGATHER_VX_MF4_MASK, VRGATHER_VX, 0x6, 0x0 }, // 8004
  { PseudoVRGATHER_VX_MF2, VRGATHER_VX, 0x7, 0x0 }, // 8005
  { PseudoVRGATHER_VX_MF2_MASK, VRGATHER_VX, 0x7, 0x0 }, // 8006
  { PseudoVROL_VV_M1, VROL_VV, 0x0, 0x0 }, // 8007
  { PseudoVROL_VV_M1_MASK, VROL_VV, 0x0, 0x0 }, // 8008
  { PseudoVROL_VV_M2, VROL_VV, 0x1, 0x0 }, // 8009
  { PseudoVROL_VV_M2_MASK, VROL_VV, 0x1, 0x0 }, // 8010
  { PseudoVROL_VV_M4, VROL_VV, 0x2, 0x0 }, // 8011
  { PseudoVROL_VV_M4_MASK, VROL_VV, 0x2, 0x0 }, // 8012
  { PseudoVROL_VV_M8, VROL_VV, 0x3, 0x0 }, // 8013
  { PseudoVROL_VV_M8_MASK, VROL_VV, 0x3, 0x0 }, // 8014
  { PseudoVROL_VV_MF8, VROL_VV, 0x5, 0x0 }, // 8015
  { PseudoVROL_VV_MF8_MASK, VROL_VV, 0x5, 0x0 }, // 8016
  { PseudoVROL_VV_MF4, VROL_VV, 0x6, 0x0 }, // 8017
  { PseudoVROL_VV_MF4_MASK, VROL_VV, 0x6, 0x0 }, // 8018
  { PseudoVROL_VV_MF2, VROL_VV, 0x7, 0x0 }, // 8019
  { PseudoVROL_VV_MF2_MASK, VROL_VV, 0x7, 0x0 }, // 8020
  { PseudoVROL_VX_M1, VROL_VX, 0x0, 0x0 }, // 8021
  { PseudoVROL_VX_M1_MASK, VROL_VX, 0x0, 0x0 }, // 8022
  { PseudoVROL_VX_M2, VROL_VX, 0x1, 0x0 }, // 8023
  { PseudoVROL_VX_M2_MASK, VROL_VX, 0x1, 0x0 }, // 8024
  { PseudoVROL_VX_M4, VROL_VX, 0x2, 0x0 }, // 8025
  { PseudoVROL_VX_M4_MASK, VROL_VX, 0x2, 0x0 }, // 8026
  { PseudoVROL_VX_M8, VROL_VX, 0x3, 0x0 }, // 8027
  { PseudoVROL_VX_M8_MASK, VROL_VX, 0x3, 0x0 }, // 8028
  { PseudoVROL_VX_MF8, VROL_VX, 0x5, 0x0 }, // 8029
  { PseudoVROL_VX_MF8_MASK, VROL_VX, 0x5, 0x0 }, // 8030
  { PseudoVROL_VX_MF4, VROL_VX, 0x6, 0x0 }, // 8031
  { PseudoVROL_VX_MF4_MASK, VROL_VX, 0x6, 0x0 }, // 8032
  { PseudoVROL_VX_MF2, VROL_VX, 0x7, 0x0 }, // 8033
  { PseudoVROL_VX_MF2_MASK, VROL_VX, 0x7, 0x0 }, // 8034
  { PseudoVROR_VI_M1, VROR_VI, 0x0, 0x0 }, // 8035
  { PseudoVROR_VI_M1_MASK, VROR_VI, 0x0, 0x0 }, // 8036
  { PseudoVROR_VI_M2, VROR_VI, 0x1, 0x0 }, // 8037
  { PseudoVROR_VI_M2_MASK, VROR_VI, 0x1, 0x0 }, // 8038
  { PseudoVROR_VI_M4, VROR_VI, 0x2, 0x0 }, // 8039
  { PseudoVROR_VI_M4_MASK, VROR_VI, 0x2, 0x0 }, // 8040
  { PseudoVROR_VI_M8, VROR_VI, 0x3, 0x0 }, // 8041
  { PseudoVROR_VI_M8_MASK, VROR_VI, 0x3, 0x0 }, // 8042
  { PseudoVROR_VI_MF8, VROR_VI, 0x5, 0x0 }, // 8043
  { PseudoVROR_VI_MF8_MASK, VROR_VI, 0x5, 0x0 }, // 8044
  { PseudoVROR_VI_MF4, VROR_VI, 0x6, 0x0 }, // 8045
  { PseudoVROR_VI_MF4_MASK, VROR_VI, 0x6, 0x0 }, // 8046
  { PseudoVROR_VI_MF2, VROR_VI, 0x7, 0x0 }, // 8047
  { PseudoVROR_VI_MF2_MASK, VROR_VI, 0x7, 0x0 }, // 8048
  { PseudoVROR_VV_M1, VROR_VV, 0x0, 0x0 }, // 8049
  { PseudoVROR_VV_M1_MASK, VROR_VV, 0x0, 0x0 }, // 8050
  { PseudoVROR_VV_M2, VROR_VV, 0x1, 0x0 }, // 8051
  { PseudoVROR_VV_M2_MASK, VROR_VV, 0x1, 0x0 }, // 8052
  { PseudoVROR_VV_M4, VROR_VV, 0x2, 0x0 }, // 8053
  { PseudoVROR_VV_M4_MASK, VROR_VV, 0x2, 0x0 }, // 8054
  { PseudoVROR_VV_M8, VROR_VV, 0x3, 0x0 }, // 8055
  { PseudoVROR_VV_M8_MASK, VROR_VV, 0x3, 0x0 }, // 8056
  { PseudoVROR_VV_MF8, VROR_VV, 0x5, 0x0 }, // 8057
  { PseudoVROR_VV_MF8_MASK, VROR_VV, 0x5, 0x0 }, // 8058
  { PseudoVROR_VV_MF4, VROR_VV, 0x6, 0x0 }, // 8059
  { PseudoVROR_VV_MF4_MASK, VROR_VV, 0x6, 0x0 }, // 8060
  { PseudoVROR_VV_MF2, VROR_VV, 0x7, 0x0 }, // 8061
  { PseudoVROR_VV_MF2_MASK, VROR_VV, 0x7, 0x0 }, // 8062
  { PseudoVROR_VX_M1, VROR_VX, 0x0, 0x0 }, // 8063
  { PseudoVROR_VX_M1_MASK, VROR_VX, 0x0, 0x0 }, // 8064
  { PseudoVROR_VX_M2, VROR_VX, 0x1, 0x0 }, // 8065
  { PseudoVROR_VX_M2_MASK, VROR_VX, 0x1, 0x0 }, // 8066
  { PseudoVROR_VX_M4, VROR_VX, 0x2, 0x0 }, // 8067
  { PseudoVROR_VX_M4_MASK, VROR_VX, 0x2, 0x0 }, // 8068
  { PseudoVROR_VX_M8, VROR_VX, 0x3, 0x0 }, // 8069
  { PseudoVROR_VX_M8_MASK, VROR_VX, 0x3, 0x0 }, // 8070
  { PseudoVROR_VX_MF8, VROR_VX, 0x5, 0x0 }, // 8071
  { PseudoVROR_VX_MF8_MASK, VROR_VX, 0x5, 0x0 }, // 8072
  { PseudoVROR_VX_MF4, VROR_VX, 0x6, 0x0 }, // 8073
  { PseudoVROR_VX_MF4_MASK, VROR_VX, 0x6, 0x0 }, // 8074
  { PseudoVROR_VX_MF2, VROR_VX, 0x7, 0x0 }, // 8075
  { PseudoVROR_VX_MF2_MASK, VROR_VX, 0x7, 0x0 }, // 8076
  { PseudoVRSUB_VI_M1, VRSUB_VI, 0x0, 0x0 }, // 8077
  { PseudoVRSUB_VI_M1_MASK, VRSUB_VI, 0x0, 0x0 }, // 8078
  { PseudoVRSUB_VI_M2, VRSUB_VI, 0x1, 0x0 }, // 8079
  { PseudoVRSUB_VI_M2_MASK, VRSUB_VI, 0x1, 0x0 }, // 8080
  { PseudoVRSUB_VI_M4, VRSUB_VI, 0x2, 0x0 }, // 8081
  { PseudoVRSUB_VI_M4_MASK, VRSUB_VI, 0x2, 0x0 }, // 8082
  { PseudoVRSUB_VI_M8, VRSUB_VI, 0x3, 0x0 }, // 8083
  { PseudoVRSUB_VI_M8_MASK, VRSUB_VI, 0x3, 0x0 }, // 8084
  { PseudoVRSUB_VI_MF8, VRSUB_VI, 0x5, 0x0 }, // 8085
  { PseudoVRSUB_VI_MF8_MASK, VRSUB_VI, 0x5, 0x0 }, // 8086
  { PseudoVRSUB_VI_MF4, VRSUB_VI, 0x6, 0x0 }, // 8087
  { PseudoVRSUB_VI_MF4_MASK, VRSUB_VI, 0x6, 0x0 }, // 8088
  { PseudoVRSUB_VI_MF2, VRSUB_VI, 0x7, 0x0 }, // 8089
  { PseudoVRSUB_VI_MF2_MASK, VRSUB_VI, 0x7, 0x0 }, // 8090
  { PseudoVRSUB_VX_M1, VRSUB_VX, 0x0, 0x0 }, // 8091
  { PseudoVRSUB_VX_M1_MASK, VRSUB_VX, 0x0, 0x0 }, // 8092
  { PseudoVRSUB_VX_M2, VRSUB_VX, 0x1, 0x0 }, // 8093
  { PseudoVRSUB_VX_M2_MASK, VRSUB_VX, 0x1, 0x0 }, // 8094
  { PseudoVRSUB_VX_M4, VRSUB_VX, 0x2, 0x0 }, // 8095
  { PseudoVRSUB_VX_M4_MASK, VRSUB_VX, 0x2, 0x0 }, // 8096
  { PseudoVRSUB_VX_M8, VRSUB_VX, 0x3, 0x0 }, // 8097
  { PseudoVRSUB_VX_M8_MASK, VRSUB_VX, 0x3, 0x0 }, // 8098
  { PseudoVRSUB_VX_MF8, VRSUB_VX, 0x5, 0x0 }, // 8099
  { PseudoVRSUB_VX_MF8_MASK, VRSUB_VX, 0x5, 0x0 }, // 8100
  { PseudoVRSUB_VX_MF4, VRSUB_VX, 0x6, 0x0 }, // 8101
  { PseudoVRSUB_VX_MF4_MASK, VRSUB_VX, 0x6, 0x0 }, // 8102
  { PseudoVRSUB_VX_MF2, VRSUB_VX, 0x7, 0x0 }, // 8103
  { PseudoVRSUB_VX_MF2_MASK, VRSUB_VX, 0x7, 0x0 }, // 8104
  { PseudoVSADDU_VI_M1, VSADDU_VI, 0x0, 0x0 }, // 8105
  { PseudoVSADDU_VI_M1_MASK, VSADDU_VI, 0x0, 0x0 }, // 8106
  { PseudoVSADDU_VI_M2, VSADDU_VI, 0x1, 0x0 }, // 8107
  { PseudoVSADDU_VI_M2_MASK, VSADDU_VI, 0x1, 0x0 }, // 8108
  { PseudoVSADDU_VI_M4, VSADDU_VI, 0x2, 0x0 }, // 8109
  { PseudoVSADDU_VI_M4_MASK, VSADDU_VI, 0x2, 0x0 }, // 8110
  { PseudoVSADDU_VI_M8, VSADDU_VI, 0x3, 0x0 }, // 8111
  { PseudoVSADDU_VI_M8_MASK, VSADDU_VI, 0x3, 0x0 }, // 8112
  { PseudoVSADDU_VI_MF8, VSADDU_VI, 0x5, 0x0 }, // 8113
  { PseudoVSADDU_VI_MF8_MASK, VSADDU_VI, 0x5, 0x0 }, // 8114
  { PseudoVSADDU_VI_MF4, VSADDU_VI, 0x6, 0x0 }, // 8115
  { PseudoVSADDU_VI_MF4_MASK, VSADDU_VI, 0x6, 0x0 }, // 8116
  { PseudoVSADDU_VI_MF2, VSADDU_VI, 0x7, 0x0 }, // 8117
  { PseudoVSADDU_VI_MF2_MASK, VSADDU_VI, 0x7, 0x0 }, // 8118
  { PseudoVSADDU_VV_M1, VSADDU_VV, 0x0, 0x0 }, // 8119
  { PseudoVSADDU_VV_M1_MASK, VSADDU_VV, 0x0, 0x0 }, // 8120
  { PseudoVSADDU_VV_M2, VSADDU_VV, 0x1, 0x0 }, // 8121
  { PseudoVSADDU_VV_M2_MASK, VSADDU_VV, 0x1, 0x0 }, // 8122
  { PseudoVSADDU_VV_M4, VSADDU_VV, 0x2, 0x0 }, // 8123
  { PseudoVSADDU_VV_M4_MASK, VSADDU_VV, 0x2, 0x0 }, // 8124
  { PseudoVSADDU_VV_M8, VSADDU_VV, 0x3, 0x0 }, // 8125
  { PseudoVSADDU_VV_M8_MASK, VSADDU_VV, 0x3, 0x0 }, // 8126
  { PseudoVSADDU_VV_MF8, VSADDU_VV, 0x5, 0x0 }, // 8127
  { PseudoVSADDU_VV_MF8_MASK, VSADDU_VV, 0x5, 0x0 }, // 8128
  { PseudoVSADDU_VV_MF4, VSADDU_VV, 0x6, 0x0 }, // 8129
  { PseudoVSADDU_VV_MF4_MASK, VSADDU_VV, 0x6, 0x0 }, // 8130
  { PseudoVSADDU_VV_MF2, VSADDU_VV, 0x7, 0x0 }, // 8131
  { PseudoVSADDU_VV_MF2_MASK, VSADDU_VV, 0x7, 0x0 }, // 8132
  { PseudoVSADDU_VX_M1, VSADDU_VX, 0x0, 0x0 }, // 8133
  { PseudoVSADDU_VX_M1_MASK, VSADDU_VX, 0x0, 0x0 }, // 8134
  { PseudoVSADDU_VX_M2, VSADDU_VX, 0x1, 0x0 }, // 8135
  { PseudoVSADDU_VX_M2_MASK, VSADDU_VX, 0x1, 0x0 }, // 8136
  { PseudoVSADDU_VX_M4, VSADDU_VX, 0x2, 0x0 }, // 8137
  { PseudoVSADDU_VX_M4_MASK, VSADDU_VX, 0x2, 0x0 }, // 8138
  { PseudoVSADDU_VX_M8, VSADDU_VX, 0x3, 0x0 }, // 8139
  { PseudoVSADDU_VX_M8_MASK, VSADDU_VX, 0x3, 0x0 }, // 8140
  { PseudoVSADDU_VX_MF8, VSADDU_VX, 0x5, 0x0 }, // 8141
  { PseudoVSADDU_VX_MF8_MASK, VSADDU_VX, 0x5, 0x0 }, // 8142
  { PseudoVSADDU_VX_MF4, VSADDU_VX, 0x6, 0x0 }, // 8143
  { PseudoVSADDU_VX_MF4_MASK, VSADDU_VX, 0x6, 0x0 }, // 8144
  { PseudoVSADDU_VX_MF2, VSADDU_VX, 0x7, 0x0 }, // 8145
  { PseudoVSADDU_VX_MF2_MASK, VSADDU_VX, 0x7, 0x0 }, // 8146
  { PseudoVSADD_VI_M1, VSADD_VI, 0x0, 0x0 }, // 8147
  { PseudoVSADD_VI_M1_MASK, VSADD_VI, 0x0, 0x0 }, // 8148
  { PseudoVSADD_VI_M2, VSADD_VI, 0x1, 0x0 }, // 8149
  { PseudoVSADD_VI_M2_MASK, VSADD_VI, 0x1, 0x0 }, // 8150
  { PseudoVSADD_VI_M4, VSADD_VI, 0x2, 0x0 }, // 8151
  { PseudoVSADD_VI_M4_MASK, VSADD_VI, 0x2, 0x0 }, // 8152
  { PseudoVSADD_VI_M8, VSADD_VI, 0x3, 0x0 }, // 8153
  { PseudoVSADD_VI_M8_MASK, VSADD_VI, 0x3, 0x0 }, // 8154
  { PseudoVSADD_VI_MF8, VSADD_VI, 0x5, 0x0 }, // 8155
  { PseudoVSADD_VI_MF8_MASK, VSADD_VI, 0x5, 0x0 }, // 8156
  { PseudoVSADD_VI_MF4, VSADD_VI, 0x6, 0x0 }, // 8157
  { PseudoVSADD_VI_MF4_MASK, VSADD_VI, 0x6, 0x0 }, // 8158
  { PseudoVSADD_VI_MF2, VSADD_VI, 0x7, 0x0 }, // 8159
  { PseudoVSADD_VI_MF2_MASK, VSADD_VI, 0x7, 0x0 }, // 8160
  { PseudoVSADD_VV_M1, VSADD_VV, 0x0, 0x0 }, // 8161
  { PseudoVSADD_VV_M1_MASK, VSADD_VV, 0x0, 0x0 }, // 8162
  { PseudoVSADD_VV_M2, VSADD_VV, 0x1, 0x0 }, // 8163
  { PseudoVSADD_VV_M2_MASK, VSADD_VV, 0x1, 0x0 }, // 8164
  { PseudoVSADD_VV_M4, VSADD_VV, 0x2, 0x0 }, // 8165
  { PseudoVSADD_VV_M4_MASK, VSADD_VV, 0x2, 0x0 }, // 8166
  { PseudoVSADD_VV_M8, VSADD_VV, 0x3, 0x0 }, // 8167
  { PseudoVSADD_VV_M8_MASK, VSADD_VV, 0x3, 0x0 }, // 8168
  { PseudoVSADD_VV_MF8, VSADD_VV, 0x5, 0x0 }, // 8169
  { PseudoVSADD_VV_MF8_MASK, VSADD_VV, 0x5, 0x0 }, // 8170
  { PseudoVSADD_VV_MF4, VSADD_VV, 0x6, 0x0 }, // 8171
  { PseudoVSADD_VV_MF4_MASK, VSADD_VV, 0x6, 0x0 }, // 8172
  { PseudoVSADD_VV_MF2, VSADD_VV, 0x7, 0x0 }, // 8173
  { PseudoVSADD_VV_MF2_MASK, VSADD_VV, 0x7, 0x0 }, // 8174
  { PseudoVSADD_VX_M1, VSADD_VX, 0x0, 0x0 }, // 8175
  { PseudoVSADD_VX_M1_MASK, VSADD_VX, 0x0, 0x0 }, // 8176
  { PseudoVSADD_VX_M2, VSADD_VX, 0x1, 0x0 }, // 8177
  { PseudoVSADD_VX_M2_MASK, VSADD_VX, 0x1, 0x0 }, // 8178
  { PseudoVSADD_VX_M4, VSADD_VX, 0x2, 0x0 }, // 8179
  { PseudoVSADD_VX_M4_MASK, VSADD_VX, 0x2, 0x0 }, // 8180
  { PseudoVSADD_VX_M8, VSADD_VX, 0x3, 0x0 }, // 8181
  { PseudoVSADD_VX_M8_MASK, VSADD_VX, 0x3, 0x0 }, // 8182
  { PseudoVSADD_VX_MF8, VSADD_VX, 0x5, 0x0 }, // 8183
  { PseudoVSADD_VX_MF8_MASK, VSADD_VX, 0x5, 0x0 }, // 8184
  { PseudoVSADD_VX_MF4, VSADD_VX, 0x6, 0x0 }, // 8185
  { PseudoVSADD_VX_MF4_MASK, VSADD_VX, 0x6, 0x0 }, // 8186
  { PseudoVSADD_VX_MF2, VSADD_VX, 0x7, 0x0 }, // 8187
  { PseudoVSADD_VX_MF2_MASK, VSADD_VX, 0x7, 0x0 }, // 8188
  { PseudoVSBC_VVM_M1, VSBC_VVM, 0x0, 0x0 }, // 8189
  { PseudoVSBC_VVM_M2, VSBC_VVM, 0x1, 0x0 }, // 8190
  { PseudoVSBC_VVM_M4, VSBC_VVM, 0x2, 0x0 }, // 8191
  { PseudoVSBC_VVM_M8, VSBC_VVM, 0x3, 0x0 }, // 8192
  { PseudoVSBC_VVM_MF8, VSBC_VVM, 0x5, 0x0 }, // 8193
  { PseudoVSBC_VVM_MF4, VSBC_VVM, 0x6, 0x0 }, // 8194
  { PseudoVSBC_VVM_MF2, VSBC_VVM, 0x7, 0x0 }, // 8195
  { PseudoVSBC_VXM_M1, VSBC_VXM, 0x0, 0x0 }, // 8196
  { PseudoVSBC_VXM_M2, VSBC_VXM, 0x1, 0x0 }, // 8197
  { PseudoVSBC_VXM_M4, VSBC_VXM, 0x2, 0x0 }, // 8198
  { PseudoVSBC_VXM_M8, VSBC_VXM, 0x3, 0x0 }, // 8199
  { PseudoVSBC_VXM_MF8, VSBC_VXM, 0x5, 0x0 }, // 8200
  { PseudoVSBC_VXM_MF4, VSBC_VXM, 0x6, 0x0 }, // 8201
  { PseudoVSBC_VXM_MF2, VSBC_VXM, 0x7, 0x0 }, // 8202
  { PseudoVSE16_V_M1, VSE16_V, 0x0, 0x10 }, // 8203
  { PseudoVSE16_V_M1_MASK, VSE16_V, 0x0, 0x10 }, // 8204
  { PseudoVSE16_V_M2, VSE16_V, 0x1, 0x10 }, // 8205
  { PseudoVSE16_V_M2_MASK, VSE16_V, 0x1, 0x10 }, // 8206
  { PseudoVSE16_V_M4, VSE16_V, 0x2, 0x10 }, // 8207
  { PseudoVSE16_V_M4_MASK, VSE16_V, 0x2, 0x10 }, // 8208
  { PseudoVSE16_V_M8, VSE16_V, 0x3, 0x10 }, // 8209
  { PseudoVSE16_V_M8_MASK, VSE16_V, 0x3, 0x10 }, // 8210
  { PseudoVSE16_V_MF4, VSE16_V, 0x6, 0x10 }, // 8211
  { PseudoVSE16_V_MF4_MASK, VSE16_V, 0x6, 0x10 }, // 8212
  { PseudoVSE16_V_MF2, VSE16_V, 0x7, 0x10 }, // 8213
  { PseudoVSE16_V_MF2_MASK, VSE16_V, 0x7, 0x10 }, // 8214
  { PseudoVSE32_V_M1, VSE32_V, 0x0, 0x20 }, // 8215
  { PseudoVSE32_V_M1_MASK, VSE32_V, 0x0, 0x20 }, // 8216
  { PseudoVSE32_V_M2, VSE32_V, 0x1, 0x20 }, // 8217
  { PseudoVSE32_V_M2_MASK, VSE32_V, 0x1, 0x20 }, // 8218
  { PseudoVSE32_V_M4, VSE32_V, 0x2, 0x20 }, // 8219
  { PseudoVSE32_V_M4_MASK, VSE32_V, 0x2, 0x20 }, // 8220
  { PseudoVSE32_V_M8, VSE32_V, 0x3, 0x20 }, // 8221
  { PseudoVSE32_V_M8_MASK, VSE32_V, 0x3, 0x20 }, // 8222
  { PseudoVSE32_V_MF2, VSE32_V, 0x7, 0x20 }, // 8223
  { PseudoVSE32_V_MF2_MASK, VSE32_V, 0x7, 0x20 }, // 8224
  { PseudoVSE64_V_M1, VSE64_V, 0x0, 0x40 }, // 8225
  { PseudoVSE64_V_M1_MASK, VSE64_V, 0x0, 0x40 }, // 8226
  { PseudoVSE64_V_M2, VSE64_V, 0x1, 0x40 }, // 8227
  { PseudoVSE64_V_M2_MASK, VSE64_V, 0x1, 0x40 }, // 8228
  { PseudoVSE64_V_M4, VSE64_V, 0x2, 0x40 }, // 8229
  { PseudoVSE64_V_M4_MASK, VSE64_V, 0x2, 0x40 }, // 8230
  { PseudoVSE64_V_M8, VSE64_V, 0x3, 0x40 }, // 8231
  { PseudoVSE64_V_M8_MASK, VSE64_V, 0x3, 0x40 }, // 8232
  { PseudoVSE8_V_M1, VSE8_V, 0x0, 0x8 }, // 8233
  { PseudoVSE8_V_M1_MASK, VSE8_V, 0x0, 0x8 }, // 8234
  { PseudoVSE8_V_M2, VSE8_V, 0x1, 0x8 }, // 8235
  { PseudoVSE8_V_M2_MASK, VSE8_V, 0x1, 0x8 }, // 8236
  { PseudoVSE8_V_M4, VSE8_V, 0x2, 0x8 }, // 8237
  { PseudoVSE8_V_M4_MASK, VSE8_V, 0x2, 0x8 }, // 8238
  { PseudoVSE8_V_M8, VSE8_V, 0x3, 0x8 }, // 8239
  { PseudoVSE8_V_M8_MASK, VSE8_V, 0x3, 0x8 }, // 8240
  { PseudoVSE8_V_MF8, VSE8_V, 0x5, 0x8 }, // 8241
  { PseudoVSE8_V_MF8_MASK, VSE8_V, 0x5, 0x8 }, // 8242
  { PseudoVSE8_V_MF4, VSE8_V, 0x6, 0x8 }, // 8243
  { PseudoVSE8_V_MF4_MASK, VSE8_V, 0x6, 0x8 }, // 8244
  { PseudoVSE8_V_MF2, VSE8_V, 0x7, 0x8 }, // 8245
  { PseudoVSE8_V_MF2_MASK, VSE8_V, 0x7, 0x8 }, // 8246
  { PseudoVSEXT_VF2_M1, VSEXT_VF2, 0x0, 0x0 }, // 8247
  { PseudoVSEXT_VF2_M1_MASK, VSEXT_VF2, 0x0, 0x0 }, // 8248
  { PseudoVSEXT_VF2_M2, VSEXT_VF2, 0x1, 0x0 }, // 8249
  { PseudoVSEXT_VF2_M2_MASK, VSEXT_VF2, 0x1, 0x0 }, // 8250
  { PseudoVSEXT_VF2_M4, VSEXT_VF2, 0x2, 0x0 }, // 8251
  { PseudoVSEXT_VF2_M4_MASK, VSEXT_VF2, 0x2, 0x0 }, // 8252
  { PseudoVSEXT_VF2_M8, VSEXT_VF2, 0x3, 0x0 }, // 8253
  { PseudoVSEXT_VF2_M8_MASK, VSEXT_VF2, 0x3, 0x0 }, // 8254
  { PseudoVSEXT_VF2_MF4, VSEXT_VF2, 0x6, 0x0 }, // 8255
  { PseudoVSEXT_VF2_MF4_MASK, VSEXT_VF2, 0x6, 0x0 }, // 8256
  { PseudoVSEXT_VF2_MF2, VSEXT_VF2, 0x7, 0x0 }, // 8257
  { PseudoVSEXT_VF2_MF2_MASK, VSEXT_VF2, 0x7, 0x0 }, // 8258
  { PseudoVSEXT_VF4_M1, VSEXT_VF4, 0x0, 0x0 }, // 8259
  { PseudoVSEXT_VF4_M1_MASK, VSEXT_VF4, 0x0, 0x0 }, // 8260
  { PseudoVSEXT_VF4_M2, VSEXT_VF4, 0x1, 0x0 }, // 8261
  { PseudoVSEXT_VF4_M2_MASK, VSEXT_VF4, 0x1, 0x0 }, // 8262
  { PseudoVSEXT_VF4_M4, VSEXT_VF4, 0x2, 0x0 }, // 8263
  { PseudoVSEXT_VF4_M4_MASK, VSEXT_VF4, 0x2, 0x0 }, // 8264
  { PseudoVSEXT_VF4_M8, VSEXT_VF4, 0x3, 0x0 }, // 8265
  { PseudoVSEXT_VF4_M8_MASK, VSEXT_VF4, 0x3, 0x0 }, // 8266
  { PseudoVSEXT_VF4_MF2, VSEXT_VF4, 0x7, 0x0 }, // 8267
  { PseudoVSEXT_VF4_MF2_MASK, VSEXT_VF4, 0x7, 0x0 }, // 8268
  { PseudoVSEXT_VF8_M1, VSEXT_VF8, 0x0, 0x0 }, // 8269
  { PseudoVSEXT_VF8_M1_MASK, VSEXT_VF8, 0x0, 0x0 }, // 8270
  { PseudoVSEXT_VF8_M2, VSEXT_VF8, 0x1, 0x0 }, // 8271
  { PseudoVSEXT_VF8_M2_MASK, VSEXT_VF8, 0x1, 0x0 }, // 8272
  { PseudoVSEXT_VF8_M4, VSEXT_VF8, 0x2, 0x0 }, // 8273
  { PseudoVSEXT_VF8_M4_MASK, VSEXT_VF8, 0x2, 0x0 }, // 8274
  { PseudoVSEXT_VF8_M8, VSEXT_VF8, 0x3, 0x0 }, // 8275
  { PseudoVSEXT_VF8_M8_MASK, VSEXT_VF8, 0x3, 0x0 }, // 8276
  { PseudoVSHA2CH_VV_M1, VSHA2CH_VV, 0x0, 0x0 }, // 8277
  { PseudoVSHA2CH_VV_M2, VSHA2CH_VV, 0x1, 0x0 }, // 8278
  { PseudoVSHA2CH_VV_M4, VSHA2CH_VV, 0x2, 0x0 }, // 8279
  { PseudoVSHA2CH_VV_M8, VSHA2CH_VV, 0x3, 0x0 }, // 8280
  { PseudoVSHA2CH_VV_MF2, VSHA2CH_VV, 0x7, 0x0 }, // 8281
  { PseudoVSHA2CL_VV_M1, VSHA2CL_VV, 0x0, 0x0 }, // 8282
  { PseudoVSHA2CL_VV_M2, VSHA2CL_VV, 0x1, 0x0 }, // 8283
  { PseudoVSHA2CL_VV_M4, VSHA2CL_VV, 0x2, 0x0 }, // 8284
  { PseudoVSHA2CL_VV_M8, VSHA2CL_VV, 0x3, 0x0 }, // 8285
  { PseudoVSHA2CL_VV_MF2, VSHA2CL_VV, 0x7, 0x0 }, // 8286
  { PseudoVSHA2MS_VV_M1, VSHA2MS_VV, 0x0, 0x0 }, // 8287
  { PseudoVSHA2MS_VV_M2, VSHA2MS_VV, 0x1, 0x0 }, // 8288
  { PseudoVSHA2MS_VV_M4, VSHA2MS_VV, 0x2, 0x0 }, // 8289
  { PseudoVSHA2MS_VV_M8, VSHA2MS_VV, 0x3, 0x0 }, // 8290
  { PseudoVSHA2MS_VV_MF2, VSHA2MS_VV, 0x7, 0x0 }, // 8291
  { PseudoVSLIDE1DOWN_VX_M1, VSLIDE1DOWN_VX, 0x0, 0x0 }, // 8292
  { PseudoVSLIDE1DOWN_VX_M1_MASK, VSLIDE1DOWN_VX, 0x0, 0x0 }, // 8293
  { PseudoVSLIDE1DOWN_VX_M2, VSLIDE1DOWN_VX, 0x1, 0x0 }, // 8294
  { PseudoVSLIDE1DOWN_VX_M2_MASK, VSLIDE1DOWN_VX, 0x1, 0x0 }, // 8295
  { PseudoVSLIDE1DOWN_VX_M4, VSLIDE1DOWN_VX, 0x2, 0x0 }, // 8296
  { PseudoVSLIDE1DOWN_VX_M4_MASK, VSLIDE1DOWN_VX, 0x2, 0x0 }, // 8297
  { PseudoVSLIDE1DOWN_VX_M8, VSLIDE1DOWN_VX, 0x3, 0x0 }, // 8298
  { PseudoVSLIDE1DOWN_VX_M8_MASK, VSLIDE1DOWN_VX, 0x3, 0x0 }, // 8299
  { PseudoVSLIDE1DOWN_VX_MF8, VSLIDE1DOWN_VX, 0x5, 0x0 }, // 8300
  { PseudoVSLIDE1DOWN_VX_MF8_MASK, VSLIDE1DOWN_VX, 0x5, 0x0 }, // 8301
  { PseudoVSLIDE1DOWN_VX_MF4, VSLIDE1DOWN_VX, 0x6, 0x0 }, // 8302
  { PseudoVSLIDE1DOWN_VX_MF4_MASK, VSLIDE1DOWN_VX, 0x6, 0x0 }, // 8303
  { PseudoVSLIDE1DOWN_VX_MF2, VSLIDE1DOWN_VX, 0x7, 0x0 }, // 8304
  { PseudoVSLIDE1DOWN_VX_MF2_MASK, VSLIDE1DOWN_VX, 0x7, 0x0 }, // 8305
  { PseudoVSLIDE1UP_VX_M1, VSLIDE1UP_VX, 0x0, 0x0 }, // 8306
  { PseudoVSLIDE1UP_VX_M1_MASK, VSLIDE1UP_VX, 0x0, 0x0 }, // 8307
  { PseudoVSLIDE1UP_VX_M2, VSLIDE1UP_VX, 0x1, 0x0 }, // 8308
  { PseudoVSLIDE1UP_VX_M2_MASK, VSLIDE1UP_VX, 0x1, 0x0 }, // 8309
  { PseudoVSLIDE1UP_VX_M4, VSLIDE1UP_VX, 0x2, 0x0 }, // 8310
  { PseudoVSLIDE1UP_VX_M4_MASK, VSLIDE1UP_VX, 0x2, 0x0 }, // 8311
  { PseudoVSLIDE1UP_VX_M8, VSLIDE1UP_VX, 0x3, 0x0 }, // 8312
  { PseudoVSLIDE1UP_VX_M8_MASK, VSLIDE1UP_VX, 0x3, 0x0 }, // 8313
  { PseudoVSLIDE1UP_VX_MF8, VSLIDE1UP_VX, 0x5, 0x0 }, // 8314
  { PseudoVSLIDE1UP_VX_MF8_MASK, VSLIDE1UP_VX, 0x5, 0x0 }, // 8315
  { PseudoVSLIDE1UP_VX_MF4, VSLIDE1UP_VX, 0x6, 0x0 }, // 8316
  { PseudoVSLIDE1UP_VX_MF4_MASK, VSLIDE1UP_VX, 0x6, 0x0 }, // 8317
  { PseudoVSLIDE1UP_VX_MF2, VSLIDE1UP_VX, 0x7, 0x0 }, // 8318
  { PseudoVSLIDE1UP_VX_MF2_MASK, VSLIDE1UP_VX, 0x7, 0x0 }, // 8319
  { PseudoVSLIDEDOWN_VI_M1, VSLIDEDOWN_VI, 0x0, 0x0 }, // 8320
  { PseudoVSLIDEDOWN_VI_M1_MASK, VSLIDEDOWN_VI, 0x0, 0x0 }, // 8321
  { PseudoVSLIDEDOWN_VI_M2, VSLIDEDOWN_VI, 0x1, 0x0 }, // 8322
  { PseudoVSLIDEDOWN_VI_M2_MASK, VSLIDEDOWN_VI, 0x1, 0x0 }, // 8323
  { PseudoVSLIDEDOWN_VI_M4, VSLIDEDOWN_VI, 0x2, 0x0 }, // 8324
  { PseudoVSLIDEDOWN_VI_M4_MASK, VSLIDEDOWN_VI, 0x2, 0x0 }, // 8325
  { PseudoVSLIDEDOWN_VI_M8, VSLIDEDOWN_VI, 0x3, 0x0 }, // 8326
  { PseudoVSLIDEDOWN_VI_M8_MASK, VSLIDEDOWN_VI, 0x3, 0x0 }, // 8327
  { PseudoVSLIDEDOWN_VI_MF8, VSLIDEDOWN_VI, 0x5, 0x0 }, // 8328
  { PseudoVSLIDEDOWN_VI_MF8_MASK, VSLIDEDOWN_VI, 0x5, 0x0 }, // 8329
  { PseudoVSLIDEDOWN_VI_MF4, VSLIDEDOWN_VI, 0x6, 0x0 }, // 8330
  { PseudoVSLIDEDOWN_VI_MF4_MASK, VSLIDEDOWN_VI, 0x6, 0x0 }, // 8331
  { PseudoVSLIDEDOWN_VI_MF2, VSLIDEDOWN_VI, 0x7, 0x0 }, // 8332
  { PseudoVSLIDEDOWN_VI_MF2_MASK, VSLIDEDOWN_VI, 0x7, 0x0 }, // 8333
  { PseudoVSLIDEDOWN_VX_M1, VSLIDEDOWN_VX, 0x0, 0x0 }, // 8334
  { PseudoVSLIDEDOWN_VX_M1_MASK, VSLIDEDOWN_VX, 0x0, 0x0 }, // 8335
  { PseudoVSLIDEDOWN_VX_M2, VSLIDEDOWN_VX, 0x1, 0x0 }, // 8336
  { PseudoVSLIDEDOWN_VX_M2_MASK, VSLIDEDOWN_VX, 0x1, 0x0 }, // 8337
  { PseudoVSLIDEDOWN_VX_M4, VSLIDEDOWN_VX, 0x2, 0x0 }, // 8338
  { PseudoVSLIDEDOWN_VX_M4_MASK, VSLIDEDOWN_VX, 0x2, 0x0 }, // 8339
  { PseudoVSLIDEDOWN_VX_M8, VSLIDEDOWN_VX, 0x3, 0x0 }, // 8340
  { PseudoVSLIDEDOWN_VX_M8_MASK, VSLIDEDOWN_VX, 0x3, 0x0 }, // 8341
  { PseudoVSLIDEDOWN_VX_MF8, VSLIDEDOWN_VX, 0x5, 0x0 }, // 8342
  { PseudoVSLIDEDOWN_VX_MF8_MASK, VSLIDEDOWN_VX, 0x5, 0x0 }, // 8343
  { PseudoVSLIDEDOWN_VX_MF4, VSLIDEDOWN_VX, 0x6, 0x0 }, // 8344
  { PseudoVSLIDEDOWN_VX_MF4_MASK, VSLIDEDOWN_VX, 0x6, 0x0 }, // 8345
  { PseudoVSLIDEDOWN_VX_MF2, VSLIDEDOWN_VX, 0x7, 0x0 }, // 8346
  { PseudoVSLIDEDOWN_VX_MF2_MASK, VSLIDEDOWN_VX, 0x7, 0x0 }, // 8347
  { PseudoVSLIDEUP_VI_M1, VSLIDEUP_VI, 0x0, 0x0 }, // 8348
  { PseudoVSLIDEUP_VI_M1_MASK, VSLIDEUP_VI, 0x0, 0x0 }, // 8349
  { PseudoVSLIDEUP_VI_M2, VSLIDEUP_VI, 0x1, 0x0 }, // 8350
  { PseudoVSLIDEUP_VI_M2_MASK, VSLIDEUP_VI, 0x1, 0x0 }, // 8351
  { PseudoVSLIDEUP_VI_M4, VSLIDEUP_VI, 0x2, 0x0 }, // 8352
  { PseudoVSLIDEUP_VI_M4_MASK, VSLIDEUP_VI, 0x2, 0x0 }, // 8353
  { PseudoVSLIDEUP_VI_M8, VSLIDEUP_VI, 0x3, 0x0 }, // 8354
  { PseudoVSLIDEUP_VI_M8_MASK, VSLIDEUP_VI, 0x3, 0x0 }, // 8355
  { PseudoVSLIDEUP_VI_MF8, VSLIDEUP_VI, 0x5, 0x0 }, // 8356
  { PseudoVSLIDEUP_VI_MF8_MASK, VSLIDEUP_VI, 0x5, 0x0 }, // 8357
  { PseudoVSLIDEUP_VI_MF4, VSLIDEUP_VI, 0x6, 0x0 }, // 8358
  { PseudoVSLIDEUP_VI_MF4_MASK, VSLIDEUP_VI, 0x6, 0x0 }, // 8359
  { PseudoVSLIDEUP_VI_MF2, VSLIDEUP_VI, 0x7, 0x0 }, // 8360
  { PseudoVSLIDEUP_VI_MF2_MASK, VSLIDEUP_VI, 0x7, 0x0 }, // 8361
  { PseudoVSLIDEUP_VX_M1, VSLIDEUP_VX, 0x0, 0x0 }, // 8362
  { PseudoVSLIDEUP_VX_M1_MASK, VSLIDEUP_VX, 0x0, 0x0 }, // 8363
  { PseudoVSLIDEUP_VX_M2, VSLIDEUP_VX, 0x1, 0x0 }, // 8364
  { PseudoVSLIDEUP_VX_M2_MASK, VSLIDEUP_VX, 0x1, 0x0 }, // 8365
  { PseudoVSLIDEUP_VX_M4, VSLIDEUP_VX, 0x2, 0x0 }, // 8366
  { PseudoVSLIDEUP_VX_M4_MASK, VSLIDEUP_VX, 0x2, 0x0 }, // 8367
  { PseudoVSLIDEUP_VX_M8, VSLIDEUP_VX, 0x3, 0x0 }, // 8368
  { PseudoVSLIDEUP_VX_M8_MASK, VSLIDEUP_VX, 0x3, 0x0 }, // 8369
  { PseudoVSLIDEUP_VX_MF8, VSLIDEUP_VX, 0x5, 0x0 }, // 8370
  { PseudoVSLIDEUP_VX_MF8_MASK, VSLIDEUP_VX, 0x5, 0x0 }, // 8371
  { PseudoVSLIDEUP_VX_MF4, VSLIDEUP_VX, 0x6, 0x0 }, // 8372
  { PseudoVSLIDEUP_VX_MF4_MASK, VSLIDEUP_VX, 0x6, 0x0 }, // 8373
  { PseudoVSLIDEUP_VX_MF2, VSLIDEUP_VX, 0x7, 0x0 }, // 8374
  { PseudoVSLIDEUP_VX_MF2_MASK, VSLIDEUP_VX, 0x7, 0x0 }, // 8375
  { PseudoVSLL_VI_M1, VSLL_VI, 0x0, 0x0 }, // 8376
  { PseudoVSLL_VI_M1_MASK, VSLL_VI, 0x0, 0x0 }, // 8377
  { PseudoVSLL_VI_M2, VSLL_VI, 0x1, 0x0 }, // 8378
  { PseudoVSLL_VI_M2_MASK, VSLL_VI, 0x1, 0x0 }, // 8379
  { PseudoVSLL_VI_M4, VSLL_VI, 0x2, 0x0 }, // 8380
  { PseudoVSLL_VI_M4_MASK, VSLL_VI, 0x2, 0x0 }, // 8381
  { PseudoVSLL_VI_M8, VSLL_VI, 0x3, 0x0 }, // 8382
  { PseudoVSLL_VI_M8_MASK, VSLL_VI, 0x3, 0x0 }, // 8383
  { PseudoVSLL_VI_MF8, VSLL_VI, 0x5, 0x0 }, // 8384
  { PseudoVSLL_VI_MF8_MASK, VSLL_VI, 0x5, 0x0 }, // 8385
  { PseudoVSLL_VI_MF4, VSLL_VI, 0x6, 0x0 }, // 8386
  { PseudoVSLL_VI_MF4_MASK, VSLL_VI, 0x6, 0x0 }, // 8387
  { PseudoVSLL_VI_MF2, VSLL_VI, 0x7, 0x0 }, // 8388
  { PseudoVSLL_VI_MF2_MASK, VSLL_VI, 0x7, 0x0 }, // 8389
  { PseudoVSLL_VV_M1, VSLL_VV, 0x0, 0x0 }, // 8390
  { PseudoVSLL_VV_M1_MASK, VSLL_VV, 0x0, 0x0 }, // 8391
  { PseudoVSLL_VV_M2, VSLL_VV, 0x1, 0x0 }, // 8392
  { PseudoVSLL_VV_M2_MASK, VSLL_VV, 0x1, 0x0 }, // 8393
  { PseudoVSLL_VV_M4, VSLL_VV, 0x2, 0x0 }, // 8394
  { PseudoVSLL_VV_M4_MASK, VSLL_VV, 0x2, 0x0 }, // 8395
  { PseudoVSLL_VV_M8, VSLL_VV, 0x3, 0x0 }, // 8396
  { PseudoVSLL_VV_M8_MASK, VSLL_VV, 0x3, 0x0 }, // 8397
  { PseudoVSLL_VV_MF8, VSLL_VV, 0x5, 0x0 }, // 8398
  { PseudoVSLL_VV_MF8_MASK, VSLL_VV, 0x5, 0x0 }, // 8399
  { PseudoVSLL_VV_MF4, VSLL_VV, 0x6, 0x0 }, // 8400
  { PseudoVSLL_VV_MF4_MASK, VSLL_VV, 0x6, 0x0 }, // 8401
  { PseudoVSLL_VV_MF2, VSLL_VV, 0x7, 0x0 }, // 8402
  { PseudoVSLL_VV_MF2_MASK, VSLL_VV, 0x7, 0x0 }, // 8403
  { PseudoVSLL_VX_M1, VSLL_VX, 0x0, 0x0 }, // 8404
  { PseudoVSLL_VX_M1_MASK, VSLL_VX, 0x0, 0x0 }, // 8405
  { PseudoVSLL_VX_M2, VSLL_VX, 0x1, 0x0 }, // 8406
  { PseudoVSLL_VX_M2_MASK, VSLL_VX, 0x1, 0x0 }, // 8407
  { PseudoVSLL_VX_M4, VSLL_VX, 0x2, 0x0 }, // 8408
  { PseudoVSLL_VX_M4_MASK, VSLL_VX, 0x2, 0x0 }, // 8409
  { PseudoVSLL_VX_M8, VSLL_VX, 0x3, 0x0 }, // 8410
  { PseudoVSLL_VX_M8_MASK, VSLL_VX, 0x3, 0x0 }, // 8411
  { PseudoVSLL_VX_MF8, VSLL_VX, 0x5, 0x0 }, // 8412
  { PseudoVSLL_VX_MF8_MASK, VSLL_VX, 0x5, 0x0 }, // 8413
  { PseudoVSLL_VX_MF4, VSLL_VX, 0x6, 0x0 }, // 8414
  { PseudoVSLL_VX_MF4_MASK, VSLL_VX, 0x6, 0x0 }, // 8415
  { PseudoVSLL_VX_MF2, VSLL_VX, 0x7, 0x0 }, // 8416
  { PseudoVSLL_VX_MF2_MASK, VSLL_VX, 0x7, 0x0 }, // 8417
  { PseudoVSM3C_VI_M1, VSM3C_VI, 0x0, 0x0 }, // 8418
  { PseudoVSM3C_VI_M2, VSM3C_VI, 0x1, 0x0 }, // 8419
  { PseudoVSM3C_VI_M4, VSM3C_VI, 0x2, 0x0 }, // 8420
  { PseudoVSM3C_VI_M8, VSM3C_VI, 0x3, 0x0 }, // 8421
  { PseudoVSM3C_VI_MF2, VSM3C_VI, 0x7, 0x0 }, // 8422
  { PseudoVSM3ME_VV_M1, VSM3ME_VV, 0x0, 0x0 }, // 8423
  { PseudoVSM3ME_VV_M2, VSM3ME_VV, 0x1, 0x0 }, // 8424
  { PseudoVSM3ME_VV_M4, VSM3ME_VV, 0x2, 0x0 }, // 8425
  { PseudoVSM3ME_VV_M8, VSM3ME_VV, 0x3, 0x0 }, // 8426
  { PseudoVSM3ME_VV_MF2, VSM3ME_VV, 0x7, 0x0 }, // 8427
  { PseudoVSM4K_VI_M1, VSM4K_VI, 0x0, 0x0 }, // 8428
  { PseudoVSM4K_VI_M2, VSM4K_VI, 0x1, 0x0 }, // 8429
  { PseudoVSM4K_VI_M4, VSM4K_VI, 0x2, 0x0 }, // 8430
  { PseudoVSM4K_VI_M8, VSM4K_VI, 0x3, 0x0 }, // 8431
  { PseudoVSM4K_VI_MF2, VSM4K_VI, 0x7, 0x0 }, // 8432
  { PseudoVSM4R_VS_M1_M1, VSM4R_VS, 0x0, 0x0 }, // 8433
  { PseudoVSM4R_VS_M1_MF2, VSM4R_VS, 0x0, 0x0 }, // 8434
  { PseudoVSM4R_VS_M1_MF4, VSM4R_VS, 0x0, 0x0 }, // 8435
  { PseudoVSM4R_VS_M1_MF8, VSM4R_VS, 0x0, 0x0 }, // 8436
  { PseudoVSM4R_VS_M2_M1, VSM4R_VS, 0x1, 0x0 }, // 8437
  { PseudoVSM4R_VS_M2_M2, VSM4R_VS, 0x1, 0x0 }, // 8438
  { PseudoVSM4R_VS_M2_MF2, VSM4R_VS, 0x1, 0x0 }, // 8439
  { PseudoVSM4R_VS_M2_MF4, VSM4R_VS, 0x1, 0x0 }, // 8440
  { PseudoVSM4R_VS_M2_MF8, VSM4R_VS, 0x1, 0x0 }, // 8441
  { PseudoVSM4R_VS_M4_M1, VSM4R_VS, 0x2, 0x0 }, // 8442
  { PseudoVSM4R_VS_M4_M2, VSM4R_VS, 0x2, 0x0 }, // 8443
  { PseudoVSM4R_VS_M4_M4, VSM4R_VS, 0x2, 0x0 }, // 8444
  { PseudoVSM4R_VS_M4_MF2, VSM4R_VS, 0x2, 0x0 }, // 8445
  { PseudoVSM4R_VS_M4_MF4, VSM4R_VS, 0x2, 0x0 }, // 8446
  { PseudoVSM4R_VS_M4_MF8, VSM4R_VS, 0x2, 0x0 }, // 8447
  { PseudoVSM4R_VS_M8_M1, VSM4R_VS, 0x3, 0x0 }, // 8448
  { PseudoVSM4R_VS_M8_M2, VSM4R_VS, 0x3, 0x0 }, // 8449
  { PseudoVSM4R_VS_M8_M4, VSM4R_VS, 0x3, 0x0 }, // 8450
  { PseudoVSM4R_VS_M8_MF2, VSM4R_VS, 0x3, 0x0 }, // 8451
  { PseudoVSM4R_VS_M8_MF4, VSM4R_VS, 0x3, 0x0 }, // 8452
  { PseudoVSM4R_VS_M8_MF8, VSM4R_VS, 0x3, 0x0 }, // 8453
  { PseudoVSM4R_VS_MF2_MF2, VSM4R_VS, 0x7, 0x0 }, // 8454
  { PseudoVSM4R_VS_MF2_MF4, VSM4R_VS, 0x7, 0x0 }, // 8455
  { PseudoVSM4R_VS_MF2_MF8, VSM4R_VS, 0x7, 0x0 }, // 8456
  { PseudoVSM4R_VV_M1, VSM4R_VV, 0x0, 0x0 }, // 8457
  { PseudoVSM4R_VV_M2, VSM4R_VV, 0x1, 0x0 }, // 8458
  { PseudoVSM4R_VV_M4, VSM4R_VV, 0x2, 0x0 }, // 8459
  { PseudoVSM4R_VV_M8, VSM4R_VV, 0x3, 0x0 }, // 8460
  { PseudoVSM4R_VV_MF2, VSM4R_VV, 0x7, 0x0 }, // 8461
  { PseudoVSMUL_VV_M1, VSMUL_VV, 0x0, 0x0 }, // 8462
  { PseudoVSMUL_VV_M1_MASK, VSMUL_VV, 0x0, 0x0 }, // 8463
  { PseudoVSMUL_VV_M2, VSMUL_VV, 0x1, 0x0 }, // 8464
  { PseudoVSMUL_VV_M2_MASK, VSMUL_VV, 0x1, 0x0 }, // 8465
  { PseudoVSMUL_VV_M4, VSMUL_VV, 0x2, 0x0 }, // 8466
  { PseudoVSMUL_VV_M4_MASK, VSMUL_VV, 0x2, 0x0 }, // 8467
  { PseudoVSMUL_VV_M8, VSMUL_VV, 0x3, 0x0 }, // 8468
  { PseudoVSMUL_VV_M8_MASK, VSMUL_VV, 0x3, 0x0 }, // 8469
  { PseudoVSMUL_VV_MF8, VSMUL_VV, 0x5, 0x0 }, // 8470
  { PseudoVSMUL_VV_MF8_MASK, VSMUL_VV, 0x5, 0x0 }, // 8471
  { PseudoVSMUL_VV_MF4, VSMUL_VV, 0x6, 0x0 }, // 8472
  { PseudoVSMUL_VV_MF4_MASK, VSMUL_VV, 0x6, 0x0 }, // 8473
  { PseudoVSMUL_VV_MF2, VSMUL_VV, 0x7, 0x0 }, // 8474
  { PseudoVSMUL_VV_MF2_MASK, VSMUL_VV, 0x7, 0x0 }, // 8475
  { PseudoVSMUL_VX_M1, VSMUL_VX, 0x0, 0x0 }, // 8476
  { PseudoVSMUL_VX_M1_MASK, VSMUL_VX, 0x0, 0x0 }, // 8477
  { PseudoVSMUL_VX_M2, VSMUL_VX, 0x1, 0x0 }, // 8478
  { PseudoVSMUL_VX_M2_MASK, VSMUL_VX, 0x1, 0x0 }, // 8479
  { PseudoVSMUL_VX_M4, VSMUL_VX, 0x2, 0x0 }, // 8480
  { PseudoVSMUL_VX_M4_MASK, VSMUL_VX, 0x2, 0x0 }, // 8481
  { PseudoVSMUL_VX_M8, VSMUL_VX, 0x3, 0x0 }, // 8482
  { PseudoVSMUL_VX_M8_MASK, VSMUL_VX, 0x3, 0x0 }, // 8483
  { PseudoVSMUL_VX_MF8, VSMUL_VX, 0x5, 0x0 }, // 8484
  { PseudoVSMUL_VX_MF8_MASK, VSMUL_VX, 0x5, 0x0 }, // 8485
  { PseudoVSMUL_VX_MF4, VSMUL_VX, 0x6, 0x0 }, // 8486
  { PseudoVSMUL_VX_MF4_MASK, VSMUL_VX, 0x6, 0x0 }, // 8487
  { PseudoVSMUL_VX_MF2, VSMUL_VX, 0x7, 0x0 }, // 8488
  { PseudoVSMUL_VX_MF2_MASK, VSMUL_VX, 0x7, 0x0 }, // 8489
  { PseudoVSM_V_B8, VSM_V, 0x0, 0x0 }, // 8490
  { PseudoVSM_V_B16, VSM_V, 0x1, 0x0 }, // 8491
  { PseudoVSM_V_B32, VSM_V, 0x2, 0x0 }, // 8492
  { PseudoVSM_V_B64, VSM_V, 0x3, 0x0 }, // 8493
  { PseudoVSM_V_B1, VSM_V, 0x5, 0x0 }, // 8494
  { PseudoVSM_V_B2, VSM_V, 0x6, 0x0 }, // 8495
  { PseudoVSM_V_B4, VSM_V, 0x7, 0x0 }, // 8496
  { PseudoVSOXEI16_V_M1_M1, VSOXEI16_V, 0x0, 0x0 }, // 8497
  { PseudoVSOXEI16_V_M1_M1_MASK, VSOXEI16_V, 0x0, 0x0 }, // 8498
  { PseudoVSOXEI16_V_M2_M1, VSOXEI16_V, 0x0, 0x0 }, // 8499
  { PseudoVSOXEI16_V_M2_M1_MASK, VSOXEI16_V, 0x0, 0x0 }, // 8500
  { PseudoVSOXEI16_V_MF2_M1, VSOXEI16_V, 0x0, 0x0 }, // 8501
  { PseudoVSOXEI16_V_MF2_M1_MASK, VSOXEI16_V, 0x0, 0x0 }, // 8502
  { PseudoVSOXEI16_V_MF4_M1, VSOXEI16_V, 0x0, 0x0 }, // 8503
  { PseudoVSOXEI16_V_MF4_M1_MASK, VSOXEI16_V, 0x0, 0x0 }, // 8504
  { PseudoVSOXEI16_V_M1_M2, VSOXEI16_V, 0x1, 0x0 }, // 8505
  { PseudoVSOXEI16_V_M1_M2_MASK, VSOXEI16_V, 0x1, 0x0 }, // 8506
  { PseudoVSOXEI16_V_M2_M2, VSOXEI16_V, 0x1, 0x0 }, // 8507
  { PseudoVSOXEI16_V_M2_M2_MASK, VSOXEI16_V, 0x1, 0x0 }, // 8508
  { PseudoVSOXEI16_V_M4_M2, VSOXEI16_V, 0x1, 0x0 }, // 8509
  { PseudoVSOXEI16_V_M4_M2_MASK, VSOXEI16_V, 0x1, 0x0 }, // 8510
  { PseudoVSOXEI16_V_MF2_M2, VSOXEI16_V, 0x1, 0x0 }, // 8511
  { PseudoVSOXEI16_V_MF2_M2_MASK, VSOXEI16_V, 0x1, 0x0 }, // 8512
  { PseudoVSOXEI16_V_M1_M4, VSOXEI16_V, 0x2, 0x0 }, // 8513
  { PseudoVSOXEI16_V_M1_M4_MASK, VSOXEI16_V, 0x2, 0x0 }, // 8514
  { PseudoVSOXEI16_V_M2_M4, VSOXEI16_V, 0x2, 0x0 }, // 8515
  { PseudoVSOXEI16_V_M2_M4_MASK, VSOXEI16_V, 0x2, 0x0 }, // 8516
  { PseudoVSOXEI16_V_M4_M4, VSOXEI16_V, 0x2, 0x0 }, // 8517
  { PseudoVSOXEI16_V_M4_M4_MASK, VSOXEI16_V, 0x2, 0x0 }, // 8518
  { PseudoVSOXEI16_V_M8_M4, VSOXEI16_V, 0x2, 0x0 }, // 8519
  { PseudoVSOXEI16_V_M8_M4_MASK, VSOXEI16_V, 0x2, 0x0 }, // 8520
  { PseudoVSOXEI16_V_M2_M8, VSOXEI16_V, 0x3, 0x0 }, // 8521
  { PseudoVSOXEI16_V_M2_M8_MASK, VSOXEI16_V, 0x3, 0x0 }, // 8522
  { PseudoVSOXEI16_V_M4_M8, VSOXEI16_V, 0x3, 0x0 }, // 8523
  { PseudoVSOXEI16_V_M4_M8_MASK, VSOXEI16_V, 0x3, 0x0 }, // 8524
  { PseudoVSOXEI16_V_M8_M8, VSOXEI16_V, 0x3, 0x0 }, // 8525
  { PseudoVSOXEI16_V_M8_M8_MASK, VSOXEI16_V, 0x3, 0x0 }, // 8526
  { PseudoVSOXEI16_V_MF4_MF8, VSOXEI16_V, 0x5, 0x0 }, // 8527
  { PseudoVSOXEI16_V_MF4_MF8_MASK, VSOXEI16_V, 0x5, 0x0 }, // 8528
  { PseudoVSOXEI16_V_MF2_MF4, VSOXEI16_V, 0x6, 0x0 }, // 8529
  { PseudoVSOXEI16_V_MF2_MF4_MASK, VSOXEI16_V, 0x6, 0x0 }, // 8530
  { PseudoVSOXEI16_V_MF4_MF4, VSOXEI16_V, 0x6, 0x0 }, // 8531
  { PseudoVSOXEI16_V_MF4_MF4_MASK, VSOXEI16_V, 0x6, 0x0 }, // 8532
  { PseudoVSOXEI16_V_M1_MF2, VSOXEI16_V, 0x7, 0x0 }, // 8533
  { PseudoVSOXEI16_V_M1_MF2_MASK, VSOXEI16_V, 0x7, 0x0 }, // 8534
  { PseudoVSOXEI16_V_MF2_MF2, VSOXEI16_V, 0x7, 0x0 }, // 8535
  { PseudoVSOXEI16_V_MF2_MF2_MASK, VSOXEI16_V, 0x7, 0x0 }, // 8536
  { PseudoVSOXEI16_V_MF4_MF2, VSOXEI16_V, 0x7, 0x0 }, // 8537
  { PseudoVSOXEI16_V_MF4_MF2_MASK, VSOXEI16_V, 0x7, 0x0 }, // 8538
  { PseudoVSOXEI32_V_M1_M1, VSOXEI32_V, 0x0, 0x0 }, // 8539
  { PseudoVSOXEI32_V_M1_M1_MASK, VSOXEI32_V, 0x0, 0x0 }, // 8540
  { PseudoVSOXEI32_V_M2_M1, VSOXEI32_V, 0x0, 0x0 }, // 8541
  { PseudoVSOXEI32_V_M2_M1_MASK, VSOXEI32_V, 0x0, 0x0 }, // 8542
  { PseudoVSOXEI32_V_M4_M1, VSOXEI32_V, 0x0, 0x0 }, // 8543
  { PseudoVSOXEI32_V_M4_M1_MASK, VSOXEI32_V, 0x0, 0x0 }, // 8544
  { PseudoVSOXEI32_V_MF2_M1, VSOXEI32_V, 0x0, 0x0 }, // 8545
  { PseudoVSOXEI32_V_MF2_M1_MASK, VSOXEI32_V, 0x0, 0x0 }, // 8546
  { PseudoVSOXEI32_V_M1_M2, VSOXEI32_V, 0x1, 0x0 }, // 8547
  { PseudoVSOXEI32_V_M1_M2_MASK, VSOXEI32_V, 0x1, 0x0 }, // 8548
  { PseudoVSOXEI32_V_M2_M2, VSOXEI32_V, 0x1, 0x0 }, // 8549
  { PseudoVSOXEI32_V_M2_M2_MASK, VSOXEI32_V, 0x1, 0x0 }, // 8550
  { PseudoVSOXEI32_V_M4_M2, VSOXEI32_V, 0x1, 0x0 }, // 8551
  { PseudoVSOXEI32_V_M4_M2_MASK, VSOXEI32_V, 0x1, 0x0 }, // 8552
  { PseudoVSOXEI32_V_M8_M2, VSOXEI32_V, 0x1, 0x0 }, // 8553
  { PseudoVSOXEI32_V_M8_M2_MASK, VSOXEI32_V, 0x1, 0x0 }, // 8554
  { PseudoVSOXEI32_V_M2_M4, VSOXEI32_V, 0x2, 0x0 }, // 8555
  { PseudoVSOXEI32_V_M2_M4_MASK, VSOXEI32_V, 0x2, 0x0 }, // 8556
  { PseudoVSOXEI32_V_M4_M4, VSOXEI32_V, 0x2, 0x0 }, // 8557
  { PseudoVSOXEI32_V_M4_M4_MASK, VSOXEI32_V, 0x2, 0x0 }, // 8558
  { PseudoVSOXEI32_V_M8_M4, VSOXEI32_V, 0x2, 0x0 }, // 8559
  { PseudoVSOXEI32_V_M8_M4_MASK, VSOXEI32_V, 0x2, 0x0 }, // 8560
  { PseudoVSOXEI32_V_M4_M8, VSOXEI32_V, 0x3, 0x0 }, // 8561
  { PseudoVSOXEI32_V_M4_M8_MASK, VSOXEI32_V, 0x3, 0x0 }, // 8562
  { PseudoVSOXEI32_V_M8_M8, VSOXEI32_V, 0x3, 0x0 }, // 8563
  { PseudoVSOXEI32_V_M8_M8_MASK, VSOXEI32_V, 0x3, 0x0 }, // 8564
  { PseudoVSOXEI32_V_MF2_MF8, VSOXEI32_V, 0x5, 0x0 }, // 8565
  { PseudoVSOXEI32_V_MF2_MF8_MASK, VSOXEI32_V, 0x5, 0x0 }, // 8566
  { PseudoVSOXEI32_V_M1_MF4, VSOXEI32_V, 0x6, 0x0 }, // 8567
  { PseudoVSOXEI32_V_M1_MF4_MASK, VSOXEI32_V, 0x6, 0x0 }, // 8568
  { PseudoVSOXEI32_V_MF2_MF4, VSOXEI32_V, 0x6, 0x0 }, // 8569
  { PseudoVSOXEI32_V_MF2_MF4_MASK, VSOXEI32_V, 0x6, 0x0 }, // 8570
  { PseudoVSOXEI32_V_M1_MF2, VSOXEI32_V, 0x7, 0x0 }, // 8571
  { PseudoVSOXEI32_V_M1_MF2_MASK, VSOXEI32_V, 0x7, 0x0 }, // 8572
  { PseudoVSOXEI32_V_M2_MF2, VSOXEI32_V, 0x7, 0x0 }, // 8573
  { PseudoVSOXEI32_V_M2_MF2_MASK, VSOXEI32_V, 0x7, 0x0 }, // 8574
  { PseudoVSOXEI32_V_MF2_MF2, VSOXEI32_V, 0x7, 0x0 }, // 8575
  { PseudoVSOXEI32_V_MF2_MF2_MASK, VSOXEI32_V, 0x7, 0x0 }, // 8576
  { PseudoVSOXEI64_V_M1_M1, VSOXEI64_V, 0x0, 0x0 }, // 8577
  { PseudoVSOXEI64_V_M1_M1_MASK, VSOXEI64_V, 0x0, 0x0 }, // 8578
  { PseudoVSOXEI64_V_M2_M1, VSOXEI64_V, 0x0, 0x0 }, // 8579
  { PseudoVSOXEI64_V_M2_M1_MASK, VSOXEI64_V, 0x0, 0x0 }, // 8580
  { PseudoVSOXEI64_V_M4_M1, VSOXEI64_V, 0x0, 0x0 }, // 8581
  { PseudoVSOXEI64_V_M4_M1_MASK, VSOXEI64_V, 0x0, 0x0 }, // 8582
  { PseudoVSOXEI64_V_M8_M1, VSOXEI64_V, 0x0, 0x0 }, // 8583
  { PseudoVSOXEI64_V_M8_M1_MASK, VSOXEI64_V, 0x0, 0x0 }, // 8584
  { PseudoVSOXEI64_V_M2_M2, VSOXEI64_V, 0x1, 0x0 }, // 8585
  { PseudoVSOXEI64_V_M2_M2_MASK, VSOXEI64_V, 0x1, 0x0 }, // 8586
  { PseudoVSOXEI64_V_M4_M2, VSOXEI64_V, 0x1, 0x0 }, // 8587
  { PseudoVSOXEI64_V_M4_M2_MASK, VSOXEI64_V, 0x1, 0x0 }, // 8588
  { PseudoVSOXEI64_V_M8_M2, VSOXEI64_V, 0x1, 0x0 }, // 8589
  { PseudoVSOXEI64_V_M8_M2_MASK, VSOXEI64_V, 0x1, 0x0 }, // 8590
  { PseudoVSOXEI64_V_M4_M4, VSOXEI64_V, 0x2, 0x0 }, // 8591
  { PseudoVSOXEI64_V_M4_M4_MASK, VSOXEI64_V, 0x2, 0x0 }, // 8592
  { PseudoVSOXEI64_V_M8_M4, VSOXEI64_V, 0x2, 0x0 }, // 8593
  { PseudoVSOXEI64_V_M8_M4_MASK, VSOXEI64_V, 0x2, 0x0 }, // 8594
  { PseudoVSOXEI64_V_M8_M8, VSOXEI64_V, 0x3, 0x0 }, // 8595
  { PseudoVSOXEI64_V_M8_M8_MASK, VSOXEI64_V, 0x3, 0x0 }, // 8596
  { PseudoVSOXEI64_V_M1_MF8, VSOXEI64_V, 0x5, 0x0 }, // 8597
  { PseudoVSOXEI64_V_M1_MF8_MASK, VSOXEI64_V, 0x5, 0x0 }, // 8598
  { PseudoVSOXEI64_V_M1_MF4, VSOXEI64_V, 0x6, 0x0 }, // 8599
  { PseudoVSOXEI64_V_M1_MF4_MASK, VSOXEI64_V, 0x6, 0x0 }, // 8600
  { PseudoVSOXEI64_V_M2_MF4, VSOXEI64_V, 0x6, 0x0 }, // 8601
  { PseudoVSOXEI64_V_M2_MF4_MASK, VSOXEI64_V, 0x6, 0x0 }, // 8602
  { PseudoVSOXEI64_V_M1_MF2, VSOXEI64_V, 0x7, 0x0 }, // 8603
  { PseudoVSOXEI64_V_M1_MF2_MASK, VSOXEI64_V, 0x7, 0x0 }, // 8604
  { PseudoVSOXEI64_V_M2_MF2, VSOXEI64_V, 0x7, 0x0 }, // 8605
  { PseudoVSOXEI64_V_M2_MF2_MASK, VSOXEI64_V, 0x7, 0x0 }, // 8606
  { PseudoVSOXEI64_V_M4_MF2, VSOXEI64_V, 0x7, 0x0 }, // 8607
  { PseudoVSOXEI64_V_M4_MF2_MASK, VSOXEI64_V, 0x7, 0x0 }, // 8608
  { PseudoVSOXEI8_V_M1_M1, VSOXEI8_V, 0x0, 0x0 }, // 8609
  { PseudoVSOXEI8_V_M1_M1_MASK, VSOXEI8_V, 0x0, 0x0 }, // 8610
  { PseudoVSOXEI8_V_MF2_M1, VSOXEI8_V, 0x0, 0x0 }, // 8611
  { PseudoVSOXEI8_V_MF2_M1_MASK, VSOXEI8_V, 0x0, 0x0 }, // 8612
  { PseudoVSOXEI8_V_MF4_M1, VSOXEI8_V, 0x0, 0x0 }, // 8613
  { PseudoVSOXEI8_V_MF4_M1_MASK, VSOXEI8_V, 0x0, 0x0 }, // 8614
  { PseudoVSOXEI8_V_MF8_M1, VSOXEI8_V, 0x0, 0x0 }, // 8615
  { PseudoVSOXEI8_V_MF8_M1_MASK, VSOXEI8_V, 0x0, 0x0 }, // 8616
  { PseudoVSOXEI8_V_M1_M2, VSOXEI8_V, 0x1, 0x0 }, // 8617
  { PseudoVSOXEI8_V_M1_M2_MASK, VSOXEI8_V, 0x1, 0x0 }, // 8618
  { PseudoVSOXEI8_V_M2_M2, VSOXEI8_V, 0x1, 0x0 }, // 8619
  { PseudoVSOXEI8_V_M2_M2_MASK, VSOXEI8_V, 0x1, 0x0 }, // 8620
  { PseudoVSOXEI8_V_MF2_M2, VSOXEI8_V, 0x1, 0x0 }, // 8621
  { PseudoVSOXEI8_V_MF2_M2_MASK, VSOXEI8_V, 0x1, 0x0 }, // 8622
  { PseudoVSOXEI8_V_MF4_M2, VSOXEI8_V, 0x1, 0x0 }, // 8623
  { PseudoVSOXEI8_V_MF4_M2_MASK, VSOXEI8_V, 0x1, 0x0 }, // 8624
  { PseudoVSOXEI8_V_M1_M4, VSOXEI8_V, 0x2, 0x0 }, // 8625
  { PseudoVSOXEI8_V_M1_M4_MASK, VSOXEI8_V, 0x2, 0x0 }, // 8626
  { PseudoVSOXEI8_V_M2_M4, VSOXEI8_V, 0x2, 0x0 }, // 8627
  { PseudoVSOXEI8_V_M2_M4_MASK, VSOXEI8_V, 0x2, 0x0 }, // 8628
  { PseudoVSOXEI8_V_M4_M4, VSOXEI8_V, 0x2, 0x0 }, // 8629
  { PseudoVSOXEI8_V_M4_M4_MASK, VSOXEI8_V, 0x2, 0x0 }, // 8630
  { PseudoVSOXEI8_V_MF2_M4, VSOXEI8_V, 0x2, 0x0 }, // 8631
  { PseudoVSOXEI8_V_MF2_M4_MASK, VSOXEI8_V, 0x2, 0x0 }, // 8632
  { PseudoVSOXEI8_V_M1_M8, VSOXEI8_V, 0x3, 0x0 }, // 8633
  { PseudoVSOXEI8_V_M1_M8_MASK, VSOXEI8_V, 0x3, 0x0 }, // 8634
  { PseudoVSOXEI8_V_M2_M8, VSOXEI8_V, 0x3, 0x0 }, // 8635
  { PseudoVSOXEI8_V_M2_M8_MASK, VSOXEI8_V, 0x3, 0x0 }, // 8636
  { PseudoVSOXEI8_V_M4_M8, VSOXEI8_V, 0x3, 0x0 }, // 8637
  { PseudoVSOXEI8_V_M4_M8_MASK, VSOXEI8_V, 0x3, 0x0 }, // 8638
  { PseudoVSOXEI8_V_M8_M8, VSOXEI8_V, 0x3, 0x0 }, // 8639
  { PseudoVSOXEI8_V_M8_M8_MASK, VSOXEI8_V, 0x3, 0x0 }, // 8640
  { PseudoVSOXEI8_V_MF8_MF8, VSOXEI8_V, 0x5, 0x0 }, // 8641
  { PseudoVSOXEI8_V_MF8_MF8_MASK, VSOXEI8_V, 0x5, 0x0 }, // 8642
  { PseudoVSOXEI8_V_MF4_MF4, VSOXEI8_V, 0x6, 0x0 }, // 8643
  { PseudoVSOXEI8_V_MF4_MF4_MASK, VSOXEI8_V, 0x6, 0x0 }, // 8644
  { PseudoVSOXEI8_V_MF8_MF4, VSOXEI8_V, 0x6, 0x0 }, // 8645
  { PseudoVSOXEI8_V_MF8_MF4_MASK, VSOXEI8_V, 0x6, 0x0 }, // 8646
  { PseudoVSOXEI8_V_MF2_MF2, VSOXEI8_V, 0x7, 0x0 }, // 8647
  { PseudoVSOXEI8_V_MF2_MF2_MASK, VSOXEI8_V, 0x7, 0x0 }, // 8648
  { PseudoVSOXEI8_V_MF4_MF2, VSOXEI8_V, 0x7, 0x0 }, // 8649
  { PseudoVSOXEI8_V_MF4_MF2_MASK, VSOXEI8_V, 0x7, 0x0 }, // 8650
  { PseudoVSOXEI8_V_MF8_MF2, VSOXEI8_V, 0x7, 0x0 }, // 8651
  { PseudoVSOXEI8_V_MF8_MF2_MASK, VSOXEI8_V, 0x7, 0x0 }, // 8652
  { PseudoVSOXSEG2EI16_V_M1_M1, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8653
  { PseudoVSOXSEG2EI16_V_M1_M1_MASK, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8654
  { PseudoVSOXSEG2EI16_V_M2_M1, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8655
  { PseudoVSOXSEG2EI16_V_M2_M1_MASK, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8656
  { PseudoVSOXSEG2EI16_V_MF2_M1, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8657
  { PseudoVSOXSEG2EI16_V_MF2_M1_MASK, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8658
  { PseudoVSOXSEG2EI16_V_MF4_M1, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8659
  { PseudoVSOXSEG2EI16_V_MF4_M1_MASK, VSOXSEG2EI16_V, 0x0, 0x0 }, // 8660
  { PseudoVSOXSEG2EI16_V_M1_M2, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8661
  { PseudoVSOXSEG2EI16_V_M1_M2_MASK, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8662
  { PseudoVSOXSEG2EI16_V_M2_M2, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8663
  { PseudoVSOXSEG2EI16_V_M2_M2_MASK, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8664
  { PseudoVSOXSEG2EI16_V_M4_M2, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8665
  { PseudoVSOXSEG2EI16_V_M4_M2_MASK, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8666
  { PseudoVSOXSEG2EI16_V_MF2_M2, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8667
  { PseudoVSOXSEG2EI16_V_MF2_M2_MASK, VSOXSEG2EI16_V, 0x1, 0x0 }, // 8668
  { PseudoVSOXSEG2EI16_V_M1_M4, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8669
  { PseudoVSOXSEG2EI16_V_M1_M4_MASK, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8670
  { PseudoVSOXSEG2EI16_V_M2_M4, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8671
  { PseudoVSOXSEG2EI16_V_M2_M4_MASK, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8672
  { PseudoVSOXSEG2EI16_V_M4_M4, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8673
  { PseudoVSOXSEG2EI16_V_M4_M4_MASK, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8674
  { PseudoVSOXSEG2EI16_V_M8_M4, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8675
  { PseudoVSOXSEG2EI16_V_M8_M4_MASK, VSOXSEG2EI16_V, 0x2, 0x0 }, // 8676
  { PseudoVSOXSEG2EI16_V_MF4_MF8, VSOXSEG2EI16_V, 0x5, 0x0 }, // 8677
  { PseudoVSOXSEG2EI16_V_MF4_MF8_MASK, VSOXSEG2EI16_V, 0x5, 0x0 }, // 8678
  { PseudoVSOXSEG2EI16_V_MF2_MF4, VSOXSEG2EI16_V, 0x6, 0x0 }, // 8679
  { PseudoVSOXSEG2EI16_V_MF2_MF4_MASK, VSOXSEG2EI16_V, 0x6, 0x0 }, // 8680
  { PseudoVSOXSEG2EI16_V_MF4_MF4, VSOXSEG2EI16_V, 0x6, 0x0 }, // 8681
  { PseudoVSOXSEG2EI16_V_MF4_MF4_MASK, VSOXSEG2EI16_V, 0x6, 0x0 }, // 8682
  { PseudoVSOXSEG2EI16_V_M1_MF2, VSOXSEG2EI16_V, 0x7, 0x0 }, // 8683
  { PseudoVSOXSEG2EI16_V_M1_MF2_MASK, VSOXSEG2EI16_V, 0x7, 0x0 }, // 8684
  { PseudoVSOXSEG2EI16_V_MF2_MF2, VSOXSEG2EI16_V, 0x7, 0x0 }, // 8685
  { PseudoVSOXSEG2EI16_V_MF2_MF2_MASK, VSOXSEG2EI16_V, 0x7, 0x0 }, // 8686
  { PseudoVSOXSEG2EI16_V_MF4_MF2, VSOXSEG2EI16_V, 0x7, 0x0 }, // 8687
  { PseudoVSOXSEG2EI16_V_MF4_MF2_MASK, VSOXSEG2EI16_V, 0x7, 0x0 }, // 8688
  { PseudoVSOXSEG2EI32_V_M1_M1, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8689
  { PseudoVSOXSEG2EI32_V_M1_M1_MASK, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8690
  { PseudoVSOXSEG2EI32_V_M2_M1, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8691
  { PseudoVSOXSEG2EI32_V_M2_M1_MASK, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8692
  { PseudoVSOXSEG2EI32_V_M4_M1, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8693
  { PseudoVSOXSEG2EI32_V_M4_M1_MASK, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8694
  { PseudoVSOXSEG2EI32_V_MF2_M1, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8695
  { PseudoVSOXSEG2EI32_V_MF2_M1_MASK, VSOXSEG2EI32_V, 0x0, 0x0 }, // 8696
  { PseudoVSOXSEG2EI32_V_M1_M2, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8697
  { PseudoVSOXSEG2EI32_V_M1_M2_MASK, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8698
  { PseudoVSOXSEG2EI32_V_M2_M2, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8699
  { PseudoVSOXSEG2EI32_V_M2_M2_MASK, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8700
  { PseudoVSOXSEG2EI32_V_M4_M2, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8701
  { PseudoVSOXSEG2EI32_V_M4_M2_MASK, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8702
  { PseudoVSOXSEG2EI32_V_M8_M2, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8703
  { PseudoVSOXSEG2EI32_V_M8_M2_MASK, VSOXSEG2EI32_V, 0x1, 0x0 }, // 8704
  { PseudoVSOXSEG2EI32_V_M2_M4, VSOXSEG2EI32_V, 0x2, 0x0 }, // 8705
  { PseudoVSOXSEG2EI32_V_M2_M4_MASK, VSOXSEG2EI32_V, 0x2, 0x0 }, // 8706
  { PseudoVSOXSEG2EI32_V_M4_M4, VSOXSEG2EI32_V, 0x2, 0x0 }, // 8707
  { PseudoVSOXSEG2EI32_V_M4_M4_MASK, VSOXSEG2EI32_V, 0x2, 0x0 }, // 8708
  { PseudoVSOXSEG2EI32_V_M8_M4, VSOXSEG2EI32_V, 0x2, 0x0 }, // 8709
  { PseudoVSOXSEG2EI32_V_M8_M4_MASK, VSOXSEG2EI32_V, 0x2, 0x0 }, // 8710
  { PseudoVSOXSEG2EI32_V_MF2_MF8, VSOXSEG2EI32_V, 0x5, 0x0 }, // 8711
  { PseudoVSOXSEG2EI32_V_MF2_MF8_MASK, VSOXSEG2EI32_V, 0x5, 0x0 }, // 8712
  { PseudoVSOXSEG2EI32_V_M1_MF4, VSOXSEG2EI32_V, 0x6, 0x0 }, // 8713
  { PseudoVSOXSEG2EI32_V_M1_MF4_MASK, VSOXSEG2EI32_V, 0x6, 0x0 }, // 8714
  { PseudoVSOXSEG2EI32_V_MF2_MF4, VSOXSEG2EI32_V, 0x6, 0x0 }, // 8715
  { PseudoVSOXSEG2EI32_V_MF2_MF4_MASK, VSOXSEG2EI32_V, 0x6, 0x0 }, // 8716
  { PseudoVSOXSEG2EI32_V_M1_MF2, VSOXSEG2EI32_V, 0x7, 0x0 }, // 8717
  { PseudoVSOXSEG2EI32_V_M1_MF2_MASK, VSOXSEG2EI32_V, 0x7, 0x0 }, // 8718
  { PseudoVSOXSEG2EI32_V_M2_MF2, VSOXSEG2EI32_V, 0x7, 0x0 }, // 8719
  { PseudoVSOXSEG2EI32_V_M2_MF2_MASK, VSOXSEG2EI32_V, 0x7, 0x0 }, // 8720
  { PseudoVSOXSEG2EI32_V_MF2_MF2, VSOXSEG2EI32_V, 0x7, 0x0 }, // 8721
  { PseudoVSOXSEG2EI32_V_MF2_MF2_MASK, VSOXSEG2EI32_V, 0x7, 0x0 }, // 8722
  { PseudoVSOXSEG2EI64_V_M1_M1, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8723
  { PseudoVSOXSEG2EI64_V_M1_M1_MASK, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8724
  { PseudoVSOXSEG2EI64_V_M2_M1, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8725
  { PseudoVSOXSEG2EI64_V_M2_M1_MASK, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8726
  { PseudoVSOXSEG2EI64_V_M4_M1, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8727
  { PseudoVSOXSEG2EI64_V_M4_M1_MASK, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8728
  { PseudoVSOXSEG2EI64_V_M8_M1, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8729
  { PseudoVSOXSEG2EI64_V_M8_M1_MASK, VSOXSEG2EI64_V, 0x0, 0x0 }, // 8730
  { PseudoVSOXSEG2EI64_V_M2_M2, VSOXSEG2EI64_V, 0x1, 0x0 }, // 8731
  { PseudoVSOXSEG2EI64_V_M2_M2_MASK, VSOXSEG2EI64_V, 0x1, 0x0 }, // 8732
  { PseudoVSOXSEG2EI64_V_M4_M2, VSOXSEG2EI64_V, 0x1, 0x0 }, // 8733
  { PseudoVSOXSEG2EI64_V_M4_M2_MASK, VSOXSEG2EI64_V, 0x1, 0x0 }, // 8734
  { PseudoVSOXSEG2EI64_V_M8_M2, VSOXSEG2EI64_V, 0x1, 0x0 }, // 8735
  { PseudoVSOXSEG2EI64_V_M8_M2_MASK, VSOXSEG2EI64_V, 0x1, 0x0 }, // 8736
  { PseudoVSOXSEG2EI64_V_M4_M4, VSOXSEG2EI64_V, 0x2, 0x0 }, // 8737
  { PseudoVSOXSEG2EI64_V_M4_M4_MASK, VSOXSEG2EI64_V, 0x2, 0x0 }, // 8738
  { PseudoVSOXSEG2EI64_V_M8_M4, VSOXSEG2EI64_V, 0x2, 0x0 }, // 8739
  { PseudoVSOXSEG2EI64_V_M8_M4_MASK, VSOXSEG2EI64_V, 0x2, 0x0 }, // 8740
  { PseudoVSOXSEG2EI64_V_M1_MF8, VSOXSEG2EI64_V, 0x5, 0x0 }, // 8741
  { PseudoVSOXSEG2EI64_V_M1_MF8_MASK, VSOXSEG2EI64_V, 0x5, 0x0 }, // 8742
  { PseudoVSOXSEG2EI64_V_M1_MF4, VSOXSEG2EI64_V, 0x6, 0x0 }, // 8743
  { PseudoVSOXSEG2EI64_V_M1_MF4_MASK, VSOXSEG2EI64_V, 0x6, 0x0 }, // 8744
  { PseudoVSOXSEG2EI64_V_M2_MF4, VSOXSEG2EI64_V, 0x6, 0x0 }, // 8745
  { PseudoVSOXSEG2EI64_V_M2_MF4_MASK, VSOXSEG2EI64_V, 0x6, 0x0 }, // 8746
  { PseudoVSOXSEG2EI64_V_M1_MF2, VSOXSEG2EI64_V, 0x7, 0x0 }, // 8747
  { PseudoVSOXSEG2EI64_V_M1_MF2_MASK, VSOXSEG2EI64_V, 0x7, 0x0 }, // 8748
  { PseudoVSOXSEG2EI64_V_M2_MF2, VSOXSEG2EI64_V, 0x7, 0x0 }, // 8749
  { PseudoVSOXSEG2EI64_V_M2_MF2_MASK, VSOXSEG2EI64_V, 0x7, 0x0 }, // 8750
  { PseudoVSOXSEG2EI64_V_M4_MF2, VSOXSEG2EI64_V, 0x7, 0x0 }, // 8751
  { PseudoVSOXSEG2EI64_V_M4_MF2_MASK, VSOXSEG2EI64_V, 0x7, 0x0 }, // 8752
  { PseudoVSOXSEG2EI8_V_M1_M1, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8753
  { PseudoVSOXSEG2EI8_V_M1_M1_MASK, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8754
  { PseudoVSOXSEG2EI8_V_MF2_M1, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8755
  { PseudoVSOXSEG2EI8_V_MF2_M1_MASK, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8756
  { PseudoVSOXSEG2EI8_V_MF4_M1, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8757
  { PseudoVSOXSEG2EI8_V_MF4_M1_MASK, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8758
  { PseudoVSOXSEG2EI8_V_MF8_M1, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8759
  { PseudoVSOXSEG2EI8_V_MF8_M1_MASK, VSOXSEG2EI8_V, 0x0, 0x0 }, // 8760
  { PseudoVSOXSEG2EI8_V_M1_M2, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8761
  { PseudoVSOXSEG2EI8_V_M1_M2_MASK, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8762
  { PseudoVSOXSEG2EI8_V_M2_M2, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8763
  { PseudoVSOXSEG2EI8_V_M2_M2_MASK, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8764
  { PseudoVSOXSEG2EI8_V_MF2_M2, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8765
  { PseudoVSOXSEG2EI8_V_MF2_M2_MASK, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8766
  { PseudoVSOXSEG2EI8_V_MF4_M2, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8767
  { PseudoVSOXSEG2EI8_V_MF4_M2_MASK, VSOXSEG2EI8_V, 0x1, 0x0 }, // 8768
  { PseudoVSOXSEG2EI8_V_M1_M4, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8769
  { PseudoVSOXSEG2EI8_V_M1_M4_MASK, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8770
  { PseudoVSOXSEG2EI8_V_M2_M4, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8771
  { PseudoVSOXSEG2EI8_V_M2_M4_MASK, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8772
  { PseudoVSOXSEG2EI8_V_M4_M4, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8773
  { PseudoVSOXSEG2EI8_V_M4_M4_MASK, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8774
  { PseudoVSOXSEG2EI8_V_MF2_M4, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8775
  { PseudoVSOXSEG2EI8_V_MF2_M4_MASK, VSOXSEG2EI8_V, 0x2, 0x0 }, // 8776
  { PseudoVSOXSEG2EI8_V_MF8_MF8, VSOXSEG2EI8_V, 0x5, 0x0 }, // 8777
  { PseudoVSOXSEG2EI8_V_MF8_MF8_MASK, VSOXSEG2EI8_V, 0x5, 0x0 }, // 8778
  { PseudoVSOXSEG2EI8_V_MF4_MF4, VSOXSEG2EI8_V, 0x6, 0x0 }, // 8779
  { PseudoVSOXSEG2EI8_V_MF4_MF4_MASK, VSOXSEG2EI8_V, 0x6, 0x0 }, // 8780
  { PseudoVSOXSEG2EI8_V_MF8_MF4, VSOXSEG2EI8_V, 0x6, 0x0 }, // 8781
  { PseudoVSOXSEG2EI8_V_MF8_MF4_MASK, VSOXSEG2EI8_V, 0x6, 0x0 }, // 8782
  { PseudoVSOXSEG2EI8_V_MF2_MF2, VSOXSEG2EI8_V, 0x7, 0x0 }, // 8783
  { PseudoVSOXSEG2EI8_V_MF2_MF2_MASK, VSOXSEG2EI8_V, 0x7, 0x0 }, // 8784
  { PseudoVSOXSEG2EI8_V_MF4_MF2, VSOXSEG2EI8_V, 0x7, 0x0 }, // 8785
  { PseudoVSOXSEG2EI8_V_MF4_MF2_MASK, VSOXSEG2EI8_V, 0x7, 0x0 }, // 8786
  { PseudoVSOXSEG2EI8_V_MF8_MF2, VSOXSEG2EI8_V, 0x7, 0x0 }, // 8787
  { PseudoVSOXSEG2EI8_V_MF8_MF2_MASK, VSOXSEG2EI8_V, 0x7, 0x0 }, // 8788
  { PseudoVSOXSEG3EI16_V_M1_M1, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8789
  { PseudoVSOXSEG3EI16_V_M1_M1_MASK, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8790
  { PseudoVSOXSEG3EI16_V_M2_M1, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8791
  { PseudoVSOXSEG3EI16_V_M2_M1_MASK, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8792
  { PseudoVSOXSEG3EI16_V_MF2_M1, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8793
  { PseudoVSOXSEG3EI16_V_MF2_M1_MASK, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8794
  { PseudoVSOXSEG3EI16_V_MF4_M1, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8795
  { PseudoVSOXSEG3EI16_V_MF4_M1_MASK, VSOXSEG3EI16_V, 0x0, 0x0 }, // 8796
  { PseudoVSOXSEG3EI16_V_M1_M2, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8797
  { PseudoVSOXSEG3EI16_V_M1_M2_MASK, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8798
  { PseudoVSOXSEG3EI16_V_M2_M2, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8799
  { PseudoVSOXSEG3EI16_V_M2_M2_MASK, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8800
  { PseudoVSOXSEG3EI16_V_M4_M2, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8801
  { PseudoVSOXSEG3EI16_V_M4_M2_MASK, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8802
  { PseudoVSOXSEG3EI16_V_MF2_M2, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8803
  { PseudoVSOXSEG3EI16_V_MF2_M2_MASK, VSOXSEG3EI16_V, 0x1, 0x0 }, // 8804
  { PseudoVSOXSEG3EI16_V_MF4_MF8, VSOXSEG3EI16_V, 0x5, 0x0 }, // 8805
  { PseudoVSOXSEG3EI16_V_MF4_MF8_MASK, VSOXSEG3EI16_V, 0x5, 0x0 }, // 8806
  { PseudoVSOXSEG3EI16_V_MF2_MF4, VSOXSEG3EI16_V, 0x6, 0x0 }, // 8807
  { PseudoVSOXSEG3EI16_V_MF2_MF4_MASK, VSOXSEG3EI16_V, 0x6, 0x0 }, // 8808
  { PseudoVSOXSEG3EI16_V_MF4_MF4, VSOXSEG3EI16_V, 0x6, 0x0 }, // 8809
  { PseudoVSOXSEG3EI16_V_MF4_MF4_MASK, VSOXSEG3EI16_V, 0x6, 0x0 }, // 8810
  { PseudoVSOXSEG3EI16_V_M1_MF2, VSOXSEG3EI16_V, 0x7, 0x0 }, // 8811
  { PseudoVSOXSEG3EI16_V_M1_MF2_MASK, VSOXSEG3EI16_V, 0x7, 0x0 }, // 8812
  { PseudoVSOXSEG3EI16_V_MF2_MF2, VSOXSEG3EI16_V, 0x7, 0x0 }, // 8813
  { PseudoVSOXSEG3EI16_V_MF2_MF2_MASK, VSOXSEG3EI16_V, 0x7, 0x0 }, // 8814
  { PseudoVSOXSEG3EI16_V_MF4_MF2, VSOXSEG3EI16_V, 0x7, 0x0 }, // 8815
  { PseudoVSOXSEG3EI16_V_MF4_MF2_MASK, VSOXSEG3EI16_V, 0x7, 0x0 }, // 8816
  { PseudoVSOXSEG3EI32_V_M1_M1, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8817
  { PseudoVSOXSEG3EI32_V_M1_M1_MASK, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8818
  { PseudoVSOXSEG3EI32_V_M2_M1, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8819
  { PseudoVSOXSEG3EI32_V_M2_M1_MASK, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8820
  { PseudoVSOXSEG3EI32_V_M4_M1, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8821
  { PseudoVSOXSEG3EI32_V_M4_M1_MASK, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8822
  { PseudoVSOXSEG3EI32_V_MF2_M1, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8823
  { PseudoVSOXSEG3EI32_V_MF2_M1_MASK, VSOXSEG3EI32_V, 0x0, 0x0 }, // 8824
  { PseudoVSOXSEG3EI32_V_M1_M2, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8825
  { PseudoVSOXSEG3EI32_V_M1_M2_MASK, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8826
  { PseudoVSOXSEG3EI32_V_M2_M2, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8827
  { PseudoVSOXSEG3EI32_V_M2_M2_MASK, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8828
  { PseudoVSOXSEG3EI32_V_M4_M2, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8829
  { PseudoVSOXSEG3EI32_V_M4_M2_MASK, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8830
  { PseudoVSOXSEG3EI32_V_M8_M2, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8831
  { PseudoVSOXSEG3EI32_V_M8_M2_MASK, VSOXSEG3EI32_V, 0x1, 0x0 }, // 8832
  { PseudoVSOXSEG3EI32_V_MF2_MF8, VSOXSEG3EI32_V, 0x5, 0x0 }, // 8833
  { PseudoVSOXSEG3EI32_V_MF2_MF8_MASK, VSOXSEG3EI32_V, 0x5, 0x0 }, // 8834
  { PseudoVSOXSEG3EI32_V_M1_MF4, VSOXSEG3EI32_V, 0x6, 0x0 }, // 8835
  { PseudoVSOXSEG3EI32_V_M1_MF4_MASK, VSOXSEG3EI32_V, 0x6, 0x0 }, // 8836
  { PseudoVSOXSEG3EI32_V_MF2_MF4, VSOXSEG3EI32_V, 0x6, 0x0 }, // 8837
  { PseudoVSOXSEG3EI32_V_MF2_MF4_MASK, VSOXSEG3EI32_V, 0x6, 0x0 }, // 8838
  { PseudoVSOXSEG3EI32_V_M1_MF2, VSOXSEG3EI32_V, 0x7, 0x0 }, // 8839
  { PseudoVSOXSEG3EI32_V_M1_MF2_MASK, VSOXSEG3EI32_V, 0x7, 0x0 }, // 8840
  { PseudoVSOXSEG3EI32_V_M2_MF2, VSOXSEG3EI32_V, 0x7, 0x0 }, // 8841
  { PseudoVSOXSEG3EI32_V_M2_MF2_MASK, VSOXSEG3EI32_V, 0x7, 0x0 }, // 8842
  { PseudoVSOXSEG3EI32_V_MF2_MF2, VSOXSEG3EI32_V, 0x7, 0x0 }, // 8843
  { PseudoVSOXSEG3EI32_V_MF2_MF2_MASK, VSOXSEG3EI32_V, 0x7, 0x0 }, // 8844
  { PseudoVSOXSEG3EI64_V_M1_M1, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8845
  { PseudoVSOXSEG3EI64_V_M1_M1_MASK, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8846
  { PseudoVSOXSEG3EI64_V_M2_M1, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8847
  { PseudoVSOXSEG3EI64_V_M2_M1_MASK, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8848
  { PseudoVSOXSEG3EI64_V_M4_M1, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8849
  { PseudoVSOXSEG3EI64_V_M4_M1_MASK, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8850
  { PseudoVSOXSEG3EI64_V_M8_M1, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8851
  { PseudoVSOXSEG3EI64_V_M8_M1_MASK, VSOXSEG3EI64_V, 0x0, 0x0 }, // 8852
  { PseudoVSOXSEG3EI64_V_M2_M2, VSOXSEG3EI64_V, 0x1, 0x0 }, // 8853
  { PseudoVSOXSEG3EI64_V_M2_M2_MASK, VSOXSEG3EI64_V, 0x1, 0x0 }, // 8854
  { PseudoVSOXSEG3EI64_V_M4_M2, VSOXSEG3EI64_V, 0x1, 0x0 }, // 8855
  { PseudoVSOXSEG3EI64_V_M4_M2_MASK, VSOXSEG3EI64_V, 0x1, 0x0 }, // 8856
  { PseudoVSOXSEG3EI64_V_M8_M2, VSOXSEG3EI64_V, 0x1, 0x0 }, // 8857
  { PseudoVSOXSEG3EI64_V_M8_M2_MASK, VSOXSEG3EI64_V, 0x1, 0x0 }, // 8858
  { PseudoVSOXSEG3EI64_V_M1_MF8, VSOXSEG3EI64_V, 0x5, 0x0 }, // 8859
  { PseudoVSOXSEG3EI64_V_M1_MF8_MASK, VSOXSEG3EI64_V, 0x5, 0x0 }, // 8860
  { PseudoVSOXSEG3EI64_V_M1_MF4, VSOXSEG3EI64_V, 0x6, 0x0 }, // 8861
  { PseudoVSOXSEG3EI64_V_M1_MF4_MASK, VSOXSEG3EI64_V, 0x6, 0x0 }, // 8862
  { PseudoVSOXSEG3EI64_V_M2_MF4, VSOXSEG3EI64_V, 0x6, 0x0 }, // 8863
  { PseudoVSOXSEG3EI64_V_M2_MF4_MASK, VSOXSEG3EI64_V, 0x6, 0x0 }, // 8864
  { PseudoVSOXSEG3EI64_V_M1_MF2, VSOXSEG3EI64_V, 0x7, 0x0 }, // 8865
  { PseudoVSOXSEG3EI64_V_M1_MF2_MASK, VSOXSEG3EI64_V, 0x7, 0x0 }, // 8866
  { PseudoVSOXSEG3EI64_V_M2_MF2, VSOXSEG3EI64_V, 0x7, 0x0 }, // 8867
  { PseudoVSOXSEG3EI64_V_M2_MF2_MASK, VSOXSEG3EI64_V, 0x7, 0x0 }, // 8868
  { PseudoVSOXSEG3EI64_V_M4_MF2, VSOXSEG3EI64_V, 0x7, 0x0 }, // 8869
  { PseudoVSOXSEG3EI64_V_M4_MF2_MASK, VSOXSEG3EI64_V, 0x7, 0x0 }, // 8870
  { PseudoVSOXSEG3EI8_V_M1_M1, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8871
  { PseudoVSOXSEG3EI8_V_M1_M1_MASK, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8872
  { PseudoVSOXSEG3EI8_V_MF2_M1, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8873
  { PseudoVSOXSEG3EI8_V_MF2_M1_MASK, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8874
  { PseudoVSOXSEG3EI8_V_MF4_M1, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8875
  { PseudoVSOXSEG3EI8_V_MF4_M1_MASK, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8876
  { PseudoVSOXSEG3EI8_V_MF8_M1, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8877
  { PseudoVSOXSEG3EI8_V_MF8_M1_MASK, VSOXSEG3EI8_V, 0x0, 0x0 }, // 8878
  { PseudoVSOXSEG3EI8_V_M1_M2, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8879
  { PseudoVSOXSEG3EI8_V_M1_M2_MASK, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8880
  { PseudoVSOXSEG3EI8_V_M2_M2, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8881
  { PseudoVSOXSEG3EI8_V_M2_M2_MASK, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8882
  { PseudoVSOXSEG3EI8_V_MF2_M2, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8883
  { PseudoVSOXSEG3EI8_V_MF2_M2_MASK, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8884
  { PseudoVSOXSEG3EI8_V_MF4_M2, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8885
  { PseudoVSOXSEG3EI8_V_MF4_M2_MASK, VSOXSEG3EI8_V, 0x1, 0x0 }, // 8886
  { PseudoVSOXSEG3EI8_V_MF8_MF8, VSOXSEG3EI8_V, 0x5, 0x0 }, // 8887
  { PseudoVSOXSEG3EI8_V_MF8_MF8_MASK, VSOXSEG3EI8_V, 0x5, 0x0 }, // 8888
  { PseudoVSOXSEG3EI8_V_MF4_MF4, VSOXSEG3EI8_V, 0x6, 0x0 }, // 8889
  { PseudoVSOXSEG3EI8_V_MF4_MF4_MASK, VSOXSEG3EI8_V, 0x6, 0x0 }, // 8890
  { PseudoVSOXSEG3EI8_V_MF8_MF4, VSOXSEG3EI8_V, 0x6, 0x0 }, // 8891
  { PseudoVSOXSEG3EI8_V_MF8_MF4_MASK, VSOXSEG3EI8_V, 0x6, 0x0 }, // 8892
  { PseudoVSOXSEG3EI8_V_MF2_MF2, VSOXSEG3EI8_V, 0x7, 0x0 }, // 8893
  { PseudoVSOXSEG3EI8_V_MF2_MF2_MASK, VSOXSEG3EI8_V, 0x7, 0x0 }, // 8894
  { PseudoVSOXSEG3EI8_V_MF4_MF2, VSOXSEG3EI8_V, 0x7, 0x0 }, // 8895
  { PseudoVSOXSEG3EI8_V_MF4_MF2_MASK, VSOXSEG3EI8_V, 0x7, 0x0 }, // 8896
  { PseudoVSOXSEG3EI8_V_MF8_MF2, VSOXSEG3EI8_V, 0x7, 0x0 }, // 8897
  { PseudoVSOXSEG3EI8_V_MF8_MF2_MASK, VSOXSEG3EI8_V, 0x7, 0x0 }, // 8898
  { PseudoVSOXSEG4EI16_V_M1_M1, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8899
  { PseudoVSOXSEG4EI16_V_M1_M1_MASK, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8900
  { PseudoVSOXSEG4EI16_V_M2_M1, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8901
  { PseudoVSOXSEG4EI16_V_M2_M1_MASK, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8902
  { PseudoVSOXSEG4EI16_V_MF2_M1, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8903
  { PseudoVSOXSEG4EI16_V_MF2_M1_MASK, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8904
  { PseudoVSOXSEG4EI16_V_MF4_M1, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8905
  { PseudoVSOXSEG4EI16_V_MF4_M1_MASK, VSOXSEG4EI16_V, 0x0, 0x0 }, // 8906
  { PseudoVSOXSEG4EI16_V_M1_M2, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8907
  { PseudoVSOXSEG4EI16_V_M1_M2_MASK, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8908
  { PseudoVSOXSEG4EI16_V_M2_M2, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8909
  { PseudoVSOXSEG4EI16_V_M2_M2_MASK, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8910
  { PseudoVSOXSEG4EI16_V_M4_M2, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8911
  { PseudoVSOXSEG4EI16_V_M4_M2_MASK, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8912
  { PseudoVSOXSEG4EI16_V_MF2_M2, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8913
  { PseudoVSOXSEG4EI16_V_MF2_M2_MASK, VSOXSEG4EI16_V, 0x1, 0x0 }, // 8914
  { PseudoVSOXSEG4EI16_V_MF4_MF8, VSOXSEG4EI16_V, 0x5, 0x0 }, // 8915
  { PseudoVSOXSEG4EI16_V_MF4_MF8_MASK, VSOXSEG4EI16_V, 0x5, 0x0 }, // 8916
  { PseudoVSOXSEG4EI16_V_MF2_MF4, VSOXSEG4EI16_V, 0x6, 0x0 }, // 8917
  { PseudoVSOXSEG4EI16_V_MF2_MF4_MASK, VSOXSEG4EI16_V, 0x6, 0x0 }, // 8918
  { PseudoVSOXSEG4EI16_V_MF4_MF4, VSOXSEG4EI16_V, 0x6, 0x0 }, // 8919
  { PseudoVSOXSEG4EI16_V_MF4_MF4_MASK, VSOXSEG4EI16_V, 0x6, 0x0 }, // 8920
  { PseudoVSOXSEG4EI16_V_M1_MF2, VSOXSEG4EI16_V, 0x7, 0x0 }, // 8921
  { PseudoVSOXSEG4EI16_V_M1_MF2_MASK, VSOXSEG4EI16_V, 0x7, 0x0 }, // 8922
  { PseudoVSOXSEG4EI16_V_MF2_MF2, VSOXSEG4EI16_V, 0x7, 0x0 }, // 8923
  { PseudoVSOXSEG4EI16_V_MF2_MF2_MASK, VSOXSEG4EI16_V, 0x7, 0x0 }, // 8924
  { PseudoVSOXSEG4EI16_V_MF4_MF2, VSOXSEG4EI16_V, 0x7, 0x0 }, // 8925
  { PseudoVSOXSEG4EI16_V_MF4_MF2_MASK, VSOXSEG4EI16_V, 0x7, 0x0 }, // 8926
  { PseudoVSOXSEG4EI32_V_M1_M1, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8927
  { PseudoVSOXSEG4EI32_V_M1_M1_MASK, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8928
  { PseudoVSOXSEG4EI32_V_M2_M1, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8929
  { PseudoVSOXSEG4EI32_V_M2_M1_MASK, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8930
  { PseudoVSOXSEG4EI32_V_M4_M1, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8931
  { PseudoVSOXSEG4EI32_V_M4_M1_MASK, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8932
  { PseudoVSOXSEG4EI32_V_MF2_M1, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8933
  { PseudoVSOXSEG4EI32_V_MF2_M1_MASK, VSOXSEG4EI32_V, 0x0, 0x0 }, // 8934
  { PseudoVSOXSEG4EI32_V_M1_M2, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8935
  { PseudoVSOXSEG4EI32_V_M1_M2_MASK, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8936
  { PseudoVSOXSEG4EI32_V_M2_M2, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8937
  { PseudoVSOXSEG4EI32_V_M2_M2_MASK, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8938
  { PseudoVSOXSEG4EI32_V_M4_M2, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8939
  { PseudoVSOXSEG4EI32_V_M4_M2_MASK, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8940
  { PseudoVSOXSEG4EI32_V_M8_M2, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8941
  { PseudoVSOXSEG4EI32_V_M8_M2_MASK, VSOXSEG4EI32_V, 0x1, 0x0 }, // 8942
  { PseudoVSOXSEG4EI32_V_MF2_MF8, VSOXSEG4EI32_V, 0x5, 0x0 }, // 8943
  { PseudoVSOXSEG4EI32_V_MF2_MF8_MASK, VSOXSEG4EI32_V, 0x5, 0x0 }, // 8944
  { PseudoVSOXSEG4EI32_V_M1_MF4, VSOXSEG4EI32_V, 0x6, 0x0 }, // 8945
  { PseudoVSOXSEG4EI32_V_M1_MF4_MASK, VSOXSEG4EI32_V, 0x6, 0x0 }, // 8946
  { PseudoVSOXSEG4EI32_V_MF2_MF4, VSOXSEG4EI32_V, 0x6, 0x0 }, // 8947
  { PseudoVSOXSEG4EI32_V_MF2_MF4_MASK, VSOXSEG4EI32_V, 0x6, 0x0 }, // 8948
  { PseudoVSOXSEG4EI32_V_M1_MF2, VSOXSEG4EI32_V, 0x7, 0x0 }, // 8949
  { PseudoVSOXSEG4EI32_V_M1_MF2_MASK, VSOXSEG4EI32_V, 0x7, 0x0 }, // 8950
  { PseudoVSOXSEG4EI32_V_M2_MF2, VSOXSEG4EI32_V, 0x7, 0x0 }, // 8951
  { PseudoVSOXSEG4EI32_V_M2_MF2_MASK, VSOXSEG4EI32_V, 0x7, 0x0 }, // 8952
  { PseudoVSOXSEG4EI32_V_MF2_MF2, VSOXSEG4EI32_V, 0x7, 0x0 }, // 8953
  { PseudoVSOXSEG4EI32_V_MF2_MF2_MASK, VSOXSEG4EI32_V, 0x7, 0x0 }, // 8954
  { PseudoVSOXSEG4EI64_V_M1_M1, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8955
  { PseudoVSOXSEG4EI64_V_M1_M1_MASK, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8956
  { PseudoVSOXSEG4EI64_V_M2_M1, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8957
  { PseudoVSOXSEG4EI64_V_M2_M1_MASK, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8958
  { PseudoVSOXSEG4EI64_V_M4_M1, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8959
  { PseudoVSOXSEG4EI64_V_M4_M1_MASK, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8960
  { PseudoVSOXSEG4EI64_V_M8_M1, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8961
  { PseudoVSOXSEG4EI64_V_M8_M1_MASK, VSOXSEG4EI64_V, 0x0, 0x0 }, // 8962
  { PseudoVSOXSEG4EI64_V_M2_M2, VSOXSEG4EI64_V, 0x1, 0x0 }, // 8963
  { PseudoVSOXSEG4EI64_V_M2_M2_MASK, VSOXSEG4EI64_V, 0x1, 0x0 }, // 8964
  { PseudoVSOXSEG4EI64_V_M4_M2, VSOXSEG4EI64_V, 0x1, 0x0 }, // 8965
  { PseudoVSOXSEG4EI64_V_M4_M2_MASK, VSOXSEG4EI64_V, 0x1, 0x0 }, // 8966
  { PseudoVSOXSEG4EI64_V_M8_M2, VSOXSEG4EI64_V, 0x1, 0x0 }, // 8967
  { PseudoVSOXSEG4EI64_V_M8_M2_MASK, VSOXSEG4EI64_V, 0x1, 0x0 }, // 8968
  { PseudoVSOXSEG4EI64_V_M1_MF8, VSOXSEG4EI64_V, 0x5, 0x0 }, // 8969
  { PseudoVSOXSEG4EI64_V_M1_MF8_MASK, VSOXSEG4EI64_V, 0x5, 0x0 }, // 8970
  { PseudoVSOXSEG4EI64_V_M1_MF4, VSOXSEG4EI64_V, 0x6, 0x0 }, // 8971
  { PseudoVSOXSEG4EI64_V_M1_MF4_MASK, VSOXSEG4EI64_V, 0x6, 0x0 }, // 8972
  { PseudoVSOXSEG4EI64_V_M2_MF4, VSOXSEG4EI64_V, 0x6, 0x0 }, // 8973
  { PseudoVSOXSEG4EI64_V_M2_MF4_MASK, VSOXSEG4EI64_V, 0x6, 0x0 }, // 8974
  { PseudoVSOXSEG4EI64_V_M1_MF2, VSOXSEG4EI64_V, 0x7, 0x0 }, // 8975
  { PseudoVSOXSEG4EI64_V_M1_MF2_MASK, VSOXSEG4EI64_V, 0x7, 0x0 }, // 8976
  { PseudoVSOXSEG4EI64_V_M2_MF2, VSOXSEG4EI64_V, 0x7, 0x0 }, // 8977
  { PseudoVSOXSEG4EI64_V_M2_MF2_MASK, VSOXSEG4EI64_V, 0x7, 0x0 }, // 8978
  { PseudoVSOXSEG4EI64_V_M4_MF2, VSOXSEG4EI64_V, 0x7, 0x0 }, // 8979
  { PseudoVSOXSEG4EI64_V_M4_MF2_MASK, VSOXSEG4EI64_V, 0x7, 0x0 }, // 8980
  { PseudoVSOXSEG4EI8_V_M1_M1, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8981
  { PseudoVSOXSEG4EI8_V_M1_M1_MASK, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8982
  { PseudoVSOXSEG4EI8_V_MF2_M1, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8983
  { PseudoVSOXSEG4EI8_V_MF2_M1_MASK, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8984
  { PseudoVSOXSEG4EI8_V_MF4_M1, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8985
  { PseudoVSOXSEG4EI8_V_MF4_M1_MASK, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8986
  { PseudoVSOXSEG4EI8_V_MF8_M1, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8987
  { PseudoVSOXSEG4EI8_V_MF8_M1_MASK, VSOXSEG4EI8_V, 0x0, 0x0 }, // 8988
  { PseudoVSOXSEG4EI8_V_M1_M2, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8989
  { PseudoVSOXSEG4EI8_V_M1_M2_MASK, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8990
  { PseudoVSOXSEG4EI8_V_M2_M2, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8991
  { PseudoVSOXSEG4EI8_V_M2_M2_MASK, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8992
  { PseudoVSOXSEG4EI8_V_MF2_M2, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8993
  { PseudoVSOXSEG4EI8_V_MF2_M2_MASK, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8994
  { PseudoVSOXSEG4EI8_V_MF4_M2, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8995
  { PseudoVSOXSEG4EI8_V_MF4_M2_MASK, VSOXSEG4EI8_V, 0x1, 0x0 }, // 8996
  { PseudoVSOXSEG4EI8_V_MF8_MF8, VSOXSEG4EI8_V, 0x5, 0x0 }, // 8997
  { PseudoVSOXSEG4EI8_V_MF8_MF8_MASK, VSOXSEG4EI8_V, 0x5, 0x0 }, // 8998
  { PseudoVSOXSEG4EI8_V_MF4_MF4, VSOXSEG4EI8_V, 0x6, 0x0 }, // 8999
  { PseudoVSOXSEG4EI8_V_MF4_MF4_MASK, VSOXSEG4EI8_V, 0x6, 0x0 }, // 9000
  { PseudoVSOXSEG4EI8_V_MF8_MF4, VSOXSEG4EI8_V, 0x6, 0x0 }, // 9001
  { PseudoVSOXSEG4EI8_V_MF8_MF4_MASK, VSOXSEG4EI8_V, 0x6, 0x0 }, // 9002
  { PseudoVSOXSEG4EI8_V_MF2_MF2, VSOXSEG4EI8_V, 0x7, 0x0 }, // 9003
  { PseudoVSOXSEG4EI8_V_MF2_MF2_MASK, VSOXSEG4EI8_V, 0x7, 0x0 }, // 9004
  { PseudoVSOXSEG4EI8_V_MF4_MF2, VSOXSEG4EI8_V, 0x7, 0x0 }, // 9005
  { PseudoVSOXSEG4EI8_V_MF4_MF2_MASK, VSOXSEG4EI8_V, 0x7, 0x0 }, // 9006
  { PseudoVSOXSEG4EI8_V_MF8_MF2, VSOXSEG4EI8_V, 0x7, 0x0 }, // 9007
  { PseudoVSOXSEG4EI8_V_MF8_MF2_MASK, VSOXSEG4EI8_V, 0x7, 0x0 }, // 9008
  { PseudoVSOXSEG5EI16_V_M1_M1, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9009
  { PseudoVSOXSEG5EI16_V_M1_M1_MASK, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9010
  { PseudoVSOXSEG5EI16_V_M2_M1, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9011
  { PseudoVSOXSEG5EI16_V_M2_M1_MASK, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9012
  { PseudoVSOXSEG5EI16_V_MF2_M1, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9013
  { PseudoVSOXSEG5EI16_V_MF2_M1_MASK, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9014
  { PseudoVSOXSEG5EI16_V_MF4_M1, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9015
  { PseudoVSOXSEG5EI16_V_MF4_M1_MASK, VSOXSEG5EI16_V, 0x0, 0x0 }, // 9016
  { PseudoVSOXSEG5EI16_V_MF4_MF8, VSOXSEG5EI16_V, 0x5, 0x0 }, // 9017
  { PseudoVSOXSEG5EI16_V_MF4_MF8_MASK, VSOXSEG5EI16_V, 0x5, 0x0 }, // 9018
  { PseudoVSOXSEG5EI16_V_MF2_MF4, VSOXSEG5EI16_V, 0x6, 0x0 }, // 9019
  { PseudoVSOXSEG5EI16_V_MF2_MF4_MASK, VSOXSEG5EI16_V, 0x6, 0x0 }, // 9020
  { PseudoVSOXSEG5EI16_V_MF4_MF4, VSOXSEG5EI16_V, 0x6, 0x0 }, // 9021
  { PseudoVSOXSEG5EI16_V_MF4_MF4_MASK, VSOXSEG5EI16_V, 0x6, 0x0 }, // 9022
  { PseudoVSOXSEG5EI16_V_M1_MF2, VSOXSEG5EI16_V, 0x7, 0x0 }, // 9023
  { PseudoVSOXSEG5EI16_V_M1_MF2_MASK, VSOXSEG5EI16_V, 0x7, 0x0 }, // 9024
  { PseudoVSOXSEG5EI16_V_MF2_MF2, VSOXSEG5EI16_V, 0x7, 0x0 }, // 9025
  { PseudoVSOXSEG5EI16_V_MF2_MF2_MASK, VSOXSEG5EI16_V, 0x7, 0x0 }, // 9026
  { PseudoVSOXSEG5EI16_V_MF4_MF2, VSOXSEG5EI16_V, 0x7, 0x0 }, // 9027
  { PseudoVSOXSEG5EI16_V_MF4_MF2_MASK, VSOXSEG5EI16_V, 0x7, 0x0 }, // 9028
  { PseudoVSOXSEG5EI32_V_M1_M1, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9029
  { PseudoVSOXSEG5EI32_V_M1_M1_MASK, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9030
  { PseudoVSOXSEG5EI32_V_M2_M1, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9031
  { PseudoVSOXSEG5EI32_V_M2_M1_MASK, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9032
  { PseudoVSOXSEG5EI32_V_M4_M1, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9033
  { PseudoVSOXSEG5EI32_V_M4_M1_MASK, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9034
  { PseudoVSOXSEG5EI32_V_MF2_M1, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9035
  { PseudoVSOXSEG5EI32_V_MF2_M1_MASK, VSOXSEG5EI32_V, 0x0, 0x0 }, // 9036
  { PseudoVSOXSEG5EI32_V_MF2_MF8, VSOXSEG5EI32_V, 0x5, 0x0 }, // 9037
  { PseudoVSOXSEG5EI32_V_MF2_MF8_MASK, VSOXSEG5EI32_V, 0x5, 0x0 }, // 9038
  { PseudoVSOXSEG5EI32_V_M1_MF4, VSOXSEG5EI32_V, 0x6, 0x0 }, // 9039
  { PseudoVSOXSEG5EI32_V_M1_MF4_MASK, VSOXSEG5EI32_V, 0x6, 0x0 }, // 9040
  { PseudoVSOXSEG5EI32_V_MF2_MF4, VSOXSEG5EI32_V, 0x6, 0x0 }, // 9041
  { PseudoVSOXSEG5EI32_V_MF2_MF4_MASK, VSOXSEG5EI32_V, 0x6, 0x0 }, // 9042
  { PseudoVSOXSEG5EI32_V_M1_MF2, VSOXSEG5EI32_V, 0x7, 0x0 }, // 9043
  { PseudoVSOXSEG5EI32_V_M1_MF2_MASK, VSOXSEG5EI32_V, 0x7, 0x0 }, // 9044
  { PseudoVSOXSEG5EI32_V_M2_MF2, VSOXSEG5EI32_V, 0x7, 0x0 }, // 9045
  { PseudoVSOXSEG5EI32_V_M2_MF2_MASK, VSOXSEG5EI32_V, 0x7, 0x0 }, // 9046
  { PseudoVSOXSEG5EI32_V_MF2_MF2, VSOXSEG5EI32_V, 0x7, 0x0 }, // 9047
  { PseudoVSOXSEG5EI32_V_MF2_MF2_MASK, VSOXSEG5EI32_V, 0x7, 0x0 }, // 9048
  { PseudoVSOXSEG5EI64_V_M1_M1, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9049
  { PseudoVSOXSEG5EI64_V_M1_M1_MASK, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9050
  { PseudoVSOXSEG5EI64_V_M2_M1, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9051
  { PseudoVSOXSEG5EI64_V_M2_M1_MASK, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9052
  { PseudoVSOXSEG5EI64_V_M4_M1, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9053
  { PseudoVSOXSEG5EI64_V_M4_M1_MASK, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9054
  { PseudoVSOXSEG5EI64_V_M8_M1, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9055
  { PseudoVSOXSEG5EI64_V_M8_M1_MASK, VSOXSEG5EI64_V, 0x0, 0x0 }, // 9056
  { PseudoVSOXSEG5EI64_V_M1_MF8, VSOXSEG5EI64_V, 0x5, 0x0 }, // 9057
  { PseudoVSOXSEG5EI64_V_M1_MF8_MASK, VSOXSEG5EI64_V, 0x5, 0x0 }, // 9058
  { PseudoVSOXSEG5EI64_V_M1_MF4, VSOXSEG5EI64_V, 0x6, 0x0 }, // 9059
  { PseudoVSOXSEG5EI64_V_M1_MF4_MASK, VSOXSEG5EI64_V, 0x6, 0x0 }, // 9060
  { PseudoVSOXSEG5EI64_V_M2_MF4, VSOXSEG5EI64_V, 0x6, 0x0 }, // 9061
  { PseudoVSOXSEG5EI64_V_M2_MF4_MASK, VSOXSEG5EI64_V, 0x6, 0x0 }, // 9062
  { PseudoVSOXSEG5EI64_V_M1_MF2, VSOXSEG5EI64_V, 0x7, 0x0 }, // 9063
  { PseudoVSOXSEG5EI64_V_M1_MF2_MASK, VSOXSEG5EI64_V, 0x7, 0x0 }, // 9064
  { PseudoVSOXSEG5EI64_V_M2_MF2, VSOXSEG5EI64_V, 0x7, 0x0 }, // 9065
  { PseudoVSOXSEG5EI64_V_M2_MF2_MASK, VSOXSEG5EI64_V, 0x7, 0x0 }, // 9066
  { PseudoVSOXSEG5EI64_V_M4_MF2, VSOXSEG5EI64_V, 0x7, 0x0 }, // 9067
  { PseudoVSOXSEG5EI64_V_M4_MF2_MASK, VSOXSEG5EI64_V, 0x7, 0x0 }, // 9068
  { PseudoVSOXSEG5EI8_V_M1_M1, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9069
  { PseudoVSOXSEG5EI8_V_M1_M1_MASK, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9070
  { PseudoVSOXSEG5EI8_V_MF2_M1, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9071
  { PseudoVSOXSEG5EI8_V_MF2_M1_MASK, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9072
  { PseudoVSOXSEG5EI8_V_MF4_M1, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9073
  { PseudoVSOXSEG5EI8_V_MF4_M1_MASK, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9074
  { PseudoVSOXSEG5EI8_V_MF8_M1, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9075
  { PseudoVSOXSEG5EI8_V_MF8_M1_MASK, VSOXSEG5EI8_V, 0x0, 0x0 }, // 9076
  { PseudoVSOXSEG5EI8_V_MF8_MF8, VSOXSEG5EI8_V, 0x5, 0x0 }, // 9077
  { PseudoVSOXSEG5EI8_V_MF8_MF8_MASK, VSOXSEG5EI8_V, 0x5, 0x0 }, // 9078
  { PseudoVSOXSEG5EI8_V_MF4_MF4, VSOXSEG5EI8_V, 0x6, 0x0 }, // 9079
  { PseudoVSOXSEG5EI8_V_MF4_MF4_MASK, VSOXSEG5EI8_V, 0x6, 0x0 }, // 9080
  { PseudoVSOXSEG5EI8_V_MF8_MF4, VSOXSEG5EI8_V, 0x6, 0x0 }, // 9081
  { PseudoVSOXSEG5EI8_V_MF8_MF4_MASK, VSOXSEG5EI8_V, 0x6, 0x0 }, // 9082
  { PseudoVSOXSEG5EI8_V_MF2_MF2, VSOXSEG5EI8_V, 0x7, 0x0 }, // 9083
  { PseudoVSOXSEG5EI8_V_MF2_MF2_MASK, VSOXSEG5EI8_V, 0x7, 0x0 }, // 9084
  { PseudoVSOXSEG5EI8_V_MF4_MF2, VSOXSEG5EI8_V, 0x7, 0x0 }, // 9085
  { PseudoVSOXSEG5EI8_V_MF4_MF2_MASK, VSOXSEG5EI8_V, 0x7, 0x0 }, // 9086
  { PseudoVSOXSEG5EI8_V_MF8_MF2, VSOXSEG5EI8_V, 0x7, 0x0 }, // 9087
  { PseudoVSOXSEG5EI8_V_MF8_MF2_MASK, VSOXSEG5EI8_V, 0x7, 0x0 }, // 9088
  { PseudoVSOXSEG6EI16_V_M1_M1, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9089
  { PseudoVSOXSEG6EI16_V_M1_M1_MASK, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9090
  { PseudoVSOXSEG6EI16_V_M2_M1, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9091
  { PseudoVSOXSEG6EI16_V_M2_M1_MASK, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9092
  { PseudoVSOXSEG6EI16_V_MF2_M1, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9093
  { PseudoVSOXSEG6EI16_V_MF2_M1_MASK, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9094
  { PseudoVSOXSEG6EI16_V_MF4_M1, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9095
  { PseudoVSOXSEG6EI16_V_MF4_M1_MASK, VSOXSEG6EI16_V, 0x0, 0x0 }, // 9096
  { PseudoVSOXSEG6EI16_V_MF4_MF8, VSOXSEG6EI16_V, 0x5, 0x0 }, // 9097
  { PseudoVSOXSEG6EI16_V_MF4_MF8_MASK, VSOXSEG6EI16_V, 0x5, 0x0 }, // 9098
  { PseudoVSOXSEG6EI16_V_MF2_MF4, VSOXSEG6EI16_V, 0x6, 0x0 }, // 9099
  { PseudoVSOXSEG6EI16_V_MF2_MF4_MASK, VSOXSEG6EI16_V, 0x6, 0x0 }, // 9100
  { PseudoVSOXSEG6EI16_V_MF4_MF4, VSOXSEG6EI16_V, 0x6, 0x0 }, // 9101
  { PseudoVSOXSEG6EI16_V_MF4_MF4_MASK, VSOXSEG6EI16_V, 0x6, 0x0 }, // 9102
  { PseudoVSOXSEG6EI16_V_M1_MF2, VSOXSEG6EI16_V, 0x7, 0x0 }, // 9103
  { PseudoVSOXSEG6EI16_V_M1_MF2_MASK, VSOXSEG6EI16_V, 0x7, 0x0 }, // 9104
  { PseudoVSOXSEG6EI16_V_MF2_MF2, VSOXSEG6EI16_V, 0x7, 0x0 }, // 9105
  { PseudoVSOXSEG6EI16_V_MF2_MF2_MASK, VSOXSEG6EI16_V, 0x7, 0x0 }, // 9106
  { PseudoVSOXSEG6EI16_V_MF4_MF2, VSOXSEG6EI16_V, 0x7, 0x0 }, // 9107
  { PseudoVSOXSEG6EI16_V_MF4_MF2_MASK, VSOXSEG6EI16_V, 0x7, 0x0 }, // 9108
  { PseudoVSOXSEG6EI32_V_M1_M1, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9109
  { PseudoVSOXSEG6EI32_V_M1_M1_MASK, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9110
  { PseudoVSOXSEG6EI32_V_M2_M1, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9111
  { PseudoVSOXSEG6EI32_V_M2_M1_MASK, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9112
  { PseudoVSOXSEG6EI32_V_M4_M1, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9113
  { PseudoVSOXSEG6EI32_V_M4_M1_MASK, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9114
  { PseudoVSOXSEG6EI32_V_MF2_M1, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9115
  { PseudoVSOXSEG6EI32_V_MF2_M1_MASK, VSOXSEG6EI32_V, 0x0, 0x0 }, // 9116
  { PseudoVSOXSEG6EI32_V_MF2_MF8, VSOXSEG6EI32_V, 0x5, 0x0 }, // 9117
  { PseudoVSOXSEG6EI32_V_MF2_MF8_MASK, VSOXSEG6EI32_V, 0x5, 0x0 }, // 9118
  { PseudoVSOXSEG6EI32_V_M1_MF4, VSOXSEG6EI32_V, 0x6, 0x0 }, // 9119
  { PseudoVSOXSEG6EI32_V_M1_MF4_MASK, VSOXSEG6EI32_V, 0x6, 0x0 }, // 9120
  { PseudoVSOXSEG6EI32_V_MF2_MF4, VSOXSEG6EI32_V, 0x6, 0x0 }, // 9121
  { PseudoVSOXSEG6EI32_V_MF2_MF4_MASK, VSOXSEG6EI32_V, 0x6, 0x0 }, // 9122
  { PseudoVSOXSEG6EI32_V_M1_MF2, VSOXSEG6EI32_V, 0x7, 0x0 }, // 9123
  { PseudoVSOXSEG6EI32_V_M1_MF2_MASK, VSOXSEG6EI32_V, 0x7, 0x0 }, // 9124
  { PseudoVSOXSEG6EI32_V_M2_MF2, VSOXSEG6EI32_V, 0x7, 0x0 }, // 9125
  { PseudoVSOXSEG6EI32_V_M2_MF2_MASK, VSOXSEG6EI32_V, 0x7, 0x0 }, // 9126
  { PseudoVSOXSEG6EI32_V_MF2_MF2, VSOXSEG6EI32_V, 0x7, 0x0 }, // 9127
  { PseudoVSOXSEG6EI32_V_MF2_MF2_MASK, VSOXSEG6EI32_V, 0x7, 0x0 }, // 9128
  { PseudoVSOXSEG6EI64_V_M1_M1, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9129
  { PseudoVSOXSEG6EI64_V_M1_M1_MASK, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9130
  { PseudoVSOXSEG6EI64_V_M2_M1, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9131
  { PseudoVSOXSEG6EI64_V_M2_M1_MASK, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9132
  { PseudoVSOXSEG6EI64_V_M4_M1, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9133
  { PseudoVSOXSEG6EI64_V_M4_M1_MASK, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9134
  { PseudoVSOXSEG6EI64_V_M8_M1, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9135
  { PseudoVSOXSEG6EI64_V_M8_M1_MASK, VSOXSEG6EI64_V, 0x0, 0x0 }, // 9136
  { PseudoVSOXSEG6EI64_V_M1_MF8, VSOXSEG6EI64_V, 0x5, 0x0 }, // 9137
  { PseudoVSOXSEG6EI64_V_M1_MF8_MASK, VSOXSEG6EI64_V, 0x5, 0x0 }, // 9138
  { PseudoVSOXSEG6EI64_V_M1_MF4, VSOXSEG6EI64_V, 0x6, 0x0 }, // 9139
  { PseudoVSOXSEG6EI64_V_M1_MF4_MASK, VSOXSEG6EI64_V, 0x6, 0x0 }, // 9140
  { PseudoVSOXSEG6EI64_V_M2_MF4, VSOXSEG6EI64_V, 0x6, 0x0 }, // 9141
  { PseudoVSOXSEG6EI64_V_M2_MF4_MASK, VSOXSEG6EI64_V, 0x6, 0x0 }, // 9142
  { PseudoVSOXSEG6EI64_V_M1_MF2, VSOXSEG6EI64_V, 0x7, 0x0 }, // 9143
  { PseudoVSOXSEG6EI64_V_M1_MF2_MASK, VSOXSEG6EI64_V, 0x7, 0x0 }, // 9144
  { PseudoVSOXSEG6EI64_V_M2_MF2, VSOXSEG6EI64_V, 0x7, 0x0 }, // 9145
  { PseudoVSOXSEG6EI64_V_M2_MF2_MASK, VSOXSEG6EI64_V, 0x7, 0x0 }, // 9146
  { PseudoVSOXSEG6EI64_V_M4_MF2, VSOXSEG6EI64_V, 0x7, 0x0 }, // 9147
  { PseudoVSOXSEG6EI64_V_M4_MF2_MASK, VSOXSEG6EI64_V, 0x7, 0x0 }, // 9148
  { PseudoVSOXSEG6EI8_V_M1_M1, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9149
  { PseudoVSOXSEG6EI8_V_M1_M1_MASK, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9150
  { PseudoVSOXSEG6EI8_V_MF2_M1, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9151
  { PseudoVSOXSEG6EI8_V_MF2_M1_MASK, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9152
  { PseudoVSOXSEG6EI8_V_MF4_M1, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9153
  { PseudoVSOXSEG6EI8_V_MF4_M1_MASK, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9154
  { PseudoVSOXSEG6EI8_V_MF8_M1, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9155
  { PseudoVSOXSEG6EI8_V_MF8_M1_MASK, VSOXSEG6EI8_V, 0x0, 0x0 }, // 9156
  { PseudoVSOXSEG6EI8_V_MF8_MF8, VSOXSEG6EI8_V, 0x5, 0x0 }, // 9157
  { PseudoVSOXSEG6EI8_V_MF8_MF8_MASK, VSOXSEG6EI8_V, 0x5, 0x0 }, // 9158
  { PseudoVSOXSEG6EI8_V_MF4_MF4, VSOXSEG6EI8_V, 0x6, 0x0 }, // 9159
  { PseudoVSOXSEG6EI8_V_MF4_MF4_MASK, VSOXSEG6EI8_V, 0x6, 0x0 }, // 9160
  { PseudoVSOXSEG6EI8_V_MF8_MF4, VSOXSEG6EI8_V, 0x6, 0x0 }, // 9161
  { PseudoVSOXSEG6EI8_V_MF8_MF4_MASK, VSOXSEG6EI8_V, 0x6, 0x0 }, // 9162
  { PseudoVSOXSEG6EI8_V_MF2_MF2, VSOXSEG6EI8_V, 0x7, 0x0 }, // 9163
  { PseudoVSOXSEG6EI8_V_MF2_MF2_MASK, VSOXSEG6EI8_V, 0x7, 0x0 }, // 9164
  { PseudoVSOXSEG6EI8_V_MF4_MF2, VSOXSEG6EI8_V, 0x7, 0x0 }, // 9165
  { PseudoVSOXSEG6EI8_V_MF4_MF2_MASK, VSOXSEG6EI8_V, 0x7, 0x0 }, // 9166
  { PseudoVSOXSEG6EI8_V_MF8_MF2, VSOXSEG6EI8_V, 0x7, 0x0 }, // 9167
  { PseudoVSOXSEG6EI8_V_MF8_MF2_MASK, VSOXSEG6EI8_V, 0x7, 0x0 }, // 9168
  { PseudoVSOXSEG7EI16_V_M1_M1, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9169
  { PseudoVSOXSEG7EI16_V_M1_M1_MASK, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9170
  { PseudoVSOXSEG7EI16_V_M2_M1, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9171
  { PseudoVSOXSEG7EI16_V_M2_M1_MASK, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9172
  { PseudoVSOXSEG7EI16_V_MF2_M1, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9173
  { PseudoVSOXSEG7EI16_V_MF2_M1_MASK, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9174
  { PseudoVSOXSEG7EI16_V_MF4_M1, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9175
  { PseudoVSOXSEG7EI16_V_MF4_M1_MASK, VSOXSEG7EI16_V, 0x0, 0x0 }, // 9176
  { PseudoVSOXSEG7EI16_V_MF4_MF8, VSOXSEG7EI16_V, 0x5, 0x0 }, // 9177
  { PseudoVSOXSEG7EI16_V_MF4_MF8_MASK, VSOXSEG7EI16_V, 0x5, 0x0 }, // 9178
  { PseudoVSOXSEG7EI16_V_MF2_MF4, VSOXSEG7EI16_V, 0x6, 0x0 }, // 9179
  { PseudoVSOXSEG7EI16_V_MF2_MF4_MASK, VSOXSEG7EI16_V, 0x6, 0x0 }, // 9180
  { PseudoVSOXSEG7EI16_V_MF4_MF4, VSOXSEG7EI16_V, 0x6, 0x0 }, // 9181
  { PseudoVSOXSEG7EI16_V_MF4_MF4_MASK, VSOXSEG7EI16_V, 0x6, 0x0 }, // 9182
  { PseudoVSOXSEG7EI16_V_M1_MF2, VSOXSEG7EI16_V, 0x7, 0x0 }, // 9183
  { PseudoVSOXSEG7EI16_V_M1_MF2_MASK, VSOXSEG7EI16_V, 0x7, 0x0 }, // 9184
  { PseudoVSOXSEG7EI16_V_MF2_MF2, VSOXSEG7EI16_V, 0x7, 0x0 }, // 9185
  { PseudoVSOXSEG7EI16_V_MF2_MF2_MASK, VSOXSEG7EI16_V, 0x7, 0x0 }, // 9186
  { PseudoVSOXSEG7EI16_V_MF4_MF2, VSOXSEG7EI16_V, 0x7, 0x0 }, // 9187
  { PseudoVSOXSEG7EI16_V_MF4_MF2_MASK, VSOXSEG7EI16_V, 0x7, 0x0 }, // 9188
  { PseudoVSOXSEG7EI32_V_M1_M1, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9189
  { PseudoVSOXSEG7EI32_V_M1_M1_MASK, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9190
  { PseudoVSOXSEG7EI32_V_M2_M1, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9191
  { PseudoVSOXSEG7EI32_V_M2_M1_MASK, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9192
  { PseudoVSOXSEG7EI32_V_M4_M1, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9193
  { PseudoVSOXSEG7EI32_V_M4_M1_MASK, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9194
  { PseudoVSOXSEG7EI32_V_MF2_M1, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9195
  { PseudoVSOXSEG7EI32_V_MF2_M1_MASK, VSOXSEG7EI32_V, 0x0, 0x0 }, // 9196
  { PseudoVSOXSEG7EI32_V_MF2_MF8, VSOXSEG7EI32_V, 0x5, 0x0 }, // 9197
  { PseudoVSOXSEG7EI32_V_MF2_MF8_MASK, VSOXSEG7EI32_V, 0x5, 0x0 }, // 9198
  { PseudoVSOXSEG7EI32_V_M1_MF4, VSOXSEG7EI32_V, 0x6, 0x0 }, // 9199
  { PseudoVSOXSEG7EI32_V_M1_MF4_MASK, VSOXSEG7EI32_V, 0x6, 0x0 }, // 9200
  { PseudoVSOXSEG7EI32_V_MF2_MF4, VSOXSEG7EI32_V, 0x6, 0x0 }, // 9201
  { PseudoVSOXSEG7EI32_V_MF2_MF4_MASK, VSOXSEG7EI32_V, 0x6, 0x0 }, // 9202
  { PseudoVSOXSEG7EI32_V_M1_MF2, VSOXSEG7EI32_V, 0x7, 0x0 }, // 9203
  { PseudoVSOXSEG7EI32_V_M1_MF2_MASK, VSOXSEG7EI32_V, 0x7, 0x0 }, // 9204
  { PseudoVSOXSEG7EI32_V_M2_MF2, VSOXSEG7EI32_V, 0x7, 0x0 }, // 9205
  { PseudoVSOXSEG7EI32_V_M2_MF2_MASK, VSOXSEG7EI32_V, 0x7, 0x0 }, // 9206
  { PseudoVSOXSEG7EI32_V_MF2_MF2, VSOXSEG7EI32_V, 0x7, 0x0 }, // 9207
  { PseudoVSOXSEG7EI32_V_MF2_MF2_MASK, VSOXSEG7EI32_V, 0x7, 0x0 }, // 9208
  { PseudoVSOXSEG7EI64_V_M1_M1, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9209
  { PseudoVSOXSEG7EI64_V_M1_M1_MASK, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9210
  { PseudoVSOXSEG7EI64_V_M2_M1, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9211
  { PseudoVSOXSEG7EI64_V_M2_M1_MASK, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9212
  { PseudoVSOXSEG7EI64_V_M4_M1, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9213
  { PseudoVSOXSEG7EI64_V_M4_M1_MASK, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9214
  { PseudoVSOXSEG7EI64_V_M8_M1, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9215
  { PseudoVSOXSEG7EI64_V_M8_M1_MASK, VSOXSEG7EI64_V, 0x0, 0x0 }, // 9216
  { PseudoVSOXSEG7EI64_V_M1_MF8, VSOXSEG7EI64_V, 0x5, 0x0 }, // 9217
  { PseudoVSOXSEG7EI64_V_M1_MF8_MASK, VSOXSEG7EI64_V, 0x5, 0x0 }, // 9218
  { PseudoVSOXSEG7EI64_V_M1_MF4, VSOXSEG7EI64_V, 0x6, 0x0 }, // 9219
  { PseudoVSOXSEG7EI64_V_M1_MF4_MASK, VSOXSEG7EI64_V, 0x6, 0x0 }, // 9220
  { PseudoVSOXSEG7EI64_V_M2_MF4, VSOXSEG7EI64_V, 0x6, 0x0 }, // 9221
  { PseudoVSOXSEG7EI64_V_M2_MF4_MASK, VSOXSEG7EI64_V, 0x6, 0x0 }, // 9222
  { PseudoVSOXSEG7EI64_V_M1_MF2, VSOXSEG7EI64_V, 0x7, 0x0 }, // 9223
  { PseudoVSOXSEG7EI64_V_M1_MF2_MASK, VSOXSEG7EI64_V, 0x7, 0x0 }, // 9224
  { PseudoVSOXSEG7EI64_V_M2_MF2, VSOXSEG7EI64_V, 0x7, 0x0 }, // 9225
  { PseudoVSOXSEG7EI64_V_M2_MF2_MASK, VSOXSEG7EI64_V, 0x7, 0x0 }, // 9226
  { PseudoVSOXSEG7EI64_V_M4_MF2, VSOXSEG7EI64_V, 0x7, 0x0 }, // 9227
  { PseudoVSOXSEG7EI64_V_M4_MF2_MASK, VSOXSEG7EI64_V, 0x7, 0x0 }, // 9228
  { PseudoVSOXSEG7EI8_V_M1_M1, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9229
  { PseudoVSOXSEG7EI8_V_M1_M1_MASK, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9230
  { PseudoVSOXSEG7EI8_V_MF2_M1, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9231
  { PseudoVSOXSEG7EI8_V_MF2_M1_MASK, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9232
  { PseudoVSOXSEG7EI8_V_MF4_M1, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9233
  { PseudoVSOXSEG7EI8_V_MF4_M1_MASK, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9234
  { PseudoVSOXSEG7EI8_V_MF8_M1, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9235
  { PseudoVSOXSEG7EI8_V_MF8_M1_MASK, VSOXSEG7EI8_V, 0x0, 0x0 }, // 9236
  { PseudoVSOXSEG7EI8_V_MF8_MF8, VSOXSEG7EI8_V, 0x5, 0x0 }, // 9237
  { PseudoVSOXSEG7EI8_V_MF8_MF8_MASK, VSOXSEG7EI8_V, 0x5, 0x0 }, // 9238
  { PseudoVSOXSEG7EI8_V_MF4_MF4, VSOXSEG7EI8_V, 0x6, 0x0 }, // 9239
  { PseudoVSOXSEG7EI8_V_MF4_MF4_MASK, VSOXSEG7EI8_V, 0x6, 0x0 }, // 9240
  { PseudoVSOXSEG7EI8_V_MF8_MF4, VSOXSEG7EI8_V, 0x6, 0x0 }, // 9241
  { PseudoVSOXSEG7EI8_V_MF8_MF4_MASK, VSOXSEG7EI8_V, 0x6, 0x0 }, // 9242
  { PseudoVSOXSEG7EI8_V_MF2_MF2, VSOXSEG7EI8_V, 0x7, 0x0 }, // 9243
  { PseudoVSOXSEG7EI8_V_MF2_MF2_MASK, VSOXSEG7EI8_V, 0x7, 0x0 }, // 9244
  { PseudoVSOXSEG7EI8_V_MF4_MF2, VSOXSEG7EI8_V, 0x7, 0x0 }, // 9245
  { PseudoVSOXSEG7EI8_V_MF4_MF2_MASK, VSOXSEG7EI8_V, 0x7, 0x0 }, // 9246
  { PseudoVSOXSEG7EI8_V_MF8_MF2, VSOXSEG7EI8_V, 0x7, 0x0 }, // 9247
  { PseudoVSOXSEG7EI8_V_MF8_MF2_MASK, VSOXSEG7EI8_V, 0x7, 0x0 }, // 9248
  { PseudoVSOXSEG8EI16_V_M1_M1, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9249
  { PseudoVSOXSEG8EI16_V_M1_M1_MASK, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9250
  { PseudoVSOXSEG8EI16_V_M2_M1, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9251
  { PseudoVSOXSEG8EI16_V_M2_M1_MASK, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9252
  { PseudoVSOXSEG8EI16_V_MF2_M1, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9253
  { PseudoVSOXSEG8EI16_V_MF2_M1_MASK, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9254
  { PseudoVSOXSEG8EI16_V_MF4_M1, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9255
  { PseudoVSOXSEG8EI16_V_MF4_M1_MASK, VSOXSEG8EI16_V, 0x0, 0x0 }, // 9256
  { PseudoVSOXSEG8EI16_V_MF4_MF8, VSOXSEG8EI16_V, 0x5, 0x0 }, // 9257
  { PseudoVSOXSEG8EI16_V_MF4_MF8_MASK, VSOXSEG8EI16_V, 0x5, 0x0 }, // 9258
  { PseudoVSOXSEG8EI16_V_MF2_MF4, VSOXSEG8EI16_V, 0x6, 0x0 }, // 9259
  { PseudoVSOXSEG8EI16_V_MF2_MF4_MASK, VSOXSEG8EI16_V, 0x6, 0x0 }, // 9260
  { PseudoVSOXSEG8EI16_V_MF4_MF4, VSOXSEG8EI16_V, 0x6, 0x0 }, // 9261
  { PseudoVSOXSEG8EI16_V_MF4_MF4_MASK, VSOXSEG8EI16_V, 0x6, 0x0 }, // 9262
  { PseudoVSOXSEG8EI16_V_M1_MF2, VSOXSEG8EI16_V, 0x7, 0x0 }, // 9263
  { PseudoVSOXSEG8EI16_V_M1_MF2_MASK, VSOXSEG8EI16_V, 0x7, 0x0 }, // 9264
  { PseudoVSOXSEG8EI16_V_MF2_MF2, VSOXSEG8EI16_V, 0x7, 0x0 }, // 9265
  { PseudoVSOXSEG8EI16_V_MF2_MF2_MASK, VSOXSEG8EI16_V, 0x7, 0x0 }, // 9266
  { PseudoVSOXSEG8EI16_V_MF4_MF2, VSOXSEG8EI16_V, 0x7, 0x0 }, // 9267
  { PseudoVSOXSEG8EI16_V_MF4_MF2_MASK, VSOXSEG8EI16_V, 0x7, 0x0 }, // 9268
  { PseudoVSOXSEG8EI32_V_M1_M1, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9269
  { PseudoVSOXSEG8EI32_V_M1_M1_MASK, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9270
  { PseudoVSOXSEG8EI32_V_M2_M1, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9271
  { PseudoVSOXSEG8EI32_V_M2_M1_MASK, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9272
  { PseudoVSOXSEG8EI32_V_M4_M1, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9273
  { PseudoVSOXSEG8EI32_V_M4_M1_MASK, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9274
  { PseudoVSOXSEG8EI32_V_MF2_M1, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9275
  { PseudoVSOXSEG8EI32_V_MF2_M1_MASK, VSOXSEG8EI32_V, 0x0, 0x0 }, // 9276
  { PseudoVSOXSEG8EI32_V_MF2_MF8, VSOXSEG8EI32_V, 0x5, 0x0 }, // 9277
  { PseudoVSOXSEG8EI32_V_MF2_MF8_MASK, VSOXSEG8EI32_V, 0x5, 0x0 }, // 9278
  { PseudoVSOXSEG8EI32_V_M1_MF4, VSOXSEG8EI32_V, 0x6, 0x0 }, // 9279
  { PseudoVSOXSEG8EI32_V_M1_MF4_MASK, VSOXSEG8EI32_V, 0x6, 0x0 }, // 9280
  { PseudoVSOXSEG8EI32_V_MF2_MF4, VSOXSEG8EI32_V, 0x6, 0x0 }, // 9281
  { PseudoVSOXSEG8EI32_V_MF2_MF4_MASK, VSOXSEG8EI32_V, 0x6, 0x0 }, // 9282
  { PseudoVSOXSEG8EI32_V_M1_MF2, VSOXSEG8EI32_V, 0x7, 0x0 }, // 9283
  { PseudoVSOXSEG8EI32_V_M1_MF2_MASK, VSOXSEG8EI32_V, 0x7, 0x0 }, // 9284
  { PseudoVSOXSEG8EI32_V_M2_MF2, VSOXSEG8EI32_V, 0x7, 0x0 }, // 9285
  { PseudoVSOXSEG8EI32_V_M2_MF2_MASK, VSOXSEG8EI32_V, 0x7, 0x0 }, // 9286
  { PseudoVSOXSEG8EI32_V_MF2_MF2, VSOXSEG8EI32_V, 0x7, 0x0 }, // 9287
  { PseudoVSOXSEG8EI32_V_MF2_MF2_MASK, VSOXSEG8EI32_V, 0x7, 0x0 }, // 9288
  { PseudoVSOXSEG8EI64_V_M1_M1, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9289
  { PseudoVSOXSEG8EI64_V_M1_M1_MASK, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9290
  { PseudoVSOXSEG8EI64_V_M2_M1, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9291
  { PseudoVSOXSEG8EI64_V_M2_M1_MASK, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9292
  { PseudoVSOXSEG8EI64_V_M4_M1, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9293
  { PseudoVSOXSEG8EI64_V_M4_M1_MASK, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9294
  { PseudoVSOXSEG8EI64_V_M8_M1, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9295
  { PseudoVSOXSEG8EI64_V_M8_M1_MASK, VSOXSEG8EI64_V, 0x0, 0x0 }, // 9296
  { PseudoVSOXSEG8EI64_V_M1_MF8, VSOXSEG8EI64_V, 0x5, 0x0 }, // 9297
  { PseudoVSOXSEG8EI64_V_M1_MF8_MASK, VSOXSEG8EI64_V, 0x5, 0x0 }, // 9298
  { PseudoVSOXSEG8EI64_V_M1_MF4, VSOXSEG8EI64_V, 0x6, 0x0 }, // 9299
  { PseudoVSOXSEG8EI64_V_M1_MF4_MASK, VSOXSEG8EI64_V, 0x6, 0x0 }, // 9300
  { PseudoVSOXSEG8EI64_V_M2_MF4, VSOXSEG8EI64_V, 0x6, 0x0 }, // 9301
  { PseudoVSOXSEG8EI64_V_M2_MF4_MASK, VSOXSEG8EI64_V, 0x6, 0x0 }, // 9302
  { PseudoVSOXSEG8EI64_V_M1_MF2, VSOXSEG8EI64_V, 0x7, 0x0 }, // 9303
  { PseudoVSOXSEG8EI64_V_M1_MF2_MASK, VSOXSEG8EI64_V, 0x7, 0x0 }, // 9304
  { PseudoVSOXSEG8EI64_V_M2_MF2, VSOXSEG8EI64_V, 0x7, 0x0 }, // 9305
  { PseudoVSOXSEG8EI64_V_M2_MF2_MASK, VSOXSEG8EI64_V, 0x7, 0x0 }, // 9306
  { PseudoVSOXSEG8EI64_V_M4_MF2, VSOXSEG8EI64_V, 0x7, 0x0 }, // 9307
  { PseudoVSOXSEG8EI64_V_M4_MF2_MASK, VSOXSEG8EI64_V, 0x7, 0x0 }, // 9308
  { PseudoVSOXSEG8EI8_V_M1_M1, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9309
  { PseudoVSOXSEG8EI8_V_M1_M1_MASK, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9310
  { PseudoVSOXSEG8EI8_V_MF2_M1, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9311
  { PseudoVSOXSEG8EI8_V_MF2_M1_MASK, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9312
  { PseudoVSOXSEG8EI8_V_MF4_M1, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9313
  { PseudoVSOXSEG8EI8_V_MF4_M1_MASK, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9314
  { PseudoVSOXSEG8EI8_V_MF8_M1, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9315
  { PseudoVSOXSEG8EI8_V_MF8_M1_MASK, VSOXSEG8EI8_V, 0x0, 0x0 }, // 9316
  { PseudoVSOXSEG8EI8_V_MF8_MF8, VSOXSEG8EI8_V, 0x5, 0x0 }, // 9317
  { PseudoVSOXSEG8EI8_V_MF8_MF8_MASK, VSOXSEG8EI8_V, 0x5, 0x0 }, // 9318
  { PseudoVSOXSEG8EI8_V_MF4_MF4, VSOXSEG8EI8_V, 0x6, 0x0 }, // 9319
  { PseudoVSOXSEG8EI8_V_MF4_MF4_MASK, VSOXSEG8EI8_V, 0x6, 0x0 }, // 9320
  { PseudoVSOXSEG8EI8_V_MF8_MF4, VSOXSEG8EI8_V, 0x6, 0x0 }, // 9321
  { PseudoVSOXSEG8EI8_V_MF8_MF4_MASK, VSOXSEG8EI8_V, 0x6, 0x0 }, // 9322
  { PseudoVSOXSEG8EI8_V_MF2_MF2, VSOXSEG8EI8_V, 0x7, 0x0 }, // 9323
  { PseudoVSOXSEG8EI8_V_MF2_MF2_MASK, VSOXSEG8EI8_V, 0x7, 0x0 }, // 9324
  { PseudoVSOXSEG8EI8_V_MF4_MF2, VSOXSEG8EI8_V, 0x7, 0x0 }, // 9325
  { PseudoVSOXSEG8EI8_V_MF4_MF2_MASK, VSOXSEG8EI8_V, 0x7, 0x0 }, // 9326
  { PseudoVSOXSEG8EI8_V_MF8_MF2, VSOXSEG8EI8_V, 0x7, 0x0 }, // 9327
  { PseudoVSOXSEG8EI8_V_MF8_MF2_MASK, VSOXSEG8EI8_V, 0x7, 0x0 }, // 9328
  { PseudoVSRA_VI_M1, VSRA_VI, 0x0, 0x0 }, // 9329
  { PseudoVSRA_VI_M1_MASK, VSRA_VI, 0x0, 0x0 }, // 9330
  { PseudoVSRA_VI_M2, VSRA_VI, 0x1, 0x0 }, // 9331
  { PseudoVSRA_VI_M2_MASK, VSRA_VI, 0x1, 0x0 }, // 9332
  { PseudoVSRA_VI_M4, VSRA_VI, 0x2, 0x0 }, // 9333
  { PseudoVSRA_VI_M4_MASK, VSRA_VI, 0x2, 0x0 }, // 9334
  { PseudoVSRA_VI_M8, VSRA_VI, 0x3, 0x0 }, // 9335
  { PseudoVSRA_VI_M8_MASK, VSRA_VI, 0x3, 0x0 }, // 9336
  { PseudoVSRA_VI_MF8, VSRA_VI, 0x5, 0x0 }, // 9337
  { PseudoVSRA_VI_MF8_MASK, VSRA_VI, 0x5, 0x0 }, // 9338
  { PseudoVSRA_VI_MF4, VSRA_VI, 0x6, 0x0 }, // 9339
  { PseudoVSRA_VI_MF4_MASK, VSRA_VI, 0x6, 0x0 }, // 9340
  { PseudoVSRA_VI_MF2, VSRA_VI, 0x7, 0x0 }, // 9341
  { PseudoVSRA_VI_MF2_MASK, VSRA_VI, 0x7, 0x0 }, // 9342
  { PseudoVSRA_VV_M1, VSRA_VV, 0x0, 0x0 }, // 9343
  { PseudoVSRA_VV_M1_MASK, VSRA_VV, 0x0, 0x0 }, // 9344
  { PseudoVSRA_VV_M2, VSRA_VV, 0x1, 0x0 }, // 9345
  { PseudoVSRA_VV_M2_MASK, VSRA_VV, 0x1, 0x0 }, // 9346
  { PseudoVSRA_VV_M4, VSRA_VV, 0x2, 0x0 }, // 9347
  { PseudoVSRA_VV_M4_MASK, VSRA_VV, 0x2, 0x0 }, // 9348
  { PseudoVSRA_VV_M8, VSRA_VV, 0x3, 0x0 }, // 9349
  { PseudoVSRA_VV_M8_MASK, VSRA_VV, 0x3, 0x0 }, // 9350
  { PseudoVSRA_VV_MF8, VSRA_VV, 0x5, 0x0 }, // 9351
  { PseudoVSRA_VV_MF8_MASK, VSRA_VV, 0x5, 0x0 }, // 9352
  { PseudoVSRA_VV_MF4, VSRA_VV, 0x6, 0x0 }, // 9353
  { PseudoVSRA_VV_MF4_MASK, VSRA_VV, 0x6, 0x0 }, // 9354
  { PseudoVSRA_VV_MF2, VSRA_VV, 0x7, 0x0 }, // 9355
  { PseudoVSRA_VV_MF2_MASK, VSRA_VV, 0x7, 0x0 }, // 9356
  { PseudoVSRA_VX_M1, VSRA_VX, 0x0, 0x0 }, // 9357
  { PseudoVSRA_VX_M1_MASK, VSRA_VX, 0x0, 0x0 }, // 9358
  { PseudoVSRA_VX_M2, VSRA_VX, 0x1, 0x0 }, // 9359
  { PseudoVSRA_VX_M2_MASK, VSRA_VX, 0x1, 0x0 }, // 9360
  { PseudoVSRA_VX_M4, VSRA_VX, 0x2, 0x0 }, // 9361
  { PseudoVSRA_VX_M4_MASK, VSRA_VX, 0x2, 0x0 }, // 9362
  { PseudoVSRA_VX_M8, VSRA_VX, 0x3, 0x0 }, // 9363
  { PseudoVSRA_VX_M8_MASK, VSRA_VX, 0x3, 0x0 }, // 9364
  { PseudoVSRA_VX_MF8, VSRA_VX, 0x5, 0x0 }, // 9365
  { PseudoVSRA_VX_MF8_MASK, VSRA_VX, 0x5, 0x0 }, // 9366
  { PseudoVSRA_VX_MF4, VSRA_VX, 0x6, 0x0 }, // 9367
  { PseudoVSRA_VX_MF4_MASK, VSRA_VX, 0x6, 0x0 }, // 9368
  { PseudoVSRA_VX_MF2, VSRA_VX, 0x7, 0x0 }, // 9369
  { PseudoVSRA_VX_MF2_MASK, VSRA_VX, 0x7, 0x0 }, // 9370
  { PseudoVSRL_VI_M1, VSRL_VI, 0x0, 0x0 }, // 9371
  { PseudoVSRL_VI_M1_MASK, VSRL_VI, 0x0, 0x0 }, // 9372
  { PseudoVSRL_VI_M2, VSRL_VI, 0x1, 0x0 }, // 9373
  { PseudoVSRL_VI_M2_MASK, VSRL_VI, 0x1, 0x0 }, // 9374
  { PseudoVSRL_VI_M4, VSRL_VI, 0x2, 0x0 }, // 9375
  { PseudoVSRL_VI_M4_MASK, VSRL_VI, 0x2, 0x0 }, // 9376
  { PseudoVSRL_VI_M8, VSRL_VI, 0x3, 0x0 }, // 9377
  { PseudoVSRL_VI_M8_MASK, VSRL_VI, 0x3, 0x0 }, // 9378
  { PseudoVSRL_VI_MF8, VSRL_VI, 0x5, 0x0 }, // 9379
  { PseudoVSRL_VI_MF8_MASK, VSRL_VI, 0x5, 0x0 }, // 9380
  { PseudoVSRL_VI_MF4, VSRL_VI, 0x6, 0x0 }, // 9381
  { PseudoVSRL_VI_MF4_MASK, VSRL_VI, 0x6, 0x0 }, // 9382
  { PseudoVSRL_VI_MF2, VSRL_VI, 0x7, 0x0 }, // 9383
  { PseudoVSRL_VI_MF2_MASK, VSRL_VI, 0x7, 0x0 }, // 9384
  { PseudoVSRL_VV_M1, VSRL_VV, 0x0, 0x0 }, // 9385
  { PseudoVSRL_VV_M1_MASK, VSRL_VV, 0x0, 0x0 }, // 9386
  { PseudoVSRL_VV_M2, VSRL_VV, 0x1, 0x0 }, // 9387
  { PseudoVSRL_VV_M2_MASK, VSRL_VV, 0x1, 0x0 }, // 9388
  { PseudoVSRL_VV_M4, VSRL_VV, 0x2, 0x0 }, // 9389
  { PseudoVSRL_VV_M4_MASK, VSRL_VV, 0x2, 0x0 }, // 9390
  { PseudoVSRL_VV_M8, VSRL_VV, 0x3, 0x0 }, // 9391
  { PseudoVSRL_VV_M8_MASK, VSRL_VV, 0x3, 0x0 }, // 9392
  { PseudoVSRL_VV_MF8, VSRL_VV, 0x5, 0x0 }, // 9393
  { PseudoVSRL_VV_MF8_MASK, VSRL_VV, 0x5, 0x0 }, // 9394
  { PseudoVSRL_VV_MF4, VSRL_VV, 0x6, 0x0 }, // 9395
  { PseudoVSRL_VV_MF4_MASK, VSRL_VV, 0x6, 0x0 }, // 9396
  { PseudoVSRL_VV_MF2, VSRL_VV, 0x7, 0x0 }, // 9397
  { PseudoVSRL_VV_MF2_MASK, VSRL_VV, 0x7, 0x0 }, // 9398
  { PseudoVSRL_VX_M1, VSRL_VX, 0x0, 0x0 }, // 9399
  { PseudoVSRL_VX_M1_MASK, VSRL_VX, 0x0, 0x0 }, // 9400
  { PseudoVSRL_VX_M2, VSRL_VX, 0x1, 0x0 }, // 9401
  { PseudoVSRL_VX_M2_MASK, VSRL_VX, 0x1, 0x0 }, // 9402
  { PseudoVSRL_VX_M4, VSRL_VX, 0x2, 0x0 }, // 9403
  { PseudoVSRL_VX_M4_MASK, VSRL_VX, 0x2, 0x0 }, // 9404
  { PseudoVSRL_VX_M8, VSRL_VX, 0x3, 0x0 }, // 9405
  { PseudoVSRL_VX_M8_MASK, VSRL_VX, 0x3, 0x0 }, // 9406
  { PseudoVSRL_VX_MF8, VSRL_VX, 0x5, 0x0 }, // 9407
  { PseudoVSRL_VX_MF8_MASK, VSRL_VX, 0x5, 0x0 }, // 9408
  { PseudoVSRL_VX_MF4, VSRL_VX, 0x6, 0x0 }, // 9409
  { PseudoVSRL_VX_MF4_MASK, VSRL_VX, 0x6, 0x0 }, // 9410
  { PseudoVSRL_VX_MF2, VSRL_VX, 0x7, 0x0 }, // 9411
  { PseudoVSRL_VX_MF2_MASK, VSRL_VX, 0x7, 0x0 }, // 9412
  { PseudoVSSE16_V_M1, VSSE16_V, 0x0, 0x10 }, // 9413
  { PseudoVSSE16_V_M1_MASK, VSSE16_V, 0x0, 0x10 }, // 9414
  { PseudoVSSE16_V_M2, VSSE16_V, 0x1, 0x10 }, // 9415
  { PseudoVSSE16_V_M2_MASK, VSSE16_V, 0x1, 0x10 }, // 9416
  { PseudoVSSE16_V_M4, VSSE16_V, 0x2, 0x10 }, // 9417
  { PseudoVSSE16_V_M4_MASK, VSSE16_V, 0x2, 0x10 }, // 9418
  { PseudoVSSE16_V_M8, VSSE16_V, 0x3, 0x10 }, // 9419
  { PseudoVSSE16_V_M8_MASK, VSSE16_V, 0x3, 0x10 }, // 9420
  { PseudoVSSE16_V_MF4, VSSE16_V, 0x6, 0x10 }, // 9421
  { PseudoVSSE16_V_MF4_MASK, VSSE16_V, 0x6, 0x10 }, // 9422
  { PseudoVSSE16_V_MF2, VSSE16_V, 0x7, 0x10 }, // 9423
  { PseudoVSSE16_V_MF2_MASK, VSSE16_V, 0x7, 0x10 }, // 9424
  { PseudoVSSE32_V_M1, VSSE32_V, 0x0, 0x20 }, // 9425
  { PseudoVSSE32_V_M1_MASK, VSSE32_V, 0x0, 0x20 }, // 9426
  { PseudoVSSE32_V_M2, VSSE32_V, 0x1, 0x20 }, // 9427
  { PseudoVSSE32_V_M2_MASK, VSSE32_V, 0x1, 0x20 }, // 9428
  { PseudoVSSE32_V_M4, VSSE32_V, 0x2, 0x20 }, // 9429
  { PseudoVSSE32_V_M4_MASK, VSSE32_V, 0x2, 0x20 }, // 9430
  { PseudoVSSE32_V_M8, VSSE32_V, 0x3, 0x20 }, // 9431
  { PseudoVSSE32_V_M8_MASK, VSSE32_V, 0x3, 0x20 }, // 9432
  { PseudoVSSE32_V_MF2, VSSE32_V, 0x7, 0x20 }, // 9433
  { PseudoVSSE32_V_MF2_MASK, VSSE32_V, 0x7, 0x20 }, // 9434
  { PseudoVSSE64_V_M1, VSSE64_V, 0x0, 0x40 }, // 9435
  { PseudoVSSE64_V_M1_MASK, VSSE64_V, 0x0, 0x40 }, // 9436
  { PseudoVSSE64_V_M2, VSSE64_V, 0x1, 0x40 }, // 9437
  { PseudoVSSE64_V_M2_MASK, VSSE64_V, 0x1, 0x40 }, // 9438
  { PseudoVSSE64_V_M4, VSSE64_V, 0x2, 0x40 }, // 9439
  { PseudoVSSE64_V_M4_MASK, VSSE64_V, 0x2, 0x40 }, // 9440
  { PseudoVSSE64_V_M8, VSSE64_V, 0x3, 0x40 }, // 9441
  { PseudoVSSE64_V_M8_MASK, VSSE64_V, 0x3, 0x40 }, // 9442
  { PseudoVSSE8_V_M1, VSSE8_V, 0x0, 0x8 }, // 9443
  { PseudoVSSE8_V_M1_MASK, VSSE8_V, 0x0, 0x8 }, // 9444
  { PseudoVSSE8_V_M2, VSSE8_V, 0x1, 0x8 }, // 9445
  { PseudoVSSE8_V_M2_MASK, VSSE8_V, 0x1, 0x8 }, // 9446
  { PseudoVSSE8_V_M4, VSSE8_V, 0x2, 0x8 }, // 9447
  { PseudoVSSE8_V_M4_MASK, VSSE8_V, 0x2, 0x8 }, // 9448
  { PseudoVSSE8_V_M8, VSSE8_V, 0x3, 0x8 }, // 9449
  { PseudoVSSE8_V_M8_MASK, VSSE8_V, 0x3, 0x8 }, // 9450
  { PseudoVSSE8_V_MF8, VSSE8_V, 0x5, 0x8 }, // 9451
  { PseudoVSSE8_V_MF8_MASK, VSSE8_V, 0x5, 0x8 }, // 9452
  { PseudoVSSE8_V_MF4, VSSE8_V, 0x6, 0x8 }, // 9453
  { PseudoVSSE8_V_MF4_MASK, VSSE8_V, 0x6, 0x8 }, // 9454
  { PseudoVSSE8_V_MF2, VSSE8_V, 0x7, 0x8 }, // 9455
  { PseudoVSSE8_V_MF2_MASK, VSSE8_V, 0x7, 0x8 }, // 9456
  { PseudoVSSEG2E16_V_M1, VSSEG2E16_V, 0x0, 0x10 }, // 9457
  { PseudoVSSEG2E16_V_M1_MASK, VSSEG2E16_V, 0x0, 0x10 }, // 9458
  { PseudoVSSEG2E16_V_M2, VSSEG2E16_V, 0x1, 0x10 }, // 9459
  { PseudoVSSEG2E16_V_M2_MASK, VSSEG2E16_V, 0x1, 0x10 }, // 9460
  { PseudoVSSEG2E16_V_M4, VSSEG2E16_V, 0x2, 0x10 }, // 9461
  { PseudoVSSEG2E16_V_M4_MASK, VSSEG2E16_V, 0x2, 0x10 }, // 9462
  { PseudoVSSEG2E16_V_MF4, VSSEG2E16_V, 0x6, 0x10 }, // 9463
  { PseudoVSSEG2E16_V_MF4_MASK, VSSEG2E16_V, 0x6, 0x10 }, // 9464
  { PseudoVSSEG2E16_V_MF2, VSSEG2E16_V, 0x7, 0x10 }, // 9465
  { PseudoVSSEG2E16_V_MF2_MASK, VSSEG2E16_V, 0x7, 0x10 }, // 9466
  { PseudoVSSEG2E32_V_M1, VSSEG2E32_V, 0x0, 0x20 }, // 9467
  { PseudoVSSEG2E32_V_M1_MASK, VSSEG2E32_V, 0x0, 0x20 }, // 9468
  { PseudoVSSEG2E32_V_M2, VSSEG2E32_V, 0x1, 0x20 }, // 9469
  { PseudoVSSEG2E32_V_M2_MASK, VSSEG2E32_V, 0x1, 0x20 }, // 9470
  { PseudoVSSEG2E32_V_M4, VSSEG2E32_V, 0x2, 0x20 }, // 9471
  { PseudoVSSEG2E32_V_M4_MASK, VSSEG2E32_V, 0x2, 0x20 }, // 9472
  { PseudoVSSEG2E32_V_MF2, VSSEG2E32_V, 0x7, 0x20 }, // 9473
  { PseudoVSSEG2E32_V_MF2_MASK, VSSEG2E32_V, 0x7, 0x20 }, // 9474
  { PseudoVSSEG2E64_V_M1, VSSEG2E64_V, 0x0, 0x40 }, // 9475
  { PseudoVSSEG2E64_V_M1_MASK, VSSEG2E64_V, 0x0, 0x40 }, // 9476
  { PseudoVSSEG2E64_V_M2, VSSEG2E64_V, 0x1, 0x40 }, // 9477
  { PseudoVSSEG2E64_V_M2_MASK, VSSEG2E64_V, 0x1, 0x40 }, // 9478
  { PseudoVSSEG2E64_V_M4, VSSEG2E64_V, 0x2, 0x40 }, // 9479
  { PseudoVSSEG2E64_V_M4_MASK, VSSEG2E64_V, 0x2, 0x40 }, // 9480
  { PseudoVSSEG2E8_V_M1, VSSEG2E8_V, 0x0, 0x8 }, // 9481
  { PseudoVSSEG2E8_V_M1_MASK, VSSEG2E8_V, 0x0, 0x8 }, // 9482
  { PseudoVSSEG2E8_V_M2, VSSEG2E8_V, 0x1, 0x8 }, // 9483
  { PseudoVSSEG2E8_V_M2_MASK, VSSEG2E8_V, 0x1, 0x8 }, // 9484
  { PseudoVSSEG2E8_V_M4, VSSEG2E8_V, 0x2, 0x8 }, // 9485
  { PseudoVSSEG2E8_V_M4_MASK, VSSEG2E8_V, 0x2, 0x8 }, // 9486
  { PseudoVSSEG2E8_V_MF8, VSSEG2E8_V, 0x5, 0x8 }, // 9487
  { PseudoVSSEG2E8_V_MF8_MASK, VSSEG2E8_V, 0x5, 0x8 }, // 9488
  { PseudoVSSEG2E8_V_MF4, VSSEG2E8_V, 0x6, 0x8 }, // 9489
  { PseudoVSSEG2E8_V_MF4_MASK, VSSEG2E8_V, 0x6, 0x8 }, // 9490
  { PseudoVSSEG2E8_V_MF2, VSSEG2E8_V, 0x7, 0x8 }, // 9491
  { PseudoVSSEG2E8_V_MF2_MASK, VSSEG2E8_V, 0x7, 0x8 }, // 9492
  { PseudoVSSEG3E16_V_M1, VSSEG3E16_V, 0x0, 0x10 }, // 9493
  { PseudoVSSEG3E16_V_M1_MASK, VSSEG3E16_V, 0x0, 0x10 }, // 9494
  { PseudoVSSEG3E16_V_M2, VSSEG3E16_V, 0x1, 0x10 }, // 9495
  { PseudoVSSEG3E16_V_M2_MASK, VSSEG3E16_V, 0x1, 0x10 }, // 9496
  { PseudoVSSEG3E16_V_MF4, VSSEG3E16_V, 0x6, 0x10 }, // 9497
  { PseudoVSSEG3E16_V_MF4_MASK, VSSEG3E16_V, 0x6, 0x10 }, // 9498
  { PseudoVSSEG3E16_V_MF2, VSSEG3E16_V, 0x7, 0x10 }, // 9499
  { PseudoVSSEG3E16_V_MF2_MASK, VSSEG3E16_V, 0x7, 0x10 }, // 9500
  { PseudoVSSEG3E32_V_M1, VSSEG3E32_V, 0x0, 0x20 }, // 9501
  { PseudoVSSEG3E32_V_M1_MASK, VSSEG3E32_V, 0x0, 0x20 }, // 9502
  { PseudoVSSEG3E32_V_M2, VSSEG3E32_V, 0x1, 0x20 }, // 9503
  { PseudoVSSEG3E32_V_M2_MASK, VSSEG3E32_V, 0x1, 0x20 }, // 9504
  { PseudoVSSEG3E32_V_MF2, VSSEG3E32_V, 0x7, 0x20 }, // 9505
  { PseudoVSSEG3E32_V_MF2_MASK, VSSEG3E32_V, 0x7, 0x20 }, // 9506
  { PseudoVSSEG3E64_V_M1, VSSEG3E64_V, 0x0, 0x40 }, // 9507
  { PseudoVSSEG3E64_V_M1_MASK, VSSEG3E64_V, 0x0, 0x40 }, // 9508
  { PseudoVSSEG3E64_V_M2, VSSEG3E64_V, 0x1, 0x40 }, // 9509
  { PseudoVSSEG3E64_V_M2_MASK, VSSEG3E64_V, 0x1, 0x40 }, // 9510
  { PseudoVSSEG3E8_V_M1, VSSEG3E8_V, 0x0, 0x8 }, // 9511
  { PseudoVSSEG3E8_V_M1_MASK, VSSEG3E8_V, 0x0, 0x8 }, // 9512
  { PseudoVSSEG3E8_V_M2, VSSEG3E8_V, 0x1, 0x8 }, // 9513
  { PseudoVSSEG3E8_V_M2_MASK, VSSEG3E8_V, 0x1, 0x8 }, // 9514
  { PseudoVSSEG3E8_V_MF8, VSSEG3E8_V, 0x5, 0x8 }, // 9515
  { PseudoVSSEG3E8_V_MF8_MASK, VSSEG3E8_V, 0x5, 0x8 }, // 9516
  { PseudoVSSEG3E8_V_MF4, VSSEG3E8_V, 0x6, 0x8 }, // 9517
  { PseudoVSSEG3E8_V_MF4_MASK, VSSEG3E8_V, 0x6, 0x8 }, // 9518
  { PseudoVSSEG3E8_V_MF2, VSSEG3E8_V, 0x7, 0x8 }, // 9519
  { PseudoVSSEG3E8_V_MF2_MASK, VSSEG3E8_V, 0x7, 0x8 }, // 9520
  { PseudoVSSEG4E16_V_M1, VSSEG4E16_V, 0x0, 0x10 }, // 9521
  { PseudoVSSEG4E16_V_M1_MASK, VSSEG4E16_V, 0x0, 0x10 }, // 9522
  { PseudoVSSEG4E16_V_M2, VSSEG4E16_V, 0x1, 0x10 }, // 9523
  { PseudoVSSEG4E16_V_M2_MASK, VSSEG4E16_V, 0x1, 0x10 }, // 9524
  { PseudoVSSEG4E16_V_MF4, VSSEG4E16_V, 0x6, 0x10 }, // 9525
  { PseudoVSSEG4E16_V_MF4_MASK, VSSEG4E16_V, 0x6, 0x10 }, // 9526
  { PseudoVSSEG4E16_V_MF2, VSSEG4E16_V, 0x7, 0x10 }, // 9527
  { PseudoVSSEG4E16_V_MF2_MASK, VSSEG4E16_V, 0x7, 0x10 }, // 9528
  { PseudoVSSEG4E32_V_M1, VSSEG4E32_V, 0x0, 0x20 }, // 9529
  { PseudoVSSEG4E32_V_M1_MASK, VSSEG4E32_V, 0x0, 0x20 }, // 9530
  { PseudoVSSEG4E32_V_M2, VSSEG4E32_V, 0x1, 0x20 }, // 9531
  { PseudoVSSEG4E32_V_M2_MASK, VSSEG4E32_V, 0x1, 0x20 }, // 9532
  { PseudoVSSEG4E32_V_MF2, VSSEG4E32_V, 0x7, 0x20 }, // 9533
  { PseudoVSSEG4E32_V_MF2_MASK, VSSEG4E32_V, 0x7, 0x20 }, // 9534
  { PseudoVSSEG4E64_V_M1, VSSEG4E64_V, 0x0, 0x40 }, // 9535
  { PseudoVSSEG4E64_V_M1_MASK, VSSEG4E64_V, 0x0, 0x40 }, // 9536
  { PseudoVSSEG4E64_V_M2, VSSEG4E64_V, 0x1, 0x40 }, // 9537
  { PseudoVSSEG4E64_V_M2_MASK, VSSEG4E64_V, 0x1, 0x40 }, // 9538
  { PseudoVSSEG4E8_V_M1, VSSEG4E8_V, 0x0, 0x8 }, // 9539
  { PseudoVSSEG4E8_V_M1_MASK, VSSEG4E8_V, 0x0, 0x8 }, // 9540
  { PseudoVSSEG4E8_V_M2, VSSEG4E8_V, 0x1, 0x8 }, // 9541
  { PseudoVSSEG4E8_V_M2_MASK, VSSEG4E8_V, 0x1, 0x8 }, // 9542
  { PseudoVSSEG4E8_V_MF8, VSSEG4E8_V, 0x5, 0x8 }, // 9543
  { PseudoVSSEG4E8_V_MF8_MASK, VSSEG4E8_V, 0x5, 0x8 }, // 9544
  { PseudoVSSEG4E8_V_MF4, VSSEG4E8_V, 0x6, 0x8 }, // 9545
  { PseudoVSSEG4E8_V_MF4_MASK, VSSEG4E8_V, 0x6, 0x8 }, // 9546
  { PseudoVSSEG4E8_V_MF2, VSSEG4E8_V, 0x7, 0x8 }, // 9547
  { PseudoVSSEG4E8_V_MF2_MASK, VSSEG4E8_V, 0x7, 0x8 }, // 9548
  { PseudoVSSEG5E16_V_M1, VSSEG5E16_V, 0x0, 0x10 }, // 9549
  { PseudoVSSEG5E16_V_M1_MASK, VSSEG5E16_V, 0x0, 0x10 }, // 9550
  { PseudoVSSEG5E16_V_MF4, VSSEG5E16_V, 0x6, 0x10 }, // 9551
  { PseudoVSSEG5E16_V_MF4_MASK, VSSEG5E16_V, 0x6, 0x10 }, // 9552
  { PseudoVSSEG5E16_V_MF2, VSSEG5E16_V, 0x7, 0x10 }, // 9553
  { PseudoVSSEG5E16_V_MF2_MASK, VSSEG5E16_V, 0x7, 0x10 }, // 9554
  { PseudoVSSEG5E32_V_M1, VSSEG5E32_V, 0x0, 0x20 }, // 9555
  { PseudoVSSEG5E32_V_M1_MASK, VSSEG5E32_V, 0x0, 0x20 }, // 9556
  { PseudoVSSEG5E32_V_MF2, VSSEG5E32_V, 0x7, 0x20 }, // 9557
  { PseudoVSSEG5E32_V_MF2_MASK, VSSEG5E32_V, 0x7, 0x20 }, // 9558
  { PseudoVSSEG5E64_V_M1, VSSEG5E64_V, 0x0, 0x40 }, // 9559
  { PseudoVSSEG5E64_V_M1_MASK, VSSEG5E64_V, 0x0, 0x40 }, // 9560
  { PseudoVSSEG5E8_V_M1, VSSEG5E8_V, 0x0, 0x8 }, // 9561
  { PseudoVSSEG5E8_V_M1_MASK, VSSEG5E8_V, 0x0, 0x8 }, // 9562
  { PseudoVSSEG5E8_V_MF8, VSSEG5E8_V, 0x5, 0x8 }, // 9563
  { PseudoVSSEG5E8_V_MF8_MASK, VSSEG5E8_V, 0x5, 0x8 }, // 9564
  { PseudoVSSEG5E8_V_MF4, VSSEG5E8_V, 0x6, 0x8 }, // 9565
  { PseudoVSSEG5E8_V_MF4_MASK, VSSEG5E8_V, 0x6, 0x8 }, // 9566
  { PseudoVSSEG5E8_V_MF2, VSSEG5E8_V, 0x7, 0x8 }, // 9567
  { PseudoVSSEG5E8_V_MF2_MASK, VSSEG5E8_V, 0x7, 0x8 }, // 9568
  { PseudoVSSEG6E16_V_M1, VSSEG6E16_V, 0x0, 0x10 }, // 9569
  { PseudoVSSEG6E16_V_M1_MASK, VSSEG6E16_V, 0x0, 0x10 }, // 9570
  { PseudoVSSEG6E16_V_MF4, VSSEG6E16_V, 0x6, 0x10 }, // 9571
  { PseudoVSSEG6E16_V_MF4_MASK, VSSEG6E16_V, 0x6, 0x10 }, // 9572
  { PseudoVSSEG6E16_V_MF2, VSSEG6E16_V, 0x7, 0x10 }, // 9573
  { PseudoVSSEG6E16_V_MF2_MASK, VSSEG6E16_V, 0x7, 0x10 }, // 9574
  { PseudoVSSEG6E32_V_M1, VSSEG6E32_V, 0x0, 0x20 }, // 9575
  { PseudoVSSEG6E32_V_M1_MASK, VSSEG6E32_V, 0x0, 0x20 }, // 9576
  { PseudoVSSEG6E32_V_MF2, VSSEG6E32_V, 0x7, 0x20 }, // 9577
  { PseudoVSSEG6E32_V_MF2_MASK, VSSEG6E32_V, 0x7, 0x20 }, // 9578
  { PseudoVSSEG6E64_V_M1, VSSEG6E64_V, 0x0, 0x40 }, // 9579
  { PseudoVSSEG6E64_V_M1_MASK, VSSEG6E64_V, 0x0, 0x40 }, // 9580
  { PseudoVSSEG6E8_V_M1, VSSEG6E8_V, 0x0, 0x8 }, // 9581
  { PseudoVSSEG6E8_V_M1_MASK, VSSEG6E8_V, 0x0, 0x8 }, // 9582
  { PseudoVSSEG6E8_V_MF8, VSSEG6E8_V, 0x5, 0x8 }, // 9583
  { PseudoVSSEG6E8_V_MF8_MASK, VSSEG6E8_V, 0x5, 0x8 }, // 9584
  { PseudoVSSEG6E8_V_MF4, VSSEG6E8_V, 0x6, 0x8 }, // 9585
  { PseudoVSSEG6E8_V_MF4_MASK, VSSEG6E8_V, 0x6, 0x8 }, // 9586
  { PseudoVSSEG6E8_V_MF2, VSSEG6E8_V, 0x7, 0x8 }, // 9587
  { PseudoVSSEG6E8_V_MF2_MASK, VSSEG6E8_V, 0x7, 0x8 }, // 9588
  { PseudoVSSEG7E16_V_M1, VSSEG7E16_V, 0x0, 0x10 }, // 9589
  { PseudoVSSEG7E16_V_M1_MASK, VSSEG7E16_V, 0x0, 0x10 }, // 9590
  { PseudoVSSEG7E16_V_MF4, VSSEG7E16_V, 0x6, 0x10 }, // 9591
  { PseudoVSSEG7E16_V_MF4_MASK, VSSEG7E16_V, 0x6, 0x10 }, // 9592
  { PseudoVSSEG7E16_V_MF2, VSSEG7E16_V, 0x7, 0x10 }, // 9593
  { PseudoVSSEG7E16_V_MF2_MASK, VSSEG7E16_V, 0x7, 0x10 }, // 9594
  { PseudoVSSEG7E32_V_M1, VSSEG7E32_V, 0x0, 0x20 }, // 9595
  { PseudoVSSEG7E32_V_M1_MASK, VSSEG7E32_V, 0x0, 0x20 }, // 9596
  { PseudoVSSEG7E32_V_MF2, VSSEG7E32_V, 0x7, 0x20 }, // 9597
  { PseudoVSSEG7E32_V_MF2_MASK, VSSEG7E32_V, 0x7, 0x20 }, // 9598
  { PseudoVSSEG7E64_V_M1, VSSEG7E64_V, 0x0, 0x40 }, // 9599
  { PseudoVSSEG7E64_V_M1_MASK, VSSEG7E64_V, 0x0, 0x40 }, // 9600
  { PseudoVSSEG7E8_V_M1, VSSEG7E8_V, 0x0, 0x8 }, // 9601
  { PseudoVSSEG7E8_V_M1_MASK, VSSEG7E8_V, 0x0, 0x8 }, // 9602
  { PseudoVSSEG7E8_V_MF8, VSSEG7E8_V, 0x5, 0x8 }, // 9603
  { PseudoVSSEG7E8_V_MF8_MASK, VSSEG7E8_V, 0x5, 0x8 }, // 9604
  { PseudoVSSEG7E8_V_MF4, VSSEG7E8_V, 0x6, 0x8 }, // 9605
  { PseudoVSSEG7E8_V_MF4_MASK, VSSEG7E8_V, 0x6, 0x8 }, // 9606
  { PseudoVSSEG7E8_V_MF2, VSSEG7E8_V, 0x7, 0x8 }, // 9607
  { PseudoVSSEG7E8_V_MF2_MASK, VSSEG7E8_V, 0x7, 0x8 }, // 9608
  { PseudoVSSEG8E16_V_M1, VSSEG8E16_V, 0x0, 0x10 }, // 9609
  { PseudoVSSEG8E16_V_M1_MASK, VSSEG8E16_V, 0x0, 0x10 }, // 9610
  { PseudoVSSEG8E16_V_MF4, VSSEG8E16_V, 0x6, 0x10 }, // 9611
  { PseudoVSSEG8E16_V_MF4_MASK, VSSEG8E16_V, 0x6, 0x10 }, // 9612
  { PseudoVSSEG8E16_V_MF2, VSSEG8E16_V, 0x7, 0x10 }, // 9613
  { PseudoVSSEG8E16_V_MF2_MASK, VSSEG8E16_V, 0x7, 0x10 }, // 9614
  { PseudoVSSEG8E32_V_M1, VSSEG8E32_V, 0x0, 0x20 }, // 9615
  { PseudoVSSEG8E32_V_M1_MASK, VSSEG8E32_V, 0x0, 0x20 }, // 9616
  { PseudoVSSEG8E32_V_MF2, VSSEG8E32_V, 0x7, 0x20 }, // 9617
  { PseudoVSSEG8E32_V_MF2_MASK, VSSEG8E32_V, 0x7, 0x20 }, // 9618
  { PseudoVSSEG8E64_V_M1, VSSEG8E64_V, 0x0, 0x40 }, // 9619
  { PseudoVSSEG8E64_V_M1_MASK, VSSEG8E64_V, 0x0, 0x40 }, // 9620
  { PseudoVSSEG8E8_V_M1, VSSEG8E8_V, 0x0, 0x8 }, // 9621
  { PseudoVSSEG8E8_V_M1_MASK, VSSEG8E8_V, 0x0, 0x8 }, // 9622
  { PseudoVSSEG8E8_V_MF8, VSSEG8E8_V, 0x5, 0x8 }, // 9623
  { PseudoVSSEG8E8_V_MF8_MASK, VSSEG8E8_V, 0x5, 0x8 }, // 9624
  { PseudoVSSEG8E8_V_MF4, VSSEG8E8_V, 0x6, 0x8 }, // 9625
  { PseudoVSSEG8E8_V_MF4_MASK, VSSEG8E8_V, 0x6, 0x8 }, // 9626
  { PseudoVSSEG8E8_V_MF2, VSSEG8E8_V, 0x7, 0x8 }, // 9627
  { PseudoVSSEG8E8_V_MF2_MASK, VSSEG8E8_V, 0x7, 0x8 }, // 9628
  { PseudoVSSRA_VI_M1, VSSRA_VI, 0x0, 0x0 }, // 9629
  { PseudoVSSRA_VI_M1_MASK, VSSRA_VI, 0x0, 0x0 }, // 9630
  { PseudoVSSRA_VI_M2, VSSRA_VI, 0x1, 0x0 }, // 9631
  { PseudoVSSRA_VI_M2_MASK, VSSRA_VI, 0x1, 0x0 }, // 9632
  { PseudoVSSRA_VI_M4, VSSRA_VI, 0x2, 0x0 }, // 9633
  { PseudoVSSRA_VI_M4_MASK, VSSRA_VI, 0x2, 0x0 }, // 9634
  { PseudoVSSRA_VI_M8, VSSRA_VI, 0x3, 0x0 }, // 9635
  { PseudoVSSRA_VI_M8_MASK, VSSRA_VI, 0x3, 0x0 }, // 9636
  { PseudoVSSRA_VI_MF8, VSSRA_VI, 0x5, 0x0 }, // 9637
  { PseudoVSSRA_VI_MF8_MASK, VSSRA_VI, 0x5, 0x0 }, // 9638
  { PseudoVSSRA_VI_MF4, VSSRA_VI, 0x6, 0x0 }, // 9639
  { PseudoVSSRA_VI_MF4_MASK, VSSRA_VI, 0x6, 0x0 }, // 9640
  { PseudoVSSRA_VI_MF2, VSSRA_VI, 0x7, 0x0 }, // 9641
  { PseudoVSSRA_VI_MF2_MASK, VSSRA_VI, 0x7, 0x0 }, // 9642
  { PseudoVSSRA_VV_M1, VSSRA_VV, 0x0, 0x0 }, // 9643
  { PseudoVSSRA_VV_M1_MASK, VSSRA_VV, 0x0, 0x0 }, // 9644
  { PseudoVSSRA_VV_M2, VSSRA_VV, 0x1, 0x0 }, // 9645
  { PseudoVSSRA_VV_M2_MASK, VSSRA_VV, 0x1, 0x0 }, // 9646
  { PseudoVSSRA_VV_M4, VSSRA_VV, 0x2, 0x0 }, // 9647
  { PseudoVSSRA_VV_M4_MASK, VSSRA_VV, 0x2, 0x0 }, // 9648
  { PseudoVSSRA_VV_M8, VSSRA_VV, 0x3, 0x0 }, // 9649
  { PseudoVSSRA_VV_M8_MASK, VSSRA_VV, 0x3, 0x0 }, // 9650
  { PseudoVSSRA_VV_MF8, VSSRA_VV, 0x5, 0x0 }, // 9651
  { PseudoVSSRA_VV_MF8_MASK, VSSRA_VV, 0x5, 0x0 }, // 9652
  { PseudoVSSRA_VV_MF4, VSSRA_VV, 0x6, 0x0 }, // 9653
  { PseudoVSSRA_VV_MF4_MASK, VSSRA_VV, 0x6, 0x0 }, // 9654
  { PseudoVSSRA_VV_MF2, VSSRA_VV, 0x7, 0x0 }, // 9655
  { PseudoVSSRA_VV_MF2_MASK, VSSRA_VV, 0x7, 0x0 }, // 9656
  { PseudoVSSRA_VX_M1, VSSRA_VX, 0x0, 0x0 }, // 9657
  { PseudoVSSRA_VX_M1_MASK, VSSRA_VX, 0x0, 0x0 }, // 9658
  { PseudoVSSRA_VX_M2, VSSRA_VX, 0x1, 0x0 }, // 9659
  { PseudoVSSRA_VX_M2_MASK, VSSRA_VX, 0x1, 0x0 }, // 9660
  { PseudoVSSRA_VX_M4, VSSRA_VX, 0x2, 0x0 }, // 9661
  { PseudoVSSRA_VX_M4_MASK, VSSRA_VX, 0x2, 0x0 }, // 9662
  { PseudoVSSRA_VX_M8, VSSRA_VX, 0x3, 0x0 }, // 9663
  { PseudoVSSRA_VX_M8_MASK, VSSRA_VX, 0x3, 0x0 }, // 9664
  { PseudoVSSRA_VX_MF8, VSSRA_VX, 0x5, 0x0 }, // 9665
  { PseudoVSSRA_VX_MF8_MASK, VSSRA_VX, 0x5, 0x0 }, // 9666
  { PseudoVSSRA_VX_MF4, VSSRA_VX, 0x6, 0x0 }, // 9667
  { PseudoVSSRA_VX_MF4_MASK, VSSRA_VX, 0x6, 0x0 }, // 9668
  { PseudoVSSRA_VX_MF2, VSSRA_VX, 0x7, 0x0 }, // 9669
  { PseudoVSSRA_VX_MF2_MASK, VSSRA_VX, 0x7, 0x0 }, // 9670
  { PseudoVSSRL_VI_M1, VSSRL_VI, 0x0, 0x0 }, // 9671
  { PseudoVSSRL_VI_M1_MASK, VSSRL_VI, 0x0, 0x0 }, // 9672
  { PseudoVSSRL_VI_M2, VSSRL_VI, 0x1, 0x0 }, // 9673
  { PseudoVSSRL_VI_M2_MASK, VSSRL_VI, 0x1, 0x0 }, // 9674
  { PseudoVSSRL_VI_M4, VSSRL_VI, 0x2, 0x0 }, // 9675
  { PseudoVSSRL_VI_M4_MASK, VSSRL_VI, 0x2, 0x0 }, // 9676
  { PseudoVSSRL_VI_M8, VSSRL_VI, 0x3, 0x0 }, // 9677
  { PseudoVSSRL_VI_M8_MASK, VSSRL_VI, 0x3, 0x0 }, // 9678
  { PseudoVSSRL_VI_MF8, VSSRL_VI, 0x5, 0x0 }, // 9679
  { PseudoVSSRL_VI_MF8_MASK, VSSRL_VI, 0x5, 0x0 }, // 9680
  { PseudoVSSRL_VI_MF4, VSSRL_VI, 0x6, 0x0 }, // 9681
  { PseudoVSSRL_VI_MF4_MASK, VSSRL_VI, 0x6, 0x0 }, // 9682
  { PseudoVSSRL_VI_MF2, VSSRL_VI, 0x7, 0x0 }, // 9683
  { PseudoVSSRL_VI_MF2_MASK, VSSRL_VI, 0x7, 0x0 }, // 9684
  { PseudoVSSRL_VV_M1, VSSRL_VV, 0x0, 0x0 }, // 9685
  { PseudoVSSRL_VV_M1_MASK, VSSRL_VV, 0x0, 0x0 }, // 9686
  { PseudoVSSRL_VV_M2, VSSRL_VV, 0x1, 0x0 }, // 9687
  { PseudoVSSRL_VV_M2_MASK, VSSRL_VV, 0x1, 0x0 }, // 9688
  { PseudoVSSRL_VV_M4, VSSRL_VV, 0x2, 0x0 }, // 9689
  { PseudoVSSRL_VV_M4_MASK, VSSRL_VV, 0x2, 0x0 }, // 9690
  { PseudoVSSRL_VV_M8, VSSRL_VV, 0x3, 0x0 }, // 9691
  { PseudoVSSRL_VV_M8_MASK, VSSRL_VV, 0x3, 0x0 }, // 9692
  { PseudoVSSRL_VV_MF8, VSSRL_VV, 0x5, 0x0 }, // 9693
  { PseudoVSSRL_VV_MF8_MASK, VSSRL_VV, 0x5, 0x0 }, // 9694
  { PseudoVSSRL_VV_MF4, VSSRL_VV, 0x6, 0x0 }, // 9695
  { PseudoVSSRL_VV_MF4_MASK, VSSRL_VV, 0x6, 0x0 }, // 9696
  { PseudoVSSRL_VV_MF2, VSSRL_VV, 0x7, 0x0 }, // 9697
  { PseudoVSSRL_VV_MF2_MASK, VSSRL_VV, 0x7, 0x0 }, // 9698
  { PseudoVSSRL_VX_M1, VSSRL_VX, 0x0, 0x0 }, // 9699
  { PseudoVSSRL_VX_M1_MASK, VSSRL_VX, 0x0, 0x0 }, // 9700
  { PseudoVSSRL_VX_M2, VSSRL_VX, 0x1, 0x0 }, // 9701
  { PseudoVSSRL_VX_M2_MASK, VSSRL_VX, 0x1, 0x0 }, // 9702
  { PseudoVSSRL_VX_M4, VSSRL_VX, 0x2, 0x0 }, // 9703
  { PseudoVSSRL_VX_M4_MASK, VSSRL_VX, 0x2, 0x0 }, // 9704
  { PseudoVSSRL_VX_M8, VSSRL_VX, 0x3, 0x0 }, // 9705
  { PseudoVSSRL_VX_M8_MASK, VSSRL_VX, 0x3, 0x0 }, // 9706
  { PseudoVSSRL_VX_MF8, VSSRL_VX, 0x5, 0x0 }, // 9707
  { PseudoVSSRL_VX_MF8_MASK, VSSRL_VX, 0x5, 0x0 }, // 9708
  { PseudoVSSRL_VX_MF4, VSSRL_VX, 0x6, 0x0 }, // 9709
  { PseudoVSSRL_VX_MF4_MASK, VSSRL_VX, 0x6, 0x0 }, // 9710
  { PseudoVSSRL_VX_MF2, VSSRL_VX, 0x7, 0x0 }, // 9711
  { PseudoVSSRL_VX_MF2_MASK, VSSRL_VX, 0x7, 0x0 }, // 9712
  { PseudoVSSSEG2E16_V_M1, VSSSEG2E16_V, 0x0, 0x10 }, // 9713
  { PseudoVSSSEG2E16_V_M1_MASK, VSSSEG2E16_V, 0x0, 0x10 }, // 9714
  { PseudoVSSSEG2E16_V_M2, VSSSEG2E16_V, 0x1, 0x10 }, // 9715
  { PseudoVSSSEG2E16_V_M2_MASK, VSSSEG2E16_V, 0x1, 0x10 }, // 9716
  { PseudoVSSSEG2E16_V_M4, VSSSEG2E16_V, 0x2, 0x10 }, // 9717
  { PseudoVSSSEG2E16_V_M4_MASK, VSSSEG2E16_V, 0x2, 0x10 }, // 9718
  { PseudoVSSSEG2E16_V_MF4, VSSSEG2E16_V, 0x6, 0x10 }, // 9719
  { PseudoVSSSEG2E16_V_MF4_MASK, VSSSEG2E16_V, 0x6, 0x10 }, // 9720
  { PseudoVSSSEG2E16_V_MF2, VSSSEG2E16_V, 0x7, 0x10 }, // 9721
  { PseudoVSSSEG2E16_V_MF2_MASK, VSSSEG2E16_V, 0x7, 0x10 }, // 9722
  { PseudoVSSSEG2E32_V_M1, VSSSEG2E32_V, 0x0, 0x20 }, // 9723
  { PseudoVSSSEG2E32_V_M1_MASK, VSSSEG2E32_V, 0x0, 0x20 }, // 9724
  { PseudoVSSSEG2E32_V_M2, VSSSEG2E32_V, 0x1, 0x20 }, // 9725
  { PseudoVSSSEG2E32_V_M2_MASK, VSSSEG2E32_V, 0x1, 0x20 }, // 9726
  { PseudoVSSSEG2E32_V_M4, VSSSEG2E32_V, 0x2, 0x20 }, // 9727
  { PseudoVSSSEG2E32_V_M4_MASK, VSSSEG2E32_V, 0x2, 0x20 }, // 9728
  { PseudoVSSSEG2E32_V_MF2, VSSSEG2E32_V, 0x7, 0x20 }, // 9729
  { PseudoVSSSEG2E32_V_MF2_MASK, VSSSEG2E32_V, 0x7, 0x20 }, // 9730
  { PseudoVSSSEG2E64_V_M1, VSSSEG2E64_V, 0x0, 0x40 }, // 9731
  { PseudoVSSSEG2E64_V_M1_MASK, VSSSEG2E64_V, 0x0, 0x40 }, // 9732
  { PseudoVSSSEG2E64_V_M2, VSSSEG2E64_V, 0x1, 0x40 }, // 9733
  { PseudoVSSSEG2E64_V_M2_MASK, VSSSEG2E64_V, 0x1, 0x40 }, // 9734
  { PseudoVSSSEG2E64_V_M4, VSSSEG2E64_V, 0x2, 0x40 }, // 9735
  { PseudoVSSSEG2E64_V_M4_MASK, VSSSEG2E64_V, 0x2, 0x40 }, // 9736
  { PseudoVSSSEG2E8_V_M1, VSSSEG2E8_V, 0x0, 0x8 }, // 9737
  { PseudoVSSSEG2E8_V_M1_MASK, VSSSEG2E8_V, 0x0, 0x8 }, // 9738
  { PseudoVSSSEG2E8_V_M2, VSSSEG2E8_V, 0x1, 0x8 }, // 9739
  { PseudoVSSSEG2E8_V_M2_MASK, VSSSEG2E8_V, 0x1, 0x8 }, // 9740
  { PseudoVSSSEG2E8_V_M4, VSSSEG2E8_V, 0x2, 0x8 }, // 9741
  { PseudoVSSSEG2E8_V_M4_MASK, VSSSEG2E8_V, 0x2, 0x8 }, // 9742
  { PseudoVSSSEG2E8_V_MF8, VSSSEG2E8_V, 0x5, 0x8 }, // 9743
  { PseudoVSSSEG2E8_V_MF8_MASK, VSSSEG2E8_V, 0x5, 0x8 }, // 9744
  { PseudoVSSSEG2E8_V_MF4, VSSSEG2E8_V, 0x6, 0x8 }, // 9745
  { PseudoVSSSEG2E8_V_MF4_MASK, VSSSEG2E8_V, 0x6, 0x8 }, // 9746
  { PseudoVSSSEG2E8_V_MF2, VSSSEG2E8_V, 0x7, 0x8 }, // 9747
  { PseudoVSSSEG2E8_V_MF2_MASK, VSSSEG2E8_V, 0x7, 0x8 }, // 9748
  { PseudoVSSSEG3E16_V_M1, VSSSEG3E16_V, 0x0, 0x10 }, // 9749
  { PseudoVSSSEG3E16_V_M1_MASK, VSSSEG3E16_V, 0x0, 0x10 }, // 9750
  { PseudoVSSSEG3E16_V_M2, VSSSEG3E16_V, 0x1, 0x10 }, // 9751
  { PseudoVSSSEG3E16_V_M2_MASK, VSSSEG3E16_V, 0x1, 0x10 }, // 9752
  { PseudoVSSSEG3E16_V_MF4, VSSSEG3E16_V, 0x6, 0x10 }, // 9753
  { PseudoVSSSEG3E16_V_MF4_MASK, VSSSEG3E16_V, 0x6, 0x10 }, // 9754
  { PseudoVSSSEG3E16_V_MF2, VSSSEG3E16_V, 0x7, 0x10 }, // 9755
  { PseudoVSSSEG3E16_V_MF2_MASK, VSSSEG3E16_V, 0x7, 0x10 }, // 9756
  { PseudoVSSSEG3E32_V_M1, VSSSEG3E32_V, 0x0, 0x20 }, // 9757
  { PseudoVSSSEG3E32_V_M1_MASK, VSSSEG3E32_V, 0x0, 0x20 }, // 9758
  { PseudoVSSSEG3E32_V_M2, VSSSEG3E32_V, 0x1, 0x20 }, // 9759
  { PseudoVSSSEG3E32_V_M2_MASK, VSSSEG3E32_V, 0x1, 0x20 }, // 9760
  { PseudoVSSSEG3E32_V_MF2, VSSSEG3E32_V, 0x7, 0x20 }, // 9761
  { PseudoVSSSEG3E32_V_MF2_MASK, VSSSEG3E32_V, 0x7, 0x20 }, // 9762
  { PseudoVSSSEG3E64_V_M1, VSSSEG3E64_V, 0x0, 0x40 }, // 9763
  { PseudoVSSSEG3E64_V_M1_MASK, VSSSEG3E64_V, 0x0, 0x40 }, // 9764
  { PseudoVSSSEG3E64_V_M2, VSSSEG3E64_V, 0x1, 0x40 }, // 9765
  { PseudoVSSSEG3E64_V_M2_MASK, VSSSEG3E64_V, 0x1, 0x40 }, // 9766
  { PseudoVSSSEG3E8_V_M1, VSSSEG3E8_V, 0x0, 0x8 }, // 9767
  { PseudoVSSSEG3E8_V_M1_MASK, VSSSEG3E8_V, 0x0, 0x8 }, // 9768
  { PseudoVSSSEG3E8_V_M2, VSSSEG3E8_V, 0x1, 0x8 }, // 9769
  { PseudoVSSSEG3E8_V_M2_MASK, VSSSEG3E8_V, 0x1, 0x8 }, // 9770
  { PseudoVSSSEG3E8_V_MF8, VSSSEG3E8_V, 0x5, 0x8 }, // 9771
  { PseudoVSSSEG3E8_V_MF8_MASK, VSSSEG3E8_V, 0x5, 0x8 }, // 9772
  { PseudoVSSSEG3E8_V_MF4, VSSSEG3E8_V, 0x6, 0x8 }, // 9773
  { PseudoVSSSEG3E8_V_MF4_MASK, VSSSEG3E8_V, 0x6, 0x8 }, // 9774
  { PseudoVSSSEG3E8_V_MF2, VSSSEG3E8_V, 0x7, 0x8 }, // 9775
  { PseudoVSSSEG3E8_V_MF2_MASK, VSSSEG3E8_V, 0x7, 0x8 }, // 9776
  { PseudoVSSSEG4E16_V_M1, VSSSEG4E16_V, 0x0, 0x10 }, // 9777
  { PseudoVSSSEG4E16_V_M1_MASK, VSSSEG4E16_V, 0x0, 0x10 }, // 9778
  { PseudoVSSSEG4E16_V_M2, VSSSEG4E16_V, 0x1, 0x10 }, // 9779
  { PseudoVSSSEG4E16_V_M2_MASK, VSSSEG4E16_V, 0x1, 0x10 }, // 9780
  { PseudoVSSSEG4E16_V_MF4, VSSSEG4E16_V, 0x6, 0x10 }, // 9781
  { PseudoVSSSEG4E16_V_MF4_MASK, VSSSEG4E16_V, 0x6, 0x10 }, // 9782
  { PseudoVSSSEG4E16_V_MF2, VSSSEG4E16_V, 0x7, 0x10 }, // 9783
  { PseudoVSSSEG4E16_V_MF2_MASK, VSSSEG4E16_V, 0x7, 0x10 }, // 9784
  { PseudoVSSSEG4E32_V_M1, VSSSEG4E32_V, 0x0, 0x20 }, // 9785
  { PseudoVSSSEG4E32_V_M1_MASK, VSSSEG4E32_V, 0x0, 0x20 }, // 9786
  { PseudoVSSSEG4E32_V_M2, VSSSEG4E32_V, 0x1, 0x20 }, // 9787
  { PseudoVSSSEG4E32_V_M2_MASK, VSSSEG4E32_V, 0x1, 0x20 }, // 9788
  { PseudoVSSSEG4E32_V_MF2, VSSSEG4E32_V, 0x7, 0x20 }, // 9789
  { PseudoVSSSEG4E32_V_MF2_MASK, VSSSEG4E32_V, 0x7, 0x20 }, // 9790
  { PseudoVSSSEG4E64_V_M1, VSSSEG4E64_V, 0x0, 0x40 }, // 9791
  { PseudoVSSSEG4E64_V_M1_MASK, VSSSEG4E64_V, 0x0, 0x40 }, // 9792
  { PseudoVSSSEG4E64_V_M2, VSSSEG4E64_V, 0x1, 0x40 }, // 9793
  { PseudoVSSSEG4E64_V_M2_MASK, VSSSEG4E64_V, 0x1, 0x40 }, // 9794
  { PseudoVSSSEG4E8_V_M1, VSSSEG4E8_V, 0x0, 0x8 }, // 9795
  { PseudoVSSSEG4E8_V_M1_MASK, VSSSEG4E8_V, 0x0, 0x8 }, // 9796
  { PseudoVSSSEG4E8_V_M2, VSSSEG4E8_V, 0x1, 0x8 }, // 9797
  { PseudoVSSSEG4E8_V_M2_MASK, VSSSEG4E8_V, 0x1, 0x8 }, // 9798
  { PseudoVSSSEG4E8_V_MF8, VSSSEG4E8_V, 0x5, 0x8 }, // 9799
  { PseudoVSSSEG4E8_V_MF8_MASK, VSSSEG4E8_V, 0x5, 0x8 }, // 9800
  { PseudoVSSSEG4E8_V_MF4, VSSSEG4E8_V, 0x6, 0x8 }, // 9801
  { PseudoVSSSEG4E8_V_MF4_MASK, VSSSEG4E8_V, 0x6, 0x8 }, // 9802
  { PseudoVSSSEG4E8_V_MF2, VSSSEG4E8_V, 0x7, 0x8 }, // 9803
  { PseudoVSSSEG4E8_V_MF2_MASK, VSSSEG4E8_V, 0x7, 0x8 }, // 9804
  { PseudoVSSSEG5E16_V_M1, VSSSEG5E16_V, 0x0, 0x10 }, // 9805
  { PseudoVSSSEG5E16_V_M1_MASK, VSSSEG5E16_V, 0x0, 0x10 }, // 9806
  { PseudoVSSSEG5E16_V_MF4, VSSSEG5E16_V, 0x6, 0x10 }, // 9807
  { PseudoVSSSEG5E16_V_MF4_MASK, VSSSEG5E16_V, 0x6, 0x10 }, // 9808
  { PseudoVSSSEG5E16_V_MF2, VSSSEG5E16_V, 0x7, 0x10 }, // 9809
  { PseudoVSSSEG5E16_V_MF2_MASK, VSSSEG5E16_V, 0x7, 0x10 }, // 9810
  { PseudoVSSSEG5E32_V_M1, VSSSEG5E32_V, 0x0, 0x20 }, // 9811
  { PseudoVSSSEG5E32_V_M1_MASK, VSSSEG5E32_V, 0x0, 0x20 }, // 9812
  { PseudoVSSSEG5E32_V_MF2, VSSSEG5E32_V, 0x7, 0x20 }, // 9813
  { PseudoVSSSEG5E32_V_MF2_MASK, VSSSEG5E32_V, 0x7, 0x20 }, // 9814
  { PseudoVSSSEG5E64_V_M1, VSSSEG5E64_V, 0x0, 0x40 }, // 9815
  { PseudoVSSSEG5E64_V_M1_MASK, VSSSEG5E64_V, 0x0, 0x40 }, // 9816
  { PseudoVSSSEG5E8_V_M1, VSSSEG5E8_V, 0x0, 0x8 }, // 9817
  { PseudoVSSSEG5E8_V_M1_MASK, VSSSEG5E8_V, 0x0, 0x8 }, // 9818
  { PseudoVSSSEG5E8_V_MF8, VSSSEG5E8_V, 0x5, 0x8 }, // 9819
  { PseudoVSSSEG5E8_V_MF8_MASK, VSSSEG5E8_V, 0x5, 0x8 }, // 9820
  { PseudoVSSSEG5E8_V_MF4, VSSSEG5E8_V, 0x6, 0x8 }, // 9821
  { PseudoVSSSEG5E8_V_MF4_MASK, VSSSEG5E8_V, 0x6, 0x8 }, // 9822
  { PseudoVSSSEG5E8_V_MF2, VSSSEG5E8_V, 0x7, 0x8 }, // 9823
  { PseudoVSSSEG5E8_V_MF2_MASK, VSSSEG5E8_V, 0x7, 0x8 }, // 9824
  { PseudoVSSSEG6E16_V_M1, VSSSEG6E16_V, 0x0, 0x10 }, // 9825
  { PseudoVSSSEG6E16_V_M1_MASK, VSSSEG6E16_V, 0x0, 0x10 }, // 9826
  { PseudoVSSSEG6E16_V_MF4, VSSSEG6E16_V, 0x6, 0x10 }, // 9827
  { PseudoVSSSEG6E16_V_MF4_MASK, VSSSEG6E16_V, 0x6, 0x10 }, // 9828
  { PseudoVSSSEG6E16_V_MF2, VSSSEG6E16_V, 0x7, 0x10 }, // 9829
  { PseudoVSSSEG6E16_V_MF2_MASK, VSSSEG6E16_V, 0x7, 0x10 }, // 9830
  { PseudoVSSSEG6E32_V_M1, VSSSEG6E32_V, 0x0, 0x20 }, // 9831
  { PseudoVSSSEG6E32_V_M1_MASK, VSSSEG6E32_V, 0x0, 0x20 }, // 9832
  { PseudoVSSSEG6E32_V_MF2, VSSSEG6E32_V, 0x7, 0x20 }, // 9833
  { PseudoVSSSEG6E32_V_MF2_MASK, VSSSEG6E32_V, 0x7, 0x20 }, // 9834
  { PseudoVSSSEG6E64_V_M1, VSSSEG6E64_V, 0x0, 0x40 }, // 9835
  { PseudoVSSSEG6E64_V_M1_MASK, VSSSEG6E64_V, 0x0, 0x40 }, // 9836
  { PseudoVSSSEG6E8_V_M1, VSSSEG6E8_V, 0x0, 0x8 }, // 9837
  { PseudoVSSSEG6E8_V_M1_MASK, VSSSEG6E8_V, 0x0, 0x8 }, // 9838
  { PseudoVSSSEG6E8_V_MF8, VSSSEG6E8_V, 0x5, 0x8 }, // 9839
  { PseudoVSSSEG6E8_V_MF8_MASK, VSSSEG6E8_V, 0x5, 0x8 }, // 9840
  { PseudoVSSSEG6E8_V_MF4, VSSSEG6E8_V, 0x6, 0x8 }, // 9841
  { PseudoVSSSEG6E8_V_MF4_MASK, VSSSEG6E8_V, 0x6, 0x8 }, // 9842
  { PseudoVSSSEG6E8_V_MF2, VSSSEG6E8_V, 0x7, 0x8 }, // 9843
  { PseudoVSSSEG6E8_V_MF2_MASK, VSSSEG6E8_V, 0x7, 0x8 }, // 9844
  { PseudoVSSSEG7E16_V_M1, VSSSEG7E16_V, 0x0, 0x10 }, // 9845
  { PseudoVSSSEG7E16_V_M1_MASK, VSSSEG7E16_V, 0x0, 0x10 }, // 9846
  { PseudoVSSSEG7E16_V_MF4, VSSSEG7E16_V, 0x6, 0x10 }, // 9847
  { PseudoVSSSEG7E16_V_MF4_MASK, VSSSEG7E16_V, 0x6, 0x10 }, // 9848
  { PseudoVSSSEG7E16_V_MF2, VSSSEG7E16_V, 0x7, 0x10 }, // 9849
  { PseudoVSSSEG7E16_V_MF2_MASK, VSSSEG7E16_V, 0x7, 0x10 }, // 9850
  { PseudoVSSSEG7E32_V_M1, VSSSEG7E32_V, 0x0, 0x20 }, // 9851
  { PseudoVSSSEG7E32_V_M1_MASK, VSSSEG7E32_V, 0x0, 0x20 }, // 9852
  { PseudoVSSSEG7E32_V_MF2, VSSSEG7E32_V, 0x7, 0x20 }, // 9853
  { PseudoVSSSEG7E32_V_MF2_MASK, VSSSEG7E32_V, 0x7, 0x20 }, // 9854
  { PseudoVSSSEG7E64_V_M1, VSSSEG7E64_V, 0x0, 0x40 }, // 9855
  { PseudoVSSSEG7E64_V_M1_MASK, VSSSEG7E64_V, 0x0, 0x40 }, // 9856
  { PseudoVSSSEG7E8_V_M1, VSSSEG7E8_V, 0x0, 0x8 }, // 9857
  { PseudoVSSSEG7E8_V_M1_MASK, VSSSEG7E8_V, 0x0, 0x8 }, // 9858
  { PseudoVSSSEG7E8_V_MF8, VSSSEG7E8_V, 0x5, 0x8 }, // 9859
  { PseudoVSSSEG7E8_V_MF8_MASK, VSSSEG7E8_V, 0x5, 0x8 }, // 9860
  { PseudoVSSSEG7E8_V_MF4, VSSSEG7E8_V, 0x6, 0x8 }, // 9861
  { PseudoVSSSEG7E8_V_MF4_MASK, VSSSEG7E8_V, 0x6, 0x8 }, // 9862
  { PseudoVSSSEG7E8_V_MF2, VSSSEG7E8_V, 0x7, 0x8 }, // 9863
  { PseudoVSSSEG7E8_V_MF2_MASK, VSSSEG7E8_V, 0x7, 0x8 }, // 9864
  { PseudoVSSSEG8E16_V_M1, VSSSEG8E16_V, 0x0, 0x10 }, // 9865
  { PseudoVSSSEG8E16_V_M1_MASK, VSSSEG8E16_V, 0x0, 0x10 }, // 9866
  { PseudoVSSSEG8E16_V_MF4, VSSSEG8E16_V, 0x6, 0x10 }, // 9867
  { PseudoVSSSEG8E16_V_MF4_MASK, VSSSEG8E16_V, 0x6, 0x10 }, // 9868
  { PseudoVSSSEG8E16_V_MF2, VSSSEG8E16_V, 0x7, 0x10 }, // 9869
  { PseudoVSSSEG8E16_V_MF2_MASK, VSSSEG8E16_V, 0x7, 0x10 }, // 9870
  { PseudoVSSSEG8E32_V_M1, VSSSEG8E32_V, 0x0, 0x20 }, // 9871
  { PseudoVSSSEG8E32_V_M1_MASK, VSSSEG8E32_V, 0x0, 0x20 }, // 9872
  { PseudoVSSSEG8E32_V_MF2, VSSSEG8E32_V, 0x7, 0x20 }, // 9873
  { PseudoVSSSEG8E32_V_MF2_MASK, VSSSEG8E32_V, 0x7, 0x20 }, // 9874
  { PseudoVSSSEG8E64_V_M1, VSSSEG8E64_V, 0x0, 0x40 }, // 9875
  { PseudoVSSSEG8E64_V_M1_MASK, VSSSEG8E64_V, 0x0, 0x40 }, // 9876
  { PseudoVSSSEG8E8_V_M1, VSSSEG8E8_V, 0x0, 0x8 }, // 9877
  { PseudoVSSSEG8E8_V_M1_MASK, VSSSEG8E8_V, 0x0, 0x8 }, // 9878
  { PseudoVSSSEG8E8_V_MF8, VSSSEG8E8_V, 0x5, 0x8 }, // 9879
  { PseudoVSSSEG8E8_V_MF8_MASK, VSSSEG8E8_V, 0x5, 0x8 }, // 9880
  { PseudoVSSSEG8E8_V_MF4, VSSSEG8E8_V, 0x6, 0x8 }, // 9881
  { PseudoVSSSEG8E8_V_MF4_MASK, VSSSEG8E8_V, 0x6, 0x8 }, // 9882
  { PseudoVSSSEG8E8_V_MF2, VSSSEG8E8_V, 0x7, 0x8 }, // 9883
  { PseudoVSSSEG8E8_V_MF2_MASK, VSSSEG8E8_V, 0x7, 0x8 }, // 9884
  { PseudoVSSUBU_VV_M1, VSSUBU_VV, 0x0, 0x0 }, // 9885
  { PseudoVSSUBU_VV_M1_MASK, VSSUBU_VV, 0x0, 0x0 }, // 9886
  { PseudoVSSUBU_VV_M2, VSSUBU_VV, 0x1, 0x0 }, // 9887
  { PseudoVSSUBU_VV_M2_MASK, VSSUBU_VV, 0x1, 0x0 }, // 9888
  { PseudoVSSUBU_VV_M4, VSSUBU_VV, 0x2, 0x0 }, // 9889
  { PseudoVSSUBU_VV_M4_MASK, VSSUBU_VV, 0x2, 0x0 }, // 9890
  { PseudoVSSUBU_VV_M8, VSSUBU_VV, 0x3, 0x0 }, // 9891
  { PseudoVSSUBU_VV_M8_MASK, VSSUBU_VV, 0x3, 0x0 }, // 9892
  { PseudoVSSUBU_VV_MF8, VSSUBU_VV, 0x5, 0x0 }, // 9893
  { PseudoVSSUBU_VV_MF8_MASK, VSSUBU_VV, 0x5, 0x0 }, // 9894
  { PseudoVSSUBU_VV_MF4, VSSUBU_VV, 0x6, 0x0 }, // 9895
  { PseudoVSSUBU_VV_MF4_MASK, VSSUBU_VV, 0x6, 0x0 }, // 9896
  { PseudoVSSUBU_VV_MF2, VSSUBU_VV, 0x7, 0x0 }, // 9897
  { PseudoVSSUBU_VV_MF2_MASK, VSSUBU_VV, 0x7, 0x0 }, // 9898
  { PseudoVSSUBU_VX_M1, VSSUBU_VX, 0x0, 0x0 }, // 9899
  { PseudoVSSUBU_VX_M1_MASK, VSSUBU_VX, 0x0, 0x0 }, // 9900
  { PseudoVSSUBU_VX_M2, VSSUBU_VX, 0x1, 0x0 }, // 9901
  { PseudoVSSUBU_VX_M2_MASK, VSSUBU_VX, 0x1, 0x0 }, // 9902
  { PseudoVSSUBU_VX_M4, VSSUBU_VX, 0x2, 0x0 }, // 9903
  { PseudoVSSUBU_VX_M4_MASK, VSSUBU_VX, 0x2, 0x0 }, // 9904
  { PseudoVSSUBU_VX_M8, VSSUBU_VX, 0x3, 0x0 }, // 9905
  { PseudoVSSUBU_VX_M8_MASK, VSSUBU_VX, 0x3, 0x0 }, // 9906
  { PseudoVSSUBU_VX_MF8, VSSUBU_VX, 0x5, 0x0 }, // 9907
  { PseudoVSSUBU_VX_MF8_MASK, VSSUBU_VX, 0x5, 0x0 }, // 9908
  { PseudoVSSUBU_VX_MF4, VSSUBU_VX, 0x6, 0x0 }, // 9909
  { PseudoVSSUBU_VX_MF4_MASK, VSSUBU_VX, 0x6, 0x0 }, // 9910
  { PseudoVSSUBU_VX_MF2, VSSUBU_VX, 0x7, 0x0 }, // 9911
  { PseudoVSSUBU_VX_MF2_MASK, VSSUBU_VX, 0x7, 0x0 }, // 9912
  { PseudoVSSUB_VV_M1, VSSUB_VV, 0x0, 0x0 }, // 9913
  { PseudoVSSUB_VV_M1_MASK, VSSUB_VV, 0x0, 0x0 }, // 9914
  { PseudoVSSUB_VV_M2, VSSUB_VV, 0x1, 0x0 }, // 9915
  { PseudoVSSUB_VV_M2_MASK, VSSUB_VV, 0x1, 0x0 }, // 9916
  { PseudoVSSUB_VV_M4, VSSUB_VV, 0x2, 0x0 }, // 9917
  { PseudoVSSUB_VV_M4_MASK, VSSUB_VV, 0x2, 0x0 }, // 9918
  { PseudoVSSUB_VV_M8, VSSUB_VV, 0x3, 0x0 }, // 9919
  { PseudoVSSUB_VV_M8_MASK, VSSUB_VV, 0x3, 0x0 }, // 9920
  { PseudoVSSUB_VV_MF8, VSSUB_VV, 0x5, 0x0 }, // 9921
  { PseudoVSSUB_VV_MF8_MASK, VSSUB_VV, 0x5, 0x0 }, // 9922
  { PseudoVSSUB_VV_MF4, VSSUB_VV, 0x6, 0x0 }, // 9923
  { PseudoVSSUB_VV_MF4_MASK, VSSUB_VV, 0x6, 0x0 }, // 9924
  { PseudoVSSUB_VV_MF2, VSSUB_VV, 0x7, 0x0 }, // 9925
  { PseudoVSSUB_VV_MF2_MASK, VSSUB_VV, 0x7, 0x0 }, // 9926
  { PseudoVSSUB_VX_M1, VSSUB_VX, 0x0, 0x0 }, // 9927
  { PseudoVSSUB_VX_M1_MASK, VSSUB_VX, 0x0, 0x0 }, // 9928
  { PseudoVSSUB_VX_M2, VSSUB_VX, 0x1, 0x0 }, // 9929
  { PseudoVSSUB_VX_M2_MASK, VSSUB_VX, 0x1, 0x0 }, // 9930
  { PseudoVSSUB_VX_M4, VSSUB_VX, 0x2, 0x0 }, // 9931
  { PseudoVSSUB_VX_M4_MASK, VSSUB_VX, 0x2, 0x0 }, // 9932
  { PseudoVSSUB_VX_M8, VSSUB_VX, 0x3, 0x0 }, // 9933
  { PseudoVSSUB_VX_M8_MASK, VSSUB_VX, 0x3, 0x0 }, // 9934
  { PseudoVSSUB_VX_MF8, VSSUB_VX, 0x5, 0x0 }, // 9935
  { PseudoVSSUB_VX_MF8_MASK, VSSUB_VX, 0x5, 0x0 }, // 9936
  { PseudoVSSUB_VX_MF4, VSSUB_VX, 0x6, 0x0 }, // 9937
  { PseudoVSSUB_VX_MF4_MASK, VSSUB_VX, 0x6, 0x0 }, // 9938
  { PseudoVSSUB_VX_MF2, VSSUB_VX, 0x7, 0x0 }, // 9939
  { PseudoVSSUB_VX_MF2_MASK, VSSUB_VX, 0x7, 0x0 }, // 9940
  { PseudoVSUB_VV_M1, VSUB_VV, 0x0, 0x0 }, // 9941
  { PseudoVSUB_VV_M1_MASK, VSUB_VV, 0x0, 0x0 }, // 9942
  { PseudoVSUB_VV_M2, VSUB_VV, 0x1, 0x0 }, // 9943
  { PseudoVSUB_VV_M2_MASK, VSUB_VV, 0x1, 0x0 }, // 9944
  { PseudoVSUB_VV_M4, VSUB_VV, 0x2, 0x0 }, // 9945
  { PseudoVSUB_VV_M4_MASK, VSUB_VV, 0x2, 0x0 }, // 9946
  { PseudoVSUB_VV_M8, VSUB_VV, 0x3, 0x0 }, // 9947
  { PseudoVSUB_VV_M8_MASK, VSUB_VV, 0x3, 0x0 }, // 9948
  { PseudoVSUB_VV_MF8, VSUB_VV, 0x5, 0x0 }, // 9949
  { PseudoVSUB_VV_MF8_MASK, VSUB_VV, 0x5, 0x0 }, // 9950
  { PseudoVSUB_VV_MF4, VSUB_VV, 0x6, 0x0 }, // 9951
  { PseudoVSUB_VV_MF4_MASK, VSUB_VV, 0x6, 0x0 }, // 9952
  { PseudoVSUB_VV_MF2, VSUB_VV, 0x7, 0x0 }, // 9953
  { PseudoVSUB_VV_MF2_MASK, VSUB_VV, 0x7, 0x0 }, // 9954
  { PseudoVSUB_VX_M1, VSUB_VX, 0x0, 0x0 }, // 9955
  { PseudoVSUB_VX_M1_MASK, VSUB_VX, 0x0, 0x0 }, // 9956
  { PseudoVSUB_VX_M2, VSUB_VX, 0x1, 0x0 }, // 9957
  { PseudoVSUB_VX_M2_MASK, VSUB_VX, 0x1, 0x0 }, // 9958
  { PseudoVSUB_VX_M4, VSUB_VX, 0x2, 0x0 }, // 9959
  { PseudoVSUB_VX_M4_MASK, VSUB_VX, 0x2, 0x0 }, // 9960
  { PseudoVSUB_VX_M8, VSUB_VX, 0x3, 0x0 }, // 9961
  { PseudoVSUB_VX_M8_MASK, VSUB_VX, 0x3, 0x0 }, // 9962
  { PseudoVSUB_VX_MF8, VSUB_VX, 0x5, 0x0 }, // 9963
  { PseudoVSUB_VX_MF8_MASK, VSUB_VX, 0x5, 0x0 }, // 9964
  { PseudoVSUB_VX_MF4, VSUB_VX, 0x6, 0x0 }, // 9965
  { PseudoVSUB_VX_MF4_MASK, VSUB_VX, 0x6, 0x0 }, // 9966
  { PseudoVSUB_VX_MF2, VSUB_VX, 0x7, 0x0 }, // 9967
  { PseudoVSUB_VX_MF2_MASK, VSUB_VX, 0x7, 0x0 }, // 9968
  { PseudoVSUXEI16_V_M1_M1, VSUXEI16_V, 0x0, 0x0 }, // 9969
  { PseudoVSUXEI16_V_M1_M1_MASK, VSUXEI16_V, 0x0, 0x0 }, // 9970
  { PseudoVSUXEI16_V_M2_M1, VSUXEI16_V, 0x0, 0x0 }, // 9971
  { PseudoVSUXEI16_V_M2_M1_MASK, VSUXEI16_V, 0x0, 0x0 }, // 9972
  { PseudoVSUXEI16_V_MF2_M1, VSUXEI16_V, 0x0, 0x0 }, // 9973
  { PseudoVSUXEI16_V_MF2_M1_MASK, VSUXEI16_V, 0x0, 0x0 }, // 9974
  { PseudoVSUXEI16_V_MF4_M1, VSUXEI16_V, 0x0, 0x0 }, // 9975
  { PseudoVSUXEI16_V_MF4_M1_MASK, VSUXEI16_V, 0x0, 0x0 }, // 9976
  { PseudoVSUXEI16_V_M1_M2, VSUXEI16_V, 0x1, 0x0 }, // 9977
  { PseudoVSUXEI16_V_M1_M2_MASK, VSUXEI16_V, 0x1, 0x0 }, // 9978
  { PseudoVSUXEI16_V_M2_M2, VSUXEI16_V, 0x1, 0x0 }, // 9979
  { PseudoVSUXEI16_V_M2_M2_MASK, VSUXEI16_V, 0x1, 0x0 }, // 9980
  { PseudoVSUXEI16_V_M4_M2, VSUXEI16_V, 0x1, 0x0 }, // 9981
  { PseudoVSUXEI16_V_M4_M2_MASK, VSUXEI16_V, 0x1, 0x0 }, // 9982
  { PseudoVSUXEI16_V_MF2_M2, VSUXEI16_V, 0x1, 0x0 }, // 9983
  { PseudoVSUXEI16_V_MF2_M2_MASK, VSUXEI16_V, 0x1, 0x0 }, // 9984
  { PseudoVSUXEI16_V_M1_M4, VSUXEI16_V, 0x2, 0x0 }, // 9985
  { PseudoVSUXEI16_V_M1_M4_MASK, VSUXEI16_V, 0x2, 0x0 }, // 9986
  { PseudoVSUXEI16_V_M2_M4, VSUXEI16_V, 0x2, 0x0 }, // 9987
  { PseudoVSUXEI16_V_M2_M4_MASK, VSUXEI16_V, 0x2, 0x0 }, // 9988
  { PseudoVSUXEI16_V_M4_M4, VSUXEI16_V, 0x2, 0x0 }, // 9989
  { PseudoVSUXEI16_V_M4_M4_MASK, VSUXEI16_V, 0x2, 0x0 }, // 9990
  { PseudoVSUXEI16_V_M8_M4, VSUXEI16_V, 0x2, 0x0 }, // 9991
  { PseudoVSUXEI16_V_M8_M4_MASK, VSUXEI16_V, 0x2, 0x0 }, // 9992
  { PseudoVSUXEI16_V_M2_M8, VSUXEI16_V, 0x3, 0x0 }, // 9993
  { PseudoVSUXEI16_V_M2_M8_MASK, VSUXEI16_V, 0x3, 0x0 }, // 9994
  { PseudoVSUXEI16_V_M4_M8, VSUXEI16_V, 0x3, 0x0 }, // 9995
  { PseudoVSUXEI16_V_M4_M8_MASK, VSUXEI16_V, 0x3, 0x0 }, // 9996
  { PseudoVSUXEI16_V_M8_M8, VSUXEI16_V, 0x3, 0x0 }, // 9997
  { PseudoVSUXEI16_V_M8_M8_MASK, VSUXEI16_V, 0x3, 0x0 }, // 9998
  { PseudoVSUXEI16_V_MF4_MF8, VSUXEI16_V, 0x5, 0x0 }, // 9999
  { PseudoVSUXEI16_V_MF4_MF8_MASK, VSUXEI16_V, 0x5, 0x0 }, // 10000
  { PseudoVSUXEI16_V_MF2_MF4, VSUXEI16_V, 0x6, 0x0 }, // 10001
  { PseudoVSUXEI16_V_MF2_MF4_MASK, VSUXEI16_V, 0x6, 0x0 }, // 10002
  { PseudoVSUXEI16_V_MF4_MF4, VSUXEI16_V, 0x6, 0x0 }, // 10003
  { PseudoVSUXEI16_V_MF4_MF4_MASK, VSUXEI16_V, 0x6, 0x0 }, // 10004
  { PseudoVSUXEI16_V_M1_MF2, VSUXEI16_V, 0x7, 0x0 }, // 10005
  { PseudoVSUXEI16_V_M1_MF2_MASK, VSUXEI16_V, 0x7, 0x0 }, // 10006
  { PseudoVSUXEI16_V_MF2_MF2, VSUXEI16_V, 0x7, 0x0 }, // 10007
  { PseudoVSUXEI16_V_MF2_MF2_MASK, VSUXEI16_V, 0x7, 0x0 }, // 10008
  { PseudoVSUXEI16_V_MF4_MF2, VSUXEI16_V, 0x7, 0x0 }, // 10009
  { PseudoVSUXEI16_V_MF4_MF2_MASK, VSUXEI16_V, 0x7, 0x0 }, // 10010
  { PseudoVSUXEI32_V_M1_M1, VSUXEI32_V, 0x0, 0x0 }, // 10011
  { PseudoVSUXEI32_V_M1_M1_MASK, VSUXEI32_V, 0x0, 0x0 }, // 10012
  { PseudoVSUXEI32_V_M2_M1, VSUXEI32_V, 0x0, 0x0 }, // 10013
  { PseudoVSUXEI32_V_M2_M1_MASK, VSUXEI32_V, 0x0, 0x0 }, // 10014
  { PseudoVSUXEI32_V_M4_M1, VSUXEI32_V, 0x0, 0x0 }, // 10015
  { PseudoVSUXEI32_V_M4_M1_MASK, VSUXEI32_V, 0x0, 0x0 }, // 10016
  { PseudoVSUXEI32_V_MF2_M1, VSUXEI32_V, 0x0, 0x0 }, // 10017
  { PseudoVSUXEI32_V_MF2_M1_MASK, VSUXEI32_V, 0x0, 0x0 }, // 10018
  { PseudoVSUXEI32_V_M1_M2, VSUXEI32_V, 0x1, 0x0 }, // 10019
  { PseudoVSUXEI32_V_M1_M2_MASK, VSUXEI32_V, 0x1, 0x0 }, // 10020
  { PseudoVSUXEI32_V_M2_M2, VSUXEI32_V, 0x1, 0x0 }, // 10021
  { PseudoVSUXEI32_V_M2_M2_MASK, VSUXEI32_V, 0x1, 0x0 }, // 10022
  { PseudoVSUXEI32_V_M4_M2, VSUXEI32_V, 0x1, 0x0 }, // 10023
  { PseudoVSUXEI32_V_M4_M2_MASK, VSUXEI32_V, 0x1, 0x0 }, // 10024
  { PseudoVSUXEI32_V_M8_M2, VSUXEI32_V, 0x1, 0x0 }, // 10025
  { PseudoVSUXEI32_V_M8_M2_MASK, VSUXEI32_V, 0x1, 0x0 }, // 10026
  { PseudoVSUXEI32_V_M2_M4, VSUXEI32_V, 0x2, 0x0 }, // 10027
  { PseudoVSUXEI32_V_M2_M4_MASK, VSUXEI32_V, 0x2, 0x0 }, // 10028
  { PseudoVSUXEI32_V_M4_M4, VSUXEI32_V, 0x2, 0x0 }, // 10029
  { PseudoVSUXEI32_V_M4_M4_MASK, VSUXEI32_V, 0x2, 0x0 }, // 10030
  { PseudoVSUXEI32_V_M8_M4, VSUXEI32_V, 0x2, 0x0 }, // 10031
  { PseudoVSUXEI32_V_M8_M4_MASK, VSUXEI32_V, 0x2, 0x0 }, // 10032
  { PseudoVSUXEI32_V_M4_M8, VSUXEI32_V, 0x3, 0x0 }, // 10033
  { PseudoVSUXEI32_V_M4_M8_MASK, VSUXEI32_V, 0x3, 0x0 }, // 10034
  { PseudoVSUXEI32_V_M8_M8, VSUXEI32_V, 0x3, 0x0 }, // 10035
  { PseudoVSUXEI32_V_M8_M8_MASK, VSUXEI32_V, 0x3, 0x0 }, // 10036
  { PseudoVSUXEI32_V_MF2_MF8, VSUXEI32_V, 0x5, 0x0 }, // 10037
  { PseudoVSUXEI32_V_MF2_MF8_MASK, VSUXEI32_V, 0x5, 0x0 }, // 10038
  { PseudoVSUXEI32_V_M1_MF4, VSUXEI32_V, 0x6, 0x0 }, // 10039
  { PseudoVSUXEI32_V_M1_MF4_MASK, VSUXEI32_V, 0x6, 0x0 }, // 10040
  { PseudoVSUXEI32_V_MF2_MF4, VSUXEI32_V, 0x6, 0x0 }, // 10041
  { PseudoVSUXEI32_V_MF2_MF4_MASK, VSUXEI32_V, 0x6, 0x0 }, // 10042
  { PseudoVSUXEI32_V_M1_MF2, VSUXEI32_V, 0x7, 0x0 }, // 10043
  { PseudoVSUXEI32_V_M1_MF2_MASK, VSUXEI32_V, 0x7, 0x0 }, // 10044
  { PseudoVSUXEI32_V_M2_MF2, VSUXEI32_V, 0x7, 0x0 }, // 10045
  { PseudoVSUXEI32_V_M2_MF2_MASK, VSUXEI32_V, 0x7, 0x0 }, // 10046
  { PseudoVSUXEI32_V_MF2_MF2, VSUXEI32_V, 0x7, 0x0 }, // 10047
  { PseudoVSUXEI32_V_MF2_MF2_MASK, VSUXEI32_V, 0x7, 0x0 }, // 10048
  { PseudoVSUXEI64_V_M1_M1, VSUXEI64_V, 0x0, 0x0 }, // 10049
  { PseudoVSUXEI64_V_M1_M1_MASK, VSUXEI64_V, 0x0, 0x0 }, // 10050
  { PseudoVSUXEI64_V_M2_M1, VSUXEI64_V, 0x0, 0x0 }, // 10051
  { PseudoVSUXEI64_V_M2_M1_MASK, VSUXEI64_V, 0x0, 0x0 }, // 10052
  { PseudoVSUXEI64_V_M4_M1, VSUXEI64_V, 0x0, 0x0 }, // 10053
  { PseudoVSUXEI64_V_M4_M1_MASK, VSUXEI64_V, 0x0, 0x0 }, // 10054
  { PseudoVSUXEI64_V_M8_M1, VSUXEI64_V, 0x0, 0x0 }, // 10055
  { PseudoVSUXEI64_V_M8_M1_MASK, VSUXEI64_V, 0x0, 0x0 }, // 10056
  { PseudoVSUXEI64_V_M2_M2, VSUXEI64_V, 0x1, 0x0 }, // 10057
  { PseudoVSUXEI64_V_M2_M2_MASK, VSUXEI64_V, 0x1, 0x0 }, // 10058
  { PseudoVSUXEI64_V_M4_M2, VSUXEI64_V, 0x1, 0x0 }, // 10059
  { PseudoVSUXEI64_V_M4_M2_MASK, VSUXEI64_V, 0x1, 0x0 }, // 10060
  { PseudoVSUXEI64_V_M8_M2, VSUXEI64_V, 0x1, 0x0 }, // 10061
  { PseudoVSUXEI64_V_M8_M2_MASK, VSUXEI64_V, 0x1, 0x0 }, // 10062
  { PseudoVSUXEI64_V_M4_M4, VSUXEI64_V, 0x2, 0x0 }, // 10063
  { PseudoVSUXEI64_V_M4_M4_MASK, VSUXEI64_V, 0x2, 0x0 }, // 10064
  { PseudoVSUXEI64_V_M8_M4, VSUXEI64_V, 0x2, 0x0 }, // 10065
  { PseudoVSUXEI64_V_M8_M4_MASK, VSUXEI64_V, 0x2, 0x0 }, // 10066
  { PseudoVSUXEI64_V_M8_M8, VSUXEI64_V, 0x3, 0x0 }, // 10067
  { PseudoVSUXEI64_V_M8_M8_MASK, VSUXEI64_V, 0x3, 0x0 }, // 10068
  { PseudoVSUXEI64_V_M1_MF8, VSUXEI64_V, 0x5, 0x0 }, // 10069
  { PseudoVSUXEI64_V_M1_MF8_MASK, VSUXEI64_V, 0x5, 0x0 }, // 10070
  { PseudoVSUXEI64_V_M1_MF4, VSUXEI64_V, 0x6, 0x0 }, // 10071
  { PseudoVSUXEI64_V_M1_MF4_MASK, VSUXEI64_V, 0x6, 0x0 }, // 10072
  { PseudoVSUXEI64_V_M2_MF4, VSUXEI64_V, 0x6, 0x0 }, // 10073
  { PseudoVSUXEI64_V_M2_MF4_MASK, VSUXEI64_V, 0x6, 0x0 }, // 10074
  { PseudoVSUXEI64_V_M1_MF2, VSUXEI64_V, 0x7, 0x0 }, // 10075
  { PseudoVSUXEI64_V_M1_MF2_MASK, VSUXEI64_V, 0x7, 0x0 }, // 10076
  { PseudoVSUXEI64_V_M2_MF2, VSUXEI64_V, 0x7, 0x0 }, // 10077
  { PseudoVSUXEI64_V_M2_MF2_MASK, VSUXEI64_V, 0x7, 0x0 }, // 10078
  { PseudoVSUXEI64_V_M4_MF2, VSUXEI64_V, 0x7, 0x0 }, // 10079
  { PseudoVSUXEI64_V_M4_MF2_MASK, VSUXEI64_V, 0x7, 0x0 }, // 10080
  { PseudoVSUXEI8_V_M1_M1, VSUXEI8_V, 0x0, 0x0 }, // 10081
  { PseudoVSUXEI8_V_M1_M1_MASK, VSUXEI8_V, 0x0, 0x0 }, // 10082
  { PseudoVSUXEI8_V_MF2_M1, VSUXEI8_V, 0x0, 0x0 }, // 10083
  { PseudoVSUXEI8_V_MF2_M1_MASK, VSUXEI8_V, 0x0, 0x0 }, // 10084
  { PseudoVSUXEI8_V_MF4_M1, VSUXEI8_V, 0x0, 0x0 }, // 10085
  { PseudoVSUXEI8_V_MF4_M1_MASK, VSUXEI8_V, 0x0, 0x0 }, // 10086
  { PseudoVSUXEI8_V_MF8_M1, VSUXEI8_V, 0x0, 0x0 }, // 10087
  { PseudoVSUXEI8_V_MF8_M1_MASK, VSUXEI8_V, 0x0, 0x0 }, // 10088
  { PseudoVSUXEI8_V_M1_M2, VSUXEI8_V, 0x1, 0x0 }, // 10089
  { PseudoVSUXEI8_V_M1_M2_MASK, VSUXEI8_V, 0x1, 0x0 }, // 10090
  { PseudoVSUXEI8_V_M2_M2, VSUXEI8_V, 0x1, 0x0 }, // 10091
  { PseudoVSUXEI8_V_M2_M2_MASK, VSUXEI8_V, 0x1, 0x0 }, // 10092
  { PseudoVSUXEI8_V_MF2_M2, VSUXEI8_V, 0x1, 0x0 }, // 10093
  { PseudoVSUXEI8_V_MF2_M2_MASK, VSUXEI8_V, 0x1, 0x0 }, // 10094
  { PseudoVSUXEI8_V_MF4_M2, VSUXEI8_V, 0x1, 0x0 }, // 10095
  { PseudoVSUXEI8_V_MF4_M2_MASK, VSUXEI8_V, 0x1, 0x0 }, // 10096
  { PseudoVSUXEI8_V_M1_M4, VSUXEI8_V, 0x2, 0x0 }, // 10097
  { PseudoVSUXEI8_V_M1_M4_MASK, VSUXEI8_V, 0x2, 0x0 }, // 10098
  { PseudoVSUXEI8_V_M2_M4, VSUXEI8_V, 0x2, 0x0 }, // 10099
  { PseudoVSUXEI8_V_M2_M4_MASK, VSUXEI8_V, 0x2, 0x0 }, // 10100
  { PseudoVSUXEI8_V_M4_M4, VSUXEI8_V, 0x2, 0x0 }, // 10101
  { PseudoVSUXEI8_V_M4_M4_MASK, VSUXEI8_V, 0x2, 0x0 }, // 10102
  { PseudoVSUXEI8_V_MF2_M4, VSUXEI8_V, 0x2, 0x0 }, // 10103
  { PseudoVSUXEI8_V_MF2_M4_MASK, VSUXEI8_V, 0x2, 0x0 }, // 10104
  { PseudoVSUXEI8_V_M1_M8, VSUXEI8_V, 0x3, 0x0 }, // 10105
  { PseudoVSUXEI8_V_M1_M8_MASK, VSUXEI8_V, 0x3, 0x0 }, // 10106
  { PseudoVSUXEI8_V_M2_M8, VSUXEI8_V, 0x3, 0x0 }, // 10107
  { PseudoVSUXEI8_V_M2_M8_MASK, VSUXEI8_V, 0x3, 0x0 }, // 10108
  { PseudoVSUXEI8_V_M4_M8, VSUXEI8_V, 0x3, 0x0 }, // 10109
  { PseudoVSUXEI8_V_M4_M8_MASK, VSUXEI8_V, 0x3, 0x0 }, // 10110
  { PseudoVSUXEI8_V_M8_M8, VSUXEI8_V, 0x3, 0x0 }, // 10111
  { PseudoVSUXEI8_V_M8_M8_MASK, VSUXEI8_V, 0x3, 0x0 }, // 10112
  { PseudoVSUXEI8_V_MF8_MF8, VSUXEI8_V, 0x5, 0x0 }, // 10113
  { PseudoVSUXEI8_V_MF8_MF8_MASK, VSUXEI8_V, 0x5, 0x0 }, // 10114
  { PseudoVSUXEI8_V_MF4_MF4, VSUXEI8_V, 0x6, 0x0 }, // 10115
  { PseudoVSUXEI8_V_MF4_MF4_MASK, VSUXEI8_V, 0x6, 0x0 }, // 10116
  { PseudoVSUXEI8_V_MF8_MF4, VSUXEI8_V, 0x6, 0x0 }, // 10117
  { PseudoVSUXEI8_V_MF8_MF4_MASK, VSUXEI8_V, 0x6, 0x0 }, // 10118
  { PseudoVSUXEI8_V_MF2_MF2, VSUXEI8_V, 0x7, 0x0 }, // 10119
  { PseudoVSUXEI8_V_MF2_MF2_MASK, VSUXEI8_V, 0x7, 0x0 }, // 10120
  { PseudoVSUXEI8_V_MF4_MF2, VSUXEI8_V, 0x7, 0x0 }, // 10121
  { PseudoVSUXEI8_V_MF4_MF2_MASK, VSUXEI8_V, 0x7, 0x0 }, // 10122
  { PseudoVSUXEI8_V_MF8_MF2, VSUXEI8_V, 0x7, 0x0 }, // 10123
  { PseudoVSUXEI8_V_MF8_MF2_MASK, VSUXEI8_V, 0x7, 0x0 }, // 10124
  { PseudoVSUXSEG2EI16_V_M1_M1, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10125
  { PseudoVSUXSEG2EI16_V_M1_M1_MASK, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10126
  { PseudoVSUXSEG2EI16_V_M2_M1, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10127
  { PseudoVSUXSEG2EI16_V_M2_M1_MASK, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10128
  { PseudoVSUXSEG2EI16_V_MF2_M1, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10129
  { PseudoVSUXSEG2EI16_V_MF2_M1_MASK, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10130
  { PseudoVSUXSEG2EI16_V_MF4_M1, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10131
  { PseudoVSUXSEG2EI16_V_MF4_M1_MASK, VSUXSEG2EI16_V, 0x0, 0x0 }, // 10132
  { PseudoVSUXSEG2EI16_V_M1_M2, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10133
  { PseudoVSUXSEG2EI16_V_M1_M2_MASK, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10134
  { PseudoVSUXSEG2EI16_V_M2_M2, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10135
  { PseudoVSUXSEG2EI16_V_M2_M2_MASK, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10136
  { PseudoVSUXSEG2EI16_V_M4_M2, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10137
  { PseudoVSUXSEG2EI16_V_M4_M2_MASK, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10138
  { PseudoVSUXSEG2EI16_V_MF2_M2, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10139
  { PseudoVSUXSEG2EI16_V_MF2_M2_MASK, VSUXSEG2EI16_V, 0x1, 0x0 }, // 10140
  { PseudoVSUXSEG2EI16_V_M1_M4, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10141
  { PseudoVSUXSEG2EI16_V_M1_M4_MASK, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10142
  { PseudoVSUXSEG2EI16_V_M2_M4, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10143
  { PseudoVSUXSEG2EI16_V_M2_M4_MASK, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10144
  { PseudoVSUXSEG2EI16_V_M4_M4, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10145
  { PseudoVSUXSEG2EI16_V_M4_M4_MASK, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10146
  { PseudoVSUXSEG2EI16_V_M8_M4, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10147
  { PseudoVSUXSEG2EI16_V_M8_M4_MASK, VSUXSEG2EI16_V, 0x2, 0x0 }, // 10148
  { PseudoVSUXSEG2EI16_V_MF4_MF8, VSUXSEG2EI16_V, 0x5, 0x0 }, // 10149
  { PseudoVSUXSEG2EI16_V_MF4_MF8_MASK, VSUXSEG2EI16_V, 0x5, 0x0 }, // 10150
  { PseudoVSUXSEG2EI16_V_MF2_MF4, VSUXSEG2EI16_V, 0x6, 0x0 }, // 10151
  { PseudoVSUXSEG2EI16_V_MF2_MF4_MASK, VSUXSEG2EI16_V, 0x6, 0x0 }, // 10152
  { PseudoVSUXSEG2EI16_V_MF4_MF4, VSUXSEG2EI16_V, 0x6, 0x0 }, // 10153
  { PseudoVSUXSEG2EI16_V_MF4_MF4_MASK, VSUXSEG2EI16_V, 0x6, 0x0 }, // 10154
  { PseudoVSUXSEG2EI16_V_M1_MF2, VSUXSEG2EI16_V, 0x7, 0x0 }, // 10155
  { PseudoVSUXSEG2EI16_V_M1_MF2_MASK, VSUXSEG2EI16_V, 0x7, 0x0 }, // 10156
  { PseudoVSUXSEG2EI16_V_MF2_MF2, VSUXSEG2EI16_V, 0x7, 0x0 }, // 10157
  { PseudoVSUXSEG2EI16_V_MF2_MF2_MASK, VSUXSEG2EI16_V, 0x7, 0x0 }, // 10158
  { PseudoVSUXSEG2EI16_V_MF4_MF2, VSUXSEG2EI16_V, 0x7, 0x0 }, // 10159
  { PseudoVSUXSEG2EI16_V_MF4_MF2_MASK, VSUXSEG2EI16_V, 0x7, 0x0 }, // 10160
  { PseudoVSUXSEG2EI32_V_M1_M1, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10161
  { PseudoVSUXSEG2EI32_V_M1_M1_MASK, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10162
  { PseudoVSUXSEG2EI32_V_M2_M1, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10163
  { PseudoVSUXSEG2EI32_V_M2_M1_MASK, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10164
  { PseudoVSUXSEG2EI32_V_M4_M1, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10165
  { PseudoVSUXSEG2EI32_V_M4_M1_MASK, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10166
  { PseudoVSUXSEG2EI32_V_MF2_M1, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10167
  { PseudoVSUXSEG2EI32_V_MF2_M1_MASK, VSUXSEG2EI32_V, 0x0, 0x0 }, // 10168
  { PseudoVSUXSEG2EI32_V_M1_M2, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10169
  { PseudoVSUXSEG2EI32_V_M1_M2_MASK, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10170
  { PseudoVSUXSEG2EI32_V_M2_M2, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10171
  { PseudoVSUXSEG2EI32_V_M2_M2_MASK, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10172
  { PseudoVSUXSEG2EI32_V_M4_M2, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10173
  { PseudoVSUXSEG2EI32_V_M4_M2_MASK, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10174
  { PseudoVSUXSEG2EI32_V_M8_M2, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10175
  { PseudoVSUXSEG2EI32_V_M8_M2_MASK, VSUXSEG2EI32_V, 0x1, 0x0 }, // 10176
  { PseudoVSUXSEG2EI32_V_M2_M4, VSUXSEG2EI32_V, 0x2, 0x0 }, // 10177
  { PseudoVSUXSEG2EI32_V_M2_M4_MASK, VSUXSEG2EI32_V, 0x2, 0x0 }, // 10178
  { PseudoVSUXSEG2EI32_V_M4_M4, VSUXSEG2EI32_V, 0x2, 0x0 }, // 10179
  { PseudoVSUXSEG2EI32_V_M4_M4_MASK, VSUXSEG2EI32_V, 0x2, 0x0 }, // 10180
  { PseudoVSUXSEG2EI32_V_M8_M4, VSUXSEG2EI32_V, 0x2, 0x0 }, // 10181
  { PseudoVSUXSEG2EI32_V_M8_M4_MASK, VSUXSEG2EI32_V, 0x2, 0x0 }, // 10182
  { PseudoVSUXSEG2EI32_V_MF2_MF8, VSUXSEG2EI32_V, 0x5, 0x0 }, // 10183
  { PseudoVSUXSEG2EI32_V_MF2_MF8_MASK, VSUXSEG2EI32_V, 0x5, 0x0 }, // 10184
  { PseudoVSUXSEG2EI32_V_M1_MF4, VSUXSEG2EI32_V, 0x6, 0x0 }, // 10185
  { PseudoVSUXSEG2EI32_V_M1_MF4_MASK, VSUXSEG2EI32_V, 0x6, 0x0 }, // 10186
  { PseudoVSUXSEG2EI32_V_MF2_MF4, VSUXSEG2EI32_V, 0x6, 0x0 }, // 10187
  { PseudoVSUXSEG2EI32_V_MF2_MF4_MASK, VSUXSEG2EI32_V, 0x6, 0x0 }, // 10188
  { PseudoVSUXSEG2EI32_V_M1_MF2, VSUXSEG2EI32_V, 0x7, 0x0 }, // 10189
  { PseudoVSUXSEG2EI32_V_M1_MF2_MASK, VSUXSEG2EI32_V, 0x7, 0x0 }, // 10190
  { PseudoVSUXSEG2EI32_V_M2_MF2, VSUXSEG2EI32_V, 0x7, 0x0 }, // 10191
  { PseudoVSUXSEG2EI32_V_M2_MF2_MASK, VSUXSEG2EI32_V, 0x7, 0x0 }, // 10192
  { PseudoVSUXSEG2EI32_V_MF2_MF2, VSUXSEG2EI32_V, 0x7, 0x0 }, // 10193
  { PseudoVSUXSEG2EI32_V_MF2_MF2_MASK, VSUXSEG2EI32_V, 0x7, 0x0 }, // 10194
  { PseudoVSUXSEG2EI64_V_M1_M1, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10195
  { PseudoVSUXSEG2EI64_V_M1_M1_MASK, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10196
  { PseudoVSUXSEG2EI64_V_M2_M1, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10197
  { PseudoVSUXSEG2EI64_V_M2_M1_MASK, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10198
  { PseudoVSUXSEG2EI64_V_M4_M1, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10199
  { PseudoVSUXSEG2EI64_V_M4_M1_MASK, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10200
  { PseudoVSUXSEG2EI64_V_M8_M1, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10201
  { PseudoVSUXSEG2EI64_V_M8_M1_MASK, VSUXSEG2EI64_V, 0x0, 0x0 }, // 10202
  { PseudoVSUXSEG2EI64_V_M2_M2, VSUXSEG2EI64_V, 0x1, 0x0 }, // 10203
  { PseudoVSUXSEG2EI64_V_M2_M2_MASK, VSUXSEG2EI64_V, 0x1, 0x0 }, // 10204
  { PseudoVSUXSEG2EI64_V_M4_M2, VSUXSEG2EI64_V, 0x1, 0x0 }, // 10205
  { PseudoVSUXSEG2EI64_V_M4_M2_MASK, VSUXSEG2EI64_V, 0x1, 0x0 }, // 10206
  { PseudoVSUXSEG2EI64_V_M8_M2, VSUXSEG2EI64_V, 0x1, 0x0 }, // 10207
  { PseudoVSUXSEG2EI64_V_M8_M2_MASK, VSUXSEG2EI64_V, 0x1, 0x0 }, // 10208
  { PseudoVSUXSEG2EI64_V_M4_M4, VSUXSEG2EI64_V, 0x2, 0x0 }, // 10209
  { PseudoVSUXSEG2EI64_V_M4_M4_MASK, VSUXSEG2EI64_V, 0x2, 0x0 }, // 10210
  { PseudoVSUXSEG2EI64_V_M8_M4, VSUXSEG2EI64_V, 0x2, 0x0 }, // 10211
  { PseudoVSUXSEG2EI64_V_M8_M4_MASK, VSUXSEG2EI64_V, 0x2, 0x0 }, // 10212
  { PseudoVSUXSEG2EI64_V_M1_MF8, VSUXSEG2EI64_V, 0x5, 0x0 }, // 10213
  { PseudoVSUXSEG2EI64_V_M1_MF8_MASK, VSUXSEG2EI64_V, 0x5, 0x0 }, // 10214
  { PseudoVSUXSEG2EI64_V_M1_MF4, VSUXSEG2EI64_V, 0x6, 0x0 }, // 10215
  { PseudoVSUXSEG2EI64_V_M1_MF4_MASK, VSUXSEG2EI64_V, 0x6, 0x0 }, // 10216
  { PseudoVSUXSEG2EI64_V_M2_MF4, VSUXSEG2EI64_V, 0x6, 0x0 }, // 10217
  { PseudoVSUXSEG2EI64_V_M2_MF4_MASK, VSUXSEG2EI64_V, 0x6, 0x0 }, // 10218
  { PseudoVSUXSEG2EI64_V_M1_MF2, VSUXSEG2EI64_V, 0x7, 0x0 }, // 10219
  { PseudoVSUXSEG2EI64_V_M1_MF2_MASK, VSUXSEG2EI64_V, 0x7, 0x0 }, // 10220
  { PseudoVSUXSEG2EI64_V_M2_MF2, VSUXSEG2EI64_V, 0x7, 0x0 }, // 10221
  { PseudoVSUXSEG2EI64_V_M2_MF2_MASK, VSUXSEG2EI64_V, 0x7, 0x0 }, // 10222
  { PseudoVSUXSEG2EI64_V_M4_MF2, VSUXSEG2EI64_V, 0x7, 0x0 }, // 10223
  { PseudoVSUXSEG2EI64_V_M4_MF2_MASK, VSUXSEG2EI64_V, 0x7, 0x0 }, // 10224
  { PseudoVSUXSEG2EI8_V_M1_M1, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10225
  { PseudoVSUXSEG2EI8_V_M1_M1_MASK, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10226
  { PseudoVSUXSEG2EI8_V_MF2_M1, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10227
  { PseudoVSUXSEG2EI8_V_MF2_M1_MASK, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10228
  { PseudoVSUXSEG2EI8_V_MF4_M1, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10229
  { PseudoVSUXSEG2EI8_V_MF4_M1_MASK, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10230
  { PseudoVSUXSEG2EI8_V_MF8_M1, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10231
  { PseudoVSUXSEG2EI8_V_MF8_M1_MASK, VSUXSEG2EI8_V, 0x0, 0x0 }, // 10232
  { PseudoVSUXSEG2EI8_V_M1_M2, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10233
  { PseudoVSUXSEG2EI8_V_M1_M2_MASK, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10234
  { PseudoVSUXSEG2EI8_V_M2_M2, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10235
  { PseudoVSUXSEG2EI8_V_M2_M2_MASK, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10236
  { PseudoVSUXSEG2EI8_V_MF2_M2, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10237
  { PseudoVSUXSEG2EI8_V_MF2_M2_MASK, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10238
  { PseudoVSUXSEG2EI8_V_MF4_M2, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10239
  { PseudoVSUXSEG2EI8_V_MF4_M2_MASK, VSUXSEG2EI8_V, 0x1, 0x0 }, // 10240
  { PseudoVSUXSEG2EI8_V_M1_M4, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10241
  { PseudoVSUXSEG2EI8_V_M1_M4_MASK, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10242
  { PseudoVSUXSEG2EI8_V_M2_M4, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10243
  { PseudoVSUXSEG2EI8_V_M2_M4_MASK, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10244
  { PseudoVSUXSEG2EI8_V_M4_M4, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10245
  { PseudoVSUXSEG2EI8_V_M4_M4_MASK, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10246
  { PseudoVSUXSEG2EI8_V_MF2_M4, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10247
  { PseudoVSUXSEG2EI8_V_MF2_M4_MASK, VSUXSEG2EI8_V, 0x2, 0x0 }, // 10248
  { PseudoVSUXSEG2EI8_V_MF8_MF8, VSUXSEG2EI8_V, 0x5, 0x0 }, // 10249
  { PseudoVSUXSEG2EI8_V_MF8_MF8_MASK, VSUXSEG2EI8_V, 0x5, 0x0 }, // 10250
  { PseudoVSUXSEG2EI8_V_MF4_MF4, VSUXSEG2EI8_V, 0x6, 0x0 }, // 10251
  { PseudoVSUXSEG2EI8_V_MF4_MF4_MASK, VSUXSEG2EI8_V, 0x6, 0x0 }, // 10252
  { PseudoVSUXSEG2EI8_V_MF8_MF4, VSUXSEG2EI8_V, 0x6, 0x0 }, // 10253
  { PseudoVSUXSEG2EI8_V_MF8_MF4_MASK, VSUXSEG2EI8_V, 0x6, 0x0 }, // 10254
  { PseudoVSUXSEG2EI8_V_MF2_MF2, VSUXSEG2EI8_V, 0x7, 0x0 }, // 10255
  { PseudoVSUXSEG2EI8_V_MF2_MF2_MASK, VSUXSEG2EI8_V, 0x7, 0x0 }, // 10256
  { PseudoVSUXSEG2EI8_V_MF4_MF2, VSUXSEG2EI8_V, 0x7, 0x0 }, // 10257
  { PseudoVSUXSEG2EI8_V_MF4_MF2_MASK, VSUXSEG2EI8_V, 0x7, 0x0 }, // 10258
  { PseudoVSUXSEG2EI8_V_MF8_MF2, VSUXSEG2EI8_V, 0x7, 0x0 }, // 10259
  { PseudoVSUXSEG2EI8_V_MF8_MF2_MASK, VSUXSEG2EI8_V, 0x7, 0x0 }, // 10260
  { PseudoVSUXSEG3EI16_V_M1_M1, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10261
  { PseudoVSUXSEG3EI16_V_M1_M1_MASK, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10262
  { PseudoVSUXSEG3EI16_V_M2_M1, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10263
  { PseudoVSUXSEG3EI16_V_M2_M1_MASK, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10264
  { PseudoVSUXSEG3EI16_V_MF2_M1, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10265
  { PseudoVSUXSEG3EI16_V_MF2_M1_MASK, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10266
  { PseudoVSUXSEG3EI16_V_MF4_M1, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10267
  { PseudoVSUXSEG3EI16_V_MF4_M1_MASK, VSUXSEG3EI16_V, 0x0, 0x0 }, // 10268
  { PseudoVSUXSEG3EI16_V_M1_M2, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10269
  { PseudoVSUXSEG3EI16_V_M1_M2_MASK, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10270
  { PseudoVSUXSEG3EI16_V_M2_M2, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10271
  { PseudoVSUXSEG3EI16_V_M2_M2_MASK, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10272
  { PseudoVSUXSEG3EI16_V_M4_M2, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10273
  { PseudoVSUXSEG3EI16_V_M4_M2_MASK, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10274
  { PseudoVSUXSEG3EI16_V_MF2_M2, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10275
  { PseudoVSUXSEG3EI16_V_MF2_M2_MASK, VSUXSEG3EI16_V, 0x1, 0x0 }, // 10276
  { PseudoVSUXSEG3EI16_V_MF4_MF8, VSUXSEG3EI16_V, 0x5, 0x0 }, // 10277
  { PseudoVSUXSEG3EI16_V_MF4_MF8_MASK, VSUXSEG3EI16_V, 0x5, 0x0 }, // 10278
  { PseudoVSUXSEG3EI16_V_MF2_MF4, VSUXSEG3EI16_V, 0x6, 0x0 }, // 10279
  { PseudoVSUXSEG3EI16_V_MF2_MF4_MASK, VSUXSEG3EI16_V, 0x6, 0x0 }, // 10280
  { PseudoVSUXSEG3EI16_V_MF4_MF4, VSUXSEG3EI16_V, 0x6, 0x0 }, // 10281
  { PseudoVSUXSEG3EI16_V_MF4_MF4_MASK, VSUXSEG3EI16_V, 0x6, 0x0 }, // 10282
  { PseudoVSUXSEG3EI16_V_M1_MF2, VSUXSEG3EI16_V, 0x7, 0x0 }, // 10283
  { PseudoVSUXSEG3EI16_V_M1_MF2_MASK, VSUXSEG3EI16_V, 0x7, 0x0 }, // 10284
  { PseudoVSUXSEG3EI16_V_MF2_MF2, VSUXSEG3EI16_V, 0x7, 0x0 }, // 10285
  { PseudoVSUXSEG3EI16_V_MF2_MF2_MASK, VSUXSEG3EI16_V, 0x7, 0x0 }, // 10286
  { PseudoVSUXSEG3EI16_V_MF4_MF2, VSUXSEG3EI16_V, 0x7, 0x0 }, // 10287
  { PseudoVSUXSEG3EI16_V_MF4_MF2_MASK, VSUXSEG3EI16_V, 0x7, 0x0 }, // 10288
  { PseudoVSUXSEG3EI32_V_M1_M1, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10289
  { PseudoVSUXSEG3EI32_V_M1_M1_MASK, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10290
  { PseudoVSUXSEG3EI32_V_M2_M1, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10291
  { PseudoVSUXSEG3EI32_V_M2_M1_MASK, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10292
  { PseudoVSUXSEG3EI32_V_M4_M1, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10293
  { PseudoVSUXSEG3EI32_V_M4_M1_MASK, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10294
  { PseudoVSUXSEG3EI32_V_MF2_M1, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10295
  { PseudoVSUXSEG3EI32_V_MF2_M1_MASK, VSUXSEG3EI32_V, 0x0, 0x0 }, // 10296
  { PseudoVSUXSEG3EI32_V_M1_M2, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10297
  { PseudoVSUXSEG3EI32_V_M1_M2_MASK, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10298
  { PseudoVSUXSEG3EI32_V_M2_M2, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10299
  { PseudoVSUXSEG3EI32_V_M2_M2_MASK, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10300
  { PseudoVSUXSEG3EI32_V_M4_M2, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10301
  { PseudoVSUXSEG3EI32_V_M4_M2_MASK, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10302
  { PseudoVSUXSEG3EI32_V_M8_M2, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10303
  { PseudoVSUXSEG3EI32_V_M8_M2_MASK, VSUXSEG3EI32_V, 0x1, 0x0 }, // 10304
  { PseudoVSUXSEG3EI32_V_MF2_MF8, VSUXSEG3EI32_V, 0x5, 0x0 }, // 10305
  { PseudoVSUXSEG3EI32_V_MF2_MF8_MASK, VSUXSEG3EI32_V, 0x5, 0x0 }, // 10306
  { PseudoVSUXSEG3EI32_V_M1_MF4, VSUXSEG3EI32_V, 0x6, 0x0 }, // 10307
  { PseudoVSUXSEG3EI32_V_M1_MF4_MASK, VSUXSEG3EI32_V, 0x6, 0x0 }, // 10308
  { PseudoVSUXSEG3EI32_V_MF2_MF4, VSUXSEG3EI32_V, 0x6, 0x0 }, // 10309
  { PseudoVSUXSEG3EI32_V_MF2_MF4_MASK, VSUXSEG3EI32_V, 0x6, 0x0 }, // 10310
  { PseudoVSUXSEG3EI32_V_M1_MF2, VSUXSEG3EI32_V, 0x7, 0x0 }, // 10311
  { PseudoVSUXSEG3EI32_V_M1_MF2_MASK, VSUXSEG3EI32_V, 0x7, 0x0 }, // 10312
  { PseudoVSUXSEG3EI32_V_M2_MF2, VSUXSEG3EI32_V, 0x7, 0x0 }, // 10313
  { PseudoVSUXSEG3EI32_V_M2_MF2_MASK, VSUXSEG3EI32_V, 0x7, 0x0 }, // 10314
  { PseudoVSUXSEG3EI32_V_MF2_MF2, VSUXSEG3EI32_V, 0x7, 0x0 }, // 10315
  { PseudoVSUXSEG3EI32_V_MF2_MF2_MASK, VSUXSEG3EI32_V, 0x7, 0x0 }, // 10316
  { PseudoVSUXSEG3EI64_V_M1_M1, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10317
  { PseudoVSUXSEG3EI64_V_M1_M1_MASK, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10318
  { PseudoVSUXSEG3EI64_V_M2_M1, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10319
  { PseudoVSUXSEG3EI64_V_M2_M1_MASK, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10320
  { PseudoVSUXSEG3EI64_V_M4_M1, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10321
  { PseudoVSUXSEG3EI64_V_M4_M1_MASK, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10322
  { PseudoVSUXSEG3EI64_V_M8_M1, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10323
  { PseudoVSUXSEG3EI64_V_M8_M1_MASK, VSUXSEG3EI64_V, 0x0, 0x0 }, // 10324
  { PseudoVSUXSEG3EI64_V_M2_M2, VSUXSEG3EI64_V, 0x1, 0x0 }, // 10325
  { PseudoVSUXSEG3EI64_V_M2_M2_MASK, VSUXSEG3EI64_V, 0x1, 0x0 }, // 10326
  { PseudoVSUXSEG3EI64_V_M4_M2, VSUXSEG3EI64_V, 0x1, 0x0 }, // 10327
  { PseudoVSUXSEG3EI64_V_M4_M2_MASK, VSUXSEG3EI64_V, 0x1, 0x0 }, // 10328
  { PseudoVSUXSEG3EI64_V_M8_M2, VSUXSEG3EI64_V, 0x1, 0x0 }, // 10329
  { PseudoVSUXSEG3EI64_V_M8_M2_MASK, VSUXSEG3EI64_V, 0x1, 0x0 }, // 10330
  { PseudoVSUXSEG3EI64_V_M1_MF8, VSUXSEG3EI64_V, 0x5, 0x0 }, // 10331
  { PseudoVSUXSEG3EI64_V_M1_MF8_MASK, VSUXSEG3EI64_V, 0x5, 0x0 }, // 10332
  { PseudoVSUXSEG3EI64_V_M1_MF4, VSUXSEG3EI64_V, 0x6, 0x0 }, // 10333
  { PseudoVSUXSEG3EI64_V_M1_MF4_MASK, VSUXSEG3EI64_V, 0x6, 0x0 }, // 10334
  { PseudoVSUXSEG3EI64_V_M2_MF4, VSUXSEG3EI64_V, 0x6, 0x0 }, // 10335
  { PseudoVSUXSEG3EI64_V_M2_MF4_MASK, VSUXSEG3EI64_V, 0x6, 0x0 }, // 10336
  { PseudoVSUXSEG3EI64_V_M1_MF2, VSUXSEG3EI64_V, 0x7, 0x0 }, // 10337
  { PseudoVSUXSEG3EI64_V_M1_MF2_MASK, VSUXSEG3EI64_V, 0x7, 0x0 }, // 10338
  { PseudoVSUXSEG3EI64_V_M2_MF2, VSUXSEG3EI64_V, 0x7, 0x0 }, // 10339
  { PseudoVSUXSEG3EI64_V_M2_MF2_MASK, VSUXSEG3EI64_V, 0x7, 0x0 }, // 10340
  { PseudoVSUXSEG3EI64_V_M4_MF2, VSUXSEG3EI64_V, 0x7, 0x0 }, // 10341
  { PseudoVSUXSEG3EI64_V_M4_MF2_MASK, VSUXSEG3EI64_V, 0x7, 0x0 }, // 10342
  { PseudoVSUXSEG3EI8_V_M1_M1, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10343
  { PseudoVSUXSEG3EI8_V_M1_M1_MASK, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10344
  { PseudoVSUXSEG3EI8_V_MF2_M1, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10345
  { PseudoVSUXSEG3EI8_V_MF2_M1_MASK, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10346
  { PseudoVSUXSEG3EI8_V_MF4_M1, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10347
  { PseudoVSUXSEG3EI8_V_MF4_M1_MASK, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10348
  { PseudoVSUXSEG3EI8_V_MF8_M1, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10349
  { PseudoVSUXSEG3EI8_V_MF8_M1_MASK, VSUXSEG3EI8_V, 0x0, 0x0 }, // 10350
  { PseudoVSUXSEG3EI8_V_M1_M2, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10351
  { PseudoVSUXSEG3EI8_V_M1_M2_MASK, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10352
  { PseudoVSUXSEG3EI8_V_M2_M2, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10353
  { PseudoVSUXSEG3EI8_V_M2_M2_MASK, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10354
  { PseudoVSUXSEG3EI8_V_MF2_M2, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10355
  { PseudoVSUXSEG3EI8_V_MF2_M2_MASK, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10356
  { PseudoVSUXSEG3EI8_V_MF4_M2, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10357
  { PseudoVSUXSEG3EI8_V_MF4_M2_MASK, VSUXSEG3EI8_V, 0x1, 0x0 }, // 10358
  { PseudoVSUXSEG3EI8_V_MF8_MF8, VSUXSEG3EI8_V, 0x5, 0x0 }, // 10359
  { PseudoVSUXSEG3EI8_V_MF8_MF8_MASK, VSUXSEG3EI8_V, 0x5, 0x0 }, // 10360
  { PseudoVSUXSEG3EI8_V_MF4_MF4, VSUXSEG3EI8_V, 0x6, 0x0 }, // 10361
  { PseudoVSUXSEG3EI8_V_MF4_MF4_MASK, VSUXSEG3EI8_V, 0x6, 0x0 }, // 10362
  { PseudoVSUXSEG3EI8_V_MF8_MF4, VSUXSEG3EI8_V, 0x6, 0x0 }, // 10363
  { PseudoVSUXSEG3EI8_V_MF8_MF4_MASK, VSUXSEG3EI8_V, 0x6, 0x0 }, // 10364
  { PseudoVSUXSEG3EI8_V_MF2_MF2, VSUXSEG3EI8_V, 0x7, 0x0 }, // 10365
  { PseudoVSUXSEG3EI8_V_MF2_MF2_MASK, VSUXSEG3EI8_V, 0x7, 0x0 }, // 10366
  { PseudoVSUXSEG3EI8_V_MF4_MF2, VSUXSEG3EI8_V, 0x7, 0x0 }, // 10367
  { PseudoVSUXSEG3EI8_V_MF4_MF2_MASK, VSUXSEG3EI8_V, 0x7, 0x0 }, // 10368
  { PseudoVSUXSEG3EI8_V_MF8_MF2, VSUXSEG3EI8_V, 0x7, 0x0 }, // 10369
  { PseudoVSUXSEG3EI8_V_MF8_MF2_MASK, VSUXSEG3EI8_V, 0x7, 0x0 }, // 10370
  { PseudoVSUXSEG4EI16_V_M1_M1, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10371
  { PseudoVSUXSEG4EI16_V_M1_M1_MASK, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10372
  { PseudoVSUXSEG4EI16_V_M2_M1, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10373
  { PseudoVSUXSEG4EI16_V_M2_M1_MASK, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10374
  { PseudoVSUXSEG4EI16_V_MF2_M1, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10375
  { PseudoVSUXSEG4EI16_V_MF2_M1_MASK, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10376
  { PseudoVSUXSEG4EI16_V_MF4_M1, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10377
  { PseudoVSUXSEG4EI16_V_MF4_M1_MASK, VSUXSEG4EI16_V, 0x0, 0x0 }, // 10378
  { PseudoVSUXSEG4EI16_V_M1_M2, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10379
  { PseudoVSUXSEG4EI16_V_M1_M2_MASK, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10380
  { PseudoVSUXSEG4EI16_V_M2_M2, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10381
  { PseudoVSUXSEG4EI16_V_M2_M2_MASK, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10382
  { PseudoVSUXSEG4EI16_V_M4_M2, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10383
  { PseudoVSUXSEG4EI16_V_M4_M2_MASK, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10384
  { PseudoVSUXSEG4EI16_V_MF2_M2, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10385
  { PseudoVSUXSEG4EI16_V_MF2_M2_MASK, VSUXSEG4EI16_V, 0x1, 0x0 }, // 10386
  { PseudoVSUXSEG4EI16_V_MF4_MF8, VSUXSEG4EI16_V, 0x5, 0x0 }, // 10387
  { PseudoVSUXSEG4EI16_V_MF4_MF8_MASK, VSUXSEG4EI16_V, 0x5, 0x0 }, // 10388
  { PseudoVSUXSEG4EI16_V_MF2_MF4, VSUXSEG4EI16_V, 0x6, 0x0 }, // 10389
  { PseudoVSUXSEG4EI16_V_MF2_MF4_MASK, VSUXSEG4EI16_V, 0x6, 0x0 }, // 10390
  { PseudoVSUXSEG4EI16_V_MF4_MF4, VSUXSEG4EI16_V, 0x6, 0x0 }, // 10391
  { PseudoVSUXSEG4EI16_V_MF4_MF4_MASK, VSUXSEG4EI16_V, 0x6, 0x0 }, // 10392
  { PseudoVSUXSEG4EI16_V_M1_MF2, VSUXSEG4EI16_V, 0x7, 0x0 }, // 10393
  { PseudoVSUXSEG4EI16_V_M1_MF2_MASK, VSUXSEG4EI16_V, 0x7, 0x0 }, // 10394
  { PseudoVSUXSEG4EI16_V_MF2_MF2, VSUXSEG4EI16_V, 0x7, 0x0 }, // 10395
  { PseudoVSUXSEG4EI16_V_MF2_MF2_MASK, VSUXSEG4EI16_V, 0x7, 0x0 }, // 10396
  { PseudoVSUXSEG4EI16_V_MF4_MF2, VSUXSEG4EI16_V, 0x7, 0x0 }, // 10397
  { PseudoVSUXSEG4EI16_V_MF4_MF2_MASK, VSUXSEG4EI16_V, 0x7, 0x0 }, // 10398
  { PseudoVSUXSEG4EI32_V_M1_M1, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10399
  { PseudoVSUXSEG4EI32_V_M1_M1_MASK, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10400
  { PseudoVSUXSEG4EI32_V_M2_M1, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10401
  { PseudoVSUXSEG4EI32_V_M2_M1_MASK, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10402
  { PseudoVSUXSEG4EI32_V_M4_M1, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10403
  { PseudoVSUXSEG4EI32_V_M4_M1_MASK, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10404
  { PseudoVSUXSEG4EI32_V_MF2_M1, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10405
  { PseudoVSUXSEG4EI32_V_MF2_M1_MASK, VSUXSEG4EI32_V, 0x0, 0x0 }, // 10406
  { PseudoVSUXSEG4EI32_V_M1_M2, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10407
  { PseudoVSUXSEG4EI32_V_M1_M2_MASK, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10408
  { PseudoVSUXSEG4EI32_V_M2_M2, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10409
  { PseudoVSUXSEG4EI32_V_M2_M2_MASK, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10410
  { PseudoVSUXSEG4EI32_V_M4_M2, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10411
  { PseudoVSUXSEG4EI32_V_M4_M2_MASK, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10412
  { PseudoVSUXSEG4EI32_V_M8_M2, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10413
  { PseudoVSUXSEG4EI32_V_M8_M2_MASK, VSUXSEG4EI32_V, 0x1, 0x0 }, // 10414
  { PseudoVSUXSEG4EI32_V_MF2_MF8, VSUXSEG4EI32_V, 0x5, 0x0 }, // 10415
  { PseudoVSUXSEG4EI32_V_MF2_MF8_MASK, VSUXSEG4EI32_V, 0x5, 0x0 }, // 10416
  { PseudoVSUXSEG4EI32_V_M1_MF4, VSUXSEG4EI32_V, 0x6, 0x0 }, // 10417
  { PseudoVSUXSEG4EI32_V_M1_MF4_MASK, VSUXSEG4EI32_V, 0x6, 0x0 }, // 10418
  { PseudoVSUXSEG4EI32_V_MF2_MF4, VSUXSEG4EI32_V, 0x6, 0x0 }, // 10419
  { PseudoVSUXSEG4EI32_V_MF2_MF4_MASK, VSUXSEG4EI32_V, 0x6, 0x0 }, // 10420
  { PseudoVSUXSEG4EI32_V_M1_MF2, VSUXSEG4EI32_V, 0x7, 0x0 }, // 10421
  { PseudoVSUXSEG4EI32_V_M1_MF2_MASK, VSUXSEG4EI32_V, 0x7, 0x0 }, // 10422
  { PseudoVSUXSEG4EI32_V_M2_MF2, VSUXSEG4EI32_V, 0x7, 0x0 }, // 10423
  { PseudoVSUXSEG4EI32_V_M2_MF2_MASK, VSUXSEG4EI32_V, 0x7, 0x0 }, // 10424
  { PseudoVSUXSEG4EI32_V_MF2_MF2, VSUXSEG4EI32_V, 0x7, 0x0 }, // 10425
  { PseudoVSUXSEG4EI32_V_MF2_MF2_MASK, VSUXSEG4EI32_V, 0x7, 0x0 }, // 10426
  { PseudoVSUXSEG4EI64_V_M1_M1, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10427
  { PseudoVSUXSEG4EI64_V_M1_M1_MASK, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10428
  { PseudoVSUXSEG4EI64_V_M2_M1, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10429
  { PseudoVSUXSEG4EI64_V_M2_M1_MASK, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10430
  { PseudoVSUXSEG4EI64_V_M4_M1, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10431
  { PseudoVSUXSEG4EI64_V_M4_M1_MASK, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10432
  { PseudoVSUXSEG4EI64_V_M8_M1, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10433
  { PseudoVSUXSEG4EI64_V_M8_M1_MASK, VSUXSEG4EI64_V, 0x0, 0x0 }, // 10434
  { PseudoVSUXSEG4EI64_V_M2_M2, VSUXSEG4EI64_V, 0x1, 0x0 }, // 10435
  { PseudoVSUXSEG4EI64_V_M2_M2_MASK, VSUXSEG4EI64_V, 0x1, 0x0 }, // 10436
  { PseudoVSUXSEG4EI64_V_M4_M2, VSUXSEG4EI64_V, 0x1, 0x0 }, // 10437
  { PseudoVSUXSEG4EI64_V_M4_M2_MASK, VSUXSEG4EI64_V, 0x1, 0x0 }, // 10438
  { PseudoVSUXSEG4EI64_V_M8_M2, VSUXSEG4EI64_V, 0x1, 0x0 }, // 10439
  { PseudoVSUXSEG4EI64_V_M8_M2_MASK, VSUXSEG4EI64_V, 0x1, 0x0 }, // 10440
  { PseudoVSUXSEG4EI64_V_M1_MF8, VSUXSEG4EI64_V, 0x5, 0x0 }, // 10441
  { PseudoVSUXSEG4EI64_V_M1_MF8_MASK, VSUXSEG4EI64_V, 0x5, 0x0 }, // 10442
  { PseudoVSUXSEG4EI64_V_M1_MF4, VSUXSEG4EI64_V, 0x6, 0x0 }, // 10443
  { PseudoVSUXSEG4EI64_V_M1_MF4_MASK, VSUXSEG4EI64_V, 0x6, 0x0 }, // 10444
  { PseudoVSUXSEG4EI64_V_M2_MF4, VSUXSEG4EI64_V, 0x6, 0x0 }, // 10445
  { PseudoVSUXSEG4EI64_V_M2_MF4_MASK, VSUXSEG4EI64_V, 0x6, 0x0 }, // 10446
  { PseudoVSUXSEG4EI64_V_M1_MF2, VSUXSEG4EI64_V, 0x7, 0x0 }, // 10447
  { PseudoVSUXSEG4EI64_V_M1_MF2_MASK, VSUXSEG4EI64_V, 0x7, 0x0 }, // 10448
  { PseudoVSUXSEG4EI64_V_M2_MF2, VSUXSEG4EI64_V, 0x7, 0x0 }, // 10449
  { PseudoVSUXSEG4EI64_V_M2_MF2_MASK, VSUXSEG4EI64_V, 0x7, 0x0 }, // 10450
  { PseudoVSUXSEG4EI64_V_M4_MF2, VSUXSEG4EI64_V, 0x7, 0x0 }, // 10451
  { PseudoVSUXSEG4EI64_V_M4_MF2_MASK, VSUXSEG4EI64_V, 0x7, 0x0 }, // 10452
  { PseudoVSUXSEG4EI8_V_M1_M1, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10453
  { PseudoVSUXSEG4EI8_V_M1_M1_MASK, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10454
  { PseudoVSUXSEG4EI8_V_MF2_M1, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10455
  { PseudoVSUXSEG4EI8_V_MF2_M1_MASK, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10456
  { PseudoVSUXSEG4EI8_V_MF4_M1, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10457
  { PseudoVSUXSEG4EI8_V_MF4_M1_MASK, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10458
  { PseudoVSUXSEG4EI8_V_MF8_M1, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10459
  { PseudoVSUXSEG4EI8_V_MF8_M1_MASK, VSUXSEG4EI8_V, 0x0, 0x0 }, // 10460
  { PseudoVSUXSEG4EI8_V_M1_M2, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10461
  { PseudoVSUXSEG4EI8_V_M1_M2_MASK, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10462
  { PseudoVSUXSEG4EI8_V_M2_M2, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10463
  { PseudoVSUXSEG4EI8_V_M2_M2_MASK, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10464
  { PseudoVSUXSEG4EI8_V_MF2_M2, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10465
  { PseudoVSUXSEG4EI8_V_MF2_M2_MASK, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10466
  { PseudoVSUXSEG4EI8_V_MF4_M2, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10467
  { PseudoVSUXSEG4EI8_V_MF4_M2_MASK, VSUXSEG4EI8_V, 0x1, 0x0 }, // 10468
  { PseudoVSUXSEG4EI8_V_MF8_MF8, VSUXSEG4EI8_V, 0x5, 0x0 }, // 10469
  { PseudoVSUXSEG4EI8_V_MF8_MF8_MASK, VSUXSEG4EI8_V, 0x5, 0x0 }, // 10470
  { PseudoVSUXSEG4EI8_V_MF4_MF4, VSUXSEG4EI8_V, 0x6, 0x0 }, // 10471
  { PseudoVSUXSEG4EI8_V_MF4_MF4_MASK, VSUXSEG4EI8_V, 0x6, 0x0 }, // 10472
  { PseudoVSUXSEG4EI8_V_MF8_MF4, VSUXSEG4EI8_V, 0x6, 0x0 }, // 10473
  { PseudoVSUXSEG4EI8_V_MF8_MF4_MASK, VSUXSEG4EI8_V, 0x6, 0x0 }, // 10474
  { PseudoVSUXSEG4EI8_V_MF2_MF2, VSUXSEG4EI8_V, 0x7, 0x0 }, // 10475
  { PseudoVSUXSEG4EI8_V_MF2_MF2_MASK, VSUXSEG4EI8_V, 0x7, 0x0 }, // 10476
  { PseudoVSUXSEG4EI8_V_MF4_MF2, VSUXSEG4EI8_V, 0x7, 0x0 }, // 10477
  { PseudoVSUXSEG4EI8_V_MF4_MF2_MASK, VSUXSEG4EI8_V, 0x7, 0x0 }, // 10478
  { PseudoVSUXSEG4EI8_V_MF8_MF2, VSUXSEG4EI8_V, 0x7, 0x0 }, // 10479
  { PseudoVSUXSEG4EI8_V_MF8_MF2_MASK, VSUXSEG4EI8_V, 0x7, 0x0 }, // 10480
  { PseudoVSUXSEG5EI16_V_M1_M1, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10481
  { PseudoVSUXSEG5EI16_V_M1_M1_MASK, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10482
  { PseudoVSUXSEG5EI16_V_M2_M1, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10483
  { PseudoVSUXSEG5EI16_V_M2_M1_MASK, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10484
  { PseudoVSUXSEG5EI16_V_MF2_M1, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10485
  { PseudoVSUXSEG5EI16_V_MF2_M1_MASK, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10486
  { PseudoVSUXSEG5EI16_V_MF4_M1, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10487
  { PseudoVSUXSEG5EI16_V_MF4_M1_MASK, VSUXSEG5EI16_V, 0x0, 0x0 }, // 10488
  { PseudoVSUXSEG5EI16_V_MF4_MF8, VSUXSEG5EI16_V, 0x5, 0x0 }, // 10489
  { PseudoVSUXSEG5EI16_V_MF4_MF8_MASK, VSUXSEG5EI16_V, 0x5, 0x0 }, // 10490
  { PseudoVSUXSEG5EI16_V_MF2_MF4, VSUXSEG5EI16_V, 0x6, 0x0 }, // 10491
  { PseudoVSUXSEG5EI16_V_MF2_MF4_MASK, VSUXSEG5EI16_V, 0x6, 0x0 }, // 10492
  { PseudoVSUXSEG5EI16_V_MF4_MF4, VSUXSEG5EI16_V, 0x6, 0x0 }, // 10493
  { PseudoVSUXSEG5EI16_V_MF4_MF4_MASK, VSUXSEG5EI16_V, 0x6, 0x0 }, // 10494
  { PseudoVSUXSEG5EI16_V_M1_MF2, VSUXSEG5EI16_V, 0x7, 0x0 }, // 10495
  { PseudoVSUXSEG5EI16_V_M1_MF2_MASK, VSUXSEG5EI16_V, 0x7, 0x0 }, // 10496
  { PseudoVSUXSEG5EI16_V_MF2_MF2, VSUXSEG5EI16_V, 0x7, 0x0 }, // 10497
  { PseudoVSUXSEG5EI16_V_MF2_MF2_MASK, VSUXSEG5EI16_V, 0x7, 0x0 }, // 10498
  { PseudoVSUXSEG5EI16_V_MF4_MF2, VSUXSEG5EI16_V, 0x7, 0x0 }, // 10499
  { PseudoVSUXSEG5EI16_V_MF4_MF2_MASK, VSUXSEG5EI16_V, 0x7, 0x0 }, // 10500
  { PseudoVSUXSEG5EI32_V_M1_M1, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10501
  { PseudoVSUXSEG5EI32_V_M1_M1_MASK, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10502
  { PseudoVSUXSEG5EI32_V_M2_M1, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10503
  { PseudoVSUXSEG5EI32_V_M2_M1_MASK, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10504
  { PseudoVSUXSEG5EI32_V_M4_M1, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10505
  { PseudoVSUXSEG5EI32_V_M4_M1_MASK, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10506
  { PseudoVSUXSEG5EI32_V_MF2_M1, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10507
  { PseudoVSUXSEG5EI32_V_MF2_M1_MASK, VSUXSEG5EI32_V, 0x0, 0x0 }, // 10508
  { PseudoVSUXSEG5EI32_V_MF2_MF8, VSUXSEG5EI32_V, 0x5, 0x0 }, // 10509
  { PseudoVSUXSEG5EI32_V_MF2_MF8_MASK, VSUXSEG5EI32_V, 0x5, 0x0 }, // 10510
  { PseudoVSUXSEG5EI32_V_M1_MF4, VSUXSEG5EI32_V, 0x6, 0x0 }, // 10511
  { PseudoVSUXSEG5EI32_V_M1_MF4_MASK, VSUXSEG5EI32_V, 0x6, 0x0 }, // 10512
  { PseudoVSUXSEG5EI32_V_MF2_MF4, VSUXSEG5EI32_V, 0x6, 0x0 }, // 10513
  { PseudoVSUXSEG5EI32_V_MF2_MF4_MASK, VSUXSEG5EI32_V, 0x6, 0x0 }, // 10514
  { PseudoVSUXSEG5EI32_V_M1_MF2, VSUXSEG5EI32_V, 0x7, 0x0 }, // 10515
  { PseudoVSUXSEG5EI32_V_M1_MF2_MASK, VSUXSEG5EI32_V, 0x7, 0x0 }, // 10516
  { PseudoVSUXSEG5EI32_V_M2_MF2, VSUXSEG5EI32_V, 0x7, 0x0 }, // 10517
  { PseudoVSUXSEG5EI32_V_M2_MF2_MASK, VSUXSEG5EI32_V, 0x7, 0x0 }, // 10518
  { PseudoVSUXSEG5EI32_V_MF2_MF2, VSUXSEG5EI32_V, 0x7, 0x0 }, // 10519
  { PseudoVSUXSEG5EI32_V_MF2_MF2_MASK, VSUXSEG5EI32_V, 0x7, 0x0 }, // 10520
  { PseudoVSUXSEG5EI64_V_M1_M1, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10521
  { PseudoVSUXSEG5EI64_V_M1_M1_MASK, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10522
  { PseudoVSUXSEG5EI64_V_M2_M1, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10523
  { PseudoVSUXSEG5EI64_V_M2_M1_MASK, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10524
  { PseudoVSUXSEG5EI64_V_M4_M1, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10525
  { PseudoVSUXSEG5EI64_V_M4_M1_MASK, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10526
  { PseudoVSUXSEG5EI64_V_M8_M1, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10527
  { PseudoVSUXSEG5EI64_V_M8_M1_MASK, VSUXSEG5EI64_V, 0x0, 0x0 }, // 10528
  { PseudoVSUXSEG5EI64_V_M1_MF8, VSUXSEG5EI64_V, 0x5, 0x0 }, // 10529
  { PseudoVSUXSEG5EI64_V_M1_MF8_MASK, VSUXSEG5EI64_V, 0x5, 0x0 }, // 10530
  { PseudoVSUXSEG5EI64_V_M1_MF4, VSUXSEG5EI64_V, 0x6, 0x0 }, // 10531
  { PseudoVSUXSEG5EI64_V_M1_MF4_MASK, VSUXSEG5EI64_V, 0x6, 0x0 }, // 10532
  { PseudoVSUXSEG5EI64_V_M2_MF4, VSUXSEG5EI64_V, 0x6, 0x0 }, // 10533
  { PseudoVSUXSEG5EI64_V_M2_MF4_MASK, VSUXSEG5EI64_V, 0x6, 0x0 }, // 10534
  { PseudoVSUXSEG5EI64_V_M1_MF2, VSUXSEG5EI64_V, 0x7, 0x0 }, // 10535
  { PseudoVSUXSEG5EI64_V_M1_MF2_MASK, VSUXSEG5EI64_V, 0x7, 0x0 }, // 10536
  { PseudoVSUXSEG5EI64_V_M2_MF2, VSUXSEG5EI64_V, 0x7, 0x0 }, // 10537
  { PseudoVSUXSEG5EI64_V_M2_MF2_MASK, VSUXSEG5EI64_V, 0x7, 0x0 }, // 10538
  { PseudoVSUXSEG5EI64_V_M4_MF2, VSUXSEG5EI64_V, 0x7, 0x0 }, // 10539
  { PseudoVSUXSEG5EI64_V_M4_MF2_MASK, VSUXSEG5EI64_V, 0x7, 0x0 }, // 10540
  { PseudoVSUXSEG5EI8_V_M1_M1, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10541
  { PseudoVSUXSEG5EI8_V_M1_M1_MASK, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10542
  { PseudoVSUXSEG5EI8_V_MF2_M1, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10543
  { PseudoVSUXSEG5EI8_V_MF2_M1_MASK, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10544
  { PseudoVSUXSEG5EI8_V_MF4_M1, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10545
  { PseudoVSUXSEG5EI8_V_MF4_M1_MASK, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10546
  { PseudoVSUXSEG5EI8_V_MF8_M1, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10547
  { PseudoVSUXSEG5EI8_V_MF8_M1_MASK, VSUXSEG5EI8_V, 0x0, 0x0 }, // 10548
  { PseudoVSUXSEG5EI8_V_MF8_MF8, VSUXSEG5EI8_V, 0x5, 0x0 }, // 10549
  { PseudoVSUXSEG5EI8_V_MF8_MF8_MASK, VSUXSEG5EI8_V, 0x5, 0x0 }, // 10550
  { PseudoVSUXSEG5EI8_V_MF4_MF4, VSUXSEG5EI8_V, 0x6, 0x0 }, // 10551
  { PseudoVSUXSEG5EI8_V_MF4_MF4_MASK, VSUXSEG5EI8_V, 0x6, 0x0 }, // 10552
  { PseudoVSUXSEG5EI8_V_MF8_MF4, VSUXSEG5EI8_V, 0x6, 0x0 }, // 10553
  { PseudoVSUXSEG5EI8_V_MF8_MF4_MASK, VSUXSEG5EI8_V, 0x6, 0x0 }, // 10554
  { PseudoVSUXSEG5EI8_V_MF2_MF2, VSUXSEG5EI8_V, 0x7, 0x0 }, // 10555
  { PseudoVSUXSEG5EI8_V_MF2_MF2_MASK, VSUXSEG5EI8_V, 0x7, 0x0 }, // 10556
  { PseudoVSUXSEG5EI8_V_MF4_MF2, VSUXSEG5EI8_V, 0x7, 0x0 }, // 10557
  { PseudoVSUXSEG5EI8_V_MF4_MF2_MASK, VSUXSEG5EI8_V, 0x7, 0x0 }, // 10558
  { PseudoVSUXSEG5EI8_V_MF8_MF2, VSUXSEG5EI8_V, 0x7, 0x0 }, // 10559
  { PseudoVSUXSEG5EI8_V_MF8_MF2_MASK, VSUXSEG5EI8_V, 0x7, 0x0 }, // 10560
  { PseudoVSUXSEG6EI16_V_M1_M1, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10561
  { PseudoVSUXSEG6EI16_V_M1_M1_MASK, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10562
  { PseudoVSUXSEG6EI16_V_M2_M1, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10563
  { PseudoVSUXSEG6EI16_V_M2_M1_MASK, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10564
  { PseudoVSUXSEG6EI16_V_MF2_M1, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10565
  { PseudoVSUXSEG6EI16_V_MF2_M1_MASK, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10566
  { PseudoVSUXSEG6EI16_V_MF4_M1, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10567
  { PseudoVSUXSEG6EI16_V_MF4_M1_MASK, VSUXSEG6EI16_V, 0x0, 0x0 }, // 10568
  { PseudoVSUXSEG6EI16_V_MF4_MF8, VSUXSEG6EI16_V, 0x5, 0x0 }, // 10569
  { PseudoVSUXSEG6EI16_V_MF4_MF8_MASK, VSUXSEG6EI16_V, 0x5, 0x0 }, // 10570
  { PseudoVSUXSEG6EI16_V_MF2_MF4, VSUXSEG6EI16_V, 0x6, 0x0 }, // 10571
  { PseudoVSUXSEG6EI16_V_MF2_MF4_MASK, VSUXSEG6EI16_V, 0x6, 0x0 }, // 10572
  { PseudoVSUXSEG6EI16_V_MF4_MF4, VSUXSEG6EI16_V, 0x6, 0x0 }, // 10573
  { PseudoVSUXSEG6EI16_V_MF4_MF4_MASK, VSUXSEG6EI16_V, 0x6, 0x0 }, // 10574
  { PseudoVSUXSEG6EI16_V_M1_MF2, VSUXSEG6EI16_V, 0x7, 0x0 }, // 10575
  { PseudoVSUXSEG6EI16_V_M1_MF2_MASK, VSUXSEG6EI16_V, 0x7, 0x0 }, // 10576
  { PseudoVSUXSEG6EI16_V_MF2_MF2, VSUXSEG6EI16_V, 0x7, 0x0 }, // 10577
  { PseudoVSUXSEG6EI16_V_MF2_MF2_MASK, VSUXSEG6EI16_V, 0x7, 0x0 }, // 10578
  { PseudoVSUXSEG6EI16_V_MF4_MF2, VSUXSEG6EI16_V, 0x7, 0x0 }, // 10579
  { PseudoVSUXSEG6EI16_V_MF4_MF2_MASK, VSUXSEG6EI16_V, 0x7, 0x0 }, // 10580
  { PseudoVSUXSEG6EI32_V_M1_M1, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10581
  { PseudoVSUXSEG6EI32_V_M1_M1_MASK, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10582
  { PseudoVSUXSEG6EI32_V_M2_M1, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10583
  { PseudoVSUXSEG6EI32_V_M2_M1_MASK, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10584
  { PseudoVSUXSEG6EI32_V_M4_M1, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10585
  { PseudoVSUXSEG6EI32_V_M4_M1_MASK, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10586
  { PseudoVSUXSEG6EI32_V_MF2_M1, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10587
  { PseudoVSUXSEG6EI32_V_MF2_M1_MASK, VSUXSEG6EI32_V, 0x0, 0x0 }, // 10588
  { PseudoVSUXSEG6EI32_V_MF2_MF8, VSUXSEG6EI32_V, 0x5, 0x0 }, // 10589
  { PseudoVSUXSEG6EI32_V_MF2_MF8_MASK, VSUXSEG6EI32_V, 0x5, 0x0 }, // 10590
  { PseudoVSUXSEG6EI32_V_M1_MF4, VSUXSEG6EI32_V, 0x6, 0x0 }, // 10591
  { PseudoVSUXSEG6EI32_V_M1_MF4_MASK, VSUXSEG6EI32_V, 0x6, 0x0 }, // 10592
  { PseudoVSUXSEG6EI32_V_MF2_MF4, VSUXSEG6EI32_V, 0x6, 0x0 }, // 10593
  { PseudoVSUXSEG6EI32_V_MF2_MF4_MASK, VSUXSEG6EI32_V, 0x6, 0x0 }, // 10594
  { PseudoVSUXSEG6EI32_V_M1_MF2, VSUXSEG6EI32_V, 0x7, 0x0 }, // 10595
  { PseudoVSUXSEG6EI32_V_M1_MF2_MASK, VSUXSEG6EI32_V, 0x7, 0x0 }, // 10596
  { PseudoVSUXSEG6EI32_V_M2_MF2, VSUXSEG6EI32_V, 0x7, 0x0 }, // 10597
  { PseudoVSUXSEG6EI32_V_M2_MF2_MASK, VSUXSEG6EI32_V, 0x7, 0x0 }, // 10598
  { PseudoVSUXSEG6EI32_V_MF2_MF2, VSUXSEG6EI32_V, 0x7, 0x0 }, // 10599
  { PseudoVSUXSEG6EI32_V_MF2_MF2_MASK, VSUXSEG6EI32_V, 0x7, 0x0 }, // 10600
  { PseudoVSUXSEG6EI64_V_M1_M1, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10601
  { PseudoVSUXSEG6EI64_V_M1_M1_MASK, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10602
  { PseudoVSUXSEG6EI64_V_M2_M1, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10603
  { PseudoVSUXSEG6EI64_V_M2_M1_MASK, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10604
  { PseudoVSUXSEG6EI64_V_M4_M1, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10605
  { PseudoVSUXSEG6EI64_V_M4_M1_MASK, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10606
  { PseudoVSUXSEG6EI64_V_M8_M1, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10607
  { PseudoVSUXSEG6EI64_V_M8_M1_MASK, VSUXSEG6EI64_V, 0x0, 0x0 }, // 10608
  { PseudoVSUXSEG6EI64_V_M1_MF8, VSUXSEG6EI64_V, 0x5, 0x0 }, // 10609
  { PseudoVSUXSEG6EI64_V_M1_MF8_MASK, VSUXSEG6EI64_V, 0x5, 0x0 }, // 10610
  { PseudoVSUXSEG6EI64_V_M1_MF4, VSUXSEG6EI64_V, 0x6, 0x0 }, // 10611
  { PseudoVSUXSEG6EI64_V_M1_MF4_MASK, VSUXSEG6EI64_V, 0x6, 0x0 }, // 10612
  { PseudoVSUXSEG6EI64_V_M2_MF4, VSUXSEG6EI64_V, 0x6, 0x0 }, // 10613
  { PseudoVSUXSEG6EI64_V_M2_MF4_MASK, VSUXSEG6EI64_V, 0x6, 0x0 }, // 10614
  { PseudoVSUXSEG6EI64_V_M1_MF2, VSUXSEG6EI64_V, 0x7, 0x0 }, // 10615
  { PseudoVSUXSEG6EI64_V_M1_MF2_MASK, VSUXSEG6EI64_V, 0x7, 0x0 }, // 10616
  { PseudoVSUXSEG6EI64_V_M2_MF2, VSUXSEG6EI64_V, 0x7, 0x0 }, // 10617
  { PseudoVSUXSEG6EI64_V_M2_MF2_MASK, VSUXSEG6EI64_V, 0x7, 0x0 }, // 10618
  { PseudoVSUXSEG6EI64_V_M4_MF2, VSUXSEG6EI64_V, 0x7, 0x0 }, // 10619
  { PseudoVSUXSEG6EI64_V_M4_MF2_MASK, VSUXSEG6EI64_V, 0x7, 0x0 }, // 10620
  { PseudoVSUXSEG6EI8_V_M1_M1, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10621
  { PseudoVSUXSEG6EI8_V_M1_M1_MASK, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10622
  { PseudoVSUXSEG6EI8_V_MF2_M1, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10623
  { PseudoVSUXSEG6EI8_V_MF2_M1_MASK, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10624
  { PseudoVSUXSEG6EI8_V_MF4_M1, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10625
  { PseudoVSUXSEG6EI8_V_MF4_M1_MASK, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10626
  { PseudoVSUXSEG6EI8_V_MF8_M1, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10627
  { PseudoVSUXSEG6EI8_V_MF8_M1_MASK, VSUXSEG6EI8_V, 0x0, 0x0 }, // 10628
  { PseudoVSUXSEG6EI8_V_MF8_MF8, VSUXSEG6EI8_V, 0x5, 0x0 }, // 10629
  { PseudoVSUXSEG6EI8_V_MF8_MF8_MASK, VSUXSEG6EI8_V, 0x5, 0x0 }, // 10630
  { PseudoVSUXSEG6EI8_V_MF4_MF4, VSUXSEG6EI8_V, 0x6, 0x0 }, // 10631
  { PseudoVSUXSEG6EI8_V_MF4_MF4_MASK, VSUXSEG6EI8_V, 0x6, 0x0 }, // 10632
  { PseudoVSUXSEG6EI8_V_MF8_MF4, VSUXSEG6EI8_V, 0x6, 0x0 }, // 10633
  { PseudoVSUXSEG6EI8_V_MF8_MF4_MASK, VSUXSEG6EI8_V, 0x6, 0x0 }, // 10634
  { PseudoVSUXSEG6EI8_V_MF2_MF2, VSUXSEG6EI8_V, 0x7, 0x0 }, // 10635
  { PseudoVSUXSEG6EI8_V_MF2_MF2_MASK, VSUXSEG6EI8_V, 0x7, 0x0 }, // 10636
  { PseudoVSUXSEG6EI8_V_MF4_MF2, VSUXSEG6EI8_V, 0x7, 0x0 }, // 10637
  { PseudoVSUXSEG6EI8_V_MF4_MF2_MASK, VSUXSEG6EI8_V, 0x7, 0x0 }, // 10638
  { PseudoVSUXSEG6EI8_V_MF8_MF2, VSUXSEG6EI8_V, 0x7, 0x0 }, // 10639
  { PseudoVSUXSEG6EI8_V_MF8_MF2_MASK, VSUXSEG6EI8_V, 0x7, 0x0 }, // 10640
  { PseudoVSUXSEG7EI16_V_M1_M1, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10641
  { PseudoVSUXSEG7EI16_V_M1_M1_MASK, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10642
  { PseudoVSUXSEG7EI16_V_M2_M1, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10643
  { PseudoVSUXSEG7EI16_V_M2_M1_MASK, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10644
  { PseudoVSUXSEG7EI16_V_MF2_M1, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10645
  { PseudoVSUXSEG7EI16_V_MF2_M1_MASK, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10646
  { PseudoVSUXSEG7EI16_V_MF4_M1, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10647
  { PseudoVSUXSEG7EI16_V_MF4_M1_MASK, VSUXSEG7EI16_V, 0x0, 0x0 }, // 10648
  { PseudoVSUXSEG7EI16_V_MF4_MF8, VSUXSEG7EI16_V, 0x5, 0x0 }, // 10649
  { PseudoVSUXSEG7EI16_V_MF4_MF8_MASK, VSUXSEG7EI16_V, 0x5, 0x0 }, // 10650
  { PseudoVSUXSEG7EI16_V_MF2_MF4, VSUXSEG7EI16_V, 0x6, 0x0 }, // 10651
  { PseudoVSUXSEG7EI16_V_MF2_MF4_MASK, VSUXSEG7EI16_V, 0x6, 0x0 }, // 10652
  { PseudoVSUXSEG7EI16_V_MF4_MF4, VSUXSEG7EI16_V, 0x6, 0x0 }, // 10653
  { PseudoVSUXSEG7EI16_V_MF4_MF4_MASK, VSUXSEG7EI16_V, 0x6, 0x0 }, // 10654
  { PseudoVSUXSEG7EI16_V_M1_MF2, VSUXSEG7EI16_V, 0x7, 0x0 }, // 10655
  { PseudoVSUXSEG7EI16_V_M1_MF2_MASK, VSUXSEG7EI16_V, 0x7, 0x0 }, // 10656
  { PseudoVSUXSEG7EI16_V_MF2_MF2, VSUXSEG7EI16_V, 0x7, 0x0 }, // 10657
  { PseudoVSUXSEG7EI16_V_MF2_MF2_MASK, VSUXSEG7EI16_V, 0x7, 0x0 }, // 10658
  { PseudoVSUXSEG7EI16_V_MF4_MF2, VSUXSEG7EI16_V, 0x7, 0x0 }, // 10659
  { PseudoVSUXSEG7EI16_V_MF4_MF2_MASK, VSUXSEG7EI16_V, 0x7, 0x0 }, // 10660
  { PseudoVSUXSEG7EI32_V_M1_M1, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10661
  { PseudoVSUXSEG7EI32_V_M1_M1_MASK, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10662
  { PseudoVSUXSEG7EI32_V_M2_M1, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10663
  { PseudoVSUXSEG7EI32_V_M2_M1_MASK, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10664
  { PseudoVSUXSEG7EI32_V_M4_M1, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10665
  { PseudoVSUXSEG7EI32_V_M4_M1_MASK, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10666
  { PseudoVSUXSEG7EI32_V_MF2_M1, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10667
  { PseudoVSUXSEG7EI32_V_MF2_M1_MASK, VSUXSEG7EI32_V, 0x0, 0x0 }, // 10668
  { PseudoVSUXSEG7EI32_V_MF2_MF8, VSUXSEG7EI32_V, 0x5, 0x0 }, // 10669
  { PseudoVSUXSEG7EI32_V_MF2_MF8_MASK, VSUXSEG7EI32_V, 0x5, 0x0 }, // 10670
  { PseudoVSUXSEG7EI32_V_M1_MF4, VSUXSEG7EI32_V, 0x6, 0x0 }, // 10671
  { PseudoVSUXSEG7EI32_V_M1_MF4_MASK, VSUXSEG7EI32_V, 0x6, 0x0 }, // 10672
  { PseudoVSUXSEG7EI32_V_MF2_MF4, VSUXSEG7EI32_V, 0x6, 0x0 }, // 10673
  { PseudoVSUXSEG7EI32_V_MF2_MF4_MASK, VSUXSEG7EI32_V, 0x6, 0x0 }, // 10674
  { PseudoVSUXSEG7EI32_V_M1_MF2, VSUXSEG7EI32_V, 0x7, 0x0 }, // 10675
  { PseudoVSUXSEG7EI32_V_M1_MF2_MASK, VSUXSEG7EI32_V, 0x7, 0x0 }, // 10676
  { PseudoVSUXSEG7EI32_V_M2_MF2, VSUXSEG7EI32_V, 0x7, 0x0 }, // 10677
  { PseudoVSUXSEG7EI32_V_M2_MF2_MASK, VSUXSEG7EI32_V, 0x7, 0x0 }, // 10678
  { PseudoVSUXSEG7EI32_V_MF2_MF2, VSUXSEG7EI32_V, 0x7, 0x0 }, // 10679
  { PseudoVSUXSEG7EI32_V_MF2_MF2_MASK, VSUXSEG7EI32_V, 0x7, 0x0 }, // 10680
  { PseudoVSUXSEG7EI64_V_M1_M1, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10681
  { PseudoVSUXSEG7EI64_V_M1_M1_MASK, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10682
  { PseudoVSUXSEG7EI64_V_M2_M1, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10683
  { PseudoVSUXSEG7EI64_V_M2_M1_MASK, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10684
  { PseudoVSUXSEG7EI64_V_M4_M1, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10685
  { PseudoVSUXSEG7EI64_V_M4_M1_MASK, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10686
  { PseudoVSUXSEG7EI64_V_M8_M1, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10687
  { PseudoVSUXSEG7EI64_V_M8_M1_MASK, VSUXSEG7EI64_V, 0x0, 0x0 }, // 10688
  { PseudoVSUXSEG7EI64_V_M1_MF8, VSUXSEG7EI64_V, 0x5, 0x0 }, // 10689
  { PseudoVSUXSEG7EI64_V_M1_MF8_MASK, VSUXSEG7EI64_V, 0x5, 0x0 }, // 10690
  { PseudoVSUXSEG7EI64_V_M1_MF4, VSUXSEG7EI64_V, 0x6, 0x0 }, // 10691
  { PseudoVSUXSEG7EI64_V_M1_MF4_MASK, VSUXSEG7EI64_V, 0x6, 0x0 }, // 10692
  { PseudoVSUXSEG7EI64_V_M2_MF4, VSUXSEG7EI64_V, 0x6, 0x0 }, // 10693
  { PseudoVSUXSEG7EI64_V_M2_MF4_MASK, VSUXSEG7EI64_V, 0x6, 0x0 }, // 10694
  { PseudoVSUXSEG7EI64_V_M1_MF2, VSUXSEG7EI64_V, 0x7, 0x0 }, // 10695
  { PseudoVSUXSEG7EI64_V_M1_MF2_MASK, VSUXSEG7EI64_V, 0x7, 0x0 }, // 10696
  { PseudoVSUXSEG7EI64_V_M2_MF2, VSUXSEG7EI64_V, 0x7, 0x0 }, // 10697
  { PseudoVSUXSEG7EI64_V_M2_MF2_MASK, VSUXSEG7EI64_V, 0x7, 0x0 }, // 10698
  { PseudoVSUXSEG7EI64_V_M4_MF2, VSUXSEG7EI64_V, 0x7, 0x0 }, // 10699
  { PseudoVSUXSEG7EI64_V_M4_MF2_MASK, VSUXSEG7EI64_V, 0x7, 0x0 }, // 10700
  { PseudoVSUXSEG7EI8_V_M1_M1, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10701
  { PseudoVSUXSEG7EI8_V_M1_M1_MASK, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10702
  { PseudoVSUXSEG7EI8_V_MF2_M1, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10703
  { PseudoVSUXSEG7EI8_V_MF2_M1_MASK, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10704
  { PseudoVSUXSEG7EI8_V_MF4_M1, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10705
  { PseudoVSUXSEG7EI8_V_MF4_M1_MASK, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10706
  { PseudoVSUXSEG7EI8_V_MF8_M1, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10707
  { PseudoVSUXSEG7EI8_V_MF8_M1_MASK, VSUXSEG7EI8_V, 0x0, 0x0 }, // 10708
  { PseudoVSUXSEG7EI8_V_MF8_MF8, VSUXSEG7EI8_V, 0x5, 0x0 }, // 10709
  { PseudoVSUXSEG7EI8_V_MF8_MF8_MASK, VSUXSEG7EI8_V, 0x5, 0x0 }, // 10710
  { PseudoVSUXSEG7EI8_V_MF4_MF4, VSUXSEG7EI8_V, 0x6, 0x0 }, // 10711
  { PseudoVSUXSEG7EI8_V_MF4_MF4_MASK, VSUXSEG7EI8_V, 0x6, 0x0 }, // 10712
  { PseudoVSUXSEG7EI8_V_MF8_MF4, VSUXSEG7EI8_V, 0x6, 0x0 }, // 10713
  { PseudoVSUXSEG7EI8_V_MF8_MF4_MASK, VSUXSEG7EI8_V, 0x6, 0x0 }, // 10714
  { PseudoVSUXSEG7EI8_V_MF2_MF2, VSUXSEG7EI8_V, 0x7, 0x0 }, // 10715
  { PseudoVSUXSEG7EI8_V_MF2_MF2_MASK, VSUXSEG7EI8_V, 0x7, 0x0 }, // 10716
  { PseudoVSUXSEG7EI8_V_MF4_MF2, VSUXSEG7EI8_V, 0x7, 0x0 }, // 10717
  { PseudoVSUXSEG7EI8_V_MF4_MF2_MASK, VSUXSEG7EI8_V, 0x7, 0x0 }, // 10718
  { PseudoVSUXSEG7EI8_V_MF8_MF2, VSUXSEG7EI8_V, 0x7, 0x0 }, // 10719
  { PseudoVSUXSEG7EI8_V_MF8_MF2_MASK, VSUXSEG7EI8_V, 0x7, 0x0 }, // 10720
  { PseudoVSUXSEG8EI16_V_M1_M1, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10721
  { PseudoVSUXSEG8EI16_V_M1_M1_MASK, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10722
  { PseudoVSUXSEG8EI16_V_M2_M1, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10723
  { PseudoVSUXSEG8EI16_V_M2_M1_MASK, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10724
  { PseudoVSUXSEG8EI16_V_MF2_M1, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10725
  { PseudoVSUXSEG8EI16_V_MF2_M1_MASK, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10726
  { PseudoVSUXSEG8EI16_V_MF4_M1, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10727
  { PseudoVSUXSEG8EI16_V_MF4_M1_MASK, VSUXSEG8EI16_V, 0x0, 0x0 }, // 10728
  { PseudoVSUXSEG8EI16_V_MF4_MF8, VSUXSEG8EI16_V, 0x5, 0x0 }, // 10729
  { PseudoVSUXSEG8EI16_V_MF4_MF8_MASK, VSUXSEG8EI16_V, 0x5, 0x0 }, // 10730
  { PseudoVSUXSEG8EI16_V_MF2_MF4, VSUXSEG8EI16_V, 0x6, 0x0 }, // 10731
  { PseudoVSUXSEG8EI16_V_MF2_MF4_MASK, VSUXSEG8EI16_V, 0x6, 0x0 }, // 10732
  { PseudoVSUXSEG8EI16_V_MF4_MF4, VSUXSEG8EI16_V, 0x6, 0x0 }, // 10733
  { PseudoVSUXSEG8EI16_V_MF4_MF4_MASK, VSUXSEG8EI16_V, 0x6, 0x0 }, // 10734
  { PseudoVSUXSEG8EI16_V_M1_MF2, VSUXSEG8EI16_V, 0x7, 0x0 }, // 10735
  { PseudoVSUXSEG8EI16_V_M1_MF2_MASK, VSUXSEG8EI16_V, 0x7, 0x0 }, // 10736
  { PseudoVSUXSEG8EI16_V_MF2_MF2, VSUXSEG8EI16_V, 0x7, 0x0 }, // 10737
  { PseudoVSUXSEG8EI16_V_MF2_MF2_MASK, VSUXSEG8EI16_V, 0x7, 0x0 }, // 10738
  { PseudoVSUXSEG8EI16_V_MF4_MF2, VSUXSEG8EI16_V, 0x7, 0x0 }, // 10739
  { PseudoVSUXSEG8EI16_V_MF4_MF2_MASK, VSUXSEG8EI16_V, 0x7, 0x0 }, // 10740
  { PseudoVSUXSEG8EI32_V_M1_M1, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10741
  { PseudoVSUXSEG8EI32_V_M1_M1_MASK, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10742
  { PseudoVSUXSEG8EI32_V_M2_M1, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10743
  { PseudoVSUXSEG8EI32_V_M2_M1_MASK, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10744
  { PseudoVSUXSEG8EI32_V_M4_M1, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10745
  { PseudoVSUXSEG8EI32_V_M4_M1_MASK, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10746
  { PseudoVSUXSEG8EI32_V_MF2_M1, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10747
  { PseudoVSUXSEG8EI32_V_MF2_M1_MASK, VSUXSEG8EI32_V, 0x0, 0x0 }, // 10748
  { PseudoVSUXSEG8EI32_V_MF2_MF8, VSUXSEG8EI32_V, 0x5, 0x0 }, // 10749
  { PseudoVSUXSEG8EI32_V_MF2_MF8_MASK, VSUXSEG8EI32_V, 0x5, 0x0 }, // 10750
  { PseudoVSUXSEG8EI32_V_M1_MF4, VSUXSEG8EI32_V, 0x6, 0x0 }, // 10751
  { PseudoVSUXSEG8EI32_V_M1_MF4_MASK, VSUXSEG8EI32_V, 0x6, 0x0 }, // 10752
  { PseudoVSUXSEG8EI32_V_MF2_MF4, VSUXSEG8EI32_V, 0x6, 0x0 }, // 10753
  { PseudoVSUXSEG8EI32_V_MF2_MF4_MASK, VSUXSEG8EI32_V, 0x6, 0x0 }, // 10754
  { PseudoVSUXSEG8EI32_V_M1_MF2, VSUXSEG8EI32_V, 0x7, 0x0 }, // 10755
  { PseudoVSUXSEG8EI32_V_M1_MF2_MASK, VSUXSEG8EI32_V, 0x7, 0x0 }, // 10756
  { PseudoVSUXSEG8EI32_V_M2_MF2, VSUXSEG8EI32_V, 0x7, 0x0 }, // 10757
  { PseudoVSUXSEG8EI32_V_M2_MF2_MASK, VSUXSEG8EI32_V, 0x7, 0x0 }, // 10758
  { PseudoVSUXSEG8EI32_V_MF2_MF2, VSUXSEG8EI32_V, 0x7, 0x0 }, // 10759
  { PseudoVSUXSEG8EI32_V_MF2_MF2_MASK, VSUXSEG8EI32_V, 0x7, 0x0 }, // 10760
  { PseudoVSUXSEG8EI64_V_M1_M1, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10761
  { PseudoVSUXSEG8EI64_V_M1_M1_MASK, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10762
  { PseudoVSUXSEG8EI64_V_M2_M1, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10763
  { PseudoVSUXSEG8EI64_V_M2_M1_MASK, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10764
  { PseudoVSUXSEG8EI64_V_M4_M1, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10765
  { PseudoVSUXSEG8EI64_V_M4_M1_MASK, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10766
  { PseudoVSUXSEG8EI64_V_M8_M1, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10767
  { PseudoVSUXSEG8EI64_V_M8_M1_MASK, VSUXSEG8EI64_V, 0x0, 0x0 }, // 10768
  { PseudoVSUXSEG8EI64_V_M1_MF8, VSUXSEG8EI64_V, 0x5, 0x0 }, // 10769
  { PseudoVSUXSEG8EI64_V_M1_MF8_MASK, VSUXSEG8EI64_V, 0x5, 0x0 }, // 10770
  { PseudoVSUXSEG8EI64_V_M1_MF4, VSUXSEG8EI64_V, 0x6, 0x0 }, // 10771
  { PseudoVSUXSEG8EI64_V_M1_MF4_MASK, VSUXSEG8EI64_V, 0x6, 0x0 }, // 10772
  { PseudoVSUXSEG8EI64_V_M2_MF4, VSUXSEG8EI64_V, 0x6, 0x0 }, // 10773
  { PseudoVSUXSEG8EI64_V_M2_MF4_MASK, VSUXSEG8EI64_V, 0x6, 0x0 }, // 10774
  { PseudoVSUXSEG8EI64_V_M1_MF2, VSUXSEG8EI64_V, 0x7, 0x0 }, // 10775
  { PseudoVSUXSEG8EI64_V_M1_MF2_MASK, VSUXSEG8EI64_V, 0x7, 0x0 }, // 10776
  { PseudoVSUXSEG8EI64_V_M2_MF2, VSUXSEG8EI64_V, 0x7, 0x0 }, // 10777
  { PseudoVSUXSEG8EI64_V_M2_MF2_MASK, VSUXSEG8EI64_V, 0x7, 0x0 }, // 10778
  { PseudoVSUXSEG8EI64_V_M4_MF2, VSUXSEG8EI64_V, 0x7, 0x0 }, // 10779
  { PseudoVSUXSEG8EI64_V_M4_MF2_MASK, VSUXSEG8EI64_V, 0x7, 0x0 }, // 10780
  { PseudoVSUXSEG8EI8_V_M1_M1, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10781
  { PseudoVSUXSEG8EI8_V_M1_M1_MASK, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10782
  { PseudoVSUXSEG8EI8_V_MF2_M1, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10783
  { PseudoVSUXSEG8EI8_V_MF2_M1_MASK, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10784
  { PseudoVSUXSEG8EI8_V_MF4_M1, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10785
  { PseudoVSUXSEG8EI8_V_MF4_M1_MASK, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10786
  { PseudoVSUXSEG8EI8_V_MF8_M1, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10787
  { PseudoVSUXSEG8EI8_V_MF8_M1_MASK, VSUXSEG8EI8_V, 0x0, 0x0 }, // 10788
  { PseudoVSUXSEG8EI8_V_MF8_MF8, VSUXSEG8EI8_V, 0x5, 0x0 }, // 10789
  { PseudoVSUXSEG8EI8_V_MF8_MF8_MASK, VSUXSEG8EI8_V, 0x5, 0x0 }, // 10790
  { PseudoVSUXSEG8EI8_V_MF4_MF4, VSUXSEG8EI8_V, 0x6, 0x0 }, // 10791
  { PseudoVSUXSEG8EI8_V_MF4_MF4_MASK, VSUXSEG8EI8_V, 0x6, 0x0 }, // 10792
  { PseudoVSUXSEG8EI8_V_MF8_MF4, VSUXSEG8EI8_V, 0x6, 0x0 }, // 10793
  { PseudoVSUXSEG8EI8_V_MF8_MF4_MASK, VSUXSEG8EI8_V, 0x6, 0x0 }, // 10794
  { PseudoVSUXSEG8EI8_V_MF2_MF2, VSUXSEG8EI8_V, 0x7, 0x0 }, // 10795
  { PseudoVSUXSEG8EI8_V_MF2_MF2_MASK, VSUXSEG8EI8_V, 0x7, 0x0 }, // 10796
  { PseudoVSUXSEG8EI8_V_MF4_MF2, VSUXSEG8EI8_V, 0x7, 0x0 }, // 10797
  { PseudoVSUXSEG8EI8_V_MF4_MF2_MASK, VSUXSEG8EI8_V, 0x7, 0x0 }, // 10798
  { PseudoVSUXSEG8EI8_V_MF8_MF2, VSUXSEG8EI8_V, 0x7, 0x0 }, // 10799
  { PseudoVSUXSEG8EI8_V_MF8_MF2_MASK, VSUXSEG8EI8_V, 0x7, 0x0 }, // 10800
  { PseudoVWADDU_VV_M1, VWADDU_VV, 0x0, 0x0 }, // 10801
  { PseudoVWADDU_VV_M1_MASK, VWADDU_VV, 0x0, 0x0 }, // 10802
  { PseudoVWADDU_VV_M2, VWADDU_VV, 0x1, 0x0 }, // 10803
  { PseudoVWADDU_VV_M2_MASK, VWADDU_VV, 0x1, 0x0 }, // 10804
  { PseudoVWADDU_VV_M4, VWADDU_VV, 0x2, 0x0 }, // 10805
  { PseudoVWADDU_VV_M4_MASK, VWADDU_VV, 0x2, 0x0 }, // 10806
  { PseudoVWADDU_VV_MF8, VWADDU_VV, 0x5, 0x0 }, // 10807
  { PseudoVWADDU_VV_MF8_MASK, VWADDU_VV, 0x5, 0x0 }, // 10808
  { PseudoVWADDU_VV_MF4, VWADDU_VV, 0x6, 0x0 }, // 10809
  { PseudoVWADDU_VV_MF4_MASK, VWADDU_VV, 0x6, 0x0 }, // 10810
  { PseudoVWADDU_VV_MF2, VWADDU_VV, 0x7, 0x0 }, // 10811
  { PseudoVWADDU_VV_MF2_MASK, VWADDU_VV, 0x7, 0x0 }, // 10812
  { PseudoVWADDU_VX_M1, VWADDU_VX, 0x0, 0x0 }, // 10813
  { PseudoVWADDU_VX_M1_MASK, VWADDU_VX, 0x0, 0x0 }, // 10814
  { PseudoVWADDU_VX_M2, VWADDU_VX, 0x1, 0x0 }, // 10815
  { PseudoVWADDU_VX_M2_MASK, VWADDU_VX, 0x1, 0x0 }, // 10816
  { PseudoVWADDU_VX_M4, VWADDU_VX, 0x2, 0x0 }, // 10817
  { PseudoVWADDU_VX_M4_MASK, VWADDU_VX, 0x2, 0x0 }, // 10818
  { PseudoVWADDU_VX_MF8, VWADDU_VX, 0x5, 0x0 }, // 10819
  { PseudoVWADDU_VX_MF8_MASK, VWADDU_VX, 0x5, 0x0 }, // 10820
  { PseudoVWADDU_VX_MF4, VWADDU_VX, 0x6, 0x0 }, // 10821
  { PseudoVWADDU_VX_MF4_MASK, VWADDU_VX, 0x6, 0x0 }, // 10822
  { PseudoVWADDU_VX_MF2, VWADDU_VX, 0x7, 0x0 }, // 10823
  { PseudoVWADDU_VX_MF2_MASK, VWADDU_VX, 0x7, 0x0 }, // 10824
  { PseudoVWADDU_WV_M1, VWADDU_WV, 0x0, 0x0 }, // 10825
  { PseudoVWADDU_WV_M1_MASK, VWADDU_WV, 0x0, 0x0 }, // 10826
  { PseudoVWADDU_WV_M1_MASK_TIED, VWADDU_WV, 0x0, 0x0 }, // 10827
  { PseudoVWADDU_WV_M1_TIED, VWADDU_WV, 0x0, 0x0 }, // 10828
  { PseudoVWADDU_WV_M2, VWADDU_WV, 0x1, 0x0 }, // 10829
  { PseudoVWADDU_WV_M2_MASK, VWADDU_WV, 0x1, 0x0 }, // 10830
  { PseudoVWADDU_WV_M2_MASK_TIED, VWADDU_WV, 0x1, 0x0 }, // 10831
  { PseudoVWADDU_WV_M2_TIED, VWADDU_WV, 0x1, 0x0 }, // 10832
  { PseudoVWADDU_WV_M4, VWADDU_WV, 0x2, 0x0 }, // 10833
  { PseudoVWADDU_WV_M4_MASK, VWADDU_WV, 0x2, 0x0 }, // 10834
  { PseudoVWADDU_WV_M4_MASK_TIED, VWADDU_WV, 0x2, 0x0 }, // 10835
  { PseudoVWADDU_WV_M4_TIED, VWADDU_WV, 0x2, 0x0 }, // 10836
  { PseudoVWADDU_WV_MF8, VWADDU_WV, 0x5, 0x0 }, // 10837
  { PseudoVWADDU_WV_MF8_MASK, VWADDU_WV, 0x5, 0x0 }, // 10838
  { PseudoVWADDU_WV_MF8_MASK_TIED, VWADDU_WV, 0x5, 0x0 }, // 10839
  { PseudoVWADDU_WV_MF8_TIED, VWADDU_WV, 0x5, 0x0 }, // 10840
  { PseudoVWADDU_WV_MF4, VWADDU_WV, 0x6, 0x0 }, // 10841
  { PseudoVWADDU_WV_MF4_MASK, VWADDU_WV, 0x6, 0x0 }, // 10842
  { PseudoVWADDU_WV_MF4_MASK_TIED, VWADDU_WV, 0x6, 0x0 }, // 10843
  { PseudoVWADDU_WV_MF4_TIED, VWADDU_WV, 0x6, 0x0 }, // 10844
  { PseudoVWADDU_WV_MF2, VWADDU_WV, 0x7, 0x0 }, // 10845
  { PseudoVWADDU_WV_MF2_MASK, VWADDU_WV, 0x7, 0x0 }, // 10846
  { PseudoVWADDU_WV_MF2_MASK_TIED, VWADDU_WV, 0x7, 0x0 }, // 10847
  { PseudoVWADDU_WV_MF2_TIED, VWADDU_WV, 0x7, 0x0 }, // 10848
  { PseudoVWADDU_WX_M1, VWADDU_WX, 0x0, 0x0 }, // 10849
  { PseudoVWADDU_WX_M1_MASK, VWADDU_WX, 0x0, 0x0 }, // 10850
  { PseudoVWADDU_WX_M2, VWADDU_WX, 0x1, 0x0 }, // 10851
  { PseudoVWADDU_WX_M2_MASK, VWADDU_WX, 0x1, 0x0 }, // 10852
  { PseudoVWADDU_WX_M4, VWADDU_WX, 0x2, 0x0 }, // 10853
  { PseudoVWADDU_WX_M4_MASK, VWADDU_WX, 0x2, 0x0 }, // 10854
  { PseudoVWADDU_WX_MF8, VWADDU_WX, 0x5, 0x0 }, // 10855
  { PseudoVWADDU_WX_MF8_MASK, VWADDU_WX, 0x5, 0x0 }, // 10856
  { PseudoVWADDU_WX_MF4, VWADDU_WX, 0x6, 0x0 }, // 10857
  { PseudoVWADDU_WX_MF4_MASK, VWADDU_WX, 0x6, 0x0 }, // 10858
  { PseudoVWADDU_WX_MF2, VWADDU_WX, 0x7, 0x0 }, // 10859
  { PseudoVWADDU_WX_MF2_MASK, VWADDU_WX, 0x7, 0x0 }, // 10860
  { PseudoVWADD_VV_M1, VWADD_VV, 0x0, 0x0 }, // 10861
  { PseudoVWADD_VV_M1_MASK, VWADD_VV, 0x0, 0x0 }, // 10862
  { PseudoVWADD_VV_M2, VWADD_VV, 0x1, 0x0 }, // 10863
  { PseudoVWADD_VV_M2_MASK, VWADD_VV, 0x1, 0x0 }, // 10864
  { PseudoVWADD_VV_M4, VWADD_VV, 0x2, 0x0 }, // 10865
  { PseudoVWADD_VV_M4_MASK, VWADD_VV, 0x2, 0x0 }, // 10866
  { PseudoVWADD_VV_MF8, VWADD_VV, 0x5, 0x0 }, // 10867
  { PseudoVWADD_VV_MF8_MASK, VWADD_VV, 0x5, 0x0 }, // 10868
  { PseudoVWADD_VV_MF4, VWADD_VV, 0x6, 0x0 }, // 10869
  { PseudoVWADD_VV_MF4_MASK, VWADD_VV, 0x6, 0x0 }, // 10870
  { PseudoVWADD_VV_MF2, VWADD_VV, 0x7, 0x0 }, // 10871
  { PseudoVWADD_VV_MF2_MASK, VWADD_VV, 0x7, 0x0 }, // 10872
  { PseudoVWADD_VX_M1, VWADD_VX, 0x0, 0x0 }, // 10873
  { PseudoVWADD_VX_M1_MASK, VWADD_VX, 0x0, 0x0 }, // 10874
  { PseudoVWADD_VX_M2, VWADD_VX, 0x1, 0x0 }, // 10875
  { PseudoVWADD_VX_M2_MASK, VWADD_VX, 0x1, 0x0 }, // 10876
  { PseudoVWADD_VX_M4, VWADD_VX, 0x2, 0x0 }, // 10877
  { PseudoVWADD_VX_M4_MASK, VWADD_VX, 0x2, 0x0 }, // 10878
  { PseudoVWADD_VX_MF8, VWADD_VX, 0x5, 0x0 }, // 10879
  { PseudoVWADD_VX_MF8_MASK, VWADD_VX, 0x5, 0x0 }, // 10880
  { PseudoVWADD_VX_MF4, VWADD_VX, 0x6, 0x0 }, // 10881
  { PseudoVWADD_VX_MF4_MASK, VWADD_VX, 0x6, 0x0 }, // 10882
  { PseudoVWADD_VX_MF2, VWADD_VX, 0x7, 0x0 }, // 10883
  { PseudoVWADD_VX_MF2_MASK, VWADD_VX, 0x7, 0x0 }, // 10884
  { PseudoVWADD_WV_M1, VWADD_WV, 0x0, 0x0 }, // 10885
  { PseudoVWADD_WV_M1_MASK, VWADD_WV, 0x0, 0x0 }, // 10886
  { PseudoVWADD_WV_M1_MASK_TIED, VWADD_WV, 0x0, 0x0 }, // 10887
  { PseudoVWADD_WV_M1_TIED, VWADD_WV, 0x0, 0x0 }, // 10888
  { PseudoVWADD_WV_M2, VWADD_WV, 0x1, 0x0 }, // 10889
  { PseudoVWADD_WV_M2_MASK, VWADD_WV, 0x1, 0x0 }, // 10890
  { PseudoVWADD_WV_M2_MASK_TIED, VWADD_WV, 0x1, 0x0 }, // 10891
  { PseudoVWADD_WV_M2_TIED, VWADD_WV, 0x1, 0x0 }, // 10892
  { PseudoVWADD_WV_M4, VWADD_WV, 0x2, 0x0 }, // 10893
  { PseudoVWADD_WV_M4_MASK, VWADD_WV, 0x2, 0x0 }, // 10894
  { PseudoVWADD_WV_M4_MASK_TIED, VWADD_WV, 0x2, 0x0 }, // 10895
  { PseudoVWADD_WV_M4_TIED, VWADD_WV, 0x2, 0x0 }, // 10896
  { PseudoVWADD_WV_MF8, VWADD_WV, 0x5, 0x0 }, // 10897
  { PseudoVWADD_WV_MF8_MASK, VWADD_WV, 0x5, 0x0 }, // 10898
  { PseudoVWADD_WV_MF8_MASK_TIED, VWADD_WV, 0x5, 0x0 }, // 10899
  { PseudoVWADD_WV_MF8_TIED, VWADD_WV, 0x5, 0x0 }, // 10900
  { PseudoVWADD_WV_MF4, VWADD_WV, 0x6, 0x0 }, // 10901
  { PseudoVWADD_WV_MF4_MASK, VWADD_WV, 0x6, 0x0 }, // 10902
  { PseudoVWADD_WV_MF4_MASK_TIED, VWADD_WV, 0x6, 0x0 }, // 10903
  { PseudoVWADD_WV_MF4_TIED, VWADD_WV, 0x6, 0x0 }, // 10904
  { PseudoVWADD_WV_MF2, VWADD_WV, 0x7, 0x0 }, // 10905
  { PseudoVWADD_WV_MF2_MASK, VWADD_WV, 0x7, 0x0 }, // 10906
  { PseudoVWADD_WV_MF2_MASK_TIED, VWADD_WV, 0x7, 0x0 }, // 10907
  { PseudoVWADD_WV_MF2_TIED, VWADD_WV, 0x7, 0x0 }, // 10908
  { PseudoVWADD_WX_M1, VWADD_WX, 0x0, 0x0 }, // 10909
  { PseudoVWADD_WX_M1_MASK, VWADD_WX, 0x0, 0x0 }, // 10910
  { PseudoVWADD_WX_M2, VWADD_WX, 0x1, 0x0 }, // 10911
  { PseudoVWADD_WX_M2_MASK, VWADD_WX, 0x1, 0x0 }, // 10912
  { PseudoVWADD_WX_M4, VWADD_WX, 0x2, 0x0 }, // 10913
  { PseudoVWADD_WX_M4_MASK, VWADD_WX, 0x2, 0x0 }, // 10914
  { PseudoVWADD_WX_MF8, VWADD_WX, 0x5, 0x0 }, // 10915
  { PseudoVWADD_WX_MF8_MASK, VWADD_WX, 0x5, 0x0 }, // 10916
  { PseudoVWADD_WX_MF4, VWADD_WX, 0x6, 0x0 }, // 10917
  { PseudoVWADD_WX_MF4_MASK, VWADD_WX, 0x6, 0x0 }, // 10918
  { PseudoVWADD_WX_MF2, VWADD_WX, 0x7, 0x0 }, // 10919
  { PseudoVWADD_WX_MF2_MASK, VWADD_WX, 0x7, 0x0 }, // 10920
  { PseudoVWMACCSU_VV_M1, VWMACCSU_VV, 0x0, 0x0 }, // 10921
  { PseudoVWMACCSU_VV_M1_MASK, VWMACCSU_VV, 0x0, 0x0 }, // 10922
  { PseudoVWMACCSU_VV_M2, VWMACCSU_VV, 0x1, 0x0 }, // 10923
  { PseudoVWMACCSU_VV_M2_MASK, VWMACCSU_VV, 0x1, 0x0 }, // 10924
  { PseudoVWMACCSU_VV_M4, VWMACCSU_VV, 0x2, 0x0 }, // 10925
  { PseudoVWMACCSU_VV_M4_MASK, VWMACCSU_VV, 0x2, 0x0 }, // 10926
  { PseudoVWMACCSU_VV_MF8, VWMACCSU_VV, 0x5, 0x0 }, // 10927
  { PseudoVWMACCSU_VV_MF8_MASK, VWMACCSU_VV, 0x5, 0x0 }, // 10928
  { PseudoVWMACCSU_VV_MF4, VWMACCSU_VV, 0x6, 0x0 }, // 10929
  { PseudoVWMACCSU_VV_MF4_MASK, VWMACCSU_VV, 0x6, 0x0 }, // 10930
  { PseudoVWMACCSU_VV_MF2, VWMACCSU_VV, 0x7, 0x0 }, // 10931
  { PseudoVWMACCSU_VV_MF2_MASK, VWMACCSU_VV, 0x7, 0x0 }, // 10932
  { PseudoVWMACCSU_VX_M1, VWMACCSU_VX, 0x0, 0x0 }, // 10933
  { PseudoVWMACCSU_VX_M1_MASK, VWMACCSU_VX, 0x0, 0x0 }, // 10934
  { PseudoVWMACCSU_VX_M2, VWMACCSU_VX, 0x1, 0x0 }, // 10935
  { PseudoVWMACCSU_VX_M2_MASK, VWMACCSU_VX, 0x1, 0x0 }, // 10936
  { PseudoVWMACCSU_VX_M4, VWMACCSU_VX, 0x2, 0x0 }, // 10937
  { PseudoVWMACCSU_VX_M4_MASK, VWMACCSU_VX, 0x2, 0x0 }, // 10938
  { PseudoVWMACCSU_VX_MF8, VWMACCSU_VX, 0x5, 0x0 }, // 10939
  { PseudoVWMACCSU_VX_MF8_MASK, VWMACCSU_VX, 0x5, 0x0 }, // 10940
  { PseudoVWMACCSU_VX_MF4, VWMACCSU_VX, 0x6, 0x0 }, // 10941
  { PseudoVWMACCSU_VX_MF4_MASK, VWMACCSU_VX, 0x6, 0x0 }, // 10942
  { PseudoVWMACCSU_VX_MF2, VWMACCSU_VX, 0x7, 0x0 }, // 10943
  { PseudoVWMACCSU_VX_MF2_MASK, VWMACCSU_VX, 0x7, 0x0 }, // 10944
  { PseudoVWMACCUS_VX_M1, VWMACCUS_VX, 0x0, 0x0 }, // 10945
  { PseudoVWMACCUS_VX_M1_MASK, VWMACCUS_VX, 0x0, 0x0 }, // 10946
  { PseudoVWMACCUS_VX_M2, VWMACCUS_VX, 0x1, 0x0 }, // 10947
  { PseudoVWMACCUS_VX_M2_MASK, VWMACCUS_VX, 0x1, 0x0 }, // 10948
  { PseudoVWMACCUS_VX_M4, VWMACCUS_VX, 0x2, 0x0 }, // 10949
  { PseudoVWMACCUS_VX_M4_MASK, VWMACCUS_VX, 0x2, 0x0 }, // 10950
  { PseudoVWMACCUS_VX_MF8, VWMACCUS_VX, 0x5, 0x0 }, // 10951
  { PseudoVWMACCUS_VX_MF8_MASK, VWMACCUS_VX, 0x5, 0x0 }, // 10952
  { PseudoVWMACCUS_VX_MF4, VWMACCUS_VX, 0x6, 0x0 }, // 10953
  { PseudoVWMACCUS_VX_MF4_MASK, VWMACCUS_VX, 0x6, 0x0 }, // 10954
  { PseudoVWMACCUS_VX_MF2, VWMACCUS_VX, 0x7, 0x0 }, // 10955
  { PseudoVWMACCUS_VX_MF2_MASK, VWMACCUS_VX, 0x7, 0x0 }, // 10956
  { PseudoVWMACCU_VV_M1, VWMACCU_VV, 0x0, 0x0 }, // 10957
  { PseudoVWMACCU_VV_M1_MASK, VWMACCU_VV, 0x0, 0x0 }, // 10958
  { PseudoVWMACCU_VV_M2, VWMACCU_VV, 0x1, 0x0 }, // 10959
  { PseudoVWMACCU_VV_M2_MASK, VWMACCU_VV, 0x1, 0x0 }, // 10960
  { PseudoVWMACCU_VV_M4, VWMACCU_VV, 0x2, 0x0 }, // 10961
  { PseudoVWMACCU_VV_M4_MASK, VWMACCU_VV, 0x2, 0x0 }, // 10962
  { PseudoVWMACCU_VV_MF8, VWMACCU_VV, 0x5, 0x0 }, // 10963
  { PseudoVWMACCU_VV_MF8_MASK, VWMACCU_VV, 0x5, 0x0 }, // 10964
  { PseudoVWMACCU_VV_MF4, VWMACCU_VV, 0x6, 0x0 }, // 10965
  { PseudoVWMACCU_VV_MF4_MASK, VWMACCU_VV, 0x6, 0x0 }, // 10966
  { PseudoVWMACCU_VV_MF2, VWMACCU_VV, 0x7, 0x0 }, // 10967
  { PseudoVWMACCU_VV_MF2_MASK, VWMACCU_VV, 0x7, 0x0 }, // 10968
  { PseudoVWMACCU_VX_M1, VWMACCU_VX, 0x0, 0x0 }, // 10969
  { PseudoVWMACCU_VX_M1_MASK, VWMACCU_VX, 0x0, 0x0 }, // 10970
  { PseudoVWMACCU_VX_M2, VWMACCU_VX, 0x1, 0x0 }, // 10971
  { PseudoVWMACCU_VX_M2_MASK, VWMACCU_VX, 0x1, 0x0 }, // 10972
  { PseudoVWMACCU_VX_M4, VWMACCU_VX, 0x2, 0x0 }, // 10973
  { PseudoVWMACCU_VX_M4_MASK, VWMACCU_VX, 0x2, 0x0 }, // 10974
  { PseudoVWMACCU_VX_MF8, VWMACCU_VX, 0x5, 0x0 }, // 10975
  { PseudoVWMACCU_VX_MF8_MASK, VWMACCU_VX, 0x5, 0x0 }, // 10976
  { PseudoVWMACCU_VX_MF4, VWMACCU_VX, 0x6, 0x0 }, // 10977
  { PseudoVWMACCU_VX_MF4_MASK, VWMACCU_VX, 0x6, 0x0 }, // 10978
  { PseudoVWMACCU_VX_MF2, VWMACCU_VX, 0x7, 0x0 }, // 10979
  { PseudoVWMACCU_VX_MF2_MASK, VWMACCU_VX, 0x7, 0x0 }, // 10980
  { PseudoVWMACC_VV_M1, VWMACC_VV, 0x0, 0x0 }, // 10981
  { PseudoVWMACC_VV_M1_MASK, VWMACC_VV, 0x0, 0x0 }, // 10982
  { PseudoVWMACC_VV_M2, VWMACC_VV, 0x1, 0x0 }, // 10983
  { PseudoVWMACC_VV_M2_MASK, VWMACC_VV, 0x1, 0x0 }, // 10984
  { PseudoVWMACC_VV_M4, VWMACC_VV, 0x2, 0x0 }, // 10985
  { PseudoVWMACC_VV_M4_MASK, VWMACC_VV, 0x2, 0x0 }, // 10986
  { PseudoVWMACC_VV_MF8, VWMACC_VV, 0x5, 0x0 }, // 10987
  { PseudoVWMACC_VV_MF8_MASK, VWMACC_VV, 0x5, 0x0 }, // 10988
  { PseudoVWMACC_VV_MF4, VWMACC_VV, 0x6, 0x0 }, // 10989
  { PseudoVWMACC_VV_MF4_MASK, VWMACC_VV, 0x6, 0x0 }, // 10990
  { PseudoVWMACC_VV_MF2, VWMACC_VV, 0x7, 0x0 }, // 10991
  { PseudoVWMACC_VV_MF2_MASK, VWMACC_VV, 0x7, 0x0 }, // 10992
  { PseudoVWMACC_VX_M1, VWMACC_VX, 0x0, 0x0 }, // 10993
  { PseudoVWMACC_VX_M1_MASK, VWMACC_VX, 0x0, 0x0 }, // 10994
  { PseudoVWMACC_VX_M2, VWMACC_VX, 0x1, 0x0 }, // 10995
  { PseudoVWMACC_VX_M2_MASK, VWMACC_VX, 0x1, 0x0 }, // 10996
  { PseudoVWMACC_VX_M4, VWMACC_VX, 0x2, 0x0 }, // 10997
  { PseudoVWMACC_VX_M4_MASK, VWMACC_VX, 0x2, 0x0 }, // 10998
  { PseudoVWMACC_VX_MF8, VWMACC_VX, 0x5, 0x0 }, // 10999
  { PseudoVWMACC_VX_MF8_MASK, VWMACC_VX, 0x5, 0x0 }, // 11000
  { PseudoVWMACC_VX_MF4, VWMACC_VX, 0x6, 0x0 }, // 11001
  { PseudoVWMACC_VX_MF4_MASK, VWMACC_VX, 0x6, 0x0 }, // 11002
  { PseudoVWMACC_VX_MF2, VWMACC_VX, 0x7, 0x0 }, // 11003
  { PseudoVWMACC_VX_MF2_MASK, VWMACC_VX, 0x7, 0x0 }, // 11004
  { PseudoVWMULSU_VV_M1, VWMULSU_VV, 0x0, 0x0 }, // 11005
  { PseudoVWMULSU_VV_M1_MASK, VWMULSU_VV, 0x0, 0x0 }, // 11006
  { PseudoVWMULSU_VV_M2, VWMULSU_VV, 0x1, 0x0 }, // 11007
  { PseudoVWMULSU_VV_M2_MASK, VWMULSU_VV, 0x1, 0x0 }, // 11008
  { PseudoVWMULSU_VV_M4, VWMULSU_VV, 0x2, 0x0 }, // 11009
  { PseudoVWMULSU_VV_M4_MASK, VWMULSU_VV, 0x2, 0x0 }, // 11010
  { PseudoVWMULSU_VV_MF8, VWMULSU_VV, 0x5, 0x0 }, // 11011
  { PseudoVWMULSU_VV_MF8_MASK, VWMULSU_VV, 0x5, 0x0 }, // 11012
  { PseudoVWMULSU_VV_MF4, VWMULSU_VV, 0x6, 0x0 }, // 11013
  { PseudoVWMULSU_VV_MF4_MASK, VWMULSU_VV, 0x6, 0x0 }, // 11014
  { PseudoVWMULSU_VV_MF2, VWMULSU_VV, 0x7, 0x0 }, // 11015
  { PseudoVWMULSU_VV_MF2_MASK, VWMULSU_VV, 0x7, 0x0 }, // 11016
  { PseudoVWMULSU_VX_M1, VWMULSU_VX, 0x0, 0x0 }, // 11017
  { PseudoVWMULSU_VX_M1_MASK, VWMULSU_VX, 0x0, 0x0 }, // 11018
  { PseudoVWMULSU_VX_M2, VWMULSU_VX, 0x1, 0x0 }, // 11019
  { PseudoVWMULSU_VX_M2_MASK, VWMULSU_VX, 0x1, 0x0 }, // 11020
  { PseudoVWMULSU_VX_M4, VWMULSU_VX, 0x2, 0x0 }, // 11021
  { PseudoVWMULSU_VX_M4_MASK, VWMULSU_VX, 0x2, 0x0 }, // 11022
  { PseudoVWMULSU_VX_MF8, VWMULSU_VX, 0x5, 0x0 }, // 11023
  { PseudoVWMULSU_VX_MF8_MASK, VWMULSU_VX, 0x5, 0x0 }, // 11024
  { PseudoVWMULSU_VX_MF4, VWMULSU_VX, 0x6, 0x0 }, // 11025
  { PseudoVWMULSU_VX_MF4_MASK, VWMULSU_VX, 0x6, 0x0 }, // 11026
  { PseudoVWMULSU_VX_MF2, VWMULSU_VX, 0x7, 0x0 }, // 11027
  { PseudoVWMULSU_VX_MF2_MASK, VWMULSU_VX, 0x7, 0x0 }, // 11028
  { PseudoVWMULU_VV_M1, VWMULU_VV, 0x0, 0x0 }, // 11029
  { PseudoVWMULU_VV_M1_MASK, VWMULU_VV, 0x0, 0x0 }, // 11030
  { PseudoVWMULU_VV_M2, VWMULU_VV, 0x1, 0x0 }, // 11031
  { PseudoVWMULU_VV_M2_MASK, VWMULU_VV, 0x1, 0x0 }, // 11032
  { PseudoVWMULU_VV_M4, VWMULU_VV, 0x2, 0x0 }, // 11033
  { PseudoVWMULU_VV_M4_MASK, VWMULU_VV, 0x2, 0x0 }, // 11034
  { PseudoVWMULU_VV_MF8, VWMULU_VV, 0x5, 0x0 }, // 11035
  { PseudoVWMULU_VV_MF8_MASK, VWMULU_VV, 0x5, 0x0 }, // 11036
  { PseudoVWMULU_VV_MF4, VWMULU_VV, 0x6, 0x0 }, // 11037
  { PseudoVWMULU_VV_MF4_MASK, VWMULU_VV, 0x6, 0x0 }, // 11038
  { PseudoVWMULU_VV_MF2, VWMULU_VV, 0x7, 0x0 }, // 11039
  { PseudoVWMULU_VV_MF2_MASK, VWMULU_VV, 0x7, 0x0 }, // 11040
  { PseudoVWMULU_VX_M1, VWMULU_VX, 0x0, 0x0 }, // 11041
  { PseudoVWMULU_VX_M1_MASK, VWMULU_VX, 0x0, 0x0 }, // 11042
  { PseudoVWMULU_VX_M2, VWMULU_VX, 0x1, 0x0 }, // 11043
  { PseudoVWMULU_VX_M2_MASK, VWMULU_VX, 0x1, 0x0 }, // 11044
  { PseudoVWMULU_VX_M4, VWMULU_VX, 0x2, 0x0 }, // 11045
  { PseudoVWMULU_VX_M4_MASK, VWMULU_VX, 0x2, 0x0 }, // 11046
  { PseudoVWMULU_VX_MF8, VWMULU_VX, 0x5, 0x0 }, // 11047
  { PseudoVWMULU_VX_MF8_MASK, VWMULU_VX, 0x5, 0x0 }, // 11048
  { PseudoVWMULU_VX_MF4, VWMULU_VX, 0x6, 0x0 }, // 11049
  { PseudoVWMULU_VX_MF4_MASK, VWMULU_VX, 0x6, 0x0 }, // 11050
  { PseudoVWMULU_VX_MF2, VWMULU_VX, 0x7, 0x0 }, // 11051
  { PseudoVWMULU_VX_MF2_MASK, VWMULU_VX, 0x7, 0x0 }, // 11052
  { PseudoVWMUL_VV_M1, VWMUL_VV, 0x0, 0x0 }, // 11053
  { PseudoVWMUL_VV_M1_MASK, VWMUL_VV, 0x0, 0x0 }, // 11054
  { PseudoVWMUL_VV_M2, VWMUL_VV, 0x1, 0x0 }, // 11055
  { PseudoVWMUL_VV_M2_MASK, VWMUL_VV, 0x1, 0x0 }, // 11056
  { PseudoVWMUL_VV_M4, VWMUL_VV, 0x2, 0x0 }, // 11057
  { PseudoVWMUL_VV_M4_MASK, VWMUL_VV, 0x2, 0x0 }, // 11058
  { PseudoVWMUL_VV_MF8, VWMUL_VV, 0x5, 0x0 }, // 11059
  { PseudoVWMUL_VV_MF8_MASK, VWMUL_VV, 0x5, 0x0 }, // 11060
  { PseudoVWMUL_VV_MF4, VWMUL_VV, 0x6, 0x0 }, // 11061
  { PseudoVWMUL_VV_MF4_MASK, VWMUL_VV, 0x6, 0x0 }, // 11062
  { PseudoVWMUL_VV_MF2, VWMUL_VV, 0x7, 0x0 }, // 11063
  { PseudoVWMUL_VV_MF2_MASK, VWMUL_VV, 0x7, 0x0 }, // 11064
  { PseudoVWMUL_VX_M1, VWMUL_VX, 0x0, 0x0 }, // 11065
  { PseudoVWMUL_VX_M1_MASK, VWMUL_VX, 0x0, 0x0 }, // 11066
  { PseudoVWMUL_VX_M2, VWMUL_VX, 0x1, 0x0 }, // 11067
  { PseudoVWMUL_VX_M2_MASK, VWMUL_VX, 0x1, 0x0 }, // 11068
  { PseudoVWMUL_VX_M4, VWMUL_VX, 0x2, 0x0 }, // 11069
  { PseudoVWMUL_VX_M4_MASK, VWMUL_VX, 0x2, 0x0 }, // 11070
  { PseudoVWMUL_VX_MF8, VWMUL_VX, 0x5, 0x0 }, // 11071
  { PseudoVWMUL_VX_MF8_MASK, VWMUL_VX, 0x5, 0x0 }, // 11072
  { PseudoVWMUL_VX_MF4, VWMUL_VX, 0x6, 0x0 }, // 11073
  { PseudoVWMUL_VX_MF4_MASK, VWMUL_VX, 0x6, 0x0 }, // 11074
  { PseudoVWMUL_VX_MF2, VWMUL_VX, 0x7, 0x0 }, // 11075
  { PseudoVWMUL_VX_MF2_MASK, VWMUL_VX, 0x7, 0x0 }, // 11076
  { PseudoVWREDSUMU_VS_M1_E8, VWREDSUMU_VS, 0x0, 0x8 }, // 11077
  { PseudoVWREDSUMU_VS_M1_E8_MASK, VWREDSUMU_VS, 0x0, 0x8 }, // 11078
  { PseudoVWREDSUMU_VS_M1_E16, VWREDSUMU_VS, 0x0, 0x10 }, // 11079
  { PseudoVWREDSUMU_VS_M1_E16_MASK, VWREDSUMU_VS, 0x0, 0x10 }, // 11080
  { PseudoVWREDSUMU_VS_M1_E32, VWREDSUMU_VS, 0x0, 0x20 }, // 11081
  { PseudoVWREDSUMU_VS_M1_E32_MASK, VWREDSUMU_VS, 0x0, 0x20 }, // 11082
  { PseudoVWREDSUMU_VS_M2_E8, VWREDSUMU_VS, 0x1, 0x8 }, // 11083
  { PseudoVWREDSUMU_VS_M2_E8_MASK, VWREDSUMU_VS, 0x1, 0x8 }, // 11084
  { PseudoVWREDSUMU_VS_M2_E16, VWREDSUMU_VS, 0x1, 0x10 }, // 11085
  { PseudoVWREDSUMU_VS_M2_E16_MASK, VWREDSUMU_VS, 0x1, 0x10 }, // 11086
  { PseudoVWREDSUMU_VS_M2_E32, VWREDSUMU_VS, 0x1, 0x20 }, // 11087
  { PseudoVWREDSUMU_VS_M2_E32_MASK, VWREDSUMU_VS, 0x1, 0x20 }, // 11088
  { PseudoVWREDSUMU_VS_M4_E8, VWREDSUMU_VS, 0x2, 0x8 }, // 11089
  { PseudoVWREDSUMU_VS_M4_E8_MASK, VWREDSUMU_VS, 0x2, 0x8 }, // 11090
  { PseudoVWREDSUMU_VS_M4_E16, VWREDSUMU_VS, 0x2, 0x10 }, // 11091
  { PseudoVWREDSUMU_VS_M4_E16_MASK, VWREDSUMU_VS, 0x2, 0x10 }, // 11092
  { PseudoVWREDSUMU_VS_M4_E32, VWREDSUMU_VS, 0x2, 0x20 }, // 11093
  { PseudoVWREDSUMU_VS_M4_E32_MASK, VWREDSUMU_VS, 0x2, 0x20 }, // 11094
  { PseudoVWREDSUMU_VS_M8_E8, VWREDSUMU_VS, 0x3, 0x8 }, // 11095
  { PseudoVWREDSUMU_VS_M8_E8_MASK, VWREDSUMU_VS, 0x3, 0x8 }, // 11096
  { PseudoVWREDSUMU_VS_M8_E16, VWREDSUMU_VS, 0x3, 0x10 }, // 11097
  { PseudoVWREDSUMU_VS_M8_E16_MASK, VWREDSUMU_VS, 0x3, 0x10 }, // 11098
  { PseudoVWREDSUMU_VS_M8_E32, VWREDSUMU_VS, 0x3, 0x20 }, // 11099
  { PseudoVWREDSUMU_VS_M8_E32_MASK, VWREDSUMU_VS, 0x3, 0x20 }, // 11100
  { PseudoVWREDSUMU_VS_MF8_E8, VWREDSUMU_VS, 0x5, 0x8 }, // 11101
  { PseudoVWREDSUMU_VS_MF8_E8_MASK, VWREDSUMU_VS, 0x5, 0x8 }, // 11102
  { PseudoVWREDSUMU_VS_MF4_E8, VWREDSUMU_VS, 0x6, 0x8 }, // 11103
  { PseudoVWREDSUMU_VS_MF4_E8_MASK, VWREDSUMU_VS, 0x6, 0x8 }, // 11104
  { PseudoVWREDSUMU_VS_MF4_E16, VWREDSUMU_VS, 0x6, 0x10 }, // 11105
  { PseudoVWREDSUMU_VS_MF4_E16_MASK, VWREDSUMU_VS, 0x6, 0x10 }, // 11106
  { PseudoVWREDSUMU_VS_MF2_E8, VWREDSUMU_VS, 0x7, 0x8 }, // 11107
  { PseudoVWREDSUMU_VS_MF2_E8_MASK, VWREDSUMU_VS, 0x7, 0x8 }, // 11108
  { PseudoVWREDSUMU_VS_MF2_E16, VWREDSUMU_VS, 0x7, 0x10 }, // 11109
  { PseudoVWREDSUMU_VS_MF2_E16_MASK, VWREDSUMU_VS, 0x7, 0x10 }, // 11110
  { PseudoVWREDSUMU_VS_MF2_E32, VWREDSUMU_VS, 0x7, 0x20 }, // 11111
  { PseudoVWREDSUMU_VS_MF2_E32_MASK, VWREDSUMU_VS, 0x7, 0x20 }, // 11112
  { PseudoVWREDSUM_VS_M1_E8, VWREDSUM_VS, 0x0, 0x8 }, // 11113
  { PseudoVWREDSUM_VS_M1_E8_MASK, VWREDSUM_VS, 0x0, 0x8 }, // 11114
  { PseudoVWREDSUM_VS_M1_E16, VWREDSUM_VS, 0x0, 0x10 }, // 11115
  { PseudoVWREDSUM_VS_M1_E16_MASK, VWREDSUM_VS, 0x0, 0x10 }, // 11116
  { PseudoVWREDSUM_VS_M1_E32, VWREDSUM_VS, 0x0, 0x20 }, // 11117
  { PseudoVWREDSUM_VS_M1_E32_MASK, VWREDSUM_VS, 0x0, 0x20 }, // 11118
  { PseudoVWREDSUM_VS_M2_E8, VWREDSUM_VS, 0x1, 0x8 }, // 11119
  { PseudoVWREDSUM_VS_M2_E8_MASK, VWREDSUM_VS, 0x1, 0x8 }, // 11120
  { PseudoVWREDSUM_VS_M2_E16, VWREDSUM_VS, 0x1, 0x10 }, // 11121
  { PseudoVWREDSUM_VS_M2_E16_MASK, VWREDSUM_VS, 0x1, 0x10 }, // 11122
  { PseudoVWREDSUM_VS_M2_E32, VWREDSUM_VS, 0x1, 0x20 }, // 11123
  { PseudoVWREDSUM_VS_M2_E32_MASK, VWREDSUM_VS, 0x1, 0x20 }, // 11124
  { PseudoVWREDSUM_VS_M4_E8, VWREDSUM_VS, 0x2, 0x8 }, // 11125
  { PseudoVWREDSUM_VS_M4_E8_MASK, VWREDSUM_VS, 0x2, 0x8 }, // 11126
  { PseudoVWREDSUM_VS_M4_E16, VWREDSUM_VS, 0x2, 0x10 }, // 11127
  { PseudoVWREDSUM_VS_M4_E16_MASK, VWREDSUM_VS, 0x2, 0x10 }, // 11128
  { PseudoVWREDSUM_VS_M4_E32, VWREDSUM_VS, 0x2, 0x20 }, // 11129
  { PseudoVWREDSUM_VS_M4_E32_MASK, VWREDSUM_VS, 0x2, 0x20 }, // 11130
  { PseudoVWREDSUM_VS_M8_E8, VWREDSUM_VS, 0x3, 0x8 }, // 11131
  { PseudoVWREDSUM_VS_M8_E8_MASK, VWREDSUM_VS, 0x3, 0x8 }, // 11132
  { PseudoVWREDSUM_VS_M8_E16, VWREDSUM_VS, 0x3, 0x10 }, // 11133
  { PseudoVWREDSUM_VS_M8_E16_MASK, VWREDSUM_VS, 0x3, 0x10 }, // 11134
  { PseudoVWREDSUM_VS_M8_E32, VWREDSUM_VS, 0x3, 0x20 }, // 11135
  { PseudoVWREDSUM_VS_M8_E32_MASK, VWREDSUM_VS, 0x3, 0x20 }, // 11136
  { PseudoVWREDSUM_VS_MF8_E8, VWREDSUM_VS, 0x5, 0x8 }, // 11137
  { PseudoVWREDSUM_VS_MF8_E8_MASK, VWREDSUM_VS, 0x5, 0x8 }, // 11138
  { PseudoVWREDSUM_VS_MF4_E8, VWREDSUM_VS, 0x6, 0x8 }, // 11139
  { PseudoVWREDSUM_VS_MF4_E8_MASK, VWREDSUM_VS, 0x6, 0x8 }, // 11140
  { PseudoVWREDSUM_VS_MF4_E16, VWREDSUM_VS, 0x6, 0x10 }, // 11141
  { PseudoVWREDSUM_VS_MF4_E16_MASK, VWREDSUM_VS, 0x6, 0x10 }, // 11142
  { PseudoVWREDSUM_VS_MF2_E8, VWREDSUM_VS, 0x7, 0x8 }, // 11143
  { PseudoVWREDSUM_VS_MF2_E8_MASK, VWREDSUM_VS, 0x7, 0x8 }, // 11144
  { PseudoVWREDSUM_VS_MF2_E16, VWREDSUM_VS, 0x7, 0x10 }, // 11145
  { PseudoVWREDSUM_VS_MF2_E16_MASK, VWREDSUM_VS, 0x7, 0x10 }, // 11146
  { PseudoVWREDSUM_VS_MF2_E32, VWREDSUM_VS, 0x7, 0x20 }, // 11147
  { PseudoVWREDSUM_VS_MF2_E32_MASK, VWREDSUM_VS, 0x7, 0x20 }, // 11148
  { PseudoVWSLL_VI_M1, VWSLL_VI, 0x0, 0x0 }, // 11149
  { PseudoVWSLL_VI_M1_MASK, VWSLL_VI, 0x0, 0x0 }, // 11150
  { PseudoVWSLL_VI_M2, VWSLL_VI, 0x1, 0x0 }, // 11151
  { PseudoVWSLL_VI_M2_MASK, VWSLL_VI, 0x1, 0x0 }, // 11152
  { PseudoVWSLL_VI_M4, VWSLL_VI, 0x2, 0x0 }, // 11153
  { PseudoVWSLL_VI_M4_MASK, VWSLL_VI, 0x2, 0x0 }, // 11154
  { PseudoVWSLL_VI_MF8, VWSLL_VI, 0x5, 0x0 }, // 11155
  { PseudoVWSLL_VI_MF8_MASK, VWSLL_VI, 0x5, 0x0 }, // 11156
  { PseudoVWSLL_VI_MF4, VWSLL_VI, 0x6, 0x0 }, // 11157
  { PseudoVWSLL_VI_MF4_MASK, VWSLL_VI, 0x6, 0x0 }, // 11158
  { PseudoVWSLL_VI_MF2, VWSLL_VI, 0x7, 0x0 }, // 11159
  { PseudoVWSLL_VI_MF2_MASK, VWSLL_VI, 0x7, 0x0 }, // 11160
  { PseudoVWSLL_VV_M1, VWSLL_VV, 0x0, 0x0 }, // 11161
  { PseudoVWSLL_VV_M1_MASK, VWSLL_VV, 0x0, 0x0 }, // 11162
  { PseudoVWSLL_VV_M2, VWSLL_VV, 0x1, 0x0 }, // 11163
  { PseudoVWSLL_VV_M2_MASK, VWSLL_VV, 0x1, 0x0 }, // 11164
  { PseudoVWSLL_VV_M4, VWSLL_VV, 0x2, 0x0 }, // 11165
  { PseudoVWSLL_VV_M4_MASK, VWSLL_VV, 0x2, 0x0 }, // 11166
  { PseudoVWSLL_VV_MF8, VWSLL_VV, 0x5, 0x0 }, // 11167
  { PseudoVWSLL_VV_MF8_MASK, VWSLL_VV, 0x5, 0x0 }, // 11168
  { PseudoVWSLL_VV_MF4, VWSLL_VV, 0x6, 0x0 }, // 11169
  { PseudoVWSLL_VV_MF4_MASK, VWSLL_VV, 0x6, 0x0 }, // 11170
  { PseudoVWSLL_VV_MF2, VWSLL_VV, 0x7, 0x0 }, // 11171
  { PseudoVWSLL_VV_MF2_MASK, VWSLL_VV, 0x7, 0x0 }, // 11172
  { PseudoVWSLL_VX_M1, VWSLL_VX, 0x0, 0x0 }, // 11173
  { PseudoVWSLL_VX_M1_MASK, VWSLL_VX, 0x0, 0x0 }, // 11174
  { PseudoVWSLL_VX_M2, VWSLL_VX, 0x1, 0x0 }, // 11175
  { PseudoVWSLL_VX_M2_MASK, VWSLL_VX, 0x1, 0x0 }, // 11176
  { PseudoVWSLL_VX_M4, VWSLL_VX, 0x2, 0x0 }, // 11177
  { PseudoVWSLL_VX_M4_MASK, VWSLL_VX, 0x2, 0x0 }, // 11178
  { PseudoVWSLL_VX_MF8, VWSLL_VX, 0x5, 0x0 }, // 11179
  { PseudoVWSLL_VX_MF8_MASK, VWSLL_VX, 0x5, 0x0 }, // 11180
  { PseudoVWSLL_VX_MF4, VWSLL_VX, 0x6, 0x0 }, // 11181
  { PseudoVWSLL_VX_MF4_MASK, VWSLL_VX, 0x6, 0x0 }, // 11182
  { PseudoVWSLL_VX_MF2, VWSLL_VX, 0x7, 0x0 }, // 11183
  { PseudoVWSLL_VX_MF2_MASK, VWSLL_VX, 0x7, 0x0 }, // 11184
  { PseudoVWSUBU_VV_M1, VWSUBU_VV, 0x0, 0x0 }, // 11185
  { PseudoVWSUBU_VV_M1_MASK, VWSUBU_VV, 0x0, 0x0 }, // 11186
  { PseudoVWSUBU_VV_M2, VWSUBU_VV, 0x1, 0x0 }, // 11187
  { PseudoVWSUBU_VV_M2_MASK, VWSUBU_VV, 0x1, 0x0 }, // 11188
  { PseudoVWSUBU_VV_M4, VWSUBU_VV, 0x2, 0x0 }, // 11189
  { PseudoVWSUBU_VV_M4_MASK, VWSUBU_VV, 0x2, 0x0 }, // 11190
  { PseudoVWSUBU_VV_MF8, VWSUBU_VV, 0x5, 0x0 }, // 11191
  { PseudoVWSUBU_VV_MF8_MASK, VWSUBU_VV, 0x5, 0x0 }, // 11192
  { PseudoVWSUBU_VV_MF4, VWSUBU_VV, 0x6, 0x0 }, // 11193
  { PseudoVWSUBU_VV_MF4_MASK, VWSUBU_VV, 0x6, 0x0 }, // 11194
  { PseudoVWSUBU_VV_MF2, VWSUBU_VV, 0x7, 0x0 }, // 11195
  { PseudoVWSUBU_VV_MF2_MASK, VWSUBU_VV, 0x7, 0x0 }, // 11196
  { PseudoVWSUBU_VX_M1, VWSUBU_VX, 0x0, 0x0 }, // 11197
  { PseudoVWSUBU_VX_M1_MASK, VWSUBU_VX, 0x0, 0x0 }, // 11198
  { PseudoVWSUBU_VX_M2, VWSUBU_VX, 0x1, 0x0 }, // 11199
  { PseudoVWSUBU_VX_M2_MASK, VWSUBU_VX, 0x1, 0x0 }, // 11200
  { PseudoVWSUBU_VX_M4, VWSUBU_VX, 0x2, 0x0 }, // 11201
  { PseudoVWSUBU_VX_M4_MASK, VWSUBU_VX, 0x2, 0x0 }, // 11202
  { PseudoVWSUBU_VX_MF8, VWSUBU_VX, 0x5, 0x0 }, // 11203
  { PseudoVWSUBU_VX_MF8_MASK, VWSUBU_VX, 0x5, 0x0 }, // 11204
  { PseudoVWSUBU_VX_MF4, VWSUBU_VX, 0x6, 0x0 }, // 11205
  { PseudoVWSUBU_VX_MF4_MASK, VWSUBU_VX, 0x6, 0x0 }, // 11206
  { PseudoVWSUBU_VX_MF2, VWSUBU_VX, 0x7, 0x0 }, // 11207
  { PseudoVWSUBU_VX_MF2_MASK, VWSUBU_VX, 0x7, 0x0 }, // 11208
  { PseudoVWSUBU_WV_M1, VWSUBU_WV, 0x0, 0x0 }, // 11209
  { PseudoVWSUBU_WV_M1_MASK, VWSUBU_WV, 0x0, 0x0 }, // 11210
  { PseudoVWSUBU_WV_M1_MASK_TIED, VWSUBU_WV, 0x0, 0x0 }, // 11211
  { PseudoVWSUBU_WV_M1_TIED, VWSUBU_WV, 0x0, 0x0 }, // 11212
  { PseudoVWSUBU_WV_M2, VWSUBU_WV, 0x1, 0x0 }, // 11213
  { PseudoVWSUBU_WV_M2_MASK, VWSUBU_WV, 0x1, 0x0 }, // 11214
  { PseudoVWSUBU_WV_M2_MASK_TIED, VWSUBU_WV, 0x1, 0x0 }, // 11215
  { PseudoVWSUBU_WV_M2_TIED, VWSUBU_WV, 0x1, 0x0 }, // 11216
  { PseudoVWSUBU_WV_M4, VWSUBU_WV, 0x2, 0x0 }, // 11217
  { PseudoVWSUBU_WV_M4_MASK, VWSUBU_WV, 0x2, 0x0 }, // 11218
  { PseudoVWSUBU_WV_M4_MASK_TIED, VWSUBU_WV, 0x2, 0x0 }, // 11219
  { PseudoVWSUBU_WV_M4_TIED, VWSUBU_WV, 0x2, 0x0 }, // 11220
  { PseudoVWSUBU_WV_MF8, VWSUBU_WV, 0x5, 0x0 }, // 11221
  { PseudoVWSUBU_WV_MF8_MASK, VWSUBU_WV, 0x5, 0x0 }, // 11222
  { PseudoVWSUBU_WV_MF8_MASK_TIED, VWSUBU_WV, 0x5, 0x0 }, // 11223
  { PseudoVWSUBU_WV_MF8_TIED, VWSUBU_WV, 0x5, 0x0 }, // 11224
  { PseudoVWSUBU_WV_MF4, VWSUBU_WV, 0x6, 0x0 }, // 11225
  { PseudoVWSUBU_WV_MF4_MASK, VWSUBU_WV, 0x6, 0x0 }, // 11226
  { PseudoVWSUBU_WV_MF4_MASK_TIED, VWSUBU_WV, 0x6, 0x0 }, // 11227
  { PseudoVWSUBU_WV_MF4_TIED, VWSUBU_WV, 0x6, 0x0 }, // 11228
  { PseudoVWSUBU_WV_MF2, VWSUBU_WV, 0x7, 0x0 }, // 11229
  { PseudoVWSUBU_WV_MF2_MASK, VWSUBU_WV, 0x7, 0x0 }, // 11230
  { PseudoVWSUBU_WV_MF2_MASK_TIED, VWSUBU_WV, 0x7, 0x0 }, // 11231
  { PseudoVWSUBU_WV_MF2_TIED, VWSUBU_WV, 0x7, 0x0 }, // 11232
  { PseudoVWSUBU_WX_M1, VWSUBU_WX, 0x0, 0x0 }, // 11233
  { PseudoVWSUBU_WX_M1_MASK, VWSUBU_WX, 0x0, 0x0 }, // 11234
  { PseudoVWSUBU_WX_M2, VWSUBU_WX, 0x1, 0x0 }, // 11235
  { PseudoVWSUBU_WX_M2_MASK, VWSUBU_WX, 0x1, 0x0 }, // 11236
  { PseudoVWSUBU_WX_M4, VWSUBU_WX, 0x2, 0x0 }, // 11237
  { PseudoVWSUBU_WX_M4_MASK, VWSUBU_WX, 0x2, 0x0 }, // 11238
  { PseudoVWSUBU_WX_MF8, VWSUBU_WX, 0x5, 0x0 }, // 11239
  { PseudoVWSUBU_WX_MF8_MASK, VWSUBU_WX, 0x5, 0x0 }, // 11240
  { PseudoVWSUBU_WX_MF4, VWSUBU_WX, 0x6, 0x0 }, // 11241
  { PseudoVWSUBU_WX_MF4_MASK, VWSUBU_WX, 0x6, 0x0 }, // 11242
  { PseudoVWSUBU_WX_MF2, VWSUBU_WX, 0x7, 0x0 }, // 11243
  { PseudoVWSUBU_WX_MF2_MASK, VWSUBU_WX, 0x7, 0x0 }, // 11244
  { PseudoVWSUB_VV_M1, VWSUB_VV, 0x0, 0x0 }, // 11245
  { PseudoVWSUB_VV_M1_MASK, VWSUB_VV, 0x0, 0x0 }, // 11246
  { PseudoVWSUB_VV_M2, VWSUB_VV, 0x1, 0x0 }, // 11247
  { PseudoVWSUB_VV_M2_MASK, VWSUB_VV, 0x1, 0x0 }, // 11248
  { PseudoVWSUB_VV_M4, VWSUB_VV, 0x2, 0x0 }, // 11249
  { PseudoVWSUB_VV_M4_MASK, VWSUB_VV, 0x2, 0x0 }, // 11250
  { PseudoVWSUB_VV_MF8, VWSUB_VV, 0x5, 0x0 }, // 11251
  { PseudoVWSUB_VV_MF8_MASK, VWSUB_VV, 0x5, 0x0 }, // 11252
  { PseudoVWSUB_VV_MF4, VWSUB_VV, 0x6, 0x0 }, // 11253
  { PseudoVWSUB_VV_MF4_MASK, VWSUB_VV, 0x6, 0x0 }, // 11254
  { PseudoVWSUB_VV_MF2, VWSUB_VV, 0x7, 0x0 }, // 11255
  { PseudoVWSUB_VV_MF2_MASK, VWSUB_VV, 0x7, 0x0 }, // 11256
  { PseudoVWSUB_VX_M1, VWSUB_VX, 0x0, 0x0 }, // 11257
  { PseudoVWSUB_VX_M1_MASK, VWSUB_VX, 0x0, 0x0 }, // 11258
  { PseudoVWSUB_VX_M2, VWSUB_VX, 0x1, 0x0 }, // 11259
  { PseudoVWSUB_VX_M2_MASK, VWSUB_VX, 0x1, 0x0 }, // 11260
  { PseudoVWSUB_VX_M4, VWSUB_VX, 0x2, 0x0 }, // 11261
  { PseudoVWSUB_VX_M4_MASK, VWSUB_VX, 0x2, 0x0 }, // 11262
  { PseudoVWSUB_VX_MF8, VWSUB_VX, 0x5, 0x0 }, // 11263
  { PseudoVWSUB_VX_MF8_MASK, VWSUB_VX, 0x5, 0x0 }, // 11264
  { PseudoVWSUB_VX_MF4, VWSUB_VX, 0x6, 0x0 }, // 11265
  { PseudoVWSUB_VX_MF4_MASK, VWSUB_VX, 0x6, 0x0 }, // 11266
  { PseudoVWSUB_VX_MF2, VWSUB_VX, 0x7, 0x0 }, // 11267
  { PseudoVWSUB_VX_MF2_MASK, VWSUB_VX, 0x7, 0x0 }, // 11268
  { PseudoVWSUB_WV_M1, VWSUB_WV, 0x0, 0x0 }, // 11269
  { PseudoVWSUB_WV_M1_MASK, VWSUB_WV, 0x0, 0x0 }, // 11270
  { PseudoVWSUB_WV_M1_MASK_TIED, VWSUB_WV, 0x0, 0x0 }, // 11271
  { PseudoVWSUB_WV_M1_TIED, VWSUB_WV, 0x0, 0x0 }, // 11272
  { PseudoVWSUB_WV_M2, VWSUB_WV, 0x1, 0x0 }, // 11273
  { PseudoVWSUB_WV_M2_MASK, VWSUB_WV, 0x1, 0x0 }, // 11274
  { PseudoVWSUB_WV_M2_MASK_TIED, VWSUB_WV, 0x1, 0x0 }, // 11275
  { PseudoVWSUB_WV_M2_TIED, VWSUB_WV, 0x1, 0x0 }, // 11276
  { PseudoVWSUB_WV_M4, VWSUB_WV, 0x2, 0x0 }, // 11277
  { PseudoVWSUB_WV_M4_MASK, VWSUB_WV, 0x2, 0x0 }, // 11278
  { PseudoVWSUB_WV_M4_MASK_TIED, VWSUB_WV, 0x2, 0x0 }, // 11279
  { PseudoVWSUB_WV_M4_TIED, VWSUB_WV, 0x2, 0x0 }, // 11280
  { PseudoVWSUB_WV_MF8, VWSUB_WV, 0x5, 0x0 }, // 11281
  { PseudoVWSUB_WV_MF8_MASK, VWSUB_WV, 0x5, 0x0 }, // 11282
  { PseudoVWSUB_WV_MF8_MASK_TIED, VWSUB_WV, 0x5, 0x0 }, // 11283
  { PseudoVWSUB_WV_MF8_TIED, VWSUB_WV, 0x5, 0x0 }, // 11284
  { PseudoVWSUB_WV_MF4, VWSUB_WV, 0x6, 0x0 }, // 11285
  { PseudoVWSUB_WV_MF4_MASK, VWSUB_WV, 0x6, 0x0 }, // 11286
  { PseudoVWSUB_WV_MF4_MASK_TIED, VWSUB_WV, 0x6, 0x0 }, // 11287
  { PseudoVWSUB_WV_MF4_TIED, VWSUB_WV, 0x6, 0x0 }, // 11288
  { PseudoVWSUB_WV_MF2, VWSUB_WV, 0x7, 0x0 }, // 11289
  { PseudoVWSUB_WV_MF2_MASK, VWSUB_WV, 0x7, 0x0 }, // 11290
  { PseudoVWSUB_WV_MF2_MASK_TIED, VWSUB_WV, 0x7, 0x0 }, // 11291
  { PseudoVWSUB_WV_MF2_TIED, VWSUB_WV, 0x7, 0x0 }, // 11292
  { PseudoVWSUB_WX_M1, VWSUB_WX, 0x0, 0x0 }, // 11293
  { PseudoVWSUB_WX_M1_MASK, VWSUB_WX, 0x0, 0x0 }, // 11294
  { PseudoVWSUB_WX_M2, VWSUB_WX, 0x1, 0x0 }, // 11295
  { PseudoVWSUB_WX_M2_MASK, VWSUB_WX, 0x1, 0x0 }, // 11296
  { PseudoVWSUB_WX_M4, VWSUB_WX, 0x2, 0x0 }, // 11297
  { PseudoVWSUB_WX_M4_MASK, VWSUB_WX, 0x2, 0x0 }, // 11298
  { PseudoVWSUB_WX_MF8, VWSUB_WX, 0x5, 0x0 }, // 11299
  { PseudoVWSUB_WX_MF8_MASK, VWSUB_WX, 0x5, 0x0 }, // 11300
  { PseudoVWSUB_WX_MF4, VWSUB_WX, 0x6, 0x0 }, // 11301
  { PseudoVWSUB_WX_MF4_MASK, VWSUB_WX, 0x6, 0x0 }, // 11302
  { PseudoVWSUB_WX_MF2, VWSUB_WX, 0x7, 0x0 }, // 11303
  { PseudoVWSUB_WX_MF2_MASK, VWSUB_WX, 0x7, 0x0 }, // 11304
  { PseudoVXOR_VI_M1, VXOR_VI, 0x0, 0x0 }, // 11305
  { PseudoVXOR_VI_M1_MASK, VXOR_VI, 0x0, 0x0 }, // 11306
  { PseudoVXOR_VI_M2, VXOR_VI, 0x1, 0x0 }, // 11307
  { PseudoVXOR_VI_M2_MASK, VXOR_VI, 0x1, 0x0 }, // 11308
  { PseudoVXOR_VI_M4, VXOR_VI, 0x2, 0x0 }, // 11309
  { PseudoVXOR_VI_M4_MASK, VXOR_VI, 0x2, 0x0 }, // 11310
  { PseudoVXOR_VI_M8, VXOR_VI, 0x3, 0x0 }, // 11311
  { PseudoVXOR_VI_M8_MASK, VXOR_VI, 0x3, 0x0 }, // 11312
  { PseudoVXOR_VI_MF8, VXOR_VI, 0x5, 0x0 }, // 11313
  { PseudoVXOR_VI_MF8_MASK, VXOR_VI, 0x5, 0x0 }, // 11314
  { PseudoVXOR_VI_MF4, VXOR_VI, 0x6, 0x0 }, // 11315
  { PseudoVXOR_VI_MF4_MASK, VXOR_VI, 0x6, 0x0 }, // 11316
  { PseudoVXOR_VI_MF2, VXOR_VI, 0x7, 0x0 }, // 11317
  { PseudoVXOR_VI_MF2_MASK, VXOR_VI, 0x7, 0x0 }, // 11318
  { PseudoVXOR_VV_M1, VXOR_VV, 0x0, 0x0 }, // 11319
  { PseudoVXOR_VV_M1_MASK, VXOR_VV, 0x0, 0x0 }, // 11320
  { PseudoVXOR_VV_M2, VXOR_VV, 0x1, 0x0 }, // 11321
  { PseudoVXOR_VV_M2_MASK, VXOR_VV, 0x1, 0x0 }, // 11322
  { PseudoVXOR_VV_M4, VXOR_VV, 0x2, 0x0 }, // 11323
  { PseudoVXOR_VV_M4_MASK, VXOR_VV, 0x2, 0x0 }, // 11324
  { PseudoVXOR_VV_M8, VXOR_VV, 0x3, 0x0 }, // 11325
  { PseudoVXOR_VV_M8_MASK, VXOR_VV, 0x3, 0x0 }, // 11326
  { PseudoVXOR_VV_MF8, VXOR_VV, 0x5, 0x0 }, // 11327
  { PseudoVXOR_VV_MF8_MASK, VXOR_VV, 0x5, 0x0 }, // 11328
  { PseudoVXOR_VV_MF4, VXOR_VV, 0x6, 0x0 }, // 11329
  { PseudoVXOR_VV_MF4_MASK, VXOR_VV, 0x6, 0x0 }, // 11330
  { PseudoVXOR_VV_MF2, VXOR_VV, 0x7, 0x0 }, // 11331
  { PseudoVXOR_VV_MF2_MASK, VXOR_VV, 0x7, 0x0 }, // 11332
  { PseudoVXOR_VX_M1, VXOR_VX, 0x0, 0x0 }, // 11333
  { PseudoVXOR_VX_M1_MASK, VXOR_VX, 0x0, 0x0 }, // 11334
  { PseudoVXOR_VX_M2, VXOR_VX, 0x1, 0x0 }, // 11335
  { PseudoVXOR_VX_M2_MASK, VXOR_VX, 0x1, 0x0 }, // 11336
  { PseudoVXOR_VX_M4, VXOR_VX, 0x2, 0x0 }, // 11337
  { PseudoVXOR_VX_M4_MASK, VXOR_VX, 0x2, 0x0 }, // 11338
  { PseudoVXOR_VX_M8, VXOR_VX, 0x3, 0x0 }, // 11339
  { PseudoVXOR_VX_M8_MASK, VXOR_VX, 0x3, 0x0 }, // 11340
  { PseudoVXOR_VX_MF8, VXOR_VX, 0x5, 0x0 }, // 11341
  { PseudoVXOR_VX_MF8_MASK, VXOR_VX, 0x5, 0x0 }, // 11342
  { PseudoVXOR_VX_MF4, VXOR_VX, 0x6, 0x0 }, // 11343
  { PseudoVXOR_VX_MF4_MASK, VXOR_VX, 0x6, 0x0 }, // 11344
  { PseudoVXOR_VX_MF2, VXOR_VX, 0x7, 0x0 }, // 11345
  { PseudoVXOR_VX_MF2_MASK, VXOR_VX, 0x7, 0x0 }, // 11346
  { PseudoVZEXT_VF2_M1, VZEXT_VF2, 0x0, 0x0 }, // 11347
  { PseudoVZEXT_VF2_M1_MASK, VZEXT_VF2, 0x0, 0x0 }, // 11348
  { PseudoVZEXT_VF2_M2, VZEXT_VF2, 0x1, 0x0 }, // 11349
  { PseudoVZEXT_VF2_M2_MASK, VZEXT_VF2, 0x1, 0x0 }, // 11350
  { PseudoVZEXT_VF2_M4, VZEXT_VF2, 0x2, 0x0 }, // 11351
  { PseudoVZEXT_VF2_M4_MASK, VZEXT_VF2, 0x2, 0x0 }, // 11352
  { PseudoVZEXT_VF2_M8, VZEXT_VF2, 0x3, 0x0 }, // 11353
  { PseudoVZEXT_VF2_M8_MASK, VZEXT_VF2, 0x3, 0x0 }, // 11354
  { PseudoVZEXT_VF2_MF4, VZEXT_VF2, 0x6, 0x0 }, // 11355
  { PseudoVZEXT_VF2_MF4_MASK, VZEXT_VF2, 0x6, 0x0 }, // 11356
  { PseudoVZEXT_VF2_MF2, VZEXT_VF2, 0x7, 0x0 }, // 11357
  { PseudoVZEXT_VF2_MF2_MASK, VZEXT_VF2, 0x7, 0x0 }, // 11358
  { PseudoVZEXT_VF4_M1, VZEXT_VF4, 0x0, 0x0 }, // 11359
  { PseudoVZEXT_VF4_M1_MASK, VZEXT_VF4, 0x0, 0x0 }, // 11360
  { PseudoVZEXT_VF4_M2, VZEXT_VF4, 0x1, 0x0 }, // 11361
  { PseudoVZEXT_VF4_M2_MASK, VZEXT_VF4, 0x1, 0x0 }, // 11362
  { PseudoVZEXT_VF4_M4, VZEXT_VF4, 0x2, 0x0 }, // 11363
  { PseudoVZEXT_VF4_M4_MASK, VZEXT_VF4, 0x2, 0x0 }, // 11364
  { PseudoVZEXT_VF4_M8, VZEXT_VF4, 0x3, 0x0 }, // 11365
  { PseudoVZEXT_VF4_M8_MASK, VZEXT_VF4, 0x3, 0x0 }, // 11366
  { PseudoVZEXT_VF4_MF2, VZEXT_VF4, 0x7, 0x0 }, // 11367
  { PseudoVZEXT_VF4_MF2_MASK, VZEXT_VF4, 0x7, 0x0 }, // 11368
  { PseudoVZEXT_VF8_M1, VZEXT_VF8, 0x0, 0x0 }, // 11369
  { PseudoVZEXT_VF8_M1_MASK, VZEXT_VF8, 0x0, 0x0 }, // 11370
  { PseudoVZEXT_VF8_M2, VZEXT_VF8, 0x1, 0x0 }, // 11371
  { PseudoVZEXT_VF8_M2_MASK, VZEXT_VF8, 0x1, 0x0 }, // 11372
  { PseudoVZEXT_VF8_M4, VZEXT_VF8, 0x2, 0x0 }, // 11373
  { PseudoVZEXT_VF8_M4_MASK, VZEXT_VF8, 0x2, 0x0 }, // 11374
  { PseudoVZEXT_VF8_M8, VZEXT_VF8, 0x3, 0x0 }, // 11375
  { PseudoVZEXT_VF8_M8_MASK, VZEXT_VF8, 0x3, 0x0 }, // 11376
 };

const PseudoInfo *getBaseInfo(unsigned BaseInstr, uint8_t VLMul, uint8_t SEW) {
  if ((BaseInstr < THVdotVMAQASU_VV) ||
      (BaseInstr > VZEXT_VF8))
    return nullptr;

  struct KeyType {
    unsigned BaseInstr;
    uint8_t VLMul;
    uint8_t SEW;
  };
  KeyType Key = {BaseInstr, VLMul, SEW};
  struct Comp {
    bool operator()(const PseudoInfo &LHS, const KeyType &RHS) const {
      if (LHS.BaseInstr < RHS.BaseInstr)
        return true;
      if (LHS.BaseInstr > RHS.BaseInstr)
        return false;
      if (LHS.VLMul < RHS.VLMul)
        return true;
      if (LHS.VLMul > RHS.VLMul)
        return false;
      if (LHS.SEW < RHS.SEW)
        return true;
      if (LHS.SEW > RHS.SEW)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVInversePseudosTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.BaseInstr != Idx->BaseInstr ||
      Key.VLMul != Idx->VLMul ||
      Key.SEW != Idx->SEW)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVLETable_DECL
const VLEPseudo *getVLEPseudo(uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVLETable_IMPL
constexpr VLEPseudo RISCVVLETable[] = {
  { 0x0, 0x0, 0x0, 0x0, 0x0, PseudoVLM_V_B8 }, // 0
  { 0x0, 0x0, 0x0, 0x0, 0x1, PseudoVLM_V_B16 }, // 1
  { 0x0, 0x0, 0x0, 0x0, 0x2, PseudoVLM_V_B32 }, // 2
  { 0x0, 0x0, 0x0, 0x0, 0x3, PseudoVLM_V_B64 }, // 3
  { 0x0, 0x0, 0x0, 0x0, 0x5, PseudoVLM_V_B1 }, // 4
  { 0x0, 0x0, 0x0, 0x0, 0x6, PseudoVLM_V_B2 }, // 5
  { 0x0, 0x0, 0x0, 0x0, 0x7, PseudoVLM_V_B4 }, // 6
  { 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLE8_V_M1 }, // 7
  { 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLE8_V_M2 }, // 8
  { 0x0, 0x0, 0x0, 0x3, 0x2, PseudoVLE8_V_M4 }, // 9
  { 0x0, 0x0, 0x0, 0x3, 0x3, PseudoVLE8_V_M8 }, // 10
  { 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLE8_V_MF8 }, // 11
  { 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLE8_V_MF4 }, // 12
  { 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLE8_V_MF2 }, // 13
  { 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLE16_V_M1 }, // 14
  { 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLE16_V_M2 }, // 15
  { 0x0, 0x0, 0x0, 0x4, 0x2, PseudoVLE16_V_M4 }, // 16
  { 0x0, 0x0, 0x0, 0x4, 0x3, PseudoVLE16_V_M8 }, // 17
  { 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLE16_V_MF4 }, // 18
  { 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLE16_V_MF2 }, // 19
  { 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLE32_V_M1 }, // 20
  { 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLE32_V_M2 }, // 21
  { 0x0, 0x0, 0x0, 0x5, 0x2, PseudoVLE32_V_M4 }, // 22
  { 0x0, 0x0, 0x0, 0x5, 0x3, PseudoVLE32_V_M8 }, // 23
  { 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLE32_V_MF2 }, // 24
  { 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLE64_V_M1 }, // 25
  { 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLE64_V_M2 }, // 26
  { 0x0, 0x0, 0x0, 0x6, 0x2, PseudoVLE64_V_M4 }, // 27
  { 0x0, 0x0, 0x0, 0x6, 0x3, PseudoVLE64_V_M8 }, // 28
  { 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLE8FF_V_M1 }, // 29
  { 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLE8FF_V_M2 }, // 30
  { 0x0, 0x0, 0x1, 0x3, 0x2, PseudoVLE8FF_V_M4 }, // 31
  { 0x0, 0x0, 0x1, 0x3, 0x3, PseudoVLE8FF_V_M8 }, // 32
  { 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLE8FF_V_MF8 }, // 33
  { 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLE8FF_V_MF4 }, // 34
  { 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLE8FF_V_MF2 }, // 35
  { 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLE16FF_V_M1 }, // 36
  { 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLE16FF_V_M2 }, // 37
  { 0x0, 0x0, 0x1, 0x4, 0x2, PseudoVLE16FF_V_M4 }, // 38
  { 0x0, 0x0, 0x1, 0x4, 0x3, PseudoVLE16FF_V_M8 }, // 39
  { 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLE16FF_V_MF4 }, // 40
  { 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLE16FF_V_MF2 }, // 41
  { 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLE32FF_V_M1 }, // 42
  { 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLE32FF_V_M2 }, // 43
  { 0x0, 0x0, 0x1, 0x5, 0x2, PseudoVLE32FF_V_M4 }, // 44
  { 0x0, 0x0, 0x1, 0x5, 0x3, PseudoVLE32FF_V_M8 }, // 45
  { 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLE32FF_V_MF2 }, // 46
  { 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLE64FF_V_M1 }, // 47
  { 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLE64FF_V_M2 }, // 48
  { 0x0, 0x0, 0x1, 0x6, 0x2, PseudoVLE64FF_V_M4 }, // 49
  { 0x0, 0x0, 0x1, 0x6, 0x3, PseudoVLE64FF_V_M8 }, // 50
  { 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSE8_V_M1 }, // 51
  { 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSE8_V_M2 }, // 52
  { 0x0, 0x1, 0x0, 0x3, 0x2, PseudoVLSE8_V_M4 }, // 53
  { 0x0, 0x1, 0x0, 0x3, 0x3, PseudoVLSE8_V_M8 }, // 54
  { 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSE8_V_MF8 }, // 55
  { 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSE8_V_MF4 }, // 56
  { 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSE8_V_MF2 }, // 57
  { 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSE16_V_M1 }, // 58
  { 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSE16_V_M2 }, // 59
  { 0x0, 0x1, 0x0, 0x4, 0x2, PseudoVLSE16_V_M4 }, // 60
  { 0x0, 0x1, 0x0, 0x4, 0x3, PseudoVLSE16_V_M8 }, // 61
  { 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSE16_V_MF4 }, // 62
  { 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSE16_V_MF2 }, // 63
  { 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSE32_V_M1 }, // 64
  { 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSE32_V_M2 }, // 65
  { 0x0, 0x1, 0x0, 0x5, 0x2, PseudoVLSE32_V_M4 }, // 66
  { 0x0, 0x1, 0x0, 0x5, 0x3, PseudoVLSE32_V_M8 }, // 67
  { 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSE32_V_MF2 }, // 68
  { 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSE64_V_M1 }, // 69
  { 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSE64_V_M2 }, // 70
  { 0x0, 0x1, 0x0, 0x6, 0x2, PseudoVLSE64_V_M4 }, // 71
  { 0x0, 0x1, 0x0, 0x6, 0x3, PseudoVLSE64_V_M8 }, // 72
  { 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLE8_V_M1_MASK }, // 73
  { 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLE8_V_M2_MASK }, // 74
  { 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLE8_V_M4_MASK }, // 75
  { 0x1, 0x0, 0x0, 0x3, 0x3, PseudoVLE8_V_M8_MASK }, // 76
  { 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLE8_V_MF8_MASK }, // 77
  { 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLE8_V_MF4_MASK }, // 78
  { 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLE8_V_MF2_MASK }, // 79
  { 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLE16_V_M1_MASK }, // 80
  { 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLE16_V_M2_MASK }, // 81
  { 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLE16_V_M4_MASK }, // 82
  { 0x1, 0x0, 0x0, 0x4, 0x3, PseudoVLE16_V_M8_MASK }, // 83
  { 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLE16_V_MF4_MASK }, // 84
  { 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLE16_V_MF2_MASK }, // 85
  { 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLE32_V_M1_MASK }, // 86
  { 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLE32_V_M2_MASK }, // 87
  { 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLE32_V_M4_MASK }, // 88
  { 0x1, 0x0, 0x0, 0x5, 0x3, PseudoVLE32_V_M8_MASK }, // 89
  { 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLE32_V_MF2_MASK }, // 90
  { 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLE64_V_M1_MASK }, // 91
  { 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLE64_V_M2_MASK }, // 92
  { 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLE64_V_M4_MASK }, // 93
  { 0x1, 0x0, 0x0, 0x6, 0x3, PseudoVLE64_V_M8_MASK }, // 94
  { 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLE8FF_V_M1_MASK }, // 95
  { 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLE8FF_V_M2_MASK }, // 96
  { 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLE8FF_V_M4_MASK }, // 97
  { 0x1, 0x0, 0x1, 0x3, 0x3, PseudoVLE8FF_V_M8_MASK }, // 98
  { 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLE8FF_V_MF8_MASK }, // 99
  { 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLE8FF_V_MF4_MASK }, // 100
  { 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLE8FF_V_MF2_MASK }, // 101
  { 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLE16FF_V_M1_MASK }, // 102
  { 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLE16FF_V_M2_MASK }, // 103
  { 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLE16FF_V_M4_MASK }, // 104
  { 0x1, 0x0, 0x1, 0x4, 0x3, PseudoVLE16FF_V_M8_MASK }, // 105
  { 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLE16FF_V_MF4_MASK }, // 106
  { 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLE16FF_V_MF2_MASK }, // 107
  { 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLE32FF_V_M1_MASK }, // 108
  { 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLE32FF_V_M2_MASK }, // 109
  { 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLE32FF_V_M4_MASK }, // 110
  { 0x1, 0x0, 0x1, 0x5, 0x3, PseudoVLE32FF_V_M8_MASK }, // 111
  { 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLE32FF_V_MF2_MASK }, // 112
  { 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLE64FF_V_M1_MASK }, // 113
  { 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLE64FF_V_M2_MASK }, // 114
  { 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLE64FF_V_M4_MASK }, // 115
  { 0x1, 0x0, 0x1, 0x6, 0x3, PseudoVLE64FF_V_M8_MASK }, // 116
  { 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSE8_V_M1_MASK }, // 117
  { 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSE8_V_M2_MASK }, // 118
  { 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSE8_V_M4_MASK }, // 119
  { 0x1, 0x1, 0x0, 0x3, 0x3, PseudoVLSE8_V_M8_MASK }, // 120
  { 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSE8_V_MF8_MASK }, // 121
  { 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSE8_V_MF4_MASK }, // 122
  { 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSE8_V_MF2_MASK }, // 123
  { 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSE16_V_M1_MASK }, // 124
  { 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSE16_V_M2_MASK }, // 125
  { 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSE16_V_M4_MASK }, // 126
  { 0x1, 0x1, 0x0, 0x4, 0x3, PseudoVLSE16_V_M8_MASK }, // 127
  { 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSE16_V_MF4_MASK }, // 128
  { 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSE16_V_MF2_MASK }, // 129
  { 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSE32_V_M1_MASK }, // 130
  { 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSE32_V_M2_MASK }, // 131
  { 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSE32_V_M4_MASK }, // 132
  { 0x1, 0x1, 0x0, 0x5, 0x3, PseudoVLSE32_V_M8_MASK }, // 133
  { 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSE32_V_MF2_MASK }, // 134
  { 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSE64_V_M1_MASK }, // 135
  { 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSE64_V_M2_MASK }, // 136
  { 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSE64_V_M4_MASK }, // 137
  { 0x1, 0x1, 0x0, 0x6, 0x3, PseudoVLSE64_V_M8_MASK }, // 138
 };

const VLEPseudo *getVLEPseudo(uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Strided;
    uint8_t FF;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {Masked, Strided, FF, Log2SEW, LMUL};
  struct Comp {
    bool operator()(const VLEPseudo &LHS, const KeyType &RHS) const {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.FF < RHS.FF)
        return true;
      if (LHS.FF > RHS.FF)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVLETable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.FF != Idx->FF ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVLSEGTable_DECL
const VLSEGPseudo *getVLSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVLSEGTable_IMPL
constexpr VLSEGPseudo RISCVVLSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG2E8_V_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG2E8_V_M2 }, // 1
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x2, PseudoVLSEG2E8_V_M4 }, // 2
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG2E8_V_MF8 }, // 3
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG2E8_V_MF4 }, // 4
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG2E8_V_MF2 }, // 5
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG2E16_V_M1 }, // 6
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG2E16_V_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x2, PseudoVLSEG2E16_V_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG2E16_V_MF4 }, // 9
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG2E16_V_MF2 }, // 10
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG2E32_V_M1 }, // 11
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG2E32_V_M2 }, // 12
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x2, PseudoVLSEG2E32_V_M4 }, // 13
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG2E32_V_MF2 }, // 14
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG2E64_V_M1 }, // 15
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG2E64_V_M2 }, // 16
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x2, PseudoVLSEG2E64_V_M4 }, // 17
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG2E8FF_V_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG2E8FF_V_M2 }, // 19
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x2, PseudoVLSEG2E8FF_V_M4 }, // 20
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG2E8FF_V_MF8 }, // 21
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG2E8FF_V_MF4 }, // 22
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG2E8FF_V_MF2 }, // 23
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG2E16FF_V_M1 }, // 24
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG2E16FF_V_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x2, PseudoVLSEG2E16FF_V_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG2E16FF_V_MF4 }, // 27
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG2E16FF_V_MF2 }, // 28
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG2E32FF_V_M1 }, // 29
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG2E32FF_V_M2 }, // 30
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x2, PseudoVLSEG2E32FF_V_M4 }, // 31
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG2E32FF_V_MF2 }, // 32
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG2E64FF_V_M1 }, // 33
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG2E64FF_V_M2 }, // 34
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x2, PseudoVLSEG2E64FF_V_M4 }, // 35
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG2E8_V_M1 }, // 36
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG2E8_V_M2 }, // 37
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x2, PseudoVLSSEG2E8_V_M4 }, // 38
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG2E8_V_MF8 }, // 39
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG2E8_V_MF4 }, // 40
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG2E8_V_MF2 }, // 41
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG2E16_V_M1 }, // 42
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG2E16_V_M2 }, // 43
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x2, PseudoVLSSEG2E16_V_M4 }, // 44
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG2E16_V_MF4 }, // 45
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG2E16_V_MF2 }, // 46
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG2E32_V_M1 }, // 47
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG2E32_V_M2 }, // 48
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x2, PseudoVLSSEG2E32_V_M4 }, // 49
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG2E32_V_MF2 }, // 50
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG2E64_V_M1 }, // 51
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG2E64_V_M2 }, // 52
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x2, PseudoVLSSEG2E64_V_M4 }, // 53
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG2E8_V_M1_MASK }, // 54
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG2E8_V_M2_MASK }, // 55
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLSEG2E8_V_M4_MASK }, // 56
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG2E8_V_MF8_MASK }, // 57
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG2E8_V_MF4_MASK }, // 58
  { 0x2, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG2E8_V_MF2_MASK }, // 59
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG2E16_V_M1_MASK }, // 60
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG2E16_V_M2_MASK }, // 61
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLSEG2E16_V_M4_MASK }, // 62
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG2E16_V_MF4_MASK }, // 63
  { 0x2, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG2E16_V_MF2_MASK }, // 64
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG2E32_V_M1_MASK }, // 65
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG2E32_V_M2_MASK }, // 66
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLSEG2E32_V_M4_MASK }, // 67
  { 0x2, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG2E32_V_MF2_MASK }, // 68
  { 0x2, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG2E64_V_M1_MASK }, // 69
  { 0x2, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG2E64_V_M2_MASK }, // 70
  { 0x2, 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLSEG2E64_V_M4_MASK }, // 71
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG2E8FF_V_M1_MASK }, // 72
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG2E8FF_V_M2_MASK }, // 73
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLSEG2E8FF_V_M4_MASK }, // 74
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG2E8FF_V_MF8_MASK }, // 75
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG2E8FF_V_MF4_MASK }, // 76
  { 0x2, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG2E8FF_V_MF2_MASK }, // 77
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG2E16FF_V_M1_MASK }, // 78
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG2E16FF_V_M2_MASK }, // 79
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLSEG2E16FF_V_M4_MASK }, // 80
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG2E16FF_V_MF4_MASK }, // 81
  { 0x2, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG2E16FF_V_MF2_MASK }, // 82
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG2E32FF_V_M1_MASK }, // 83
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG2E32FF_V_M2_MASK }, // 84
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLSEG2E32FF_V_M4_MASK }, // 85
  { 0x2, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG2E32FF_V_MF2_MASK }, // 86
  { 0x2, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG2E64FF_V_M1_MASK }, // 87
  { 0x2, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG2E64FF_V_M2_MASK }, // 88
  { 0x2, 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLSEG2E64FF_V_M4_MASK }, // 89
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG2E8_V_M1_MASK }, // 90
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG2E8_V_M2_MASK }, // 91
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSSEG2E8_V_M4_MASK }, // 92
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG2E8_V_MF8_MASK }, // 93
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG2E8_V_MF4_MASK }, // 94
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG2E8_V_MF2_MASK }, // 95
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG2E16_V_M1_MASK }, // 96
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG2E16_V_M2_MASK }, // 97
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSSEG2E16_V_M4_MASK }, // 98
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG2E16_V_MF4_MASK }, // 99
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG2E16_V_MF2_MASK }, // 100
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG2E32_V_M1_MASK }, // 101
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG2E32_V_M2_MASK }, // 102
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSSEG2E32_V_M4_MASK }, // 103
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG2E32_V_MF2_MASK }, // 104
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG2E64_V_M1_MASK }, // 105
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG2E64_V_M2_MASK }, // 106
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSSEG2E64_V_M4_MASK }, // 107
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG3E8_V_M1 }, // 108
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG3E8_V_M2 }, // 109
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG3E8_V_MF8 }, // 110
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG3E8_V_MF4 }, // 111
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG3E8_V_MF2 }, // 112
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG3E16_V_M1 }, // 113
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG3E16_V_M2 }, // 114
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG3E16_V_MF4 }, // 115
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG3E16_V_MF2 }, // 116
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG3E32_V_M1 }, // 117
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG3E32_V_M2 }, // 118
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG3E32_V_MF2 }, // 119
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG3E64_V_M1 }, // 120
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG3E64_V_M2 }, // 121
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG3E8FF_V_M1 }, // 122
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG3E8FF_V_M2 }, // 123
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG3E8FF_V_MF8 }, // 124
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG3E8FF_V_MF4 }, // 125
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG3E8FF_V_MF2 }, // 126
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG3E16FF_V_M1 }, // 127
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG3E16FF_V_M2 }, // 128
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG3E16FF_V_MF4 }, // 129
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG3E16FF_V_MF2 }, // 130
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG3E32FF_V_M1 }, // 131
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG3E32FF_V_M2 }, // 132
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG3E32FF_V_MF2 }, // 133
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG3E64FF_V_M1 }, // 134
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG3E64FF_V_M2 }, // 135
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG3E8_V_M1 }, // 136
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG3E8_V_M2 }, // 137
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG3E8_V_MF8 }, // 138
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG3E8_V_MF4 }, // 139
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG3E8_V_MF2 }, // 140
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG3E16_V_M1 }, // 141
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG3E16_V_M2 }, // 142
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG3E16_V_MF4 }, // 143
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG3E16_V_MF2 }, // 144
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG3E32_V_M1 }, // 145
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG3E32_V_M2 }, // 146
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG3E32_V_MF2 }, // 147
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG3E64_V_M1 }, // 148
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG3E64_V_M2 }, // 149
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG3E8_V_M1_MASK }, // 150
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG3E8_V_M2_MASK }, // 151
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG3E8_V_MF8_MASK }, // 152
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG3E8_V_MF4_MASK }, // 153
  { 0x3, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG3E8_V_MF2_MASK }, // 154
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG3E16_V_M1_MASK }, // 155
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG3E16_V_M2_MASK }, // 156
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG3E16_V_MF4_MASK }, // 157
  { 0x3, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG3E16_V_MF2_MASK }, // 158
  { 0x3, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG3E32_V_M1_MASK }, // 159
  { 0x3, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG3E32_V_M2_MASK }, // 160
  { 0x3, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG3E32_V_MF2_MASK }, // 161
  { 0x3, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG3E64_V_M1_MASK }, // 162
  { 0x3, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG3E64_V_M2_MASK }, // 163
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG3E8FF_V_M1_MASK }, // 164
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG3E8FF_V_M2_MASK }, // 165
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG3E8FF_V_MF8_MASK }, // 166
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG3E8FF_V_MF4_MASK }, // 167
  { 0x3, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG3E8FF_V_MF2_MASK }, // 168
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG3E16FF_V_M1_MASK }, // 169
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG3E16FF_V_M2_MASK }, // 170
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG3E16FF_V_MF4_MASK }, // 171
  { 0x3, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG3E16FF_V_MF2_MASK }, // 172
  { 0x3, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG3E32FF_V_M1_MASK }, // 173
  { 0x3, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG3E32FF_V_M2_MASK }, // 174
  { 0x3, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG3E32FF_V_MF2_MASK }, // 175
  { 0x3, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG3E64FF_V_M1_MASK }, // 176
  { 0x3, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG3E64FF_V_M2_MASK }, // 177
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG3E8_V_M1_MASK }, // 178
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG3E8_V_M2_MASK }, // 179
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG3E8_V_MF8_MASK }, // 180
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG3E8_V_MF4_MASK }, // 181
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG3E8_V_MF2_MASK }, // 182
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG3E16_V_M1_MASK }, // 183
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG3E16_V_M2_MASK }, // 184
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG3E16_V_MF4_MASK }, // 185
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG3E16_V_MF2_MASK }, // 186
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG3E32_V_M1_MASK }, // 187
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG3E32_V_M2_MASK }, // 188
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG3E32_V_MF2_MASK }, // 189
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG3E64_V_M1_MASK }, // 190
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG3E64_V_M2_MASK }, // 191
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG4E8_V_M1 }, // 192
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG4E8_V_M2 }, // 193
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG4E8_V_MF8 }, // 194
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG4E8_V_MF4 }, // 195
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG4E8_V_MF2 }, // 196
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG4E16_V_M1 }, // 197
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG4E16_V_M2 }, // 198
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG4E16_V_MF4 }, // 199
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG4E16_V_MF2 }, // 200
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG4E32_V_M1 }, // 201
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG4E32_V_M2 }, // 202
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG4E32_V_MF2 }, // 203
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG4E64_V_M1 }, // 204
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG4E64_V_M2 }, // 205
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG4E8FF_V_M1 }, // 206
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG4E8FF_V_M2 }, // 207
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG4E8FF_V_MF8 }, // 208
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG4E8FF_V_MF4 }, // 209
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG4E8FF_V_MF2 }, // 210
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG4E16FF_V_M1 }, // 211
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG4E16FF_V_M2 }, // 212
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG4E16FF_V_MF4 }, // 213
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG4E16FF_V_MF2 }, // 214
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG4E32FF_V_M1 }, // 215
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG4E32FF_V_M2 }, // 216
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG4E32FF_V_MF2 }, // 217
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG4E64FF_V_M1 }, // 218
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG4E64FF_V_M2 }, // 219
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG4E8_V_M1 }, // 220
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG4E8_V_M2 }, // 221
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG4E8_V_MF8 }, // 222
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG4E8_V_MF4 }, // 223
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG4E8_V_MF2 }, // 224
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG4E16_V_M1 }, // 225
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG4E16_V_M2 }, // 226
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG4E16_V_MF4 }, // 227
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG4E16_V_MF2 }, // 228
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG4E32_V_M1 }, // 229
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG4E32_V_M2 }, // 230
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG4E32_V_MF2 }, // 231
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG4E64_V_M1 }, // 232
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG4E64_V_M2 }, // 233
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG4E8_V_M1_MASK }, // 234
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG4E8_V_M2_MASK }, // 235
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG4E8_V_MF8_MASK }, // 236
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG4E8_V_MF4_MASK }, // 237
  { 0x4, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG4E8_V_MF2_MASK }, // 238
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG4E16_V_M1_MASK }, // 239
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG4E16_V_M2_MASK }, // 240
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG4E16_V_MF4_MASK }, // 241
  { 0x4, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG4E16_V_MF2_MASK }, // 242
  { 0x4, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG4E32_V_M1_MASK }, // 243
  { 0x4, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG4E32_V_M2_MASK }, // 244
  { 0x4, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG4E32_V_MF2_MASK }, // 245
  { 0x4, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG4E64_V_M1_MASK }, // 246
  { 0x4, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG4E64_V_M2_MASK }, // 247
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG4E8FF_V_M1_MASK }, // 248
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG4E8FF_V_M2_MASK }, // 249
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG4E8FF_V_MF8_MASK }, // 250
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG4E8FF_V_MF4_MASK }, // 251
  { 0x4, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG4E8FF_V_MF2_MASK }, // 252
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG4E16FF_V_M1_MASK }, // 253
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG4E16FF_V_M2_MASK }, // 254
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG4E16FF_V_MF4_MASK }, // 255
  { 0x4, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG4E16FF_V_MF2_MASK }, // 256
  { 0x4, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG4E32FF_V_M1_MASK }, // 257
  { 0x4, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG4E32FF_V_M2_MASK }, // 258
  { 0x4, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG4E32FF_V_MF2_MASK }, // 259
  { 0x4, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG4E64FF_V_M1_MASK }, // 260
  { 0x4, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG4E64FF_V_M2_MASK }, // 261
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG4E8_V_M1_MASK }, // 262
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG4E8_V_M2_MASK }, // 263
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG4E8_V_MF8_MASK }, // 264
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG4E8_V_MF4_MASK }, // 265
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG4E8_V_MF2_MASK }, // 266
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG4E16_V_M1_MASK }, // 267
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG4E16_V_M2_MASK }, // 268
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG4E16_V_MF4_MASK }, // 269
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG4E16_V_MF2_MASK }, // 270
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG4E32_V_M1_MASK }, // 271
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG4E32_V_M2_MASK }, // 272
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG4E32_V_MF2_MASK }, // 273
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG4E64_V_M1_MASK }, // 274
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG4E64_V_M2_MASK }, // 275
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG5E8_V_M1 }, // 276
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG5E8_V_MF8 }, // 277
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG5E8_V_MF4 }, // 278
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG5E8_V_MF2 }, // 279
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG5E16_V_M1 }, // 280
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG5E16_V_MF4 }, // 281
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG5E16_V_MF2 }, // 282
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG5E32_V_M1 }, // 283
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG5E32_V_MF2 }, // 284
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG5E64_V_M1 }, // 285
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG5E8FF_V_M1 }, // 286
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG5E8FF_V_MF8 }, // 287
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG5E8FF_V_MF4 }, // 288
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG5E8FF_V_MF2 }, // 289
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG5E16FF_V_M1 }, // 290
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG5E16FF_V_MF4 }, // 291
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG5E16FF_V_MF2 }, // 292
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG5E32FF_V_M1 }, // 293
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG5E32FF_V_MF2 }, // 294
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG5E64FF_V_M1 }, // 295
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG5E8_V_M1 }, // 296
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG5E8_V_MF8 }, // 297
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG5E8_V_MF4 }, // 298
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG5E8_V_MF2 }, // 299
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG5E16_V_M1 }, // 300
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG5E16_V_MF4 }, // 301
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG5E16_V_MF2 }, // 302
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG5E32_V_M1 }, // 303
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG5E32_V_MF2 }, // 304
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG5E64_V_M1 }, // 305
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG5E8_V_M1_MASK }, // 306
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG5E8_V_MF8_MASK }, // 307
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG5E8_V_MF4_MASK }, // 308
  { 0x5, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG5E8_V_MF2_MASK }, // 309
  { 0x5, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG5E16_V_M1_MASK }, // 310
  { 0x5, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG5E16_V_MF4_MASK }, // 311
  { 0x5, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG5E16_V_MF2_MASK }, // 312
  { 0x5, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG5E32_V_M1_MASK }, // 313
  { 0x5, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG5E32_V_MF2_MASK }, // 314
  { 0x5, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG5E64_V_M1_MASK }, // 315
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG5E8FF_V_M1_MASK }, // 316
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG5E8FF_V_MF8_MASK }, // 317
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG5E8FF_V_MF4_MASK }, // 318
  { 0x5, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG5E8FF_V_MF2_MASK }, // 319
  { 0x5, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG5E16FF_V_M1_MASK }, // 320
  { 0x5, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG5E16FF_V_MF4_MASK }, // 321
  { 0x5, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG5E16FF_V_MF2_MASK }, // 322
  { 0x5, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG5E32FF_V_M1_MASK }, // 323
  { 0x5, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG5E32FF_V_MF2_MASK }, // 324
  { 0x5, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG5E64FF_V_M1_MASK }, // 325
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG5E8_V_M1_MASK }, // 326
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG5E8_V_MF8_MASK }, // 327
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG5E8_V_MF4_MASK }, // 328
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG5E8_V_MF2_MASK }, // 329
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG5E16_V_M1_MASK }, // 330
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG5E16_V_MF4_MASK }, // 331
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG5E16_V_MF2_MASK }, // 332
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG5E32_V_M1_MASK }, // 333
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG5E32_V_MF2_MASK }, // 334
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG5E64_V_M1_MASK }, // 335
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG6E8_V_M1 }, // 336
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG6E8_V_MF8 }, // 337
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG6E8_V_MF4 }, // 338
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG6E8_V_MF2 }, // 339
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG6E16_V_M1 }, // 340
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG6E16_V_MF4 }, // 341
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG6E16_V_MF2 }, // 342
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG6E32_V_M1 }, // 343
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG6E32_V_MF2 }, // 344
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG6E64_V_M1 }, // 345
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG6E8FF_V_M1 }, // 346
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG6E8FF_V_MF8 }, // 347
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG6E8FF_V_MF4 }, // 348
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG6E8FF_V_MF2 }, // 349
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG6E16FF_V_M1 }, // 350
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG6E16FF_V_MF4 }, // 351
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG6E16FF_V_MF2 }, // 352
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG6E32FF_V_M1 }, // 353
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG6E32FF_V_MF2 }, // 354
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG6E64FF_V_M1 }, // 355
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG6E8_V_M1 }, // 356
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG6E8_V_MF8 }, // 357
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG6E8_V_MF4 }, // 358
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG6E8_V_MF2 }, // 359
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG6E16_V_M1 }, // 360
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG6E16_V_MF4 }, // 361
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG6E16_V_MF2 }, // 362
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG6E32_V_M1 }, // 363
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG6E32_V_MF2 }, // 364
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG6E64_V_M1 }, // 365
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG6E8_V_M1_MASK }, // 366
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG6E8_V_MF8_MASK }, // 367
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG6E8_V_MF4_MASK }, // 368
  { 0x6, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG6E8_V_MF2_MASK }, // 369
  { 0x6, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG6E16_V_M1_MASK }, // 370
  { 0x6, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG6E16_V_MF4_MASK }, // 371
  { 0x6, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG6E16_V_MF2_MASK }, // 372
  { 0x6, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG6E32_V_M1_MASK }, // 373
  { 0x6, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG6E32_V_MF2_MASK }, // 374
  { 0x6, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG6E64_V_M1_MASK }, // 375
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG6E8FF_V_M1_MASK }, // 376
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG6E8FF_V_MF8_MASK }, // 377
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG6E8FF_V_MF4_MASK }, // 378
  { 0x6, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG6E8FF_V_MF2_MASK }, // 379
  { 0x6, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG6E16FF_V_M1_MASK }, // 380
  { 0x6, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG6E16FF_V_MF4_MASK }, // 381
  { 0x6, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG6E16FF_V_MF2_MASK }, // 382
  { 0x6, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG6E32FF_V_M1_MASK }, // 383
  { 0x6, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG6E32FF_V_MF2_MASK }, // 384
  { 0x6, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG6E64FF_V_M1_MASK }, // 385
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG6E8_V_M1_MASK }, // 386
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG6E8_V_MF8_MASK }, // 387
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG6E8_V_MF4_MASK }, // 388
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG6E8_V_MF2_MASK }, // 389
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG6E16_V_M1_MASK }, // 390
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG6E16_V_MF4_MASK }, // 391
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG6E16_V_MF2_MASK }, // 392
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG6E32_V_M1_MASK }, // 393
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG6E32_V_MF2_MASK }, // 394
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG6E64_V_M1_MASK }, // 395
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG7E8_V_M1 }, // 396
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG7E8_V_MF8 }, // 397
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG7E8_V_MF4 }, // 398
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG7E8_V_MF2 }, // 399
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG7E16_V_M1 }, // 400
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG7E16_V_MF4 }, // 401
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG7E16_V_MF2 }, // 402
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG7E32_V_M1 }, // 403
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG7E32_V_MF2 }, // 404
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG7E64_V_M1 }, // 405
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG7E8FF_V_M1 }, // 406
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG7E8FF_V_MF8 }, // 407
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG7E8FF_V_MF4 }, // 408
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG7E8FF_V_MF2 }, // 409
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG7E16FF_V_M1 }, // 410
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG7E16FF_V_MF4 }, // 411
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG7E16FF_V_MF2 }, // 412
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG7E32FF_V_M1 }, // 413
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG7E32FF_V_MF2 }, // 414
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG7E64FF_V_M1 }, // 415
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG7E8_V_M1 }, // 416
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG7E8_V_MF8 }, // 417
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG7E8_V_MF4 }, // 418
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG7E8_V_MF2 }, // 419
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG7E16_V_M1 }, // 420
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG7E16_V_MF4 }, // 421
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG7E16_V_MF2 }, // 422
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG7E32_V_M1 }, // 423
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG7E32_V_MF2 }, // 424
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG7E64_V_M1 }, // 425
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG7E8_V_M1_MASK }, // 426
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG7E8_V_MF8_MASK }, // 427
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG7E8_V_MF4_MASK }, // 428
  { 0x7, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG7E8_V_MF2_MASK }, // 429
  { 0x7, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG7E16_V_M1_MASK }, // 430
  { 0x7, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG7E16_V_MF4_MASK }, // 431
  { 0x7, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG7E16_V_MF2_MASK }, // 432
  { 0x7, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG7E32_V_M1_MASK }, // 433
  { 0x7, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG7E32_V_MF2_MASK }, // 434
  { 0x7, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG7E64_V_M1_MASK }, // 435
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG7E8FF_V_M1_MASK }, // 436
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG7E8FF_V_MF8_MASK }, // 437
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG7E8FF_V_MF4_MASK }, // 438
  { 0x7, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG7E8FF_V_MF2_MASK }, // 439
  { 0x7, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG7E16FF_V_M1_MASK }, // 440
  { 0x7, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG7E16FF_V_MF4_MASK }, // 441
  { 0x7, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG7E16FF_V_MF2_MASK }, // 442
  { 0x7, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG7E32FF_V_M1_MASK }, // 443
  { 0x7, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG7E32FF_V_MF2_MASK }, // 444
  { 0x7, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG7E64FF_V_M1_MASK }, // 445
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG7E8_V_M1_MASK }, // 446
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG7E8_V_MF8_MASK }, // 447
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG7E8_V_MF4_MASK }, // 448
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG7E8_V_MF2_MASK }, // 449
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG7E16_V_M1_MASK }, // 450
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG7E16_V_MF4_MASK }, // 451
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG7E16_V_MF2_MASK }, // 452
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG7E32_V_M1_MASK }, // 453
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG7E32_V_MF2_MASK }, // 454
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG7E64_V_M1_MASK }, // 455
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG8E8_V_M1 }, // 456
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG8E8_V_MF8 }, // 457
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG8E8_V_MF4 }, // 458
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG8E8_V_MF2 }, // 459
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG8E16_V_M1 }, // 460
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG8E16_V_MF4 }, // 461
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG8E16_V_MF2 }, // 462
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG8E32_V_M1 }, // 463
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG8E32_V_MF2 }, // 464
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG8E64_V_M1 }, // 465
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG8E8FF_V_M1 }, // 466
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG8E8FF_V_MF8 }, // 467
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG8E8FF_V_MF4 }, // 468
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG8E8FF_V_MF2 }, // 469
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG8E16FF_V_M1 }, // 470
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG8E16FF_V_MF4 }, // 471
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG8E16FF_V_MF2 }, // 472
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG8E32FF_V_M1 }, // 473
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG8E32FF_V_MF2 }, // 474
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG8E64FF_V_M1 }, // 475
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG8E8_V_M1 }, // 476
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG8E8_V_MF8 }, // 477
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG8E8_V_MF4 }, // 478
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG8E8_V_MF2 }, // 479
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG8E16_V_M1 }, // 480
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG8E16_V_MF4 }, // 481
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG8E16_V_MF2 }, // 482
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG8E32_V_M1 }, // 483
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG8E32_V_MF2 }, // 484
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG8E64_V_M1 }, // 485
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG8E8_V_M1_MASK }, // 486
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG8E8_V_MF8_MASK }, // 487
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG8E8_V_MF4_MASK }, // 488
  { 0x8, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG8E8_V_MF2_MASK }, // 489
  { 0x8, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG8E16_V_M1_MASK }, // 490
  { 0x8, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG8E16_V_MF4_MASK }, // 491
  { 0x8, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG8E16_V_MF2_MASK }, // 492
  { 0x8, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG8E32_V_M1_MASK }, // 493
  { 0x8, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG8E32_V_MF2_MASK }, // 494
  { 0x8, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG8E64_V_M1_MASK }, // 495
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG8E8FF_V_M1_MASK }, // 496
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG8E8FF_V_MF8_MASK }, // 497
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG8E8FF_V_MF4_MASK }, // 498
  { 0x8, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG8E8FF_V_MF2_MASK }, // 499
  { 0x8, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG8E16FF_V_M1_MASK }, // 500
  { 0x8, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG8E16FF_V_MF4_MASK }, // 501
  { 0x8, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG8E16FF_V_MF2_MASK }, // 502
  { 0x8, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG8E32FF_V_M1_MASK }, // 503
  { 0x8, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG8E32FF_V_MF2_MASK }, // 504
  { 0x8, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG8E64FF_V_M1_MASK }, // 505
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG8E8_V_M1_MASK }, // 506
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG8E8_V_MF8_MASK }, // 507
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG8E8_V_MF4_MASK }, // 508
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG8E8_V_MF2_MASK }, // 509
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG8E16_V_M1_MASK }, // 510
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG8E16_V_MF4_MASK }, // 511
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG8E16_V_MF2_MASK }, // 512
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG8E32_V_M1_MASK }, // 513
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG8E32_V_MF2_MASK }, // 514
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG8E64_V_M1_MASK }, // 515
 };

const VLSEGPseudo *getVLSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Strided;
    uint8_t FF;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {NF, Masked, Strided, FF, Log2SEW, LMUL};
  struct Comp {
    bool operator()(const VLSEGPseudo &LHS, const KeyType &RHS) const {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.FF < RHS.FF)
        return true;
      if (LHS.FF > RHS.FF)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVLSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.FF != Idx->FF ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVLXSEGTable_DECL
const VLXSEGPseudo *getVLXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVLXSEGTable_IMPL
constexpr VLXSEGPseudo RISCVVLXSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG2EI8_V_M1_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG2EI8_V_MF8_M1 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG2EI8_V_MF4_M1 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG2EI8_V_MF2_M1 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG2EI8_V_M1_M2 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG2EI8_V_M2_M2 }, // 5
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG2EI8_V_MF4_M2 }, // 6
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG2EI8_V_MF2_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVLUXSEG2EI8_V_M1_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVLUXSEG2EI8_V_M2_M4 }, // 9
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVLUXSEG2EI8_V_M4_M4 }, // 10
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVLUXSEG2EI8_V_MF2_M4 }, // 11
  { 0x2, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF8 }, // 12
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF4 }, // 13
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF4 }, // 14
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF2 }, // 15
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF2 }, // 16
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG2EI8_V_MF2_MF2 }, // 17
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG2EI16_V_M1_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG2EI16_V_M2_M1 }, // 19
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG2EI16_V_MF4_M1 }, // 20
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG2EI16_V_MF2_M1 }, // 21
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG2EI16_V_M1_M2 }, // 22
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG2EI16_V_M2_M2 }, // 23
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG2EI16_V_M4_M2 }, // 24
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG2EI16_V_MF2_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVLUXSEG2EI16_V_M1_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVLUXSEG2EI16_V_M2_M4 }, // 27
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVLUXSEG2EI16_V_M4_M4 }, // 28
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVLUXSEG2EI16_V_M8_M4 }, // 29
  { 0x2, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF8 }, // 30
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF4 }, // 31
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF4 }, // 32
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG2EI16_V_M1_MF2 }, // 33
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF2 }, // 34
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF2 }, // 35
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG2EI32_V_M1_M1 }, // 36
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG2EI32_V_M2_M1 }, // 37
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG2EI32_V_M4_M1 }, // 38
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG2EI32_V_MF2_M1 }, // 39
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG2EI32_V_M1_M2 }, // 40
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG2EI32_V_M2_M2 }, // 41
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG2EI32_V_M4_M2 }, // 42
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG2EI32_V_M8_M2 }, // 43
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVLUXSEG2EI32_V_M2_M4 }, // 44
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVLUXSEG2EI32_V_M4_M4 }, // 45
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVLUXSEG2EI32_V_M8_M4 }, // 46
  { 0x2, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF8 }, // 47
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG2EI32_V_M1_MF4 }, // 48
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF4 }, // 49
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG2EI32_V_M1_MF2 }, // 50
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG2EI32_V_M2_MF2 }, // 51
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF2 }, // 52
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG2EI64_V_M1_M1 }, // 53
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG2EI64_V_M2_M1 }, // 54
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG2EI64_V_M4_M1 }, // 55
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG2EI64_V_M8_M1 }, // 56
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG2EI64_V_M2_M2 }, // 57
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG2EI64_V_M4_M2 }, // 58
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG2EI64_V_M8_M2 }, // 59
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVLUXSEG2EI64_V_M4_M4 }, // 60
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVLUXSEG2EI64_V_M8_M4 }, // 61
  { 0x2, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG2EI64_V_M1_MF8 }, // 62
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG2EI64_V_M1_MF4 }, // 63
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG2EI64_V_M2_MF4 }, // 64
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG2EI64_V_M1_MF2 }, // 65
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG2EI64_V_M2_MF2 }, // 66
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG2EI64_V_M4_MF2 }, // 67
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG2EI8_V_M1_M1 }, // 68
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG2EI8_V_MF8_M1 }, // 69
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG2EI8_V_MF4_M1 }, // 70
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG2EI8_V_MF2_M1 }, // 71
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG2EI8_V_M1_M2 }, // 72
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG2EI8_V_M2_M2 }, // 73
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG2EI8_V_MF4_M2 }, // 74
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG2EI8_V_MF2_M2 }, // 75
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVLOXSEG2EI8_V_M1_M4 }, // 76
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVLOXSEG2EI8_V_M2_M4 }, // 77
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVLOXSEG2EI8_V_M4_M4 }, // 78
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVLOXSEG2EI8_V_MF2_M4 }, // 79
  { 0x2, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF8 }, // 80
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF4 }, // 81
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF4 }, // 82
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF2 }, // 83
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF2 }, // 84
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG2EI8_V_MF2_MF2 }, // 85
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG2EI16_V_M1_M1 }, // 86
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG2EI16_V_M2_M1 }, // 87
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG2EI16_V_MF4_M1 }, // 88
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG2EI16_V_MF2_M1 }, // 89
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG2EI16_V_M1_M2 }, // 90
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG2EI16_V_M2_M2 }, // 91
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG2EI16_V_M4_M2 }, // 92
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG2EI16_V_MF2_M2 }, // 93
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVLOXSEG2EI16_V_M1_M4 }, // 94
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVLOXSEG2EI16_V_M2_M4 }, // 95
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVLOXSEG2EI16_V_M4_M4 }, // 96
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVLOXSEG2EI16_V_M8_M4 }, // 97
  { 0x2, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF8 }, // 98
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF4 }, // 99
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF4 }, // 100
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG2EI16_V_M1_MF2 }, // 101
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF2 }, // 102
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF2 }, // 103
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG2EI32_V_M1_M1 }, // 104
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG2EI32_V_M2_M1 }, // 105
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG2EI32_V_M4_M1 }, // 106
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG2EI32_V_MF2_M1 }, // 107
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG2EI32_V_M1_M2 }, // 108
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG2EI32_V_M2_M2 }, // 109
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG2EI32_V_M4_M2 }, // 110
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG2EI32_V_M8_M2 }, // 111
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVLOXSEG2EI32_V_M2_M4 }, // 112
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVLOXSEG2EI32_V_M4_M4 }, // 113
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVLOXSEG2EI32_V_M8_M4 }, // 114
  { 0x2, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF8 }, // 115
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG2EI32_V_M1_MF4 }, // 116
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF4 }, // 117
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG2EI32_V_M1_MF2 }, // 118
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG2EI32_V_M2_MF2 }, // 119
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF2 }, // 120
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG2EI64_V_M1_M1 }, // 121
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG2EI64_V_M2_M1 }, // 122
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG2EI64_V_M4_M1 }, // 123
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG2EI64_V_M8_M1 }, // 124
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG2EI64_V_M2_M2 }, // 125
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG2EI64_V_M4_M2 }, // 126
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG2EI64_V_M8_M2 }, // 127
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVLOXSEG2EI64_V_M4_M4 }, // 128
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVLOXSEG2EI64_V_M8_M4 }, // 129
  { 0x2, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG2EI64_V_M1_MF8 }, // 130
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG2EI64_V_M1_MF4 }, // 131
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG2EI64_V_M2_MF4 }, // 132
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG2EI64_V_M1_MF2 }, // 133
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG2EI64_V_M2_MF2 }, // 134
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG2EI64_V_M4_MF2 }, // 135
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG2EI8_V_M1_M1_MASK }, // 136
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG2EI8_V_MF8_M1_MASK }, // 137
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG2EI8_V_MF4_M1_MASK }, // 138
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG2EI8_V_MF2_M1_MASK }, // 139
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG2EI8_V_M1_M2_MASK }, // 140
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG2EI8_V_M2_M2_MASK }, // 141
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG2EI8_V_MF4_M2_MASK }, // 142
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG2EI8_V_MF2_M2_MASK }, // 143
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXSEG2EI8_V_M1_M4_MASK }, // 144
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXSEG2EI8_V_M2_M4_MASK }, // 145
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXSEG2EI8_V_M4_M4_MASK }, // 146
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXSEG2EI8_V_MF2_M4_MASK }, // 147
  { 0x2, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF8_MASK }, // 148
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF4_MASK }, // 149
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF4_MASK }, // 150
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF2_MASK }, // 151
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF2_MASK }, // 152
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG2EI8_V_MF2_MF2_MASK }, // 153
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG2EI16_V_M1_M1_MASK }, // 154
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG2EI16_V_M2_M1_MASK }, // 155
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG2EI16_V_MF4_M1_MASK }, // 156
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG2EI16_V_MF2_M1_MASK }, // 157
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG2EI16_V_M1_M2_MASK }, // 158
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG2EI16_V_M2_M2_MASK }, // 159
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG2EI16_V_M4_M2_MASK }, // 160
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG2EI16_V_MF2_M2_MASK }, // 161
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXSEG2EI16_V_M1_M4_MASK }, // 162
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXSEG2EI16_V_M2_M4_MASK }, // 163
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXSEG2EI16_V_M4_M4_MASK }, // 164
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXSEG2EI16_V_M8_M4_MASK }, // 165
  { 0x2, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF8_MASK }, // 166
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF4_MASK }, // 167
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF4_MASK }, // 168
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG2EI16_V_M1_MF2_MASK }, // 169
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF2_MASK }, // 170
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF2_MASK }, // 171
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG2EI32_V_M1_M1_MASK }, // 172
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG2EI32_V_M2_M1_MASK }, // 173
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG2EI32_V_M4_M1_MASK }, // 174
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG2EI32_V_MF2_M1_MASK }, // 175
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG2EI32_V_M1_M2_MASK }, // 176
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG2EI32_V_M2_M2_MASK }, // 177
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG2EI32_V_M4_M2_MASK }, // 178
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG2EI32_V_M8_M2_MASK }, // 179
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXSEG2EI32_V_M2_M4_MASK }, // 180
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXSEG2EI32_V_M4_M4_MASK }, // 181
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXSEG2EI32_V_M8_M4_MASK }, // 182
  { 0x2, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF8_MASK }, // 183
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG2EI32_V_M1_MF4_MASK }, // 184
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF4_MASK }, // 185
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG2EI32_V_M1_MF2_MASK }, // 186
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG2EI32_V_M2_MF2_MASK }, // 187
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF2_MASK }, // 188
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG2EI64_V_M1_M1_MASK }, // 189
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG2EI64_V_M2_M1_MASK }, // 190
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG2EI64_V_M4_M1_MASK }, // 191
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG2EI64_V_M8_M1_MASK }, // 192
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG2EI64_V_M2_M2_MASK }, // 193
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG2EI64_V_M4_M2_MASK }, // 194
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG2EI64_V_M8_M2_MASK }, // 195
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXSEG2EI64_V_M4_M4_MASK }, // 196
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXSEG2EI64_V_M8_M4_MASK }, // 197
  { 0x2, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG2EI64_V_M1_MF8_MASK }, // 198
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG2EI64_V_M1_MF4_MASK }, // 199
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG2EI64_V_M2_MF4_MASK }, // 200
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG2EI64_V_M1_MF2_MASK }, // 201
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG2EI64_V_M2_MF2_MASK }, // 202
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG2EI64_V_M4_MF2_MASK }, // 203
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG2EI8_V_M1_M1_MASK }, // 204
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG2EI8_V_MF8_M1_MASK }, // 205
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG2EI8_V_MF4_M1_MASK }, // 206
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG2EI8_V_MF2_M1_MASK }, // 207
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG2EI8_V_M1_M2_MASK }, // 208
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG2EI8_V_M2_M2_MASK }, // 209
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG2EI8_V_MF4_M2_MASK }, // 210
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG2EI8_V_MF2_M2_MASK }, // 211
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXSEG2EI8_V_M1_M4_MASK }, // 212
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXSEG2EI8_V_M2_M4_MASK }, // 213
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXSEG2EI8_V_M4_M4_MASK }, // 214
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXSEG2EI8_V_MF2_M4_MASK }, // 215
  { 0x2, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF8_MASK }, // 216
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF4_MASK }, // 217
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF4_MASK }, // 218
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF2_MASK }, // 219
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF2_MASK }, // 220
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG2EI8_V_MF2_MF2_MASK }, // 221
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG2EI16_V_M1_M1_MASK }, // 222
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG2EI16_V_M2_M1_MASK }, // 223
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG2EI16_V_MF4_M1_MASK }, // 224
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG2EI16_V_MF2_M1_MASK }, // 225
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG2EI16_V_M1_M2_MASK }, // 226
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG2EI16_V_M2_M2_MASK }, // 227
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG2EI16_V_M4_M2_MASK }, // 228
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG2EI16_V_MF2_M2_MASK }, // 229
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXSEG2EI16_V_M1_M4_MASK }, // 230
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXSEG2EI16_V_M2_M4_MASK }, // 231
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXSEG2EI16_V_M4_M4_MASK }, // 232
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXSEG2EI16_V_M8_M4_MASK }, // 233
  { 0x2, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF8_MASK }, // 234
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF4_MASK }, // 235
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF4_MASK }, // 236
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG2EI16_V_M1_MF2_MASK }, // 237
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF2_MASK }, // 238
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF2_MASK }, // 239
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG2EI32_V_M1_M1_MASK }, // 240
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG2EI32_V_M2_M1_MASK }, // 241
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG2EI32_V_M4_M1_MASK }, // 242
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG2EI32_V_MF2_M1_MASK }, // 243
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG2EI32_V_M1_M2_MASK }, // 244
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG2EI32_V_M2_M2_MASK }, // 245
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG2EI32_V_M4_M2_MASK }, // 246
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG2EI32_V_M8_M2_MASK }, // 247
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXSEG2EI32_V_M2_M4_MASK }, // 248
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXSEG2EI32_V_M4_M4_MASK }, // 249
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXSEG2EI32_V_M8_M4_MASK }, // 250
  { 0x2, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF8_MASK }, // 251
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG2EI32_V_M1_MF4_MASK }, // 252
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF4_MASK }, // 253
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG2EI32_V_M1_MF2_MASK }, // 254
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG2EI32_V_M2_MF2_MASK }, // 255
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF2_MASK }, // 256
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG2EI64_V_M1_M1_MASK }, // 257
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG2EI64_V_M2_M1_MASK }, // 258
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG2EI64_V_M4_M1_MASK }, // 259
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG2EI64_V_M8_M1_MASK }, // 260
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG2EI64_V_M2_M2_MASK }, // 261
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG2EI64_V_M4_M2_MASK }, // 262
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG2EI64_V_M8_M2_MASK }, // 263
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXSEG2EI64_V_M4_M4_MASK }, // 264
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXSEG2EI64_V_M8_M4_MASK }, // 265
  { 0x2, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG2EI64_V_M1_MF8_MASK }, // 266
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG2EI64_V_M1_MF4_MASK }, // 267
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG2EI64_V_M2_MF4_MASK }, // 268
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG2EI64_V_M1_MF2_MASK }, // 269
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG2EI64_V_M2_MF2_MASK }, // 270
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG2EI64_V_M4_MF2_MASK }, // 271
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG3EI8_V_M1_M1 }, // 272
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG3EI8_V_MF8_M1 }, // 273
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG3EI8_V_MF4_M1 }, // 274
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG3EI8_V_MF2_M1 }, // 275
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG3EI8_V_M1_M2 }, // 276
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG3EI8_V_M2_M2 }, // 277
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG3EI8_V_MF4_M2 }, // 278
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG3EI8_V_MF2_M2 }, // 279
  { 0x3, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF8 }, // 280
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF4 }, // 281
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF4 }, // 282
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF2 }, // 283
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF2 }, // 284
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG3EI8_V_MF2_MF2 }, // 285
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG3EI16_V_M1_M1 }, // 286
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG3EI16_V_M2_M1 }, // 287
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG3EI16_V_MF4_M1 }, // 288
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG3EI16_V_MF2_M1 }, // 289
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG3EI16_V_M1_M2 }, // 290
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG3EI16_V_M2_M2 }, // 291
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG3EI16_V_M4_M2 }, // 292
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG3EI16_V_MF2_M2 }, // 293
  { 0x3, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF8 }, // 294
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF4 }, // 295
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF4 }, // 296
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG3EI16_V_M1_MF2 }, // 297
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF2 }, // 298
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF2 }, // 299
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG3EI32_V_M1_M1 }, // 300
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG3EI32_V_M2_M1 }, // 301
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG3EI32_V_M4_M1 }, // 302
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG3EI32_V_MF2_M1 }, // 303
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG3EI32_V_M1_M2 }, // 304
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG3EI32_V_M2_M2 }, // 305
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG3EI32_V_M4_M2 }, // 306
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG3EI32_V_M8_M2 }, // 307
  { 0x3, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF8 }, // 308
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG3EI32_V_M1_MF4 }, // 309
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF4 }, // 310
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG3EI32_V_M1_MF2 }, // 311
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG3EI32_V_M2_MF2 }, // 312
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF2 }, // 313
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG3EI64_V_M1_M1 }, // 314
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG3EI64_V_M2_M1 }, // 315
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG3EI64_V_M4_M1 }, // 316
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG3EI64_V_M8_M1 }, // 317
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG3EI64_V_M2_M2 }, // 318
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG3EI64_V_M4_M2 }, // 319
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG3EI64_V_M8_M2 }, // 320
  { 0x3, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG3EI64_V_M1_MF8 }, // 321
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG3EI64_V_M1_MF4 }, // 322
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG3EI64_V_M2_MF4 }, // 323
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG3EI64_V_M1_MF2 }, // 324
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG3EI64_V_M2_MF2 }, // 325
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG3EI64_V_M4_MF2 }, // 326
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG3EI8_V_M1_M1 }, // 327
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG3EI8_V_MF8_M1 }, // 328
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG3EI8_V_MF4_M1 }, // 329
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG3EI8_V_MF2_M1 }, // 330
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG3EI8_V_M1_M2 }, // 331
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG3EI8_V_M2_M2 }, // 332
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG3EI8_V_MF4_M2 }, // 333
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG3EI8_V_MF2_M2 }, // 334
  { 0x3, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF8 }, // 335
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF4 }, // 336
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF4 }, // 337
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF2 }, // 338
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF2 }, // 339
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG3EI8_V_MF2_MF2 }, // 340
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG3EI16_V_M1_M1 }, // 341
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG3EI16_V_M2_M1 }, // 342
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG3EI16_V_MF4_M1 }, // 343
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG3EI16_V_MF2_M1 }, // 344
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG3EI16_V_M1_M2 }, // 345
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG3EI16_V_M2_M2 }, // 346
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG3EI16_V_M4_M2 }, // 347
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG3EI16_V_MF2_M2 }, // 348
  { 0x3, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF8 }, // 349
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF4 }, // 350
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF4 }, // 351
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG3EI16_V_M1_MF2 }, // 352
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF2 }, // 353
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF2 }, // 354
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG3EI32_V_M1_M1 }, // 355
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG3EI32_V_M2_M1 }, // 356
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG3EI32_V_M4_M1 }, // 357
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG3EI32_V_MF2_M1 }, // 358
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG3EI32_V_M1_M2 }, // 359
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG3EI32_V_M2_M2 }, // 360
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG3EI32_V_M4_M2 }, // 361
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG3EI32_V_M8_M2 }, // 362
  { 0x3, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF8 }, // 363
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG3EI32_V_M1_MF4 }, // 364
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF4 }, // 365
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG3EI32_V_M1_MF2 }, // 366
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG3EI32_V_M2_MF2 }, // 367
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF2 }, // 368
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG3EI64_V_M1_M1 }, // 369
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG3EI64_V_M2_M1 }, // 370
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG3EI64_V_M4_M1 }, // 371
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG3EI64_V_M8_M1 }, // 372
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG3EI64_V_M2_M2 }, // 373
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG3EI64_V_M4_M2 }, // 374
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG3EI64_V_M8_M2 }, // 375
  { 0x3, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG3EI64_V_M1_MF8 }, // 376
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG3EI64_V_M1_MF4 }, // 377
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG3EI64_V_M2_MF4 }, // 378
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG3EI64_V_M1_MF2 }, // 379
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG3EI64_V_M2_MF2 }, // 380
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG3EI64_V_M4_MF2 }, // 381
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG3EI8_V_M1_M1_MASK }, // 382
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG3EI8_V_MF8_M1_MASK }, // 383
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG3EI8_V_MF4_M1_MASK }, // 384
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG3EI8_V_MF2_M1_MASK }, // 385
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG3EI8_V_M1_M2_MASK }, // 386
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG3EI8_V_M2_M2_MASK }, // 387
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG3EI8_V_MF4_M2_MASK }, // 388
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG3EI8_V_MF2_M2_MASK }, // 389
  { 0x3, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF8_MASK }, // 390
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF4_MASK }, // 391
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF4_MASK }, // 392
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF2_MASK }, // 393
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF2_MASK }, // 394
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG3EI8_V_MF2_MF2_MASK }, // 395
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG3EI16_V_M1_M1_MASK }, // 396
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG3EI16_V_M2_M1_MASK }, // 397
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG3EI16_V_MF4_M1_MASK }, // 398
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG3EI16_V_MF2_M1_MASK }, // 399
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG3EI16_V_M1_M2_MASK }, // 400
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG3EI16_V_M2_M2_MASK }, // 401
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG3EI16_V_M4_M2_MASK }, // 402
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG3EI16_V_MF2_M2_MASK }, // 403
  { 0x3, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF8_MASK }, // 404
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF4_MASK }, // 405
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF4_MASK }, // 406
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG3EI16_V_M1_MF2_MASK }, // 407
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF2_MASK }, // 408
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF2_MASK }, // 409
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG3EI32_V_M1_M1_MASK }, // 410
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG3EI32_V_M2_M1_MASK }, // 411
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG3EI32_V_M4_M1_MASK }, // 412
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG3EI32_V_MF2_M1_MASK }, // 413
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG3EI32_V_M1_M2_MASK }, // 414
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG3EI32_V_M2_M2_MASK }, // 415
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG3EI32_V_M4_M2_MASK }, // 416
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG3EI32_V_M8_M2_MASK }, // 417
  { 0x3, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF8_MASK }, // 418
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG3EI32_V_M1_MF4_MASK }, // 419
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF4_MASK }, // 420
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG3EI32_V_M1_MF2_MASK }, // 421
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG3EI32_V_M2_MF2_MASK }, // 422
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF2_MASK }, // 423
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG3EI64_V_M1_M1_MASK }, // 424
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG3EI64_V_M2_M1_MASK }, // 425
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG3EI64_V_M4_M1_MASK }, // 426
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG3EI64_V_M8_M1_MASK }, // 427
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG3EI64_V_M2_M2_MASK }, // 428
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG3EI64_V_M4_M2_MASK }, // 429
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG3EI64_V_M8_M2_MASK }, // 430
  { 0x3, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG3EI64_V_M1_MF8_MASK }, // 431
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG3EI64_V_M1_MF4_MASK }, // 432
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG3EI64_V_M2_MF4_MASK }, // 433
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG3EI64_V_M1_MF2_MASK }, // 434
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG3EI64_V_M2_MF2_MASK }, // 435
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG3EI64_V_M4_MF2_MASK }, // 436
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG3EI8_V_M1_M1_MASK }, // 437
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG3EI8_V_MF8_M1_MASK }, // 438
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG3EI8_V_MF4_M1_MASK }, // 439
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG3EI8_V_MF2_M1_MASK }, // 440
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG3EI8_V_M1_M2_MASK }, // 441
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG3EI8_V_M2_M2_MASK }, // 442
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG3EI8_V_MF4_M2_MASK }, // 443
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG3EI8_V_MF2_M2_MASK }, // 444
  { 0x3, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF8_MASK }, // 445
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF4_MASK }, // 446
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF4_MASK }, // 447
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF2_MASK }, // 448
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF2_MASK }, // 449
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG3EI8_V_MF2_MF2_MASK }, // 450
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG3EI16_V_M1_M1_MASK }, // 451
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG3EI16_V_M2_M1_MASK }, // 452
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG3EI16_V_MF4_M1_MASK }, // 453
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG3EI16_V_MF2_M1_MASK }, // 454
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG3EI16_V_M1_M2_MASK }, // 455
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG3EI16_V_M2_M2_MASK }, // 456
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG3EI16_V_M4_M2_MASK }, // 457
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG3EI16_V_MF2_M2_MASK }, // 458
  { 0x3, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF8_MASK }, // 459
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF4_MASK }, // 460
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF4_MASK }, // 461
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG3EI16_V_M1_MF2_MASK }, // 462
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF2_MASK }, // 463
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF2_MASK }, // 464
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG3EI32_V_M1_M1_MASK }, // 465
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG3EI32_V_M2_M1_MASK }, // 466
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG3EI32_V_M4_M1_MASK }, // 467
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG3EI32_V_MF2_M1_MASK }, // 468
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG3EI32_V_M1_M2_MASK }, // 469
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG3EI32_V_M2_M2_MASK }, // 470
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG3EI32_V_M4_M2_MASK }, // 471
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG3EI32_V_M8_M2_MASK }, // 472
  { 0x3, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF8_MASK }, // 473
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG3EI32_V_M1_MF4_MASK }, // 474
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF4_MASK }, // 475
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG3EI32_V_M1_MF2_MASK }, // 476
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG3EI32_V_M2_MF2_MASK }, // 477
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF2_MASK }, // 478
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG3EI64_V_M1_M1_MASK }, // 479
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG3EI64_V_M2_M1_MASK }, // 480
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG3EI64_V_M4_M1_MASK }, // 481
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG3EI64_V_M8_M1_MASK }, // 482
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG3EI64_V_M2_M2_MASK }, // 483
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG3EI64_V_M4_M2_MASK }, // 484
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG3EI64_V_M8_M2_MASK }, // 485
  { 0x3, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG3EI64_V_M1_MF8_MASK }, // 486
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG3EI64_V_M1_MF4_MASK }, // 487
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG3EI64_V_M2_MF4_MASK }, // 488
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG3EI64_V_M1_MF2_MASK }, // 489
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG3EI64_V_M2_MF2_MASK }, // 490
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG3EI64_V_M4_MF2_MASK }, // 491
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG4EI8_V_M1_M1 }, // 492
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG4EI8_V_MF8_M1 }, // 493
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG4EI8_V_MF4_M1 }, // 494
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG4EI8_V_MF2_M1 }, // 495
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG4EI8_V_M1_M2 }, // 496
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG4EI8_V_M2_M2 }, // 497
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG4EI8_V_MF4_M2 }, // 498
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG4EI8_V_MF2_M2 }, // 499
  { 0x4, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF8 }, // 500
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF4 }, // 501
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF4 }, // 502
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF2 }, // 503
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF2 }, // 504
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG4EI8_V_MF2_MF2 }, // 505
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG4EI16_V_M1_M1 }, // 506
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG4EI16_V_M2_M1 }, // 507
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG4EI16_V_MF4_M1 }, // 508
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG4EI16_V_MF2_M1 }, // 509
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG4EI16_V_M1_M2 }, // 510
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG4EI16_V_M2_M2 }, // 511
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG4EI16_V_M4_M2 }, // 512
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG4EI16_V_MF2_M2 }, // 513
  { 0x4, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF8 }, // 514
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF4 }, // 515
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF4 }, // 516
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG4EI16_V_M1_MF2 }, // 517
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF2 }, // 518
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF2 }, // 519
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG4EI32_V_M1_M1 }, // 520
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG4EI32_V_M2_M1 }, // 521
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG4EI32_V_M4_M1 }, // 522
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG4EI32_V_MF2_M1 }, // 523
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG4EI32_V_M1_M2 }, // 524
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG4EI32_V_M2_M2 }, // 525
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG4EI32_V_M4_M2 }, // 526
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG4EI32_V_M8_M2 }, // 527
  { 0x4, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF8 }, // 528
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG4EI32_V_M1_MF4 }, // 529
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF4 }, // 530
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG4EI32_V_M1_MF2 }, // 531
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG4EI32_V_M2_MF2 }, // 532
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF2 }, // 533
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG4EI64_V_M1_M1 }, // 534
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG4EI64_V_M2_M1 }, // 535
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG4EI64_V_M4_M1 }, // 536
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG4EI64_V_M8_M1 }, // 537
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG4EI64_V_M2_M2 }, // 538
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG4EI64_V_M4_M2 }, // 539
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG4EI64_V_M8_M2 }, // 540
  { 0x4, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG4EI64_V_M1_MF8 }, // 541
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG4EI64_V_M1_MF4 }, // 542
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG4EI64_V_M2_MF4 }, // 543
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG4EI64_V_M1_MF2 }, // 544
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG4EI64_V_M2_MF2 }, // 545
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG4EI64_V_M4_MF2 }, // 546
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG4EI8_V_M1_M1 }, // 547
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG4EI8_V_MF8_M1 }, // 548
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG4EI8_V_MF4_M1 }, // 549
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG4EI8_V_MF2_M1 }, // 550
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG4EI8_V_M1_M2 }, // 551
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG4EI8_V_M2_M2 }, // 552
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG4EI8_V_MF4_M2 }, // 553
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG4EI8_V_MF2_M2 }, // 554
  { 0x4, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF8 }, // 555
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF4 }, // 556
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF4 }, // 557
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF2 }, // 558
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF2 }, // 559
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG4EI8_V_MF2_MF2 }, // 560
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG4EI16_V_M1_M1 }, // 561
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG4EI16_V_M2_M1 }, // 562
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG4EI16_V_MF4_M1 }, // 563
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG4EI16_V_MF2_M1 }, // 564
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG4EI16_V_M1_M2 }, // 565
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG4EI16_V_M2_M2 }, // 566
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG4EI16_V_M4_M2 }, // 567
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG4EI16_V_MF2_M2 }, // 568
  { 0x4, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF8 }, // 569
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF4 }, // 570
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF4 }, // 571
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG4EI16_V_M1_MF2 }, // 572
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF2 }, // 573
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF2 }, // 574
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG4EI32_V_M1_M1 }, // 575
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG4EI32_V_M2_M1 }, // 576
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG4EI32_V_M4_M1 }, // 577
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG4EI32_V_MF2_M1 }, // 578
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG4EI32_V_M1_M2 }, // 579
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG4EI32_V_M2_M2 }, // 580
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG4EI32_V_M4_M2 }, // 581
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG4EI32_V_M8_M2 }, // 582
  { 0x4, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF8 }, // 583
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG4EI32_V_M1_MF4 }, // 584
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF4 }, // 585
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG4EI32_V_M1_MF2 }, // 586
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG4EI32_V_M2_MF2 }, // 587
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF2 }, // 588
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG4EI64_V_M1_M1 }, // 589
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG4EI64_V_M2_M1 }, // 590
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG4EI64_V_M4_M1 }, // 591
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG4EI64_V_M8_M1 }, // 592
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG4EI64_V_M2_M2 }, // 593
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG4EI64_V_M4_M2 }, // 594
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG4EI64_V_M8_M2 }, // 595
  { 0x4, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG4EI64_V_M1_MF8 }, // 596
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG4EI64_V_M1_MF4 }, // 597
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG4EI64_V_M2_MF4 }, // 598
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG4EI64_V_M1_MF2 }, // 599
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG4EI64_V_M2_MF2 }, // 600
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG4EI64_V_M4_MF2 }, // 601
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG4EI8_V_M1_M1_MASK }, // 602
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG4EI8_V_MF8_M1_MASK }, // 603
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG4EI8_V_MF4_M1_MASK }, // 604
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG4EI8_V_MF2_M1_MASK }, // 605
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG4EI8_V_M1_M2_MASK }, // 606
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG4EI8_V_M2_M2_MASK }, // 607
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG4EI8_V_MF4_M2_MASK }, // 608
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG4EI8_V_MF2_M2_MASK }, // 609
  { 0x4, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF8_MASK }, // 610
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF4_MASK }, // 611
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF4_MASK }, // 612
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF2_MASK }, // 613
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF2_MASK }, // 614
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG4EI8_V_MF2_MF2_MASK }, // 615
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG4EI16_V_M1_M1_MASK }, // 616
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG4EI16_V_M2_M1_MASK }, // 617
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG4EI16_V_MF4_M1_MASK }, // 618
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG4EI16_V_MF2_M1_MASK }, // 619
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG4EI16_V_M1_M2_MASK }, // 620
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG4EI16_V_M2_M2_MASK }, // 621
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG4EI16_V_M4_M2_MASK }, // 622
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG4EI16_V_MF2_M2_MASK }, // 623
  { 0x4, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF8_MASK }, // 624
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF4_MASK }, // 625
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF4_MASK }, // 626
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG4EI16_V_M1_MF2_MASK }, // 627
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF2_MASK }, // 628
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF2_MASK }, // 629
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG4EI32_V_M1_M1_MASK }, // 630
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG4EI32_V_M2_M1_MASK }, // 631
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG4EI32_V_M4_M1_MASK }, // 632
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG4EI32_V_MF2_M1_MASK }, // 633
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG4EI32_V_M1_M2_MASK }, // 634
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG4EI32_V_M2_M2_MASK }, // 635
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG4EI32_V_M4_M2_MASK }, // 636
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG4EI32_V_M8_M2_MASK }, // 637
  { 0x4, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF8_MASK }, // 638
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG4EI32_V_M1_MF4_MASK }, // 639
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF4_MASK }, // 640
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG4EI32_V_M1_MF2_MASK }, // 641
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG4EI32_V_M2_MF2_MASK }, // 642
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF2_MASK }, // 643
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG4EI64_V_M1_M1_MASK }, // 644
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG4EI64_V_M2_M1_MASK }, // 645
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG4EI64_V_M4_M1_MASK }, // 646
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG4EI64_V_M8_M1_MASK }, // 647
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG4EI64_V_M2_M2_MASK }, // 648
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG4EI64_V_M4_M2_MASK }, // 649
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG4EI64_V_M8_M2_MASK }, // 650
  { 0x4, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG4EI64_V_M1_MF8_MASK }, // 651
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG4EI64_V_M1_MF4_MASK }, // 652
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG4EI64_V_M2_MF4_MASK }, // 653
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG4EI64_V_M1_MF2_MASK }, // 654
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG4EI64_V_M2_MF2_MASK }, // 655
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG4EI64_V_M4_MF2_MASK }, // 656
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG4EI8_V_M1_M1_MASK }, // 657
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG4EI8_V_MF8_M1_MASK }, // 658
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG4EI8_V_MF4_M1_MASK }, // 659
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG4EI8_V_MF2_M1_MASK }, // 660
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG4EI8_V_M1_M2_MASK }, // 661
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG4EI8_V_M2_M2_MASK }, // 662
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG4EI8_V_MF4_M2_MASK }, // 663
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG4EI8_V_MF2_M2_MASK }, // 664
  { 0x4, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF8_MASK }, // 665
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF4_MASK }, // 666
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF4_MASK }, // 667
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF2_MASK }, // 668
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF2_MASK }, // 669
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG4EI8_V_MF2_MF2_MASK }, // 670
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG4EI16_V_M1_M1_MASK }, // 671
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG4EI16_V_M2_M1_MASK }, // 672
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG4EI16_V_MF4_M1_MASK }, // 673
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG4EI16_V_MF2_M1_MASK }, // 674
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG4EI16_V_M1_M2_MASK }, // 675
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG4EI16_V_M2_M2_MASK }, // 676
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG4EI16_V_M4_M2_MASK }, // 677
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG4EI16_V_MF2_M2_MASK }, // 678
  { 0x4, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF8_MASK }, // 679
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF4_MASK }, // 680
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF4_MASK }, // 681
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG4EI16_V_M1_MF2_MASK }, // 682
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF2_MASK }, // 683
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF2_MASK }, // 684
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG4EI32_V_M1_M1_MASK }, // 685
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG4EI32_V_M2_M1_MASK }, // 686
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG4EI32_V_M4_M1_MASK }, // 687
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG4EI32_V_MF2_M1_MASK }, // 688
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG4EI32_V_M1_M2_MASK }, // 689
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG4EI32_V_M2_M2_MASK }, // 690
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG4EI32_V_M4_M2_MASK }, // 691
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG4EI32_V_M8_M2_MASK }, // 692
  { 0x4, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF8_MASK }, // 693
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG4EI32_V_M1_MF4_MASK }, // 694
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF4_MASK }, // 695
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG4EI32_V_M1_MF2_MASK }, // 696
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG4EI32_V_M2_MF2_MASK }, // 697
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF2_MASK }, // 698
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG4EI64_V_M1_M1_MASK }, // 699
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG4EI64_V_M2_M1_MASK }, // 700
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG4EI64_V_M4_M1_MASK }, // 701
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG4EI64_V_M8_M1_MASK }, // 702
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG4EI64_V_M2_M2_MASK }, // 703
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG4EI64_V_M4_M2_MASK }, // 704
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG4EI64_V_M8_M2_MASK }, // 705
  { 0x4, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG4EI64_V_M1_MF8_MASK }, // 706
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG4EI64_V_M1_MF4_MASK }, // 707
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG4EI64_V_M2_MF4_MASK }, // 708
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG4EI64_V_M1_MF2_MASK }, // 709
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG4EI64_V_M2_MF2_MASK }, // 710
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG4EI64_V_M4_MF2_MASK }, // 711
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG5EI8_V_M1_M1 }, // 712
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG5EI8_V_MF8_M1 }, // 713
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG5EI8_V_MF4_M1 }, // 714
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG5EI8_V_MF2_M1 }, // 715
  { 0x5, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF8 }, // 716
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF4 }, // 717
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF4 }, // 718
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF2 }, // 719
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF2 }, // 720
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG5EI8_V_MF2_MF2 }, // 721
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG5EI16_V_M1_M1 }, // 722
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG5EI16_V_M2_M1 }, // 723
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG5EI16_V_MF4_M1 }, // 724
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG5EI16_V_MF2_M1 }, // 725
  { 0x5, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF8 }, // 726
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF4 }, // 727
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF4 }, // 728
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG5EI16_V_M1_MF2 }, // 729
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF2 }, // 730
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF2 }, // 731
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG5EI32_V_M1_M1 }, // 732
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG5EI32_V_M2_M1 }, // 733
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG5EI32_V_M4_M1 }, // 734
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG5EI32_V_MF2_M1 }, // 735
  { 0x5, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF8 }, // 736
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG5EI32_V_M1_MF4 }, // 737
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF4 }, // 738
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG5EI32_V_M1_MF2 }, // 739
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG5EI32_V_M2_MF2 }, // 740
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF2 }, // 741
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG5EI64_V_M1_M1 }, // 742
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG5EI64_V_M2_M1 }, // 743
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG5EI64_V_M4_M1 }, // 744
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG5EI64_V_M8_M1 }, // 745
  { 0x5, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG5EI64_V_M1_MF8 }, // 746
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG5EI64_V_M1_MF4 }, // 747
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG5EI64_V_M2_MF4 }, // 748
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG5EI64_V_M1_MF2 }, // 749
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG5EI64_V_M2_MF2 }, // 750
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG5EI64_V_M4_MF2 }, // 751
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG5EI8_V_M1_M1 }, // 752
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG5EI8_V_MF8_M1 }, // 753
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG5EI8_V_MF4_M1 }, // 754
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG5EI8_V_MF2_M1 }, // 755
  { 0x5, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF8 }, // 756
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF4 }, // 757
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF4 }, // 758
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF2 }, // 759
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF2 }, // 760
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG5EI8_V_MF2_MF2 }, // 761
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG5EI16_V_M1_M1 }, // 762
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG5EI16_V_M2_M1 }, // 763
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG5EI16_V_MF4_M1 }, // 764
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG5EI16_V_MF2_M1 }, // 765
  { 0x5, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF8 }, // 766
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF4 }, // 767
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF4 }, // 768
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG5EI16_V_M1_MF2 }, // 769
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF2 }, // 770
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF2 }, // 771
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG5EI32_V_M1_M1 }, // 772
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG5EI32_V_M2_M1 }, // 773
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG5EI32_V_M4_M1 }, // 774
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG5EI32_V_MF2_M1 }, // 775
  { 0x5, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF8 }, // 776
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG5EI32_V_M1_MF4 }, // 777
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF4 }, // 778
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG5EI32_V_M1_MF2 }, // 779
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG5EI32_V_M2_MF2 }, // 780
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF2 }, // 781
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG5EI64_V_M1_M1 }, // 782
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG5EI64_V_M2_M1 }, // 783
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG5EI64_V_M4_M1 }, // 784
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG5EI64_V_M8_M1 }, // 785
  { 0x5, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG5EI64_V_M1_MF8 }, // 786
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG5EI64_V_M1_MF4 }, // 787
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG5EI64_V_M2_MF4 }, // 788
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG5EI64_V_M1_MF2 }, // 789
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG5EI64_V_M2_MF2 }, // 790
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG5EI64_V_M4_MF2 }, // 791
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG5EI8_V_M1_M1_MASK }, // 792
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG5EI8_V_MF8_M1_MASK }, // 793
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG5EI8_V_MF4_M1_MASK }, // 794
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG5EI8_V_MF2_M1_MASK }, // 795
  { 0x5, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF8_MASK }, // 796
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF4_MASK }, // 797
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF4_MASK }, // 798
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF2_MASK }, // 799
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF2_MASK }, // 800
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG5EI8_V_MF2_MF2_MASK }, // 801
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG5EI16_V_M1_M1_MASK }, // 802
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG5EI16_V_M2_M1_MASK }, // 803
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG5EI16_V_MF4_M1_MASK }, // 804
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG5EI16_V_MF2_M1_MASK }, // 805
  { 0x5, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF8_MASK }, // 806
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF4_MASK }, // 807
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF4_MASK }, // 808
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG5EI16_V_M1_MF2_MASK }, // 809
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF2_MASK }, // 810
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF2_MASK }, // 811
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG5EI32_V_M1_M1_MASK }, // 812
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG5EI32_V_M2_M1_MASK }, // 813
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG5EI32_V_M4_M1_MASK }, // 814
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG5EI32_V_MF2_M1_MASK }, // 815
  { 0x5, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF8_MASK }, // 816
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG5EI32_V_M1_MF4_MASK }, // 817
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF4_MASK }, // 818
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG5EI32_V_M1_MF2_MASK }, // 819
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG5EI32_V_M2_MF2_MASK }, // 820
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF2_MASK }, // 821
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG5EI64_V_M1_M1_MASK }, // 822
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG5EI64_V_M2_M1_MASK }, // 823
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG5EI64_V_M4_M1_MASK }, // 824
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG5EI64_V_M8_M1_MASK }, // 825
  { 0x5, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG5EI64_V_M1_MF8_MASK }, // 826
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG5EI64_V_M1_MF4_MASK }, // 827
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG5EI64_V_M2_MF4_MASK }, // 828
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG5EI64_V_M1_MF2_MASK }, // 829
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG5EI64_V_M2_MF2_MASK }, // 830
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG5EI64_V_M4_MF2_MASK }, // 831
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG5EI8_V_M1_M1_MASK }, // 832
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG5EI8_V_MF8_M1_MASK }, // 833
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG5EI8_V_MF4_M1_MASK }, // 834
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG5EI8_V_MF2_M1_MASK }, // 835
  { 0x5, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF8_MASK }, // 836
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF4_MASK }, // 837
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF4_MASK }, // 838
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF2_MASK }, // 839
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF2_MASK }, // 840
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG5EI8_V_MF2_MF2_MASK }, // 841
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG5EI16_V_M1_M1_MASK }, // 842
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG5EI16_V_M2_M1_MASK }, // 843
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG5EI16_V_MF4_M1_MASK }, // 844
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG5EI16_V_MF2_M1_MASK }, // 845
  { 0x5, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF8_MASK }, // 846
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF4_MASK }, // 847
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF4_MASK }, // 848
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG5EI16_V_M1_MF2_MASK }, // 849
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF2_MASK }, // 850
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF2_MASK }, // 851
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG5EI32_V_M1_M1_MASK }, // 852
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG5EI32_V_M2_M1_MASK }, // 853
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG5EI32_V_M4_M1_MASK }, // 854
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG5EI32_V_MF2_M1_MASK }, // 855
  { 0x5, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF8_MASK }, // 856
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG5EI32_V_M1_MF4_MASK }, // 857
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF4_MASK }, // 858
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG5EI32_V_M1_MF2_MASK }, // 859
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG5EI32_V_M2_MF2_MASK }, // 860
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF2_MASK }, // 861
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG5EI64_V_M1_M1_MASK }, // 862
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG5EI64_V_M2_M1_MASK }, // 863
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG5EI64_V_M4_M1_MASK }, // 864
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG5EI64_V_M8_M1_MASK }, // 865
  { 0x5, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG5EI64_V_M1_MF8_MASK }, // 866
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG5EI64_V_M1_MF4_MASK }, // 867
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG5EI64_V_M2_MF4_MASK }, // 868
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG5EI64_V_M1_MF2_MASK }, // 869
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG5EI64_V_M2_MF2_MASK }, // 870
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG5EI64_V_M4_MF2_MASK }, // 871
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG6EI8_V_M1_M1 }, // 872
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG6EI8_V_MF8_M1 }, // 873
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG6EI8_V_MF4_M1 }, // 874
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG6EI8_V_MF2_M1 }, // 875
  { 0x6, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF8 }, // 876
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF4 }, // 877
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF4 }, // 878
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF2 }, // 879
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF2 }, // 880
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG6EI8_V_MF2_MF2 }, // 881
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG6EI16_V_M1_M1 }, // 882
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG6EI16_V_M2_M1 }, // 883
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG6EI16_V_MF4_M1 }, // 884
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG6EI16_V_MF2_M1 }, // 885
  { 0x6, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF8 }, // 886
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF4 }, // 887
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF4 }, // 888
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG6EI16_V_M1_MF2 }, // 889
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF2 }, // 890
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF2 }, // 891
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG6EI32_V_M1_M1 }, // 892
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG6EI32_V_M2_M1 }, // 893
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG6EI32_V_M4_M1 }, // 894
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG6EI32_V_MF2_M1 }, // 895
  { 0x6, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF8 }, // 896
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG6EI32_V_M1_MF4 }, // 897
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF4 }, // 898
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG6EI32_V_M1_MF2 }, // 899
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG6EI32_V_M2_MF2 }, // 900
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF2 }, // 901
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG6EI64_V_M1_M1 }, // 902
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG6EI64_V_M2_M1 }, // 903
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG6EI64_V_M4_M1 }, // 904
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG6EI64_V_M8_M1 }, // 905
  { 0x6, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG6EI64_V_M1_MF8 }, // 906
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG6EI64_V_M1_MF4 }, // 907
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG6EI64_V_M2_MF4 }, // 908
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG6EI64_V_M1_MF2 }, // 909
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG6EI64_V_M2_MF2 }, // 910
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG6EI64_V_M4_MF2 }, // 911
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG6EI8_V_M1_M1 }, // 912
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG6EI8_V_MF8_M1 }, // 913
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG6EI8_V_MF4_M1 }, // 914
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG6EI8_V_MF2_M1 }, // 915
  { 0x6, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF8 }, // 916
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF4 }, // 917
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF4 }, // 918
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF2 }, // 919
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF2 }, // 920
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG6EI8_V_MF2_MF2 }, // 921
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG6EI16_V_M1_M1 }, // 922
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG6EI16_V_M2_M1 }, // 923
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG6EI16_V_MF4_M1 }, // 924
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG6EI16_V_MF2_M1 }, // 925
  { 0x6, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF8 }, // 926
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF4 }, // 927
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF4 }, // 928
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG6EI16_V_M1_MF2 }, // 929
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF2 }, // 930
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF2 }, // 931
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG6EI32_V_M1_M1 }, // 932
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG6EI32_V_M2_M1 }, // 933
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG6EI32_V_M4_M1 }, // 934
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG6EI32_V_MF2_M1 }, // 935
  { 0x6, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF8 }, // 936
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG6EI32_V_M1_MF4 }, // 937
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF4 }, // 938
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG6EI32_V_M1_MF2 }, // 939
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG6EI32_V_M2_MF2 }, // 940
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF2 }, // 941
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG6EI64_V_M1_M1 }, // 942
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG6EI64_V_M2_M1 }, // 943
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG6EI64_V_M4_M1 }, // 944
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG6EI64_V_M8_M1 }, // 945
  { 0x6, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG6EI64_V_M1_MF8 }, // 946
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG6EI64_V_M1_MF4 }, // 947
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG6EI64_V_M2_MF4 }, // 948
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG6EI64_V_M1_MF2 }, // 949
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG6EI64_V_M2_MF2 }, // 950
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG6EI64_V_M4_MF2 }, // 951
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG6EI8_V_M1_M1_MASK }, // 952
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG6EI8_V_MF8_M1_MASK }, // 953
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG6EI8_V_MF4_M1_MASK }, // 954
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG6EI8_V_MF2_M1_MASK }, // 955
  { 0x6, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF8_MASK }, // 956
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF4_MASK }, // 957
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF4_MASK }, // 958
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF2_MASK }, // 959
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF2_MASK }, // 960
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG6EI8_V_MF2_MF2_MASK }, // 961
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG6EI16_V_M1_M1_MASK }, // 962
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG6EI16_V_M2_M1_MASK }, // 963
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG6EI16_V_MF4_M1_MASK }, // 964
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG6EI16_V_MF2_M1_MASK }, // 965
  { 0x6, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF8_MASK }, // 966
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF4_MASK }, // 967
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF4_MASK }, // 968
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG6EI16_V_M1_MF2_MASK }, // 969
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF2_MASK }, // 970
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF2_MASK }, // 971
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG6EI32_V_M1_M1_MASK }, // 972
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG6EI32_V_M2_M1_MASK }, // 973
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG6EI32_V_M4_M1_MASK }, // 974
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG6EI32_V_MF2_M1_MASK }, // 975
  { 0x6, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF8_MASK }, // 976
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG6EI32_V_M1_MF4_MASK }, // 977
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF4_MASK }, // 978
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG6EI32_V_M1_MF2_MASK }, // 979
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG6EI32_V_M2_MF2_MASK }, // 980
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF2_MASK }, // 981
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG6EI64_V_M1_M1_MASK }, // 982
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG6EI64_V_M2_M1_MASK }, // 983
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG6EI64_V_M4_M1_MASK }, // 984
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG6EI64_V_M8_M1_MASK }, // 985
  { 0x6, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG6EI64_V_M1_MF8_MASK }, // 986
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG6EI64_V_M1_MF4_MASK }, // 987
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG6EI64_V_M2_MF4_MASK }, // 988
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG6EI64_V_M1_MF2_MASK }, // 989
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG6EI64_V_M2_MF2_MASK }, // 990
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG6EI64_V_M4_MF2_MASK }, // 991
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG6EI8_V_M1_M1_MASK }, // 992
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG6EI8_V_MF8_M1_MASK }, // 993
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG6EI8_V_MF4_M1_MASK }, // 994
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG6EI8_V_MF2_M1_MASK }, // 995
  { 0x6, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF8_MASK }, // 996
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF4_MASK }, // 997
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF4_MASK }, // 998
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF2_MASK }, // 999
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF2_MASK }, // 1000
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG6EI8_V_MF2_MF2_MASK }, // 1001
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG6EI16_V_M1_M1_MASK }, // 1002
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG6EI16_V_M2_M1_MASK }, // 1003
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG6EI16_V_MF4_M1_MASK }, // 1004
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG6EI16_V_MF2_M1_MASK }, // 1005
  { 0x6, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF8_MASK }, // 1006
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF4_MASK }, // 1007
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF4_MASK }, // 1008
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG6EI16_V_M1_MF2_MASK }, // 1009
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF2_MASK }, // 1010
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF2_MASK }, // 1011
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG6EI32_V_M1_M1_MASK }, // 1012
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG6EI32_V_M2_M1_MASK }, // 1013
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG6EI32_V_M4_M1_MASK }, // 1014
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG6EI32_V_MF2_M1_MASK }, // 1015
  { 0x6, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF8_MASK }, // 1016
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG6EI32_V_M1_MF4_MASK }, // 1017
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF4_MASK }, // 1018
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG6EI32_V_M1_MF2_MASK }, // 1019
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG6EI32_V_M2_MF2_MASK }, // 1020
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF2_MASK }, // 1021
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG6EI64_V_M1_M1_MASK }, // 1022
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG6EI64_V_M2_M1_MASK }, // 1023
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG6EI64_V_M4_M1_MASK }, // 1024
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG6EI64_V_M8_M1_MASK }, // 1025
  { 0x6, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG6EI64_V_M1_MF8_MASK }, // 1026
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG6EI64_V_M1_MF4_MASK }, // 1027
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG6EI64_V_M2_MF4_MASK }, // 1028
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG6EI64_V_M1_MF2_MASK }, // 1029
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG6EI64_V_M2_MF2_MASK }, // 1030
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG6EI64_V_M4_MF2_MASK }, // 1031
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG7EI8_V_M1_M1 }, // 1032
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG7EI8_V_MF8_M1 }, // 1033
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG7EI8_V_MF4_M1 }, // 1034
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG7EI8_V_MF2_M1 }, // 1035
  { 0x7, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF8 }, // 1036
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF4 }, // 1037
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF4 }, // 1038
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF2 }, // 1039
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF2 }, // 1040
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG7EI8_V_MF2_MF2 }, // 1041
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG7EI16_V_M1_M1 }, // 1042
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG7EI16_V_M2_M1 }, // 1043
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG7EI16_V_MF4_M1 }, // 1044
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG7EI16_V_MF2_M1 }, // 1045
  { 0x7, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF8 }, // 1046
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF4 }, // 1047
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF4 }, // 1048
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG7EI16_V_M1_MF2 }, // 1049
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF2 }, // 1050
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF2 }, // 1051
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG7EI32_V_M1_M1 }, // 1052
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG7EI32_V_M2_M1 }, // 1053
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG7EI32_V_M4_M1 }, // 1054
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG7EI32_V_MF2_M1 }, // 1055
  { 0x7, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF8 }, // 1056
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG7EI32_V_M1_MF4 }, // 1057
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF4 }, // 1058
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG7EI32_V_M1_MF2 }, // 1059
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG7EI32_V_M2_MF2 }, // 1060
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF2 }, // 1061
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG7EI64_V_M1_M1 }, // 1062
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG7EI64_V_M2_M1 }, // 1063
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG7EI64_V_M4_M1 }, // 1064
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG7EI64_V_M8_M1 }, // 1065
  { 0x7, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG7EI64_V_M1_MF8 }, // 1066
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG7EI64_V_M1_MF4 }, // 1067
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG7EI64_V_M2_MF4 }, // 1068
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG7EI64_V_M1_MF2 }, // 1069
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG7EI64_V_M2_MF2 }, // 1070
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG7EI64_V_M4_MF2 }, // 1071
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG7EI8_V_M1_M1 }, // 1072
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG7EI8_V_MF8_M1 }, // 1073
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG7EI8_V_MF4_M1 }, // 1074
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG7EI8_V_MF2_M1 }, // 1075
  { 0x7, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF8 }, // 1076
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF4 }, // 1077
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF4 }, // 1078
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF2 }, // 1079
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF2 }, // 1080
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG7EI8_V_MF2_MF2 }, // 1081
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG7EI16_V_M1_M1 }, // 1082
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG7EI16_V_M2_M1 }, // 1083
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG7EI16_V_MF4_M1 }, // 1084
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG7EI16_V_MF2_M1 }, // 1085
  { 0x7, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF8 }, // 1086
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF4 }, // 1087
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF4 }, // 1088
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG7EI16_V_M1_MF2 }, // 1089
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF2 }, // 1090
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF2 }, // 1091
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG7EI32_V_M1_M1 }, // 1092
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG7EI32_V_M2_M1 }, // 1093
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG7EI32_V_M4_M1 }, // 1094
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG7EI32_V_MF2_M1 }, // 1095
  { 0x7, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF8 }, // 1096
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG7EI32_V_M1_MF4 }, // 1097
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF4 }, // 1098
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG7EI32_V_M1_MF2 }, // 1099
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG7EI32_V_M2_MF2 }, // 1100
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF2 }, // 1101
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG7EI64_V_M1_M1 }, // 1102
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG7EI64_V_M2_M1 }, // 1103
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG7EI64_V_M4_M1 }, // 1104
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG7EI64_V_M8_M1 }, // 1105
  { 0x7, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG7EI64_V_M1_MF8 }, // 1106
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG7EI64_V_M1_MF4 }, // 1107
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG7EI64_V_M2_MF4 }, // 1108
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG7EI64_V_M1_MF2 }, // 1109
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG7EI64_V_M2_MF2 }, // 1110
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG7EI64_V_M4_MF2 }, // 1111
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG7EI8_V_M1_M1_MASK }, // 1112
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG7EI8_V_MF8_M1_MASK }, // 1113
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG7EI8_V_MF4_M1_MASK }, // 1114
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG7EI8_V_MF2_M1_MASK }, // 1115
  { 0x7, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF8_MASK }, // 1116
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF4_MASK }, // 1117
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF4_MASK }, // 1118
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF2_MASK }, // 1119
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF2_MASK }, // 1120
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG7EI8_V_MF2_MF2_MASK }, // 1121
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG7EI16_V_M1_M1_MASK }, // 1122
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG7EI16_V_M2_M1_MASK }, // 1123
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG7EI16_V_MF4_M1_MASK }, // 1124
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG7EI16_V_MF2_M1_MASK }, // 1125
  { 0x7, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF8_MASK }, // 1126
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF4_MASK }, // 1127
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF4_MASK }, // 1128
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG7EI16_V_M1_MF2_MASK }, // 1129
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF2_MASK }, // 1130
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF2_MASK }, // 1131
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG7EI32_V_M1_M1_MASK }, // 1132
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG7EI32_V_M2_M1_MASK }, // 1133
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG7EI32_V_M4_M1_MASK }, // 1134
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG7EI32_V_MF2_M1_MASK }, // 1135
  { 0x7, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF8_MASK }, // 1136
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG7EI32_V_M1_MF4_MASK }, // 1137
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF4_MASK }, // 1138
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG7EI32_V_M1_MF2_MASK }, // 1139
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG7EI32_V_M2_MF2_MASK }, // 1140
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF2_MASK }, // 1141
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG7EI64_V_M1_M1_MASK }, // 1142
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG7EI64_V_M2_M1_MASK }, // 1143
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG7EI64_V_M4_M1_MASK }, // 1144
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG7EI64_V_M8_M1_MASK }, // 1145
  { 0x7, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG7EI64_V_M1_MF8_MASK }, // 1146
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG7EI64_V_M1_MF4_MASK }, // 1147
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG7EI64_V_M2_MF4_MASK }, // 1148
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG7EI64_V_M1_MF2_MASK }, // 1149
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG7EI64_V_M2_MF2_MASK }, // 1150
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG7EI64_V_M4_MF2_MASK }, // 1151
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG7EI8_V_M1_M1_MASK }, // 1152
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG7EI8_V_MF8_M1_MASK }, // 1153
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG7EI8_V_MF4_M1_MASK }, // 1154
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG7EI8_V_MF2_M1_MASK }, // 1155
  { 0x7, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF8_MASK }, // 1156
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF4_MASK }, // 1157
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF4_MASK }, // 1158
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF2_MASK }, // 1159
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF2_MASK }, // 1160
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG7EI8_V_MF2_MF2_MASK }, // 1161
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG7EI16_V_M1_M1_MASK }, // 1162
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG7EI16_V_M2_M1_MASK }, // 1163
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG7EI16_V_MF4_M1_MASK }, // 1164
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG7EI16_V_MF2_M1_MASK }, // 1165
  { 0x7, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF8_MASK }, // 1166
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF4_MASK }, // 1167
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF4_MASK }, // 1168
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG7EI16_V_M1_MF2_MASK }, // 1169
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF2_MASK }, // 1170
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF2_MASK }, // 1171
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG7EI32_V_M1_M1_MASK }, // 1172
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG7EI32_V_M2_M1_MASK }, // 1173
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG7EI32_V_M4_M1_MASK }, // 1174
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG7EI32_V_MF2_M1_MASK }, // 1175
  { 0x7, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF8_MASK }, // 1176
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG7EI32_V_M1_MF4_MASK }, // 1177
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF4_MASK }, // 1178
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG7EI32_V_M1_MF2_MASK }, // 1179
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG7EI32_V_M2_MF2_MASK }, // 1180
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF2_MASK }, // 1181
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG7EI64_V_M1_M1_MASK }, // 1182
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG7EI64_V_M2_M1_MASK }, // 1183
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG7EI64_V_M4_M1_MASK }, // 1184
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG7EI64_V_M8_M1_MASK }, // 1185
  { 0x7, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG7EI64_V_M1_MF8_MASK }, // 1186
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG7EI64_V_M1_MF4_MASK }, // 1187
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG7EI64_V_M2_MF4_MASK }, // 1188
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG7EI64_V_M1_MF2_MASK }, // 1189
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG7EI64_V_M2_MF2_MASK }, // 1190
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG7EI64_V_M4_MF2_MASK }, // 1191
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG8EI8_V_M1_M1 }, // 1192
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG8EI8_V_MF8_M1 }, // 1193
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG8EI8_V_MF4_M1 }, // 1194
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG8EI8_V_MF2_M1 }, // 1195
  { 0x8, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF8 }, // 1196
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF4 }, // 1197
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF4 }, // 1198
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF2 }, // 1199
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF2 }, // 1200
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG8EI8_V_MF2_MF2 }, // 1201
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG8EI16_V_M1_M1 }, // 1202
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG8EI16_V_M2_M1 }, // 1203
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG8EI16_V_MF4_M1 }, // 1204
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG8EI16_V_MF2_M1 }, // 1205
  { 0x8, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF8 }, // 1206
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF4 }, // 1207
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF4 }, // 1208
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG8EI16_V_M1_MF2 }, // 1209
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF2 }, // 1210
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF2 }, // 1211
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG8EI32_V_M1_M1 }, // 1212
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG8EI32_V_M2_M1 }, // 1213
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG8EI32_V_M4_M1 }, // 1214
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG8EI32_V_MF2_M1 }, // 1215
  { 0x8, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF8 }, // 1216
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG8EI32_V_M1_MF4 }, // 1217
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF4 }, // 1218
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG8EI32_V_M1_MF2 }, // 1219
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG8EI32_V_M2_MF2 }, // 1220
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF2 }, // 1221
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG8EI64_V_M1_M1 }, // 1222
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG8EI64_V_M2_M1 }, // 1223
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG8EI64_V_M4_M1 }, // 1224
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG8EI64_V_M8_M1 }, // 1225
  { 0x8, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG8EI64_V_M1_MF8 }, // 1226
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG8EI64_V_M1_MF4 }, // 1227
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG8EI64_V_M2_MF4 }, // 1228
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG8EI64_V_M1_MF2 }, // 1229
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG8EI64_V_M2_MF2 }, // 1230
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG8EI64_V_M4_MF2 }, // 1231
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG8EI8_V_M1_M1 }, // 1232
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG8EI8_V_MF8_M1 }, // 1233
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG8EI8_V_MF4_M1 }, // 1234
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG8EI8_V_MF2_M1 }, // 1235
  { 0x8, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF8 }, // 1236
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF4 }, // 1237
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF4 }, // 1238
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF2 }, // 1239
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF2 }, // 1240
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG8EI8_V_MF2_MF2 }, // 1241
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG8EI16_V_M1_M1 }, // 1242
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG8EI16_V_M2_M1 }, // 1243
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG8EI16_V_MF4_M1 }, // 1244
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG8EI16_V_MF2_M1 }, // 1245
  { 0x8, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF8 }, // 1246
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF4 }, // 1247
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF4 }, // 1248
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG8EI16_V_M1_MF2 }, // 1249
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF2 }, // 1250
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF2 }, // 1251
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG8EI32_V_M1_M1 }, // 1252
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG8EI32_V_M2_M1 }, // 1253
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG8EI32_V_M4_M1 }, // 1254
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG8EI32_V_MF2_M1 }, // 1255
  { 0x8, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF8 }, // 1256
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG8EI32_V_M1_MF4 }, // 1257
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF4 }, // 1258
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG8EI32_V_M1_MF2 }, // 1259
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG8EI32_V_M2_MF2 }, // 1260
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF2 }, // 1261
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG8EI64_V_M1_M1 }, // 1262
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG8EI64_V_M2_M1 }, // 1263
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG8EI64_V_M4_M1 }, // 1264
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG8EI64_V_M8_M1 }, // 1265
  { 0x8, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG8EI64_V_M1_MF8 }, // 1266
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG8EI64_V_M1_MF4 }, // 1267
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG8EI64_V_M2_MF4 }, // 1268
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG8EI64_V_M1_MF2 }, // 1269
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG8EI64_V_M2_MF2 }, // 1270
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG8EI64_V_M4_MF2 }, // 1271
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG8EI8_V_M1_M1_MASK }, // 1272
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG8EI8_V_MF8_M1_MASK }, // 1273
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG8EI8_V_MF4_M1_MASK }, // 1274
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG8EI8_V_MF2_M1_MASK }, // 1275
  { 0x8, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF8_MASK }, // 1276
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF4_MASK }, // 1277
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF4_MASK }, // 1278
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF2_MASK }, // 1279
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF2_MASK }, // 1280
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG8EI8_V_MF2_MF2_MASK }, // 1281
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG8EI16_V_M1_M1_MASK }, // 1282
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG8EI16_V_M2_M1_MASK }, // 1283
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG8EI16_V_MF4_M1_MASK }, // 1284
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG8EI16_V_MF2_M1_MASK }, // 1285
  { 0x8, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF8_MASK }, // 1286
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF4_MASK }, // 1287
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF4_MASK }, // 1288
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG8EI16_V_M1_MF2_MASK }, // 1289
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF2_MASK }, // 1290
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF2_MASK }, // 1291
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG8EI32_V_M1_M1_MASK }, // 1292
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG8EI32_V_M2_M1_MASK }, // 1293
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG8EI32_V_M4_M1_MASK }, // 1294
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG8EI32_V_MF2_M1_MASK }, // 1295
  { 0x8, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF8_MASK }, // 1296
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG8EI32_V_M1_MF4_MASK }, // 1297
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF4_MASK }, // 1298
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG8EI32_V_M1_MF2_MASK }, // 1299
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG8EI32_V_M2_MF2_MASK }, // 1300
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF2_MASK }, // 1301
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG8EI64_V_M1_M1_MASK }, // 1302
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG8EI64_V_M2_M1_MASK }, // 1303
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG8EI64_V_M4_M1_MASK }, // 1304
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG8EI64_V_M8_M1_MASK }, // 1305
  { 0x8, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG8EI64_V_M1_MF8_MASK }, // 1306
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG8EI64_V_M1_MF4_MASK }, // 1307
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG8EI64_V_M2_MF4_MASK }, // 1308
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG8EI64_V_M1_MF2_MASK }, // 1309
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG8EI64_V_M2_MF2_MASK }, // 1310
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG8EI64_V_M4_MF2_MASK }, // 1311
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG8EI8_V_M1_M1_MASK }, // 1312
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG8EI8_V_MF8_M1_MASK }, // 1313
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG8EI8_V_MF4_M1_MASK }, // 1314
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG8EI8_V_MF2_M1_MASK }, // 1315
  { 0x8, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF8_MASK }, // 1316
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF4_MASK }, // 1317
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF4_MASK }, // 1318
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF2_MASK }, // 1319
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF2_MASK }, // 1320
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG8EI8_V_MF2_MF2_MASK }, // 1321
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG8EI16_V_M1_M1_MASK }, // 1322
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG8EI16_V_M2_M1_MASK }, // 1323
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG8EI16_V_MF4_M1_MASK }, // 1324
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG8EI16_V_MF2_M1_MASK }, // 1325
  { 0x8, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF8_MASK }, // 1326
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF4_MASK }, // 1327
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF4_MASK }, // 1328
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG8EI16_V_M1_MF2_MASK }, // 1329
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF2_MASK }, // 1330
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF2_MASK }, // 1331
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG8EI32_V_M1_M1_MASK }, // 1332
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG8EI32_V_M2_M1_MASK }, // 1333
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG8EI32_V_M4_M1_MASK }, // 1334
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG8EI32_V_MF2_M1_MASK }, // 1335
  { 0x8, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF8_MASK }, // 1336
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG8EI32_V_M1_MF4_MASK }, // 1337
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF4_MASK }, // 1338
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG8EI32_V_M1_MF2_MASK }, // 1339
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG8EI32_V_M2_MF2_MASK }, // 1340
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF2_MASK }, // 1341
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG8EI64_V_M1_M1_MASK }, // 1342
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG8EI64_V_M2_M1_MASK }, // 1343
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG8EI64_V_M4_M1_MASK }, // 1344
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG8EI64_V_M8_M1_MASK }, // 1345
  { 0x8, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG8EI64_V_M1_MF8_MASK }, // 1346
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG8EI64_V_M1_MF4_MASK }, // 1347
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG8EI64_V_M2_MF4_MASK }, // 1348
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG8EI64_V_M1_MF2_MASK }, // 1349
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG8EI64_V_M2_MF2_MASK }, // 1350
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG8EI64_V_M4_MF2_MASK }, // 1351
 };

const VLXSEGPseudo *getVLXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {NF, Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  struct Comp {
    bool operator()(const VLXSEGPseudo &LHS, const KeyType &RHS) const {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVLXSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVLXTable_DECL
const VLX_VSXPseudo *getVLXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVLXTable_IMPL
constexpr VLX_VSXPseudo RISCVVLXTable[] = {
  { 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXEI8_V_M1_M1 }, // 0
  { 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXEI8_V_MF8_M1 }, // 1
  { 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXEI8_V_MF4_M1 }, // 2
  { 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXEI8_V_MF2_M1 }, // 3
  { 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXEI8_V_M1_M2 }, // 4
  { 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXEI8_V_M2_M2 }, // 5
  { 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXEI8_V_MF4_M2 }, // 6
  { 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXEI8_V_MF2_M2 }, // 7
  { 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVLUXEI8_V_M1_M4 }, // 8
  { 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVLUXEI8_V_M2_M4 }, // 9
  { 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVLUXEI8_V_M4_M4 }, // 10
  { 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVLUXEI8_V_MF2_M4 }, // 11
  { 0x0, 0x0, 0x3, 0x3, 0x0, PseudoVLUXEI8_V_M1_M8 }, // 12
  { 0x0, 0x0, 0x3, 0x3, 0x1, PseudoVLUXEI8_V_M2_M8 }, // 13
  { 0x0, 0x0, 0x3, 0x3, 0x2, PseudoVLUXEI8_V_M4_M8 }, // 14
  { 0x0, 0x0, 0x3, 0x3, 0x3, PseudoVLUXEI8_V_M8_M8 }, // 15
  { 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXEI8_V_MF8_MF8 }, // 16
  { 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXEI8_V_MF8_MF4 }, // 17
  { 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXEI8_V_MF4_MF4 }, // 18
  { 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXEI8_V_MF8_MF2 }, // 19
  { 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXEI8_V_MF4_MF2 }, // 20
  { 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXEI8_V_MF2_MF2 }, // 21
  { 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXEI16_V_M1_M1 }, // 22
  { 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXEI16_V_M2_M1 }, // 23
  { 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXEI16_V_MF4_M1 }, // 24
  { 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXEI16_V_MF2_M1 }, // 25
  { 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXEI16_V_M1_M2 }, // 26
  { 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXEI16_V_M2_M2 }, // 27
  { 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXEI16_V_M4_M2 }, // 28
  { 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXEI16_V_MF2_M2 }, // 29
  { 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVLUXEI16_V_M1_M4 }, // 30
  { 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVLUXEI16_V_M2_M4 }, // 31
  { 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVLUXEI16_V_M4_M4 }, // 32
  { 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVLUXEI16_V_M8_M4 }, // 33
  { 0x0, 0x0, 0x4, 0x3, 0x1, PseudoVLUXEI16_V_M2_M8 }, // 34
  { 0x0, 0x0, 0x4, 0x3, 0x2, PseudoVLUXEI16_V_M4_M8 }, // 35
  { 0x0, 0x0, 0x4, 0x3, 0x3, PseudoVLUXEI16_V_M8_M8 }, // 36
  { 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXEI16_V_MF4_MF8 }, // 37
  { 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXEI16_V_MF4_MF4 }, // 38
  { 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXEI16_V_MF2_MF4 }, // 39
  { 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXEI16_V_M1_MF2 }, // 40
  { 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXEI16_V_MF4_MF2 }, // 41
  { 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXEI16_V_MF2_MF2 }, // 42
  { 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXEI32_V_M1_M1 }, // 43
  { 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXEI32_V_M2_M1 }, // 44
  { 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXEI32_V_M4_M1 }, // 45
  { 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXEI32_V_MF2_M1 }, // 46
  { 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXEI32_V_M1_M2 }, // 47
  { 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXEI32_V_M2_M2 }, // 48
  { 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXEI32_V_M4_M2 }, // 49
  { 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXEI32_V_M8_M2 }, // 50
  { 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVLUXEI32_V_M2_M4 }, // 51
  { 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVLUXEI32_V_M4_M4 }, // 52
  { 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVLUXEI32_V_M8_M4 }, // 53
  { 0x0, 0x0, 0x5, 0x3, 0x2, PseudoVLUXEI32_V_M4_M8 }, // 54
  { 0x0, 0x0, 0x5, 0x3, 0x3, PseudoVLUXEI32_V_M8_M8 }, // 55
  { 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXEI32_V_MF2_MF8 }, // 56
  { 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXEI32_V_M1_MF4 }, // 57
  { 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXEI32_V_MF2_MF4 }, // 58
  { 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXEI32_V_M1_MF2 }, // 59
  { 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXEI32_V_M2_MF2 }, // 60
  { 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXEI32_V_MF2_MF2 }, // 61
  { 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXEI64_V_M1_M1 }, // 62
  { 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXEI64_V_M2_M1 }, // 63
  { 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXEI64_V_M4_M1 }, // 64
  { 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXEI64_V_M8_M1 }, // 65
  { 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXEI64_V_M2_M2 }, // 66
  { 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXEI64_V_M4_M2 }, // 67
  { 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXEI64_V_M8_M2 }, // 68
  { 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVLUXEI64_V_M4_M4 }, // 69
  { 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVLUXEI64_V_M8_M4 }, // 70
  { 0x0, 0x0, 0x6, 0x3, 0x3, PseudoVLUXEI64_V_M8_M8 }, // 71
  { 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXEI64_V_M1_MF8 }, // 72
  { 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXEI64_V_M1_MF4 }, // 73
  { 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXEI64_V_M2_MF4 }, // 74
  { 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXEI64_V_M1_MF2 }, // 75
  { 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXEI64_V_M2_MF2 }, // 76
  { 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXEI64_V_M4_MF2 }, // 77
  { 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXEI8_V_M1_M1 }, // 78
  { 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXEI8_V_MF8_M1 }, // 79
  { 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXEI8_V_MF4_M1 }, // 80
  { 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXEI8_V_MF2_M1 }, // 81
  { 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXEI8_V_M1_M2 }, // 82
  { 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXEI8_V_M2_M2 }, // 83
  { 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXEI8_V_MF4_M2 }, // 84
  { 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXEI8_V_MF2_M2 }, // 85
  { 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVLOXEI8_V_M1_M4 }, // 86
  { 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVLOXEI8_V_M2_M4 }, // 87
  { 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVLOXEI8_V_M4_M4 }, // 88
  { 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVLOXEI8_V_MF2_M4 }, // 89
  { 0x0, 0x1, 0x3, 0x3, 0x0, PseudoVLOXEI8_V_M1_M8 }, // 90
  { 0x0, 0x1, 0x3, 0x3, 0x1, PseudoVLOXEI8_V_M2_M8 }, // 91
  { 0x0, 0x1, 0x3, 0x3, 0x2, PseudoVLOXEI8_V_M4_M8 }, // 92
  { 0x0, 0x1, 0x3, 0x3, 0x3, PseudoVLOXEI8_V_M8_M8 }, // 93
  { 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXEI8_V_MF8_MF8 }, // 94
  { 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXEI8_V_MF8_MF4 }, // 95
  { 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXEI8_V_MF4_MF4 }, // 96
  { 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXEI8_V_MF8_MF2 }, // 97
  { 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXEI8_V_MF4_MF2 }, // 98
  { 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXEI8_V_MF2_MF2 }, // 99
  { 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXEI16_V_M1_M1 }, // 100
  { 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXEI16_V_M2_M1 }, // 101
  { 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXEI16_V_MF4_M1 }, // 102
  { 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXEI16_V_MF2_M1 }, // 103
  { 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXEI16_V_M1_M2 }, // 104
  { 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXEI16_V_M2_M2 }, // 105
  { 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXEI16_V_M4_M2 }, // 106
  { 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXEI16_V_MF2_M2 }, // 107
  { 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVLOXEI16_V_M1_M4 }, // 108
  { 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVLOXEI16_V_M2_M4 }, // 109
  { 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVLOXEI16_V_M4_M4 }, // 110
  { 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVLOXEI16_V_M8_M4 }, // 111
  { 0x0, 0x1, 0x4, 0x3, 0x1, PseudoVLOXEI16_V_M2_M8 }, // 112
  { 0x0, 0x1, 0x4, 0x3, 0x2, PseudoVLOXEI16_V_M4_M8 }, // 113
  { 0x0, 0x1, 0x4, 0x3, 0x3, PseudoVLOXEI16_V_M8_M8 }, // 114
  { 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXEI16_V_MF4_MF8 }, // 115
  { 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXEI16_V_MF4_MF4 }, // 116
  { 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXEI16_V_MF2_MF4 }, // 117
  { 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXEI16_V_M1_MF2 }, // 118
  { 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXEI16_V_MF4_MF2 }, // 119
  { 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXEI16_V_MF2_MF2 }, // 120
  { 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXEI32_V_M1_M1 }, // 121
  { 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXEI32_V_M2_M1 }, // 122
  { 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXEI32_V_M4_M1 }, // 123
  { 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXEI32_V_MF2_M1 }, // 124
  { 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXEI32_V_M1_M2 }, // 125
  { 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXEI32_V_M2_M2 }, // 126
  { 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXEI32_V_M4_M2 }, // 127
  { 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXEI32_V_M8_M2 }, // 128
  { 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVLOXEI32_V_M2_M4 }, // 129
  { 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVLOXEI32_V_M4_M4 }, // 130
  { 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVLOXEI32_V_M8_M4 }, // 131
  { 0x0, 0x1, 0x5, 0x3, 0x2, PseudoVLOXEI32_V_M4_M8 }, // 132
  { 0x0, 0x1, 0x5, 0x3, 0x3, PseudoVLOXEI32_V_M8_M8 }, // 133
  { 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXEI32_V_MF2_MF8 }, // 134
  { 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXEI32_V_M1_MF4 }, // 135
  { 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXEI32_V_MF2_MF4 }, // 136
  { 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXEI32_V_M1_MF2 }, // 137
  { 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXEI32_V_M2_MF2 }, // 138
  { 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXEI32_V_MF2_MF2 }, // 139
  { 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXEI64_V_M1_M1 }, // 140
  { 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXEI64_V_M2_M1 }, // 141
  { 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXEI64_V_M4_M1 }, // 142
  { 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXEI64_V_M8_M1 }, // 143
  { 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXEI64_V_M2_M2 }, // 144
  { 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXEI64_V_M4_M2 }, // 145
  { 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXEI64_V_M8_M2 }, // 146
  { 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVLOXEI64_V_M4_M4 }, // 147
  { 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVLOXEI64_V_M8_M4 }, // 148
  { 0x0, 0x1, 0x6, 0x3, 0x3, PseudoVLOXEI64_V_M8_M8 }, // 149
  { 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXEI64_V_M1_MF8 }, // 150
  { 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXEI64_V_M1_MF4 }, // 151
  { 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXEI64_V_M2_MF4 }, // 152
  { 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXEI64_V_M1_MF2 }, // 153
  { 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXEI64_V_M2_MF2 }, // 154
  { 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXEI64_V_M4_MF2 }, // 155
  { 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXEI8_V_M1_M1_MASK }, // 156
  { 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXEI8_V_MF8_M1_MASK }, // 157
  { 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXEI8_V_MF4_M1_MASK }, // 158
  { 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXEI8_V_MF2_M1_MASK }, // 159
  { 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXEI8_V_M1_M2_MASK }, // 160
  { 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXEI8_V_M2_M2_MASK }, // 161
  { 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXEI8_V_MF4_M2_MASK }, // 162
  { 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXEI8_V_MF2_M2_MASK }, // 163
  { 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXEI8_V_M1_M4_MASK }, // 164
  { 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXEI8_V_M2_M4_MASK }, // 165
  { 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXEI8_V_M4_M4_MASK }, // 166
  { 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXEI8_V_MF2_M4_MASK }, // 167
  { 0x1, 0x0, 0x3, 0x3, 0x0, PseudoVLUXEI8_V_M1_M8_MASK }, // 168
  { 0x1, 0x0, 0x3, 0x3, 0x1, PseudoVLUXEI8_V_M2_M8_MASK }, // 169
  { 0x1, 0x0, 0x3, 0x3, 0x2, PseudoVLUXEI8_V_M4_M8_MASK }, // 170
  { 0x1, 0x0, 0x3, 0x3, 0x3, PseudoVLUXEI8_V_M8_M8_MASK }, // 171
  { 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXEI8_V_MF8_MF8_MASK }, // 172
  { 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXEI8_V_MF8_MF4_MASK }, // 173
  { 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXEI8_V_MF4_MF4_MASK }, // 174
  { 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXEI8_V_MF8_MF2_MASK }, // 175
  { 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXEI8_V_MF4_MF2_MASK }, // 176
  { 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXEI8_V_MF2_MF2_MASK }, // 177
  { 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXEI16_V_M1_M1_MASK }, // 178
  { 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXEI16_V_M2_M1_MASK }, // 179
  { 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXEI16_V_MF4_M1_MASK }, // 180
  { 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXEI16_V_MF2_M1_MASK }, // 181
  { 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXEI16_V_M1_M2_MASK }, // 182
  { 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXEI16_V_M2_M2_MASK }, // 183
  { 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXEI16_V_M4_M2_MASK }, // 184
  { 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXEI16_V_MF2_M2_MASK }, // 185
  { 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXEI16_V_M1_M4_MASK }, // 186
  { 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXEI16_V_M2_M4_MASK }, // 187
  { 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXEI16_V_M4_M4_MASK }, // 188
  { 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXEI16_V_M8_M4_MASK }, // 189
  { 0x1, 0x0, 0x4, 0x3, 0x1, PseudoVLUXEI16_V_M2_M8_MASK }, // 190
  { 0x1, 0x0, 0x4, 0x3, 0x2, PseudoVLUXEI16_V_M4_M8_MASK }, // 191
  { 0x1, 0x0, 0x4, 0x3, 0x3, PseudoVLUXEI16_V_M8_M8_MASK }, // 192
  { 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXEI16_V_MF4_MF8_MASK }, // 193
  { 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXEI16_V_MF4_MF4_MASK }, // 194
  { 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXEI16_V_MF2_MF4_MASK }, // 195
  { 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXEI16_V_M1_MF2_MASK }, // 196
  { 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXEI16_V_MF4_MF2_MASK }, // 197
  { 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXEI16_V_MF2_MF2_MASK }, // 198
  { 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXEI32_V_M1_M1_MASK }, // 199
  { 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXEI32_V_M2_M1_MASK }, // 200
  { 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXEI32_V_M4_M1_MASK }, // 201
  { 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXEI32_V_MF2_M1_MASK }, // 202
  { 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXEI32_V_M1_M2_MASK }, // 203
  { 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXEI32_V_M2_M2_MASK }, // 204
  { 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXEI32_V_M4_M2_MASK }, // 205
  { 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXEI32_V_M8_M2_MASK }, // 206
  { 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXEI32_V_M2_M4_MASK }, // 207
  { 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXEI32_V_M4_M4_MASK }, // 208
  { 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXEI32_V_M8_M4_MASK }, // 209
  { 0x1, 0x0, 0x5, 0x3, 0x2, PseudoVLUXEI32_V_M4_M8_MASK }, // 210
  { 0x1, 0x0, 0x5, 0x3, 0x3, PseudoVLUXEI32_V_M8_M8_MASK }, // 211
  { 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXEI32_V_MF2_MF8_MASK }, // 212
  { 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXEI32_V_M1_MF4_MASK }, // 213
  { 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXEI32_V_MF2_MF4_MASK }, // 214
  { 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXEI32_V_M1_MF2_MASK }, // 215
  { 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXEI32_V_M2_MF2_MASK }, // 216
  { 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXEI32_V_MF2_MF2_MASK }, // 217
  { 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXEI64_V_M1_M1_MASK }, // 218
  { 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXEI64_V_M2_M1_MASK }, // 219
  { 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXEI64_V_M4_M1_MASK }, // 220
  { 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXEI64_V_M8_M1_MASK }, // 221
  { 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXEI64_V_M2_M2_MASK }, // 222
  { 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXEI64_V_M4_M2_MASK }, // 223
  { 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXEI64_V_M8_M2_MASK }, // 224
  { 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXEI64_V_M4_M4_MASK }, // 225
  { 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXEI64_V_M8_M4_MASK }, // 226
  { 0x1, 0x0, 0x6, 0x3, 0x3, PseudoVLUXEI64_V_M8_M8_MASK }, // 227
  { 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXEI64_V_M1_MF8_MASK }, // 228
  { 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXEI64_V_M1_MF4_MASK }, // 229
  { 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXEI64_V_M2_MF4_MASK }, // 230
  { 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXEI64_V_M1_MF2_MASK }, // 231
  { 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXEI64_V_M2_MF2_MASK }, // 232
  { 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXEI64_V_M4_MF2_MASK }, // 233
  { 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXEI8_V_M1_M1_MASK }, // 234
  { 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXEI8_V_MF8_M1_MASK }, // 235
  { 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXEI8_V_MF4_M1_MASK }, // 236
  { 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXEI8_V_MF2_M1_MASK }, // 237
  { 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXEI8_V_M1_M2_MASK }, // 238
  { 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXEI8_V_M2_M2_MASK }, // 239
  { 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXEI8_V_MF4_M2_MASK }, // 240
  { 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXEI8_V_MF2_M2_MASK }, // 241
  { 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXEI8_V_M1_M4_MASK }, // 242
  { 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXEI8_V_M2_M4_MASK }, // 243
  { 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXEI8_V_M4_M4_MASK }, // 244
  { 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXEI8_V_MF2_M4_MASK }, // 245
  { 0x1, 0x1, 0x3, 0x3, 0x0, PseudoVLOXEI8_V_M1_M8_MASK }, // 246
  { 0x1, 0x1, 0x3, 0x3, 0x1, PseudoVLOXEI8_V_M2_M8_MASK }, // 247
  { 0x1, 0x1, 0x3, 0x3, 0x2, PseudoVLOXEI8_V_M4_M8_MASK }, // 248
  { 0x1, 0x1, 0x3, 0x3, 0x3, PseudoVLOXEI8_V_M8_M8_MASK }, // 249
  { 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXEI8_V_MF8_MF8_MASK }, // 250
  { 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXEI8_V_MF8_MF4_MASK }, // 251
  { 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXEI8_V_MF4_MF4_MASK }, // 252
  { 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXEI8_V_MF8_MF2_MASK }, // 253
  { 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXEI8_V_MF4_MF2_MASK }, // 254
  { 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXEI8_V_MF2_MF2_MASK }, // 255
  { 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXEI16_V_M1_M1_MASK }, // 256
  { 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXEI16_V_M2_M1_MASK }, // 257
  { 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXEI16_V_MF4_M1_MASK }, // 258
  { 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXEI16_V_MF2_M1_MASK }, // 259
  { 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXEI16_V_M1_M2_MASK }, // 260
  { 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXEI16_V_M2_M2_MASK }, // 261
  { 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXEI16_V_M4_M2_MASK }, // 262
  { 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXEI16_V_MF2_M2_MASK }, // 263
  { 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXEI16_V_M1_M4_MASK }, // 264
  { 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXEI16_V_M2_M4_MASK }, // 265
  { 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXEI16_V_M4_M4_MASK }, // 266
  { 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXEI16_V_M8_M4_MASK }, // 267
  { 0x1, 0x1, 0x4, 0x3, 0x1, PseudoVLOXEI16_V_M2_M8_MASK }, // 268
  { 0x1, 0x1, 0x4, 0x3, 0x2, PseudoVLOXEI16_V_M4_M8_MASK }, // 269
  { 0x1, 0x1, 0x4, 0x3, 0x3, PseudoVLOXEI16_V_M8_M8_MASK }, // 270
  { 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXEI16_V_MF4_MF8_MASK }, // 271
  { 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXEI16_V_MF4_MF4_MASK }, // 272
  { 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXEI16_V_MF2_MF4_MASK }, // 273
  { 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXEI16_V_M1_MF2_MASK }, // 274
  { 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXEI16_V_MF4_MF2_MASK }, // 275
  { 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXEI16_V_MF2_MF2_MASK }, // 276
  { 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXEI32_V_M1_M1_MASK }, // 277
  { 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXEI32_V_M2_M1_MASK }, // 278
  { 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXEI32_V_M4_M1_MASK }, // 279
  { 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXEI32_V_MF2_M1_MASK }, // 280
  { 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXEI32_V_M1_M2_MASK }, // 281
  { 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXEI32_V_M2_M2_MASK }, // 282
  { 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXEI32_V_M4_M2_MASK }, // 283
  { 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXEI32_V_M8_M2_MASK }, // 284
  { 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXEI32_V_M2_M4_MASK }, // 285
  { 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXEI32_V_M4_M4_MASK }, // 286
  { 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXEI32_V_M8_M4_MASK }, // 287
  { 0x1, 0x1, 0x5, 0x3, 0x2, PseudoVLOXEI32_V_M4_M8_MASK }, // 288
  { 0x1, 0x1, 0x5, 0x3, 0x3, PseudoVLOXEI32_V_M8_M8_MASK }, // 289
  { 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXEI32_V_MF2_MF8_MASK }, // 290
  { 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXEI32_V_M1_MF4_MASK }, // 291
  { 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXEI32_V_MF2_MF4_MASK }, // 292
  { 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXEI32_V_M1_MF2_MASK }, // 293
  { 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXEI32_V_M2_MF2_MASK }, // 294
  { 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXEI32_V_MF2_MF2_MASK }, // 295
  { 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXEI64_V_M1_M1_MASK }, // 296
  { 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXEI64_V_M2_M1_MASK }, // 297
  { 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXEI64_V_M4_M1_MASK }, // 298
  { 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXEI64_V_M8_M1_MASK }, // 299
  { 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXEI64_V_M2_M2_MASK }, // 300
  { 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXEI64_V_M4_M2_MASK }, // 301
  { 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXEI64_V_M8_M2_MASK }, // 302
  { 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXEI64_V_M4_M4_MASK }, // 303
  { 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXEI64_V_M8_M4_MASK }, // 304
  { 0x1, 0x1, 0x6, 0x3, 0x3, PseudoVLOXEI64_V_M8_M8_MASK }, // 305
  { 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXEI64_V_M1_MF8_MASK }, // 306
  { 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXEI64_V_M1_MF4_MASK }, // 307
  { 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXEI64_V_M2_MF4_MASK }, // 308
  { 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXEI64_V_M1_MF2_MASK }, // 309
  { 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXEI64_V_M2_MF2_MASK }, // 310
  { 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXEI64_V_M4_MF2_MASK }, // 311
 };

const VLX_VSXPseudo *getVLXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  struct Comp {
    bool operator()(const VLX_VSXPseudo &LHS, const KeyType &RHS) const {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVLXTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVPseudosTable_DECL
const PseudoInfo *getPseudoInfo(unsigned Pseudo);
#endif

#ifdef GET_RISCVVPseudosTable_IMPL
constexpr PseudoInfo RISCVVPseudosTable[] = {
  { PseudoTHVdotVMAQASU_VV_M1, THVdotVMAQASU_VV }, // 0
  { PseudoTHVdotVMAQASU_VV_M1_MASK, THVdotVMAQASU_VV }, // 1
  { PseudoTHVdotVMAQASU_VV_M2, THVdotVMAQASU_VV }, // 2
  { PseudoTHVdotVMAQASU_VV_M2_MASK, THVdotVMAQASU_VV }, // 3
  { PseudoTHVdotVMAQASU_VV_M4, THVdotVMAQASU_VV }, // 4
  { PseudoTHVdotVMAQASU_VV_M4_MASK, THVdotVMAQASU_VV }, // 5
  { PseudoTHVdotVMAQASU_VV_M8, THVdotVMAQASU_VV }, // 6
  { PseudoTHVdotVMAQASU_VV_M8_MASK, THVdotVMAQASU_VV }, // 7
  { PseudoTHVdotVMAQASU_VV_MF2, THVdotVMAQASU_VV }, // 8
  { PseudoTHVdotVMAQASU_VV_MF2_MASK, THVdotVMAQASU_VV }, // 9
  { PseudoTHVdotVMAQASU_VX_M1, THVdotVMAQASU_VX }, // 10
  { PseudoTHVdotVMAQASU_VX_M1_MASK, THVdotVMAQASU_VX }, // 11
  { PseudoTHVdotVMAQASU_VX_M2, THVdotVMAQASU_VX }, // 12
  { PseudoTHVdotVMAQASU_VX_M2_MASK, THVdotVMAQASU_VX }, // 13
  { PseudoTHVdotVMAQASU_VX_M4, THVdotVMAQASU_VX }, // 14
  { PseudoTHVdotVMAQASU_VX_M4_MASK, THVdotVMAQASU_VX }, // 15
  { PseudoTHVdotVMAQASU_VX_M8, THVdotVMAQASU_VX }, // 16
  { PseudoTHVdotVMAQASU_VX_M8_MASK, THVdotVMAQASU_VX }, // 17
  { PseudoTHVdotVMAQASU_VX_MF2, THVdotVMAQASU_VX }, // 18
  { PseudoTHVdotVMAQASU_VX_MF2_MASK, THVdotVMAQASU_VX }, // 19
  { PseudoTHVdotVMAQAUS_VX_M1, THVdotVMAQAUS_VX }, // 20
  { PseudoTHVdotVMAQAUS_VX_M1_MASK, THVdotVMAQAUS_VX }, // 21
  { PseudoTHVdotVMAQAUS_VX_M2, THVdotVMAQAUS_VX }, // 22
  { PseudoTHVdotVMAQAUS_VX_M2_MASK, THVdotVMAQAUS_VX }, // 23
  { PseudoTHVdotVMAQAUS_VX_M4, THVdotVMAQAUS_VX }, // 24
  { PseudoTHVdotVMAQAUS_VX_M4_MASK, THVdotVMAQAUS_VX }, // 25
  { PseudoTHVdotVMAQAUS_VX_M8, THVdotVMAQAUS_VX }, // 26
  { PseudoTHVdotVMAQAUS_VX_M8_MASK, THVdotVMAQAUS_VX }, // 27
  { PseudoTHVdotVMAQAUS_VX_MF2, THVdotVMAQAUS_VX }, // 28
  { PseudoTHVdotVMAQAUS_VX_MF2_MASK, THVdotVMAQAUS_VX }, // 29
  { PseudoTHVdotVMAQAU_VV_M1, THVdotVMAQAU_VV }, // 30
  { PseudoTHVdotVMAQAU_VV_M1_MASK, THVdotVMAQAU_VV }, // 31
  { PseudoTHVdotVMAQAU_VV_M2, THVdotVMAQAU_VV }, // 32
  { PseudoTHVdotVMAQAU_VV_M2_MASK, THVdotVMAQAU_VV }, // 33
  { PseudoTHVdotVMAQAU_VV_M4, THVdotVMAQAU_VV }, // 34
  { PseudoTHVdotVMAQAU_VV_M4_MASK, THVdotVMAQAU_VV }, // 35
  { PseudoTHVdotVMAQAU_VV_M8, THVdotVMAQAU_VV }, // 36
  { PseudoTHVdotVMAQAU_VV_M8_MASK, THVdotVMAQAU_VV }, // 37
  { PseudoTHVdotVMAQAU_VV_MF2, THVdotVMAQAU_VV }, // 38
  { PseudoTHVdotVMAQAU_VV_MF2_MASK, THVdotVMAQAU_VV }, // 39
  { PseudoTHVdotVMAQAU_VX_M1, THVdotVMAQAU_VX }, // 40
  { PseudoTHVdotVMAQAU_VX_M1_MASK, THVdotVMAQAU_VX }, // 41
  { PseudoTHVdotVMAQAU_VX_M2, THVdotVMAQAU_VX }, // 42
  { PseudoTHVdotVMAQAU_VX_M2_MASK, THVdotVMAQAU_VX }, // 43
  { PseudoTHVdotVMAQAU_VX_M4, THVdotVMAQAU_VX }, // 44
  { PseudoTHVdotVMAQAU_VX_M4_MASK, THVdotVMAQAU_VX }, // 45
  { PseudoTHVdotVMAQAU_VX_M8, THVdotVMAQAU_VX }, // 46
  { PseudoTHVdotVMAQAU_VX_M8_MASK, THVdotVMAQAU_VX }, // 47
  { PseudoTHVdotVMAQAU_VX_MF2, THVdotVMAQAU_VX }, // 48
  { PseudoTHVdotVMAQAU_VX_MF2_MASK, THVdotVMAQAU_VX }, // 49
  { PseudoTHVdotVMAQA_VV_M1, THVdotVMAQA_VV }, // 50
  { PseudoTHVdotVMAQA_VV_M1_MASK, THVdotVMAQA_VV }, // 51
  { PseudoTHVdotVMAQA_VV_M2, THVdotVMAQA_VV }, // 52
  { PseudoTHVdotVMAQA_VV_M2_MASK, THVdotVMAQA_VV }, // 53
  { PseudoTHVdotVMAQA_VV_M4, THVdotVMAQA_VV }, // 54
  { PseudoTHVdotVMAQA_VV_M4_MASK, THVdotVMAQA_VV }, // 55
  { PseudoTHVdotVMAQA_VV_M8, THVdotVMAQA_VV }, // 56
  { PseudoTHVdotVMAQA_VV_M8_MASK, THVdotVMAQA_VV }, // 57
  { PseudoTHVdotVMAQA_VV_MF2, THVdotVMAQA_VV }, // 58
  { PseudoTHVdotVMAQA_VV_MF2_MASK, THVdotVMAQA_VV }, // 59
  { PseudoTHVdotVMAQA_VX_M1, THVdotVMAQA_VX }, // 60
  { PseudoTHVdotVMAQA_VX_M1_MASK, THVdotVMAQA_VX }, // 61
  { PseudoTHVdotVMAQA_VX_M2, THVdotVMAQA_VX }, // 62
  { PseudoTHVdotVMAQA_VX_M2_MASK, THVdotVMAQA_VX }, // 63
  { PseudoTHVdotVMAQA_VX_M4, THVdotVMAQA_VX }, // 64
  { PseudoTHVdotVMAQA_VX_M4_MASK, THVdotVMAQA_VX }, // 65
  { PseudoTHVdotVMAQA_VX_M8, THVdotVMAQA_VX }, // 66
  { PseudoTHVdotVMAQA_VX_M8_MASK, THVdotVMAQA_VX }, // 67
  { PseudoTHVdotVMAQA_VX_MF2, THVdotVMAQA_VX }, // 68
  { PseudoTHVdotVMAQA_VX_MF2_MASK, THVdotVMAQA_VX }, // 69
  { PseudoVAADDU_VV_M1, VAADDU_VV }, // 70
  { PseudoVAADDU_VV_M1_MASK, VAADDU_VV }, // 71
  { PseudoVAADDU_VV_M2, VAADDU_VV }, // 72
  { PseudoVAADDU_VV_M2_MASK, VAADDU_VV }, // 73
  { PseudoVAADDU_VV_M4, VAADDU_VV }, // 74
  { PseudoVAADDU_VV_M4_MASK, VAADDU_VV }, // 75
  { PseudoVAADDU_VV_M8, VAADDU_VV }, // 76
  { PseudoVAADDU_VV_M8_MASK, VAADDU_VV }, // 77
  { PseudoVAADDU_VV_MF2, VAADDU_VV }, // 78
  { PseudoVAADDU_VV_MF2_MASK, VAADDU_VV }, // 79
  { PseudoVAADDU_VV_MF4, VAADDU_VV }, // 80
  { PseudoVAADDU_VV_MF4_MASK, VAADDU_VV }, // 81
  { PseudoVAADDU_VV_MF8, VAADDU_VV }, // 82
  { PseudoVAADDU_VV_MF8_MASK, VAADDU_VV }, // 83
  { PseudoVAADDU_VX_M1, VAADDU_VX }, // 84
  { PseudoVAADDU_VX_M1_MASK, VAADDU_VX }, // 85
  { PseudoVAADDU_VX_M2, VAADDU_VX }, // 86
  { PseudoVAADDU_VX_M2_MASK, VAADDU_VX }, // 87
  { PseudoVAADDU_VX_M4, VAADDU_VX }, // 88
  { PseudoVAADDU_VX_M4_MASK, VAADDU_VX }, // 89
  { PseudoVAADDU_VX_M8, VAADDU_VX }, // 90
  { PseudoVAADDU_VX_M8_MASK, VAADDU_VX }, // 91
  { PseudoVAADDU_VX_MF2, VAADDU_VX }, // 92
  { PseudoVAADDU_VX_MF2_MASK, VAADDU_VX }, // 93
  { PseudoVAADDU_VX_MF4, VAADDU_VX }, // 94
  { PseudoVAADDU_VX_MF4_MASK, VAADDU_VX }, // 95
  { PseudoVAADDU_VX_MF8, VAADDU_VX }, // 96
  { PseudoVAADDU_VX_MF8_MASK, VAADDU_VX }, // 97
  { PseudoVAADD_VV_M1, VAADD_VV }, // 98
  { PseudoVAADD_VV_M1_MASK, VAADD_VV }, // 99
  { PseudoVAADD_VV_M2, VAADD_VV }, // 100
  { PseudoVAADD_VV_M2_MASK, VAADD_VV }, // 101
  { PseudoVAADD_VV_M4, VAADD_VV }, // 102
  { PseudoVAADD_VV_M4_MASK, VAADD_VV }, // 103
  { PseudoVAADD_VV_M8, VAADD_VV }, // 104
  { PseudoVAADD_VV_M8_MASK, VAADD_VV }, // 105
  { PseudoVAADD_VV_MF2, VAADD_VV }, // 106
  { PseudoVAADD_VV_MF2_MASK, VAADD_VV }, // 107
  { PseudoVAADD_VV_MF4, VAADD_VV }, // 108
  { PseudoVAADD_VV_MF4_MASK, VAADD_VV }, // 109
  { PseudoVAADD_VV_MF8, VAADD_VV }, // 110
  { PseudoVAADD_VV_MF8_MASK, VAADD_VV }, // 111
  { PseudoVAADD_VX_M1, VAADD_VX }, // 112
  { PseudoVAADD_VX_M1_MASK, VAADD_VX }, // 113
  { PseudoVAADD_VX_M2, VAADD_VX }, // 114
  { PseudoVAADD_VX_M2_MASK, VAADD_VX }, // 115
  { PseudoVAADD_VX_M4, VAADD_VX }, // 116
  { PseudoVAADD_VX_M4_MASK, VAADD_VX }, // 117
  { PseudoVAADD_VX_M8, VAADD_VX }, // 118
  { PseudoVAADD_VX_M8_MASK, VAADD_VX }, // 119
  { PseudoVAADD_VX_MF2, VAADD_VX }, // 120
  { PseudoVAADD_VX_MF2_MASK, VAADD_VX }, // 121
  { PseudoVAADD_VX_MF4, VAADD_VX }, // 122
  { PseudoVAADD_VX_MF4_MASK, VAADD_VX }, // 123
  { PseudoVAADD_VX_MF8, VAADD_VX }, // 124
  { PseudoVAADD_VX_MF8_MASK, VAADD_VX }, // 125
  { PseudoVADC_VIM_M1, VADC_VIM }, // 126
  { PseudoVADC_VIM_M2, VADC_VIM }, // 127
  { PseudoVADC_VIM_M4, VADC_VIM }, // 128
  { PseudoVADC_VIM_M8, VADC_VIM }, // 129
  { PseudoVADC_VIM_MF2, VADC_VIM }, // 130
  { PseudoVADC_VIM_MF4, VADC_VIM }, // 131
  { PseudoVADC_VIM_MF8, VADC_VIM }, // 132
  { PseudoVADC_VVM_M1, VADC_VVM }, // 133
  { PseudoVADC_VVM_M2, VADC_VVM }, // 134
  { PseudoVADC_VVM_M4, VADC_VVM }, // 135
  { PseudoVADC_VVM_M8, VADC_VVM }, // 136
  { PseudoVADC_VVM_MF2, VADC_VVM }, // 137
  { PseudoVADC_VVM_MF4, VADC_VVM }, // 138
  { PseudoVADC_VVM_MF8, VADC_VVM }, // 139
  { PseudoVADC_VXM_M1, VADC_VXM }, // 140
  { PseudoVADC_VXM_M2, VADC_VXM }, // 141
  { PseudoVADC_VXM_M4, VADC_VXM }, // 142
  { PseudoVADC_VXM_M8, VADC_VXM }, // 143
  { PseudoVADC_VXM_MF2, VADC_VXM }, // 144
  { PseudoVADC_VXM_MF4, VADC_VXM }, // 145
  { PseudoVADC_VXM_MF8, VADC_VXM }, // 146
  { PseudoVADD_VI_M1, VADD_VI }, // 147
  { PseudoVADD_VI_M1_MASK, VADD_VI }, // 148
  { PseudoVADD_VI_M2, VADD_VI }, // 149
  { PseudoVADD_VI_M2_MASK, VADD_VI }, // 150
  { PseudoVADD_VI_M4, VADD_VI }, // 151
  { PseudoVADD_VI_M4_MASK, VADD_VI }, // 152
  { PseudoVADD_VI_M8, VADD_VI }, // 153
  { PseudoVADD_VI_M8_MASK, VADD_VI }, // 154
  { PseudoVADD_VI_MF2, VADD_VI }, // 155
  { PseudoVADD_VI_MF2_MASK, VADD_VI }, // 156
  { PseudoVADD_VI_MF4, VADD_VI }, // 157
  { PseudoVADD_VI_MF4_MASK, VADD_VI }, // 158
  { PseudoVADD_VI_MF8, VADD_VI }, // 159
  { PseudoVADD_VI_MF8_MASK, VADD_VI }, // 160
  { PseudoVADD_VV_M1, VADD_VV }, // 161
  { PseudoVADD_VV_M1_MASK, VADD_VV }, // 162
  { PseudoVADD_VV_M2, VADD_VV }, // 163
  { PseudoVADD_VV_M2_MASK, VADD_VV }, // 164
  { PseudoVADD_VV_M4, VADD_VV }, // 165
  { PseudoVADD_VV_M4_MASK, VADD_VV }, // 166
  { PseudoVADD_VV_M8, VADD_VV }, // 167
  { PseudoVADD_VV_M8_MASK, VADD_VV }, // 168
  { PseudoVADD_VV_MF2, VADD_VV }, // 169
  { PseudoVADD_VV_MF2_MASK, VADD_VV }, // 170
  { PseudoVADD_VV_MF4, VADD_VV }, // 171
  { PseudoVADD_VV_MF4_MASK, VADD_VV }, // 172
  { PseudoVADD_VV_MF8, VADD_VV }, // 173
  { PseudoVADD_VV_MF8_MASK, VADD_VV }, // 174
  { PseudoVADD_VX_M1, VADD_VX }, // 175
  { PseudoVADD_VX_M1_MASK, VADD_VX }, // 176
  { PseudoVADD_VX_M2, VADD_VX }, // 177
  { PseudoVADD_VX_M2_MASK, VADD_VX }, // 178
  { PseudoVADD_VX_M4, VADD_VX }, // 179
  { PseudoVADD_VX_M4_MASK, VADD_VX }, // 180
  { PseudoVADD_VX_M8, VADD_VX }, // 181
  { PseudoVADD_VX_M8_MASK, VADD_VX }, // 182
  { PseudoVADD_VX_MF2, VADD_VX }, // 183
  { PseudoVADD_VX_MF2_MASK, VADD_VX }, // 184
  { PseudoVADD_VX_MF4, VADD_VX }, // 185
  { PseudoVADD_VX_MF4_MASK, VADD_VX }, // 186
  { PseudoVADD_VX_MF8, VADD_VX }, // 187
  { PseudoVADD_VX_MF8_MASK, VADD_VX }, // 188
  { PseudoVAESDF_VS_M1_M1, VAESDF_VS }, // 189
  { PseudoVAESDF_VS_M1_MF2, VAESDF_VS }, // 190
  { PseudoVAESDF_VS_M1_MF4, VAESDF_VS }, // 191
  { PseudoVAESDF_VS_M1_MF8, VAESDF_VS }, // 192
  { PseudoVAESDF_VS_M2_M1, VAESDF_VS }, // 193
  { PseudoVAESDF_VS_M2_M2, VAESDF_VS }, // 194
  { PseudoVAESDF_VS_M2_MF2, VAESDF_VS }, // 195
  { PseudoVAESDF_VS_M2_MF4, VAESDF_VS }, // 196
  { PseudoVAESDF_VS_M2_MF8, VAESDF_VS }, // 197
  { PseudoVAESDF_VS_M4_M1, VAESDF_VS }, // 198
  { PseudoVAESDF_VS_M4_M2, VAESDF_VS }, // 199
  { PseudoVAESDF_VS_M4_M4, VAESDF_VS }, // 200
  { PseudoVAESDF_VS_M4_MF2, VAESDF_VS }, // 201
  { PseudoVAESDF_VS_M4_MF4, VAESDF_VS }, // 202
  { PseudoVAESDF_VS_M4_MF8, VAESDF_VS }, // 203
  { PseudoVAESDF_VS_M8_M1, VAESDF_VS }, // 204
  { PseudoVAESDF_VS_M8_M2, VAESDF_VS }, // 205
  { PseudoVAESDF_VS_M8_M4, VAESDF_VS }, // 206
  { PseudoVAESDF_VS_M8_MF2, VAESDF_VS }, // 207
  { PseudoVAESDF_VS_M8_MF4, VAESDF_VS }, // 208
  { PseudoVAESDF_VS_M8_MF8, VAESDF_VS }, // 209
  { PseudoVAESDF_VS_MF2_MF2, VAESDF_VS }, // 210
  { PseudoVAESDF_VS_MF2_MF4, VAESDF_VS }, // 211
  { PseudoVAESDF_VS_MF2_MF8, VAESDF_VS }, // 212
  { PseudoVAESDF_VV_M1, VAESDF_VV }, // 213
  { PseudoVAESDF_VV_M2, VAESDF_VV }, // 214
  { PseudoVAESDF_VV_M4, VAESDF_VV }, // 215
  { PseudoVAESDF_VV_M8, VAESDF_VV }, // 216
  { PseudoVAESDF_VV_MF2, VAESDF_VV }, // 217
  { PseudoVAESDM_VS_M1_M1, VAESDM_VS }, // 218
  { PseudoVAESDM_VS_M1_MF2, VAESDM_VS }, // 219
  { PseudoVAESDM_VS_M1_MF4, VAESDM_VS }, // 220
  { PseudoVAESDM_VS_M1_MF8, VAESDM_VS }, // 221
  { PseudoVAESDM_VS_M2_M1, VAESDM_VS }, // 222
  { PseudoVAESDM_VS_M2_M2, VAESDM_VS }, // 223
  { PseudoVAESDM_VS_M2_MF2, VAESDM_VS }, // 224
  { PseudoVAESDM_VS_M2_MF4, VAESDM_VS }, // 225
  { PseudoVAESDM_VS_M2_MF8, VAESDM_VS }, // 226
  { PseudoVAESDM_VS_M4_M1, VAESDM_VS }, // 227
  { PseudoVAESDM_VS_M4_M2, VAESDM_VS }, // 228
  { PseudoVAESDM_VS_M4_M4, VAESDM_VS }, // 229
  { PseudoVAESDM_VS_M4_MF2, VAESDM_VS }, // 230
  { PseudoVAESDM_VS_M4_MF4, VAESDM_VS }, // 231
  { PseudoVAESDM_VS_M4_MF8, VAESDM_VS }, // 232
  { PseudoVAESDM_VS_M8_M1, VAESDM_VS }, // 233
  { PseudoVAESDM_VS_M8_M2, VAESDM_VS }, // 234
  { PseudoVAESDM_VS_M8_M4, VAESDM_VS }, // 235
  { PseudoVAESDM_VS_M8_MF2, VAESDM_VS }, // 236
  { PseudoVAESDM_VS_M8_MF4, VAESDM_VS }, // 237
  { PseudoVAESDM_VS_M8_MF8, VAESDM_VS }, // 238
  { PseudoVAESDM_VS_MF2_MF2, VAESDM_VS }, // 239
  { PseudoVAESDM_VS_MF2_MF4, VAESDM_VS }, // 240
  { PseudoVAESDM_VS_MF2_MF8, VAESDM_VS }, // 241
  { PseudoVAESDM_VV_M1, VAESDM_VV }, // 242
  { PseudoVAESDM_VV_M2, VAESDM_VV }, // 243
  { PseudoVAESDM_VV_M4, VAESDM_VV }, // 244
  { PseudoVAESDM_VV_M8, VAESDM_VV }, // 245
  { PseudoVAESDM_VV_MF2, VAESDM_VV }, // 246
  { PseudoVAESEF_VS_M1_M1, VAESEF_VS }, // 247
  { PseudoVAESEF_VS_M1_MF2, VAESEF_VS }, // 248
  { PseudoVAESEF_VS_M1_MF4, VAESEF_VS }, // 249
  { PseudoVAESEF_VS_M1_MF8, VAESEF_VS }, // 250
  { PseudoVAESEF_VS_M2_M1, VAESEF_VS }, // 251
  { PseudoVAESEF_VS_M2_M2, VAESEF_VS }, // 252
  { PseudoVAESEF_VS_M2_MF2, VAESEF_VS }, // 253
  { PseudoVAESEF_VS_M2_MF4, VAESEF_VS }, // 254
  { PseudoVAESEF_VS_M2_MF8, VAESEF_VS }, // 255
  { PseudoVAESEF_VS_M4_M1, VAESEF_VS }, // 256
  { PseudoVAESEF_VS_M4_M2, VAESEF_VS }, // 257
  { PseudoVAESEF_VS_M4_M4, VAESEF_VS }, // 258
  { PseudoVAESEF_VS_M4_MF2, VAESEF_VS }, // 259
  { PseudoVAESEF_VS_M4_MF4, VAESEF_VS }, // 260
  { PseudoVAESEF_VS_M4_MF8, VAESEF_VS }, // 261
  { PseudoVAESEF_VS_M8_M1, VAESEF_VS }, // 262
  { PseudoVAESEF_VS_M8_M2, VAESEF_VS }, // 263
  { PseudoVAESEF_VS_M8_M4, VAESEF_VS }, // 264
  { PseudoVAESEF_VS_M8_MF2, VAESEF_VS }, // 265
  { PseudoVAESEF_VS_M8_MF4, VAESEF_VS }, // 266
  { PseudoVAESEF_VS_M8_MF8, VAESEF_VS }, // 267
  { PseudoVAESEF_VS_MF2_MF2, VAESEF_VS }, // 268
  { PseudoVAESEF_VS_MF2_MF4, VAESEF_VS }, // 269
  { PseudoVAESEF_VS_MF2_MF8, VAESEF_VS }, // 270
  { PseudoVAESEF_VV_M1, VAESEF_VV }, // 271
  { PseudoVAESEF_VV_M2, VAESEF_VV }, // 272
  { PseudoVAESEF_VV_M4, VAESEF_VV }, // 273
  { PseudoVAESEF_VV_M8, VAESEF_VV }, // 274
  { PseudoVAESEF_VV_MF2, VAESEF_VV }, // 275
  { PseudoVAESEM_VS_M1_M1, VAESEM_VS }, // 276
  { PseudoVAESEM_VS_M1_MF2, VAESEM_VS }, // 277
  { PseudoVAESEM_VS_M1_MF4, VAESEM_VS }, // 278
  { PseudoVAESEM_VS_M1_MF8, VAESEM_VS }, // 279
  { PseudoVAESEM_VS_M2_M1, VAESEM_VS }, // 280
  { PseudoVAESEM_VS_M2_M2, VAESEM_VS }, // 281
  { PseudoVAESEM_VS_M2_MF2, VAESEM_VS }, // 282
  { PseudoVAESEM_VS_M2_MF4, VAESEM_VS }, // 283
  { PseudoVAESEM_VS_M2_MF8, VAESEM_VS }, // 284
  { PseudoVAESEM_VS_M4_M1, VAESEM_VS }, // 285
  { PseudoVAESEM_VS_M4_M2, VAESEM_VS }, // 286
  { PseudoVAESEM_VS_M4_M4, VAESEM_VS }, // 287
  { PseudoVAESEM_VS_M4_MF2, VAESEM_VS }, // 288
  { PseudoVAESEM_VS_M4_MF4, VAESEM_VS }, // 289
  { PseudoVAESEM_VS_M4_MF8, VAESEM_VS }, // 290
  { PseudoVAESEM_VS_M8_M1, VAESEM_VS }, // 291
  { PseudoVAESEM_VS_M8_M2, VAESEM_VS }, // 292
  { PseudoVAESEM_VS_M8_M4, VAESEM_VS }, // 293
  { PseudoVAESEM_VS_M8_MF2, VAESEM_VS }, // 294
  { PseudoVAESEM_VS_M8_MF4, VAESEM_VS }, // 295
  { PseudoVAESEM_VS_M8_MF8, VAESEM_VS }, // 296
  { PseudoVAESEM_VS_MF2_MF2, VAESEM_VS }, // 297
  { PseudoVAESEM_VS_MF2_MF4, VAESEM_VS }, // 298
  { PseudoVAESEM_VS_MF2_MF8, VAESEM_VS }, // 299
  { PseudoVAESEM_VV_M1, VAESEM_VV }, // 300
  { PseudoVAESEM_VV_M2, VAESEM_VV }, // 301
  { PseudoVAESEM_VV_M4, VAESEM_VV }, // 302
  { PseudoVAESEM_VV_M8, VAESEM_VV }, // 303
  { PseudoVAESEM_VV_MF2, VAESEM_VV }, // 304
  { PseudoVAESKF1_VI_M1, VAESKF1_VI }, // 305
  { PseudoVAESKF1_VI_M2, VAESKF1_VI }, // 306
  { PseudoVAESKF1_VI_M4, VAESKF1_VI }, // 307
  { PseudoVAESKF1_VI_M8, VAESKF1_VI }, // 308
  { PseudoVAESKF1_VI_MF2, VAESKF1_VI }, // 309
  { PseudoVAESKF2_VI_M1, VAESKF2_VI }, // 310
  { PseudoVAESKF2_VI_M2, VAESKF2_VI }, // 311
  { PseudoVAESKF2_VI_M4, VAESKF2_VI }, // 312
  { PseudoVAESKF2_VI_M8, VAESKF2_VI }, // 313
  { PseudoVAESKF2_VI_MF2, VAESKF2_VI }, // 314
  { PseudoVAESZ_VS_M1_M1, VAESZ_VS }, // 315
  { PseudoVAESZ_VS_M1_MF2, VAESZ_VS }, // 316
  { PseudoVAESZ_VS_M1_MF4, VAESZ_VS }, // 317
  { PseudoVAESZ_VS_M1_MF8, VAESZ_VS }, // 318
  { PseudoVAESZ_VS_M2_M1, VAESZ_VS }, // 319
  { PseudoVAESZ_VS_M2_M2, VAESZ_VS }, // 320
  { PseudoVAESZ_VS_M2_MF2, VAESZ_VS }, // 321
  { PseudoVAESZ_VS_M2_MF4, VAESZ_VS }, // 322
  { PseudoVAESZ_VS_M2_MF8, VAESZ_VS }, // 323
  { PseudoVAESZ_VS_M4_M1, VAESZ_VS }, // 324
  { PseudoVAESZ_VS_M4_M2, VAESZ_VS }, // 325
  { PseudoVAESZ_VS_M4_M4, VAESZ_VS }, // 326
  { PseudoVAESZ_VS_M4_MF2, VAESZ_VS }, // 327
  { PseudoVAESZ_VS_M4_MF4, VAESZ_VS }, // 328
  { PseudoVAESZ_VS_M4_MF8, VAESZ_VS }, // 329
  { PseudoVAESZ_VS_M8_M1, VAESZ_VS }, // 330
  { PseudoVAESZ_VS_M8_M2, VAESZ_VS }, // 331
  { PseudoVAESZ_VS_M8_M4, VAESZ_VS }, // 332
  { PseudoVAESZ_VS_M8_MF2, VAESZ_VS }, // 333
  { PseudoVAESZ_VS_M8_MF4, VAESZ_VS }, // 334
  { PseudoVAESZ_VS_M8_MF8, VAESZ_VS }, // 335
  { PseudoVAESZ_VS_MF2_MF2, VAESZ_VS }, // 336
  { PseudoVAESZ_VS_MF2_MF4, VAESZ_VS }, // 337
  { PseudoVAESZ_VS_MF2_MF8, VAESZ_VS }, // 338
  { PseudoVANDN_VV_M1, VANDN_VV }, // 339
  { PseudoVANDN_VV_M1_MASK, VANDN_VV }, // 340
  { PseudoVANDN_VV_M2, VANDN_VV }, // 341
  { PseudoVANDN_VV_M2_MASK, VANDN_VV }, // 342
  { PseudoVANDN_VV_M4, VANDN_VV }, // 343
  { PseudoVANDN_VV_M4_MASK, VANDN_VV }, // 344
  { PseudoVANDN_VV_M8, VANDN_VV }, // 345
  { PseudoVANDN_VV_M8_MASK, VANDN_VV }, // 346
  { PseudoVANDN_VV_MF2, VANDN_VV }, // 347
  { PseudoVANDN_VV_MF2_MASK, VANDN_VV }, // 348
  { PseudoVANDN_VV_MF4, VANDN_VV }, // 349
  { PseudoVANDN_VV_MF4_MASK, VANDN_VV }, // 350
  { PseudoVANDN_VV_MF8, VANDN_VV }, // 351
  { PseudoVANDN_VV_MF8_MASK, VANDN_VV }, // 352
  { PseudoVANDN_VX_M1, VANDN_VX }, // 353
  { PseudoVANDN_VX_M1_MASK, VANDN_VX }, // 354
  { PseudoVANDN_VX_M2, VANDN_VX }, // 355
  { PseudoVANDN_VX_M2_MASK, VANDN_VX }, // 356
  { PseudoVANDN_VX_M4, VANDN_VX }, // 357
  { PseudoVANDN_VX_M4_MASK, VANDN_VX }, // 358
  { PseudoVANDN_VX_M8, VANDN_VX }, // 359
  { PseudoVANDN_VX_M8_MASK, VANDN_VX }, // 360
  { PseudoVANDN_VX_MF2, VANDN_VX }, // 361
  { PseudoVANDN_VX_MF2_MASK, VANDN_VX }, // 362
  { PseudoVANDN_VX_MF4, VANDN_VX }, // 363
  { PseudoVANDN_VX_MF4_MASK, VANDN_VX }, // 364
  { PseudoVANDN_VX_MF8, VANDN_VX }, // 365
  { PseudoVANDN_VX_MF8_MASK, VANDN_VX }, // 366
  { PseudoVAND_VI_M1, VAND_VI }, // 367
  { PseudoVAND_VI_M1_MASK, VAND_VI }, // 368
  { PseudoVAND_VI_M2, VAND_VI }, // 369
  { PseudoVAND_VI_M2_MASK, VAND_VI }, // 370
  { PseudoVAND_VI_M4, VAND_VI }, // 371
  { PseudoVAND_VI_M4_MASK, VAND_VI }, // 372
  { PseudoVAND_VI_M8, VAND_VI }, // 373
  { PseudoVAND_VI_M8_MASK, VAND_VI }, // 374
  { PseudoVAND_VI_MF2, VAND_VI }, // 375
  { PseudoVAND_VI_MF2_MASK, VAND_VI }, // 376
  { PseudoVAND_VI_MF4, VAND_VI }, // 377
  { PseudoVAND_VI_MF4_MASK, VAND_VI }, // 378
  { PseudoVAND_VI_MF8, VAND_VI }, // 379
  { PseudoVAND_VI_MF8_MASK, VAND_VI }, // 380
  { PseudoVAND_VV_M1, VAND_VV }, // 381
  { PseudoVAND_VV_M1_MASK, VAND_VV }, // 382
  { PseudoVAND_VV_M2, VAND_VV }, // 383
  { PseudoVAND_VV_M2_MASK, VAND_VV }, // 384
  { PseudoVAND_VV_M4, VAND_VV }, // 385
  { PseudoVAND_VV_M4_MASK, VAND_VV }, // 386
  { PseudoVAND_VV_M8, VAND_VV }, // 387
  { PseudoVAND_VV_M8_MASK, VAND_VV }, // 388
  { PseudoVAND_VV_MF2, VAND_VV }, // 389
  { PseudoVAND_VV_MF2_MASK, VAND_VV }, // 390
  { PseudoVAND_VV_MF4, VAND_VV }, // 391
  { PseudoVAND_VV_MF4_MASK, VAND_VV }, // 392
  { PseudoVAND_VV_MF8, VAND_VV }, // 393
  { PseudoVAND_VV_MF8_MASK, VAND_VV }, // 394
  { PseudoVAND_VX_M1, VAND_VX }, // 395
  { PseudoVAND_VX_M1_MASK, VAND_VX }, // 396
  { PseudoVAND_VX_M2, VAND_VX }, // 397
  { PseudoVAND_VX_M2_MASK, VAND_VX }, // 398
  { PseudoVAND_VX_M4, VAND_VX }, // 399
  { PseudoVAND_VX_M4_MASK, VAND_VX }, // 400
  { PseudoVAND_VX_M8, VAND_VX }, // 401
  { PseudoVAND_VX_M8_MASK, VAND_VX }, // 402
  { PseudoVAND_VX_MF2, VAND_VX }, // 403
  { PseudoVAND_VX_MF2_MASK, VAND_VX }, // 404
  { PseudoVAND_VX_MF4, VAND_VX }, // 405
  { PseudoVAND_VX_MF4_MASK, VAND_VX }, // 406
  { PseudoVAND_VX_MF8, VAND_VX }, // 407
  { PseudoVAND_VX_MF8_MASK, VAND_VX }, // 408
  { PseudoVASUBU_VV_M1, VASUBU_VV }, // 409
  { PseudoVASUBU_VV_M1_MASK, VASUBU_VV }, // 410
  { PseudoVASUBU_VV_M2, VASUBU_VV }, // 411
  { PseudoVASUBU_VV_M2_MASK, VASUBU_VV }, // 412
  { PseudoVASUBU_VV_M4, VASUBU_VV }, // 413
  { PseudoVASUBU_VV_M4_MASK, VASUBU_VV }, // 414
  { PseudoVASUBU_VV_M8, VASUBU_VV }, // 415
  { PseudoVASUBU_VV_M8_MASK, VASUBU_VV }, // 416
  { PseudoVASUBU_VV_MF2, VASUBU_VV }, // 417
  { PseudoVASUBU_VV_MF2_MASK, VASUBU_VV }, // 418
  { PseudoVASUBU_VV_MF4, VASUBU_VV }, // 419
  { PseudoVASUBU_VV_MF4_MASK, VASUBU_VV }, // 420
  { PseudoVASUBU_VV_MF8, VASUBU_VV }, // 421
  { PseudoVASUBU_VV_MF8_MASK, VASUBU_VV }, // 422
  { PseudoVASUBU_VX_M1, VASUBU_VX }, // 423
  { PseudoVASUBU_VX_M1_MASK, VASUBU_VX }, // 424
  { PseudoVASUBU_VX_M2, VASUBU_VX }, // 425
  { PseudoVASUBU_VX_M2_MASK, VASUBU_VX }, // 426
  { PseudoVASUBU_VX_M4, VASUBU_VX }, // 427
  { PseudoVASUBU_VX_M4_MASK, VASUBU_VX }, // 428
  { PseudoVASUBU_VX_M8, VASUBU_VX }, // 429
  { PseudoVASUBU_VX_M8_MASK, VASUBU_VX }, // 430
  { PseudoVASUBU_VX_MF2, VASUBU_VX }, // 431
  { PseudoVASUBU_VX_MF2_MASK, VASUBU_VX }, // 432
  { PseudoVASUBU_VX_MF4, VASUBU_VX }, // 433
  { PseudoVASUBU_VX_MF4_MASK, VASUBU_VX }, // 434
  { PseudoVASUBU_VX_MF8, VASUBU_VX }, // 435
  { PseudoVASUBU_VX_MF8_MASK, VASUBU_VX }, // 436
  { PseudoVASUB_VV_M1, VASUB_VV }, // 437
  { PseudoVASUB_VV_M1_MASK, VASUB_VV }, // 438
  { PseudoVASUB_VV_M2, VASUB_VV }, // 439
  { PseudoVASUB_VV_M2_MASK, VASUB_VV }, // 440
  { PseudoVASUB_VV_M4, VASUB_VV }, // 441
  { PseudoVASUB_VV_M4_MASK, VASUB_VV }, // 442
  { PseudoVASUB_VV_M8, VASUB_VV }, // 443
  { PseudoVASUB_VV_M8_MASK, VASUB_VV }, // 444
  { PseudoVASUB_VV_MF2, VASUB_VV }, // 445
  { PseudoVASUB_VV_MF2_MASK, VASUB_VV }, // 446
  { PseudoVASUB_VV_MF4, VASUB_VV }, // 447
  { PseudoVASUB_VV_MF4_MASK, VASUB_VV }, // 448
  { PseudoVASUB_VV_MF8, VASUB_VV }, // 449
  { PseudoVASUB_VV_MF8_MASK, VASUB_VV }, // 450
  { PseudoVASUB_VX_M1, VASUB_VX }, // 451
  { PseudoVASUB_VX_M1_MASK, VASUB_VX }, // 452
  { PseudoVASUB_VX_M2, VASUB_VX }, // 453
  { PseudoVASUB_VX_M2_MASK, VASUB_VX }, // 454
  { PseudoVASUB_VX_M4, VASUB_VX }, // 455
  { PseudoVASUB_VX_M4_MASK, VASUB_VX }, // 456
  { PseudoVASUB_VX_M8, VASUB_VX }, // 457
  { PseudoVASUB_VX_M8_MASK, VASUB_VX }, // 458
  { PseudoVASUB_VX_MF2, VASUB_VX }, // 459
  { PseudoVASUB_VX_MF2_MASK, VASUB_VX }, // 460
  { PseudoVASUB_VX_MF4, VASUB_VX }, // 461
  { PseudoVASUB_VX_MF4_MASK, VASUB_VX }, // 462
  { PseudoVASUB_VX_MF8, VASUB_VX }, // 463
  { PseudoVASUB_VX_MF8_MASK, VASUB_VX }, // 464
  { PseudoVBREV8_V_M1, VBREV8_V }, // 465
  { PseudoVBREV8_V_M1_MASK, VBREV8_V }, // 466
  { PseudoVBREV8_V_M2, VBREV8_V }, // 467
  { PseudoVBREV8_V_M2_MASK, VBREV8_V }, // 468
  { PseudoVBREV8_V_M4, VBREV8_V }, // 469
  { PseudoVBREV8_V_M4_MASK, VBREV8_V }, // 470
  { PseudoVBREV8_V_M8, VBREV8_V }, // 471
  { PseudoVBREV8_V_M8_MASK, VBREV8_V }, // 472
  { PseudoVBREV8_V_MF2, VBREV8_V }, // 473
  { PseudoVBREV8_V_MF2_MASK, VBREV8_V }, // 474
  { PseudoVBREV8_V_MF4, VBREV8_V }, // 475
  { PseudoVBREV8_V_MF4_MASK, VBREV8_V }, // 476
  { PseudoVBREV8_V_MF8, VBREV8_V }, // 477
  { PseudoVBREV8_V_MF8_MASK, VBREV8_V }, // 478
  { PseudoVBREV_V_M1, VBREV_V }, // 479
  { PseudoVBREV_V_M1_MASK, VBREV_V }, // 480
  { PseudoVBREV_V_M2, VBREV_V }, // 481
  { PseudoVBREV_V_M2_MASK, VBREV_V }, // 482
  { PseudoVBREV_V_M4, VBREV_V }, // 483
  { PseudoVBREV_V_M4_MASK, VBREV_V }, // 484
  { PseudoVBREV_V_M8, VBREV_V }, // 485
  { PseudoVBREV_V_M8_MASK, VBREV_V }, // 486
  { PseudoVBREV_V_MF2, VBREV_V }, // 487
  { PseudoVBREV_V_MF2_MASK, VBREV_V }, // 488
  { PseudoVBREV_V_MF4, VBREV_V }, // 489
  { PseudoVBREV_V_MF4_MASK, VBREV_V }, // 490
  { PseudoVBREV_V_MF8, VBREV_V }, // 491
  { PseudoVBREV_V_MF8_MASK, VBREV_V }, // 492
  { PseudoVCLMULH_VV_M1, VCLMULH_VV }, // 493
  { PseudoVCLMULH_VV_M1_MASK, VCLMULH_VV }, // 494
  { PseudoVCLMULH_VV_M2, VCLMULH_VV }, // 495
  { PseudoVCLMULH_VV_M2_MASK, VCLMULH_VV }, // 496
  { PseudoVCLMULH_VV_M4, VCLMULH_VV }, // 497
  { PseudoVCLMULH_VV_M4_MASK, VCLMULH_VV }, // 498
  { PseudoVCLMULH_VV_M8, VCLMULH_VV }, // 499
  { PseudoVCLMULH_VV_M8_MASK, VCLMULH_VV }, // 500
  { PseudoVCLMULH_VV_MF2, VCLMULH_VV }, // 501
  { PseudoVCLMULH_VV_MF2_MASK, VCLMULH_VV }, // 502
  { PseudoVCLMULH_VV_MF4, VCLMULH_VV }, // 503
  { PseudoVCLMULH_VV_MF4_MASK, VCLMULH_VV }, // 504
  { PseudoVCLMULH_VV_MF8, VCLMULH_VV }, // 505
  { PseudoVCLMULH_VV_MF8_MASK, VCLMULH_VV }, // 506
  { PseudoVCLMULH_VX_M1, VCLMULH_VX }, // 507
  { PseudoVCLMULH_VX_M1_MASK, VCLMULH_VX }, // 508
  { PseudoVCLMULH_VX_M2, VCLMULH_VX }, // 509
  { PseudoVCLMULH_VX_M2_MASK, VCLMULH_VX }, // 510
  { PseudoVCLMULH_VX_M4, VCLMULH_VX }, // 511
  { PseudoVCLMULH_VX_M4_MASK, VCLMULH_VX }, // 512
  { PseudoVCLMULH_VX_M8, VCLMULH_VX }, // 513
  { PseudoVCLMULH_VX_M8_MASK, VCLMULH_VX }, // 514
  { PseudoVCLMULH_VX_MF2, VCLMULH_VX }, // 515
  { PseudoVCLMULH_VX_MF2_MASK, VCLMULH_VX }, // 516
  { PseudoVCLMULH_VX_MF4, VCLMULH_VX }, // 517
  { PseudoVCLMULH_VX_MF4_MASK, VCLMULH_VX }, // 518
  { PseudoVCLMULH_VX_MF8, VCLMULH_VX }, // 519
  { PseudoVCLMULH_VX_MF8_MASK, VCLMULH_VX }, // 520
  { PseudoVCLMUL_VV_M1, VCLMUL_VV }, // 521
  { PseudoVCLMUL_VV_M1_MASK, VCLMUL_VV }, // 522
  { PseudoVCLMUL_VV_M2, VCLMUL_VV }, // 523
  { PseudoVCLMUL_VV_M2_MASK, VCLMUL_VV }, // 524
  { PseudoVCLMUL_VV_M4, VCLMUL_VV }, // 525
  { PseudoVCLMUL_VV_M4_MASK, VCLMUL_VV }, // 526
  { PseudoVCLMUL_VV_M8, VCLMUL_VV }, // 527
  { PseudoVCLMUL_VV_M8_MASK, VCLMUL_VV }, // 528
  { PseudoVCLMUL_VV_MF2, VCLMUL_VV }, // 529
  { PseudoVCLMUL_VV_MF2_MASK, VCLMUL_VV }, // 530
  { PseudoVCLMUL_VV_MF4, VCLMUL_VV }, // 531
  { PseudoVCLMUL_VV_MF4_MASK, VCLMUL_VV }, // 532
  { PseudoVCLMUL_VV_MF8, VCLMUL_VV }, // 533
  { PseudoVCLMUL_VV_MF8_MASK, VCLMUL_VV }, // 534
  { PseudoVCLMUL_VX_M1, VCLMUL_VX }, // 535
  { PseudoVCLMUL_VX_M1_MASK, VCLMUL_VX }, // 536
  { PseudoVCLMUL_VX_M2, VCLMUL_VX }, // 537
  { PseudoVCLMUL_VX_M2_MASK, VCLMUL_VX }, // 538
  { PseudoVCLMUL_VX_M4, VCLMUL_VX }, // 539
  { PseudoVCLMUL_VX_M4_MASK, VCLMUL_VX }, // 540
  { PseudoVCLMUL_VX_M8, VCLMUL_VX }, // 541
  { PseudoVCLMUL_VX_M8_MASK, VCLMUL_VX }, // 542
  { PseudoVCLMUL_VX_MF2, VCLMUL_VX }, // 543
  { PseudoVCLMUL_VX_MF2_MASK, VCLMUL_VX }, // 544
  { PseudoVCLMUL_VX_MF4, VCLMUL_VX }, // 545
  { PseudoVCLMUL_VX_MF4_MASK, VCLMUL_VX }, // 546
  { PseudoVCLMUL_VX_MF8, VCLMUL_VX }, // 547
  { PseudoVCLMUL_VX_MF8_MASK, VCLMUL_VX }, // 548
  { PseudoVCLZ_V_M1, VCLZ_V }, // 549
  { PseudoVCLZ_V_M1_MASK, VCLZ_V }, // 550
  { PseudoVCLZ_V_M2, VCLZ_V }, // 551
  { PseudoVCLZ_V_M2_MASK, VCLZ_V }, // 552
  { PseudoVCLZ_V_M4, VCLZ_V }, // 553
  { PseudoVCLZ_V_M4_MASK, VCLZ_V }, // 554
  { PseudoVCLZ_V_M8, VCLZ_V }, // 555
  { PseudoVCLZ_V_M8_MASK, VCLZ_V }, // 556
  { PseudoVCLZ_V_MF2, VCLZ_V }, // 557
  { PseudoVCLZ_V_MF2_MASK, VCLZ_V }, // 558
  { PseudoVCLZ_V_MF4, VCLZ_V }, // 559
  { PseudoVCLZ_V_MF4_MASK, VCLZ_V }, // 560
  { PseudoVCLZ_V_MF8, VCLZ_V }, // 561
  { PseudoVCLZ_V_MF8_MASK, VCLZ_V }, // 562
  { PseudoVCOMPRESS_VM_M1_E16, VCOMPRESS_VM }, // 563
  { PseudoVCOMPRESS_VM_M1_E32, VCOMPRESS_VM }, // 564
  { PseudoVCOMPRESS_VM_M1_E64, VCOMPRESS_VM }, // 565
  { PseudoVCOMPRESS_VM_M1_E8, VCOMPRESS_VM }, // 566
  { PseudoVCOMPRESS_VM_M2_E16, VCOMPRESS_VM }, // 567
  { PseudoVCOMPRESS_VM_M2_E32, VCOMPRESS_VM }, // 568
  { PseudoVCOMPRESS_VM_M2_E64, VCOMPRESS_VM }, // 569
  { PseudoVCOMPRESS_VM_M2_E8, VCOMPRESS_VM }, // 570
  { PseudoVCOMPRESS_VM_M4_E16, VCOMPRESS_VM }, // 571
  { PseudoVCOMPRESS_VM_M4_E32, VCOMPRESS_VM }, // 572
  { PseudoVCOMPRESS_VM_M4_E64, VCOMPRESS_VM }, // 573
  { PseudoVCOMPRESS_VM_M4_E8, VCOMPRESS_VM }, // 574
  { PseudoVCOMPRESS_VM_M8_E16, VCOMPRESS_VM }, // 575
  { PseudoVCOMPRESS_VM_M8_E32, VCOMPRESS_VM }, // 576
  { PseudoVCOMPRESS_VM_M8_E64, VCOMPRESS_VM }, // 577
  { PseudoVCOMPRESS_VM_M8_E8, VCOMPRESS_VM }, // 578
  { PseudoVCOMPRESS_VM_MF2_E16, VCOMPRESS_VM }, // 579
  { PseudoVCOMPRESS_VM_MF2_E32, VCOMPRESS_VM }, // 580
  { PseudoVCOMPRESS_VM_MF2_E8, VCOMPRESS_VM }, // 581
  { PseudoVCOMPRESS_VM_MF4_E16, VCOMPRESS_VM }, // 582
  { PseudoVCOMPRESS_VM_MF4_E8, VCOMPRESS_VM }, // 583
  { PseudoVCOMPRESS_VM_MF8_E8, VCOMPRESS_VM }, // 584
  { PseudoVCPOP_M_B1, VCPOP_M }, // 585
  { PseudoVCPOP_M_B16, VCPOP_M }, // 586
  { PseudoVCPOP_M_B16_MASK, VCPOP_M }, // 587
  { PseudoVCPOP_M_B1_MASK, VCPOP_M }, // 588
  { PseudoVCPOP_M_B2, VCPOP_M }, // 589
  { PseudoVCPOP_M_B2_MASK, VCPOP_M }, // 590
  { PseudoVCPOP_M_B32, VCPOP_M }, // 591
  { PseudoVCPOP_M_B32_MASK, VCPOP_M }, // 592
  { PseudoVCPOP_M_B4, VCPOP_M }, // 593
  { PseudoVCPOP_M_B4_MASK, VCPOP_M }, // 594
  { PseudoVCPOP_M_B64, VCPOP_M }, // 595
  { PseudoVCPOP_M_B64_MASK, VCPOP_M }, // 596
  { PseudoVCPOP_M_B8, VCPOP_M }, // 597
  { PseudoVCPOP_M_B8_MASK, VCPOP_M }, // 598
  { PseudoVCPOP_V_M1, VCPOP_V }, // 599
  { PseudoVCPOP_V_M1_MASK, VCPOP_V }, // 600
  { PseudoVCPOP_V_M2, VCPOP_V }, // 601
  { PseudoVCPOP_V_M2_MASK, VCPOP_V }, // 602
  { PseudoVCPOP_V_M4, VCPOP_V }, // 603
  { PseudoVCPOP_V_M4_MASK, VCPOP_V }, // 604
  { PseudoVCPOP_V_M8, VCPOP_V }, // 605
  { PseudoVCPOP_V_M8_MASK, VCPOP_V }, // 606
  { PseudoVCPOP_V_MF2, VCPOP_V }, // 607
  { PseudoVCPOP_V_MF2_MASK, VCPOP_V }, // 608
  { PseudoVCPOP_V_MF4, VCPOP_V }, // 609
  { PseudoVCPOP_V_MF4_MASK, VCPOP_V }, // 610
  { PseudoVCPOP_V_MF8, VCPOP_V }, // 611
  { PseudoVCPOP_V_MF8_MASK, VCPOP_V }, // 612
  { PseudoVCTZ_V_M1, VCTZ_V }, // 613
  { PseudoVCTZ_V_M1_MASK, VCTZ_V }, // 614
  { PseudoVCTZ_V_M2, VCTZ_V }, // 615
  { PseudoVCTZ_V_M2_MASK, VCTZ_V }, // 616
  { PseudoVCTZ_V_M4, VCTZ_V }, // 617
  { PseudoVCTZ_V_M4_MASK, VCTZ_V }, // 618
  { PseudoVCTZ_V_M8, VCTZ_V }, // 619
  { PseudoVCTZ_V_M8_MASK, VCTZ_V }, // 620
  { PseudoVCTZ_V_MF2, VCTZ_V }, // 621
  { PseudoVCTZ_V_MF2_MASK, VCTZ_V }, // 622
  { PseudoVCTZ_V_MF4, VCTZ_V }, // 623
  { PseudoVCTZ_V_MF4_MASK, VCTZ_V }, // 624
  { PseudoVCTZ_V_MF8, VCTZ_V }, // 625
  { PseudoVCTZ_V_MF8_MASK, VCTZ_V }, // 626
  { PseudoVC_FPR16VV_SE_M1, VC_FVV }, // 627
  { PseudoVC_FPR16VV_SE_M2, VC_FVV }, // 628
  { PseudoVC_FPR16VV_SE_M4, VC_FVV }, // 629
  { PseudoVC_FPR16VV_SE_M8, VC_FVV }, // 630
  { PseudoVC_FPR16VV_SE_MF2, VC_FVV }, // 631
  { PseudoVC_FPR16VV_SE_MF4, VC_FVV }, // 632
  { PseudoVC_FPR16VW_SE_M1, VC_FVW }, // 633
  { PseudoVC_FPR16VW_SE_M2, VC_FVW }, // 634
  { PseudoVC_FPR16VW_SE_M4, VC_FVW }, // 635
  { PseudoVC_FPR16VW_SE_M8, VC_FVW }, // 636
  { PseudoVC_FPR16VW_SE_MF2, VC_FVW }, // 637
  { PseudoVC_FPR16VW_SE_MF4, VC_FVW }, // 638
  { PseudoVC_FPR16V_SE_M1, VC_FV }, // 639
  { PseudoVC_FPR16V_SE_M2, VC_FV }, // 640
  { PseudoVC_FPR16V_SE_M4, VC_FV }, // 641
  { PseudoVC_FPR16V_SE_M8, VC_FV }, // 642
  { PseudoVC_FPR16V_SE_MF2, VC_FV }, // 643
  { PseudoVC_FPR16V_SE_MF4, VC_FV }, // 644
  { PseudoVC_FPR32VV_SE_M1, VC_FVV }, // 645
  { PseudoVC_FPR32VV_SE_M2, VC_FVV }, // 646
  { PseudoVC_FPR32VV_SE_M4, VC_FVV }, // 647
  { PseudoVC_FPR32VV_SE_M8, VC_FVV }, // 648
  { PseudoVC_FPR32VV_SE_MF2, VC_FVV }, // 649
  { PseudoVC_FPR32VW_SE_M1, VC_FVW }, // 650
  { PseudoVC_FPR32VW_SE_M2, VC_FVW }, // 651
  { PseudoVC_FPR32VW_SE_M4, VC_FVW }, // 652
  { PseudoVC_FPR32VW_SE_M8, VC_FVW }, // 653
  { PseudoVC_FPR32VW_SE_MF2, VC_FVW }, // 654
  { PseudoVC_FPR32V_SE_M1, VC_FV }, // 655
  { PseudoVC_FPR32V_SE_M2, VC_FV }, // 656
  { PseudoVC_FPR32V_SE_M4, VC_FV }, // 657
  { PseudoVC_FPR32V_SE_M8, VC_FV }, // 658
  { PseudoVC_FPR32V_SE_MF2, VC_FV }, // 659
  { PseudoVC_FPR64VV_SE_M1, VC_FVV }, // 660
  { PseudoVC_FPR64VV_SE_M2, VC_FVV }, // 661
  { PseudoVC_FPR64VV_SE_M4, VC_FVV }, // 662
  { PseudoVC_FPR64VV_SE_M8, VC_FVV }, // 663
  { PseudoVC_FPR64V_SE_M1, VC_FV }, // 664
  { PseudoVC_FPR64V_SE_M2, VC_FV }, // 665
  { PseudoVC_FPR64V_SE_M4, VC_FV }, // 666
  { PseudoVC_FPR64V_SE_M8, VC_FV }, // 667
  { PseudoVC_IVV_SE_M1, VC_IVV }, // 668
  { PseudoVC_IVV_SE_M2, VC_IVV }, // 669
  { PseudoVC_IVV_SE_M4, VC_IVV }, // 670
  { PseudoVC_IVV_SE_M8, VC_IVV }, // 671
  { PseudoVC_IVV_SE_MF2, VC_IVV }, // 672
  { PseudoVC_IVV_SE_MF4, VC_IVV }, // 673
  { PseudoVC_IVV_SE_MF8, VC_IVV }, // 674
  { PseudoVC_IVW_SE_M1, VC_IVW }, // 675
  { PseudoVC_IVW_SE_M2, VC_IVW }, // 676
  { PseudoVC_IVW_SE_M4, VC_IVW }, // 677
  { PseudoVC_IVW_SE_MF2, VC_IVW }, // 678
  { PseudoVC_IVW_SE_MF4, VC_IVW }, // 679
  { PseudoVC_IVW_SE_MF8, VC_IVW }, // 680
  { PseudoVC_IV_SE_M1, VC_IV }, // 681
  { PseudoVC_IV_SE_M2, VC_IV }, // 682
  { PseudoVC_IV_SE_M4, VC_IV }, // 683
  { PseudoVC_IV_SE_M8, VC_IV }, // 684
  { PseudoVC_IV_SE_MF2, VC_IV }, // 685
  { PseudoVC_IV_SE_MF4, VC_IV }, // 686
  { PseudoVC_IV_SE_MF8, VC_IV }, // 687
  { PseudoVC_I_SE_M1, VC_I }, // 688
  { PseudoVC_I_SE_M2, VC_I }, // 689
  { PseudoVC_I_SE_M4, VC_I }, // 690
  { PseudoVC_I_SE_M8, VC_I }, // 691
  { PseudoVC_I_SE_MF2, VC_I }, // 692
  { PseudoVC_I_SE_MF4, VC_I }, // 693
  { PseudoVC_I_SE_MF8, VC_I }, // 694
  { PseudoVC_VVV_SE_M1, VC_VVV }, // 695
  { PseudoVC_VVV_SE_M2, VC_VVV }, // 696
  { PseudoVC_VVV_SE_M4, VC_VVV }, // 697
  { PseudoVC_VVV_SE_M8, VC_VVV }, // 698
  { PseudoVC_VVV_SE_MF2, VC_VVV }, // 699
  { PseudoVC_VVV_SE_MF4, VC_VVV }, // 700
  { PseudoVC_VVV_SE_MF8, VC_VVV }, // 701
  { PseudoVC_VVW_SE_M1, VC_VVW }, // 702
  { PseudoVC_VVW_SE_M2, VC_VVW }, // 703
  { PseudoVC_VVW_SE_M4, VC_VVW }, // 704
  { PseudoVC_VVW_SE_MF2, VC_VVW }, // 705
  { PseudoVC_VVW_SE_MF4, VC_VVW }, // 706
  { PseudoVC_VVW_SE_MF8, VC_VVW }, // 707
  { PseudoVC_VV_SE_M1, VC_VV }, // 708
  { PseudoVC_VV_SE_M2, VC_VV }, // 709
  { PseudoVC_VV_SE_M4, VC_VV }, // 710
  { PseudoVC_VV_SE_M8, VC_VV }, // 711
  { PseudoVC_VV_SE_MF2, VC_VV }, // 712
  { PseudoVC_VV_SE_MF4, VC_VV }, // 713
  { PseudoVC_VV_SE_MF8, VC_VV }, // 714
  { PseudoVC_V_FPR16VV_M1, VC_V_FVV }, // 715
  { PseudoVC_V_FPR16VV_M2, VC_V_FVV }, // 716
  { PseudoVC_V_FPR16VV_M4, VC_V_FVV }, // 717
  { PseudoVC_V_FPR16VV_M8, VC_V_FVV }, // 718
  { PseudoVC_V_FPR16VV_MF2, VC_V_FVV }, // 719
  { PseudoVC_V_FPR16VV_MF4, VC_V_FVV }, // 720
  { PseudoVC_V_FPR16VV_SE_M1, VC_V_FVV }, // 721
  { PseudoVC_V_FPR16VV_SE_M2, VC_V_FVV }, // 722
  { PseudoVC_V_FPR16VV_SE_M4, VC_V_FVV }, // 723
  { PseudoVC_V_FPR16VV_SE_M8, VC_V_FVV }, // 724
  { PseudoVC_V_FPR16VV_SE_MF2, VC_V_FVV }, // 725
  { PseudoVC_V_FPR16VV_SE_MF4, VC_V_FVV }, // 726
  { PseudoVC_V_FPR16VW_M1, VC_V_FVW }, // 727
  { PseudoVC_V_FPR16VW_M2, VC_V_FVW }, // 728
  { PseudoVC_V_FPR16VW_M4, VC_V_FVW }, // 729
  { PseudoVC_V_FPR16VW_M8, VC_V_FVW }, // 730
  { PseudoVC_V_FPR16VW_MF2, VC_V_FVW }, // 731
  { PseudoVC_V_FPR16VW_MF4, VC_V_FVW }, // 732
  { PseudoVC_V_FPR16VW_SE_M1, VC_V_FVW }, // 733
  { PseudoVC_V_FPR16VW_SE_M2, VC_V_FVW }, // 734
  { PseudoVC_V_FPR16VW_SE_M4, VC_V_FVW }, // 735
  { PseudoVC_V_FPR16VW_SE_M8, VC_V_FVW }, // 736
  { PseudoVC_V_FPR16VW_SE_MF2, VC_V_FVW }, // 737
  { PseudoVC_V_FPR16VW_SE_MF4, VC_V_FVW }, // 738
  { PseudoVC_V_FPR16V_M1, VC_V_FV }, // 739
  { PseudoVC_V_FPR16V_M2, VC_V_FV }, // 740
  { PseudoVC_V_FPR16V_M4, VC_V_FV }, // 741
  { PseudoVC_V_FPR16V_M8, VC_V_FV }, // 742
  { PseudoVC_V_FPR16V_MF2, VC_V_FV }, // 743
  { PseudoVC_V_FPR16V_MF4, VC_V_FV }, // 744
  { PseudoVC_V_FPR16V_SE_M1, VC_V_FV }, // 745
  { PseudoVC_V_FPR16V_SE_M2, VC_V_FV }, // 746
  { PseudoVC_V_FPR16V_SE_M4, VC_V_FV }, // 747
  { PseudoVC_V_FPR16V_SE_M8, VC_V_FV }, // 748
  { PseudoVC_V_FPR16V_SE_MF2, VC_V_FV }, // 749
  { PseudoVC_V_FPR16V_SE_MF4, VC_V_FV }, // 750
  { PseudoVC_V_FPR32VV_M1, VC_V_FVV }, // 751
  { PseudoVC_V_FPR32VV_M2, VC_V_FVV }, // 752
  { PseudoVC_V_FPR32VV_M4, VC_V_FVV }, // 753
  { PseudoVC_V_FPR32VV_M8, VC_V_FVV }, // 754
  { PseudoVC_V_FPR32VV_MF2, VC_V_FVV }, // 755
  { PseudoVC_V_FPR32VV_SE_M1, VC_V_FVV }, // 756
  { PseudoVC_V_FPR32VV_SE_M2, VC_V_FVV }, // 757
  { PseudoVC_V_FPR32VV_SE_M4, VC_V_FVV }, // 758
  { PseudoVC_V_FPR32VV_SE_M8, VC_V_FVV }, // 759
  { PseudoVC_V_FPR32VV_SE_MF2, VC_V_FVV }, // 760
  { PseudoVC_V_FPR32VW_M1, VC_V_FVW }, // 761
  { PseudoVC_V_FPR32VW_M2, VC_V_FVW }, // 762
  { PseudoVC_V_FPR32VW_M4, VC_V_FVW }, // 763
  { PseudoVC_V_FPR32VW_M8, VC_V_FVW }, // 764
  { PseudoVC_V_FPR32VW_MF2, VC_V_FVW }, // 765
  { PseudoVC_V_FPR32VW_SE_M1, VC_V_FVW }, // 766
  { PseudoVC_V_FPR32VW_SE_M2, VC_V_FVW }, // 767
  { PseudoVC_V_FPR32VW_SE_M4, VC_V_FVW }, // 768
  { PseudoVC_V_FPR32VW_SE_M8, VC_V_FVW }, // 769
  { PseudoVC_V_FPR32VW_SE_MF2, VC_V_FVW }, // 770
  { PseudoVC_V_FPR32V_M1, VC_V_FV }, // 771
  { PseudoVC_V_FPR32V_M2, VC_V_FV }, // 772
  { PseudoVC_V_FPR32V_M4, VC_V_FV }, // 773
  { PseudoVC_V_FPR32V_M8, VC_V_FV }, // 774
  { PseudoVC_V_FPR32V_MF2, VC_V_FV }, // 775
  { PseudoVC_V_FPR32V_SE_M1, VC_V_FV }, // 776
  { PseudoVC_V_FPR32V_SE_M2, VC_V_FV }, // 777
  { PseudoVC_V_FPR32V_SE_M4, VC_V_FV }, // 778
  { PseudoVC_V_FPR32V_SE_M8, VC_V_FV }, // 779
  { PseudoVC_V_FPR32V_SE_MF2, VC_V_FV }, // 780
  { PseudoVC_V_FPR64VV_M1, VC_V_FVV }, // 781
  { PseudoVC_V_FPR64VV_M2, VC_V_FVV }, // 782
  { PseudoVC_V_FPR64VV_M4, VC_V_FVV }, // 783
  { PseudoVC_V_FPR64VV_M8, VC_V_FVV }, // 784
  { PseudoVC_V_FPR64VV_SE_M1, VC_V_FVV }, // 785
  { PseudoVC_V_FPR64VV_SE_M2, VC_V_FVV }, // 786
  { PseudoVC_V_FPR64VV_SE_M4, VC_V_FVV }, // 787
  { PseudoVC_V_FPR64VV_SE_M8, VC_V_FVV }, // 788
  { PseudoVC_V_FPR64V_M1, VC_V_FV }, // 789
  { PseudoVC_V_FPR64V_M2, VC_V_FV }, // 790
  { PseudoVC_V_FPR64V_M4, VC_V_FV }, // 791
  { PseudoVC_V_FPR64V_M8, VC_V_FV }, // 792
  { PseudoVC_V_FPR64V_SE_M1, VC_V_FV }, // 793
  { PseudoVC_V_FPR64V_SE_M2, VC_V_FV }, // 794
  { PseudoVC_V_FPR64V_SE_M4, VC_V_FV }, // 795
  { PseudoVC_V_FPR64V_SE_M8, VC_V_FV }, // 796
  { PseudoVC_V_IVV_M1, VC_V_IVV }, // 797
  { PseudoVC_V_IVV_M2, VC_V_IVV }, // 798
  { PseudoVC_V_IVV_M4, VC_V_IVV }, // 799
  { PseudoVC_V_IVV_M8, VC_V_IVV }, // 800
  { PseudoVC_V_IVV_MF2, VC_V_IVV }, // 801
  { PseudoVC_V_IVV_MF4, VC_V_IVV }, // 802
  { PseudoVC_V_IVV_MF8, VC_V_IVV }, // 803
  { PseudoVC_V_IVV_SE_M1, VC_V_IVV }, // 804
  { PseudoVC_V_IVV_SE_M2, VC_V_IVV }, // 805
  { PseudoVC_V_IVV_SE_M4, VC_V_IVV }, // 806
  { PseudoVC_V_IVV_SE_M8, VC_V_IVV }, // 807
  { PseudoVC_V_IVV_SE_MF2, VC_V_IVV }, // 808
  { PseudoVC_V_IVV_SE_MF4, VC_V_IVV }, // 809
  { PseudoVC_V_IVV_SE_MF8, VC_V_IVV }, // 810
  { PseudoVC_V_IVW_M1, VC_V_IVW }, // 811
  { PseudoVC_V_IVW_M2, VC_V_IVW }, // 812
  { PseudoVC_V_IVW_M4, VC_V_IVW }, // 813
  { PseudoVC_V_IVW_MF2, VC_V_IVW }, // 814
  { PseudoVC_V_IVW_MF4, VC_V_IVW }, // 815
  { PseudoVC_V_IVW_MF8, VC_V_IVW }, // 816
  { PseudoVC_V_IVW_SE_M1, VC_V_IVW }, // 817
  { PseudoVC_V_IVW_SE_M2, VC_V_IVW }, // 818
  { PseudoVC_V_IVW_SE_M4, VC_V_IVW }, // 819
  { PseudoVC_V_IVW_SE_MF2, VC_V_IVW }, // 820
  { PseudoVC_V_IVW_SE_MF4, VC_V_IVW }, // 821
  { PseudoVC_V_IVW_SE_MF8, VC_V_IVW }, // 822
  { PseudoVC_V_IV_M1, VC_V_IV }, // 823
  { PseudoVC_V_IV_M2, VC_V_IV }, // 824
  { PseudoVC_V_IV_M4, VC_V_IV }, // 825
  { PseudoVC_V_IV_M8, VC_V_IV }, // 826
  { PseudoVC_V_IV_MF2, VC_V_IV }, // 827
  { PseudoVC_V_IV_MF4, VC_V_IV }, // 828
  { PseudoVC_V_IV_MF8, VC_V_IV }, // 829
  { PseudoVC_V_IV_SE_M1, VC_V_IV }, // 830
  { PseudoVC_V_IV_SE_M2, VC_V_IV }, // 831
  { PseudoVC_V_IV_SE_M4, VC_V_IV }, // 832
  { PseudoVC_V_IV_SE_M8, VC_V_IV }, // 833
  { PseudoVC_V_IV_SE_MF2, VC_V_IV }, // 834
  { PseudoVC_V_IV_SE_MF4, VC_V_IV }, // 835
  { PseudoVC_V_IV_SE_MF8, VC_V_IV }, // 836
  { PseudoVC_V_I_M1, VC_V_I }, // 837
  { PseudoVC_V_I_M2, VC_V_I }, // 838
  { PseudoVC_V_I_M4, VC_V_I }, // 839
  { PseudoVC_V_I_M8, VC_V_I }, // 840
  { PseudoVC_V_I_MF2, VC_V_I }, // 841
  { PseudoVC_V_I_MF4, VC_V_I }, // 842
  { PseudoVC_V_I_MF8, VC_V_I }, // 843
  { PseudoVC_V_I_SE_M1, VC_V_I }, // 844
  { PseudoVC_V_I_SE_M2, VC_V_I }, // 845
  { PseudoVC_V_I_SE_M4, VC_V_I }, // 846
  { PseudoVC_V_I_SE_M8, VC_V_I }, // 847
  { PseudoVC_V_I_SE_MF2, VC_V_I }, // 848
  { PseudoVC_V_I_SE_MF4, VC_V_I }, // 849
  { PseudoVC_V_I_SE_MF8, VC_V_I }, // 850
  { PseudoVC_V_VVV_M1, VC_V_VVV }, // 851
  { PseudoVC_V_VVV_M2, VC_V_VVV }, // 852
  { PseudoVC_V_VVV_M4, VC_V_VVV }, // 853
  { PseudoVC_V_VVV_M8, VC_V_VVV }, // 854
  { PseudoVC_V_VVV_MF2, VC_V_VVV }, // 855
  { PseudoVC_V_VVV_MF4, VC_V_VVV }, // 856
  { PseudoVC_V_VVV_MF8, VC_V_VVV }, // 857
  { PseudoVC_V_VVV_SE_M1, VC_V_VVV }, // 858
  { PseudoVC_V_VVV_SE_M2, VC_V_VVV }, // 859
  { PseudoVC_V_VVV_SE_M4, VC_V_VVV }, // 860
  { PseudoVC_V_VVV_SE_M8, VC_V_VVV }, // 861
  { PseudoVC_V_VVV_SE_MF2, VC_V_VVV }, // 862
  { PseudoVC_V_VVV_SE_MF4, VC_V_VVV }, // 863
  { PseudoVC_V_VVV_SE_MF8, VC_V_VVV }, // 864
  { PseudoVC_V_VVW_M1, VC_V_VVW }, // 865
  { PseudoVC_V_VVW_M2, VC_V_VVW }, // 866
  { PseudoVC_V_VVW_M4, VC_V_VVW }, // 867
  { PseudoVC_V_VVW_MF2, VC_V_VVW }, // 868
  { PseudoVC_V_VVW_MF4, VC_V_VVW }, // 869
  { PseudoVC_V_VVW_MF8, VC_V_VVW }, // 870
  { PseudoVC_V_VVW_SE_M1, VC_V_VVW }, // 871
  { PseudoVC_V_VVW_SE_M2, VC_V_VVW }, // 872
  { PseudoVC_V_VVW_SE_M4, VC_V_VVW }, // 873
  { PseudoVC_V_VVW_SE_MF2, VC_V_VVW }, // 874
  { PseudoVC_V_VVW_SE_MF4, VC_V_VVW }, // 875
  { PseudoVC_V_VVW_SE_MF8, VC_V_VVW }, // 876
  { PseudoVC_V_VV_M1, VC_V_VV }, // 877
  { PseudoVC_V_VV_M2, VC_V_VV }, // 878
  { PseudoVC_V_VV_M4, VC_V_VV }, // 879
  { PseudoVC_V_VV_M8, VC_V_VV }, // 880
  { PseudoVC_V_VV_MF2, VC_V_VV }, // 881
  { PseudoVC_V_VV_MF4, VC_V_VV }, // 882
  { PseudoVC_V_VV_MF8, VC_V_VV }, // 883
  { PseudoVC_V_VV_SE_M1, VC_V_VV }, // 884
  { PseudoVC_V_VV_SE_M2, VC_V_VV }, // 885
  { PseudoVC_V_VV_SE_M4, VC_V_VV }, // 886
  { PseudoVC_V_VV_SE_M8, VC_V_VV }, // 887
  { PseudoVC_V_VV_SE_MF2, VC_V_VV }, // 888
  { PseudoVC_V_VV_SE_MF4, VC_V_VV }, // 889
  { PseudoVC_V_VV_SE_MF8, VC_V_VV }, // 890
  { PseudoVC_V_XVV_M1, VC_V_XVV }, // 891
  { PseudoVC_V_XVV_M2, VC_V_XVV }, // 892
  { PseudoVC_V_XVV_M4, VC_V_XVV }, // 893
  { PseudoVC_V_XVV_M8, VC_V_XVV }, // 894
  { PseudoVC_V_XVV_MF2, VC_V_XVV }, // 895
  { PseudoVC_V_XVV_MF4, VC_V_XVV }, // 896
  { PseudoVC_V_XVV_MF8, VC_V_XVV }, // 897
  { PseudoVC_V_XVV_SE_M1, VC_V_XVV }, // 898
  { PseudoVC_V_XVV_SE_M2, VC_V_XVV }, // 899
  { PseudoVC_V_XVV_SE_M4, VC_V_XVV }, // 900
  { PseudoVC_V_XVV_SE_M8, VC_V_XVV }, // 901
  { PseudoVC_V_XVV_SE_MF2, VC_V_XVV }, // 902
  { PseudoVC_V_XVV_SE_MF4, VC_V_XVV }, // 903
  { PseudoVC_V_XVV_SE_MF8, VC_V_XVV }, // 904
  { PseudoVC_V_XVW_M1, VC_V_XVW }, // 905
  { PseudoVC_V_XVW_M2, VC_V_XVW }, // 906
  { PseudoVC_V_XVW_M4, VC_V_XVW }, // 907
  { PseudoVC_V_XVW_MF2, VC_V_XVW }, // 908
  { PseudoVC_V_XVW_MF4, VC_V_XVW }, // 909
  { PseudoVC_V_XVW_MF8, VC_V_XVW }, // 910
  { PseudoVC_V_XVW_SE_M1, VC_V_XVW }, // 911
  { PseudoVC_V_XVW_SE_M2, VC_V_XVW }, // 912
  { PseudoVC_V_XVW_SE_M4, VC_V_XVW }, // 913
  { PseudoVC_V_XVW_SE_MF2, VC_V_XVW }, // 914
  { PseudoVC_V_XVW_SE_MF4, VC_V_XVW }, // 915
  { PseudoVC_V_XVW_SE_MF8, VC_V_XVW }, // 916
  { PseudoVC_V_XV_M1, VC_V_XV }, // 917
  { PseudoVC_V_XV_M2, VC_V_XV }, // 918
  { PseudoVC_V_XV_M4, VC_V_XV }, // 919
  { PseudoVC_V_XV_M8, VC_V_XV }, // 920
  { PseudoVC_V_XV_MF2, VC_V_XV }, // 921
  { PseudoVC_V_XV_MF4, VC_V_XV }, // 922
  { PseudoVC_V_XV_MF8, VC_V_XV }, // 923
  { PseudoVC_V_XV_SE_M1, VC_V_XV }, // 924
  { PseudoVC_V_XV_SE_M2, VC_V_XV }, // 925
  { PseudoVC_V_XV_SE_M4, VC_V_XV }, // 926
  { PseudoVC_V_XV_SE_M8, VC_V_XV }, // 927
  { PseudoVC_V_XV_SE_MF2, VC_V_XV }, // 928
  { PseudoVC_V_XV_SE_MF4, VC_V_XV }, // 929
  { PseudoVC_V_XV_SE_MF8, VC_V_XV }, // 930
  { PseudoVC_V_X_M1, VC_V_X }, // 931
  { PseudoVC_V_X_M2, VC_V_X }, // 932
  { PseudoVC_V_X_M4, VC_V_X }, // 933
  { PseudoVC_V_X_M8, VC_V_X }, // 934
  { PseudoVC_V_X_MF2, VC_V_X }, // 935
  { PseudoVC_V_X_MF4, VC_V_X }, // 936
  { PseudoVC_V_X_MF8, VC_V_X }, // 937
  { PseudoVC_V_X_SE_M1, VC_V_X }, // 938
  { PseudoVC_V_X_SE_M2, VC_V_X }, // 939
  { PseudoVC_V_X_SE_M4, VC_V_X }, // 940
  { PseudoVC_V_X_SE_M8, VC_V_X }, // 941
  { PseudoVC_V_X_SE_MF2, VC_V_X }, // 942
  { PseudoVC_V_X_SE_MF4, VC_V_X }, // 943
  { PseudoVC_V_X_SE_MF8, VC_V_X }, // 944
  { PseudoVC_XVV_SE_M1, VC_XVV }, // 945
  { PseudoVC_XVV_SE_M2, VC_XVV }, // 946
  { PseudoVC_XVV_SE_M4, VC_XVV }, // 947
  { PseudoVC_XVV_SE_M8, VC_XVV }, // 948
  { PseudoVC_XVV_SE_MF2, VC_XVV }, // 949
  { PseudoVC_XVV_SE_MF4, VC_XVV }, // 950
  { PseudoVC_XVV_SE_MF8, VC_XVV }, // 951
  { PseudoVC_XVW_SE_M1, VC_XVW }, // 952
  { PseudoVC_XVW_SE_M2, VC_XVW }, // 953
  { PseudoVC_XVW_SE_M4, VC_XVW }, // 954
  { PseudoVC_XVW_SE_MF2, VC_XVW }, // 955
  { PseudoVC_XVW_SE_MF4, VC_XVW }, // 956
  { PseudoVC_XVW_SE_MF8, VC_XVW }, // 957
  { PseudoVC_XV_SE_M1, VC_XV }, // 958
  { PseudoVC_XV_SE_M2, VC_XV }, // 959
  { PseudoVC_XV_SE_M4, VC_XV }, // 960
  { PseudoVC_XV_SE_M8, VC_XV }, // 961
  { PseudoVC_XV_SE_MF2, VC_XV }, // 962
  { PseudoVC_XV_SE_MF4, VC_XV }, // 963
  { PseudoVC_XV_SE_MF8, VC_XV }, // 964
  { PseudoVC_X_SE_M1, VC_X }, // 965
  { PseudoVC_X_SE_M2, VC_X }, // 966
  { PseudoVC_X_SE_M4, VC_X }, // 967
  { PseudoVC_X_SE_M8, VC_X }, // 968
  { PseudoVC_X_SE_MF2, VC_X }, // 969
  { PseudoVC_X_SE_MF4, VC_X }, // 970
  { PseudoVC_X_SE_MF8, VC_X }, // 971
  { PseudoVDIVU_VV_M1_E16, VDIVU_VV }, // 972
  { PseudoVDIVU_VV_M1_E16_MASK, VDIVU_VV }, // 973
  { PseudoVDIVU_VV_M1_E32, VDIVU_VV }, // 974
  { PseudoVDIVU_VV_M1_E32_MASK, VDIVU_VV }, // 975
  { PseudoVDIVU_VV_M1_E64, VDIVU_VV }, // 976
  { PseudoVDIVU_VV_M1_E64_MASK, VDIVU_VV }, // 977
  { PseudoVDIVU_VV_M1_E8, VDIVU_VV }, // 978
  { PseudoVDIVU_VV_M1_E8_MASK, VDIVU_VV }, // 979
  { PseudoVDIVU_VV_M2_E16, VDIVU_VV }, // 980
  { PseudoVDIVU_VV_M2_E16_MASK, VDIVU_VV }, // 981
  { PseudoVDIVU_VV_M2_E32, VDIVU_VV }, // 982
  { PseudoVDIVU_VV_M2_E32_MASK, VDIVU_VV }, // 983
  { PseudoVDIVU_VV_M2_E64, VDIVU_VV }, // 984
  { PseudoVDIVU_VV_M2_E64_MASK, VDIVU_VV }, // 985
  { PseudoVDIVU_VV_M2_E8, VDIVU_VV }, // 986
  { PseudoVDIVU_VV_M2_E8_MASK, VDIVU_VV }, // 987
  { PseudoVDIVU_VV_M4_E16, VDIVU_VV }, // 988
  { PseudoVDIVU_VV_M4_E16_MASK, VDIVU_VV }, // 989
  { PseudoVDIVU_VV_M4_E32, VDIVU_VV }, // 990
  { PseudoVDIVU_VV_M4_E32_MASK, VDIVU_VV }, // 991
  { PseudoVDIVU_VV_M4_E64, VDIVU_VV }, // 992
  { PseudoVDIVU_VV_M4_E64_MASK, VDIVU_VV }, // 993
  { PseudoVDIVU_VV_M4_E8, VDIVU_VV }, // 994
  { PseudoVDIVU_VV_M4_E8_MASK, VDIVU_VV }, // 995
  { PseudoVDIVU_VV_M8_E16, VDIVU_VV }, // 996
  { PseudoVDIVU_VV_M8_E16_MASK, VDIVU_VV }, // 997
  { PseudoVDIVU_VV_M8_E32, VDIVU_VV }, // 998
  { PseudoVDIVU_VV_M8_E32_MASK, VDIVU_VV }, // 999
  { PseudoVDIVU_VV_M8_E64, VDIVU_VV }, // 1000
  { PseudoVDIVU_VV_M8_E64_MASK, VDIVU_VV }, // 1001
  { PseudoVDIVU_VV_M8_E8, VDIVU_VV }, // 1002
  { PseudoVDIVU_VV_M8_E8_MASK, VDIVU_VV }, // 1003
  { PseudoVDIVU_VV_MF2_E16, VDIVU_VV }, // 1004
  { PseudoVDIVU_VV_MF2_E16_MASK, VDIVU_VV }, // 1005
  { PseudoVDIVU_VV_MF2_E32, VDIVU_VV }, // 1006
  { PseudoVDIVU_VV_MF2_E32_MASK, VDIVU_VV }, // 1007
  { PseudoVDIVU_VV_MF2_E8, VDIVU_VV }, // 1008
  { PseudoVDIVU_VV_MF2_E8_MASK, VDIVU_VV }, // 1009
  { PseudoVDIVU_VV_MF4_E16, VDIVU_VV }, // 1010
  { PseudoVDIVU_VV_MF4_E16_MASK, VDIVU_VV }, // 1011
  { PseudoVDIVU_VV_MF4_E8, VDIVU_VV }, // 1012
  { PseudoVDIVU_VV_MF4_E8_MASK, VDIVU_VV }, // 1013
  { PseudoVDIVU_VV_MF8_E8, VDIVU_VV }, // 1014
  { PseudoVDIVU_VV_MF8_E8_MASK, VDIVU_VV }, // 1015
  { PseudoVDIVU_VX_M1_E16, VDIVU_VX }, // 1016
  { PseudoVDIVU_VX_M1_E16_MASK, VDIVU_VX }, // 1017
  { PseudoVDIVU_VX_M1_E32, VDIVU_VX }, // 1018
  { PseudoVDIVU_VX_M1_E32_MASK, VDIVU_VX }, // 1019
  { PseudoVDIVU_VX_M1_E64, VDIVU_VX }, // 1020
  { PseudoVDIVU_VX_M1_E64_MASK, VDIVU_VX }, // 1021
  { PseudoVDIVU_VX_M1_E8, VDIVU_VX }, // 1022
  { PseudoVDIVU_VX_M1_E8_MASK, VDIVU_VX }, // 1023
  { PseudoVDIVU_VX_M2_E16, VDIVU_VX }, // 1024
  { PseudoVDIVU_VX_M2_E16_MASK, VDIVU_VX }, // 1025
  { PseudoVDIVU_VX_M2_E32, VDIVU_VX }, // 1026
  { PseudoVDIVU_VX_M2_E32_MASK, VDIVU_VX }, // 1027
  { PseudoVDIVU_VX_M2_E64, VDIVU_VX }, // 1028
  { PseudoVDIVU_VX_M2_E64_MASK, VDIVU_VX }, // 1029
  { PseudoVDIVU_VX_M2_E8, VDIVU_VX }, // 1030
  { PseudoVDIVU_VX_M2_E8_MASK, VDIVU_VX }, // 1031
  { PseudoVDIVU_VX_M4_E16, VDIVU_VX }, // 1032
  { PseudoVDIVU_VX_M4_E16_MASK, VDIVU_VX }, // 1033
  { PseudoVDIVU_VX_M4_E32, VDIVU_VX }, // 1034
  { PseudoVDIVU_VX_M4_E32_MASK, VDIVU_VX }, // 1035
  { PseudoVDIVU_VX_M4_E64, VDIVU_VX }, // 1036
  { PseudoVDIVU_VX_M4_E64_MASK, VDIVU_VX }, // 1037
  { PseudoVDIVU_VX_M4_E8, VDIVU_VX }, // 1038
  { PseudoVDIVU_VX_M4_E8_MASK, VDIVU_VX }, // 1039
  { PseudoVDIVU_VX_M8_E16, VDIVU_VX }, // 1040
  { PseudoVDIVU_VX_M8_E16_MASK, VDIVU_VX }, // 1041
  { PseudoVDIVU_VX_M8_E32, VDIVU_VX }, // 1042
  { PseudoVDIVU_VX_M8_E32_MASK, VDIVU_VX }, // 1043
  { PseudoVDIVU_VX_M8_E64, VDIVU_VX }, // 1044
  { PseudoVDIVU_VX_M8_E64_MASK, VDIVU_VX }, // 1045
  { PseudoVDIVU_VX_M8_E8, VDIVU_VX }, // 1046
  { PseudoVDIVU_VX_M8_E8_MASK, VDIVU_VX }, // 1047
  { PseudoVDIVU_VX_MF2_E16, VDIVU_VX }, // 1048
  { PseudoVDIVU_VX_MF2_E16_MASK, VDIVU_VX }, // 1049
  { PseudoVDIVU_VX_MF2_E32, VDIVU_VX }, // 1050
  { PseudoVDIVU_VX_MF2_E32_MASK, VDIVU_VX }, // 1051
  { PseudoVDIVU_VX_MF2_E8, VDIVU_VX }, // 1052
  { PseudoVDIVU_VX_MF2_E8_MASK, VDIVU_VX }, // 1053
  { PseudoVDIVU_VX_MF4_E16, VDIVU_VX }, // 1054
  { PseudoVDIVU_VX_MF4_E16_MASK, VDIVU_VX }, // 1055
  { PseudoVDIVU_VX_MF4_E8, VDIVU_VX }, // 1056
  { PseudoVDIVU_VX_MF4_E8_MASK, VDIVU_VX }, // 1057
  { PseudoVDIVU_VX_MF8_E8, VDIVU_VX }, // 1058
  { PseudoVDIVU_VX_MF8_E8_MASK, VDIVU_VX }, // 1059
  { PseudoVDIV_VV_M1_E16, VDIV_VV }, // 1060
  { PseudoVDIV_VV_M1_E16_MASK, VDIV_VV }, // 1061
  { PseudoVDIV_VV_M1_E32, VDIV_VV }, // 1062
  { PseudoVDIV_VV_M1_E32_MASK, VDIV_VV }, // 1063
  { PseudoVDIV_VV_M1_E64, VDIV_VV }, // 1064
  { PseudoVDIV_VV_M1_E64_MASK, VDIV_VV }, // 1065
  { PseudoVDIV_VV_M1_E8, VDIV_VV }, // 1066
  { PseudoVDIV_VV_M1_E8_MASK, VDIV_VV }, // 1067
  { PseudoVDIV_VV_M2_E16, VDIV_VV }, // 1068
  { PseudoVDIV_VV_M2_E16_MASK, VDIV_VV }, // 1069
  { PseudoVDIV_VV_M2_E32, VDIV_VV }, // 1070
  { PseudoVDIV_VV_M2_E32_MASK, VDIV_VV }, // 1071
  { PseudoVDIV_VV_M2_E64, VDIV_VV }, // 1072
  { PseudoVDIV_VV_M2_E64_MASK, VDIV_VV }, // 1073
  { PseudoVDIV_VV_M2_E8, VDIV_VV }, // 1074
  { PseudoVDIV_VV_M2_E8_MASK, VDIV_VV }, // 1075
  { PseudoVDIV_VV_M4_E16, VDIV_VV }, // 1076
  { PseudoVDIV_VV_M4_E16_MASK, VDIV_VV }, // 1077
  { PseudoVDIV_VV_M4_E32, VDIV_VV }, // 1078
  { PseudoVDIV_VV_M4_E32_MASK, VDIV_VV }, // 1079
  { PseudoVDIV_VV_M4_E64, VDIV_VV }, // 1080
  { PseudoVDIV_VV_M4_E64_MASK, VDIV_VV }, // 1081
  { PseudoVDIV_VV_M4_E8, VDIV_VV }, // 1082
  { PseudoVDIV_VV_M4_E8_MASK, VDIV_VV }, // 1083
  { PseudoVDIV_VV_M8_E16, VDIV_VV }, // 1084
  { PseudoVDIV_VV_M8_E16_MASK, VDIV_VV }, // 1085
  { PseudoVDIV_VV_M8_E32, VDIV_VV }, // 1086
  { PseudoVDIV_VV_M8_E32_MASK, VDIV_VV }, // 1087
  { PseudoVDIV_VV_M8_E64, VDIV_VV }, // 1088
  { PseudoVDIV_VV_M8_E64_MASK, VDIV_VV }, // 1089
  { PseudoVDIV_VV_M8_E8, VDIV_VV }, // 1090
  { PseudoVDIV_VV_M8_E8_MASK, VDIV_VV }, // 1091
  { PseudoVDIV_VV_MF2_E16, VDIV_VV }, // 1092
  { PseudoVDIV_VV_MF2_E16_MASK, VDIV_VV }, // 1093
  { PseudoVDIV_VV_MF2_E32, VDIV_VV }, // 1094
  { PseudoVDIV_VV_MF2_E32_MASK, VDIV_VV }, // 1095
  { PseudoVDIV_VV_MF2_E8, VDIV_VV }, // 1096
  { PseudoVDIV_VV_MF2_E8_MASK, VDIV_VV }, // 1097
  { PseudoVDIV_VV_MF4_E16, VDIV_VV }, // 1098
  { PseudoVDIV_VV_MF4_E16_MASK, VDIV_VV }, // 1099
  { PseudoVDIV_VV_MF4_E8, VDIV_VV }, // 1100
  { PseudoVDIV_VV_MF4_E8_MASK, VDIV_VV }, // 1101
  { PseudoVDIV_VV_MF8_E8, VDIV_VV }, // 1102
  { PseudoVDIV_VV_MF8_E8_MASK, VDIV_VV }, // 1103
  { PseudoVDIV_VX_M1_E16, VDIV_VX }, // 1104
  { PseudoVDIV_VX_M1_E16_MASK, VDIV_VX }, // 1105
  { PseudoVDIV_VX_M1_E32, VDIV_VX }, // 1106
  { PseudoVDIV_VX_M1_E32_MASK, VDIV_VX }, // 1107
  { PseudoVDIV_VX_M1_E64, VDIV_VX }, // 1108
  { PseudoVDIV_VX_M1_E64_MASK, VDIV_VX }, // 1109
  { PseudoVDIV_VX_M1_E8, VDIV_VX }, // 1110
  { PseudoVDIV_VX_M1_E8_MASK, VDIV_VX }, // 1111
  { PseudoVDIV_VX_M2_E16, VDIV_VX }, // 1112
  { PseudoVDIV_VX_M2_E16_MASK, VDIV_VX }, // 1113
  { PseudoVDIV_VX_M2_E32, VDIV_VX }, // 1114
  { PseudoVDIV_VX_M2_E32_MASK, VDIV_VX }, // 1115
  { PseudoVDIV_VX_M2_E64, VDIV_VX }, // 1116
  { PseudoVDIV_VX_M2_E64_MASK, VDIV_VX }, // 1117
  { PseudoVDIV_VX_M2_E8, VDIV_VX }, // 1118
  { PseudoVDIV_VX_M2_E8_MASK, VDIV_VX }, // 1119
  { PseudoVDIV_VX_M4_E16, VDIV_VX }, // 1120
  { PseudoVDIV_VX_M4_E16_MASK, VDIV_VX }, // 1121
  { PseudoVDIV_VX_M4_E32, VDIV_VX }, // 1122
  { PseudoVDIV_VX_M4_E32_MASK, VDIV_VX }, // 1123
  { PseudoVDIV_VX_M4_E64, VDIV_VX }, // 1124
  { PseudoVDIV_VX_M4_E64_MASK, VDIV_VX }, // 1125
  { PseudoVDIV_VX_M4_E8, VDIV_VX }, // 1126
  { PseudoVDIV_VX_M4_E8_MASK, VDIV_VX }, // 1127
  { PseudoVDIV_VX_M8_E16, VDIV_VX }, // 1128
  { PseudoVDIV_VX_M8_E16_MASK, VDIV_VX }, // 1129
  { PseudoVDIV_VX_M8_E32, VDIV_VX }, // 1130
  { PseudoVDIV_VX_M8_E32_MASK, VDIV_VX }, // 1131
  { PseudoVDIV_VX_M8_E64, VDIV_VX }, // 1132
  { PseudoVDIV_VX_M8_E64_MASK, VDIV_VX }, // 1133
  { PseudoVDIV_VX_M8_E8, VDIV_VX }, // 1134
  { PseudoVDIV_VX_M8_E8_MASK, VDIV_VX }, // 1135
  { PseudoVDIV_VX_MF2_E16, VDIV_VX }, // 1136
  { PseudoVDIV_VX_MF2_E16_MASK, VDIV_VX }, // 1137
  { PseudoVDIV_VX_MF2_E32, VDIV_VX }, // 1138
  { PseudoVDIV_VX_MF2_E32_MASK, VDIV_VX }, // 1139
  { PseudoVDIV_VX_MF2_E8, VDIV_VX }, // 1140
  { PseudoVDIV_VX_MF2_E8_MASK, VDIV_VX }, // 1141
  { PseudoVDIV_VX_MF4_E16, VDIV_VX }, // 1142
  { PseudoVDIV_VX_MF4_E16_MASK, VDIV_VX }, // 1143
  { PseudoVDIV_VX_MF4_E8, VDIV_VX }, // 1144
  { PseudoVDIV_VX_MF4_E8_MASK, VDIV_VX }, // 1145
  { PseudoVDIV_VX_MF8_E8, VDIV_VX }, // 1146
  { PseudoVDIV_VX_MF8_E8_MASK, VDIV_VX }, // 1147
  { PseudoVFADD_VFPR16_M1_E16, VFADD_VF }, // 1148
  { PseudoVFADD_VFPR16_M1_E16_MASK, VFADD_VF }, // 1149
  { PseudoVFADD_VFPR16_M2_E16, VFADD_VF }, // 1150
  { PseudoVFADD_VFPR16_M2_E16_MASK, VFADD_VF }, // 1151
  { PseudoVFADD_VFPR16_M4_E16, VFADD_VF }, // 1152
  { PseudoVFADD_VFPR16_M4_E16_MASK, VFADD_VF }, // 1153
  { PseudoVFADD_VFPR16_M8_E16, VFADD_VF }, // 1154
  { PseudoVFADD_VFPR16_M8_E16_MASK, VFADD_VF }, // 1155
  { PseudoVFADD_VFPR16_MF2_E16, VFADD_VF }, // 1156
  { PseudoVFADD_VFPR16_MF2_E16_MASK, VFADD_VF }, // 1157
  { PseudoVFADD_VFPR16_MF4_E16, VFADD_VF }, // 1158
  { PseudoVFADD_VFPR16_MF4_E16_MASK, VFADD_VF }, // 1159
  { PseudoVFADD_VFPR32_M1_E32, VFADD_VF }, // 1160
  { PseudoVFADD_VFPR32_M1_E32_MASK, VFADD_VF }, // 1161
  { PseudoVFADD_VFPR32_M2_E32, VFADD_VF }, // 1162
  { PseudoVFADD_VFPR32_M2_E32_MASK, VFADD_VF }, // 1163
  { PseudoVFADD_VFPR32_M4_E32, VFADD_VF }, // 1164
  { PseudoVFADD_VFPR32_M4_E32_MASK, VFADD_VF }, // 1165
  { PseudoVFADD_VFPR32_M8_E32, VFADD_VF }, // 1166
  { PseudoVFADD_VFPR32_M8_E32_MASK, VFADD_VF }, // 1167
  { PseudoVFADD_VFPR32_MF2_E32, VFADD_VF }, // 1168
  { PseudoVFADD_VFPR32_MF2_E32_MASK, VFADD_VF }, // 1169
  { PseudoVFADD_VFPR64_M1_E64, VFADD_VF }, // 1170
  { PseudoVFADD_VFPR64_M1_E64_MASK, VFADD_VF }, // 1171
  { PseudoVFADD_VFPR64_M2_E64, VFADD_VF }, // 1172
  { PseudoVFADD_VFPR64_M2_E64_MASK, VFADD_VF }, // 1173
  { PseudoVFADD_VFPR64_M4_E64, VFADD_VF }, // 1174
  { PseudoVFADD_VFPR64_M4_E64_MASK, VFADD_VF }, // 1175
  { PseudoVFADD_VFPR64_M8_E64, VFADD_VF }, // 1176
  { PseudoVFADD_VFPR64_M8_E64_MASK, VFADD_VF }, // 1177
  { PseudoVFADD_VV_M1_E16, VFADD_VV }, // 1178
  { PseudoVFADD_VV_M1_E16_MASK, VFADD_VV }, // 1179
  { PseudoVFADD_VV_M1_E32, VFADD_VV }, // 1180
  { PseudoVFADD_VV_M1_E32_MASK, VFADD_VV }, // 1181
  { PseudoVFADD_VV_M1_E64, VFADD_VV }, // 1182
  { PseudoVFADD_VV_M1_E64_MASK, VFADD_VV }, // 1183
  { PseudoVFADD_VV_M2_E16, VFADD_VV }, // 1184
  { PseudoVFADD_VV_M2_E16_MASK, VFADD_VV }, // 1185
  { PseudoVFADD_VV_M2_E32, VFADD_VV }, // 1186
  { PseudoVFADD_VV_M2_E32_MASK, VFADD_VV }, // 1187
  { PseudoVFADD_VV_M2_E64, VFADD_VV }, // 1188
  { PseudoVFADD_VV_M2_E64_MASK, VFADD_VV }, // 1189
  { PseudoVFADD_VV_M4_E16, VFADD_VV }, // 1190
  { PseudoVFADD_VV_M4_E16_MASK, VFADD_VV }, // 1191
  { PseudoVFADD_VV_M4_E32, VFADD_VV }, // 1192
  { PseudoVFADD_VV_M4_E32_MASK, VFADD_VV }, // 1193
  { PseudoVFADD_VV_M4_E64, VFADD_VV }, // 1194
  { PseudoVFADD_VV_M4_E64_MASK, VFADD_VV }, // 1195
  { PseudoVFADD_VV_M8_E16, VFADD_VV }, // 1196
  { PseudoVFADD_VV_M8_E16_MASK, VFADD_VV }, // 1197
  { PseudoVFADD_VV_M8_E32, VFADD_VV }, // 1198
  { PseudoVFADD_VV_M8_E32_MASK, VFADD_VV }, // 1199
  { PseudoVFADD_VV_M8_E64, VFADD_VV }, // 1200
  { PseudoVFADD_VV_M8_E64_MASK, VFADD_VV }, // 1201
  { PseudoVFADD_VV_MF2_E16, VFADD_VV }, // 1202
  { PseudoVFADD_VV_MF2_E16_MASK, VFADD_VV }, // 1203
  { PseudoVFADD_VV_MF2_E32, VFADD_VV }, // 1204
  { PseudoVFADD_VV_MF2_E32_MASK, VFADD_VV }, // 1205
  { PseudoVFADD_VV_MF4_E16, VFADD_VV }, // 1206
  { PseudoVFADD_VV_MF4_E16_MASK, VFADD_VV }, // 1207
  { PseudoVFCLASS_V_M1, VFCLASS_V }, // 1208
  { PseudoVFCLASS_V_M1_MASK, VFCLASS_V }, // 1209
  { PseudoVFCLASS_V_M2, VFCLASS_V }, // 1210
  { PseudoVFCLASS_V_M2_MASK, VFCLASS_V }, // 1211
  { PseudoVFCLASS_V_M4, VFCLASS_V }, // 1212
  { PseudoVFCLASS_V_M4_MASK, VFCLASS_V }, // 1213
  { PseudoVFCLASS_V_M8, VFCLASS_V }, // 1214
  { PseudoVFCLASS_V_M8_MASK, VFCLASS_V }, // 1215
  { PseudoVFCLASS_V_MF2, VFCLASS_V }, // 1216
  { PseudoVFCLASS_V_MF2_MASK, VFCLASS_V }, // 1217
  { PseudoVFCLASS_V_MF4, VFCLASS_V }, // 1218
  { PseudoVFCLASS_V_MF4_MASK, VFCLASS_V }, // 1219
  { PseudoVFCVT_F_XU_V_M1_E16, VFCVT_F_XU_V }, // 1220
  { PseudoVFCVT_F_XU_V_M1_E16_MASK, VFCVT_F_XU_V }, // 1221
  { PseudoVFCVT_F_XU_V_M1_E32, VFCVT_F_XU_V }, // 1222
  { PseudoVFCVT_F_XU_V_M1_E32_MASK, VFCVT_F_XU_V }, // 1223
  { PseudoVFCVT_F_XU_V_M1_E64, VFCVT_F_XU_V }, // 1224
  { PseudoVFCVT_F_XU_V_M1_E64_MASK, VFCVT_F_XU_V }, // 1225
  { PseudoVFCVT_F_XU_V_M2_E16, VFCVT_F_XU_V }, // 1226
  { PseudoVFCVT_F_XU_V_M2_E16_MASK, VFCVT_F_XU_V }, // 1227
  { PseudoVFCVT_F_XU_V_M2_E32, VFCVT_F_XU_V }, // 1228
  { PseudoVFCVT_F_XU_V_M2_E32_MASK, VFCVT_F_XU_V }, // 1229
  { PseudoVFCVT_F_XU_V_M2_E64, VFCVT_F_XU_V }, // 1230
  { PseudoVFCVT_F_XU_V_M2_E64_MASK, VFCVT_F_XU_V }, // 1231
  { PseudoVFCVT_F_XU_V_M4_E16, VFCVT_F_XU_V }, // 1232
  { PseudoVFCVT_F_XU_V_M4_E16_MASK, VFCVT_F_XU_V }, // 1233
  { PseudoVFCVT_F_XU_V_M4_E32, VFCVT_F_XU_V }, // 1234
  { PseudoVFCVT_F_XU_V_M4_E32_MASK, VFCVT_F_XU_V }, // 1235
  { PseudoVFCVT_F_XU_V_M4_E64, VFCVT_F_XU_V }, // 1236
  { PseudoVFCVT_F_XU_V_M4_E64_MASK, VFCVT_F_XU_V }, // 1237
  { PseudoVFCVT_F_XU_V_M8_E16, VFCVT_F_XU_V }, // 1238
  { PseudoVFCVT_F_XU_V_M8_E16_MASK, VFCVT_F_XU_V }, // 1239
  { PseudoVFCVT_F_XU_V_M8_E32, VFCVT_F_XU_V }, // 1240
  { PseudoVFCVT_F_XU_V_M8_E32_MASK, VFCVT_F_XU_V }, // 1241
  { PseudoVFCVT_F_XU_V_M8_E64, VFCVT_F_XU_V }, // 1242
  { PseudoVFCVT_F_XU_V_M8_E64_MASK, VFCVT_F_XU_V }, // 1243
  { PseudoVFCVT_F_XU_V_MF2_E16, VFCVT_F_XU_V }, // 1244
  { PseudoVFCVT_F_XU_V_MF2_E16_MASK, VFCVT_F_XU_V }, // 1245
  { PseudoVFCVT_F_XU_V_MF2_E32, VFCVT_F_XU_V }, // 1246
  { PseudoVFCVT_F_XU_V_MF2_E32_MASK, VFCVT_F_XU_V }, // 1247
  { PseudoVFCVT_F_XU_V_MF4_E16, VFCVT_F_XU_V }, // 1248
  { PseudoVFCVT_F_XU_V_MF4_E16_MASK, VFCVT_F_XU_V }, // 1249
  { PseudoVFCVT_F_X_V_M1_E16, VFCVT_F_X_V }, // 1250
  { PseudoVFCVT_F_X_V_M1_E16_MASK, VFCVT_F_X_V }, // 1251
  { PseudoVFCVT_F_X_V_M1_E32, VFCVT_F_X_V }, // 1252
  { PseudoVFCVT_F_X_V_M1_E32_MASK, VFCVT_F_X_V }, // 1253
  { PseudoVFCVT_F_X_V_M1_E64, VFCVT_F_X_V }, // 1254
  { PseudoVFCVT_F_X_V_M1_E64_MASK, VFCVT_F_X_V }, // 1255
  { PseudoVFCVT_F_X_V_M2_E16, VFCVT_F_X_V }, // 1256
  { PseudoVFCVT_F_X_V_M2_E16_MASK, VFCVT_F_X_V }, // 1257
  { PseudoVFCVT_F_X_V_M2_E32, VFCVT_F_X_V }, // 1258
  { PseudoVFCVT_F_X_V_M2_E32_MASK, VFCVT_F_X_V }, // 1259
  { PseudoVFCVT_F_X_V_M2_E64, VFCVT_F_X_V }, // 1260
  { PseudoVFCVT_F_X_V_M2_E64_MASK, VFCVT_F_X_V }, // 1261
  { PseudoVFCVT_F_X_V_M4_E16, VFCVT_F_X_V }, // 1262
  { PseudoVFCVT_F_X_V_M4_E16_MASK, VFCVT_F_X_V }, // 1263
  { PseudoVFCVT_F_X_V_M4_E32, VFCVT_F_X_V }, // 1264
  { PseudoVFCVT_F_X_V_M4_E32_MASK, VFCVT_F_X_V }, // 1265
  { PseudoVFCVT_F_X_V_M4_E64, VFCVT_F_X_V }, // 1266
  { PseudoVFCVT_F_X_V_M4_E64_MASK, VFCVT_F_X_V }, // 1267
  { PseudoVFCVT_F_X_V_M8_E16, VFCVT_F_X_V }, // 1268
  { PseudoVFCVT_F_X_V_M8_E16_MASK, VFCVT_F_X_V }, // 1269
  { PseudoVFCVT_F_X_V_M8_E32, VFCVT_F_X_V }, // 1270
  { PseudoVFCVT_F_X_V_M8_E32_MASK, VFCVT_F_X_V }, // 1271
  { PseudoVFCVT_F_X_V_M8_E64, VFCVT_F_X_V }, // 1272
  { PseudoVFCVT_F_X_V_M8_E64_MASK, VFCVT_F_X_V }, // 1273
  { PseudoVFCVT_F_X_V_MF2_E16, VFCVT_F_X_V }, // 1274
  { PseudoVFCVT_F_X_V_MF2_E16_MASK, VFCVT_F_X_V }, // 1275
  { PseudoVFCVT_F_X_V_MF2_E32, VFCVT_F_X_V }, // 1276
  { PseudoVFCVT_F_X_V_MF2_E32_MASK, VFCVT_F_X_V }, // 1277
  { PseudoVFCVT_F_X_V_MF4_E16, VFCVT_F_X_V }, // 1278
  { PseudoVFCVT_F_X_V_MF4_E16_MASK, VFCVT_F_X_V }, // 1279
  { PseudoVFCVT_RM_F_XU_V_M1_E16, VFCVT_F_XU_V }, // 1280
  { PseudoVFCVT_RM_F_XU_V_M1_E16_MASK, VFCVT_F_XU_V }, // 1281
  { PseudoVFCVT_RM_F_XU_V_M1_E32, VFCVT_F_XU_V }, // 1282
  { PseudoVFCVT_RM_F_XU_V_M1_E32_MASK, VFCVT_F_XU_V }, // 1283
  { PseudoVFCVT_RM_F_XU_V_M1_E64, VFCVT_F_XU_V }, // 1284
  { PseudoVFCVT_RM_F_XU_V_M1_E64_MASK, VFCVT_F_XU_V }, // 1285
  { PseudoVFCVT_RM_F_XU_V_M2_E16, VFCVT_F_XU_V }, // 1286
  { PseudoVFCVT_RM_F_XU_V_M2_E16_MASK, VFCVT_F_XU_V }, // 1287
  { PseudoVFCVT_RM_F_XU_V_M2_E32, VFCVT_F_XU_V }, // 1288
  { PseudoVFCVT_RM_F_XU_V_M2_E32_MASK, VFCVT_F_XU_V }, // 1289
  { PseudoVFCVT_RM_F_XU_V_M2_E64, VFCVT_F_XU_V }, // 1290
  { PseudoVFCVT_RM_F_XU_V_M2_E64_MASK, VFCVT_F_XU_V }, // 1291
  { PseudoVFCVT_RM_F_XU_V_M4_E16, VFCVT_F_XU_V }, // 1292
  { PseudoVFCVT_RM_F_XU_V_M4_E16_MASK, VFCVT_F_XU_V }, // 1293
  { PseudoVFCVT_RM_F_XU_V_M4_E32, VFCVT_F_XU_V }, // 1294
  { PseudoVFCVT_RM_F_XU_V_M4_E32_MASK, VFCVT_F_XU_V }, // 1295
  { PseudoVFCVT_RM_F_XU_V_M4_E64, VFCVT_F_XU_V }, // 1296
  { PseudoVFCVT_RM_F_XU_V_M4_E64_MASK, VFCVT_F_XU_V }, // 1297
  { PseudoVFCVT_RM_F_XU_V_M8_E16, VFCVT_F_XU_V }, // 1298
  { PseudoVFCVT_RM_F_XU_V_M8_E16_MASK, VFCVT_F_XU_V }, // 1299
  { PseudoVFCVT_RM_F_XU_V_M8_E32, VFCVT_F_XU_V }, // 1300
  { PseudoVFCVT_RM_F_XU_V_M8_E32_MASK, VFCVT_F_XU_V }, // 1301
  { PseudoVFCVT_RM_F_XU_V_M8_E64, VFCVT_F_XU_V }, // 1302
  { PseudoVFCVT_RM_F_XU_V_M8_E64_MASK, VFCVT_F_XU_V }, // 1303
  { PseudoVFCVT_RM_F_XU_V_MF2_E16, VFCVT_F_XU_V }, // 1304
  { PseudoVFCVT_RM_F_XU_V_MF2_E16_MASK, VFCVT_F_XU_V }, // 1305
  { PseudoVFCVT_RM_F_XU_V_MF2_E32, VFCVT_F_XU_V }, // 1306
  { PseudoVFCVT_RM_F_XU_V_MF2_E32_MASK, VFCVT_F_XU_V }, // 1307
  { PseudoVFCVT_RM_F_XU_V_MF4_E16, VFCVT_F_XU_V }, // 1308
  { PseudoVFCVT_RM_F_XU_V_MF4_E16_MASK, VFCVT_F_XU_V }, // 1309
  { PseudoVFCVT_RM_F_X_V_M1_E16, VFCVT_F_X_V }, // 1310
  { PseudoVFCVT_RM_F_X_V_M1_E16_MASK, VFCVT_F_X_V }, // 1311
  { PseudoVFCVT_RM_F_X_V_M1_E32, VFCVT_F_X_V }, // 1312
  { PseudoVFCVT_RM_F_X_V_M1_E32_MASK, VFCVT_F_X_V }, // 1313
  { PseudoVFCVT_RM_F_X_V_M1_E64, VFCVT_F_X_V }, // 1314
  { PseudoVFCVT_RM_F_X_V_M1_E64_MASK, VFCVT_F_X_V }, // 1315
  { PseudoVFCVT_RM_F_X_V_M2_E16, VFCVT_F_X_V }, // 1316
  { PseudoVFCVT_RM_F_X_V_M2_E16_MASK, VFCVT_F_X_V }, // 1317
  { PseudoVFCVT_RM_F_X_V_M2_E32, VFCVT_F_X_V }, // 1318
  { PseudoVFCVT_RM_F_X_V_M2_E32_MASK, VFCVT_F_X_V }, // 1319
  { PseudoVFCVT_RM_F_X_V_M2_E64, VFCVT_F_X_V }, // 1320
  { PseudoVFCVT_RM_F_X_V_M2_E64_MASK, VFCVT_F_X_V }, // 1321
  { PseudoVFCVT_RM_F_X_V_M4_E16, VFCVT_F_X_V }, // 1322
  { PseudoVFCVT_RM_F_X_V_M4_E16_MASK, VFCVT_F_X_V }, // 1323
  { PseudoVFCVT_RM_F_X_V_M4_E32, VFCVT_F_X_V }, // 1324
  { PseudoVFCVT_RM_F_X_V_M4_E32_MASK, VFCVT_F_X_V }, // 1325
  { PseudoVFCVT_RM_F_X_V_M4_E64, VFCVT_F_X_V }, // 1326
  { PseudoVFCVT_RM_F_X_V_M4_E64_MASK, VFCVT_F_X_V }, // 1327
  { PseudoVFCVT_RM_F_X_V_M8_E16, VFCVT_F_X_V }, // 1328
  { PseudoVFCVT_RM_F_X_V_M8_E16_MASK, VFCVT_F_X_V }, // 1329
  { PseudoVFCVT_RM_F_X_V_M8_E32, VFCVT_F_X_V }, // 1330
  { PseudoVFCVT_RM_F_X_V_M8_E32_MASK, VFCVT_F_X_V }, // 1331
  { PseudoVFCVT_RM_F_X_V_M8_E64, VFCVT_F_X_V }, // 1332
  { PseudoVFCVT_RM_F_X_V_M8_E64_MASK, VFCVT_F_X_V }, // 1333
  { PseudoVFCVT_RM_F_X_V_MF2_E16, VFCVT_F_X_V }, // 1334
  { PseudoVFCVT_RM_F_X_V_MF2_E16_MASK, VFCVT_F_X_V }, // 1335
  { PseudoVFCVT_RM_F_X_V_MF2_E32, VFCVT_F_X_V }, // 1336
  { PseudoVFCVT_RM_F_X_V_MF2_E32_MASK, VFCVT_F_X_V }, // 1337
  { PseudoVFCVT_RM_F_X_V_MF4_E16, VFCVT_F_X_V }, // 1338
  { PseudoVFCVT_RM_F_X_V_MF4_E16_MASK, VFCVT_F_X_V }, // 1339
  { PseudoVFCVT_RM_XU_F_V_M1, VFCVT_XU_F_V }, // 1340
  { PseudoVFCVT_RM_XU_F_V_M1_MASK, VFCVT_XU_F_V }, // 1341
  { PseudoVFCVT_RM_XU_F_V_M2, VFCVT_XU_F_V }, // 1342
  { PseudoVFCVT_RM_XU_F_V_M2_MASK, VFCVT_XU_F_V }, // 1343
  { PseudoVFCVT_RM_XU_F_V_M4, VFCVT_XU_F_V }, // 1344
  { PseudoVFCVT_RM_XU_F_V_M4_MASK, VFCVT_XU_F_V }, // 1345
  { PseudoVFCVT_RM_XU_F_V_M8, VFCVT_XU_F_V }, // 1346
  { PseudoVFCVT_RM_XU_F_V_M8_MASK, VFCVT_XU_F_V }, // 1347
  { PseudoVFCVT_RM_XU_F_V_MF2, VFCVT_XU_F_V }, // 1348
  { PseudoVFCVT_RM_XU_F_V_MF2_MASK, VFCVT_XU_F_V }, // 1349
  { PseudoVFCVT_RM_XU_F_V_MF4, VFCVT_XU_F_V }, // 1350
  { PseudoVFCVT_RM_XU_F_V_MF4_MASK, VFCVT_XU_F_V }, // 1351
  { PseudoVFCVT_RM_X_F_V_M1, VFCVT_X_F_V }, // 1352
  { PseudoVFCVT_RM_X_F_V_M1_MASK, VFCVT_X_F_V }, // 1353
  { PseudoVFCVT_RM_X_F_V_M2, VFCVT_X_F_V }, // 1354
  { PseudoVFCVT_RM_X_F_V_M2_MASK, VFCVT_X_F_V }, // 1355
  { PseudoVFCVT_RM_X_F_V_M4, VFCVT_X_F_V }, // 1356
  { PseudoVFCVT_RM_X_F_V_M4_MASK, VFCVT_X_F_V }, // 1357
  { PseudoVFCVT_RM_X_F_V_M8, VFCVT_X_F_V }, // 1358
  { PseudoVFCVT_RM_X_F_V_M8_MASK, VFCVT_X_F_V }, // 1359
  { PseudoVFCVT_RM_X_F_V_MF2, VFCVT_X_F_V }, // 1360
  { PseudoVFCVT_RM_X_F_V_MF2_MASK, VFCVT_X_F_V }, // 1361
  { PseudoVFCVT_RM_X_F_V_MF4, VFCVT_X_F_V }, // 1362
  { PseudoVFCVT_RM_X_F_V_MF4_MASK, VFCVT_X_F_V }, // 1363
  { PseudoVFCVT_RTZ_XU_F_V_M1, VFCVT_RTZ_XU_F_V }, // 1364
  { PseudoVFCVT_RTZ_XU_F_V_M1_MASK, VFCVT_RTZ_XU_F_V }, // 1365
  { PseudoVFCVT_RTZ_XU_F_V_M2, VFCVT_RTZ_XU_F_V }, // 1366
  { PseudoVFCVT_RTZ_XU_F_V_M2_MASK, VFCVT_RTZ_XU_F_V }, // 1367
  { PseudoVFCVT_RTZ_XU_F_V_M4, VFCVT_RTZ_XU_F_V }, // 1368
  { PseudoVFCVT_RTZ_XU_F_V_M4_MASK, VFCVT_RTZ_XU_F_V }, // 1369
  { PseudoVFCVT_RTZ_XU_F_V_M8, VFCVT_RTZ_XU_F_V }, // 1370
  { PseudoVFCVT_RTZ_XU_F_V_M8_MASK, VFCVT_RTZ_XU_F_V }, // 1371
  { PseudoVFCVT_RTZ_XU_F_V_MF2, VFCVT_RTZ_XU_F_V }, // 1372
  { PseudoVFCVT_RTZ_XU_F_V_MF2_MASK, VFCVT_RTZ_XU_F_V }, // 1373
  { PseudoVFCVT_RTZ_XU_F_V_MF4, VFCVT_RTZ_XU_F_V }, // 1374
  { PseudoVFCVT_RTZ_XU_F_V_MF4_MASK, VFCVT_RTZ_XU_F_V }, // 1375
  { PseudoVFCVT_RTZ_X_F_V_M1, VFCVT_RTZ_X_F_V }, // 1376
  { PseudoVFCVT_RTZ_X_F_V_M1_MASK, VFCVT_RTZ_X_F_V }, // 1377
  { PseudoVFCVT_RTZ_X_F_V_M2, VFCVT_RTZ_X_F_V }, // 1378
  { PseudoVFCVT_RTZ_X_F_V_M2_MASK, VFCVT_RTZ_X_F_V }, // 1379
  { PseudoVFCVT_RTZ_X_F_V_M4, VFCVT_RTZ_X_F_V }, // 1380
  { PseudoVFCVT_RTZ_X_F_V_M4_MASK, VFCVT_RTZ_X_F_V }, // 1381
  { PseudoVFCVT_RTZ_X_F_V_M8, VFCVT_RTZ_X_F_V }, // 1382
  { PseudoVFCVT_RTZ_X_F_V_M8_MASK, VFCVT_RTZ_X_F_V }, // 1383
  { PseudoVFCVT_RTZ_X_F_V_MF2, VFCVT_RTZ_X_F_V }, // 1384
  { PseudoVFCVT_RTZ_X_F_V_MF2_MASK, VFCVT_RTZ_X_F_V }, // 1385
  { PseudoVFCVT_RTZ_X_F_V_MF4, VFCVT_RTZ_X_F_V }, // 1386
  { PseudoVFCVT_RTZ_X_F_V_MF4_MASK, VFCVT_RTZ_X_F_V }, // 1387
  { PseudoVFCVT_XU_F_V_M1, VFCVT_XU_F_V }, // 1388
  { PseudoVFCVT_XU_F_V_M1_MASK, VFCVT_XU_F_V }, // 1389
  { PseudoVFCVT_XU_F_V_M2, VFCVT_XU_F_V }, // 1390
  { PseudoVFCVT_XU_F_V_M2_MASK, VFCVT_XU_F_V }, // 1391
  { PseudoVFCVT_XU_F_V_M4, VFCVT_XU_F_V }, // 1392
  { PseudoVFCVT_XU_F_V_M4_MASK, VFCVT_XU_F_V }, // 1393
  { PseudoVFCVT_XU_F_V_M8, VFCVT_XU_F_V }, // 1394
  { PseudoVFCVT_XU_F_V_M8_MASK, VFCVT_XU_F_V }, // 1395
  { PseudoVFCVT_XU_F_V_MF2, VFCVT_XU_F_V }, // 1396
  { PseudoVFCVT_XU_F_V_MF2_MASK, VFCVT_XU_F_V }, // 1397
  { PseudoVFCVT_XU_F_V_MF4, VFCVT_XU_F_V }, // 1398
  { PseudoVFCVT_XU_F_V_MF4_MASK, VFCVT_XU_F_V }, // 1399
  { PseudoVFCVT_X_F_V_M1, VFCVT_X_F_V }, // 1400
  { PseudoVFCVT_X_F_V_M1_MASK, VFCVT_X_F_V }, // 1401
  { PseudoVFCVT_X_F_V_M2, VFCVT_X_F_V }, // 1402
  { PseudoVFCVT_X_F_V_M2_MASK, VFCVT_X_F_V }, // 1403
  { PseudoVFCVT_X_F_V_M4, VFCVT_X_F_V }, // 1404
  { PseudoVFCVT_X_F_V_M4_MASK, VFCVT_X_F_V }, // 1405
  { PseudoVFCVT_X_F_V_M8, VFCVT_X_F_V }, // 1406
  { PseudoVFCVT_X_F_V_M8_MASK, VFCVT_X_F_V }, // 1407
  { PseudoVFCVT_X_F_V_MF2, VFCVT_X_F_V }, // 1408
  { PseudoVFCVT_X_F_V_MF2_MASK, VFCVT_X_F_V }, // 1409
  { PseudoVFCVT_X_F_V_MF4, VFCVT_X_F_V }, // 1410
  { PseudoVFCVT_X_F_V_MF4_MASK, VFCVT_X_F_V }, // 1411
  { PseudoVFDIV_VFPR16_M1_E16, VFDIV_VF }, // 1412
  { PseudoVFDIV_VFPR16_M1_E16_MASK, VFDIV_VF }, // 1413
  { PseudoVFDIV_VFPR16_M2_E16, VFDIV_VF }, // 1414
  { PseudoVFDIV_VFPR16_M2_E16_MASK, VFDIV_VF }, // 1415
  { PseudoVFDIV_VFPR16_M4_E16, VFDIV_VF }, // 1416
  { PseudoVFDIV_VFPR16_M4_E16_MASK, VFDIV_VF }, // 1417
  { PseudoVFDIV_VFPR16_M8_E16, VFDIV_VF }, // 1418
  { PseudoVFDIV_VFPR16_M8_E16_MASK, VFDIV_VF }, // 1419
  { PseudoVFDIV_VFPR16_MF2_E16, VFDIV_VF }, // 1420
  { PseudoVFDIV_VFPR16_MF2_E16_MASK, VFDIV_VF }, // 1421
  { PseudoVFDIV_VFPR16_MF4_E16, VFDIV_VF }, // 1422
  { PseudoVFDIV_VFPR16_MF4_E16_MASK, VFDIV_VF }, // 1423
  { PseudoVFDIV_VFPR32_M1_E32, VFDIV_VF }, // 1424
  { PseudoVFDIV_VFPR32_M1_E32_MASK, VFDIV_VF }, // 1425
  { PseudoVFDIV_VFPR32_M2_E32, VFDIV_VF }, // 1426
  { PseudoVFDIV_VFPR32_M2_E32_MASK, VFDIV_VF }, // 1427
  { PseudoVFDIV_VFPR32_M4_E32, VFDIV_VF }, // 1428
  { PseudoVFDIV_VFPR32_M4_E32_MASK, VFDIV_VF }, // 1429
  { PseudoVFDIV_VFPR32_M8_E32, VFDIV_VF }, // 1430
  { PseudoVFDIV_VFPR32_M8_E32_MASK, VFDIV_VF }, // 1431
  { PseudoVFDIV_VFPR32_MF2_E32, VFDIV_VF }, // 1432
  { PseudoVFDIV_VFPR32_MF2_E32_MASK, VFDIV_VF }, // 1433
  { PseudoVFDIV_VFPR64_M1_E64, VFDIV_VF }, // 1434
  { PseudoVFDIV_VFPR64_M1_E64_MASK, VFDIV_VF }, // 1435
  { PseudoVFDIV_VFPR64_M2_E64, VFDIV_VF }, // 1436
  { PseudoVFDIV_VFPR64_M2_E64_MASK, VFDIV_VF }, // 1437
  { PseudoVFDIV_VFPR64_M4_E64, VFDIV_VF }, // 1438
  { PseudoVFDIV_VFPR64_M4_E64_MASK, VFDIV_VF }, // 1439
  { PseudoVFDIV_VFPR64_M8_E64, VFDIV_VF }, // 1440
  { PseudoVFDIV_VFPR64_M8_E64_MASK, VFDIV_VF }, // 1441
  { PseudoVFDIV_VV_M1_E16, VFDIV_VV }, // 1442
  { PseudoVFDIV_VV_M1_E16_MASK, VFDIV_VV }, // 1443
  { PseudoVFDIV_VV_M1_E32, VFDIV_VV }, // 1444
  { PseudoVFDIV_VV_M1_E32_MASK, VFDIV_VV }, // 1445
  { PseudoVFDIV_VV_M1_E64, VFDIV_VV }, // 1446
  { PseudoVFDIV_VV_M1_E64_MASK, VFDIV_VV }, // 1447
  { PseudoVFDIV_VV_M2_E16, VFDIV_VV }, // 1448
  { PseudoVFDIV_VV_M2_E16_MASK, VFDIV_VV }, // 1449
  { PseudoVFDIV_VV_M2_E32, VFDIV_VV }, // 1450
  { PseudoVFDIV_VV_M2_E32_MASK, VFDIV_VV }, // 1451
  { PseudoVFDIV_VV_M2_E64, VFDIV_VV }, // 1452
  { PseudoVFDIV_VV_M2_E64_MASK, VFDIV_VV }, // 1453
  { PseudoVFDIV_VV_M4_E16, VFDIV_VV }, // 1454
  { PseudoVFDIV_VV_M4_E16_MASK, VFDIV_VV }, // 1455
  { PseudoVFDIV_VV_M4_E32, VFDIV_VV }, // 1456
  { PseudoVFDIV_VV_M4_E32_MASK, VFDIV_VV }, // 1457
  { PseudoVFDIV_VV_M4_E64, VFDIV_VV }, // 1458
  { PseudoVFDIV_VV_M4_E64_MASK, VFDIV_VV }, // 1459
  { PseudoVFDIV_VV_M8_E16, VFDIV_VV }, // 1460
  { PseudoVFDIV_VV_M8_E16_MASK, VFDIV_VV }, // 1461
  { PseudoVFDIV_VV_M8_E32, VFDIV_VV }, // 1462
  { PseudoVFDIV_VV_M8_E32_MASK, VFDIV_VV }, // 1463
  { PseudoVFDIV_VV_M8_E64, VFDIV_VV }, // 1464
  { PseudoVFDIV_VV_M8_E64_MASK, VFDIV_VV }, // 1465
  { PseudoVFDIV_VV_MF2_E16, VFDIV_VV }, // 1466
  { PseudoVFDIV_VV_MF2_E16_MASK, VFDIV_VV }, // 1467
  { PseudoVFDIV_VV_MF2_E32, VFDIV_VV }, // 1468
  { PseudoVFDIV_VV_MF2_E32_MASK, VFDIV_VV }, // 1469
  { PseudoVFDIV_VV_MF4_E16, VFDIV_VV }, // 1470
  { PseudoVFDIV_VV_MF4_E16_MASK, VFDIV_VV }, // 1471
  { PseudoVFIRST_M_B1, VFIRST_M }, // 1472
  { PseudoVFIRST_M_B16, VFIRST_M }, // 1473
  { PseudoVFIRST_M_B16_MASK, VFIRST_M }, // 1474
  { PseudoVFIRST_M_B1_MASK, VFIRST_M }, // 1475
  { PseudoVFIRST_M_B2, VFIRST_M }, // 1476
  { PseudoVFIRST_M_B2_MASK, VFIRST_M }, // 1477
  { PseudoVFIRST_M_B32, VFIRST_M }, // 1478
  { PseudoVFIRST_M_B32_MASK, VFIRST_M }, // 1479
  { PseudoVFIRST_M_B4, VFIRST_M }, // 1480
  { PseudoVFIRST_M_B4_MASK, VFIRST_M }, // 1481
  { PseudoVFIRST_M_B64, VFIRST_M }, // 1482
  { PseudoVFIRST_M_B64_MASK, VFIRST_M }, // 1483
  { PseudoVFIRST_M_B8, VFIRST_M }, // 1484
  { PseudoVFIRST_M_B8_MASK, VFIRST_M }, // 1485
  { PseudoVFMACC_VFPR16_M1_E16, VFMACC_VF }, // 1486
  { PseudoVFMACC_VFPR16_M1_E16_MASK, VFMACC_VF }, // 1487
  { PseudoVFMACC_VFPR16_M2_E16, VFMACC_VF }, // 1488
  { PseudoVFMACC_VFPR16_M2_E16_MASK, VFMACC_VF }, // 1489
  { PseudoVFMACC_VFPR16_M4_E16, VFMACC_VF }, // 1490
  { PseudoVFMACC_VFPR16_M4_E16_MASK, VFMACC_VF }, // 1491
  { PseudoVFMACC_VFPR16_M8_E16, VFMACC_VF }, // 1492
  { PseudoVFMACC_VFPR16_M8_E16_MASK, VFMACC_VF }, // 1493
  { PseudoVFMACC_VFPR16_MF2_E16, VFMACC_VF }, // 1494
  { PseudoVFMACC_VFPR16_MF2_E16_MASK, VFMACC_VF }, // 1495
  { PseudoVFMACC_VFPR16_MF4_E16, VFMACC_VF }, // 1496
  { PseudoVFMACC_VFPR16_MF4_E16_MASK, VFMACC_VF }, // 1497
  { PseudoVFMACC_VFPR32_M1_E32, VFMACC_VF }, // 1498
  { PseudoVFMACC_VFPR32_M1_E32_MASK, VFMACC_VF }, // 1499
  { PseudoVFMACC_VFPR32_M2_E32, VFMACC_VF }, // 1500
  { PseudoVFMACC_VFPR32_M2_E32_MASK, VFMACC_VF }, // 1501
  { PseudoVFMACC_VFPR32_M4_E32, VFMACC_VF }, // 1502
  { PseudoVFMACC_VFPR32_M4_E32_MASK, VFMACC_VF }, // 1503
  { PseudoVFMACC_VFPR32_M8_E32, VFMACC_VF }, // 1504
  { PseudoVFMACC_VFPR32_M8_E32_MASK, VFMACC_VF }, // 1505
  { PseudoVFMACC_VFPR32_MF2_E32, VFMACC_VF }, // 1506
  { PseudoVFMACC_VFPR32_MF2_E32_MASK, VFMACC_VF }, // 1507
  { PseudoVFMACC_VFPR64_M1_E64, VFMACC_VF }, // 1508
  { PseudoVFMACC_VFPR64_M1_E64_MASK, VFMACC_VF }, // 1509
  { PseudoVFMACC_VFPR64_M2_E64, VFMACC_VF }, // 1510
  { PseudoVFMACC_VFPR64_M2_E64_MASK, VFMACC_VF }, // 1511
  { PseudoVFMACC_VFPR64_M4_E64, VFMACC_VF }, // 1512
  { PseudoVFMACC_VFPR64_M4_E64_MASK, VFMACC_VF }, // 1513
  { PseudoVFMACC_VFPR64_M8_E64, VFMACC_VF }, // 1514
  { PseudoVFMACC_VFPR64_M8_E64_MASK, VFMACC_VF }, // 1515
  { PseudoVFMACC_VV_M1_E16, VFMACC_VV }, // 1516
  { PseudoVFMACC_VV_M1_E16_MASK, VFMACC_VV }, // 1517
  { PseudoVFMACC_VV_M1_E32, VFMACC_VV }, // 1518
  { PseudoVFMACC_VV_M1_E32_MASK, VFMACC_VV }, // 1519
  { PseudoVFMACC_VV_M1_E64, VFMACC_VV }, // 1520
  { PseudoVFMACC_VV_M1_E64_MASK, VFMACC_VV }, // 1521
  { PseudoVFMACC_VV_M2_E16, VFMACC_VV }, // 1522
  { PseudoVFMACC_VV_M2_E16_MASK, VFMACC_VV }, // 1523
  { PseudoVFMACC_VV_M2_E32, VFMACC_VV }, // 1524
  { PseudoVFMACC_VV_M2_E32_MASK, VFMACC_VV }, // 1525
  { PseudoVFMACC_VV_M2_E64, VFMACC_VV }, // 1526
  { PseudoVFMACC_VV_M2_E64_MASK, VFMACC_VV }, // 1527
  { PseudoVFMACC_VV_M4_E16, VFMACC_VV }, // 1528
  { PseudoVFMACC_VV_M4_E16_MASK, VFMACC_VV }, // 1529
  { PseudoVFMACC_VV_M4_E32, VFMACC_VV }, // 1530
  { PseudoVFMACC_VV_M4_E32_MASK, VFMACC_VV }, // 1531
  { PseudoVFMACC_VV_M4_E64, VFMACC_VV }, // 1532
  { PseudoVFMACC_VV_M4_E64_MASK, VFMACC_VV }, // 1533
  { PseudoVFMACC_VV_M8_E16, VFMACC_VV }, // 1534
  { PseudoVFMACC_VV_M8_E16_MASK, VFMACC_VV }, // 1535
  { PseudoVFMACC_VV_M8_E32, VFMACC_VV }, // 1536
  { PseudoVFMACC_VV_M8_E32_MASK, VFMACC_VV }, // 1537
  { PseudoVFMACC_VV_M8_E64, VFMACC_VV }, // 1538
  { PseudoVFMACC_VV_M8_E64_MASK, VFMACC_VV }, // 1539
  { PseudoVFMACC_VV_MF2_E16, VFMACC_VV }, // 1540
  { PseudoVFMACC_VV_MF2_E16_MASK, VFMACC_VV }, // 1541
  { PseudoVFMACC_VV_MF2_E32, VFMACC_VV }, // 1542
  { PseudoVFMACC_VV_MF2_E32_MASK, VFMACC_VV }, // 1543
  { PseudoVFMACC_VV_MF4_E16, VFMACC_VV }, // 1544
  { PseudoVFMACC_VV_MF4_E16_MASK, VFMACC_VV }, // 1545
  { PseudoVFMADD_VFPR16_M1_E16, VFMADD_VF }, // 1546
  { PseudoVFMADD_VFPR16_M1_E16_MASK, VFMADD_VF }, // 1547
  { PseudoVFMADD_VFPR16_M2_E16, VFMADD_VF }, // 1548
  { PseudoVFMADD_VFPR16_M2_E16_MASK, VFMADD_VF }, // 1549
  { PseudoVFMADD_VFPR16_M4_E16, VFMADD_VF }, // 1550
  { PseudoVFMADD_VFPR16_M4_E16_MASK, VFMADD_VF }, // 1551
  { PseudoVFMADD_VFPR16_M8_E16, VFMADD_VF }, // 1552
  { PseudoVFMADD_VFPR16_M8_E16_MASK, VFMADD_VF }, // 1553
  { PseudoVFMADD_VFPR16_MF2_E16, VFMADD_VF }, // 1554
  { PseudoVFMADD_VFPR16_MF2_E16_MASK, VFMADD_VF }, // 1555
  { PseudoVFMADD_VFPR16_MF4_E16, VFMADD_VF }, // 1556
  { PseudoVFMADD_VFPR16_MF4_E16_MASK, VFMADD_VF }, // 1557
  { PseudoVFMADD_VFPR32_M1_E32, VFMADD_VF }, // 1558
  { PseudoVFMADD_VFPR32_M1_E32_MASK, VFMADD_VF }, // 1559
  { PseudoVFMADD_VFPR32_M2_E32, VFMADD_VF }, // 1560
  { PseudoVFMADD_VFPR32_M2_E32_MASK, VFMADD_VF }, // 1561
  { PseudoVFMADD_VFPR32_M4_E32, VFMADD_VF }, // 1562
  { PseudoVFMADD_VFPR32_M4_E32_MASK, VFMADD_VF }, // 1563
  { PseudoVFMADD_VFPR32_M8_E32, VFMADD_VF }, // 1564
  { PseudoVFMADD_VFPR32_M8_E32_MASK, VFMADD_VF }, // 1565
  { PseudoVFMADD_VFPR32_MF2_E32, VFMADD_VF }, // 1566
  { PseudoVFMADD_VFPR32_MF2_E32_MASK, VFMADD_VF }, // 1567
  { PseudoVFMADD_VFPR64_M1_E64, VFMADD_VF }, // 1568
  { PseudoVFMADD_VFPR64_M1_E64_MASK, VFMADD_VF }, // 1569
  { PseudoVFMADD_VFPR64_M2_E64, VFMADD_VF }, // 1570
  { PseudoVFMADD_VFPR64_M2_E64_MASK, VFMADD_VF }, // 1571
  { PseudoVFMADD_VFPR64_M4_E64, VFMADD_VF }, // 1572
  { PseudoVFMADD_VFPR64_M4_E64_MASK, VFMADD_VF }, // 1573
  { PseudoVFMADD_VFPR64_M8_E64, VFMADD_VF }, // 1574
  { PseudoVFMADD_VFPR64_M8_E64_MASK, VFMADD_VF }, // 1575
  { PseudoVFMADD_VV_M1_E16, VFMADD_VV }, // 1576
  { PseudoVFMADD_VV_M1_E16_MASK, VFMADD_VV }, // 1577
  { PseudoVFMADD_VV_M1_E32, VFMADD_VV }, // 1578
  { PseudoVFMADD_VV_M1_E32_MASK, VFMADD_VV }, // 1579
  { PseudoVFMADD_VV_M1_E64, VFMADD_VV }, // 1580
  { PseudoVFMADD_VV_M1_E64_MASK, VFMADD_VV }, // 1581
  { PseudoVFMADD_VV_M2_E16, VFMADD_VV }, // 1582
  { PseudoVFMADD_VV_M2_E16_MASK, VFMADD_VV }, // 1583
  { PseudoVFMADD_VV_M2_E32, VFMADD_VV }, // 1584
  { PseudoVFMADD_VV_M2_E32_MASK, VFMADD_VV }, // 1585
  { PseudoVFMADD_VV_M2_E64, VFMADD_VV }, // 1586
  { PseudoVFMADD_VV_M2_E64_MASK, VFMADD_VV }, // 1587
  { PseudoVFMADD_VV_M4_E16, VFMADD_VV }, // 1588
  { PseudoVFMADD_VV_M4_E16_MASK, VFMADD_VV }, // 1589
  { PseudoVFMADD_VV_M4_E32, VFMADD_VV }, // 1590
  { PseudoVFMADD_VV_M4_E32_MASK, VFMADD_VV }, // 1591
  { PseudoVFMADD_VV_M4_E64, VFMADD_VV }, // 1592
  { PseudoVFMADD_VV_M4_E64_MASK, VFMADD_VV }, // 1593
  { PseudoVFMADD_VV_M8_E16, VFMADD_VV }, // 1594
  { PseudoVFMADD_VV_M8_E16_MASK, VFMADD_VV }, // 1595
  { PseudoVFMADD_VV_M8_E32, VFMADD_VV }, // 1596
  { PseudoVFMADD_VV_M8_E32_MASK, VFMADD_VV }, // 1597
  { PseudoVFMADD_VV_M8_E64, VFMADD_VV }, // 1598
  { PseudoVFMADD_VV_M8_E64_MASK, VFMADD_VV }, // 1599
  { PseudoVFMADD_VV_MF2_E16, VFMADD_VV }, // 1600
  { PseudoVFMADD_VV_MF2_E16_MASK, VFMADD_VV }, // 1601
  { PseudoVFMADD_VV_MF2_E32, VFMADD_VV }, // 1602
  { PseudoVFMADD_VV_MF2_E32_MASK, VFMADD_VV }, // 1603
  { PseudoVFMADD_VV_MF4_E16, VFMADD_VV }, // 1604
  { PseudoVFMADD_VV_MF4_E16_MASK, VFMADD_VV }, // 1605
  { PseudoVFMAX_VFPR16_M1_E16, VFMAX_VF }, // 1606
  { PseudoVFMAX_VFPR16_M1_E16_MASK, VFMAX_VF }, // 1607
  { PseudoVFMAX_VFPR16_M2_E16, VFMAX_VF }, // 1608
  { PseudoVFMAX_VFPR16_M2_E16_MASK, VFMAX_VF }, // 1609
  { PseudoVFMAX_VFPR16_M4_E16, VFMAX_VF }, // 1610
  { PseudoVFMAX_VFPR16_M4_E16_MASK, VFMAX_VF }, // 1611
  { PseudoVFMAX_VFPR16_M8_E16, VFMAX_VF }, // 1612
  { PseudoVFMAX_VFPR16_M8_E16_MASK, VFMAX_VF }, // 1613
  { PseudoVFMAX_VFPR16_MF2_E16, VFMAX_VF }, // 1614
  { PseudoVFMAX_VFPR16_MF2_E16_MASK, VFMAX_VF }, // 1615
  { PseudoVFMAX_VFPR16_MF4_E16, VFMAX_VF }, // 1616
  { PseudoVFMAX_VFPR16_MF4_E16_MASK, VFMAX_VF }, // 1617
  { PseudoVFMAX_VFPR32_M1_E32, VFMAX_VF }, // 1618
  { PseudoVFMAX_VFPR32_M1_E32_MASK, VFMAX_VF }, // 1619
  { PseudoVFMAX_VFPR32_M2_E32, VFMAX_VF }, // 1620
  { PseudoVFMAX_VFPR32_M2_E32_MASK, VFMAX_VF }, // 1621
  { PseudoVFMAX_VFPR32_M4_E32, VFMAX_VF }, // 1622
  { PseudoVFMAX_VFPR32_M4_E32_MASK, VFMAX_VF }, // 1623
  { PseudoVFMAX_VFPR32_M8_E32, VFMAX_VF }, // 1624
  { PseudoVFMAX_VFPR32_M8_E32_MASK, VFMAX_VF }, // 1625
  { PseudoVFMAX_VFPR32_MF2_E32, VFMAX_VF }, // 1626
  { PseudoVFMAX_VFPR32_MF2_E32_MASK, VFMAX_VF }, // 1627
  { PseudoVFMAX_VFPR64_M1_E64, VFMAX_VF }, // 1628
  { PseudoVFMAX_VFPR64_M1_E64_MASK, VFMAX_VF }, // 1629
  { PseudoVFMAX_VFPR64_M2_E64, VFMAX_VF }, // 1630
  { PseudoVFMAX_VFPR64_M2_E64_MASK, VFMAX_VF }, // 1631
  { PseudoVFMAX_VFPR64_M4_E64, VFMAX_VF }, // 1632
  { PseudoVFMAX_VFPR64_M4_E64_MASK, VFMAX_VF }, // 1633
  { PseudoVFMAX_VFPR64_M8_E64, VFMAX_VF }, // 1634
  { PseudoVFMAX_VFPR64_M8_E64_MASK, VFMAX_VF }, // 1635
  { PseudoVFMAX_VV_M1_E16, VFMAX_VV }, // 1636
  { PseudoVFMAX_VV_M1_E16_MASK, VFMAX_VV }, // 1637
  { PseudoVFMAX_VV_M1_E32, VFMAX_VV }, // 1638
  { PseudoVFMAX_VV_M1_E32_MASK, VFMAX_VV }, // 1639
  { PseudoVFMAX_VV_M1_E64, VFMAX_VV }, // 1640
  { PseudoVFMAX_VV_M1_E64_MASK, VFMAX_VV }, // 1641
  { PseudoVFMAX_VV_M2_E16, VFMAX_VV }, // 1642
  { PseudoVFMAX_VV_M2_E16_MASK, VFMAX_VV }, // 1643
  { PseudoVFMAX_VV_M2_E32, VFMAX_VV }, // 1644
  { PseudoVFMAX_VV_M2_E32_MASK, VFMAX_VV }, // 1645
  { PseudoVFMAX_VV_M2_E64, VFMAX_VV }, // 1646
  { PseudoVFMAX_VV_M2_E64_MASK, VFMAX_VV }, // 1647
  { PseudoVFMAX_VV_M4_E16, VFMAX_VV }, // 1648
  { PseudoVFMAX_VV_M4_E16_MASK, VFMAX_VV }, // 1649
  { PseudoVFMAX_VV_M4_E32, VFMAX_VV }, // 1650
  { PseudoVFMAX_VV_M4_E32_MASK, VFMAX_VV }, // 1651
  { PseudoVFMAX_VV_M4_E64, VFMAX_VV }, // 1652
  { PseudoVFMAX_VV_M4_E64_MASK, VFMAX_VV }, // 1653
  { PseudoVFMAX_VV_M8_E16, VFMAX_VV }, // 1654
  { PseudoVFMAX_VV_M8_E16_MASK, VFMAX_VV }, // 1655
  { PseudoVFMAX_VV_M8_E32, VFMAX_VV }, // 1656
  { PseudoVFMAX_VV_M8_E32_MASK, VFMAX_VV }, // 1657
  { PseudoVFMAX_VV_M8_E64, VFMAX_VV }, // 1658
  { PseudoVFMAX_VV_M8_E64_MASK, VFMAX_VV }, // 1659
  { PseudoVFMAX_VV_MF2_E16, VFMAX_VV }, // 1660
  { PseudoVFMAX_VV_MF2_E16_MASK, VFMAX_VV }, // 1661
  { PseudoVFMAX_VV_MF2_E32, VFMAX_VV }, // 1662
  { PseudoVFMAX_VV_MF2_E32_MASK, VFMAX_VV }, // 1663
  { PseudoVFMAX_VV_MF4_E16, VFMAX_VV }, // 1664
  { PseudoVFMAX_VV_MF4_E16_MASK, VFMAX_VV }, // 1665
  { PseudoVFMERGE_VFPR16M_M1, VFMERGE_VFM }, // 1666
  { PseudoVFMERGE_VFPR16M_M2, VFMERGE_VFM }, // 1667
  { PseudoVFMERGE_VFPR16M_M4, VFMERGE_VFM }, // 1668
  { PseudoVFMERGE_VFPR16M_M8, VFMERGE_VFM }, // 1669
  { PseudoVFMERGE_VFPR16M_MF2, VFMERGE_VFM }, // 1670
  { PseudoVFMERGE_VFPR16M_MF4, VFMERGE_VFM }, // 1671
  { PseudoVFMERGE_VFPR32M_M1, VFMERGE_VFM }, // 1672
  { PseudoVFMERGE_VFPR32M_M2, VFMERGE_VFM }, // 1673
  { PseudoVFMERGE_VFPR32M_M4, VFMERGE_VFM }, // 1674
  { PseudoVFMERGE_VFPR32M_M8, VFMERGE_VFM }, // 1675
  { PseudoVFMERGE_VFPR32M_MF2, VFMERGE_VFM }, // 1676
  { PseudoVFMERGE_VFPR64M_M1, VFMERGE_VFM }, // 1677
  { PseudoVFMERGE_VFPR64M_M2, VFMERGE_VFM }, // 1678
  { PseudoVFMERGE_VFPR64M_M4, VFMERGE_VFM }, // 1679
  { PseudoVFMERGE_VFPR64M_M8, VFMERGE_VFM }, // 1680
  { PseudoVFMIN_VFPR16_M1_E16, VFMIN_VF }, // 1681
  { PseudoVFMIN_VFPR16_M1_E16_MASK, VFMIN_VF }, // 1682
  { PseudoVFMIN_VFPR16_M2_E16, VFMIN_VF }, // 1683
  { PseudoVFMIN_VFPR16_M2_E16_MASK, VFMIN_VF }, // 1684
  { PseudoVFMIN_VFPR16_M4_E16, VFMIN_VF }, // 1685
  { PseudoVFMIN_VFPR16_M4_E16_MASK, VFMIN_VF }, // 1686
  { PseudoVFMIN_VFPR16_M8_E16, VFMIN_VF }, // 1687
  { PseudoVFMIN_VFPR16_M8_E16_MASK, VFMIN_VF }, // 1688
  { PseudoVFMIN_VFPR16_MF2_E16, VFMIN_VF }, // 1689
  { PseudoVFMIN_VFPR16_MF2_E16_MASK, VFMIN_VF }, // 1690
  { PseudoVFMIN_VFPR16_MF4_E16, VFMIN_VF }, // 1691
  { PseudoVFMIN_VFPR16_MF4_E16_MASK, VFMIN_VF }, // 1692
  { PseudoVFMIN_VFPR32_M1_E32, VFMIN_VF }, // 1693
  { PseudoVFMIN_VFPR32_M1_E32_MASK, VFMIN_VF }, // 1694
  { PseudoVFMIN_VFPR32_M2_E32, VFMIN_VF }, // 1695
  { PseudoVFMIN_VFPR32_M2_E32_MASK, VFMIN_VF }, // 1696
  { PseudoVFMIN_VFPR32_M4_E32, VFMIN_VF }, // 1697
  { PseudoVFMIN_VFPR32_M4_E32_MASK, VFMIN_VF }, // 1698
  { PseudoVFMIN_VFPR32_M8_E32, VFMIN_VF }, // 1699
  { PseudoVFMIN_VFPR32_M8_E32_MASK, VFMIN_VF }, // 1700
  { PseudoVFMIN_VFPR32_MF2_E32, VFMIN_VF }, // 1701
  { PseudoVFMIN_VFPR32_MF2_E32_MASK, VFMIN_VF }, // 1702
  { PseudoVFMIN_VFPR64_M1_E64, VFMIN_VF }, // 1703
  { PseudoVFMIN_VFPR64_M1_E64_MASK, VFMIN_VF }, // 1704
  { PseudoVFMIN_VFPR64_M2_E64, VFMIN_VF }, // 1705
  { PseudoVFMIN_VFPR64_M2_E64_MASK, VFMIN_VF }, // 1706
  { PseudoVFMIN_VFPR64_M4_E64, VFMIN_VF }, // 1707
  { PseudoVFMIN_VFPR64_M4_E64_MASK, VFMIN_VF }, // 1708
  { PseudoVFMIN_VFPR64_M8_E64, VFMIN_VF }, // 1709
  { PseudoVFMIN_VFPR64_M8_E64_MASK, VFMIN_VF }, // 1710
  { PseudoVFMIN_VV_M1_E16, VFMIN_VV }, // 1711
  { PseudoVFMIN_VV_M1_E16_MASK, VFMIN_VV }, // 1712
  { PseudoVFMIN_VV_M1_E32, VFMIN_VV }, // 1713
  { PseudoVFMIN_VV_M1_E32_MASK, VFMIN_VV }, // 1714
  { PseudoVFMIN_VV_M1_E64, VFMIN_VV }, // 1715
  { PseudoVFMIN_VV_M1_E64_MASK, VFMIN_VV }, // 1716
  { PseudoVFMIN_VV_M2_E16, VFMIN_VV }, // 1717
  { PseudoVFMIN_VV_M2_E16_MASK, VFMIN_VV }, // 1718
  { PseudoVFMIN_VV_M2_E32, VFMIN_VV }, // 1719
  { PseudoVFMIN_VV_M2_E32_MASK, VFMIN_VV }, // 1720
  { PseudoVFMIN_VV_M2_E64, VFMIN_VV }, // 1721
  { PseudoVFMIN_VV_M2_E64_MASK, VFMIN_VV }, // 1722
  { PseudoVFMIN_VV_M4_E16, VFMIN_VV }, // 1723
  { PseudoVFMIN_VV_M4_E16_MASK, VFMIN_VV }, // 1724
  { PseudoVFMIN_VV_M4_E32, VFMIN_VV }, // 1725
  { PseudoVFMIN_VV_M4_E32_MASK, VFMIN_VV }, // 1726
  { PseudoVFMIN_VV_M4_E64, VFMIN_VV }, // 1727
  { PseudoVFMIN_VV_M4_E64_MASK, VFMIN_VV }, // 1728
  { PseudoVFMIN_VV_M8_E16, VFMIN_VV }, // 1729
  { PseudoVFMIN_VV_M8_E16_MASK, VFMIN_VV }, // 1730
  { PseudoVFMIN_VV_M8_E32, VFMIN_VV }, // 1731
  { PseudoVFMIN_VV_M8_E32_MASK, VFMIN_VV }, // 1732
  { PseudoVFMIN_VV_M8_E64, VFMIN_VV }, // 1733
  { PseudoVFMIN_VV_M8_E64_MASK, VFMIN_VV }, // 1734
  { PseudoVFMIN_VV_MF2_E16, VFMIN_VV }, // 1735
  { PseudoVFMIN_VV_MF2_E16_MASK, VFMIN_VV }, // 1736
  { PseudoVFMIN_VV_MF2_E32, VFMIN_VV }, // 1737
  { PseudoVFMIN_VV_MF2_E32_MASK, VFMIN_VV }, // 1738
  { PseudoVFMIN_VV_MF4_E16, VFMIN_VV }, // 1739
  { PseudoVFMIN_VV_MF4_E16_MASK, VFMIN_VV }, // 1740
  { PseudoVFMSAC_VFPR16_M1_E16, VFMSAC_VF }, // 1741
  { PseudoVFMSAC_VFPR16_M1_E16_MASK, VFMSAC_VF }, // 1742
  { PseudoVFMSAC_VFPR16_M2_E16, VFMSAC_VF }, // 1743
  { PseudoVFMSAC_VFPR16_M2_E16_MASK, VFMSAC_VF }, // 1744
  { PseudoVFMSAC_VFPR16_M4_E16, VFMSAC_VF }, // 1745
  { PseudoVFMSAC_VFPR16_M4_E16_MASK, VFMSAC_VF }, // 1746
  { PseudoVFMSAC_VFPR16_M8_E16, VFMSAC_VF }, // 1747
  { PseudoVFMSAC_VFPR16_M8_E16_MASK, VFMSAC_VF }, // 1748
  { PseudoVFMSAC_VFPR16_MF2_E16, VFMSAC_VF }, // 1749
  { PseudoVFMSAC_VFPR16_MF2_E16_MASK, VFMSAC_VF }, // 1750
  { PseudoVFMSAC_VFPR16_MF4_E16, VFMSAC_VF }, // 1751
  { PseudoVFMSAC_VFPR16_MF4_E16_MASK, VFMSAC_VF }, // 1752
  { PseudoVFMSAC_VFPR32_M1_E32, VFMSAC_VF }, // 1753
  { PseudoVFMSAC_VFPR32_M1_E32_MASK, VFMSAC_VF }, // 1754
  { PseudoVFMSAC_VFPR32_M2_E32, VFMSAC_VF }, // 1755
  { PseudoVFMSAC_VFPR32_M2_E32_MASK, VFMSAC_VF }, // 1756
  { PseudoVFMSAC_VFPR32_M4_E32, VFMSAC_VF }, // 1757
  { PseudoVFMSAC_VFPR32_M4_E32_MASK, VFMSAC_VF }, // 1758
  { PseudoVFMSAC_VFPR32_M8_E32, VFMSAC_VF }, // 1759
  { PseudoVFMSAC_VFPR32_M8_E32_MASK, VFMSAC_VF }, // 1760
  { PseudoVFMSAC_VFPR32_MF2_E32, VFMSAC_VF }, // 1761
  { PseudoVFMSAC_VFPR32_MF2_E32_MASK, VFMSAC_VF }, // 1762
  { PseudoVFMSAC_VFPR64_M1_E64, VFMSAC_VF }, // 1763
  { PseudoVFMSAC_VFPR64_M1_E64_MASK, VFMSAC_VF }, // 1764
  { PseudoVFMSAC_VFPR64_M2_E64, VFMSAC_VF }, // 1765
  { PseudoVFMSAC_VFPR64_M2_E64_MASK, VFMSAC_VF }, // 1766
  { PseudoVFMSAC_VFPR64_M4_E64, VFMSAC_VF }, // 1767
  { PseudoVFMSAC_VFPR64_M4_E64_MASK, VFMSAC_VF }, // 1768
  { PseudoVFMSAC_VFPR64_M8_E64, VFMSAC_VF }, // 1769
  { PseudoVFMSAC_VFPR64_M8_E64_MASK, VFMSAC_VF }, // 1770
  { PseudoVFMSAC_VV_M1_E16, VFMSAC_VV }, // 1771
  { PseudoVFMSAC_VV_M1_E16_MASK, VFMSAC_VV }, // 1772
  { PseudoVFMSAC_VV_M1_E32, VFMSAC_VV }, // 1773
  { PseudoVFMSAC_VV_M1_E32_MASK, VFMSAC_VV }, // 1774
  { PseudoVFMSAC_VV_M1_E64, VFMSAC_VV }, // 1775
  { PseudoVFMSAC_VV_M1_E64_MASK, VFMSAC_VV }, // 1776
  { PseudoVFMSAC_VV_M2_E16, VFMSAC_VV }, // 1777
  { PseudoVFMSAC_VV_M2_E16_MASK, VFMSAC_VV }, // 1778
  { PseudoVFMSAC_VV_M2_E32, VFMSAC_VV }, // 1779
  { PseudoVFMSAC_VV_M2_E32_MASK, VFMSAC_VV }, // 1780
  { PseudoVFMSAC_VV_M2_E64, VFMSAC_VV }, // 1781
  { PseudoVFMSAC_VV_M2_E64_MASK, VFMSAC_VV }, // 1782
  { PseudoVFMSAC_VV_M4_E16, VFMSAC_VV }, // 1783
  { PseudoVFMSAC_VV_M4_E16_MASK, VFMSAC_VV }, // 1784
  { PseudoVFMSAC_VV_M4_E32, VFMSAC_VV }, // 1785
  { PseudoVFMSAC_VV_M4_E32_MASK, VFMSAC_VV }, // 1786
  { PseudoVFMSAC_VV_M4_E64, VFMSAC_VV }, // 1787
  { PseudoVFMSAC_VV_M4_E64_MASK, VFMSAC_VV }, // 1788
  { PseudoVFMSAC_VV_M8_E16, VFMSAC_VV }, // 1789
  { PseudoVFMSAC_VV_M8_E16_MASK, VFMSAC_VV }, // 1790
  { PseudoVFMSAC_VV_M8_E32, VFMSAC_VV }, // 1791
  { PseudoVFMSAC_VV_M8_E32_MASK, VFMSAC_VV }, // 1792
  { PseudoVFMSAC_VV_M8_E64, VFMSAC_VV }, // 1793
  { PseudoVFMSAC_VV_M8_E64_MASK, VFMSAC_VV }, // 1794
  { PseudoVFMSAC_VV_MF2_E16, VFMSAC_VV }, // 1795
  { PseudoVFMSAC_VV_MF2_E16_MASK, VFMSAC_VV }, // 1796
  { PseudoVFMSAC_VV_MF2_E32, VFMSAC_VV }, // 1797
  { PseudoVFMSAC_VV_MF2_E32_MASK, VFMSAC_VV }, // 1798
  { PseudoVFMSAC_VV_MF4_E16, VFMSAC_VV }, // 1799
  { PseudoVFMSAC_VV_MF4_E16_MASK, VFMSAC_VV }, // 1800
  { PseudoVFMSUB_VFPR16_M1_E16, VFMSUB_VF }, // 1801
  { PseudoVFMSUB_VFPR16_M1_E16_MASK, VFMSUB_VF }, // 1802
  { PseudoVFMSUB_VFPR16_M2_E16, VFMSUB_VF }, // 1803
  { PseudoVFMSUB_VFPR16_M2_E16_MASK, VFMSUB_VF }, // 1804
  { PseudoVFMSUB_VFPR16_M4_E16, VFMSUB_VF }, // 1805
  { PseudoVFMSUB_VFPR16_M4_E16_MASK, VFMSUB_VF }, // 1806
  { PseudoVFMSUB_VFPR16_M8_E16, VFMSUB_VF }, // 1807
  { PseudoVFMSUB_VFPR16_M8_E16_MASK, VFMSUB_VF }, // 1808
  { PseudoVFMSUB_VFPR16_MF2_E16, VFMSUB_VF }, // 1809
  { PseudoVFMSUB_VFPR16_MF2_E16_MASK, VFMSUB_VF }, // 1810
  { PseudoVFMSUB_VFPR16_MF4_E16, VFMSUB_VF }, // 1811
  { PseudoVFMSUB_VFPR16_MF4_E16_MASK, VFMSUB_VF }, // 1812
  { PseudoVFMSUB_VFPR32_M1_E32, VFMSUB_VF }, // 1813
  { PseudoVFMSUB_VFPR32_M1_E32_MASK, VFMSUB_VF }, // 1814
  { PseudoVFMSUB_VFPR32_M2_E32, VFMSUB_VF }, // 1815
  { PseudoVFMSUB_VFPR32_M2_E32_MASK, VFMSUB_VF }, // 1816
  { PseudoVFMSUB_VFPR32_M4_E32, VFMSUB_VF }, // 1817
  { PseudoVFMSUB_VFPR32_M4_E32_MASK, VFMSUB_VF }, // 1818
  { PseudoVFMSUB_VFPR32_M8_E32, VFMSUB_VF }, // 1819
  { PseudoVFMSUB_VFPR32_M8_E32_MASK, VFMSUB_VF }, // 1820
  { PseudoVFMSUB_VFPR32_MF2_E32, VFMSUB_VF }, // 1821
  { PseudoVFMSUB_VFPR32_MF2_E32_MASK, VFMSUB_VF }, // 1822
  { PseudoVFMSUB_VFPR64_M1_E64, VFMSUB_VF }, // 1823
  { PseudoVFMSUB_VFPR64_M1_E64_MASK, VFMSUB_VF }, // 1824
  { PseudoVFMSUB_VFPR64_M2_E64, VFMSUB_VF }, // 1825
  { PseudoVFMSUB_VFPR64_M2_E64_MASK, VFMSUB_VF }, // 1826
  { PseudoVFMSUB_VFPR64_M4_E64, VFMSUB_VF }, // 1827
  { PseudoVFMSUB_VFPR64_M4_E64_MASK, VFMSUB_VF }, // 1828
  { PseudoVFMSUB_VFPR64_M8_E64, VFMSUB_VF }, // 1829
  { PseudoVFMSUB_VFPR64_M8_E64_MASK, VFMSUB_VF }, // 1830
  { PseudoVFMSUB_VV_M1_E16, VFMSUB_VV }, // 1831
  { PseudoVFMSUB_VV_M1_E16_MASK, VFMSUB_VV }, // 1832
  { PseudoVFMSUB_VV_M1_E32, VFMSUB_VV }, // 1833
  { PseudoVFMSUB_VV_M1_E32_MASK, VFMSUB_VV }, // 1834
  { PseudoVFMSUB_VV_M1_E64, VFMSUB_VV }, // 1835
  { PseudoVFMSUB_VV_M1_E64_MASK, VFMSUB_VV }, // 1836
  { PseudoVFMSUB_VV_M2_E16, VFMSUB_VV }, // 1837
  { PseudoVFMSUB_VV_M2_E16_MASK, VFMSUB_VV }, // 1838
  { PseudoVFMSUB_VV_M2_E32, VFMSUB_VV }, // 1839
  { PseudoVFMSUB_VV_M2_E32_MASK, VFMSUB_VV }, // 1840
  { PseudoVFMSUB_VV_M2_E64, VFMSUB_VV }, // 1841
  { PseudoVFMSUB_VV_M2_E64_MASK, VFMSUB_VV }, // 1842
  { PseudoVFMSUB_VV_M4_E16, VFMSUB_VV }, // 1843
  { PseudoVFMSUB_VV_M4_E16_MASK, VFMSUB_VV }, // 1844
  { PseudoVFMSUB_VV_M4_E32, VFMSUB_VV }, // 1845
  { PseudoVFMSUB_VV_M4_E32_MASK, VFMSUB_VV }, // 1846
  { PseudoVFMSUB_VV_M4_E64, VFMSUB_VV }, // 1847
  { PseudoVFMSUB_VV_M4_E64_MASK, VFMSUB_VV }, // 1848
  { PseudoVFMSUB_VV_M8_E16, VFMSUB_VV }, // 1849
  { PseudoVFMSUB_VV_M8_E16_MASK, VFMSUB_VV }, // 1850
  { PseudoVFMSUB_VV_M8_E32, VFMSUB_VV }, // 1851
  { PseudoVFMSUB_VV_M8_E32_MASK, VFMSUB_VV }, // 1852
  { PseudoVFMSUB_VV_M8_E64, VFMSUB_VV }, // 1853
  { PseudoVFMSUB_VV_M8_E64_MASK, VFMSUB_VV }, // 1854
  { PseudoVFMSUB_VV_MF2_E16, VFMSUB_VV }, // 1855
  { PseudoVFMSUB_VV_MF2_E16_MASK, VFMSUB_VV }, // 1856
  { PseudoVFMSUB_VV_MF2_E32, VFMSUB_VV }, // 1857
  { PseudoVFMSUB_VV_MF2_E32_MASK, VFMSUB_VV }, // 1858
  { PseudoVFMSUB_VV_MF4_E16, VFMSUB_VV }, // 1859
  { PseudoVFMSUB_VV_MF4_E16_MASK, VFMSUB_VV }, // 1860
  { PseudoVFMUL_VFPR16_M1_E16, VFMUL_VF }, // 1861
  { PseudoVFMUL_VFPR16_M1_E16_MASK, VFMUL_VF }, // 1862
  { PseudoVFMUL_VFPR16_M2_E16, VFMUL_VF }, // 1863
  { PseudoVFMUL_VFPR16_M2_E16_MASK, VFMUL_VF }, // 1864
  { PseudoVFMUL_VFPR16_M4_E16, VFMUL_VF }, // 1865
  { PseudoVFMUL_VFPR16_M4_E16_MASK, VFMUL_VF }, // 1866
  { PseudoVFMUL_VFPR16_M8_E16, VFMUL_VF }, // 1867
  { PseudoVFMUL_VFPR16_M8_E16_MASK, VFMUL_VF }, // 1868
  { PseudoVFMUL_VFPR16_MF2_E16, VFMUL_VF }, // 1869
  { PseudoVFMUL_VFPR16_MF2_E16_MASK, VFMUL_VF }, // 1870
  { PseudoVFMUL_VFPR16_MF4_E16, VFMUL_VF }, // 1871
  { PseudoVFMUL_VFPR16_MF4_E16_MASK, VFMUL_VF }, // 1872
  { PseudoVFMUL_VFPR32_M1_E32, VFMUL_VF }, // 1873
  { PseudoVFMUL_VFPR32_M1_E32_MASK, VFMUL_VF }, // 1874
  { PseudoVFMUL_VFPR32_M2_E32, VFMUL_VF }, // 1875
  { PseudoVFMUL_VFPR32_M2_E32_MASK, VFMUL_VF }, // 1876
  { PseudoVFMUL_VFPR32_M4_E32, VFMUL_VF }, // 1877
  { PseudoVFMUL_VFPR32_M4_E32_MASK, VFMUL_VF }, // 1878
  { PseudoVFMUL_VFPR32_M8_E32, VFMUL_VF }, // 1879
  { PseudoVFMUL_VFPR32_M8_E32_MASK, VFMUL_VF }, // 1880
  { PseudoVFMUL_VFPR32_MF2_E32, VFMUL_VF }, // 1881
  { PseudoVFMUL_VFPR32_MF2_E32_MASK, VFMUL_VF }, // 1882
  { PseudoVFMUL_VFPR64_M1_E64, VFMUL_VF }, // 1883
  { PseudoVFMUL_VFPR64_M1_E64_MASK, VFMUL_VF }, // 1884
  { PseudoVFMUL_VFPR64_M2_E64, VFMUL_VF }, // 1885
  { PseudoVFMUL_VFPR64_M2_E64_MASK, VFMUL_VF }, // 1886
  { PseudoVFMUL_VFPR64_M4_E64, VFMUL_VF }, // 1887
  { PseudoVFMUL_VFPR64_M4_E64_MASK, VFMUL_VF }, // 1888
  { PseudoVFMUL_VFPR64_M8_E64, VFMUL_VF }, // 1889
  { PseudoVFMUL_VFPR64_M8_E64_MASK, VFMUL_VF }, // 1890
  { PseudoVFMUL_VV_M1_E16, VFMUL_VV }, // 1891
  { PseudoVFMUL_VV_M1_E16_MASK, VFMUL_VV }, // 1892
  { PseudoVFMUL_VV_M1_E32, VFMUL_VV }, // 1893
  { PseudoVFMUL_VV_M1_E32_MASK, VFMUL_VV }, // 1894
  { PseudoVFMUL_VV_M1_E64, VFMUL_VV }, // 1895
  { PseudoVFMUL_VV_M1_E64_MASK, VFMUL_VV }, // 1896
  { PseudoVFMUL_VV_M2_E16, VFMUL_VV }, // 1897
  { PseudoVFMUL_VV_M2_E16_MASK, VFMUL_VV }, // 1898
  { PseudoVFMUL_VV_M2_E32, VFMUL_VV }, // 1899
  { PseudoVFMUL_VV_M2_E32_MASK, VFMUL_VV }, // 1900
  { PseudoVFMUL_VV_M2_E64, VFMUL_VV }, // 1901
  { PseudoVFMUL_VV_M2_E64_MASK, VFMUL_VV }, // 1902
  { PseudoVFMUL_VV_M4_E16, VFMUL_VV }, // 1903
  { PseudoVFMUL_VV_M4_E16_MASK, VFMUL_VV }, // 1904
  { PseudoVFMUL_VV_M4_E32, VFMUL_VV }, // 1905
  { PseudoVFMUL_VV_M4_E32_MASK, VFMUL_VV }, // 1906
  { PseudoVFMUL_VV_M4_E64, VFMUL_VV }, // 1907
  { PseudoVFMUL_VV_M4_E64_MASK, VFMUL_VV }, // 1908
  { PseudoVFMUL_VV_M8_E16, VFMUL_VV }, // 1909
  { PseudoVFMUL_VV_M8_E16_MASK, VFMUL_VV }, // 1910
  { PseudoVFMUL_VV_M8_E32, VFMUL_VV }, // 1911
  { PseudoVFMUL_VV_M8_E32_MASK, VFMUL_VV }, // 1912
  { PseudoVFMUL_VV_M8_E64, VFMUL_VV }, // 1913
  { PseudoVFMUL_VV_M8_E64_MASK, VFMUL_VV }, // 1914
  { PseudoVFMUL_VV_MF2_E16, VFMUL_VV }, // 1915
  { PseudoVFMUL_VV_MF2_E16_MASK, VFMUL_VV }, // 1916
  { PseudoVFMUL_VV_MF2_E32, VFMUL_VV }, // 1917
  { PseudoVFMUL_VV_MF2_E32_MASK, VFMUL_VV }, // 1918
  { PseudoVFMUL_VV_MF4_E16, VFMUL_VV }, // 1919
  { PseudoVFMUL_VV_MF4_E16_MASK, VFMUL_VV }, // 1920
  { PseudoVFMV_FPR16_S_M1, VFMV_F_S }, // 1921
  { PseudoVFMV_FPR16_S_M2, VFMV_F_S }, // 1922
  { PseudoVFMV_FPR16_S_M4, VFMV_F_S }, // 1923
  { PseudoVFMV_FPR16_S_M8, VFMV_F_S }, // 1924
  { PseudoVFMV_FPR16_S_MF2, VFMV_F_S }, // 1925
  { PseudoVFMV_FPR16_S_MF4, VFMV_F_S }, // 1926
  { PseudoVFMV_FPR32_S_M1, VFMV_F_S }, // 1927
  { PseudoVFMV_FPR32_S_M2, VFMV_F_S }, // 1928
  { PseudoVFMV_FPR32_S_M4, VFMV_F_S }, // 1929
  { PseudoVFMV_FPR32_S_M8, VFMV_F_S }, // 1930
  { PseudoVFMV_FPR32_S_MF2, VFMV_F_S }, // 1931
  { PseudoVFMV_FPR64_S_M1, VFMV_F_S }, // 1932
  { PseudoVFMV_FPR64_S_M2, VFMV_F_S }, // 1933
  { PseudoVFMV_FPR64_S_M4, VFMV_F_S }, // 1934
  { PseudoVFMV_FPR64_S_M8, VFMV_F_S }, // 1935
  { PseudoVFMV_S_FPR16_M1, VFMV_S_F }, // 1936
  { PseudoVFMV_S_FPR16_M2, VFMV_S_F }, // 1937
  { PseudoVFMV_S_FPR16_M4, VFMV_S_F }, // 1938
  { PseudoVFMV_S_FPR16_M8, VFMV_S_F }, // 1939
  { PseudoVFMV_S_FPR16_MF2, VFMV_S_F }, // 1940
  { PseudoVFMV_S_FPR16_MF4, VFMV_S_F }, // 1941
  { PseudoVFMV_S_FPR32_M1, VFMV_S_F }, // 1942
  { PseudoVFMV_S_FPR32_M2, VFMV_S_F }, // 1943
  { PseudoVFMV_S_FPR32_M4, VFMV_S_F }, // 1944
  { PseudoVFMV_S_FPR32_M8, VFMV_S_F }, // 1945
  { PseudoVFMV_S_FPR32_MF2, VFMV_S_F }, // 1946
  { PseudoVFMV_S_FPR64_M1, VFMV_S_F }, // 1947
  { PseudoVFMV_S_FPR64_M2, VFMV_S_F }, // 1948
  { PseudoVFMV_S_FPR64_M4, VFMV_S_F }, // 1949
  { PseudoVFMV_S_FPR64_M8, VFMV_S_F }, // 1950
  { PseudoVFMV_V_FPR16_M1, VFMV_V_F }, // 1951
  { PseudoVFMV_V_FPR16_M2, VFMV_V_F }, // 1952
  { PseudoVFMV_V_FPR16_M4, VFMV_V_F }, // 1953
  { PseudoVFMV_V_FPR16_M8, VFMV_V_F }, // 1954
  { PseudoVFMV_V_FPR16_MF2, VFMV_V_F }, // 1955
  { PseudoVFMV_V_FPR16_MF4, VFMV_V_F }, // 1956
  { PseudoVFMV_V_FPR32_M1, VFMV_V_F }, // 1957
  { PseudoVFMV_V_FPR32_M2, VFMV_V_F }, // 1958
  { PseudoVFMV_V_FPR32_M4, VFMV_V_F }, // 1959
  { PseudoVFMV_V_FPR32_M8, VFMV_V_F }, // 1960
  { PseudoVFMV_V_FPR32_MF2, VFMV_V_F }, // 1961
  { PseudoVFMV_V_FPR64_M1, VFMV_V_F }, // 1962
  { PseudoVFMV_V_FPR64_M2, VFMV_V_F }, // 1963
  { PseudoVFMV_V_FPR64_M4, VFMV_V_F }, // 1964
  { PseudoVFMV_V_FPR64_M8, VFMV_V_F }, // 1965
  { PseudoVFNCVTBF16_F_F_W_M1_E16, VFNCVTBF16_F_F_W }, // 1966
  { PseudoVFNCVTBF16_F_F_W_M1_E16_MASK, VFNCVTBF16_F_F_W }, // 1967
  { PseudoVFNCVTBF16_F_F_W_M1_E32, VFNCVTBF16_F_F_W }, // 1968
  { PseudoVFNCVTBF16_F_F_W_M1_E32_MASK, VFNCVTBF16_F_F_W }, // 1969
  { PseudoVFNCVTBF16_F_F_W_M2_E16, VFNCVTBF16_F_F_W }, // 1970
  { PseudoVFNCVTBF16_F_F_W_M2_E16_MASK, VFNCVTBF16_F_F_W }, // 1971
  { PseudoVFNCVTBF16_F_F_W_M2_E32, VFNCVTBF16_F_F_W }, // 1972
  { PseudoVFNCVTBF16_F_F_W_M2_E32_MASK, VFNCVTBF16_F_F_W }, // 1973
  { PseudoVFNCVTBF16_F_F_W_M4_E16, VFNCVTBF16_F_F_W }, // 1974
  { PseudoVFNCVTBF16_F_F_W_M4_E16_MASK, VFNCVTBF16_F_F_W }, // 1975
  { PseudoVFNCVTBF16_F_F_W_M4_E32, VFNCVTBF16_F_F_W }, // 1976
  { PseudoVFNCVTBF16_F_F_W_M4_E32_MASK, VFNCVTBF16_F_F_W }, // 1977
  { PseudoVFNCVTBF16_F_F_W_MF2_E16, VFNCVTBF16_F_F_W }, // 1978
  { PseudoVFNCVTBF16_F_F_W_MF2_E16_MASK, VFNCVTBF16_F_F_W }, // 1979
  { PseudoVFNCVTBF16_F_F_W_MF2_E32, VFNCVTBF16_F_F_W }, // 1980
  { PseudoVFNCVTBF16_F_F_W_MF2_E32_MASK, VFNCVTBF16_F_F_W }, // 1981
  { PseudoVFNCVTBF16_F_F_W_MF4_E16, VFNCVTBF16_F_F_W }, // 1982
  { PseudoVFNCVTBF16_F_F_W_MF4_E16_MASK, VFNCVTBF16_F_F_W }, // 1983
  { PseudoVFNCVT_F_F_W_M1_E16, VFNCVT_F_F_W }, // 1984
  { PseudoVFNCVT_F_F_W_M1_E16_MASK, VFNCVT_F_F_W }, // 1985
  { PseudoVFNCVT_F_F_W_M1_E32, VFNCVT_F_F_W }, // 1986
  { PseudoVFNCVT_F_F_W_M1_E32_MASK, VFNCVT_F_F_W }, // 1987
  { PseudoVFNCVT_F_F_W_M2_E16, VFNCVT_F_F_W }, // 1988
  { PseudoVFNCVT_F_F_W_M2_E16_MASK, VFNCVT_F_F_W }, // 1989
  { PseudoVFNCVT_F_F_W_M2_E32, VFNCVT_F_F_W }, // 1990
  { PseudoVFNCVT_F_F_W_M2_E32_MASK, VFNCVT_F_F_W }, // 1991
  { PseudoVFNCVT_F_F_W_M4_E16, VFNCVT_F_F_W }, // 1992
  { PseudoVFNCVT_F_F_W_M4_E16_MASK, VFNCVT_F_F_W }, // 1993
  { PseudoVFNCVT_F_F_W_M4_E32, VFNCVT_F_F_W }, // 1994
  { PseudoVFNCVT_F_F_W_M4_E32_MASK, VFNCVT_F_F_W }, // 1995
  { PseudoVFNCVT_F_F_W_MF2_E16, VFNCVT_F_F_W }, // 1996
  { PseudoVFNCVT_F_F_W_MF2_E16_MASK, VFNCVT_F_F_W }, // 1997
  { PseudoVFNCVT_F_F_W_MF2_E32, VFNCVT_F_F_W }, // 1998
  { PseudoVFNCVT_F_F_W_MF2_E32_MASK, VFNCVT_F_F_W }, // 1999
  { PseudoVFNCVT_F_F_W_MF4_E16, VFNCVT_F_F_W }, // 2000
  { PseudoVFNCVT_F_F_W_MF4_E16_MASK, VFNCVT_F_F_W }, // 2001
  { PseudoVFNCVT_F_XU_W_M1_E16, VFNCVT_F_XU_W }, // 2002
  { PseudoVFNCVT_F_XU_W_M1_E16_MASK, VFNCVT_F_XU_W }, // 2003
  { PseudoVFNCVT_F_XU_W_M1_E32, VFNCVT_F_XU_W }, // 2004
  { PseudoVFNCVT_F_XU_W_M1_E32_MASK, VFNCVT_F_XU_W }, // 2005
  { PseudoVFNCVT_F_XU_W_M2_E16, VFNCVT_F_XU_W }, // 2006
  { PseudoVFNCVT_F_XU_W_M2_E16_MASK, VFNCVT_F_XU_W }, // 2007
  { PseudoVFNCVT_F_XU_W_M2_E32, VFNCVT_F_XU_W }, // 2008
  { PseudoVFNCVT_F_XU_W_M2_E32_MASK, VFNCVT_F_XU_W }, // 2009
  { PseudoVFNCVT_F_XU_W_M4_E16, VFNCVT_F_XU_W }, // 2010
  { PseudoVFNCVT_F_XU_W_M4_E16_MASK, VFNCVT_F_XU_W }, // 2011
  { PseudoVFNCVT_F_XU_W_M4_E32, VFNCVT_F_XU_W }, // 2012
  { PseudoVFNCVT_F_XU_W_M4_E32_MASK, VFNCVT_F_XU_W }, // 2013
  { PseudoVFNCVT_F_XU_W_MF2_E16, VFNCVT_F_XU_W }, // 2014
  { PseudoVFNCVT_F_XU_W_MF2_E16_MASK, VFNCVT_F_XU_W }, // 2015
  { PseudoVFNCVT_F_XU_W_MF2_E32, VFNCVT_F_XU_W }, // 2016
  { PseudoVFNCVT_F_XU_W_MF2_E32_MASK, VFNCVT_F_XU_W }, // 2017
  { PseudoVFNCVT_F_XU_W_MF4_E16, VFNCVT_F_XU_W }, // 2018
  { PseudoVFNCVT_F_XU_W_MF4_E16_MASK, VFNCVT_F_XU_W }, // 2019
  { PseudoVFNCVT_F_X_W_M1_E16, VFNCVT_F_X_W }, // 2020
  { PseudoVFNCVT_F_X_W_M1_E16_MASK, VFNCVT_F_X_W }, // 2021
  { PseudoVFNCVT_F_X_W_M1_E32, VFNCVT_F_X_W }, // 2022
  { PseudoVFNCVT_F_X_W_M1_E32_MASK, VFNCVT_F_X_W }, // 2023
  { PseudoVFNCVT_F_X_W_M2_E16, VFNCVT_F_X_W }, // 2024
  { PseudoVFNCVT_F_X_W_M2_E16_MASK, VFNCVT_F_X_W }, // 2025
  { PseudoVFNCVT_F_X_W_M2_E32, VFNCVT_F_X_W }, // 2026
  { PseudoVFNCVT_F_X_W_M2_E32_MASK, VFNCVT_F_X_W }, // 2027
  { PseudoVFNCVT_F_X_W_M4_E16, VFNCVT_F_X_W }, // 2028
  { PseudoVFNCVT_F_X_W_M4_E16_MASK, VFNCVT_F_X_W }, // 2029
  { PseudoVFNCVT_F_X_W_M4_E32, VFNCVT_F_X_W }, // 2030
  { PseudoVFNCVT_F_X_W_M4_E32_MASK, VFNCVT_F_X_W }, // 2031
  { PseudoVFNCVT_F_X_W_MF2_E16, VFNCVT_F_X_W }, // 2032
  { PseudoVFNCVT_F_X_W_MF2_E16_MASK, VFNCVT_F_X_W }, // 2033
  { PseudoVFNCVT_F_X_W_MF2_E32, VFNCVT_F_X_W }, // 2034
  { PseudoVFNCVT_F_X_W_MF2_E32_MASK, VFNCVT_F_X_W }, // 2035
  { PseudoVFNCVT_F_X_W_MF4_E16, VFNCVT_F_X_W }, // 2036
  { PseudoVFNCVT_F_X_W_MF4_E16_MASK, VFNCVT_F_X_W }, // 2037
  { PseudoVFNCVT_RM_F_XU_W_M1_E16, VFNCVT_F_XU_W }, // 2038
  { PseudoVFNCVT_RM_F_XU_W_M1_E16_MASK, VFNCVT_F_XU_W }, // 2039
  { PseudoVFNCVT_RM_F_XU_W_M1_E32, VFNCVT_F_XU_W }, // 2040
  { PseudoVFNCVT_RM_F_XU_W_M1_E32_MASK, VFNCVT_F_XU_W }, // 2041
  { PseudoVFNCVT_RM_F_XU_W_M2_E16, VFNCVT_F_XU_W }, // 2042
  { PseudoVFNCVT_RM_F_XU_W_M2_E16_MASK, VFNCVT_F_XU_W }, // 2043
  { PseudoVFNCVT_RM_F_XU_W_M2_E32, VFNCVT_F_XU_W }, // 2044
  { PseudoVFNCVT_RM_F_XU_W_M2_E32_MASK, VFNCVT_F_XU_W }, // 2045
  { PseudoVFNCVT_RM_F_XU_W_M4_E16, VFNCVT_F_XU_W }, // 2046
  { PseudoVFNCVT_RM_F_XU_W_M4_E16_MASK, VFNCVT_F_XU_W }, // 2047
  { PseudoVFNCVT_RM_F_XU_W_M4_E32, VFNCVT_F_XU_W }, // 2048
  { PseudoVFNCVT_RM_F_XU_W_M4_E32_MASK, VFNCVT_F_XU_W }, // 2049
  { PseudoVFNCVT_RM_F_XU_W_MF2_E16, VFNCVT_F_XU_W }, // 2050
  { PseudoVFNCVT_RM_F_XU_W_MF2_E16_MASK, VFNCVT_F_XU_W }, // 2051
  { PseudoVFNCVT_RM_F_XU_W_MF2_E32, VFNCVT_F_XU_W }, // 2052
  { PseudoVFNCVT_RM_F_XU_W_MF2_E32_MASK, VFNCVT_F_XU_W }, // 2053
  { PseudoVFNCVT_RM_F_XU_W_MF4_E16, VFNCVT_F_XU_W }, // 2054
  { PseudoVFNCVT_RM_F_XU_W_MF4_E16_MASK, VFNCVT_F_XU_W }, // 2055
  { PseudoVFNCVT_RM_F_X_W_M1_E16, VFNCVT_F_X_W }, // 2056
  { PseudoVFNCVT_RM_F_X_W_M1_E16_MASK, VFNCVT_F_X_W }, // 2057
  { PseudoVFNCVT_RM_F_X_W_M1_E32, VFNCVT_F_X_W }, // 2058
  { PseudoVFNCVT_RM_F_X_W_M1_E32_MASK, VFNCVT_F_X_W }, // 2059
  { PseudoVFNCVT_RM_F_X_W_M2_E16, VFNCVT_F_X_W }, // 2060
  { PseudoVFNCVT_RM_F_X_W_M2_E16_MASK, VFNCVT_F_X_W }, // 2061
  { PseudoVFNCVT_RM_F_X_W_M2_E32, VFNCVT_F_X_W }, // 2062
  { PseudoVFNCVT_RM_F_X_W_M2_E32_MASK, VFNCVT_F_X_W }, // 2063
  { PseudoVFNCVT_RM_F_X_W_M4_E16, VFNCVT_F_X_W }, // 2064
  { PseudoVFNCVT_RM_F_X_W_M4_E16_MASK, VFNCVT_F_X_W }, // 2065
  { PseudoVFNCVT_RM_F_X_W_M4_E32, VFNCVT_F_X_W }, // 2066
  { PseudoVFNCVT_RM_F_X_W_M4_E32_MASK, VFNCVT_F_X_W }, // 2067
  { PseudoVFNCVT_RM_F_X_W_MF2_E16, VFNCVT_F_X_W }, // 2068
  { PseudoVFNCVT_RM_F_X_W_MF2_E16_MASK, VFNCVT_F_X_W }, // 2069
  { PseudoVFNCVT_RM_F_X_W_MF2_E32, VFNCVT_F_X_W }, // 2070
  { PseudoVFNCVT_RM_F_X_W_MF2_E32_MASK, VFNCVT_F_X_W }, // 2071
  { PseudoVFNCVT_RM_F_X_W_MF4_E16, VFNCVT_F_X_W }, // 2072
  { PseudoVFNCVT_RM_F_X_W_MF4_E16_MASK, VFNCVT_F_X_W }, // 2073
  { PseudoVFNCVT_RM_XU_F_W_M1, VFNCVT_XU_F_W }, // 2074
  { PseudoVFNCVT_RM_XU_F_W_M1_MASK, VFNCVT_XU_F_W }, // 2075
  { PseudoVFNCVT_RM_XU_F_W_M2, VFNCVT_XU_F_W }, // 2076
  { PseudoVFNCVT_RM_XU_F_W_M2_MASK, VFNCVT_XU_F_W }, // 2077
  { PseudoVFNCVT_RM_XU_F_W_M4, VFNCVT_XU_F_W }, // 2078
  { PseudoVFNCVT_RM_XU_F_W_M4_MASK, VFNCVT_XU_F_W }, // 2079
  { PseudoVFNCVT_RM_XU_F_W_MF2, VFNCVT_XU_F_W }, // 2080
  { PseudoVFNCVT_RM_XU_F_W_MF2_MASK, VFNCVT_XU_F_W }, // 2081
  { PseudoVFNCVT_RM_XU_F_W_MF4, VFNCVT_XU_F_W }, // 2082
  { PseudoVFNCVT_RM_XU_F_W_MF4_MASK, VFNCVT_XU_F_W }, // 2083
  { PseudoVFNCVT_RM_XU_F_W_MF8, VFNCVT_XU_F_W }, // 2084
  { PseudoVFNCVT_RM_XU_F_W_MF8_MASK, VFNCVT_XU_F_W }, // 2085
  { PseudoVFNCVT_RM_X_F_W_M1, VFNCVT_X_F_W }, // 2086
  { PseudoVFNCVT_RM_X_F_W_M1_MASK, VFNCVT_X_F_W }, // 2087
  { PseudoVFNCVT_RM_X_F_W_M2, VFNCVT_X_F_W }, // 2088
  { PseudoVFNCVT_RM_X_F_W_M2_MASK, VFNCVT_X_F_W }, // 2089
  { PseudoVFNCVT_RM_X_F_W_M4, VFNCVT_X_F_W }, // 2090
  { PseudoVFNCVT_RM_X_F_W_M4_MASK, VFNCVT_X_F_W }, // 2091
  { PseudoVFNCVT_RM_X_F_W_MF2, VFNCVT_X_F_W }, // 2092
  { PseudoVFNCVT_RM_X_F_W_MF2_MASK, VFNCVT_X_F_W }, // 2093
  { PseudoVFNCVT_RM_X_F_W_MF4, VFNCVT_X_F_W }, // 2094
  { PseudoVFNCVT_RM_X_F_W_MF4_MASK, VFNCVT_X_F_W }, // 2095
  { PseudoVFNCVT_RM_X_F_W_MF8, VFNCVT_X_F_W }, // 2096
  { PseudoVFNCVT_RM_X_F_W_MF8_MASK, VFNCVT_X_F_W }, // 2097
  { PseudoVFNCVT_ROD_F_F_W_M1_E16, VFNCVT_ROD_F_F_W }, // 2098
  { PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK, VFNCVT_ROD_F_F_W }, // 2099
  { PseudoVFNCVT_ROD_F_F_W_M1_E32, VFNCVT_ROD_F_F_W }, // 2100
  { PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK, VFNCVT_ROD_F_F_W }, // 2101
  { PseudoVFNCVT_ROD_F_F_W_M2_E16, VFNCVT_ROD_F_F_W }, // 2102
  { PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK, VFNCVT_ROD_F_F_W }, // 2103
  { PseudoVFNCVT_ROD_F_F_W_M2_E32, VFNCVT_ROD_F_F_W }, // 2104
  { PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK, VFNCVT_ROD_F_F_W }, // 2105
  { PseudoVFNCVT_ROD_F_F_W_M4_E16, VFNCVT_ROD_F_F_W }, // 2106
  { PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK, VFNCVT_ROD_F_F_W }, // 2107
  { PseudoVFNCVT_ROD_F_F_W_M4_E32, VFNCVT_ROD_F_F_W }, // 2108
  { PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK, VFNCVT_ROD_F_F_W }, // 2109
  { PseudoVFNCVT_ROD_F_F_W_MF2_E16, VFNCVT_ROD_F_F_W }, // 2110
  { PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK, VFNCVT_ROD_F_F_W }, // 2111
  { PseudoVFNCVT_ROD_F_F_W_MF2_E32, VFNCVT_ROD_F_F_W }, // 2112
  { PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK, VFNCVT_ROD_F_F_W }, // 2113
  { PseudoVFNCVT_ROD_F_F_W_MF4_E16, VFNCVT_ROD_F_F_W }, // 2114
  { PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK, VFNCVT_ROD_F_F_W }, // 2115
  { PseudoVFNCVT_RTZ_XU_F_W_M1, VFNCVT_RTZ_XU_F_W }, // 2116
  { PseudoVFNCVT_RTZ_XU_F_W_M1_MASK, VFNCVT_RTZ_XU_F_W }, // 2117
  { PseudoVFNCVT_RTZ_XU_F_W_M2, VFNCVT_RTZ_XU_F_W }, // 2118
  { PseudoVFNCVT_RTZ_XU_F_W_M2_MASK, VFNCVT_RTZ_XU_F_W }, // 2119
  { PseudoVFNCVT_RTZ_XU_F_W_M4, VFNCVT_RTZ_XU_F_W }, // 2120
  { PseudoVFNCVT_RTZ_XU_F_W_M4_MASK, VFNCVT_RTZ_XU_F_W }, // 2121
  { PseudoVFNCVT_RTZ_XU_F_W_MF2, VFNCVT_RTZ_XU_F_W }, // 2122
  { PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK, VFNCVT_RTZ_XU_F_W }, // 2123
  { PseudoVFNCVT_RTZ_XU_F_W_MF4, VFNCVT_RTZ_XU_F_W }, // 2124
  { PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK, VFNCVT_RTZ_XU_F_W }, // 2125
  { PseudoVFNCVT_RTZ_XU_F_W_MF8, VFNCVT_RTZ_XU_F_W }, // 2126
  { PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK, VFNCVT_RTZ_XU_F_W }, // 2127
  { PseudoVFNCVT_RTZ_X_F_W_M1, VFNCVT_RTZ_X_F_W }, // 2128
  { PseudoVFNCVT_RTZ_X_F_W_M1_MASK, VFNCVT_RTZ_X_F_W }, // 2129
  { PseudoVFNCVT_RTZ_X_F_W_M2, VFNCVT_RTZ_X_F_W }, // 2130
  { PseudoVFNCVT_RTZ_X_F_W_M2_MASK, VFNCVT_RTZ_X_F_W }, // 2131
  { PseudoVFNCVT_RTZ_X_F_W_M4, VFNCVT_RTZ_X_F_W }, // 2132
  { PseudoVFNCVT_RTZ_X_F_W_M4_MASK, VFNCVT_RTZ_X_F_W }, // 2133
  { PseudoVFNCVT_RTZ_X_F_W_MF2, VFNCVT_RTZ_X_F_W }, // 2134
  { PseudoVFNCVT_RTZ_X_F_W_MF2_MASK, VFNCVT_RTZ_X_F_W }, // 2135
  { PseudoVFNCVT_RTZ_X_F_W_MF4, VFNCVT_RTZ_X_F_W }, // 2136
  { PseudoVFNCVT_RTZ_X_F_W_MF4_MASK, VFNCVT_RTZ_X_F_W }, // 2137
  { PseudoVFNCVT_RTZ_X_F_W_MF8, VFNCVT_RTZ_X_F_W }, // 2138
  { PseudoVFNCVT_RTZ_X_F_W_MF8_MASK, VFNCVT_RTZ_X_F_W }, // 2139
  { PseudoVFNCVT_XU_F_W_M1, VFNCVT_XU_F_W }, // 2140
  { PseudoVFNCVT_XU_F_W_M1_MASK, VFNCVT_XU_F_W }, // 2141
  { PseudoVFNCVT_XU_F_W_M2, VFNCVT_XU_F_W }, // 2142
  { PseudoVFNCVT_XU_F_W_M2_MASK, VFNCVT_XU_F_W }, // 2143
  { PseudoVFNCVT_XU_F_W_M4, VFNCVT_XU_F_W }, // 2144
  { PseudoVFNCVT_XU_F_W_M4_MASK, VFNCVT_XU_F_W }, // 2145
  { PseudoVFNCVT_XU_F_W_MF2, VFNCVT_XU_F_W }, // 2146
  { PseudoVFNCVT_XU_F_W_MF2_MASK, VFNCVT_XU_F_W }, // 2147
  { PseudoVFNCVT_XU_F_W_MF4, VFNCVT_XU_F_W }, // 2148
  { PseudoVFNCVT_XU_F_W_MF4_MASK, VFNCVT_XU_F_W }, // 2149
  { PseudoVFNCVT_XU_F_W_MF8, VFNCVT_XU_F_W }, // 2150
  { PseudoVFNCVT_XU_F_W_MF8_MASK, VFNCVT_XU_F_W }, // 2151
  { PseudoVFNCVT_X_F_W_M1, VFNCVT_X_F_W }, // 2152
  { PseudoVFNCVT_X_F_W_M1_MASK, VFNCVT_X_F_W }, // 2153
  { PseudoVFNCVT_X_F_W_M2, VFNCVT_X_F_W }, // 2154
  { PseudoVFNCVT_X_F_W_M2_MASK, VFNCVT_X_F_W }, // 2155
  { PseudoVFNCVT_X_F_W_M4, VFNCVT_X_F_W }, // 2156
  { PseudoVFNCVT_X_F_W_M4_MASK, VFNCVT_X_F_W }, // 2157
  { PseudoVFNCVT_X_F_W_MF2, VFNCVT_X_F_W }, // 2158
  { PseudoVFNCVT_X_F_W_MF2_MASK, VFNCVT_X_F_W }, // 2159
  { PseudoVFNCVT_X_F_W_MF4, VFNCVT_X_F_W }, // 2160
  { PseudoVFNCVT_X_F_W_MF4_MASK, VFNCVT_X_F_W }, // 2161
  { PseudoVFNCVT_X_F_W_MF8, VFNCVT_X_F_W }, // 2162
  { PseudoVFNCVT_X_F_W_MF8_MASK, VFNCVT_X_F_W }, // 2163
  { PseudoVFNMACC_VFPR16_M1_E16, VFNMACC_VF }, // 2164
  { PseudoVFNMACC_VFPR16_M1_E16_MASK, VFNMACC_VF }, // 2165
  { PseudoVFNMACC_VFPR16_M2_E16, VFNMACC_VF }, // 2166
  { PseudoVFNMACC_VFPR16_M2_E16_MASK, VFNMACC_VF }, // 2167
  { PseudoVFNMACC_VFPR16_M4_E16, VFNMACC_VF }, // 2168
  { PseudoVFNMACC_VFPR16_M4_E16_MASK, VFNMACC_VF }, // 2169
  { PseudoVFNMACC_VFPR16_M8_E16, VFNMACC_VF }, // 2170
  { PseudoVFNMACC_VFPR16_M8_E16_MASK, VFNMACC_VF }, // 2171
  { PseudoVFNMACC_VFPR16_MF2_E16, VFNMACC_VF }, // 2172
  { PseudoVFNMACC_VFPR16_MF2_E16_MASK, VFNMACC_VF }, // 2173
  { PseudoVFNMACC_VFPR16_MF4_E16, VFNMACC_VF }, // 2174
  { PseudoVFNMACC_VFPR16_MF4_E16_MASK, VFNMACC_VF }, // 2175
  { PseudoVFNMACC_VFPR32_M1_E32, VFNMACC_VF }, // 2176
  { PseudoVFNMACC_VFPR32_M1_E32_MASK, VFNMACC_VF }, // 2177
  { PseudoVFNMACC_VFPR32_M2_E32, VFNMACC_VF }, // 2178
  { PseudoVFNMACC_VFPR32_M2_E32_MASK, VFNMACC_VF }, // 2179
  { PseudoVFNMACC_VFPR32_M4_E32, VFNMACC_VF }, // 2180
  { PseudoVFNMACC_VFPR32_M4_E32_MASK, VFNMACC_VF }, // 2181
  { PseudoVFNMACC_VFPR32_M8_E32, VFNMACC_VF }, // 2182
  { PseudoVFNMACC_VFPR32_M8_E32_MASK, VFNMACC_VF }, // 2183
  { PseudoVFNMACC_VFPR32_MF2_E32, VFNMACC_VF }, // 2184
  { PseudoVFNMACC_VFPR32_MF2_E32_MASK, VFNMACC_VF }, // 2185
  { PseudoVFNMACC_VFPR64_M1_E64, VFNMACC_VF }, // 2186
  { PseudoVFNMACC_VFPR64_M1_E64_MASK, VFNMACC_VF }, // 2187
  { PseudoVFNMACC_VFPR64_M2_E64, VFNMACC_VF }, // 2188
  { PseudoVFNMACC_VFPR64_M2_E64_MASK, VFNMACC_VF }, // 2189
  { PseudoVFNMACC_VFPR64_M4_E64, VFNMACC_VF }, // 2190
  { PseudoVFNMACC_VFPR64_M4_E64_MASK, VFNMACC_VF }, // 2191
  { PseudoVFNMACC_VFPR64_M8_E64, VFNMACC_VF }, // 2192
  { PseudoVFNMACC_VFPR64_M8_E64_MASK, VFNMACC_VF }, // 2193
  { PseudoVFNMACC_VV_M1_E16, VFNMACC_VV }, // 2194
  { PseudoVFNMACC_VV_M1_E16_MASK, VFNMACC_VV }, // 2195
  { PseudoVFNMACC_VV_M1_E32, VFNMACC_VV }, // 2196
  { PseudoVFNMACC_VV_M1_E32_MASK, VFNMACC_VV }, // 2197
  { PseudoVFNMACC_VV_M1_E64, VFNMACC_VV }, // 2198
  { PseudoVFNMACC_VV_M1_E64_MASK, VFNMACC_VV }, // 2199
  { PseudoVFNMACC_VV_M2_E16, VFNMACC_VV }, // 2200
  { PseudoVFNMACC_VV_M2_E16_MASK, VFNMACC_VV }, // 2201
  { PseudoVFNMACC_VV_M2_E32, VFNMACC_VV }, // 2202
  { PseudoVFNMACC_VV_M2_E32_MASK, VFNMACC_VV }, // 2203
  { PseudoVFNMACC_VV_M2_E64, VFNMACC_VV }, // 2204
  { PseudoVFNMACC_VV_M2_E64_MASK, VFNMACC_VV }, // 2205
  { PseudoVFNMACC_VV_M4_E16, VFNMACC_VV }, // 2206
  { PseudoVFNMACC_VV_M4_E16_MASK, VFNMACC_VV }, // 2207
  { PseudoVFNMACC_VV_M4_E32, VFNMACC_VV }, // 2208
  { PseudoVFNMACC_VV_M4_E32_MASK, VFNMACC_VV }, // 2209
  { PseudoVFNMACC_VV_M4_E64, VFNMACC_VV }, // 2210
  { PseudoVFNMACC_VV_M4_E64_MASK, VFNMACC_VV }, // 2211
  { PseudoVFNMACC_VV_M8_E16, VFNMACC_VV }, // 2212
  { PseudoVFNMACC_VV_M8_E16_MASK, VFNMACC_VV }, // 2213
  { PseudoVFNMACC_VV_M8_E32, VFNMACC_VV }, // 2214
  { PseudoVFNMACC_VV_M8_E32_MASK, VFNMACC_VV }, // 2215
  { PseudoVFNMACC_VV_M8_E64, VFNMACC_VV }, // 2216
  { PseudoVFNMACC_VV_M8_E64_MASK, VFNMACC_VV }, // 2217
  { PseudoVFNMACC_VV_MF2_E16, VFNMACC_VV }, // 2218
  { PseudoVFNMACC_VV_MF2_E16_MASK, VFNMACC_VV }, // 2219
  { PseudoVFNMACC_VV_MF2_E32, VFNMACC_VV }, // 2220
  { PseudoVFNMACC_VV_MF2_E32_MASK, VFNMACC_VV }, // 2221
  { PseudoVFNMACC_VV_MF4_E16, VFNMACC_VV }, // 2222
  { PseudoVFNMACC_VV_MF4_E16_MASK, VFNMACC_VV }, // 2223
  { PseudoVFNMADD_VFPR16_M1_E16, VFNMADD_VF }, // 2224
  { PseudoVFNMADD_VFPR16_M1_E16_MASK, VFNMADD_VF }, // 2225
  { PseudoVFNMADD_VFPR16_M2_E16, VFNMADD_VF }, // 2226
  { PseudoVFNMADD_VFPR16_M2_E16_MASK, VFNMADD_VF }, // 2227
  { PseudoVFNMADD_VFPR16_M4_E16, VFNMADD_VF }, // 2228
  { PseudoVFNMADD_VFPR16_M4_E16_MASK, VFNMADD_VF }, // 2229
  { PseudoVFNMADD_VFPR16_M8_E16, VFNMADD_VF }, // 2230
  { PseudoVFNMADD_VFPR16_M8_E16_MASK, VFNMADD_VF }, // 2231
  { PseudoVFNMADD_VFPR16_MF2_E16, VFNMADD_VF }, // 2232
  { PseudoVFNMADD_VFPR16_MF2_E16_MASK, VFNMADD_VF }, // 2233
  { PseudoVFNMADD_VFPR16_MF4_E16, VFNMADD_VF }, // 2234
  { PseudoVFNMADD_VFPR16_MF4_E16_MASK, VFNMADD_VF }, // 2235
  { PseudoVFNMADD_VFPR32_M1_E32, VFNMADD_VF }, // 2236
  { PseudoVFNMADD_VFPR32_M1_E32_MASK, VFNMADD_VF }, // 2237
  { PseudoVFNMADD_VFPR32_M2_E32, VFNMADD_VF }, // 2238
  { PseudoVFNMADD_VFPR32_M2_E32_MASK, VFNMADD_VF }, // 2239
  { PseudoVFNMADD_VFPR32_M4_E32, VFNMADD_VF }, // 2240
  { PseudoVFNMADD_VFPR32_M4_E32_MASK, VFNMADD_VF }, // 2241
  { PseudoVFNMADD_VFPR32_M8_E32, VFNMADD_VF }, // 2242
  { PseudoVFNMADD_VFPR32_M8_E32_MASK, VFNMADD_VF }, // 2243
  { PseudoVFNMADD_VFPR32_MF2_E32, VFNMADD_VF }, // 2244
  { PseudoVFNMADD_VFPR32_MF2_E32_MASK, VFNMADD_VF }, // 2245
  { PseudoVFNMADD_VFPR64_M1_E64, VFNMADD_VF }, // 2246
  { PseudoVFNMADD_VFPR64_M1_E64_MASK, VFNMADD_VF }, // 2247
  { PseudoVFNMADD_VFPR64_M2_E64, VFNMADD_VF }, // 2248
  { PseudoVFNMADD_VFPR64_M2_E64_MASK, VFNMADD_VF }, // 2249
  { PseudoVFNMADD_VFPR64_M4_E64, VFNMADD_VF }, // 2250
  { PseudoVFNMADD_VFPR64_M4_E64_MASK, VFNMADD_VF }, // 2251
  { PseudoVFNMADD_VFPR64_M8_E64, VFNMADD_VF }, // 2252
  { PseudoVFNMADD_VFPR64_M8_E64_MASK, VFNMADD_VF }, // 2253
  { PseudoVFNMADD_VV_M1_E16, VFNMADD_VV }, // 2254
  { PseudoVFNMADD_VV_M1_E16_MASK, VFNMADD_VV }, // 2255
  { PseudoVFNMADD_VV_M1_E32, VFNMADD_VV }, // 2256
  { PseudoVFNMADD_VV_M1_E32_MASK, VFNMADD_VV }, // 2257
  { PseudoVFNMADD_VV_M1_E64, VFNMADD_VV }, // 2258
  { PseudoVFNMADD_VV_M1_E64_MASK, VFNMADD_VV }, // 2259
  { PseudoVFNMADD_VV_M2_E16, VFNMADD_VV }, // 2260
  { PseudoVFNMADD_VV_M2_E16_MASK, VFNMADD_VV }, // 2261
  { PseudoVFNMADD_VV_M2_E32, VFNMADD_VV }, // 2262
  { PseudoVFNMADD_VV_M2_E32_MASK, VFNMADD_VV }, // 2263
  { PseudoVFNMADD_VV_M2_E64, VFNMADD_VV }, // 2264
  { PseudoVFNMADD_VV_M2_E64_MASK, VFNMADD_VV }, // 2265
  { PseudoVFNMADD_VV_M4_E16, VFNMADD_VV }, // 2266
  { PseudoVFNMADD_VV_M4_E16_MASK, VFNMADD_VV }, // 2267
  { PseudoVFNMADD_VV_M4_E32, VFNMADD_VV }, // 2268
  { PseudoVFNMADD_VV_M4_E32_MASK, VFNMADD_VV }, // 2269
  { PseudoVFNMADD_VV_M4_E64, VFNMADD_VV }, // 2270
  { PseudoVFNMADD_VV_M4_E64_MASK, VFNMADD_VV }, // 2271
  { PseudoVFNMADD_VV_M8_E16, VFNMADD_VV }, // 2272
  { PseudoVFNMADD_VV_M8_E16_MASK, VFNMADD_VV }, // 2273
  { PseudoVFNMADD_VV_M8_E32, VFNMADD_VV }, // 2274
  { PseudoVFNMADD_VV_M8_E32_MASK, VFNMADD_VV }, // 2275
  { PseudoVFNMADD_VV_M8_E64, VFNMADD_VV }, // 2276
  { PseudoVFNMADD_VV_M8_E64_MASK, VFNMADD_VV }, // 2277
  { PseudoVFNMADD_VV_MF2_E16, VFNMADD_VV }, // 2278
  { PseudoVFNMADD_VV_MF2_E16_MASK, VFNMADD_VV }, // 2279
  { PseudoVFNMADD_VV_MF2_E32, VFNMADD_VV }, // 2280
  { PseudoVFNMADD_VV_MF2_E32_MASK, VFNMADD_VV }, // 2281
  { PseudoVFNMADD_VV_MF4_E16, VFNMADD_VV }, // 2282
  { PseudoVFNMADD_VV_MF4_E16_MASK, VFNMADD_VV }, // 2283
  { PseudoVFNMSAC_VFPR16_M1_E16, VFNMSAC_VF }, // 2284
  { PseudoVFNMSAC_VFPR16_M1_E16_MASK, VFNMSAC_VF }, // 2285
  { PseudoVFNMSAC_VFPR16_M2_E16, VFNMSAC_VF }, // 2286
  { PseudoVFNMSAC_VFPR16_M2_E16_MASK, VFNMSAC_VF }, // 2287
  { PseudoVFNMSAC_VFPR16_M4_E16, VFNMSAC_VF }, // 2288
  { PseudoVFNMSAC_VFPR16_M4_E16_MASK, VFNMSAC_VF }, // 2289
  { PseudoVFNMSAC_VFPR16_M8_E16, VFNMSAC_VF }, // 2290
  { PseudoVFNMSAC_VFPR16_M8_E16_MASK, VFNMSAC_VF }, // 2291
  { PseudoVFNMSAC_VFPR16_MF2_E16, VFNMSAC_VF }, // 2292
  { PseudoVFNMSAC_VFPR16_MF2_E16_MASK, VFNMSAC_VF }, // 2293
  { PseudoVFNMSAC_VFPR16_MF4_E16, VFNMSAC_VF }, // 2294
  { PseudoVFNMSAC_VFPR16_MF4_E16_MASK, VFNMSAC_VF }, // 2295
  { PseudoVFNMSAC_VFPR32_M1_E32, VFNMSAC_VF }, // 2296
  { PseudoVFNMSAC_VFPR32_M1_E32_MASK, VFNMSAC_VF }, // 2297
  { PseudoVFNMSAC_VFPR32_M2_E32, VFNMSAC_VF }, // 2298
  { PseudoVFNMSAC_VFPR32_M2_E32_MASK, VFNMSAC_VF }, // 2299
  { PseudoVFNMSAC_VFPR32_M4_E32, VFNMSAC_VF }, // 2300
  { PseudoVFNMSAC_VFPR32_M4_E32_MASK, VFNMSAC_VF }, // 2301
  { PseudoVFNMSAC_VFPR32_M8_E32, VFNMSAC_VF }, // 2302
  { PseudoVFNMSAC_VFPR32_M8_E32_MASK, VFNMSAC_VF }, // 2303
  { PseudoVFNMSAC_VFPR32_MF2_E32, VFNMSAC_VF }, // 2304
  { PseudoVFNMSAC_VFPR32_MF2_E32_MASK, VFNMSAC_VF }, // 2305
  { PseudoVFNMSAC_VFPR64_M1_E64, VFNMSAC_VF }, // 2306
  { PseudoVFNMSAC_VFPR64_M1_E64_MASK, VFNMSAC_VF }, // 2307
  { PseudoVFNMSAC_VFPR64_M2_E64, VFNMSAC_VF }, // 2308
  { PseudoVFNMSAC_VFPR64_M2_E64_MASK, VFNMSAC_VF }, // 2309
  { PseudoVFNMSAC_VFPR64_M4_E64, VFNMSAC_VF }, // 2310
  { PseudoVFNMSAC_VFPR64_M4_E64_MASK, VFNMSAC_VF }, // 2311
  { PseudoVFNMSAC_VFPR64_M8_E64, VFNMSAC_VF }, // 2312
  { PseudoVFNMSAC_VFPR64_M8_E64_MASK, VFNMSAC_VF }, // 2313
  { PseudoVFNMSAC_VV_M1_E16, VFNMSAC_VV }, // 2314
  { PseudoVFNMSAC_VV_M1_E16_MASK, VFNMSAC_VV }, // 2315
  { PseudoVFNMSAC_VV_M1_E32, VFNMSAC_VV }, // 2316
  { PseudoVFNMSAC_VV_M1_E32_MASK, VFNMSAC_VV }, // 2317
  { PseudoVFNMSAC_VV_M1_E64, VFNMSAC_VV }, // 2318
  { PseudoVFNMSAC_VV_M1_E64_MASK, VFNMSAC_VV }, // 2319
  { PseudoVFNMSAC_VV_M2_E16, VFNMSAC_VV }, // 2320
  { PseudoVFNMSAC_VV_M2_E16_MASK, VFNMSAC_VV }, // 2321
  { PseudoVFNMSAC_VV_M2_E32, VFNMSAC_VV }, // 2322
  { PseudoVFNMSAC_VV_M2_E32_MASK, VFNMSAC_VV }, // 2323
  { PseudoVFNMSAC_VV_M2_E64, VFNMSAC_VV }, // 2324
  { PseudoVFNMSAC_VV_M2_E64_MASK, VFNMSAC_VV }, // 2325
  { PseudoVFNMSAC_VV_M4_E16, VFNMSAC_VV }, // 2326
  { PseudoVFNMSAC_VV_M4_E16_MASK, VFNMSAC_VV }, // 2327
  { PseudoVFNMSAC_VV_M4_E32, VFNMSAC_VV }, // 2328
  { PseudoVFNMSAC_VV_M4_E32_MASK, VFNMSAC_VV }, // 2329
  { PseudoVFNMSAC_VV_M4_E64, VFNMSAC_VV }, // 2330
  { PseudoVFNMSAC_VV_M4_E64_MASK, VFNMSAC_VV }, // 2331
  { PseudoVFNMSAC_VV_M8_E16, VFNMSAC_VV }, // 2332
  { PseudoVFNMSAC_VV_M8_E16_MASK, VFNMSAC_VV }, // 2333
  { PseudoVFNMSAC_VV_M8_E32, VFNMSAC_VV }, // 2334
  { PseudoVFNMSAC_VV_M8_E32_MASK, VFNMSAC_VV }, // 2335
  { PseudoVFNMSAC_VV_M8_E64, VFNMSAC_VV }, // 2336
  { PseudoVFNMSAC_VV_M8_E64_MASK, VFNMSAC_VV }, // 2337
  { PseudoVFNMSAC_VV_MF2_E16, VFNMSAC_VV }, // 2338
  { PseudoVFNMSAC_VV_MF2_E16_MASK, VFNMSAC_VV }, // 2339
  { PseudoVFNMSAC_VV_MF2_E32, VFNMSAC_VV }, // 2340
  { PseudoVFNMSAC_VV_MF2_E32_MASK, VFNMSAC_VV }, // 2341
  { PseudoVFNMSAC_VV_MF4_E16, VFNMSAC_VV }, // 2342
  { PseudoVFNMSAC_VV_MF4_E16_MASK, VFNMSAC_VV }, // 2343
  { PseudoVFNMSUB_VFPR16_M1_E16, VFNMSUB_VF }, // 2344
  { PseudoVFNMSUB_VFPR16_M1_E16_MASK, VFNMSUB_VF }, // 2345
  { PseudoVFNMSUB_VFPR16_M2_E16, VFNMSUB_VF }, // 2346
  { PseudoVFNMSUB_VFPR16_M2_E16_MASK, VFNMSUB_VF }, // 2347
  { PseudoVFNMSUB_VFPR16_M4_E16, VFNMSUB_VF }, // 2348
  { PseudoVFNMSUB_VFPR16_M4_E16_MASK, VFNMSUB_VF }, // 2349
  { PseudoVFNMSUB_VFPR16_M8_E16, VFNMSUB_VF }, // 2350
  { PseudoVFNMSUB_VFPR16_M8_E16_MASK, VFNMSUB_VF }, // 2351
  { PseudoVFNMSUB_VFPR16_MF2_E16, VFNMSUB_VF }, // 2352
  { PseudoVFNMSUB_VFPR16_MF2_E16_MASK, VFNMSUB_VF }, // 2353
  { PseudoVFNMSUB_VFPR16_MF4_E16, VFNMSUB_VF }, // 2354
  { PseudoVFNMSUB_VFPR16_MF4_E16_MASK, VFNMSUB_VF }, // 2355
  { PseudoVFNMSUB_VFPR32_M1_E32, VFNMSUB_VF }, // 2356
  { PseudoVFNMSUB_VFPR32_M1_E32_MASK, VFNMSUB_VF }, // 2357
  { PseudoVFNMSUB_VFPR32_M2_E32, VFNMSUB_VF }, // 2358
  { PseudoVFNMSUB_VFPR32_M2_E32_MASK, VFNMSUB_VF }, // 2359
  { PseudoVFNMSUB_VFPR32_M4_E32, VFNMSUB_VF }, // 2360
  { PseudoVFNMSUB_VFPR32_M4_E32_MASK, VFNMSUB_VF }, // 2361
  { PseudoVFNMSUB_VFPR32_M8_E32, VFNMSUB_VF }, // 2362
  { PseudoVFNMSUB_VFPR32_M8_E32_MASK, VFNMSUB_VF }, // 2363
  { PseudoVFNMSUB_VFPR32_MF2_E32, VFNMSUB_VF }, // 2364
  { PseudoVFNMSUB_VFPR32_MF2_E32_MASK, VFNMSUB_VF }, // 2365
  { PseudoVFNMSUB_VFPR64_M1_E64, VFNMSUB_VF }, // 2366
  { PseudoVFNMSUB_VFPR64_M1_E64_MASK, VFNMSUB_VF }, // 2367
  { PseudoVFNMSUB_VFPR64_M2_E64, VFNMSUB_VF }, // 2368
  { PseudoVFNMSUB_VFPR64_M2_E64_MASK, VFNMSUB_VF }, // 2369
  { PseudoVFNMSUB_VFPR64_M4_E64, VFNMSUB_VF }, // 2370
  { PseudoVFNMSUB_VFPR64_M4_E64_MASK, VFNMSUB_VF }, // 2371
  { PseudoVFNMSUB_VFPR64_M8_E64, VFNMSUB_VF }, // 2372
  { PseudoVFNMSUB_VFPR64_M8_E64_MASK, VFNMSUB_VF }, // 2373
  { PseudoVFNMSUB_VV_M1_E16, VFNMSUB_VV }, // 2374
  { PseudoVFNMSUB_VV_M1_E16_MASK, VFNMSUB_VV }, // 2375
  { PseudoVFNMSUB_VV_M1_E32, VFNMSUB_VV }, // 2376
  { PseudoVFNMSUB_VV_M1_E32_MASK, VFNMSUB_VV }, // 2377
  { PseudoVFNMSUB_VV_M1_E64, VFNMSUB_VV }, // 2378
  { PseudoVFNMSUB_VV_M1_E64_MASK, VFNMSUB_VV }, // 2379
  { PseudoVFNMSUB_VV_M2_E16, VFNMSUB_VV }, // 2380
  { PseudoVFNMSUB_VV_M2_E16_MASK, VFNMSUB_VV }, // 2381
  { PseudoVFNMSUB_VV_M2_E32, VFNMSUB_VV }, // 2382
  { PseudoVFNMSUB_VV_M2_E32_MASK, VFNMSUB_VV }, // 2383
  { PseudoVFNMSUB_VV_M2_E64, VFNMSUB_VV }, // 2384
  { PseudoVFNMSUB_VV_M2_E64_MASK, VFNMSUB_VV }, // 2385
  { PseudoVFNMSUB_VV_M4_E16, VFNMSUB_VV }, // 2386
  { PseudoVFNMSUB_VV_M4_E16_MASK, VFNMSUB_VV }, // 2387
  { PseudoVFNMSUB_VV_M4_E32, VFNMSUB_VV }, // 2388
  { PseudoVFNMSUB_VV_M4_E32_MASK, VFNMSUB_VV }, // 2389
  { PseudoVFNMSUB_VV_M4_E64, VFNMSUB_VV }, // 2390
  { PseudoVFNMSUB_VV_M4_E64_MASK, VFNMSUB_VV }, // 2391
  { PseudoVFNMSUB_VV_M8_E16, VFNMSUB_VV }, // 2392
  { PseudoVFNMSUB_VV_M8_E16_MASK, VFNMSUB_VV }, // 2393
  { PseudoVFNMSUB_VV_M8_E32, VFNMSUB_VV }, // 2394
  { PseudoVFNMSUB_VV_M8_E32_MASK, VFNMSUB_VV }, // 2395
  { PseudoVFNMSUB_VV_M8_E64, VFNMSUB_VV }, // 2396
  { PseudoVFNMSUB_VV_M8_E64_MASK, VFNMSUB_VV }, // 2397
  { PseudoVFNMSUB_VV_MF2_E16, VFNMSUB_VV }, // 2398
  { PseudoVFNMSUB_VV_MF2_E16_MASK, VFNMSUB_VV }, // 2399
  { PseudoVFNMSUB_VV_MF2_E32, VFNMSUB_VV }, // 2400
  { PseudoVFNMSUB_VV_MF2_E32_MASK, VFNMSUB_VV }, // 2401
  { PseudoVFNMSUB_VV_MF4_E16, VFNMSUB_VV }, // 2402
  { PseudoVFNMSUB_VV_MF4_E16_MASK, VFNMSUB_VV }, // 2403
  { PseudoVFNRCLIP_XU_F_QF_M1, VFNRCLIP_XU_F_QF }, // 2404
  { PseudoVFNRCLIP_XU_F_QF_M1_MASK, VFNRCLIP_XU_F_QF }, // 2405
  { PseudoVFNRCLIP_XU_F_QF_M2, VFNRCLIP_XU_F_QF }, // 2406
  { PseudoVFNRCLIP_XU_F_QF_M2_MASK, VFNRCLIP_XU_F_QF }, // 2407
  { PseudoVFNRCLIP_XU_F_QF_MF2, VFNRCLIP_XU_F_QF }, // 2408
  { PseudoVFNRCLIP_XU_F_QF_MF2_MASK, VFNRCLIP_XU_F_QF }, // 2409
  { PseudoVFNRCLIP_XU_F_QF_MF4, VFNRCLIP_XU_F_QF }, // 2410
  { PseudoVFNRCLIP_XU_F_QF_MF4_MASK, VFNRCLIP_XU_F_QF }, // 2411
  { PseudoVFNRCLIP_XU_F_QF_MF8, VFNRCLIP_XU_F_QF }, // 2412
  { PseudoVFNRCLIP_XU_F_QF_MF8_MASK, VFNRCLIP_XU_F_QF }, // 2413
  { PseudoVFNRCLIP_X_F_QF_M1, VFNRCLIP_X_F_QF }, // 2414
  { PseudoVFNRCLIP_X_F_QF_M1_MASK, VFNRCLIP_X_F_QF }, // 2415
  { PseudoVFNRCLIP_X_F_QF_M2, VFNRCLIP_X_F_QF }, // 2416
  { PseudoVFNRCLIP_X_F_QF_M2_MASK, VFNRCLIP_X_F_QF }, // 2417
  { PseudoVFNRCLIP_X_F_QF_MF2, VFNRCLIP_X_F_QF }, // 2418
  { PseudoVFNRCLIP_X_F_QF_MF2_MASK, VFNRCLIP_X_F_QF }, // 2419
  { PseudoVFNRCLIP_X_F_QF_MF4, VFNRCLIP_X_F_QF }, // 2420
  { PseudoVFNRCLIP_X_F_QF_MF4_MASK, VFNRCLIP_X_F_QF }, // 2421
  { PseudoVFNRCLIP_X_F_QF_MF8, VFNRCLIP_X_F_QF }, // 2422
  { PseudoVFNRCLIP_X_F_QF_MF8_MASK, VFNRCLIP_X_F_QF }, // 2423
  { PseudoVFRDIV_VFPR16_M1_E16, VFRDIV_VF }, // 2424
  { PseudoVFRDIV_VFPR16_M1_E16_MASK, VFRDIV_VF }, // 2425
  { PseudoVFRDIV_VFPR16_M2_E16, VFRDIV_VF }, // 2426
  { PseudoVFRDIV_VFPR16_M2_E16_MASK, VFRDIV_VF }, // 2427
  { PseudoVFRDIV_VFPR16_M4_E16, VFRDIV_VF }, // 2428
  { PseudoVFRDIV_VFPR16_M4_E16_MASK, VFRDIV_VF }, // 2429
  { PseudoVFRDIV_VFPR16_M8_E16, VFRDIV_VF }, // 2430
  { PseudoVFRDIV_VFPR16_M8_E16_MASK, VFRDIV_VF }, // 2431
  { PseudoVFRDIV_VFPR16_MF2_E16, VFRDIV_VF }, // 2432
  { PseudoVFRDIV_VFPR16_MF2_E16_MASK, VFRDIV_VF }, // 2433
  { PseudoVFRDIV_VFPR16_MF4_E16, VFRDIV_VF }, // 2434
  { PseudoVFRDIV_VFPR16_MF4_E16_MASK, VFRDIV_VF }, // 2435
  { PseudoVFRDIV_VFPR32_M1_E32, VFRDIV_VF }, // 2436
  { PseudoVFRDIV_VFPR32_M1_E32_MASK, VFRDIV_VF }, // 2437
  { PseudoVFRDIV_VFPR32_M2_E32, VFRDIV_VF }, // 2438
  { PseudoVFRDIV_VFPR32_M2_E32_MASK, VFRDIV_VF }, // 2439
  { PseudoVFRDIV_VFPR32_M4_E32, VFRDIV_VF }, // 2440
  { PseudoVFRDIV_VFPR32_M4_E32_MASK, VFRDIV_VF }, // 2441
  { PseudoVFRDIV_VFPR32_M8_E32, VFRDIV_VF }, // 2442
  { PseudoVFRDIV_VFPR32_M8_E32_MASK, VFRDIV_VF }, // 2443
  { PseudoVFRDIV_VFPR32_MF2_E32, VFRDIV_VF }, // 2444
  { PseudoVFRDIV_VFPR32_MF2_E32_MASK, VFRDIV_VF }, // 2445
  { PseudoVFRDIV_VFPR64_M1_E64, VFRDIV_VF }, // 2446
  { PseudoVFRDIV_VFPR64_M1_E64_MASK, VFRDIV_VF }, // 2447
  { PseudoVFRDIV_VFPR64_M2_E64, VFRDIV_VF }, // 2448
  { PseudoVFRDIV_VFPR64_M2_E64_MASK, VFRDIV_VF }, // 2449
  { PseudoVFRDIV_VFPR64_M4_E64, VFRDIV_VF }, // 2450
  { PseudoVFRDIV_VFPR64_M4_E64_MASK, VFRDIV_VF }, // 2451
  { PseudoVFRDIV_VFPR64_M8_E64, VFRDIV_VF }, // 2452
  { PseudoVFRDIV_VFPR64_M8_E64_MASK, VFRDIV_VF }, // 2453
  { PseudoVFREC7_V_M1_E16, VFREC7_V }, // 2454
  { PseudoVFREC7_V_M1_E16_MASK, VFREC7_V }, // 2455
  { PseudoVFREC7_V_M1_E32, VFREC7_V }, // 2456
  { PseudoVFREC7_V_M1_E32_MASK, VFREC7_V }, // 2457
  { PseudoVFREC7_V_M1_E64, VFREC7_V }, // 2458
  { PseudoVFREC7_V_M1_E64_MASK, VFREC7_V }, // 2459
  { PseudoVFREC7_V_M2_E16, VFREC7_V }, // 2460
  { PseudoVFREC7_V_M2_E16_MASK, VFREC7_V }, // 2461
  { PseudoVFREC7_V_M2_E32, VFREC7_V }, // 2462
  { PseudoVFREC7_V_M2_E32_MASK, VFREC7_V }, // 2463
  { PseudoVFREC7_V_M2_E64, VFREC7_V }, // 2464
  { PseudoVFREC7_V_M2_E64_MASK, VFREC7_V }, // 2465
  { PseudoVFREC7_V_M4_E16, VFREC7_V }, // 2466
  { PseudoVFREC7_V_M4_E16_MASK, VFREC7_V }, // 2467
  { PseudoVFREC7_V_M4_E32, VFREC7_V }, // 2468
  { PseudoVFREC7_V_M4_E32_MASK, VFREC7_V }, // 2469
  { PseudoVFREC7_V_M4_E64, VFREC7_V }, // 2470
  { PseudoVFREC7_V_M4_E64_MASK, VFREC7_V }, // 2471
  { PseudoVFREC7_V_M8_E16, VFREC7_V }, // 2472
  { PseudoVFREC7_V_M8_E16_MASK, VFREC7_V }, // 2473
  { PseudoVFREC7_V_M8_E32, VFREC7_V }, // 2474
  { PseudoVFREC7_V_M8_E32_MASK, VFREC7_V }, // 2475
  { PseudoVFREC7_V_M8_E64, VFREC7_V }, // 2476
  { PseudoVFREC7_V_M8_E64_MASK, VFREC7_V }, // 2477
  { PseudoVFREC7_V_MF2_E16, VFREC7_V }, // 2478
  { PseudoVFREC7_V_MF2_E16_MASK, VFREC7_V }, // 2479
  { PseudoVFREC7_V_MF2_E32, VFREC7_V }, // 2480
  { PseudoVFREC7_V_MF2_E32_MASK, VFREC7_V }, // 2481
  { PseudoVFREC7_V_MF4_E16, VFREC7_V }, // 2482
  { PseudoVFREC7_V_MF4_E16_MASK, VFREC7_V }, // 2483
  { PseudoVFREDMAX_VS_M1_E16, VFREDMAX_VS }, // 2484
  { PseudoVFREDMAX_VS_M1_E16_MASK, VFREDMAX_VS }, // 2485
  { PseudoVFREDMAX_VS_M1_E32, VFREDMAX_VS }, // 2486
  { PseudoVFREDMAX_VS_M1_E32_MASK, VFREDMAX_VS }, // 2487
  { PseudoVFREDMAX_VS_M1_E64, VFREDMAX_VS }, // 2488
  { PseudoVFREDMAX_VS_M1_E64_MASK, VFREDMAX_VS }, // 2489
  { PseudoVFREDMAX_VS_M2_E16, VFREDMAX_VS }, // 2490
  { PseudoVFREDMAX_VS_M2_E16_MASK, VFREDMAX_VS }, // 2491
  { PseudoVFREDMAX_VS_M2_E32, VFREDMAX_VS }, // 2492
  { PseudoVFREDMAX_VS_M2_E32_MASK, VFREDMAX_VS }, // 2493
  { PseudoVFREDMAX_VS_M2_E64, VFREDMAX_VS }, // 2494
  { PseudoVFREDMAX_VS_M2_E64_MASK, VFREDMAX_VS }, // 2495
  { PseudoVFREDMAX_VS_M4_E16, VFREDMAX_VS }, // 2496
  { PseudoVFREDMAX_VS_M4_E16_MASK, VFREDMAX_VS }, // 2497
  { PseudoVFREDMAX_VS_M4_E32, VFREDMAX_VS }, // 2498
  { PseudoVFREDMAX_VS_M4_E32_MASK, VFREDMAX_VS }, // 2499
  { PseudoVFREDMAX_VS_M4_E64, VFREDMAX_VS }, // 2500
  { PseudoVFREDMAX_VS_M4_E64_MASK, VFREDMAX_VS }, // 2501
  { PseudoVFREDMAX_VS_M8_E16, VFREDMAX_VS }, // 2502
  { PseudoVFREDMAX_VS_M8_E16_MASK, VFREDMAX_VS }, // 2503
  { PseudoVFREDMAX_VS_M8_E32, VFREDMAX_VS }, // 2504
  { PseudoVFREDMAX_VS_M8_E32_MASK, VFREDMAX_VS }, // 2505
  { PseudoVFREDMAX_VS_M8_E64, VFREDMAX_VS }, // 2506
  { PseudoVFREDMAX_VS_M8_E64_MASK, VFREDMAX_VS }, // 2507
  { PseudoVFREDMAX_VS_MF2_E16, VFREDMAX_VS }, // 2508
  { PseudoVFREDMAX_VS_MF2_E16_MASK, VFREDMAX_VS }, // 2509
  { PseudoVFREDMAX_VS_MF2_E32, VFREDMAX_VS }, // 2510
  { PseudoVFREDMAX_VS_MF2_E32_MASK, VFREDMAX_VS }, // 2511
  { PseudoVFREDMAX_VS_MF4_E16, VFREDMAX_VS }, // 2512
  { PseudoVFREDMAX_VS_MF4_E16_MASK, VFREDMAX_VS }, // 2513
  { PseudoVFREDMIN_VS_M1_E16, VFREDMIN_VS }, // 2514
  { PseudoVFREDMIN_VS_M1_E16_MASK, VFREDMIN_VS }, // 2515
  { PseudoVFREDMIN_VS_M1_E32, VFREDMIN_VS }, // 2516
  { PseudoVFREDMIN_VS_M1_E32_MASK, VFREDMIN_VS }, // 2517
  { PseudoVFREDMIN_VS_M1_E64, VFREDMIN_VS }, // 2518
  { PseudoVFREDMIN_VS_M1_E64_MASK, VFREDMIN_VS }, // 2519
  { PseudoVFREDMIN_VS_M2_E16, VFREDMIN_VS }, // 2520
  { PseudoVFREDMIN_VS_M2_E16_MASK, VFREDMIN_VS }, // 2521
  { PseudoVFREDMIN_VS_M2_E32, VFREDMIN_VS }, // 2522
  { PseudoVFREDMIN_VS_M2_E32_MASK, VFREDMIN_VS }, // 2523
  { PseudoVFREDMIN_VS_M2_E64, VFREDMIN_VS }, // 2524
  { PseudoVFREDMIN_VS_M2_E64_MASK, VFREDMIN_VS }, // 2525
  { PseudoVFREDMIN_VS_M4_E16, VFREDMIN_VS }, // 2526
  { PseudoVFREDMIN_VS_M4_E16_MASK, VFREDMIN_VS }, // 2527
  { PseudoVFREDMIN_VS_M4_E32, VFREDMIN_VS }, // 2528
  { PseudoVFREDMIN_VS_M4_E32_MASK, VFREDMIN_VS }, // 2529
  { PseudoVFREDMIN_VS_M4_E64, VFREDMIN_VS }, // 2530
  { PseudoVFREDMIN_VS_M4_E64_MASK, VFREDMIN_VS }, // 2531
  { PseudoVFREDMIN_VS_M8_E16, VFREDMIN_VS }, // 2532
  { PseudoVFREDMIN_VS_M8_E16_MASK, VFREDMIN_VS }, // 2533
  { PseudoVFREDMIN_VS_M8_E32, VFREDMIN_VS }, // 2534
  { PseudoVFREDMIN_VS_M8_E32_MASK, VFREDMIN_VS }, // 2535
  { PseudoVFREDMIN_VS_M8_E64, VFREDMIN_VS }, // 2536
  { PseudoVFREDMIN_VS_M8_E64_MASK, VFREDMIN_VS }, // 2537
  { PseudoVFREDMIN_VS_MF2_E16, VFREDMIN_VS }, // 2538
  { PseudoVFREDMIN_VS_MF2_E16_MASK, VFREDMIN_VS }, // 2539
  { PseudoVFREDMIN_VS_MF2_E32, VFREDMIN_VS }, // 2540
  { PseudoVFREDMIN_VS_MF2_E32_MASK, VFREDMIN_VS }, // 2541
  { PseudoVFREDMIN_VS_MF4_E16, VFREDMIN_VS }, // 2542
  { PseudoVFREDMIN_VS_MF4_E16_MASK, VFREDMIN_VS }, // 2543
  { PseudoVFREDOSUM_VS_M1_E16, VFREDOSUM_VS }, // 2544
  { PseudoVFREDOSUM_VS_M1_E16_MASK, VFREDOSUM_VS }, // 2545
  { PseudoVFREDOSUM_VS_M1_E32, VFREDOSUM_VS }, // 2546
  { PseudoVFREDOSUM_VS_M1_E32_MASK, VFREDOSUM_VS }, // 2547
  { PseudoVFREDOSUM_VS_M1_E64, VFREDOSUM_VS }, // 2548
  { PseudoVFREDOSUM_VS_M1_E64_MASK, VFREDOSUM_VS }, // 2549
  { PseudoVFREDOSUM_VS_M2_E16, VFREDOSUM_VS }, // 2550
  { PseudoVFREDOSUM_VS_M2_E16_MASK, VFREDOSUM_VS }, // 2551
  { PseudoVFREDOSUM_VS_M2_E32, VFREDOSUM_VS }, // 2552
  { PseudoVFREDOSUM_VS_M2_E32_MASK, VFREDOSUM_VS }, // 2553
  { PseudoVFREDOSUM_VS_M2_E64, VFREDOSUM_VS }, // 2554
  { PseudoVFREDOSUM_VS_M2_E64_MASK, VFREDOSUM_VS }, // 2555
  { PseudoVFREDOSUM_VS_M4_E16, VFREDOSUM_VS }, // 2556
  { PseudoVFREDOSUM_VS_M4_E16_MASK, VFREDOSUM_VS }, // 2557
  { PseudoVFREDOSUM_VS_M4_E32, VFREDOSUM_VS }, // 2558
  { PseudoVFREDOSUM_VS_M4_E32_MASK, VFREDOSUM_VS }, // 2559
  { PseudoVFREDOSUM_VS_M4_E64, VFREDOSUM_VS }, // 2560
  { PseudoVFREDOSUM_VS_M4_E64_MASK, VFREDOSUM_VS }, // 2561
  { PseudoVFREDOSUM_VS_M8_E16, VFREDOSUM_VS }, // 2562
  { PseudoVFREDOSUM_VS_M8_E16_MASK, VFREDOSUM_VS }, // 2563
  { PseudoVFREDOSUM_VS_M8_E32, VFREDOSUM_VS }, // 2564
  { PseudoVFREDOSUM_VS_M8_E32_MASK, VFREDOSUM_VS }, // 2565
  { PseudoVFREDOSUM_VS_M8_E64, VFREDOSUM_VS }, // 2566
  { PseudoVFREDOSUM_VS_M8_E64_MASK, VFREDOSUM_VS }, // 2567
  { PseudoVFREDOSUM_VS_MF2_E16, VFREDOSUM_VS }, // 2568
  { PseudoVFREDOSUM_VS_MF2_E16_MASK, VFREDOSUM_VS }, // 2569
  { PseudoVFREDOSUM_VS_MF2_E32, VFREDOSUM_VS }, // 2570
  { PseudoVFREDOSUM_VS_MF2_E32_MASK, VFREDOSUM_VS }, // 2571
  { PseudoVFREDOSUM_VS_MF4_E16, VFREDOSUM_VS }, // 2572
  { PseudoVFREDOSUM_VS_MF4_E16_MASK, VFREDOSUM_VS }, // 2573
  { PseudoVFREDUSUM_VS_M1_E16, VFREDUSUM_VS }, // 2574
  { PseudoVFREDUSUM_VS_M1_E16_MASK, VFREDUSUM_VS }, // 2575
  { PseudoVFREDUSUM_VS_M1_E32, VFREDUSUM_VS }, // 2576
  { PseudoVFREDUSUM_VS_M1_E32_MASK, VFREDUSUM_VS }, // 2577
  { PseudoVFREDUSUM_VS_M1_E64, VFREDUSUM_VS }, // 2578
  { PseudoVFREDUSUM_VS_M1_E64_MASK, VFREDUSUM_VS }, // 2579
  { PseudoVFREDUSUM_VS_M2_E16, VFREDUSUM_VS }, // 2580
  { PseudoVFREDUSUM_VS_M2_E16_MASK, VFREDUSUM_VS }, // 2581
  { PseudoVFREDUSUM_VS_M2_E32, VFREDUSUM_VS }, // 2582
  { PseudoVFREDUSUM_VS_M2_E32_MASK, VFREDUSUM_VS }, // 2583
  { PseudoVFREDUSUM_VS_M2_E64, VFREDUSUM_VS }, // 2584
  { PseudoVFREDUSUM_VS_M2_E64_MASK, VFREDUSUM_VS }, // 2585
  { PseudoVFREDUSUM_VS_M4_E16, VFREDUSUM_VS }, // 2586
  { PseudoVFREDUSUM_VS_M4_E16_MASK, VFREDUSUM_VS }, // 2587
  { PseudoVFREDUSUM_VS_M4_E32, VFREDUSUM_VS }, // 2588
  { PseudoVFREDUSUM_VS_M4_E32_MASK, VFREDUSUM_VS }, // 2589
  { PseudoVFREDUSUM_VS_M4_E64, VFREDUSUM_VS }, // 2590
  { PseudoVFREDUSUM_VS_M4_E64_MASK, VFREDUSUM_VS }, // 2591
  { PseudoVFREDUSUM_VS_M8_E16, VFREDUSUM_VS }, // 2592
  { PseudoVFREDUSUM_VS_M8_E16_MASK, VFREDUSUM_VS }, // 2593
  { PseudoVFREDUSUM_VS_M8_E32, VFREDUSUM_VS }, // 2594
  { PseudoVFREDUSUM_VS_M8_E32_MASK, VFREDUSUM_VS }, // 2595
  { PseudoVFREDUSUM_VS_M8_E64, VFREDUSUM_VS }, // 2596
  { PseudoVFREDUSUM_VS_M8_E64_MASK, VFREDUSUM_VS }, // 2597
  { PseudoVFREDUSUM_VS_MF2_E16, VFREDUSUM_VS }, // 2598
  { PseudoVFREDUSUM_VS_MF2_E16_MASK, VFREDUSUM_VS }, // 2599
  { PseudoVFREDUSUM_VS_MF2_E32, VFREDUSUM_VS }, // 2600
  { PseudoVFREDUSUM_VS_MF2_E32_MASK, VFREDUSUM_VS }, // 2601
  { PseudoVFREDUSUM_VS_MF4_E16, VFREDUSUM_VS }, // 2602
  { PseudoVFREDUSUM_VS_MF4_E16_MASK, VFREDUSUM_VS }, // 2603
  { PseudoVFRSQRT7_V_M1_E16, VFRSQRT7_V }, // 2604
  { PseudoVFRSQRT7_V_M1_E16_MASK, VFRSQRT7_V }, // 2605
  { PseudoVFRSQRT7_V_M1_E32, VFRSQRT7_V }, // 2606
  { PseudoVFRSQRT7_V_M1_E32_MASK, VFRSQRT7_V }, // 2607
  { PseudoVFRSQRT7_V_M1_E64, VFRSQRT7_V }, // 2608
  { PseudoVFRSQRT7_V_M1_E64_MASK, VFRSQRT7_V }, // 2609
  { PseudoVFRSQRT7_V_M2_E16, VFRSQRT7_V }, // 2610
  { PseudoVFRSQRT7_V_M2_E16_MASK, VFRSQRT7_V }, // 2611
  { PseudoVFRSQRT7_V_M2_E32, VFRSQRT7_V }, // 2612
  { PseudoVFRSQRT7_V_M2_E32_MASK, VFRSQRT7_V }, // 2613
  { PseudoVFRSQRT7_V_M2_E64, VFRSQRT7_V }, // 2614
  { PseudoVFRSQRT7_V_M2_E64_MASK, VFRSQRT7_V }, // 2615
  { PseudoVFRSQRT7_V_M4_E16, VFRSQRT7_V }, // 2616
  { PseudoVFRSQRT7_V_M4_E16_MASK, VFRSQRT7_V }, // 2617
  { PseudoVFRSQRT7_V_M4_E32, VFRSQRT7_V }, // 2618
  { PseudoVFRSQRT7_V_M4_E32_MASK, VFRSQRT7_V }, // 2619
  { PseudoVFRSQRT7_V_M4_E64, VFRSQRT7_V }, // 2620
  { PseudoVFRSQRT7_V_M4_E64_MASK, VFRSQRT7_V }, // 2621
  { PseudoVFRSQRT7_V_M8_E16, VFRSQRT7_V }, // 2622
  { PseudoVFRSQRT7_V_M8_E16_MASK, VFRSQRT7_V }, // 2623
  { PseudoVFRSQRT7_V_M8_E32, VFRSQRT7_V }, // 2624
  { PseudoVFRSQRT7_V_M8_E32_MASK, VFRSQRT7_V }, // 2625
  { PseudoVFRSQRT7_V_M8_E64, VFRSQRT7_V }, // 2626
  { PseudoVFRSQRT7_V_M8_E64_MASK, VFRSQRT7_V }, // 2627
  { PseudoVFRSQRT7_V_MF2_E16, VFRSQRT7_V }, // 2628
  { PseudoVFRSQRT7_V_MF2_E16_MASK, VFRSQRT7_V }, // 2629
  { PseudoVFRSQRT7_V_MF2_E32, VFRSQRT7_V }, // 2630
  { PseudoVFRSQRT7_V_MF2_E32_MASK, VFRSQRT7_V }, // 2631
  { PseudoVFRSQRT7_V_MF4_E16, VFRSQRT7_V }, // 2632
  { PseudoVFRSQRT7_V_MF4_E16_MASK, VFRSQRT7_V }, // 2633
  { PseudoVFRSUB_VFPR16_M1_E16, VFRSUB_VF }, // 2634
  { PseudoVFRSUB_VFPR16_M1_E16_MASK, VFRSUB_VF }, // 2635
  { PseudoVFRSUB_VFPR16_M2_E16, VFRSUB_VF }, // 2636
  { PseudoVFRSUB_VFPR16_M2_E16_MASK, VFRSUB_VF }, // 2637
  { PseudoVFRSUB_VFPR16_M4_E16, VFRSUB_VF }, // 2638
  { PseudoVFRSUB_VFPR16_M4_E16_MASK, VFRSUB_VF }, // 2639
  { PseudoVFRSUB_VFPR16_M8_E16, VFRSUB_VF }, // 2640
  { PseudoVFRSUB_VFPR16_M8_E16_MASK, VFRSUB_VF }, // 2641
  { PseudoVFRSUB_VFPR16_MF2_E16, VFRSUB_VF }, // 2642
  { PseudoVFRSUB_VFPR16_MF2_E16_MASK, VFRSUB_VF }, // 2643
  { PseudoVFRSUB_VFPR16_MF4_E16, VFRSUB_VF }, // 2644
  { PseudoVFRSUB_VFPR16_MF4_E16_MASK, VFRSUB_VF }, // 2645
  { PseudoVFRSUB_VFPR32_M1_E32, VFRSUB_VF }, // 2646
  { PseudoVFRSUB_VFPR32_M1_E32_MASK, VFRSUB_VF }, // 2647
  { PseudoVFRSUB_VFPR32_M2_E32, VFRSUB_VF }, // 2648
  { PseudoVFRSUB_VFPR32_M2_E32_MASK, VFRSUB_VF }, // 2649
  { PseudoVFRSUB_VFPR32_M4_E32, VFRSUB_VF }, // 2650
  { PseudoVFRSUB_VFPR32_M4_E32_MASK, VFRSUB_VF }, // 2651
  { PseudoVFRSUB_VFPR32_M8_E32, VFRSUB_VF }, // 2652
  { PseudoVFRSUB_VFPR32_M8_E32_MASK, VFRSUB_VF }, // 2653
  { PseudoVFRSUB_VFPR32_MF2_E32, VFRSUB_VF }, // 2654
  { PseudoVFRSUB_VFPR32_MF2_E32_MASK, VFRSUB_VF }, // 2655
  { PseudoVFRSUB_VFPR64_M1_E64, VFRSUB_VF }, // 2656
  { PseudoVFRSUB_VFPR64_M1_E64_MASK, VFRSUB_VF }, // 2657
  { PseudoVFRSUB_VFPR64_M2_E64, VFRSUB_VF }, // 2658
  { PseudoVFRSUB_VFPR64_M2_E64_MASK, VFRSUB_VF }, // 2659
  { PseudoVFRSUB_VFPR64_M4_E64, VFRSUB_VF }, // 2660
  { PseudoVFRSUB_VFPR64_M4_E64_MASK, VFRSUB_VF }, // 2661
  { PseudoVFRSUB_VFPR64_M8_E64, VFRSUB_VF }, // 2662
  { PseudoVFRSUB_VFPR64_M8_E64_MASK, VFRSUB_VF }, // 2663
  { PseudoVFSGNJN_VFPR16_M1_E16, VFSGNJN_VF }, // 2664
  { PseudoVFSGNJN_VFPR16_M1_E16_MASK, VFSGNJN_VF }, // 2665
  { PseudoVFSGNJN_VFPR16_M2_E16, VFSGNJN_VF }, // 2666
  { PseudoVFSGNJN_VFPR16_M2_E16_MASK, VFSGNJN_VF }, // 2667
  { PseudoVFSGNJN_VFPR16_M4_E16, VFSGNJN_VF }, // 2668
  { PseudoVFSGNJN_VFPR16_M4_E16_MASK, VFSGNJN_VF }, // 2669
  { PseudoVFSGNJN_VFPR16_M8_E16, VFSGNJN_VF }, // 2670
  { PseudoVFSGNJN_VFPR16_M8_E16_MASK, VFSGNJN_VF }, // 2671
  { PseudoVFSGNJN_VFPR16_MF2_E16, VFSGNJN_VF }, // 2672
  { PseudoVFSGNJN_VFPR16_MF2_E16_MASK, VFSGNJN_VF }, // 2673
  { PseudoVFSGNJN_VFPR16_MF4_E16, VFSGNJN_VF }, // 2674
  { PseudoVFSGNJN_VFPR16_MF4_E16_MASK, VFSGNJN_VF }, // 2675
  { PseudoVFSGNJN_VFPR32_M1_E32, VFSGNJN_VF }, // 2676
  { PseudoVFSGNJN_VFPR32_M1_E32_MASK, VFSGNJN_VF }, // 2677
  { PseudoVFSGNJN_VFPR32_M2_E32, VFSGNJN_VF }, // 2678
  { PseudoVFSGNJN_VFPR32_M2_E32_MASK, VFSGNJN_VF }, // 2679
  { PseudoVFSGNJN_VFPR32_M4_E32, VFSGNJN_VF }, // 2680
  { PseudoVFSGNJN_VFPR32_M4_E32_MASK, VFSGNJN_VF }, // 2681
  { PseudoVFSGNJN_VFPR32_M8_E32, VFSGNJN_VF }, // 2682
  { PseudoVFSGNJN_VFPR32_M8_E32_MASK, VFSGNJN_VF }, // 2683
  { PseudoVFSGNJN_VFPR32_MF2_E32, VFSGNJN_VF }, // 2684
  { PseudoVFSGNJN_VFPR32_MF2_E32_MASK, VFSGNJN_VF }, // 2685
  { PseudoVFSGNJN_VFPR64_M1_E64, VFSGNJN_VF }, // 2686
  { PseudoVFSGNJN_VFPR64_M1_E64_MASK, VFSGNJN_VF }, // 2687
  { PseudoVFSGNJN_VFPR64_M2_E64, VFSGNJN_VF }, // 2688
  { PseudoVFSGNJN_VFPR64_M2_E64_MASK, VFSGNJN_VF }, // 2689
  { PseudoVFSGNJN_VFPR64_M4_E64, VFSGNJN_VF }, // 2690
  { PseudoVFSGNJN_VFPR64_M4_E64_MASK, VFSGNJN_VF }, // 2691
  { PseudoVFSGNJN_VFPR64_M8_E64, VFSGNJN_VF }, // 2692
  { PseudoVFSGNJN_VFPR64_M8_E64_MASK, VFSGNJN_VF }, // 2693
  { PseudoVFSGNJN_VV_M1_E16, VFSGNJN_VV }, // 2694
  { PseudoVFSGNJN_VV_M1_E16_MASK, VFSGNJN_VV }, // 2695
  { PseudoVFSGNJN_VV_M1_E32, VFSGNJN_VV }, // 2696
  { PseudoVFSGNJN_VV_M1_E32_MASK, VFSGNJN_VV }, // 2697
  { PseudoVFSGNJN_VV_M1_E64, VFSGNJN_VV }, // 2698
  { PseudoVFSGNJN_VV_M1_E64_MASK, VFSGNJN_VV }, // 2699
  { PseudoVFSGNJN_VV_M2_E16, VFSGNJN_VV }, // 2700
  { PseudoVFSGNJN_VV_M2_E16_MASK, VFSGNJN_VV }, // 2701
  { PseudoVFSGNJN_VV_M2_E32, VFSGNJN_VV }, // 2702
  { PseudoVFSGNJN_VV_M2_E32_MASK, VFSGNJN_VV }, // 2703
  { PseudoVFSGNJN_VV_M2_E64, VFSGNJN_VV }, // 2704
  { PseudoVFSGNJN_VV_M2_E64_MASK, VFSGNJN_VV }, // 2705
  { PseudoVFSGNJN_VV_M4_E16, VFSGNJN_VV }, // 2706
  { PseudoVFSGNJN_VV_M4_E16_MASK, VFSGNJN_VV }, // 2707
  { PseudoVFSGNJN_VV_M4_E32, VFSGNJN_VV }, // 2708
  { PseudoVFSGNJN_VV_M4_E32_MASK, VFSGNJN_VV }, // 2709
  { PseudoVFSGNJN_VV_M4_E64, VFSGNJN_VV }, // 2710
  { PseudoVFSGNJN_VV_M4_E64_MASK, VFSGNJN_VV }, // 2711
  { PseudoVFSGNJN_VV_M8_E16, VFSGNJN_VV }, // 2712
  { PseudoVFSGNJN_VV_M8_E16_MASK, VFSGNJN_VV }, // 2713
  { PseudoVFSGNJN_VV_M8_E32, VFSGNJN_VV }, // 2714
  { PseudoVFSGNJN_VV_M8_E32_MASK, VFSGNJN_VV }, // 2715
  { PseudoVFSGNJN_VV_M8_E64, VFSGNJN_VV }, // 2716
  { PseudoVFSGNJN_VV_M8_E64_MASK, VFSGNJN_VV }, // 2717
  { PseudoVFSGNJN_VV_MF2_E16, VFSGNJN_VV }, // 2718
  { PseudoVFSGNJN_VV_MF2_E16_MASK, VFSGNJN_VV }, // 2719
  { PseudoVFSGNJN_VV_MF2_E32, VFSGNJN_VV }, // 2720
  { PseudoVFSGNJN_VV_MF2_E32_MASK, VFSGNJN_VV }, // 2721
  { PseudoVFSGNJN_VV_MF4_E16, VFSGNJN_VV }, // 2722
  { PseudoVFSGNJN_VV_MF4_E16_MASK, VFSGNJN_VV }, // 2723
  { PseudoVFSGNJX_VFPR16_M1_E16, VFSGNJX_VF }, // 2724
  { PseudoVFSGNJX_VFPR16_M1_E16_MASK, VFSGNJX_VF }, // 2725
  { PseudoVFSGNJX_VFPR16_M2_E16, VFSGNJX_VF }, // 2726
  { PseudoVFSGNJX_VFPR16_M2_E16_MASK, VFSGNJX_VF }, // 2727
  { PseudoVFSGNJX_VFPR16_M4_E16, VFSGNJX_VF }, // 2728
  { PseudoVFSGNJX_VFPR16_M4_E16_MASK, VFSGNJX_VF }, // 2729
  { PseudoVFSGNJX_VFPR16_M8_E16, VFSGNJX_VF }, // 2730
  { PseudoVFSGNJX_VFPR16_M8_E16_MASK, VFSGNJX_VF }, // 2731
  { PseudoVFSGNJX_VFPR16_MF2_E16, VFSGNJX_VF }, // 2732
  { PseudoVFSGNJX_VFPR16_MF2_E16_MASK, VFSGNJX_VF }, // 2733
  { PseudoVFSGNJX_VFPR16_MF4_E16, VFSGNJX_VF }, // 2734
  { PseudoVFSGNJX_VFPR16_MF4_E16_MASK, VFSGNJX_VF }, // 2735
  { PseudoVFSGNJX_VFPR32_M1_E32, VFSGNJX_VF }, // 2736
  { PseudoVFSGNJX_VFPR32_M1_E32_MASK, VFSGNJX_VF }, // 2737
  { PseudoVFSGNJX_VFPR32_M2_E32, VFSGNJX_VF }, // 2738
  { PseudoVFSGNJX_VFPR32_M2_E32_MASK, VFSGNJX_VF }, // 2739
  { PseudoVFSGNJX_VFPR32_M4_E32, VFSGNJX_VF }, // 2740
  { PseudoVFSGNJX_VFPR32_M4_E32_MASK, VFSGNJX_VF }, // 2741
  { PseudoVFSGNJX_VFPR32_M8_E32, VFSGNJX_VF }, // 2742
  { PseudoVFSGNJX_VFPR32_M8_E32_MASK, VFSGNJX_VF }, // 2743
  { PseudoVFSGNJX_VFPR32_MF2_E32, VFSGNJX_VF }, // 2744
  { PseudoVFSGNJX_VFPR32_MF2_E32_MASK, VFSGNJX_VF }, // 2745
  { PseudoVFSGNJX_VFPR64_M1_E64, VFSGNJX_VF }, // 2746
  { PseudoVFSGNJX_VFPR64_M1_E64_MASK, VFSGNJX_VF }, // 2747
  { PseudoVFSGNJX_VFPR64_M2_E64, VFSGNJX_VF }, // 2748
  { PseudoVFSGNJX_VFPR64_M2_E64_MASK, VFSGNJX_VF }, // 2749
  { PseudoVFSGNJX_VFPR64_M4_E64, VFSGNJX_VF }, // 2750
  { PseudoVFSGNJX_VFPR64_M4_E64_MASK, VFSGNJX_VF }, // 2751
  { PseudoVFSGNJX_VFPR64_M8_E64, VFSGNJX_VF }, // 2752
  { PseudoVFSGNJX_VFPR64_M8_E64_MASK, VFSGNJX_VF }, // 2753
  { PseudoVFSGNJX_VV_M1_E16, VFSGNJX_VV }, // 2754
  { PseudoVFSGNJX_VV_M1_E16_MASK, VFSGNJX_VV }, // 2755
  { PseudoVFSGNJX_VV_M1_E32, VFSGNJX_VV }, // 2756
  { PseudoVFSGNJX_VV_M1_E32_MASK, VFSGNJX_VV }, // 2757
  { PseudoVFSGNJX_VV_M1_E64, VFSGNJX_VV }, // 2758
  { PseudoVFSGNJX_VV_M1_E64_MASK, VFSGNJX_VV }, // 2759
  { PseudoVFSGNJX_VV_M2_E16, VFSGNJX_VV }, // 2760
  { PseudoVFSGNJX_VV_M2_E16_MASK, VFSGNJX_VV }, // 2761
  { PseudoVFSGNJX_VV_M2_E32, VFSGNJX_VV }, // 2762
  { PseudoVFSGNJX_VV_M2_E32_MASK, VFSGNJX_VV }, // 2763
  { PseudoVFSGNJX_VV_M2_E64, VFSGNJX_VV }, // 2764
  { PseudoVFSGNJX_VV_M2_E64_MASK, VFSGNJX_VV }, // 2765
  { PseudoVFSGNJX_VV_M4_E16, VFSGNJX_VV }, // 2766
  { PseudoVFSGNJX_VV_M4_E16_MASK, VFSGNJX_VV }, // 2767
  { PseudoVFSGNJX_VV_M4_E32, VFSGNJX_VV }, // 2768
  { PseudoVFSGNJX_VV_M4_E32_MASK, VFSGNJX_VV }, // 2769
  { PseudoVFSGNJX_VV_M4_E64, VFSGNJX_VV }, // 2770
  { PseudoVFSGNJX_VV_M4_E64_MASK, VFSGNJX_VV }, // 2771
  { PseudoVFSGNJX_VV_M8_E16, VFSGNJX_VV }, // 2772
  { PseudoVFSGNJX_VV_M8_E16_MASK, VFSGNJX_VV }, // 2773
  { PseudoVFSGNJX_VV_M8_E32, VFSGNJX_VV }, // 2774
  { PseudoVFSGNJX_VV_M8_E32_MASK, VFSGNJX_VV }, // 2775
  { PseudoVFSGNJX_VV_M8_E64, VFSGNJX_VV }, // 2776
  { PseudoVFSGNJX_VV_M8_E64_MASK, VFSGNJX_VV }, // 2777
  { PseudoVFSGNJX_VV_MF2_E16, VFSGNJX_VV }, // 2778
  { PseudoVFSGNJX_VV_MF2_E16_MASK, VFSGNJX_VV }, // 2779
  { PseudoVFSGNJX_VV_MF2_E32, VFSGNJX_VV }, // 2780
  { PseudoVFSGNJX_VV_MF2_E32_MASK, VFSGNJX_VV }, // 2781
  { PseudoVFSGNJX_VV_MF4_E16, VFSGNJX_VV }, // 2782
  { PseudoVFSGNJX_VV_MF4_E16_MASK, VFSGNJX_VV }, // 2783
  { PseudoVFSGNJ_VFPR16_M1_E16, VFSGNJ_VF }, // 2784
  { PseudoVFSGNJ_VFPR16_M1_E16_MASK, VFSGNJ_VF }, // 2785
  { PseudoVFSGNJ_VFPR16_M2_E16, VFSGNJ_VF }, // 2786
  { PseudoVFSGNJ_VFPR16_M2_E16_MASK, VFSGNJ_VF }, // 2787
  { PseudoVFSGNJ_VFPR16_M4_E16, VFSGNJ_VF }, // 2788
  { PseudoVFSGNJ_VFPR16_M4_E16_MASK, VFSGNJ_VF }, // 2789
  { PseudoVFSGNJ_VFPR16_M8_E16, VFSGNJ_VF }, // 2790
  { PseudoVFSGNJ_VFPR16_M8_E16_MASK, VFSGNJ_VF }, // 2791
  { PseudoVFSGNJ_VFPR16_MF2_E16, VFSGNJ_VF }, // 2792
  { PseudoVFSGNJ_VFPR16_MF2_E16_MASK, VFSGNJ_VF }, // 2793
  { PseudoVFSGNJ_VFPR16_MF4_E16, VFSGNJ_VF }, // 2794
  { PseudoVFSGNJ_VFPR16_MF4_E16_MASK, VFSGNJ_VF }, // 2795
  { PseudoVFSGNJ_VFPR32_M1_E32, VFSGNJ_VF }, // 2796
  { PseudoVFSGNJ_VFPR32_M1_E32_MASK, VFSGNJ_VF }, // 2797
  { PseudoVFSGNJ_VFPR32_M2_E32, VFSGNJ_VF }, // 2798
  { PseudoVFSGNJ_VFPR32_M2_E32_MASK, VFSGNJ_VF }, // 2799
  { PseudoVFSGNJ_VFPR32_M4_E32, VFSGNJ_VF }, // 2800
  { PseudoVFSGNJ_VFPR32_M4_E32_MASK, VFSGNJ_VF }, // 2801
  { PseudoVFSGNJ_VFPR32_M8_E32, VFSGNJ_VF }, // 2802
  { PseudoVFSGNJ_VFPR32_M8_E32_MASK, VFSGNJ_VF }, // 2803
  { PseudoVFSGNJ_VFPR32_MF2_E32, VFSGNJ_VF }, // 2804
  { PseudoVFSGNJ_VFPR32_MF2_E32_MASK, VFSGNJ_VF }, // 2805
  { PseudoVFSGNJ_VFPR64_M1_E64, VFSGNJ_VF }, // 2806
  { PseudoVFSGNJ_VFPR64_M1_E64_MASK, VFSGNJ_VF }, // 2807
  { PseudoVFSGNJ_VFPR64_M2_E64, VFSGNJ_VF }, // 2808
  { PseudoVFSGNJ_VFPR64_M2_E64_MASK, VFSGNJ_VF }, // 2809
  { PseudoVFSGNJ_VFPR64_M4_E64, VFSGNJ_VF }, // 2810
  { PseudoVFSGNJ_VFPR64_M4_E64_MASK, VFSGNJ_VF }, // 2811
  { PseudoVFSGNJ_VFPR64_M8_E64, VFSGNJ_VF }, // 2812
  { PseudoVFSGNJ_VFPR64_M8_E64_MASK, VFSGNJ_VF }, // 2813
  { PseudoVFSGNJ_VV_M1_E16, VFSGNJ_VV }, // 2814
  { PseudoVFSGNJ_VV_M1_E16_MASK, VFSGNJ_VV }, // 2815
  { PseudoVFSGNJ_VV_M1_E32, VFSGNJ_VV }, // 2816
  { PseudoVFSGNJ_VV_M1_E32_MASK, VFSGNJ_VV }, // 2817
  { PseudoVFSGNJ_VV_M1_E64, VFSGNJ_VV }, // 2818
  { PseudoVFSGNJ_VV_M1_E64_MASK, VFSGNJ_VV }, // 2819
  { PseudoVFSGNJ_VV_M2_E16, VFSGNJ_VV }, // 2820
  { PseudoVFSGNJ_VV_M2_E16_MASK, VFSGNJ_VV }, // 2821
  { PseudoVFSGNJ_VV_M2_E32, VFSGNJ_VV }, // 2822
  { PseudoVFSGNJ_VV_M2_E32_MASK, VFSGNJ_VV }, // 2823
  { PseudoVFSGNJ_VV_M2_E64, VFSGNJ_VV }, // 2824
  { PseudoVFSGNJ_VV_M2_E64_MASK, VFSGNJ_VV }, // 2825
  { PseudoVFSGNJ_VV_M4_E16, VFSGNJ_VV }, // 2826
  { PseudoVFSGNJ_VV_M4_E16_MASK, VFSGNJ_VV }, // 2827
  { PseudoVFSGNJ_VV_M4_E32, VFSGNJ_VV }, // 2828
  { PseudoVFSGNJ_VV_M4_E32_MASK, VFSGNJ_VV }, // 2829
  { PseudoVFSGNJ_VV_M4_E64, VFSGNJ_VV }, // 2830
  { PseudoVFSGNJ_VV_M4_E64_MASK, VFSGNJ_VV }, // 2831
  { PseudoVFSGNJ_VV_M8_E16, VFSGNJ_VV }, // 2832
  { PseudoVFSGNJ_VV_M8_E16_MASK, VFSGNJ_VV }, // 2833
  { PseudoVFSGNJ_VV_M8_E32, VFSGNJ_VV }, // 2834
  { PseudoVFSGNJ_VV_M8_E32_MASK, VFSGNJ_VV }, // 2835
  { PseudoVFSGNJ_VV_M8_E64, VFSGNJ_VV }, // 2836
  { PseudoVFSGNJ_VV_M8_E64_MASK, VFSGNJ_VV }, // 2837
  { PseudoVFSGNJ_VV_MF2_E16, VFSGNJ_VV }, // 2838
  { PseudoVFSGNJ_VV_MF2_E16_MASK, VFSGNJ_VV }, // 2839
  { PseudoVFSGNJ_VV_MF2_E32, VFSGNJ_VV }, // 2840
  { PseudoVFSGNJ_VV_MF2_E32_MASK, VFSGNJ_VV }, // 2841
  { PseudoVFSGNJ_VV_MF4_E16, VFSGNJ_VV }, // 2842
  { PseudoVFSGNJ_VV_MF4_E16_MASK, VFSGNJ_VV }, // 2843
  { PseudoVFSLIDE1DOWN_VFPR16_M1, VFSLIDE1DOWN_VF }, // 2844
  { PseudoVFSLIDE1DOWN_VFPR16_M1_MASK, VFSLIDE1DOWN_VF }, // 2845
  { PseudoVFSLIDE1DOWN_VFPR16_M2, VFSLIDE1DOWN_VF }, // 2846
  { PseudoVFSLIDE1DOWN_VFPR16_M2_MASK, VFSLIDE1DOWN_VF }, // 2847
  { PseudoVFSLIDE1DOWN_VFPR16_M4, VFSLIDE1DOWN_VF }, // 2848
  { PseudoVFSLIDE1DOWN_VFPR16_M4_MASK, VFSLIDE1DOWN_VF }, // 2849
  { PseudoVFSLIDE1DOWN_VFPR16_M8, VFSLIDE1DOWN_VF }, // 2850
  { PseudoVFSLIDE1DOWN_VFPR16_M8_MASK, VFSLIDE1DOWN_VF }, // 2851
  { PseudoVFSLIDE1DOWN_VFPR16_MF2, VFSLIDE1DOWN_VF }, // 2852
  { PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK, VFSLIDE1DOWN_VF }, // 2853
  { PseudoVFSLIDE1DOWN_VFPR16_MF4, VFSLIDE1DOWN_VF }, // 2854
  { PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK, VFSLIDE1DOWN_VF }, // 2855
  { PseudoVFSLIDE1DOWN_VFPR32_M1, VFSLIDE1DOWN_VF }, // 2856
  { PseudoVFSLIDE1DOWN_VFPR32_M1_MASK, VFSLIDE1DOWN_VF }, // 2857
  { PseudoVFSLIDE1DOWN_VFPR32_M2, VFSLIDE1DOWN_VF }, // 2858
  { PseudoVFSLIDE1DOWN_VFPR32_M2_MASK, VFSLIDE1DOWN_VF }, // 2859
  { PseudoVFSLIDE1DOWN_VFPR32_M4, VFSLIDE1DOWN_VF }, // 2860
  { PseudoVFSLIDE1DOWN_VFPR32_M4_MASK, VFSLIDE1DOWN_VF }, // 2861
  { PseudoVFSLIDE1DOWN_VFPR32_M8, VFSLIDE1DOWN_VF }, // 2862
  { PseudoVFSLIDE1DOWN_VFPR32_M8_MASK, VFSLIDE1DOWN_VF }, // 2863
  { PseudoVFSLIDE1DOWN_VFPR32_MF2, VFSLIDE1DOWN_VF }, // 2864
  { PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK, VFSLIDE1DOWN_VF }, // 2865
  { PseudoVFSLIDE1DOWN_VFPR64_M1, VFSLIDE1DOWN_VF }, // 2866
  { PseudoVFSLIDE1DOWN_VFPR64_M1_MASK, VFSLIDE1DOWN_VF }, // 2867
  { PseudoVFSLIDE1DOWN_VFPR64_M2, VFSLIDE1DOWN_VF }, // 2868
  { PseudoVFSLIDE1DOWN_VFPR64_M2_MASK, VFSLIDE1DOWN_VF }, // 2869
  { PseudoVFSLIDE1DOWN_VFPR64_M4, VFSLIDE1DOWN_VF }, // 2870
  { PseudoVFSLIDE1DOWN_VFPR64_M4_MASK, VFSLIDE1DOWN_VF }, // 2871
  { PseudoVFSLIDE1DOWN_VFPR64_M8, VFSLIDE1DOWN_VF }, // 2872
  { PseudoVFSLIDE1DOWN_VFPR64_M8_MASK, VFSLIDE1DOWN_VF }, // 2873
  { PseudoVFSLIDE1UP_VFPR16_M1, VFSLIDE1UP_VF }, // 2874
  { PseudoVFSLIDE1UP_VFPR16_M1_MASK, VFSLIDE1UP_VF }, // 2875
  { PseudoVFSLIDE1UP_VFPR16_M2, VFSLIDE1UP_VF }, // 2876
  { PseudoVFSLIDE1UP_VFPR16_M2_MASK, VFSLIDE1UP_VF }, // 2877
  { PseudoVFSLIDE1UP_VFPR16_M4, VFSLIDE1UP_VF }, // 2878
  { PseudoVFSLIDE1UP_VFPR16_M4_MASK, VFSLIDE1UP_VF }, // 2879
  { PseudoVFSLIDE1UP_VFPR16_M8, VFSLIDE1UP_VF }, // 2880
  { PseudoVFSLIDE1UP_VFPR16_M8_MASK, VFSLIDE1UP_VF }, // 2881
  { PseudoVFSLIDE1UP_VFPR16_MF2, VFSLIDE1UP_VF }, // 2882
  { PseudoVFSLIDE1UP_VFPR16_MF2_MASK, VFSLIDE1UP_VF }, // 2883
  { PseudoVFSLIDE1UP_VFPR16_MF4, VFSLIDE1UP_VF }, // 2884
  { PseudoVFSLIDE1UP_VFPR16_MF4_MASK, VFSLIDE1UP_VF }, // 2885
  { PseudoVFSLIDE1UP_VFPR32_M1, VFSLIDE1UP_VF }, // 2886
  { PseudoVFSLIDE1UP_VFPR32_M1_MASK, VFSLIDE1UP_VF }, // 2887
  { PseudoVFSLIDE1UP_VFPR32_M2, VFSLIDE1UP_VF }, // 2888
  { PseudoVFSLIDE1UP_VFPR32_M2_MASK, VFSLIDE1UP_VF }, // 2889
  { PseudoVFSLIDE1UP_VFPR32_M4, VFSLIDE1UP_VF }, // 2890
  { PseudoVFSLIDE1UP_VFPR32_M4_MASK, VFSLIDE1UP_VF }, // 2891
  { PseudoVFSLIDE1UP_VFPR32_M8, VFSLIDE1UP_VF }, // 2892
  { PseudoVFSLIDE1UP_VFPR32_M8_MASK, VFSLIDE1UP_VF }, // 2893
  { PseudoVFSLIDE1UP_VFPR32_MF2, VFSLIDE1UP_VF }, // 2894
  { PseudoVFSLIDE1UP_VFPR32_MF2_MASK, VFSLIDE1UP_VF }, // 2895
  { PseudoVFSLIDE1UP_VFPR64_M1, VFSLIDE1UP_VF }, // 2896
  { PseudoVFSLIDE1UP_VFPR64_M1_MASK, VFSLIDE1UP_VF }, // 2897
  { PseudoVFSLIDE1UP_VFPR64_M2, VFSLIDE1UP_VF }, // 2898
  { PseudoVFSLIDE1UP_VFPR64_M2_MASK, VFSLIDE1UP_VF }, // 2899
  { PseudoVFSLIDE1UP_VFPR64_M4, VFSLIDE1UP_VF }, // 2900
  { PseudoVFSLIDE1UP_VFPR64_M4_MASK, VFSLIDE1UP_VF }, // 2901
  { PseudoVFSLIDE1UP_VFPR64_M8, VFSLIDE1UP_VF }, // 2902
  { PseudoVFSLIDE1UP_VFPR64_M8_MASK, VFSLIDE1UP_VF }, // 2903
  { PseudoVFSQRT_V_M1_E16, VFSQRT_V }, // 2904
  { PseudoVFSQRT_V_M1_E16_MASK, VFSQRT_V }, // 2905
  { PseudoVFSQRT_V_M1_E32, VFSQRT_V }, // 2906
  { PseudoVFSQRT_V_M1_E32_MASK, VFSQRT_V }, // 2907
  { PseudoVFSQRT_V_M1_E64, VFSQRT_V }, // 2908
  { PseudoVFSQRT_V_M1_E64_MASK, VFSQRT_V }, // 2909
  { PseudoVFSQRT_V_M2_E16, VFSQRT_V }, // 2910
  { PseudoVFSQRT_V_M2_E16_MASK, VFSQRT_V }, // 2911
  { PseudoVFSQRT_V_M2_E32, VFSQRT_V }, // 2912
  { PseudoVFSQRT_V_M2_E32_MASK, VFSQRT_V }, // 2913
  { PseudoVFSQRT_V_M2_E64, VFSQRT_V }, // 2914
  { PseudoVFSQRT_V_M2_E64_MASK, VFSQRT_V }, // 2915
  { PseudoVFSQRT_V_M4_E16, VFSQRT_V }, // 2916
  { PseudoVFSQRT_V_M4_E16_MASK, VFSQRT_V }, // 2917
  { PseudoVFSQRT_V_M4_E32, VFSQRT_V }, // 2918
  { PseudoVFSQRT_V_M4_E32_MASK, VFSQRT_V }, // 2919
  { PseudoVFSQRT_V_M4_E64, VFSQRT_V }, // 2920
  { PseudoVFSQRT_V_M4_E64_MASK, VFSQRT_V }, // 2921
  { PseudoVFSQRT_V_M8_E16, VFSQRT_V }, // 2922
  { PseudoVFSQRT_V_M8_E16_MASK, VFSQRT_V }, // 2923
  { PseudoVFSQRT_V_M8_E32, VFSQRT_V }, // 2924
  { PseudoVFSQRT_V_M8_E32_MASK, VFSQRT_V }, // 2925
  { PseudoVFSQRT_V_M8_E64, VFSQRT_V }, // 2926
  { PseudoVFSQRT_V_M8_E64_MASK, VFSQRT_V }, // 2927
  { PseudoVFSQRT_V_MF2_E16, VFSQRT_V }, // 2928
  { PseudoVFSQRT_V_MF2_E16_MASK, VFSQRT_V }, // 2929
  { PseudoVFSQRT_V_MF2_E32, VFSQRT_V }, // 2930
  { PseudoVFSQRT_V_MF2_E32_MASK, VFSQRT_V }, // 2931
  { PseudoVFSQRT_V_MF4_E16, VFSQRT_V }, // 2932
  { PseudoVFSQRT_V_MF4_E16_MASK, VFSQRT_V }, // 2933
  { PseudoVFSUB_VFPR16_M1_E16, VFSUB_VF }, // 2934
  { PseudoVFSUB_VFPR16_M1_E16_MASK, VFSUB_VF }, // 2935
  { PseudoVFSUB_VFPR16_M2_E16, VFSUB_VF }, // 2936
  { PseudoVFSUB_VFPR16_M2_E16_MASK, VFSUB_VF }, // 2937
  { PseudoVFSUB_VFPR16_M4_E16, VFSUB_VF }, // 2938
  { PseudoVFSUB_VFPR16_M4_E16_MASK, VFSUB_VF }, // 2939
  { PseudoVFSUB_VFPR16_M8_E16, VFSUB_VF }, // 2940
  { PseudoVFSUB_VFPR16_M8_E16_MASK, VFSUB_VF }, // 2941
  { PseudoVFSUB_VFPR16_MF2_E16, VFSUB_VF }, // 2942
  { PseudoVFSUB_VFPR16_MF2_E16_MASK, VFSUB_VF }, // 2943
  { PseudoVFSUB_VFPR16_MF4_E16, VFSUB_VF }, // 2944
  { PseudoVFSUB_VFPR16_MF4_E16_MASK, VFSUB_VF }, // 2945
  { PseudoVFSUB_VFPR32_M1_E32, VFSUB_VF }, // 2946
  { PseudoVFSUB_VFPR32_M1_E32_MASK, VFSUB_VF }, // 2947
  { PseudoVFSUB_VFPR32_M2_E32, VFSUB_VF }, // 2948
  { PseudoVFSUB_VFPR32_M2_E32_MASK, VFSUB_VF }, // 2949
  { PseudoVFSUB_VFPR32_M4_E32, VFSUB_VF }, // 2950
  { PseudoVFSUB_VFPR32_M4_E32_MASK, VFSUB_VF }, // 2951
  { PseudoVFSUB_VFPR32_M8_E32, VFSUB_VF }, // 2952
  { PseudoVFSUB_VFPR32_M8_E32_MASK, VFSUB_VF }, // 2953
  { PseudoVFSUB_VFPR32_MF2_E32, VFSUB_VF }, // 2954
  { PseudoVFSUB_VFPR32_MF2_E32_MASK, VFSUB_VF }, // 2955
  { PseudoVFSUB_VFPR64_M1_E64, VFSUB_VF }, // 2956
  { PseudoVFSUB_VFPR64_M1_E64_MASK, VFSUB_VF }, // 2957
  { PseudoVFSUB_VFPR64_M2_E64, VFSUB_VF }, // 2958
  { PseudoVFSUB_VFPR64_M2_E64_MASK, VFSUB_VF }, // 2959
  { PseudoVFSUB_VFPR64_M4_E64, VFSUB_VF }, // 2960
  { PseudoVFSUB_VFPR64_M4_E64_MASK, VFSUB_VF }, // 2961
  { PseudoVFSUB_VFPR64_M8_E64, VFSUB_VF }, // 2962
  { PseudoVFSUB_VFPR64_M8_E64_MASK, VFSUB_VF }, // 2963
  { PseudoVFSUB_VV_M1_E16, VFSUB_VV }, // 2964
  { PseudoVFSUB_VV_M1_E16_MASK, VFSUB_VV }, // 2965
  { PseudoVFSUB_VV_M1_E32, VFSUB_VV }, // 2966
  { PseudoVFSUB_VV_M1_E32_MASK, VFSUB_VV }, // 2967
  { PseudoVFSUB_VV_M1_E64, VFSUB_VV }, // 2968
  { PseudoVFSUB_VV_M1_E64_MASK, VFSUB_VV }, // 2969
  { PseudoVFSUB_VV_M2_E16, VFSUB_VV }, // 2970
  { PseudoVFSUB_VV_M2_E16_MASK, VFSUB_VV }, // 2971
  { PseudoVFSUB_VV_M2_E32, VFSUB_VV }, // 2972
  { PseudoVFSUB_VV_M2_E32_MASK, VFSUB_VV }, // 2973
  { PseudoVFSUB_VV_M2_E64, VFSUB_VV }, // 2974
  { PseudoVFSUB_VV_M2_E64_MASK, VFSUB_VV }, // 2975
  { PseudoVFSUB_VV_M4_E16, VFSUB_VV }, // 2976
  { PseudoVFSUB_VV_M4_E16_MASK, VFSUB_VV }, // 2977
  { PseudoVFSUB_VV_M4_E32, VFSUB_VV }, // 2978
  { PseudoVFSUB_VV_M4_E32_MASK, VFSUB_VV }, // 2979
  { PseudoVFSUB_VV_M4_E64, VFSUB_VV }, // 2980
  { PseudoVFSUB_VV_M4_E64_MASK, VFSUB_VV }, // 2981
  { PseudoVFSUB_VV_M8_E16, VFSUB_VV }, // 2982
  { PseudoVFSUB_VV_M8_E16_MASK, VFSUB_VV }, // 2983
  { PseudoVFSUB_VV_M8_E32, VFSUB_VV }, // 2984
  { PseudoVFSUB_VV_M8_E32_MASK, VFSUB_VV }, // 2985
  { PseudoVFSUB_VV_M8_E64, VFSUB_VV }, // 2986
  { PseudoVFSUB_VV_M8_E64_MASK, VFSUB_VV }, // 2987
  { PseudoVFSUB_VV_MF2_E16, VFSUB_VV }, // 2988
  { PseudoVFSUB_VV_MF2_E16_MASK, VFSUB_VV }, // 2989
  { PseudoVFSUB_VV_MF2_E32, VFSUB_VV }, // 2990
  { PseudoVFSUB_VV_MF2_E32_MASK, VFSUB_VV }, // 2991
  { PseudoVFSUB_VV_MF4_E16, VFSUB_VV }, // 2992
  { PseudoVFSUB_VV_MF4_E16_MASK, VFSUB_VV }, // 2993
  { PseudoVFWADD_VFPR16_M1_E16, VFWADD_VF }, // 2994
  { PseudoVFWADD_VFPR16_M1_E16_MASK, VFWADD_VF }, // 2995
  { PseudoVFWADD_VFPR16_M2_E16, VFWADD_VF }, // 2996
  { PseudoVFWADD_VFPR16_M2_E16_MASK, VFWADD_VF }, // 2997
  { PseudoVFWADD_VFPR16_M4_E16, VFWADD_VF }, // 2998
  { PseudoVFWADD_VFPR16_M4_E16_MASK, VFWADD_VF }, // 2999
  { PseudoVFWADD_VFPR16_MF2_E16, VFWADD_VF }, // 3000
  { PseudoVFWADD_VFPR16_MF2_E16_MASK, VFWADD_VF }, // 3001
  { PseudoVFWADD_VFPR16_MF4_E16, VFWADD_VF }, // 3002
  { PseudoVFWADD_VFPR16_MF4_E16_MASK, VFWADD_VF }, // 3003
  { PseudoVFWADD_VFPR32_M1_E32, VFWADD_VF }, // 3004
  { PseudoVFWADD_VFPR32_M1_E32_MASK, VFWADD_VF }, // 3005
  { PseudoVFWADD_VFPR32_M2_E32, VFWADD_VF }, // 3006
  { PseudoVFWADD_VFPR32_M2_E32_MASK, VFWADD_VF }, // 3007
  { PseudoVFWADD_VFPR32_M4_E32, VFWADD_VF }, // 3008
  { PseudoVFWADD_VFPR32_M4_E32_MASK, VFWADD_VF }, // 3009
  { PseudoVFWADD_VFPR32_MF2_E32, VFWADD_VF }, // 3010
  { PseudoVFWADD_VFPR32_MF2_E32_MASK, VFWADD_VF }, // 3011
  { PseudoVFWADD_VV_M1_E16, VFWADD_VV }, // 3012
  { PseudoVFWADD_VV_M1_E16_MASK, VFWADD_VV }, // 3013
  { PseudoVFWADD_VV_M1_E32, VFWADD_VV }, // 3014
  { PseudoVFWADD_VV_M1_E32_MASK, VFWADD_VV }, // 3015
  { PseudoVFWADD_VV_M2_E16, VFWADD_VV }, // 3016
  { PseudoVFWADD_VV_M2_E16_MASK, VFWADD_VV }, // 3017
  { PseudoVFWADD_VV_M2_E32, VFWADD_VV }, // 3018
  { PseudoVFWADD_VV_M2_E32_MASK, VFWADD_VV }, // 3019
  { PseudoVFWADD_VV_M4_E16, VFWADD_VV }, // 3020
  { PseudoVFWADD_VV_M4_E16_MASK, VFWADD_VV }, // 3021
  { PseudoVFWADD_VV_M4_E32, VFWADD_VV }, // 3022
  { PseudoVFWADD_VV_M4_E32_MASK, VFWADD_VV }, // 3023
  { PseudoVFWADD_VV_MF2_E16, VFWADD_VV }, // 3024
  { PseudoVFWADD_VV_MF2_E16_MASK, VFWADD_VV }, // 3025
  { PseudoVFWADD_VV_MF2_E32, VFWADD_VV }, // 3026
  { PseudoVFWADD_VV_MF2_E32_MASK, VFWADD_VV }, // 3027
  { PseudoVFWADD_VV_MF4_E16, VFWADD_VV }, // 3028
  { PseudoVFWADD_VV_MF4_E16_MASK, VFWADD_VV }, // 3029
  { PseudoVFWADD_WFPR16_M1_E16, VFWADD_WF }, // 3030
  { PseudoVFWADD_WFPR16_M1_E16_MASK, VFWADD_WF }, // 3031
  { PseudoVFWADD_WFPR16_M2_E16, VFWADD_WF }, // 3032
  { PseudoVFWADD_WFPR16_M2_E16_MASK, VFWADD_WF }, // 3033
  { PseudoVFWADD_WFPR16_M4_E16, VFWADD_WF }, // 3034
  { PseudoVFWADD_WFPR16_M4_E16_MASK, VFWADD_WF }, // 3035
  { PseudoVFWADD_WFPR16_MF2_E16, VFWADD_WF }, // 3036
  { PseudoVFWADD_WFPR16_MF2_E16_MASK, VFWADD_WF }, // 3037
  { PseudoVFWADD_WFPR16_MF4_E16, VFWADD_WF }, // 3038
  { PseudoVFWADD_WFPR16_MF4_E16_MASK, VFWADD_WF }, // 3039
  { PseudoVFWADD_WFPR32_M1_E32, VFWADD_WF }, // 3040
  { PseudoVFWADD_WFPR32_M1_E32_MASK, VFWADD_WF }, // 3041
  { PseudoVFWADD_WFPR32_M2_E32, VFWADD_WF }, // 3042
  { PseudoVFWADD_WFPR32_M2_E32_MASK, VFWADD_WF }, // 3043
  { PseudoVFWADD_WFPR32_M4_E32, VFWADD_WF }, // 3044
  { PseudoVFWADD_WFPR32_M4_E32_MASK, VFWADD_WF }, // 3045
  { PseudoVFWADD_WFPR32_MF2_E32, VFWADD_WF }, // 3046
  { PseudoVFWADD_WFPR32_MF2_E32_MASK, VFWADD_WF }, // 3047
  { PseudoVFWADD_WV_M1_E16, VFWADD_WV }, // 3048
  { PseudoVFWADD_WV_M1_E16_MASK, VFWADD_WV }, // 3049
  { PseudoVFWADD_WV_M1_E16_MASK_TIED, VFWADD_WV }, // 3050
  { PseudoVFWADD_WV_M1_E16_TIED, VFWADD_WV }, // 3051
  { PseudoVFWADD_WV_M1_E32, VFWADD_WV }, // 3052
  { PseudoVFWADD_WV_M1_E32_MASK, VFWADD_WV }, // 3053
  { PseudoVFWADD_WV_M1_E32_MASK_TIED, VFWADD_WV }, // 3054
  { PseudoVFWADD_WV_M1_E32_TIED, VFWADD_WV }, // 3055
  { PseudoVFWADD_WV_M2_E16, VFWADD_WV }, // 3056
  { PseudoVFWADD_WV_M2_E16_MASK, VFWADD_WV }, // 3057
  { PseudoVFWADD_WV_M2_E16_MASK_TIED, VFWADD_WV }, // 3058
  { PseudoVFWADD_WV_M2_E16_TIED, VFWADD_WV }, // 3059
  { PseudoVFWADD_WV_M2_E32, VFWADD_WV }, // 3060
  { PseudoVFWADD_WV_M2_E32_MASK, VFWADD_WV }, // 3061
  { PseudoVFWADD_WV_M2_E32_MASK_TIED, VFWADD_WV }, // 3062
  { PseudoVFWADD_WV_M2_E32_TIED, VFWADD_WV }, // 3063
  { PseudoVFWADD_WV_M4_E16, VFWADD_WV }, // 3064
  { PseudoVFWADD_WV_M4_E16_MASK, VFWADD_WV }, // 3065
  { PseudoVFWADD_WV_M4_E16_MASK_TIED, VFWADD_WV }, // 3066
  { PseudoVFWADD_WV_M4_E16_TIED, VFWADD_WV }, // 3067
  { PseudoVFWADD_WV_M4_E32, VFWADD_WV }, // 3068
  { PseudoVFWADD_WV_M4_E32_MASK, VFWADD_WV }, // 3069
  { PseudoVFWADD_WV_M4_E32_MASK_TIED, VFWADD_WV }, // 3070
  { PseudoVFWADD_WV_M4_E32_TIED, VFWADD_WV }, // 3071
  { PseudoVFWADD_WV_MF2_E16, VFWADD_WV }, // 3072
  { PseudoVFWADD_WV_MF2_E16_MASK, VFWADD_WV }, // 3073
  { PseudoVFWADD_WV_MF2_E16_MASK_TIED, VFWADD_WV }, // 3074
  { PseudoVFWADD_WV_MF2_E16_TIED, VFWADD_WV }, // 3075
  { PseudoVFWADD_WV_MF2_E32, VFWADD_WV }, // 3076
  { PseudoVFWADD_WV_MF2_E32_MASK, VFWADD_WV }, // 3077
  { PseudoVFWADD_WV_MF2_E32_MASK_TIED, VFWADD_WV }, // 3078
  { PseudoVFWADD_WV_MF2_E32_TIED, VFWADD_WV }, // 3079
  { PseudoVFWADD_WV_MF4_E16, VFWADD_WV }, // 3080
  { PseudoVFWADD_WV_MF4_E16_MASK, VFWADD_WV }, // 3081
  { PseudoVFWADD_WV_MF4_E16_MASK_TIED, VFWADD_WV }, // 3082
  { PseudoVFWADD_WV_MF4_E16_TIED, VFWADD_WV }, // 3083
  { PseudoVFWCVTBF16_F_F_V_M1_E16, VFWCVTBF16_F_F_V }, // 3084
  { PseudoVFWCVTBF16_F_F_V_M1_E16_MASK, VFWCVTBF16_F_F_V }, // 3085
  { PseudoVFWCVTBF16_F_F_V_M1_E32, VFWCVTBF16_F_F_V }, // 3086
  { PseudoVFWCVTBF16_F_F_V_M1_E32_MASK, VFWCVTBF16_F_F_V }, // 3087
  { PseudoVFWCVTBF16_F_F_V_M2_E16, VFWCVTBF16_F_F_V }, // 3088
  { PseudoVFWCVTBF16_F_F_V_M2_E16_MASK, VFWCVTBF16_F_F_V }, // 3089
  { PseudoVFWCVTBF16_F_F_V_M2_E32, VFWCVTBF16_F_F_V }, // 3090
  { PseudoVFWCVTBF16_F_F_V_M2_E32_MASK, VFWCVTBF16_F_F_V }, // 3091
  { PseudoVFWCVTBF16_F_F_V_M4_E16, VFWCVTBF16_F_F_V }, // 3092
  { PseudoVFWCVTBF16_F_F_V_M4_E16_MASK, VFWCVTBF16_F_F_V }, // 3093
  { PseudoVFWCVTBF16_F_F_V_M4_E32, VFWCVTBF16_F_F_V }, // 3094
  { PseudoVFWCVTBF16_F_F_V_M4_E32_MASK, VFWCVTBF16_F_F_V }, // 3095
  { PseudoVFWCVTBF16_F_F_V_MF2_E16, VFWCVTBF16_F_F_V }, // 3096
  { PseudoVFWCVTBF16_F_F_V_MF2_E16_MASK, VFWCVTBF16_F_F_V }, // 3097
  { PseudoVFWCVTBF16_F_F_V_MF2_E32, VFWCVTBF16_F_F_V }, // 3098
  { PseudoVFWCVTBF16_F_F_V_MF2_E32_MASK, VFWCVTBF16_F_F_V }, // 3099
  { PseudoVFWCVTBF16_F_F_V_MF4_E16, VFWCVTBF16_F_F_V }, // 3100
  { PseudoVFWCVTBF16_F_F_V_MF4_E16_MASK, VFWCVTBF16_F_F_V }, // 3101
  { PseudoVFWCVT_F_F_V_M1_E16, VFWCVT_F_F_V }, // 3102
  { PseudoVFWCVT_F_F_V_M1_E16_MASK, VFWCVT_F_F_V }, // 3103
  { PseudoVFWCVT_F_F_V_M1_E32, VFWCVT_F_F_V }, // 3104
  { PseudoVFWCVT_F_F_V_M1_E32_MASK, VFWCVT_F_F_V }, // 3105
  { PseudoVFWCVT_F_F_V_M2_E16, VFWCVT_F_F_V }, // 3106
  { PseudoVFWCVT_F_F_V_M2_E16_MASK, VFWCVT_F_F_V }, // 3107
  { PseudoVFWCVT_F_F_V_M2_E32, VFWCVT_F_F_V }, // 3108
  { PseudoVFWCVT_F_F_V_M2_E32_MASK, VFWCVT_F_F_V }, // 3109
  { PseudoVFWCVT_F_F_V_M4_E16, VFWCVT_F_F_V }, // 3110
  { PseudoVFWCVT_F_F_V_M4_E16_MASK, VFWCVT_F_F_V }, // 3111
  { PseudoVFWCVT_F_F_V_M4_E32, VFWCVT_F_F_V }, // 3112
  { PseudoVFWCVT_F_F_V_M4_E32_MASK, VFWCVT_F_F_V }, // 3113
  { PseudoVFWCVT_F_F_V_MF2_E16, VFWCVT_F_F_V }, // 3114
  { PseudoVFWCVT_F_F_V_MF2_E16_MASK, VFWCVT_F_F_V }, // 3115
  { PseudoVFWCVT_F_F_V_MF2_E32, VFWCVT_F_F_V }, // 3116
  { PseudoVFWCVT_F_F_V_MF2_E32_MASK, VFWCVT_F_F_V }, // 3117
  { PseudoVFWCVT_F_F_V_MF4_E16, VFWCVT_F_F_V }, // 3118
  { PseudoVFWCVT_F_F_V_MF4_E16_MASK, VFWCVT_F_F_V }, // 3119
  { PseudoVFWCVT_F_XU_V_M1_E16, VFWCVT_F_XU_V }, // 3120
  { PseudoVFWCVT_F_XU_V_M1_E16_MASK, VFWCVT_F_XU_V }, // 3121
  { PseudoVFWCVT_F_XU_V_M1_E32, VFWCVT_F_XU_V }, // 3122
  { PseudoVFWCVT_F_XU_V_M1_E32_MASK, VFWCVT_F_XU_V }, // 3123
  { PseudoVFWCVT_F_XU_V_M1_E8, VFWCVT_F_XU_V }, // 3124
  { PseudoVFWCVT_F_XU_V_M1_E8_MASK, VFWCVT_F_XU_V }, // 3125
  { PseudoVFWCVT_F_XU_V_M2_E16, VFWCVT_F_XU_V }, // 3126
  { PseudoVFWCVT_F_XU_V_M2_E16_MASK, VFWCVT_F_XU_V }, // 3127
  { PseudoVFWCVT_F_XU_V_M2_E32, VFWCVT_F_XU_V }, // 3128
  { PseudoVFWCVT_F_XU_V_M2_E32_MASK, VFWCVT_F_XU_V }, // 3129
  { PseudoVFWCVT_F_XU_V_M2_E8, VFWCVT_F_XU_V }, // 3130
  { PseudoVFWCVT_F_XU_V_M2_E8_MASK, VFWCVT_F_XU_V }, // 3131
  { PseudoVFWCVT_F_XU_V_M4_E16, VFWCVT_F_XU_V }, // 3132
  { PseudoVFWCVT_F_XU_V_M4_E16_MASK, VFWCVT_F_XU_V }, // 3133
  { PseudoVFWCVT_F_XU_V_M4_E32, VFWCVT_F_XU_V }, // 3134
  { PseudoVFWCVT_F_XU_V_M4_E32_MASK, VFWCVT_F_XU_V }, // 3135
  { PseudoVFWCVT_F_XU_V_M4_E8, VFWCVT_F_XU_V }, // 3136
  { PseudoVFWCVT_F_XU_V_M4_E8_MASK, VFWCVT_F_XU_V }, // 3137
  { PseudoVFWCVT_F_XU_V_MF2_E16, VFWCVT_F_XU_V }, // 3138
  { PseudoVFWCVT_F_XU_V_MF2_E16_MASK, VFWCVT_F_XU_V }, // 3139
  { PseudoVFWCVT_F_XU_V_MF2_E32, VFWCVT_F_XU_V }, // 3140
  { PseudoVFWCVT_F_XU_V_MF2_E32_MASK, VFWCVT_F_XU_V }, // 3141
  { PseudoVFWCVT_F_XU_V_MF2_E8, VFWCVT_F_XU_V }, // 3142
  { PseudoVFWCVT_F_XU_V_MF2_E8_MASK, VFWCVT_F_XU_V }, // 3143
  { PseudoVFWCVT_F_XU_V_MF4_E16, VFWCVT_F_XU_V }, // 3144
  { PseudoVFWCVT_F_XU_V_MF4_E16_MASK, VFWCVT_F_XU_V }, // 3145
  { PseudoVFWCVT_F_XU_V_MF4_E8, VFWCVT_F_XU_V }, // 3146
  { PseudoVFWCVT_F_XU_V_MF4_E8_MASK, VFWCVT_F_XU_V }, // 3147
  { PseudoVFWCVT_F_XU_V_MF8_E8, VFWCVT_F_XU_V }, // 3148
  { PseudoVFWCVT_F_XU_V_MF8_E8_MASK, VFWCVT_F_XU_V }, // 3149
  { PseudoVFWCVT_F_X_V_M1_E16, VFWCVT_F_X_V }, // 3150
  { PseudoVFWCVT_F_X_V_M1_E16_MASK, VFWCVT_F_X_V }, // 3151
  { PseudoVFWCVT_F_X_V_M1_E32, VFWCVT_F_X_V }, // 3152
  { PseudoVFWCVT_F_X_V_M1_E32_MASK, VFWCVT_F_X_V }, // 3153
  { PseudoVFWCVT_F_X_V_M1_E8, VFWCVT_F_X_V }, // 3154
  { PseudoVFWCVT_F_X_V_M1_E8_MASK, VFWCVT_F_X_V }, // 3155
  { PseudoVFWCVT_F_X_V_M2_E16, VFWCVT_F_X_V }, // 3156
  { PseudoVFWCVT_F_X_V_M2_E16_MASK, VFWCVT_F_X_V }, // 3157
  { PseudoVFWCVT_F_X_V_M2_E32, VFWCVT_F_X_V }, // 3158
  { PseudoVFWCVT_F_X_V_M2_E32_MASK, VFWCVT_F_X_V }, // 3159
  { PseudoVFWCVT_F_X_V_M2_E8, VFWCVT_F_X_V }, // 3160
  { PseudoVFWCVT_F_X_V_M2_E8_MASK, VFWCVT_F_X_V }, // 3161
  { PseudoVFWCVT_F_X_V_M4_E16, VFWCVT_F_X_V }, // 3162
  { PseudoVFWCVT_F_X_V_M4_E16_MASK, VFWCVT_F_X_V }, // 3163
  { PseudoVFWCVT_F_X_V_M4_E32, VFWCVT_F_X_V }, // 3164
  { PseudoVFWCVT_F_X_V_M4_E32_MASK, VFWCVT_F_X_V }, // 3165
  { PseudoVFWCVT_F_X_V_M4_E8, VFWCVT_F_X_V }, // 3166
  { PseudoVFWCVT_F_X_V_M4_E8_MASK, VFWCVT_F_X_V }, // 3167
  { PseudoVFWCVT_F_X_V_MF2_E16, VFWCVT_F_X_V }, // 3168
  { PseudoVFWCVT_F_X_V_MF2_E16_MASK, VFWCVT_F_X_V }, // 3169
  { PseudoVFWCVT_F_X_V_MF2_E32, VFWCVT_F_X_V }, // 3170
  { PseudoVFWCVT_F_X_V_MF2_E32_MASK, VFWCVT_F_X_V }, // 3171
  { PseudoVFWCVT_F_X_V_MF2_E8, VFWCVT_F_X_V }, // 3172
  { PseudoVFWCVT_F_X_V_MF2_E8_MASK, VFWCVT_F_X_V }, // 3173
  { PseudoVFWCVT_F_X_V_MF4_E16, VFWCVT_F_X_V }, // 3174
  { PseudoVFWCVT_F_X_V_MF4_E16_MASK, VFWCVT_F_X_V }, // 3175
  { PseudoVFWCVT_F_X_V_MF4_E8, VFWCVT_F_X_V }, // 3176
  { PseudoVFWCVT_F_X_V_MF4_E8_MASK, VFWCVT_F_X_V }, // 3177
  { PseudoVFWCVT_F_X_V_MF8_E8, VFWCVT_F_X_V }, // 3178
  { PseudoVFWCVT_F_X_V_MF8_E8_MASK, VFWCVT_F_X_V }, // 3179
  { PseudoVFWCVT_RM_XU_F_V_M1, VFWCVT_XU_F_V }, // 3180
  { PseudoVFWCVT_RM_XU_F_V_M1_MASK, VFWCVT_XU_F_V }, // 3181
  { PseudoVFWCVT_RM_XU_F_V_M2, VFWCVT_XU_F_V }, // 3182
  { PseudoVFWCVT_RM_XU_F_V_M2_MASK, VFWCVT_XU_F_V }, // 3183
  { PseudoVFWCVT_RM_XU_F_V_M4, VFWCVT_XU_F_V }, // 3184
  { PseudoVFWCVT_RM_XU_F_V_M4_MASK, VFWCVT_XU_F_V }, // 3185
  { PseudoVFWCVT_RM_XU_F_V_MF2, VFWCVT_XU_F_V }, // 3186
  { PseudoVFWCVT_RM_XU_F_V_MF2_MASK, VFWCVT_XU_F_V }, // 3187
  { PseudoVFWCVT_RM_XU_F_V_MF4, VFWCVT_XU_F_V }, // 3188
  { PseudoVFWCVT_RM_XU_F_V_MF4_MASK, VFWCVT_XU_F_V }, // 3189
  { PseudoVFWCVT_RM_X_F_V_M1, VFWCVT_X_F_V }, // 3190
  { PseudoVFWCVT_RM_X_F_V_M1_MASK, VFWCVT_X_F_V }, // 3191
  { PseudoVFWCVT_RM_X_F_V_M2, VFWCVT_X_F_V }, // 3192
  { PseudoVFWCVT_RM_X_F_V_M2_MASK, VFWCVT_X_F_V }, // 3193
  { PseudoVFWCVT_RM_X_F_V_M4, VFWCVT_X_F_V }, // 3194
  { PseudoVFWCVT_RM_X_F_V_M4_MASK, VFWCVT_X_F_V }, // 3195
  { PseudoVFWCVT_RM_X_F_V_MF2, VFWCVT_X_F_V }, // 3196
  { PseudoVFWCVT_RM_X_F_V_MF2_MASK, VFWCVT_X_F_V }, // 3197
  { PseudoVFWCVT_RM_X_F_V_MF4, VFWCVT_X_F_V }, // 3198
  { PseudoVFWCVT_RM_X_F_V_MF4_MASK, VFWCVT_X_F_V }, // 3199
  { PseudoVFWCVT_RTZ_XU_F_V_M1, VFWCVT_RTZ_XU_F_V }, // 3200
  { PseudoVFWCVT_RTZ_XU_F_V_M1_MASK, VFWCVT_RTZ_XU_F_V }, // 3201
  { PseudoVFWCVT_RTZ_XU_F_V_M2, VFWCVT_RTZ_XU_F_V }, // 3202
  { PseudoVFWCVT_RTZ_XU_F_V_M2_MASK, VFWCVT_RTZ_XU_F_V }, // 3203
  { PseudoVFWCVT_RTZ_XU_F_V_M4, VFWCVT_RTZ_XU_F_V }, // 3204
  { PseudoVFWCVT_RTZ_XU_F_V_M4_MASK, VFWCVT_RTZ_XU_F_V }, // 3205
  { PseudoVFWCVT_RTZ_XU_F_V_MF2, VFWCVT_RTZ_XU_F_V }, // 3206
  { PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK, VFWCVT_RTZ_XU_F_V }, // 3207
  { PseudoVFWCVT_RTZ_XU_F_V_MF4, VFWCVT_RTZ_XU_F_V }, // 3208
  { PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK, VFWCVT_RTZ_XU_F_V }, // 3209
  { PseudoVFWCVT_RTZ_X_F_V_M1, VFWCVT_RTZ_X_F_V }, // 3210
  { PseudoVFWCVT_RTZ_X_F_V_M1_MASK, VFWCVT_RTZ_X_F_V }, // 3211
  { PseudoVFWCVT_RTZ_X_F_V_M2, VFWCVT_RTZ_X_F_V }, // 3212
  { PseudoVFWCVT_RTZ_X_F_V_M2_MASK, VFWCVT_RTZ_X_F_V }, // 3213
  { PseudoVFWCVT_RTZ_X_F_V_M4, VFWCVT_RTZ_X_F_V }, // 3214
  { PseudoVFWCVT_RTZ_X_F_V_M4_MASK, VFWCVT_RTZ_X_F_V }, // 3215
  { PseudoVFWCVT_RTZ_X_F_V_MF2, VFWCVT_RTZ_X_F_V }, // 3216
  { PseudoVFWCVT_RTZ_X_F_V_MF2_MASK, VFWCVT_RTZ_X_F_V }, // 3217
  { PseudoVFWCVT_RTZ_X_F_V_MF4, VFWCVT_RTZ_X_F_V }, // 3218
  { PseudoVFWCVT_RTZ_X_F_V_MF4_MASK, VFWCVT_RTZ_X_F_V }, // 3219
  { PseudoVFWCVT_XU_F_V_M1, VFWCVT_XU_F_V }, // 3220
  { PseudoVFWCVT_XU_F_V_M1_MASK, VFWCVT_XU_F_V }, // 3221
  { PseudoVFWCVT_XU_F_V_M2, VFWCVT_XU_F_V }, // 3222
  { PseudoVFWCVT_XU_F_V_M2_MASK, VFWCVT_XU_F_V }, // 3223
  { PseudoVFWCVT_XU_F_V_M4, VFWCVT_XU_F_V }, // 3224
  { PseudoVFWCVT_XU_F_V_M4_MASK, VFWCVT_XU_F_V }, // 3225
  { PseudoVFWCVT_XU_F_V_MF2, VFWCVT_XU_F_V }, // 3226
  { PseudoVFWCVT_XU_F_V_MF2_MASK, VFWCVT_XU_F_V }, // 3227
  { PseudoVFWCVT_XU_F_V_MF4, VFWCVT_XU_F_V }, // 3228
  { PseudoVFWCVT_XU_F_V_MF4_MASK, VFWCVT_XU_F_V }, // 3229
  { PseudoVFWCVT_X_F_V_M1, VFWCVT_X_F_V }, // 3230
  { PseudoVFWCVT_X_F_V_M1_MASK, VFWCVT_X_F_V }, // 3231
  { PseudoVFWCVT_X_F_V_M2, VFWCVT_X_F_V }, // 3232
  { PseudoVFWCVT_X_F_V_M2_MASK, VFWCVT_X_F_V }, // 3233
  { PseudoVFWCVT_X_F_V_M4, VFWCVT_X_F_V }, // 3234
  { PseudoVFWCVT_X_F_V_M4_MASK, VFWCVT_X_F_V }, // 3235
  { PseudoVFWCVT_X_F_V_MF2, VFWCVT_X_F_V }, // 3236
  { PseudoVFWCVT_X_F_V_MF2_MASK, VFWCVT_X_F_V }, // 3237
  { PseudoVFWCVT_X_F_V_MF4, VFWCVT_X_F_V }, // 3238
  { PseudoVFWCVT_X_F_V_MF4_MASK, VFWCVT_X_F_V }, // 3239
  { PseudoVFWMACCBF16_VFPR16_M1_E16, VFWMACCBF16_VF }, // 3240
  { PseudoVFWMACCBF16_VFPR16_M1_E16_MASK, VFWMACCBF16_VF }, // 3241
  { PseudoVFWMACCBF16_VFPR16_M2_E16, VFWMACCBF16_VF }, // 3242
  { PseudoVFWMACCBF16_VFPR16_M2_E16_MASK, VFWMACCBF16_VF }, // 3243
  { PseudoVFWMACCBF16_VFPR16_M4_E16, VFWMACCBF16_VF }, // 3244
  { PseudoVFWMACCBF16_VFPR16_M4_E16_MASK, VFWMACCBF16_VF }, // 3245
  { PseudoVFWMACCBF16_VFPR16_MF2_E16, VFWMACCBF16_VF }, // 3246
  { PseudoVFWMACCBF16_VFPR16_MF2_E16_MASK, VFWMACCBF16_VF }, // 3247
  { PseudoVFWMACCBF16_VFPR16_MF4_E16, VFWMACCBF16_VF }, // 3248
  { PseudoVFWMACCBF16_VFPR16_MF4_E16_MASK, VFWMACCBF16_VF }, // 3249
  { PseudoVFWMACCBF16_VV_M1_E16, VFWMACCBF16_VV }, // 3250
  { PseudoVFWMACCBF16_VV_M1_E16_MASK, VFWMACCBF16_VV }, // 3251
  { PseudoVFWMACCBF16_VV_M1_E32, VFWMACCBF16_VV }, // 3252
  { PseudoVFWMACCBF16_VV_M1_E32_MASK, VFWMACCBF16_VV }, // 3253
  { PseudoVFWMACCBF16_VV_M2_E16, VFWMACCBF16_VV }, // 3254
  { PseudoVFWMACCBF16_VV_M2_E16_MASK, VFWMACCBF16_VV }, // 3255
  { PseudoVFWMACCBF16_VV_M2_E32, VFWMACCBF16_VV }, // 3256
  { PseudoVFWMACCBF16_VV_M2_E32_MASK, VFWMACCBF16_VV }, // 3257
  { PseudoVFWMACCBF16_VV_M4_E16, VFWMACCBF16_VV }, // 3258
  { PseudoVFWMACCBF16_VV_M4_E16_MASK, VFWMACCBF16_VV }, // 3259
  { PseudoVFWMACCBF16_VV_M4_E32, VFWMACCBF16_VV }, // 3260
  { PseudoVFWMACCBF16_VV_M4_E32_MASK, VFWMACCBF16_VV }, // 3261
  { PseudoVFWMACCBF16_VV_MF2_E16, VFWMACCBF16_VV }, // 3262
  { PseudoVFWMACCBF16_VV_MF2_E16_MASK, VFWMACCBF16_VV }, // 3263
  { PseudoVFWMACCBF16_VV_MF2_E32, VFWMACCBF16_VV }, // 3264
  { PseudoVFWMACCBF16_VV_MF2_E32_MASK, VFWMACCBF16_VV }, // 3265
  { PseudoVFWMACCBF16_VV_MF4_E16, VFWMACCBF16_VV }, // 3266
  { PseudoVFWMACCBF16_VV_MF4_E16_MASK, VFWMACCBF16_VV }, // 3267
  { PseudoVFWMACC_4x4x4_M1, VFWMACC_4x4x4 }, // 3268
  { PseudoVFWMACC_4x4x4_M2, VFWMACC_4x4x4 }, // 3269
  { PseudoVFWMACC_4x4x4_M4, VFWMACC_4x4x4 }, // 3270
  { PseudoVFWMACC_4x4x4_M8, VFWMACC_4x4x4 }, // 3271
  { PseudoVFWMACC_4x4x4_MF2, VFWMACC_4x4x4 }, // 3272
  { PseudoVFWMACC_4x4x4_MF4, VFWMACC_4x4x4 }, // 3273
  { PseudoVFWMACC_VFPR16_M1_E16, VFWMACC_VF }, // 3274
  { PseudoVFWMACC_VFPR16_M1_E16_MASK, VFWMACC_VF }, // 3275
  { PseudoVFWMACC_VFPR16_M2_E16, VFWMACC_VF }, // 3276
  { PseudoVFWMACC_VFPR16_M2_E16_MASK, VFWMACC_VF }, // 3277
  { PseudoVFWMACC_VFPR16_M4_E16, VFWMACC_VF }, // 3278
  { PseudoVFWMACC_VFPR16_M4_E16_MASK, VFWMACC_VF }, // 3279
  { PseudoVFWMACC_VFPR16_MF2_E16, VFWMACC_VF }, // 3280
  { PseudoVFWMACC_VFPR16_MF2_E16_MASK, VFWMACC_VF }, // 3281
  { PseudoVFWMACC_VFPR16_MF4_E16, VFWMACC_VF }, // 3282
  { PseudoVFWMACC_VFPR16_MF4_E16_MASK, VFWMACC_VF }, // 3283
  { PseudoVFWMACC_VFPR32_M1_E32, VFWMACC_VF }, // 3284
  { PseudoVFWMACC_VFPR32_M1_E32_MASK, VFWMACC_VF }, // 3285
  { PseudoVFWMACC_VFPR32_M2_E32, VFWMACC_VF }, // 3286
  { PseudoVFWMACC_VFPR32_M2_E32_MASK, VFWMACC_VF }, // 3287
  { PseudoVFWMACC_VFPR32_M4_E32, VFWMACC_VF }, // 3288
  { PseudoVFWMACC_VFPR32_M4_E32_MASK, VFWMACC_VF }, // 3289
  { PseudoVFWMACC_VFPR32_MF2_E32, VFWMACC_VF }, // 3290
  { PseudoVFWMACC_VFPR32_MF2_E32_MASK, VFWMACC_VF }, // 3291
  { PseudoVFWMACC_VV_M1_E16, VFWMACC_VV }, // 3292
  { PseudoVFWMACC_VV_M1_E16_MASK, VFWMACC_VV }, // 3293
  { PseudoVFWMACC_VV_M1_E32, VFWMACC_VV }, // 3294
  { PseudoVFWMACC_VV_M1_E32_MASK, VFWMACC_VV }, // 3295
  { PseudoVFWMACC_VV_M2_E16, VFWMACC_VV }, // 3296
  { PseudoVFWMACC_VV_M2_E16_MASK, VFWMACC_VV }, // 3297
  { PseudoVFWMACC_VV_M2_E32, VFWMACC_VV }, // 3298
  { PseudoVFWMACC_VV_M2_E32_MASK, VFWMACC_VV }, // 3299
  { PseudoVFWMACC_VV_M4_E16, VFWMACC_VV }, // 3300
  { PseudoVFWMACC_VV_M4_E16_MASK, VFWMACC_VV }, // 3301
  { PseudoVFWMACC_VV_M4_E32, VFWMACC_VV }, // 3302
  { PseudoVFWMACC_VV_M4_E32_MASK, VFWMACC_VV }, // 3303
  { PseudoVFWMACC_VV_MF2_E16, VFWMACC_VV }, // 3304
  { PseudoVFWMACC_VV_MF2_E16_MASK, VFWMACC_VV }, // 3305
  { PseudoVFWMACC_VV_MF2_E32, VFWMACC_VV }, // 3306
  { PseudoVFWMACC_VV_MF2_E32_MASK, VFWMACC_VV }, // 3307
  { PseudoVFWMACC_VV_MF4_E16, VFWMACC_VV }, // 3308
  { PseudoVFWMACC_VV_MF4_E16_MASK, VFWMACC_VV }, // 3309
  { PseudoVFWMSAC_VFPR16_M1_E16, VFWMSAC_VF }, // 3310
  { PseudoVFWMSAC_VFPR16_M1_E16_MASK, VFWMSAC_VF }, // 3311
  { PseudoVFWMSAC_VFPR16_M2_E16, VFWMSAC_VF }, // 3312
  { PseudoVFWMSAC_VFPR16_M2_E16_MASK, VFWMSAC_VF }, // 3313
  { PseudoVFWMSAC_VFPR16_M4_E16, VFWMSAC_VF }, // 3314
  { PseudoVFWMSAC_VFPR16_M4_E16_MASK, VFWMSAC_VF }, // 3315
  { PseudoVFWMSAC_VFPR16_MF2_E16, VFWMSAC_VF }, // 3316
  { PseudoVFWMSAC_VFPR16_MF2_E16_MASK, VFWMSAC_VF }, // 3317
  { PseudoVFWMSAC_VFPR16_MF4_E16, VFWMSAC_VF }, // 3318
  { PseudoVFWMSAC_VFPR16_MF4_E16_MASK, VFWMSAC_VF }, // 3319
  { PseudoVFWMSAC_VFPR32_M1_E32, VFWMSAC_VF }, // 3320
  { PseudoVFWMSAC_VFPR32_M1_E32_MASK, VFWMSAC_VF }, // 3321
  { PseudoVFWMSAC_VFPR32_M2_E32, VFWMSAC_VF }, // 3322
  { PseudoVFWMSAC_VFPR32_M2_E32_MASK, VFWMSAC_VF }, // 3323
  { PseudoVFWMSAC_VFPR32_M4_E32, VFWMSAC_VF }, // 3324
  { PseudoVFWMSAC_VFPR32_M4_E32_MASK, VFWMSAC_VF }, // 3325
  { PseudoVFWMSAC_VFPR32_MF2_E32, VFWMSAC_VF }, // 3326
  { PseudoVFWMSAC_VFPR32_MF2_E32_MASK, VFWMSAC_VF }, // 3327
  { PseudoVFWMSAC_VV_M1_E16, VFWMSAC_VV }, // 3328
  { PseudoVFWMSAC_VV_M1_E16_MASK, VFWMSAC_VV }, // 3329
  { PseudoVFWMSAC_VV_M1_E32, VFWMSAC_VV }, // 3330
  { PseudoVFWMSAC_VV_M1_E32_MASK, VFWMSAC_VV }, // 3331
  { PseudoVFWMSAC_VV_M2_E16, VFWMSAC_VV }, // 3332
  { PseudoVFWMSAC_VV_M2_E16_MASK, VFWMSAC_VV }, // 3333
  { PseudoVFWMSAC_VV_M2_E32, VFWMSAC_VV }, // 3334
  { PseudoVFWMSAC_VV_M2_E32_MASK, VFWMSAC_VV }, // 3335
  { PseudoVFWMSAC_VV_M4_E16, VFWMSAC_VV }, // 3336
  { PseudoVFWMSAC_VV_M4_E16_MASK, VFWMSAC_VV }, // 3337
  { PseudoVFWMSAC_VV_M4_E32, VFWMSAC_VV }, // 3338
  { PseudoVFWMSAC_VV_M4_E32_MASK, VFWMSAC_VV }, // 3339
  { PseudoVFWMSAC_VV_MF2_E16, VFWMSAC_VV }, // 3340
  { PseudoVFWMSAC_VV_MF2_E16_MASK, VFWMSAC_VV }, // 3341
  { PseudoVFWMSAC_VV_MF2_E32, VFWMSAC_VV }, // 3342
  { PseudoVFWMSAC_VV_MF2_E32_MASK, VFWMSAC_VV }, // 3343
  { PseudoVFWMSAC_VV_MF4_E16, VFWMSAC_VV }, // 3344
  { PseudoVFWMSAC_VV_MF4_E16_MASK, VFWMSAC_VV }, // 3345
  { PseudoVFWMUL_VFPR16_M1_E16, VFWMUL_VF }, // 3346
  { PseudoVFWMUL_VFPR16_M1_E16_MASK, VFWMUL_VF }, // 3347
  { PseudoVFWMUL_VFPR16_M2_E16, VFWMUL_VF }, // 3348
  { PseudoVFWMUL_VFPR16_M2_E16_MASK, VFWMUL_VF }, // 3349
  { PseudoVFWMUL_VFPR16_M4_E16, VFWMUL_VF }, // 3350
  { PseudoVFWMUL_VFPR16_M4_E16_MASK, VFWMUL_VF }, // 3351
  { PseudoVFWMUL_VFPR16_MF2_E16, VFWMUL_VF }, // 3352
  { PseudoVFWMUL_VFPR16_MF2_E16_MASK, VFWMUL_VF }, // 3353
  { PseudoVFWMUL_VFPR16_MF4_E16, VFWMUL_VF }, // 3354
  { PseudoVFWMUL_VFPR16_MF4_E16_MASK, VFWMUL_VF }, // 3355
  { PseudoVFWMUL_VFPR32_M1_E32, VFWMUL_VF }, // 3356
  { PseudoVFWMUL_VFPR32_M1_E32_MASK, VFWMUL_VF }, // 3357
  { PseudoVFWMUL_VFPR32_M2_E32, VFWMUL_VF }, // 3358
  { PseudoVFWMUL_VFPR32_M2_E32_MASK, VFWMUL_VF }, // 3359
  { PseudoVFWMUL_VFPR32_M4_E32, VFWMUL_VF }, // 3360
  { PseudoVFWMUL_VFPR32_M4_E32_MASK, VFWMUL_VF }, // 3361
  { PseudoVFWMUL_VFPR32_MF2_E32, VFWMUL_VF }, // 3362
  { PseudoVFWMUL_VFPR32_MF2_E32_MASK, VFWMUL_VF }, // 3363
  { PseudoVFWMUL_VV_M1_E16, VFWMUL_VV }, // 3364
  { PseudoVFWMUL_VV_M1_E16_MASK, VFWMUL_VV }, // 3365
  { PseudoVFWMUL_VV_M1_E32, VFWMUL_VV }, // 3366
  { PseudoVFWMUL_VV_M1_E32_MASK, VFWMUL_VV }, // 3367
  { PseudoVFWMUL_VV_M2_E16, VFWMUL_VV }, // 3368
  { PseudoVFWMUL_VV_M2_E16_MASK, VFWMUL_VV }, // 3369
  { PseudoVFWMUL_VV_M2_E32, VFWMUL_VV }, // 3370
  { PseudoVFWMUL_VV_M2_E32_MASK, VFWMUL_VV }, // 3371
  { PseudoVFWMUL_VV_M4_E16, VFWMUL_VV }, // 3372
  { PseudoVFWMUL_VV_M4_E16_MASK, VFWMUL_VV }, // 3373
  { PseudoVFWMUL_VV_M4_E32, VFWMUL_VV }, // 3374
  { PseudoVFWMUL_VV_M4_E32_MASK, VFWMUL_VV }, // 3375
  { PseudoVFWMUL_VV_MF2_E16, VFWMUL_VV }, // 3376
  { PseudoVFWMUL_VV_MF2_E16_MASK, VFWMUL_VV }, // 3377
  { PseudoVFWMUL_VV_MF2_E32, VFWMUL_VV }, // 3378
  { PseudoVFWMUL_VV_MF2_E32_MASK, VFWMUL_VV }, // 3379
  { PseudoVFWMUL_VV_MF4_E16, VFWMUL_VV }, // 3380
  { PseudoVFWMUL_VV_MF4_E16_MASK, VFWMUL_VV }, // 3381
  { PseudoVFWNMACC_VFPR16_M1_E16, VFWNMACC_VF }, // 3382
  { PseudoVFWNMACC_VFPR16_M1_E16_MASK, VFWNMACC_VF }, // 3383
  { PseudoVFWNMACC_VFPR16_M2_E16, VFWNMACC_VF }, // 3384
  { PseudoVFWNMACC_VFPR16_M2_E16_MASK, VFWNMACC_VF }, // 3385
  { PseudoVFWNMACC_VFPR16_M4_E16, VFWNMACC_VF }, // 3386
  { PseudoVFWNMACC_VFPR16_M4_E16_MASK, VFWNMACC_VF }, // 3387
  { PseudoVFWNMACC_VFPR16_MF2_E16, VFWNMACC_VF }, // 3388
  { PseudoVFWNMACC_VFPR16_MF2_E16_MASK, VFWNMACC_VF }, // 3389
  { PseudoVFWNMACC_VFPR16_MF4_E16, VFWNMACC_VF }, // 3390
  { PseudoVFWNMACC_VFPR16_MF4_E16_MASK, VFWNMACC_VF }, // 3391
  { PseudoVFWNMACC_VFPR32_M1_E32, VFWNMACC_VF }, // 3392
  { PseudoVFWNMACC_VFPR32_M1_E32_MASK, VFWNMACC_VF }, // 3393
  { PseudoVFWNMACC_VFPR32_M2_E32, VFWNMACC_VF }, // 3394
  { PseudoVFWNMACC_VFPR32_M2_E32_MASK, VFWNMACC_VF }, // 3395
  { PseudoVFWNMACC_VFPR32_M4_E32, VFWNMACC_VF }, // 3396
  { PseudoVFWNMACC_VFPR32_M4_E32_MASK, VFWNMACC_VF }, // 3397
  { PseudoVFWNMACC_VFPR32_MF2_E32, VFWNMACC_VF }, // 3398
  { PseudoVFWNMACC_VFPR32_MF2_E32_MASK, VFWNMACC_VF }, // 3399
  { PseudoVFWNMACC_VV_M1_E16, VFWNMACC_VV }, // 3400
  { PseudoVFWNMACC_VV_M1_E16_MASK, VFWNMACC_VV }, // 3401
  { PseudoVFWNMACC_VV_M1_E32, VFWNMACC_VV }, // 3402
  { PseudoVFWNMACC_VV_M1_E32_MASK, VFWNMACC_VV }, // 3403
  { PseudoVFWNMACC_VV_M2_E16, VFWNMACC_VV }, // 3404
  { PseudoVFWNMACC_VV_M2_E16_MASK, VFWNMACC_VV }, // 3405
  { PseudoVFWNMACC_VV_M2_E32, VFWNMACC_VV }, // 3406
  { PseudoVFWNMACC_VV_M2_E32_MASK, VFWNMACC_VV }, // 3407
  { PseudoVFWNMACC_VV_M4_E16, VFWNMACC_VV }, // 3408
  { PseudoVFWNMACC_VV_M4_E16_MASK, VFWNMACC_VV }, // 3409
  { PseudoVFWNMACC_VV_M4_E32, VFWNMACC_VV }, // 3410
  { PseudoVFWNMACC_VV_M4_E32_MASK, VFWNMACC_VV }, // 3411
  { PseudoVFWNMACC_VV_MF2_E16, VFWNMACC_VV }, // 3412
  { PseudoVFWNMACC_VV_MF2_E16_MASK, VFWNMACC_VV }, // 3413
  { PseudoVFWNMACC_VV_MF2_E32, VFWNMACC_VV }, // 3414
  { PseudoVFWNMACC_VV_MF2_E32_MASK, VFWNMACC_VV }, // 3415
  { PseudoVFWNMACC_VV_MF4_E16, VFWNMACC_VV }, // 3416
  { PseudoVFWNMACC_VV_MF4_E16_MASK, VFWNMACC_VV }, // 3417
  { PseudoVFWNMSAC_VFPR16_M1_E16, VFWNMSAC_VF }, // 3418
  { PseudoVFWNMSAC_VFPR16_M1_E16_MASK, VFWNMSAC_VF }, // 3419
  { PseudoVFWNMSAC_VFPR16_M2_E16, VFWNMSAC_VF }, // 3420
  { PseudoVFWNMSAC_VFPR16_M2_E16_MASK, VFWNMSAC_VF }, // 3421
  { PseudoVFWNMSAC_VFPR16_M4_E16, VFWNMSAC_VF }, // 3422
  { PseudoVFWNMSAC_VFPR16_M4_E16_MASK, VFWNMSAC_VF }, // 3423
  { PseudoVFWNMSAC_VFPR16_MF2_E16, VFWNMSAC_VF }, // 3424
  { PseudoVFWNMSAC_VFPR16_MF2_E16_MASK, VFWNMSAC_VF }, // 3425
  { PseudoVFWNMSAC_VFPR16_MF4_E16, VFWNMSAC_VF }, // 3426
  { PseudoVFWNMSAC_VFPR16_MF4_E16_MASK, VFWNMSAC_VF }, // 3427
  { PseudoVFWNMSAC_VFPR32_M1_E32, VFWNMSAC_VF }, // 3428
  { PseudoVFWNMSAC_VFPR32_M1_E32_MASK, VFWNMSAC_VF }, // 3429
  { PseudoVFWNMSAC_VFPR32_M2_E32, VFWNMSAC_VF }, // 3430
  { PseudoVFWNMSAC_VFPR32_M2_E32_MASK, VFWNMSAC_VF }, // 3431
  { PseudoVFWNMSAC_VFPR32_M4_E32, VFWNMSAC_VF }, // 3432
  { PseudoVFWNMSAC_VFPR32_M4_E32_MASK, VFWNMSAC_VF }, // 3433
  { PseudoVFWNMSAC_VFPR32_MF2_E32, VFWNMSAC_VF }, // 3434
  { PseudoVFWNMSAC_VFPR32_MF2_E32_MASK, VFWNMSAC_VF }, // 3435
  { PseudoVFWNMSAC_VV_M1_E16, VFWNMSAC_VV }, // 3436
  { PseudoVFWNMSAC_VV_M1_E16_MASK, VFWNMSAC_VV }, // 3437
  { PseudoVFWNMSAC_VV_M1_E32, VFWNMSAC_VV }, // 3438
  { PseudoVFWNMSAC_VV_M1_E32_MASK, VFWNMSAC_VV }, // 3439
  { PseudoVFWNMSAC_VV_M2_E16, VFWNMSAC_VV }, // 3440
  { PseudoVFWNMSAC_VV_M2_E16_MASK, VFWNMSAC_VV }, // 3441
  { PseudoVFWNMSAC_VV_M2_E32, VFWNMSAC_VV }, // 3442
  { PseudoVFWNMSAC_VV_M2_E32_MASK, VFWNMSAC_VV }, // 3443
  { PseudoVFWNMSAC_VV_M4_E16, VFWNMSAC_VV }, // 3444
  { PseudoVFWNMSAC_VV_M4_E16_MASK, VFWNMSAC_VV }, // 3445
  { PseudoVFWNMSAC_VV_M4_E32, VFWNMSAC_VV }, // 3446
  { PseudoVFWNMSAC_VV_M4_E32_MASK, VFWNMSAC_VV }, // 3447
  { PseudoVFWNMSAC_VV_MF2_E16, VFWNMSAC_VV }, // 3448
  { PseudoVFWNMSAC_VV_MF2_E16_MASK, VFWNMSAC_VV }, // 3449
  { PseudoVFWNMSAC_VV_MF2_E32, VFWNMSAC_VV }, // 3450
  { PseudoVFWNMSAC_VV_MF2_E32_MASK, VFWNMSAC_VV }, // 3451
  { PseudoVFWNMSAC_VV_MF4_E16, VFWNMSAC_VV }, // 3452
  { PseudoVFWNMSAC_VV_MF4_E16_MASK, VFWNMSAC_VV }, // 3453
  { PseudoVFWREDOSUM_VS_M1_E16, VFWREDOSUM_VS }, // 3454
  { PseudoVFWREDOSUM_VS_M1_E16_MASK, VFWREDOSUM_VS }, // 3455
  { PseudoVFWREDOSUM_VS_M1_E32, VFWREDOSUM_VS }, // 3456
  { PseudoVFWREDOSUM_VS_M1_E32_MASK, VFWREDOSUM_VS }, // 3457
  { PseudoVFWREDOSUM_VS_M2_E16, VFWREDOSUM_VS }, // 3458
  { PseudoVFWREDOSUM_VS_M2_E16_MASK, VFWREDOSUM_VS }, // 3459
  { PseudoVFWREDOSUM_VS_M2_E32, VFWREDOSUM_VS }, // 3460
  { PseudoVFWREDOSUM_VS_M2_E32_MASK, VFWREDOSUM_VS }, // 3461
  { PseudoVFWREDOSUM_VS_M4_E16, VFWREDOSUM_VS }, // 3462
  { PseudoVFWREDOSUM_VS_M4_E16_MASK, VFWREDOSUM_VS }, // 3463
  { PseudoVFWREDOSUM_VS_M4_E32, VFWREDOSUM_VS }, // 3464
  { PseudoVFWREDOSUM_VS_M4_E32_MASK, VFWREDOSUM_VS }, // 3465
  { PseudoVFWREDOSUM_VS_M8_E16, VFWREDOSUM_VS }, // 3466
  { PseudoVFWREDOSUM_VS_M8_E16_MASK, VFWREDOSUM_VS }, // 3467
  { PseudoVFWREDOSUM_VS_M8_E32, VFWREDOSUM_VS }, // 3468
  { PseudoVFWREDOSUM_VS_M8_E32_MASK, VFWREDOSUM_VS }, // 3469
  { PseudoVFWREDOSUM_VS_MF2_E16, VFWREDOSUM_VS }, // 3470
  { PseudoVFWREDOSUM_VS_MF2_E16_MASK, VFWREDOSUM_VS }, // 3471
  { PseudoVFWREDOSUM_VS_MF2_E32, VFWREDOSUM_VS }, // 3472
  { PseudoVFWREDOSUM_VS_MF2_E32_MASK, VFWREDOSUM_VS }, // 3473
  { PseudoVFWREDOSUM_VS_MF4_E16, VFWREDOSUM_VS }, // 3474
  { PseudoVFWREDOSUM_VS_MF4_E16_MASK, VFWREDOSUM_VS }, // 3475
  { PseudoVFWREDUSUM_VS_M1_E16, VFWREDUSUM_VS }, // 3476
  { PseudoVFWREDUSUM_VS_M1_E16_MASK, VFWREDUSUM_VS }, // 3477
  { PseudoVFWREDUSUM_VS_M1_E32, VFWREDUSUM_VS }, // 3478
  { PseudoVFWREDUSUM_VS_M1_E32_MASK, VFWREDUSUM_VS }, // 3479
  { PseudoVFWREDUSUM_VS_M2_E16, VFWREDUSUM_VS }, // 3480
  { PseudoVFWREDUSUM_VS_M2_E16_MASK, VFWREDUSUM_VS }, // 3481
  { PseudoVFWREDUSUM_VS_M2_E32, VFWREDUSUM_VS }, // 3482
  { PseudoVFWREDUSUM_VS_M2_E32_MASK, VFWREDUSUM_VS }, // 3483
  { PseudoVFWREDUSUM_VS_M4_E16, VFWREDUSUM_VS }, // 3484
  { PseudoVFWREDUSUM_VS_M4_E16_MASK, VFWREDUSUM_VS }, // 3485
  { PseudoVFWREDUSUM_VS_M4_E32, VFWREDUSUM_VS }, // 3486
  { PseudoVFWREDUSUM_VS_M4_E32_MASK, VFWREDUSUM_VS }, // 3487
  { PseudoVFWREDUSUM_VS_M8_E16, VFWREDUSUM_VS }, // 3488
  { PseudoVFWREDUSUM_VS_M8_E16_MASK, VFWREDUSUM_VS }, // 3489
  { PseudoVFWREDUSUM_VS_M8_E32, VFWREDUSUM_VS }, // 3490
  { PseudoVFWREDUSUM_VS_M8_E32_MASK, VFWREDUSUM_VS }, // 3491
  { PseudoVFWREDUSUM_VS_MF2_E16, VFWREDUSUM_VS }, // 3492
  { PseudoVFWREDUSUM_VS_MF2_E16_MASK, VFWREDUSUM_VS }, // 3493
  { PseudoVFWREDUSUM_VS_MF2_E32, VFWREDUSUM_VS }, // 3494
  { PseudoVFWREDUSUM_VS_MF2_E32_MASK, VFWREDUSUM_VS }, // 3495
  { PseudoVFWREDUSUM_VS_MF4_E16, VFWREDUSUM_VS }, // 3496
  { PseudoVFWREDUSUM_VS_MF4_E16_MASK, VFWREDUSUM_VS }, // 3497
  { PseudoVFWSUB_VFPR16_M1_E16, VFWSUB_VF }, // 3498
  { PseudoVFWSUB_VFPR16_M1_E16_MASK, VFWSUB_VF }, // 3499
  { PseudoVFWSUB_VFPR16_M2_E16, VFWSUB_VF }, // 3500
  { PseudoVFWSUB_VFPR16_M2_E16_MASK, VFWSUB_VF }, // 3501
  { PseudoVFWSUB_VFPR16_M4_E16, VFWSUB_VF }, // 3502
  { PseudoVFWSUB_VFPR16_M4_E16_MASK, VFWSUB_VF }, // 3503
  { PseudoVFWSUB_VFPR16_MF2_E16, VFWSUB_VF }, // 3504
  { PseudoVFWSUB_VFPR16_MF2_E16_MASK, VFWSUB_VF }, // 3505
  { PseudoVFWSUB_VFPR16_MF4_E16, VFWSUB_VF }, // 3506
  { PseudoVFWSUB_VFPR16_MF4_E16_MASK, VFWSUB_VF }, // 3507
  { PseudoVFWSUB_VFPR32_M1_E32, VFWSUB_VF }, // 3508
  { PseudoVFWSUB_VFPR32_M1_E32_MASK, VFWSUB_VF }, // 3509
  { PseudoVFWSUB_VFPR32_M2_E32, VFWSUB_VF }, // 3510
  { PseudoVFWSUB_VFPR32_M2_E32_MASK, VFWSUB_VF }, // 3511
  { PseudoVFWSUB_VFPR32_M4_E32, VFWSUB_VF }, // 3512
  { PseudoVFWSUB_VFPR32_M4_E32_MASK, VFWSUB_VF }, // 3513
  { PseudoVFWSUB_VFPR32_MF2_E32, VFWSUB_VF }, // 3514
  { PseudoVFWSUB_VFPR32_MF2_E32_MASK, VFWSUB_VF }, // 3515
  { PseudoVFWSUB_VV_M1_E16, VFWSUB_VV }, // 3516
  { PseudoVFWSUB_VV_M1_E16_MASK, VFWSUB_VV }, // 3517
  { PseudoVFWSUB_VV_M1_E32, VFWSUB_VV }, // 3518
  { PseudoVFWSUB_VV_M1_E32_MASK, VFWSUB_VV }, // 3519
  { PseudoVFWSUB_VV_M2_E16, VFWSUB_VV }, // 3520
  { PseudoVFWSUB_VV_M2_E16_MASK, VFWSUB_VV }, // 3521
  { PseudoVFWSUB_VV_M2_E32, VFWSUB_VV }, // 3522
  { PseudoVFWSUB_VV_M2_E32_MASK, VFWSUB_VV }, // 3523
  { PseudoVFWSUB_VV_M4_E16, VFWSUB_VV }, // 3524
  { PseudoVFWSUB_VV_M4_E16_MASK, VFWSUB_VV }, // 3525
  { PseudoVFWSUB_VV_M4_E32, VFWSUB_VV }, // 3526
  { PseudoVFWSUB_VV_M4_E32_MASK, VFWSUB_VV }, // 3527
  { PseudoVFWSUB_VV_MF2_E16, VFWSUB_VV }, // 3528
  { PseudoVFWSUB_VV_MF2_E16_MASK, VFWSUB_VV }, // 3529
  { PseudoVFWSUB_VV_MF2_E32, VFWSUB_VV }, // 3530
  { PseudoVFWSUB_VV_MF2_E32_MASK, VFWSUB_VV }, // 3531
  { PseudoVFWSUB_VV_MF4_E16, VFWSUB_VV }, // 3532
  { PseudoVFWSUB_VV_MF4_E16_MASK, VFWSUB_VV }, // 3533
  { PseudoVFWSUB_WFPR16_M1_E16, VFWSUB_WF }, // 3534
  { PseudoVFWSUB_WFPR16_M1_E16_MASK, VFWSUB_WF }, // 3535
  { PseudoVFWSUB_WFPR16_M2_E16, VFWSUB_WF }, // 3536
  { PseudoVFWSUB_WFPR16_M2_E16_MASK, VFWSUB_WF }, // 3537
  { PseudoVFWSUB_WFPR16_M4_E16, VFWSUB_WF }, // 3538
  { PseudoVFWSUB_WFPR16_M4_E16_MASK, VFWSUB_WF }, // 3539
  { PseudoVFWSUB_WFPR16_MF2_E16, VFWSUB_WF }, // 3540
  { PseudoVFWSUB_WFPR16_MF2_E16_MASK, VFWSUB_WF }, // 3541
  { PseudoVFWSUB_WFPR16_MF4_E16, VFWSUB_WF }, // 3542
  { PseudoVFWSUB_WFPR16_MF4_E16_MASK, VFWSUB_WF }, // 3543
  { PseudoVFWSUB_WFPR32_M1_E32, VFWSUB_WF }, // 3544
  { PseudoVFWSUB_WFPR32_M1_E32_MASK, VFWSUB_WF }, // 3545
  { PseudoVFWSUB_WFPR32_M2_E32, VFWSUB_WF }, // 3546
  { PseudoVFWSUB_WFPR32_M2_E32_MASK, VFWSUB_WF }, // 3547
  { PseudoVFWSUB_WFPR32_M4_E32, VFWSUB_WF }, // 3548
  { PseudoVFWSUB_WFPR32_M4_E32_MASK, VFWSUB_WF }, // 3549
  { PseudoVFWSUB_WFPR32_MF2_E32, VFWSUB_WF }, // 3550
  { PseudoVFWSUB_WFPR32_MF2_E32_MASK, VFWSUB_WF }, // 3551
  { PseudoVFWSUB_WV_M1_E16, VFWSUB_WV }, // 3552
  { PseudoVFWSUB_WV_M1_E16_MASK, VFWSUB_WV }, // 3553
  { PseudoVFWSUB_WV_M1_E16_MASK_TIED, VFWSUB_WV }, // 3554
  { PseudoVFWSUB_WV_M1_E16_TIED, VFWSUB_WV }, // 3555
  { PseudoVFWSUB_WV_M1_E32, VFWSUB_WV }, // 3556
  { PseudoVFWSUB_WV_M1_E32_MASK, VFWSUB_WV }, // 3557
  { PseudoVFWSUB_WV_M1_E32_MASK_TIED, VFWSUB_WV }, // 3558
  { PseudoVFWSUB_WV_M1_E32_TIED, VFWSUB_WV }, // 3559
  { PseudoVFWSUB_WV_M2_E16, VFWSUB_WV }, // 3560
  { PseudoVFWSUB_WV_M2_E16_MASK, VFWSUB_WV }, // 3561
  { PseudoVFWSUB_WV_M2_E16_MASK_TIED, VFWSUB_WV }, // 3562
  { PseudoVFWSUB_WV_M2_E16_TIED, VFWSUB_WV }, // 3563
  { PseudoVFWSUB_WV_M2_E32, VFWSUB_WV }, // 3564
  { PseudoVFWSUB_WV_M2_E32_MASK, VFWSUB_WV }, // 3565
  { PseudoVFWSUB_WV_M2_E32_MASK_TIED, VFWSUB_WV }, // 3566
  { PseudoVFWSUB_WV_M2_E32_TIED, VFWSUB_WV }, // 3567
  { PseudoVFWSUB_WV_M4_E16, VFWSUB_WV }, // 3568
  { PseudoVFWSUB_WV_M4_E16_MASK, VFWSUB_WV }, // 3569
  { PseudoVFWSUB_WV_M4_E16_MASK_TIED, VFWSUB_WV }, // 3570
  { PseudoVFWSUB_WV_M4_E16_TIED, VFWSUB_WV }, // 3571
  { PseudoVFWSUB_WV_M4_E32, VFWSUB_WV }, // 3572
  { PseudoVFWSUB_WV_M4_E32_MASK, VFWSUB_WV }, // 3573
  { PseudoVFWSUB_WV_M4_E32_MASK_TIED, VFWSUB_WV }, // 3574
  { PseudoVFWSUB_WV_M4_E32_TIED, VFWSUB_WV }, // 3575
  { PseudoVFWSUB_WV_MF2_E16, VFWSUB_WV }, // 3576
  { PseudoVFWSUB_WV_MF2_E16_MASK, VFWSUB_WV }, // 3577
  { PseudoVFWSUB_WV_MF2_E16_MASK_TIED, VFWSUB_WV }, // 3578
  { PseudoVFWSUB_WV_MF2_E16_TIED, VFWSUB_WV }, // 3579
  { PseudoVFWSUB_WV_MF2_E32, VFWSUB_WV }, // 3580
  { PseudoVFWSUB_WV_MF2_E32_MASK, VFWSUB_WV }, // 3581
  { PseudoVFWSUB_WV_MF2_E32_MASK_TIED, VFWSUB_WV }, // 3582
  { PseudoVFWSUB_WV_MF2_E32_TIED, VFWSUB_WV }, // 3583
  { PseudoVFWSUB_WV_MF4_E16, VFWSUB_WV }, // 3584
  { PseudoVFWSUB_WV_MF4_E16_MASK, VFWSUB_WV }, // 3585
  { PseudoVFWSUB_WV_MF4_E16_MASK_TIED, VFWSUB_WV }, // 3586
  { PseudoVFWSUB_WV_MF4_E16_TIED, VFWSUB_WV }, // 3587
  { PseudoVGHSH_VV_M1, VGHSH_VV }, // 3588
  { PseudoVGHSH_VV_M2, VGHSH_VV }, // 3589
  { PseudoVGHSH_VV_M4, VGHSH_VV }, // 3590
  { PseudoVGHSH_VV_M8, VGHSH_VV }, // 3591
  { PseudoVGHSH_VV_MF2, VGHSH_VV }, // 3592
  { PseudoVGMUL_VV_M1, VGMUL_VV }, // 3593
  { PseudoVGMUL_VV_M2, VGMUL_VV }, // 3594
  { PseudoVGMUL_VV_M4, VGMUL_VV }, // 3595
  { PseudoVGMUL_VV_M8, VGMUL_VV }, // 3596
  { PseudoVGMUL_VV_MF2, VGMUL_VV }, // 3597
  { PseudoVID_V_M1, VID_V }, // 3598
  { PseudoVID_V_M1_MASK, VID_V }, // 3599
  { PseudoVID_V_M2, VID_V }, // 3600
  { PseudoVID_V_M2_MASK, VID_V }, // 3601
  { PseudoVID_V_M4, VID_V }, // 3602
  { PseudoVID_V_M4_MASK, VID_V }, // 3603
  { PseudoVID_V_M8, VID_V }, // 3604
  { PseudoVID_V_M8_MASK, VID_V }, // 3605
  { PseudoVID_V_MF2, VID_V }, // 3606
  { PseudoVID_V_MF2_MASK, VID_V }, // 3607
  { PseudoVID_V_MF4, VID_V }, // 3608
  { PseudoVID_V_MF4_MASK, VID_V }, // 3609
  { PseudoVID_V_MF8, VID_V }, // 3610
  { PseudoVID_V_MF8_MASK, VID_V }, // 3611
  { PseudoVIOTA_M_M1, VIOTA_M }, // 3612
  { PseudoVIOTA_M_M1_MASK, VIOTA_M }, // 3613
  { PseudoVIOTA_M_M2, VIOTA_M }, // 3614
  { PseudoVIOTA_M_M2_MASK, VIOTA_M }, // 3615
  { PseudoVIOTA_M_M4, VIOTA_M }, // 3616
  { PseudoVIOTA_M_M4_MASK, VIOTA_M }, // 3617
  { PseudoVIOTA_M_M8, VIOTA_M }, // 3618
  { PseudoVIOTA_M_M8_MASK, VIOTA_M }, // 3619
  { PseudoVIOTA_M_MF2, VIOTA_M }, // 3620
  { PseudoVIOTA_M_MF2_MASK, VIOTA_M }, // 3621
  { PseudoVIOTA_M_MF4, VIOTA_M }, // 3622
  { PseudoVIOTA_M_MF4_MASK, VIOTA_M }, // 3623
  { PseudoVIOTA_M_MF8, VIOTA_M }, // 3624
  { PseudoVIOTA_M_MF8_MASK, VIOTA_M }, // 3625
  { PseudoVLE16FF_V_M1, VLE16FF_V }, // 3626
  { PseudoVLE16FF_V_M1_MASK, VLE16FF_V }, // 3627
  { PseudoVLE16FF_V_M2, VLE16FF_V }, // 3628
  { PseudoVLE16FF_V_M2_MASK, VLE16FF_V }, // 3629
  { PseudoVLE16FF_V_M4, VLE16FF_V }, // 3630
  { PseudoVLE16FF_V_M4_MASK, VLE16FF_V }, // 3631
  { PseudoVLE16FF_V_M8, VLE16FF_V }, // 3632
  { PseudoVLE16FF_V_M8_MASK, VLE16FF_V }, // 3633
  { PseudoVLE16FF_V_MF2, VLE16FF_V }, // 3634
  { PseudoVLE16FF_V_MF2_MASK, VLE16FF_V }, // 3635
  { PseudoVLE16FF_V_MF4, VLE16FF_V }, // 3636
  { PseudoVLE16FF_V_MF4_MASK, VLE16FF_V }, // 3637
  { PseudoVLE16_V_M1, VLE16_V }, // 3638
  { PseudoVLE16_V_M1_MASK, VLE16_V }, // 3639
  { PseudoVLE16_V_M2, VLE16_V }, // 3640
  { PseudoVLE16_V_M2_MASK, VLE16_V }, // 3641
  { PseudoVLE16_V_M4, VLE16_V }, // 3642
  { PseudoVLE16_V_M4_MASK, VLE16_V }, // 3643
  { PseudoVLE16_V_M8, VLE16_V }, // 3644
  { PseudoVLE16_V_M8_MASK, VLE16_V }, // 3645
  { PseudoVLE16_V_MF2, VLE16_V }, // 3646
  { PseudoVLE16_V_MF2_MASK, VLE16_V }, // 3647
  { PseudoVLE16_V_MF4, VLE16_V }, // 3648
  { PseudoVLE16_V_MF4_MASK, VLE16_V }, // 3649
  { PseudoVLE32FF_V_M1, VLE32FF_V }, // 3650
  { PseudoVLE32FF_V_M1_MASK, VLE32FF_V }, // 3651
  { PseudoVLE32FF_V_M2, VLE32FF_V }, // 3652
  { PseudoVLE32FF_V_M2_MASK, VLE32FF_V }, // 3653
  { PseudoVLE32FF_V_M4, VLE32FF_V }, // 3654
  { PseudoVLE32FF_V_M4_MASK, VLE32FF_V }, // 3655
  { PseudoVLE32FF_V_M8, VLE32FF_V }, // 3656
  { PseudoVLE32FF_V_M8_MASK, VLE32FF_V }, // 3657
  { PseudoVLE32FF_V_MF2, VLE32FF_V }, // 3658
  { PseudoVLE32FF_V_MF2_MASK, VLE32FF_V }, // 3659
  { PseudoVLE32_V_M1, VLE32_V }, // 3660
  { PseudoVLE32_V_M1_MASK, VLE32_V }, // 3661
  { PseudoVLE32_V_M2, VLE32_V }, // 3662
  { PseudoVLE32_V_M2_MASK, VLE32_V }, // 3663
  { PseudoVLE32_V_M4, VLE32_V }, // 3664
  { PseudoVLE32_V_M4_MASK, VLE32_V }, // 3665
  { PseudoVLE32_V_M8, VLE32_V }, // 3666
  { PseudoVLE32_V_M8_MASK, VLE32_V }, // 3667
  { PseudoVLE32_V_MF2, VLE32_V }, // 3668
  { PseudoVLE32_V_MF2_MASK, VLE32_V }, // 3669
  { PseudoVLE64FF_V_M1, VLE64FF_V }, // 3670
  { PseudoVLE64FF_V_M1_MASK, VLE64FF_V }, // 3671
  { PseudoVLE64FF_V_M2, VLE64FF_V }, // 3672
  { PseudoVLE64FF_V_M2_MASK, VLE64FF_V }, // 3673
  { PseudoVLE64FF_V_M4, VLE64FF_V }, // 3674
  { PseudoVLE64FF_V_M4_MASK, VLE64FF_V }, // 3675
  { PseudoVLE64FF_V_M8, VLE64FF_V }, // 3676
  { PseudoVLE64FF_V_M8_MASK, VLE64FF_V }, // 3677
  { PseudoVLE64_V_M1, VLE64_V }, // 3678
  { PseudoVLE64_V_M1_MASK, VLE64_V }, // 3679
  { PseudoVLE64_V_M2, VLE64_V }, // 3680
  { PseudoVLE64_V_M2_MASK, VLE64_V }, // 3681
  { PseudoVLE64_V_M4, VLE64_V }, // 3682
  { PseudoVLE64_V_M4_MASK, VLE64_V }, // 3683
  { PseudoVLE64_V_M8, VLE64_V }, // 3684
  { PseudoVLE64_V_M8_MASK, VLE64_V }, // 3685
  { PseudoVLE8FF_V_M1, VLE8FF_V }, // 3686
  { PseudoVLE8FF_V_M1_MASK, VLE8FF_V }, // 3687
  { PseudoVLE8FF_V_M2, VLE8FF_V }, // 3688
  { PseudoVLE8FF_V_M2_MASK, VLE8FF_V }, // 3689
  { PseudoVLE8FF_V_M4, VLE8FF_V }, // 3690
  { PseudoVLE8FF_V_M4_MASK, VLE8FF_V }, // 3691
  { PseudoVLE8FF_V_M8, VLE8FF_V }, // 3692
  { PseudoVLE8FF_V_M8_MASK, VLE8FF_V }, // 3693
  { PseudoVLE8FF_V_MF2, VLE8FF_V }, // 3694
  { PseudoVLE8FF_V_MF2_MASK, VLE8FF_V }, // 3695
  { PseudoVLE8FF_V_MF4, VLE8FF_V }, // 3696
  { PseudoVLE8FF_V_MF4_MASK, VLE8FF_V }, // 3697
  { PseudoVLE8FF_V_MF8, VLE8FF_V }, // 3698
  { PseudoVLE8FF_V_MF8_MASK, VLE8FF_V }, // 3699
  { PseudoVLE8_V_M1, VLE8_V }, // 3700
  { PseudoVLE8_V_M1_MASK, VLE8_V }, // 3701
  { PseudoVLE8_V_M2, VLE8_V }, // 3702
  { PseudoVLE8_V_M2_MASK, VLE8_V }, // 3703
  { PseudoVLE8_V_M4, VLE8_V }, // 3704
  { PseudoVLE8_V_M4_MASK, VLE8_V }, // 3705
  { PseudoVLE8_V_M8, VLE8_V }, // 3706
  { PseudoVLE8_V_M8_MASK, VLE8_V }, // 3707
  { PseudoVLE8_V_MF2, VLE8_V }, // 3708
  { PseudoVLE8_V_MF2_MASK, VLE8_V }, // 3709
  { PseudoVLE8_V_MF4, VLE8_V }, // 3710
  { PseudoVLE8_V_MF4_MASK, VLE8_V }, // 3711
  { PseudoVLE8_V_MF8, VLE8_V }, // 3712
  { PseudoVLE8_V_MF8_MASK, VLE8_V }, // 3713
  { PseudoVLM_V_B1, VLM_V }, // 3714
  { PseudoVLM_V_B16, VLM_V }, // 3715
  { PseudoVLM_V_B2, VLM_V }, // 3716
  { PseudoVLM_V_B32, VLM_V }, // 3717
  { PseudoVLM_V_B4, VLM_V }, // 3718
  { PseudoVLM_V_B64, VLM_V }, // 3719
  { PseudoVLM_V_B8, VLM_V }, // 3720
  { PseudoVLOXEI16_V_M1_M1, VLOXEI16_V }, // 3721
  { PseudoVLOXEI16_V_M1_M1_MASK, VLOXEI16_V }, // 3722
  { PseudoVLOXEI16_V_M1_M2, VLOXEI16_V }, // 3723
  { PseudoVLOXEI16_V_M1_M2_MASK, VLOXEI16_V }, // 3724
  { PseudoVLOXEI16_V_M1_M4, VLOXEI16_V }, // 3725
  { PseudoVLOXEI16_V_M1_M4_MASK, VLOXEI16_V }, // 3726
  { PseudoVLOXEI16_V_M1_MF2, VLOXEI16_V }, // 3727
  { PseudoVLOXEI16_V_M1_MF2_MASK, VLOXEI16_V }, // 3728
  { PseudoVLOXEI16_V_M2_M1, VLOXEI16_V }, // 3729
  { PseudoVLOXEI16_V_M2_M1_MASK, VLOXEI16_V }, // 3730
  { PseudoVLOXEI16_V_M2_M2, VLOXEI16_V }, // 3731
  { PseudoVLOXEI16_V_M2_M2_MASK, VLOXEI16_V }, // 3732
  { PseudoVLOXEI16_V_M2_M4, VLOXEI16_V }, // 3733
  { PseudoVLOXEI16_V_M2_M4_MASK, VLOXEI16_V }, // 3734
  { PseudoVLOXEI16_V_M2_M8, VLOXEI16_V }, // 3735
  { PseudoVLOXEI16_V_M2_M8_MASK, VLOXEI16_V }, // 3736
  { PseudoVLOXEI16_V_M4_M2, VLOXEI16_V }, // 3737
  { PseudoVLOXEI16_V_M4_M2_MASK, VLOXEI16_V }, // 3738
  { PseudoVLOXEI16_V_M4_M4, VLOXEI16_V }, // 3739
  { PseudoVLOXEI16_V_M4_M4_MASK, VLOXEI16_V }, // 3740
  { PseudoVLOXEI16_V_M4_M8, VLOXEI16_V }, // 3741
  { PseudoVLOXEI16_V_M4_M8_MASK, VLOXEI16_V }, // 3742
  { PseudoVLOXEI16_V_M8_M4, VLOXEI16_V }, // 3743
  { PseudoVLOXEI16_V_M8_M4_MASK, VLOXEI16_V }, // 3744
  { PseudoVLOXEI16_V_M8_M8, VLOXEI16_V }, // 3745
  { PseudoVLOXEI16_V_M8_M8_MASK, VLOXEI16_V }, // 3746
  { PseudoVLOXEI16_V_MF2_M1, VLOXEI16_V }, // 3747
  { PseudoVLOXEI16_V_MF2_M1_MASK, VLOXEI16_V }, // 3748
  { PseudoVLOXEI16_V_MF2_M2, VLOXEI16_V }, // 3749
  { PseudoVLOXEI16_V_MF2_M2_MASK, VLOXEI16_V }, // 3750
  { PseudoVLOXEI16_V_MF2_MF2, VLOXEI16_V }, // 3751
  { PseudoVLOXEI16_V_MF2_MF2_MASK, VLOXEI16_V }, // 3752
  { PseudoVLOXEI16_V_MF2_MF4, VLOXEI16_V }, // 3753
  { PseudoVLOXEI16_V_MF2_MF4_MASK, VLOXEI16_V }, // 3754
  { PseudoVLOXEI16_V_MF4_M1, VLOXEI16_V }, // 3755
  { PseudoVLOXEI16_V_MF4_M1_MASK, VLOXEI16_V }, // 3756
  { PseudoVLOXEI16_V_MF4_MF2, VLOXEI16_V }, // 3757
  { PseudoVLOXEI16_V_MF4_MF2_MASK, VLOXEI16_V }, // 3758
  { PseudoVLOXEI16_V_MF4_MF4, VLOXEI16_V }, // 3759
  { PseudoVLOXEI16_V_MF4_MF4_MASK, VLOXEI16_V }, // 3760
  { PseudoVLOXEI16_V_MF4_MF8, VLOXEI16_V }, // 3761
  { PseudoVLOXEI16_V_MF4_MF8_MASK, VLOXEI16_V }, // 3762
  { PseudoVLOXEI32_V_M1_M1, VLOXEI32_V }, // 3763
  { PseudoVLOXEI32_V_M1_M1_MASK, VLOXEI32_V }, // 3764
  { PseudoVLOXEI32_V_M1_M2, VLOXEI32_V }, // 3765
  { PseudoVLOXEI32_V_M1_M2_MASK, VLOXEI32_V }, // 3766
  { PseudoVLOXEI32_V_M1_MF2, VLOXEI32_V }, // 3767
  { PseudoVLOXEI32_V_M1_MF2_MASK, VLOXEI32_V }, // 3768
  { PseudoVLOXEI32_V_M1_MF4, VLOXEI32_V }, // 3769
  { PseudoVLOXEI32_V_M1_MF4_MASK, VLOXEI32_V }, // 3770
  { PseudoVLOXEI32_V_M2_M1, VLOXEI32_V }, // 3771
  { PseudoVLOXEI32_V_M2_M1_MASK, VLOXEI32_V }, // 3772
  { PseudoVLOXEI32_V_M2_M2, VLOXEI32_V }, // 3773
  { PseudoVLOXEI32_V_M2_M2_MASK, VLOXEI32_V }, // 3774
  { PseudoVLOXEI32_V_M2_M4, VLOXEI32_V }, // 3775
  { PseudoVLOXEI32_V_M2_M4_MASK, VLOXEI32_V }, // 3776
  { PseudoVLOXEI32_V_M2_MF2, VLOXEI32_V }, // 3777
  { PseudoVLOXEI32_V_M2_MF2_MASK, VLOXEI32_V }, // 3778
  { PseudoVLOXEI32_V_M4_M1, VLOXEI32_V }, // 3779
  { PseudoVLOXEI32_V_M4_M1_MASK, VLOXEI32_V }, // 3780
  { PseudoVLOXEI32_V_M4_M2, VLOXEI32_V }, // 3781
  { PseudoVLOXEI32_V_M4_M2_MASK, VLOXEI32_V }, // 3782
  { PseudoVLOXEI32_V_M4_M4, VLOXEI32_V }, // 3783
  { PseudoVLOXEI32_V_M4_M4_MASK, VLOXEI32_V }, // 3784
  { PseudoVLOXEI32_V_M4_M8, VLOXEI32_V }, // 3785
  { PseudoVLOXEI32_V_M4_M8_MASK, VLOXEI32_V }, // 3786
  { PseudoVLOXEI32_V_M8_M2, VLOXEI32_V }, // 3787
  { PseudoVLOXEI32_V_M8_M2_MASK, VLOXEI32_V }, // 3788
  { PseudoVLOXEI32_V_M8_M4, VLOXEI32_V }, // 3789
  { PseudoVLOXEI32_V_M8_M4_MASK, VLOXEI32_V }, // 3790
  { PseudoVLOXEI32_V_M8_M8, VLOXEI32_V }, // 3791
  { PseudoVLOXEI32_V_M8_M8_MASK, VLOXEI32_V }, // 3792
  { PseudoVLOXEI32_V_MF2_M1, VLOXEI32_V }, // 3793
  { PseudoVLOXEI32_V_MF2_M1_MASK, VLOXEI32_V }, // 3794
  { PseudoVLOXEI32_V_MF2_MF2, VLOXEI32_V }, // 3795
  { PseudoVLOXEI32_V_MF2_MF2_MASK, VLOXEI32_V }, // 3796
  { PseudoVLOXEI32_V_MF2_MF4, VLOXEI32_V }, // 3797
  { PseudoVLOXEI32_V_MF2_MF4_MASK, VLOXEI32_V }, // 3798
  { PseudoVLOXEI32_V_MF2_MF8, VLOXEI32_V }, // 3799
  { PseudoVLOXEI32_V_MF2_MF8_MASK, VLOXEI32_V }, // 3800
  { PseudoVLOXEI64_V_M1_M1, VLOXEI64_V }, // 3801
  { PseudoVLOXEI64_V_M1_M1_MASK, VLOXEI64_V }, // 3802
  { PseudoVLOXEI64_V_M1_MF2, VLOXEI64_V }, // 3803
  { PseudoVLOXEI64_V_M1_MF2_MASK, VLOXEI64_V }, // 3804
  { PseudoVLOXEI64_V_M1_MF4, VLOXEI64_V }, // 3805
  { PseudoVLOXEI64_V_M1_MF4_MASK, VLOXEI64_V }, // 3806
  { PseudoVLOXEI64_V_M1_MF8, VLOXEI64_V }, // 3807
  { PseudoVLOXEI64_V_M1_MF8_MASK, VLOXEI64_V }, // 3808
  { PseudoVLOXEI64_V_M2_M1, VLOXEI64_V }, // 3809
  { PseudoVLOXEI64_V_M2_M1_MASK, VLOXEI64_V }, // 3810
  { PseudoVLOXEI64_V_M2_M2, VLOXEI64_V }, // 3811
  { PseudoVLOXEI64_V_M2_M2_MASK, VLOXEI64_V }, // 3812
  { PseudoVLOXEI64_V_M2_MF2, VLOXEI64_V }, // 3813
  { PseudoVLOXEI64_V_M2_MF2_MASK, VLOXEI64_V }, // 3814
  { PseudoVLOXEI64_V_M2_MF4, VLOXEI64_V }, // 3815
  { PseudoVLOXEI64_V_M2_MF4_MASK, VLOXEI64_V }, // 3816
  { PseudoVLOXEI64_V_M4_M1, VLOXEI64_V }, // 3817
  { PseudoVLOXEI64_V_M4_M1_MASK, VLOXEI64_V }, // 3818
  { PseudoVLOXEI64_V_M4_M2, VLOXEI64_V }, // 3819
  { PseudoVLOXEI64_V_M4_M2_MASK, VLOXEI64_V }, // 3820
  { PseudoVLOXEI64_V_M4_M4, VLOXEI64_V }, // 3821
  { PseudoVLOXEI64_V_M4_M4_MASK, VLOXEI64_V }, // 3822
  { PseudoVLOXEI64_V_M4_MF2, VLOXEI64_V }, // 3823
  { PseudoVLOXEI64_V_M4_MF2_MASK, VLOXEI64_V }, // 3824
  { PseudoVLOXEI64_V_M8_M1, VLOXEI64_V }, // 3825
  { PseudoVLOXEI64_V_M8_M1_MASK, VLOXEI64_V }, // 3826
  { PseudoVLOXEI64_V_M8_M2, VLOXEI64_V }, // 3827
  { PseudoVLOXEI64_V_M8_M2_MASK, VLOXEI64_V }, // 3828
  { PseudoVLOXEI64_V_M8_M4, VLOXEI64_V }, // 3829
  { PseudoVLOXEI64_V_M8_M4_MASK, VLOXEI64_V }, // 3830
  { PseudoVLOXEI64_V_M8_M8, VLOXEI64_V }, // 3831
  { PseudoVLOXEI64_V_M8_M8_MASK, VLOXEI64_V }, // 3832
  { PseudoVLOXEI8_V_M1_M1, VLOXEI8_V }, // 3833
  { PseudoVLOXEI8_V_M1_M1_MASK, VLOXEI8_V }, // 3834
  { PseudoVLOXEI8_V_M1_M2, VLOXEI8_V }, // 3835
  { PseudoVLOXEI8_V_M1_M2_MASK, VLOXEI8_V }, // 3836
  { PseudoVLOXEI8_V_M1_M4, VLOXEI8_V }, // 3837
  { PseudoVLOXEI8_V_M1_M4_MASK, VLOXEI8_V }, // 3838
  { PseudoVLOXEI8_V_M1_M8, VLOXEI8_V }, // 3839
  { PseudoVLOXEI8_V_M1_M8_MASK, VLOXEI8_V }, // 3840
  { PseudoVLOXEI8_V_M2_M2, VLOXEI8_V }, // 3841
  { PseudoVLOXEI8_V_M2_M2_MASK, VLOXEI8_V }, // 3842
  { PseudoVLOXEI8_V_M2_M4, VLOXEI8_V }, // 3843
  { PseudoVLOXEI8_V_M2_M4_MASK, VLOXEI8_V }, // 3844
  { PseudoVLOXEI8_V_M2_M8, VLOXEI8_V }, // 3845
  { PseudoVLOXEI8_V_M2_M8_MASK, VLOXEI8_V }, // 3846
  { PseudoVLOXEI8_V_M4_M4, VLOXEI8_V }, // 3847
  { PseudoVLOXEI8_V_M4_M4_MASK, VLOXEI8_V }, // 3848
  { PseudoVLOXEI8_V_M4_M8, VLOXEI8_V }, // 3849
  { PseudoVLOXEI8_V_M4_M8_MASK, VLOXEI8_V }, // 3850
  { PseudoVLOXEI8_V_M8_M8, VLOXEI8_V }, // 3851
  { PseudoVLOXEI8_V_M8_M8_MASK, VLOXEI8_V }, // 3852
  { PseudoVLOXEI8_V_MF2_M1, VLOXEI8_V }, // 3853
  { PseudoVLOXEI8_V_MF2_M1_MASK, VLOXEI8_V }, // 3854
  { PseudoVLOXEI8_V_MF2_M2, VLOXEI8_V }, // 3855
  { PseudoVLOXEI8_V_MF2_M2_MASK, VLOXEI8_V }, // 3856
  { PseudoVLOXEI8_V_MF2_M4, VLOXEI8_V }, // 3857
  { PseudoVLOXEI8_V_MF2_M4_MASK, VLOXEI8_V }, // 3858
  { PseudoVLOXEI8_V_MF2_MF2, VLOXEI8_V }, // 3859
  { PseudoVLOXEI8_V_MF2_MF2_MASK, VLOXEI8_V }, // 3860
  { PseudoVLOXEI8_V_MF4_M1, VLOXEI8_V }, // 3861
  { PseudoVLOXEI8_V_MF4_M1_MASK, VLOXEI8_V }, // 3862
  { PseudoVLOXEI8_V_MF4_M2, VLOXEI8_V }, // 3863
  { PseudoVLOXEI8_V_MF4_M2_MASK, VLOXEI8_V }, // 3864
  { PseudoVLOXEI8_V_MF4_MF2, VLOXEI8_V }, // 3865
  { PseudoVLOXEI8_V_MF4_MF2_MASK, VLOXEI8_V }, // 3866
  { PseudoVLOXEI8_V_MF4_MF4, VLOXEI8_V }, // 3867
  { PseudoVLOXEI8_V_MF4_MF4_MASK, VLOXEI8_V }, // 3868
  { PseudoVLOXEI8_V_MF8_M1, VLOXEI8_V }, // 3869
  { PseudoVLOXEI8_V_MF8_M1_MASK, VLOXEI8_V }, // 3870
  { PseudoVLOXEI8_V_MF8_MF2, VLOXEI8_V }, // 3871
  { PseudoVLOXEI8_V_MF8_MF2_MASK, VLOXEI8_V }, // 3872
  { PseudoVLOXEI8_V_MF8_MF4, VLOXEI8_V }, // 3873
  { PseudoVLOXEI8_V_MF8_MF4_MASK, VLOXEI8_V }, // 3874
  { PseudoVLOXEI8_V_MF8_MF8, VLOXEI8_V }, // 3875
  { PseudoVLOXEI8_V_MF8_MF8_MASK, VLOXEI8_V }, // 3876
  { PseudoVLOXSEG2EI16_V_M1_M1, VLOXSEG2EI16_V }, // 3877
  { PseudoVLOXSEG2EI16_V_M1_M1_MASK, VLOXSEG2EI16_V }, // 3878
  { PseudoVLOXSEG2EI16_V_M1_M2, VLOXSEG2EI16_V }, // 3879
  { PseudoVLOXSEG2EI16_V_M1_M2_MASK, VLOXSEG2EI16_V }, // 3880
  { PseudoVLOXSEG2EI16_V_M1_M4, VLOXSEG2EI16_V }, // 3881
  { PseudoVLOXSEG2EI16_V_M1_M4_MASK, VLOXSEG2EI16_V }, // 3882
  { PseudoVLOXSEG2EI16_V_M1_MF2, VLOXSEG2EI16_V }, // 3883
  { PseudoVLOXSEG2EI16_V_M1_MF2_MASK, VLOXSEG2EI16_V }, // 3884
  { PseudoVLOXSEG2EI16_V_M2_M1, VLOXSEG2EI16_V }, // 3885
  { PseudoVLOXSEG2EI16_V_M2_M1_MASK, VLOXSEG2EI16_V }, // 3886
  { PseudoVLOXSEG2EI16_V_M2_M2, VLOXSEG2EI16_V }, // 3887
  { PseudoVLOXSEG2EI16_V_M2_M2_MASK, VLOXSEG2EI16_V }, // 3888
  { PseudoVLOXSEG2EI16_V_M2_M4, VLOXSEG2EI16_V }, // 3889
  { PseudoVLOXSEG2EI16_V_M2_M4_MASK, VLOXSEG2EI16_V }, // 3890
  { PseudoVLOXSEG2EI16_V_M4_M2, VLOXSEG2EI16_V }, // 3891
  { PseudoVLOXSEG2EI16_V_M4_M2_MASK, VLOXSEG2EI16_V }, // 3892
  { PseudoVLOXSEG2EI16_V_M4_M4, VLOXSEG2EI16_V }, // 3893
  { PseudoVLOXSEG2EI16_V_M4_M4_MASK, VLOXSEG2EI16_V }, // 3894
  { PseudoVLOXSEG2EI16_V_M8_M4, VLOXSEG2EI16_V }, // 3895
  { PseudoVLOXSEG2EI16_V_M8_M4_MASK, VLOXSEG2EI16_V }, // 3896
  { PseudoVLOXSEG2EI16_V_MF2_M1, VLOXSEG2EI16_V }, // 3897
  { PseudoVLOXSEG2EI16_V_MF2_M1_MASK, VLOXSEG2EI16_V }, // 3898
  { PseudoVLOXSEG2EI16_V_MF2_M2, VLOXSEG2EI16_V }, // 3899
  { PseudoVLOXSEG2EI16_V_MF2_M2_MASK, VLOXSEG2EI16_V }, // 3900
  { PseudoVLOXSEG2EI16_V_MF2_MF2, VLOXSEG2EI16_V }, // 3901
  { PseudoVLOXSEG2EI16_V_MF2_MF2_MASK, VLOXSEG2EI16_V }, // 3902
  { PseudoVLOXSEG2EI16_V_MF2_MF4, VLOXSEG2EI16_V }, // 3903
  { PseudoVLOXSEG2EI16_V_MF2_MF4_MASK, VLOXSEG2EI16_V }, // 3904
  { PseudoVLOXSEG2EI16_V_MF4_M1, VLOXSEG2EI16_V }, // 3905
  { PseudoVLOXSEG2EI16_V_MF4_M1_MASK, VLOXSEG2EI16_V }, // 3906
  { PseudoVLOXSEG2EI16_V_MF4_MF2, VLOXSEG2EI16_V }, // 3907
  { PseudoVLOXSEG2EI16_V_MF4_MF2_MASK, VLOXSEG2EI16_V }, // 3908
  { PseudoVLOXSEG2EI16_V_MF4_MF4, VLOXSEG2EI16_V }, // 3909
  { PseudoVLOXSEG2EI16_V_MF4_MF4_MASK, VLOXSEG2EI16_V }, // 3910
  { PseudoVLOXSEG2EI16_V_MF4_MF8, VLOXSEG2EI16_V }, // 3911
  { PseudoVLOXSEG2EI16_V_MF4_MF8_MASK, VLOXSEG2EI16_V }, // 3912
  { PseudoVLOXSEG2EI32_V_M1_M1, VLOXSEG2EI32_V }, // 3913
  { PseudoVLOXSEG2EI32_V_M1_M1_MASK, VLOXSEG2EI32_V }, // 3914
  { PseudoVLOXSEG2EI32_V_M1_M2, VLOXSEG2EI32_V }, // 3915
  { PseudoVLOXSEG2EI32_V_M1_M2_MASK, VLOXSEG2EI32_V }, // 3916
  { PseudoVLOXSEG2EI32_V_M1_MF2, VLOXSEG2EI32_V }, // 3917
  { PseudoVLOXSEG2EI32_V_M1_MF2_MASK, VLOXSEG2EI32_V }, // 3918
  { PseudoVLOXSEG2EI32_V_M1_MF4, VLOXSEG2EI32_V }, // 3919
  { PseudoVLOXSEG2EI32_V_M1_MF4_MASK, VLOXSEG2EI32_V }, // 3920
  { PseudoVLOXSEG2EI32_V_M2_M1, VLOXSEG2EI32_V }, // 3921
  { PseudoVLOXSEG2EI32_V_M2_M1_MASK, VLOXSEG2EI32_V }, // 3922
  { PseudoVLOXSEG2EI32_V_M2_M2, VLOXSEG2EI32_V }, // 3923
  { PseudoVLOXSEG2EI32_V_M2_M2_MASK, VLOXSEG2EI32_V }, // 3924
  { PseudoVLOXSEG2EI32_V_M2_M4, VLOXSEG2EI32_V }, // 3925
  { PseudoVLOXSEG2EI32_V_M2_M4_MASK, VLOXSEG2EI32_V }, // 3926
  { PseudoVLOXSEG2EI32_V_M2_MF2, VLOXSEG2EI32_V }, // 3927
  { PseudoVLOXSEG2EI32_V_M2_MF2_MASK, VLOXSEG2EI32_V }, // 3928
  { PseudoVLOXSEG2EI32_V_M4_M1, VLOXSEG2EI32_V }, // 3929
  { PseudoVLOXSEG2EI32_V_M4_M1_MASK, VLOXSEG2EI32_V }, // 3930
  { PseudoVLOXSEG2EI32_V_M4_M2, VLOXSEG2EI32_V }, // 3931
  { PseudoVLOXSEG2EI32_V_M4_M2_MASK, VLOXSEG2EI32_V }, // 3932
  { PseudoVLOXSEG2EI32_V_M4_M4, VLOXSEG2EI32_V }, // 3933
  { PseudoVLOXSEG2EI32_V_M4_M4_MASK, VLOXSEG2EI32_V }, // 3934
  { PseudoVLOXSEG2EI32_V_M8_M2, VLOXSEG2EI32_V }, // 3935
  { PseudoVLOXSEG2EI32_V_M8_M2_MASK, VLOXSEG2EI32_V }, // 3936
  { PseudoVLOXSEG2EI32_V_M8_M4, VLOXSEG2EI32_V }, // 3937
  { PseudoVLOXSEG2EI32_V_M8_M4_MASK, VLOXSEG2EI32_V }, // 3938
  { PseudoVLOXSEG2EI32_V_MF2_M1, VLOXSEG2EI32_V }, // 3939
  { PseudoVLOXSEG2EI32_V_MF2_M1_MASK, VLOXSEG2EI32_V }, // 3940
  { PseudoVLOXSEG2EI32_V_MF2_MF2, VLOXSEG2EI32_V }, // 3941
  { PseudoVLOXSEG2EI32_V_MF2_MF2_MASK, VLOXSEG2EI32_V }, // 3942
  { PseudoVLOXSEG2EI32_V_MF2_MF4, VLOXSEG2EI32_V }, // 3943
  { PseudoVLOXSEG2EI32_V_MF2_MF4_MASK, VLOXSEG2EI32_V }, // 3944
  { PseudoVLOXSEG2EI32_V_MF2_MF8, VLOXSEG2EI32_V }, // 3945
  { PseudoVLOXSEG2EI32_V_MF2_MF8_MASK, VLOXSEG2EI32_V }, // 3946
  { PseudoVLOXSEG2EI64_V_M1_M1, VLOXSEG2EI64_V }, // 3947
  { PseudoVLOXSEG2EI64_V_M1_M1_MASK, VLOXSEG2EI64_V }, // 3948
  { PseudoVLOXSEG2EI64_V_M1_MF2, VLOXSEG2EI64_V }, // 3949
  { PseudoVLOXSEG2EI64_V_M1_MF2_MASK, VLOXSEG2EI64_V }, // 3950
  { PseudoVLOXSEG2EI64_V_M1_MF4, VLOXSEG2EI64_V }, // 3951
  { PseudoVLOXSEG2EI64_V_M1_MF4_MASK, VLOXSEG2EI64_V }, // 3952
  { PseudoVLOXSEG2EI64_V_M1_MF8, VLOXSEG2EI64_V }, // 3953
  { PseudoVLOXSEG2EI64_V_M1_MF8_MASK, VLOXSEG2EI64_V }, // 3954
  { PseudoVLOXSEG2EI64_V_M2_M1, VLOXSEG2EI64_V }, // 3955
  { PseudoVLOXSEG2EI64_V_M2_M1_MASK, VLOXSEG2EI64_V }, // 3956
  { PseudoVLOXSEG2EI64_V_M2_M2, VLOXSEG2EI64_V }, // 3957
  { PseudoVLOXSEG2EI64_V_M2_M2_MASK, VLOXSEG2EI64_V }, // 3958
  { PseudoVLOXSEG2EI64_V_M2_MF2, VLOXSEG2EI64_V }, // 3959
  { PseudoVLOXSEG2EI64_V_M2_MF2_MASK, VLOXSEG2EI64_V }, // 3960
  { PseudoVLOXSEG2EI64_V_M2_MF4, VLOXSEG2EI64_V }, // 3961
  { PseudoVLOXSEG2EI64_V_M2_MF4_MASK, VLOXSEG2EI64_V }, // 3962
  { PseudoVLOXSEG2EI64_V_M4_M1, VLOXSEG2EI64_V }, // 3963
  { PseudoVLOXSEG2EI64_V_M4_M1_MASK, VLOXSEG2EI64_V }, // 3964
  { PseudoVLOXSEG2EI64_V_M4_M2, VLOXSEG2EI64_V }, // 3965
  { PseudoVLOXSEG2EI64_V_M4_M2_MASK, VLOXSEG2EI64_V }, // 3966
  { PseudoVLOXSEG2EI64_V_M4_M4, VLOXSEG2EI64_V }, // 3967
  { PseudoVLOXSEG2EI64_V_M4_M4_MASK, VLOXSEG2EI64_V }, // 3968
  { PseudoVLOXSEG2EI64_V_M4_MF2, VLOXSEG2EI64_V }, // 3969
  { PseudoVLOXSEG2EI64_V_M4_MF2_MASK, VLOXSEG2EI64_V }, // 3970
  { PseudoVLOXSEG2EI64_V_M8_M1, VLOXSEG2EI64_V }, // 3971
  { PseudoVLOXSEG2EI64_V_M8_M1_MASK, VLOXSEG2EI64_V }, // 3972
  { PseudoVLOXSEG2EI64_V_M8_M2, VLOXSEG2EI64_V }, // 3973
  { PseudoVLOXSEG2EI64_V_M8_M2_MASK, VLOXSEG2EI64_V }, // 3974
  { PseudoVLOXSEG2EI64_V_M8_M4, VLOXSEG2EI64_V }, // 3975
  { PseudoVLOXSEG2EI64_V_M8_M4_MASK, VLOXSEG2EI64_V }, // 3976
  { PseudoVLOXSEG2EI8_V_M1_M1, VLOXSEG2EI8_V }, // 3977
  { PseudoVLOXSEG2EI8_V_M1_M1_MASK, VLOXSEG2EI8_V }, // 3978
  { PseudoVLOXSEG2EI8_V_M1_M2, VLOXSEG2EI8_V }, // 3979
  { PseudoVLOXSEG2EI8_V_M1_M2_MASK, VLOXSEG2EI8_V }, // 3980
  { PseudoVLOXSEG2EI8_V_M1_M4, VLOXSEG2EI8_V }, // 3981
  { PseudoVLOXSEG2EI8_V_M1_M4_MASK, VLOXSEG2EI8_V }, // 3982
  { PseudoVLOXSEG2EI8_V_M2_M2, VLOXSEG2EI8_V }, // 3983
  { PseudoVLOXSEG2EI8_V_M2_M2_MASK, VLOXSEG2EI8_V }, // 3984
  { PseudoVLOXSEG2EI8_V_M2_M4, VLOXSEG2EI8_V }, // 3985
  { PseudoVLOXSEG2EI8_V_M2_M4_MASK, VLOXSEG2EI8_V }, // 3986
  { PseudoVLOXSEG2EI8_V_M4_M4, VLOXSEG2EI8_V }, // 3987
  { PseudoVLOXSEG2EI8_V_M4_M4_MASK, VLOXSEG2EI8_V }, // 3988
  { PseudoVLOXSEG2EI8_V_MF2_M1, VLOXSEG2EI8_V }, // 3989
  { PseudoVLOXSEG2EI8_V_MF2_M1_MASK, VLOXSEG2EI8_V }, // 3990
  { PseudoVLOXSEG2EI8_V_MF2_M2, VLOXSEG2EI8_V }, // 3991
  { PseudoVLOXSEG2EI8_V_MF2_M2_MASK, VLOXSEG2EI8_V }, // 3992
  { PseudoVLOXSEG2EI8_V_MF2_M4, VLOXSEG2EI8_V }, // 3993
  { PseudoVLOXSEG2EI8_V_MF2_M4_MASK, VLOXSEG2EI8_V }, // 3994
  { PseudoVLOXSEG2EI8_V_MF2_MF2, VLOXSEG2EI8_V }, // 3995
  { PseudoVLOXSEG2EI8_V_MF2_MF2_MASK, VLOXSEG2EI8_V }, // 3996
  { PseudoVLOXSEG2EI8_V_MF4_M1, VLOXSEG2EI8_V }, // 3997
  { PseudoVLOXSEG2EI8_V_MF4_M1_MASK, VLOXSEG2EI8_V }, // 3998
  { PseudoVLOXSEG2EI8_V_MF4_M2, VLOXSEG2EI8_V }, // 3999
  { PseudoVLOXSEG2EI8_V_MF4_M2_MASK, VLOXSEG2EI8_V }, // 4000
  { PseudoVLOXSEG2EI8_V_MF4_MF2, VLOXSEG2EI8_V }, // 4001
  { PseudoVLOXSEG2EI8_V_MF4_MF2_MASK, VLOXSEG2EI8_V }, // 4002
  { PseudoVLOXSEG2EI8_V_MF4_MF4, VLOXSEG2EI8_V }, // 4003
  { PseudoVLOXSEG2EI8_V_MF4_MF4_MASK, VLOXSEG2EI8_V }, // 4004
  { PseudoVLOXSEG2EI8_V_MF8_M1, VLOXSEG2EI8_V }, // 4005
  { PseudoVLOXSEG2EI8_V_MF8_M1_MASK, VLOXSEG2EI8_V }, // 4006
  { PseudoVLOXSEG2EI8_V_MF8_MF2, VLOXSEG2EI8_V }, // 4007
  { PseudoVLOXSEG2EI8_V_MF8_MF2_MASK, VLOXSEG2EI8_V }, // 4008
  { PseudoVLOXSEG2EI8_V_MF8_MF4, VLOXSEG2EI8_V }, // 4009
  { PseudoVLOXSEG2EI8_V_MF8_MF4_MASK, VLOXSEG2EI8_V }, // 4010
  { PseudoVLOXSEG2EI8_V_MF8_MF8, VLOXSEG2EI8_V }, // 4011
  { PseudoVLOXSEG2EI8_V_MF8_MF8_MASK, VLOXSEG2EI8_V }, // 4012
  { PseudoVLOXSEG3EI16_V_M1_M1, VLOXSEG3EI16_V }, // 4013
  { PseudoVLOXSEG3EI16_V_M1_M1_MASK, VLOXSEG3EI16_V }, // 4014
  { PseudoVLOXSEG3EI16_V_M1_M2, VLOXSEG3EI16_V }, // 4015
  { PseudoVLOXSEG3EI16_V_M1_M2_MASK, VLOXSEG3EI16_V }, // 4016
  { PseudoVLOXSEG3EI16_V_M1_MF2, VLOXSEG3EI16_V }, // 4017
  { PseudoVLOXSEG3EI16_V_M1_MF2_MASK, VLOXSEG3EI16_V }, // 4018
  { PseudoVLOXSEG3EI16_V_M2_M1, VLOXSEG3EI16_V }, // 4019
  { PseudoVLOXSEG3EI16_V_M2_M1_MASK, VLOXSEG3EI16_V }, // 4020
  { PseudoVLOXSEG3EI16_V_M2_M2, VLOXSEG3EI16_V }, // 4021
  { PseudoVLOXSEG3EI16_V_M2_M2_MASK, VLOXSEG3EI16_V }, // 4022
  { PseudoVLOXSEG3EI16_V_M4_M2, VLOXSEG3EI16_V }, // 4023
  { PseudoVLOXSEG3EI16_V_M4_M2_MASK, VLOXSEG3EI16_V }, // 4024
  { PseudoVLOXSEG3EI16_V_MF2_M1, VLOXSEG3EI16_V }, // 4025
  { PseudoVLOXSEG3EI16_V_MF2_M1_MASK, VLOXSEG3EI16_V }, // 4026
  { PseudoVLOXSEG3EI16_V_MF2_M2, VLOXSEG3EI16_V }, // 4027
  { PseudoVLOXSEG3EI16_V_MF2_M2_MASK, VLOXSEG3EI16_V }, // 4028
  { PseudoVLOXSEG3EI16_V_MF2_MF2, VLOXSEG3EI16_V }, // 4029
  { PseudoVLOXSEG3EI16_V_MF2_MF2_MASK, VLOXSEG3EI16_V }, // 4030
  { PseudoVLOXSEG3EI16_V_MF2_MF4, VLOXSEG3EI16_V }, // 4031
  { PseudoVLOXSEG3EI16_V_MF2_MF4_MASK, VLOXSEG3EI16_V }, // 4032
  { PseudoVLOXSEG3EI16_V_MF4_M1, VLOXSEG3EI16_V }, // 4033
  { PseudoVLOXSEG3EI16_V_MF4_M1_MASK, VLOXSEG3EI16_V }, // 4034
  { PseudoVLOXSEG3EI16_V_MF4_MF2, VLOXSEG3EI16_V }, // 4035
  { PseudoVLOXSEG3EI16_V_MF4_MF2_MASK, VLOXSEG3EI16_V }, // 4036
  { PseudoVLOXSEG3EI16_V_MF4_MF4, VLOXSEG3EI16_V }, // 4037
  { PseudoVLOXSEG3EI16_V_MF4_MF4_MASK, VLOXSEG3EI16_V }, // 4038
  { PseudoVLOXSEG3EI16_V_MF4_MF8, VLOXSEG3EI16_V }, // 4039
  { PseudoVLOXSEG3EI16_V_MF4_MF8_MASK, VLOXSEG3EI16_V }, // 4040
  { PseudoVLOXSEG3EI32_V_M1_M1, VLOXSEG3EI32_V }, // 4041
  { PseudoVLOXSEG3EI32_V_M1_M1_MASK, VLOXSEG3EI32_V }, // 4042
  { PseudoVLOXSEG3EI32_V_M1_M2, VLOXSEG3EI32_V }, // 4043
  { PseudoVLOXSEG3EI32_V_M1_M2_MASK, VLOXSEG3EI32_V }, // 4044
  { PseudoVLOXSEG3EI32_V_M1_MF2, VLOXSEG3EI32_V }, // 4045
  { PseudoVLOXSEG3EI32_V_M1_MF2_MASK, VLOXSEG3EI32_V }, // 4046
  { PseudoVLOXSEG3EI32_V_M1_MF4, VLOXSEG3EI32_V }, // 4047
  { PseudoVLOXSEG3EI32_V_M1_MF4_MASK, VLOXSEG3EI32_V }, // 4048
  { PseudoVLOXSEG3EI32_V_M2_M1, VLOXSEG3EI32_V }, // 4049
  { PseudoVLOXSEG3EI32_V_M2_M1_MASK, VLOXSEG3EI32_V }, // 4050
  { PseudoVLOXSEG3EI32_V_M2_M2, VLOXSEG3EI32_V }, // 4051
  { PseudoVLOXSEG3EI32_V_M2_M2_MASK, VLOXSEG3EI32_V }, // 4052
  { PseudoVLOXSEG3EI32_V_M2_MF2, VLOXSEG3EI32_V }, // 4053
  { PseudoVLOXSEG3EI32_V_M2_MF2_MASK, VLOXSEG3EI32_V }, // 4054
  { PseudoVLOXSEG3EI32_V_M4_M1, VLOXSEG3EI32_V }, // 4055
  { PseudoVLOXSEG3EI32_V_M4_M1_MASK, VLOXSEG3EI32_V }, // 4056
  { PseudoVLOXSEG3EI32_V_M4_M2, VLOXSEG3EI32_V }, // 4057
  { PseudoVLOXSEG3EI32_V_M4_M2_MASK, VLOXSEG3EI32_V }, // 4058
  { PseudoVLOXSEG3EI32_V_M8_M2, VLOXSEG3EI32_V }, // 4059
  { PseudoVLOXSEG3EI32_V_M8_M2_MASK, VLOXSEG3EI32_V }, // 4060
  { PseudoVLOXSEG3EI32_V_MF2_M1, VLOXSEG3EI32_V }, // 4061
  { PseudoVLOXSEG3EI32_V_MF2_M1_MASK, VLOXSEG3EI32_V }, // 4062
  { PseudoVLOXSEG3EI32_V_MF2_MF2, VLOXSEG3EI32_V }, // 4063
  { PseudoVLOXSEG3EI32_V_MF2_MF2_MASK, VLOXSEG3EI32_V }, // 4064
  { PseudoVLOXSEG3EI32_V_MF2_MF4, VLOXSEG3EI32_V }, // 4065
  { PseudoVLOXSEG3EI32_V_MF2_MF4_MASK, VLOXSEG3EI32_V }, // 4066
  { PseudoVLOXSEG3EI32_V_MF2_MF8, VLOXSEG3EI32_V }, // 4067
  { PseudoVLOXSEG3EI32_V_MF2_MF8_MASK, VLOXSEG3EI32_V }, // 4068
  { PseudoVLOXSEG3EI64_V_M1_M1, VLOXSEG3EI64_V }, // 4069
  { PseudoVLOXSEG3EI64_V_M1_M1_MASK, VLOXSEG3EI64_V }, // 4070
  { PseudoVLOXSEG3EI64_V_M1_MF2, VLOXSEG3EI64_V }, // 4071
  { PseudoVLOXSEG3EI64_V_M1_MF2_MASK, VLOXSEG3EI64_V }, // 4072
  { PseudoVLOXSEG3EI64_V_M1_MF4, VLOXSEG3EI64_V }, // 4073
  { PseudoVLOXSEG3EI64_V_M1_MF4_MASK, VLOXSEG3EI64_V }, // 4074
  { PseudoVLOXSEG3EI64_V_M1_MF8, VLOXSEG3EI64_V }, // 4075
  { PseudoVLOXSEG3EI64_V_M1_MF8_MASK, VLOXSEG3EI64_V }, // 4076
  { PseudoVLOXSEG3EI64_V_M2_M1, VLOXSEG3EI64_V }, // 4077
  { PseudoVLOXSEG3EI64_V_M2_M1_MASK, VLOXSEG3EI64_V }, // 4078
  { PseudoVLOXSEG3EI64_V_M2_M2, VLOXSEG3EI64_V }, // 4079
  { PseudoVLOXSEG3EI64_V_M2_M2_MASK, VLOXSEG3EI64_V }, // 4080
  { PseudoVLOXSEG3EI64_V_M2_MF2, VLOXSEG3EI64_V }, // 4081
  { PseudoVLOXSEG3EI64_V_M2_MF2_MASK, VLOXSEG3EI64_V }, // 4082
  { PseudoVLOXSEG3EI64_V_M2_MF4, VLOXSEG3EI64_V }, // 4083
  { PseudoVLOXSEG3EI64_V_M2_MF4_MASK, VLOXSEG3EI64_V }, // 4084
  { PseudoVLOXSEG3EI64_V_M4_M1, VLOXSEG3EI64_V }, // 4085
  { PseudoVLOXSEG3EI64_V_M4_M1_MASK, VLOXSEG3EI64_V }, // 4086
  { PseudoVLOXSEG3EI64_V_M4_M2, VLOXSEG3EI64_V }, // 4087
  { PseudoVLOXSEG3EI64_V_M4_M2_MASK, VLOXSEG3EI64_V }, // 4088
  { PseudoVLOXSEG3EI64_V_M4_MF2, VLOXSEG3EI64_V }, // 4089
  { PseudoVLOXSEG3EI64_V_M4_MF2_MASK, VLOXSEG3EI64_V }, // 4090
  { PseudoVLOXSEG3EI64_V_M8_M1, VLOXSEG3EI64_V }, // 4091
  { PseudoVLOXSEG3EI64_V_M8_M1_MASK, VLOXSEG3EI64_V }, // 4092
  { PseudoVLOXSEG3EI64_V_M8_M2, VLOXSEG3EI64_V }, // 4093
  { PseudoVLOXSEG3EI64_V_M8_M2_MASK, VLOXSEG3EI64_V }, // 4094
  { PseudoVLOXSEG3EI8_V_M1_M1, VLOXSEG3EI8_V }, // 4095
  { PseudoVLOXSEG3EI8_V_M1_M1_MASK, VLOXSEG3EI8_V }, // 4096
  { PseudoVLOXSEG3EI8_V_M1_M2, VLOXSEG3EI8_V }, // 4097
  { PseudoVLOXSEG3EI8_V_M1_M2_MASK, VLOXSEG3EI8_V }, // 4098
  { PseudoVLOXSEG3EI8_V_M2_M2, VLOXSEG3EI8_V }, // 4099
  { PseudoVLOXSEG3EI8_V_M2_M2_MASK, VLOXSEG3EI8_V }, // 4100
  { PseudoVLOXSEG3EI8_V_MF2_M1, VLOXSEG3EI8_V }, // 4101
  { PseudoVLOXSEG3EI8_V_MF2_M1_MASK, VLOXSEG3EI8_V }, // 4102
  { PseudoVLOXSEG3EI8_V_MF2_M2, VLOXSEG3EI8_V }, // 4103
  { PseudoVLOXSEG3EI8_V_MF2_M2_MASK, VLOXSEG3EI8_V }, // 4104
  { PseudoVLOXSEG3EI8_V_MF2_MF2, VLOXSEG3EI8_V }, // 4105
  { PseudoVLOXSEG3EI8_V_MF2_MF2_MASK, VLOXSEG3EI8_V }, // 4106
  { PseudoVLOXSEG3EI8_V_MF4_M1, VLOXSEG3EI8_V }, // 4107
  { PseudoVLOXSEG3EI8_V_MF4_M1_MASK, VLOXSEG3EI8_V }, // 4108
  { PseudoVLOXSEG3EI8_V_MF4_M2, VLOXSEG3EI8_V }, // 4109
  { PseudoVLOXSEG3EI8_V_MF4_M2_MASK, VLOXSEG3EI8_V }, // 4110
  { PseudoVLOXSEG3EI8_V_MF4_MF2, VLOXSEG3EI8_V }, // 4111
  { PseudoVLOXSEG3EI8_V_MF4_MF2_MASK, VLOXSEG3EI8_V }, // 4112
  { PseudoVLOXSEG3EI8_V_MF4_MF4, VLOXSEG3EI8_V }, // 4113
  { PseudoVLOXSEG3EI8_V_MF4_MF4_MASK, VLOXSEG3EI8_V }, // 4114
  { PseudoVLOXSEG3EI8_V_MF8_M1, VLOXSEG3EI8_V }, // 4115
  { PseudoVLOXSEG3EI8_V_MF8_M1_MASK, VLOXSEG3EI8_V }, // 4116
  { PseudoVLOXSEG3EI8_V_MF8_MF2, VLOXSEG3EI8_V }, // 4117
  { PseudoVLOXSEG3EI8_V_MF8_MF2_MASK, VLOXSEG3EI8_V }, // 4118
  { PseudoVLOXSEG3EI8_V_MF8_MF4, VLOXSEG3EI8_V }, // 4119
  { PseudoVLOXSEG3EI8_V_MF8_MF4_MASK, VLOXSEG3EI8_V }, // 4120
  { PseudoVLOXSEG3EI8_V_MF8_MF8, VLOXSEG3EI8_V }, // 4121
  { PseudoVLOXSEG3EI8_V_MF8_MF8_MASK, VLOXSEG3EI8_V }, // 4122
  { PseudoVLOXSEG4EI16_V_M1_M1, VLOXSEG4EI16_V }, // 4123
  { PseudoVLOXSEG4EI16_V_M1_M1_MASK, VLOXSEG4EI16_V }, // 4124
  { PseudoVLOXSEG4EI16_V_M1_M2, VLOXSEG4EI16_V }, // 4125
  { PseudoVLOXSEG4EI16_V_M1_M2_MASK, VLOXSEG4EI16_V }, // 4126
  { PseudoVLOXSEG4EI16_V_M1_MF2, VLOXSEG4EI16_V }, // 4127
  { PseudoVLOXSEG4EI16_V_M1_MF2_MASK, VLOXSEG4EI16_V }, // 4128
  { PseudoVLOXSEG4EI16_V_M2_M1, VLOXSEG4EI16_V }, // 4129
  { PseudoVLOXSEG4EI16_V_M2_M1_MASK, VLOXSEG4EI16_V }, // 4130
  { PseudoVLOXSEG4EI16_V_M2_M2, VLOXSEG4EI16_V }, // 4131
  { PseudoVLOXSEG4EI16_V_M2_M2_MASK, VLOXSEG4EI16_V }, // 4132
  { PseudoVLOXSEG4EI16_V_M4_M2, VLOXSEG4EI16_V }, // 4133
  { PseudoVLOXSEG4EI16_V_M4_M2_MASK, VLOXSEG4EI16_V }, // 4134
  { PseudoVLOXSEG4EI16_V_MF2_M1, VLOXSEG4EI16_V }, // 4135
  { PseudoVLOXSEG4EI16_V_MF2_M1_MASK, VLOXSEG4EI16_V }, // 4136
  { PseudoVLOXSEG4EI16_V_MF2_M2, VLOXSEG4EI16_V }, // 4137
  { PseudoVLOXSEG4EI16_V_MF2_M2_MASK, VLOXSEG4EI16_V }, // 4138
  { PseudoVLOXSEG4EI16_V_MF2_MF2, VLOXSEG4EI16_V }, // 4139
  { PseudoVLOXSEG4EI16_V_MF2_MF2_MASK, VLOXSEG4EI16_V }, // 4140
  { PseudoVLOXSEG4EI16_V_MF2_MF4, VLOXSEG4EI16_V }, // 4141
  { PseudoVLOXSEG4EI16_V_MF2_MF4_MASK, VLOXSEG4EI16_V }, // 4142
  { PseudoVLOXSEG4EI16_V_MF4_M1, VLOXSEG4EI16_V }, // 4143
  { PseudoVLOXSEG4EI16_V_MF4_M1_MASK, VLOXSEG4EI16_V }, // 4144
  { PseudoVLOXSEG4EI16_V_MF4_MF2, VLOXSEG4EI16_V }, // 4145
  { PseudoVLOXSEG4EI16_V_MF4_MF2_MASK, VLOXSEG4EI16_V }, // 4146
  { PseudoVLOXSEG4EI16_V_MF4_MF4, VLOXSEG4EI16_V }, // 4147
  { PseudoVLOXSEG4EI16_V_MF4_MF4_MASK, VLOXSEG4EI16_V }, // 4148
  { PseudoVLOXSEG4EI16_V_MF4_MF8, VLOXSEG4EI16_V }, // 4149
  { PseudoVLOXSEG4EI16_V_MF4_MF8_MASK, VLOXSEG4EI16_V }, // 4150
  { PseudoVLOXSEG4EI32_V_M1_M1, VLOXSEG4EI32_V }, // 4151
  { PseudoVLOXSEG4EI32_V_M1_M1_MASK, VLOXSEG4EI32_V }, // 4152
  { PseudoVLOXSEG4EI32_V_M1_M2, VLOXSEG4EI32_V }, // 4153
  { PseudoVLOXSEG4EI32_V_M1_M2_MASK, VLOXSEG4EI32_V }, // 4154
  { PseudoVLOXSEG4EI32_V_M1_MF2, VLOXSEG4EI32_V }, // 4155
  { PseudoVLOXSEG4EI32_V_M1_MF2_MASK, VLOXSEG4EI32_V }, // 4156
  { PseudoVLOXSEG4EI32_V_M1_MF4, VLOXSEG4EI32_V }, // 4157
  { PseudoVLOXSEG4EI32_V_M1_MF4_MASK, VLOXSEG4EI32_V }, // 4158
  { PseudoVLOXSEG4EI32_V_M2_M1, VLOXSEG4EI32_V }, // 4159
  { PseudoVLOXSEG4EI32_V_M2_M1_MASK, VLOXSEG4EI32_V }, // 4160
  { PseudoVLOXSEG4EI32_V_M2_M2, VLOXSEG4EI32_V }, // 4161
  { PseudoVLOXSEG4EI32_V_M2_M2_MASK, VLOXSEG4EI32_V }, // 4162
  { PseudoVLOXSEG4EI32_V_M2_MF2, VLOXSEG4EI32_V }, // 4163
  { PseudoVLOXSEG4EI32_V_M2_MF2_MASK, VLOXSEG4EI32_V }, // 4164
  { PseudoVLOXSEG4EI32_V_M4_M1, VLOXSEG4EI32_V }, // 4165
  { PseudoVLOXSEG4EI32_V_M4_M1_MASK, VLOXSEG4EI32_V }, // 4166
  { PseudoVLOXSEG4EI32_V_M4_M2, VLOXSEG4EI32_V }, // 4167
  { PseudoVLOXSEG4EI32_V_M4_M2_MASK, VLOXSEG4EI32_V }, // 4168
  { PseudoVLOXSEG4EI32_V_M8_M2, VLOXSEG4EI32_V }, // 4169
  { PseudoVLOXSEG4EI32_V_M8_M2_MASK, VLOXSEG4EI32_V }, // 4170
  { PseudoVLOXSEG4EI32_V_MF2_M1, VLOXSEG4EI32_V }, // 4171
  { PseudoVLOXSEG4EI32_V_MF2_M1_MASK, VLOXSEG4EI32_V }, // 4172
  { PseudoVLOXSEG4EI32_V_MF2_MF2, VLOXSEG4EI32_V }, // 4173
  { PseudoVLOXSEG4EI32_V_MF2_MF2_MASK, VLOXSEG4EI32_V }, // 4174
  { PseudoVLOXSEG4EI32_V_MF2_MF4, VLOXSEG4EI32_V }, // 4175
  { PseudoVLOXSEG4EI32_V_MF2_MF4_MASK, VLOXSEG4EI32_V }, // 4176
  { PseudoVLOXSEG4EI32_V_MF2_MF8, VLOXSEG4EI32_V }, // 4177
  { PseudoVLOXSEG4EI32_V_MF2_MF8_MASK, VLOXSEG4EI32_V }, // 4178
  { PseudoVLOXSEG4EI64_V_M1_M1, VLOXSEG4EI64_V }, // 4179
  { PseudoVLOXSEG4EI64_V_M1_M1_MASK, VLOXSEG4EI64_V }, // 4180
  { PseudoVLOXSEG4EI64_V_M1_MF2, VLOXSEG4EI64_V }, // 4181
  { PseudoVLOXSEG4EI64_V_M1_MF2_MASK, VLOXSEG4EI64_V }, // 4182
  { PseudoVLOXSEG4EI64_V_M1_MF4, VLOXSEG4EI64_V }, // 4183
  { PseudoVLOXSEG4EI64_V_M1_MF4_MASK, VLOXSEG4EI64_V }, // 4184
  { PseudoVLOXSEG4EI64_V_M1_MF8, VLOXSEG4EI64_V }, // 4185
  { PseudoVLOXSEG4EI64_V_M1_MF8_MASK, VLOXSEG4EI64_V }, // 4186
  { PseudoVLOXSEG4EI64_V_M2_M1, VLOXSEG4EI64_V }, // 4187
  { PseudoVLOXSEG4EI64_V_M2_M1_MASK, VLOXSEG4EI64_V }, // 4188
  { PseudoVLOXSEG4EI64_V_M2_M2, VLOXSEG4EI64_V }, // 4189
  { PseudoVLOXSEG4EI64_V_M2_M2_MASK, VLOXSEG4EI64_V }, // 4190
  { PseudoVLOXSEG4EI64_V_M2_MF2, VLOXSEG4EI64_V }, // 4191
  { PseudoVLOXSEG4EI64_V_M2_MF2_MASK, VLOXSEG4EI64_V }, // 4192
  { PseudoVLOXSEG4EI64_V_M2_MF4, VLOXSEG4EI64_V }, // 4193
  { PseudoVLOXSEG4EI64_V_M2_MF4_MASK, VLOXSEG4EI64_V }, // 4194
  { PseudoVLOXSEG4EI64_V_M4_M1, VLOXSEG4EI64_V }, // 4195
  { PseudoVLOXSEG4EI64_V_M4_M1_MASK, VLOXSEG4EI64_V }, // 4196
  { PseudoVLOXSEG4EI64_V_M4_M2, VLOXSEG4EI64_V }, // 4197
  { PseudoVLOXSEG4EI64_V_M4_M2_MASK, VLOXSEG4EI64_V }, // 4198
  { PseudoVLOXSEG4EI64_V_M4_MF2, VLOXSEG4EI64_V }, // 4199
  { PseudoVLOXSEG4EI64_V_M4_MF2_MASK, VLOXSEG4EI64_V }, // 4200
  { PseudoVLOXSEG4EI64_V_M8_M1, VLOXSEG4EI64_V }, // 4201
  { PseudoVLOXSEG4EI64_V_M8_M1_MASK, VLOXSEG4EI64_V }, // 4202
  { PseudoVLOXSEG4EI64_V_M8_M2, VLOXSEG4EI64_V }, // 4203
  { PseudoVLOXSEG4EI64_V_M8_M2_MASK, VLOXSEG4EI64_V }, // 4204
  { PseudoVLOXSEG4EI8_V_M1_M1, VLOXSEG4EI8_V }, // 4205
  { PseudoVLOXSEG4EI8_V_M1_M1_MASK, VLOXSEG4EI8_V }, // 4206
  { PseudoVLOXSEG4EI8_V_M1_M2, VLOXSEG4EI8_V }, // 4207
  { PseudoVLOXSEG4EI8_V_M1_M2_MASK, VLOXSEG4EI8_V }, // 4208
  { PseudoVLOXSEG4EI8_V_M2_M2, VLOXSEG4EI8_V }, // 4209
  { PseudoVLOXSEG4EI8_V_M2_M2_MASK, VLOXSEG4EI8_V }, // 4210
  { PseudoVLOXSEG4EI8_V_MF2_M1, VLOXSEG4EI8_V }, // 4211
  { PseudoVLOXSEG4EI8_V_MF2_M1_MASK, VLOXSEG4EI8_V }, // 4212
  { PseudoVLOXSEG4EI8_V_MF2_M2, VLOXSEG4EI8_V }, // 4213
  { PseudoVLOXSEG4EI8_V_MF2_M2_MASK, VLOXSEG4EI8_V }, // 4214
  { PseudoVLOXSEG4EI8_V_MF2_MF2, VLOXSEG4EI8_V }, // 4215
  { PseudoVLOXSEG4EI8_V_MF2_MF2_MASK, VLOXSEG4EI8_V }, // 4216
  { PseudoVLOXSEG4EI8_V_MF4_M1, VLOXSEG4EI8_V }, // 4217
  { PseudoVLOXSEG4EI8_V_MF4_M1_MASK, VLOXSEG4EI8_V }, // 4218
  { PseudoVLOXSEG4EI8_V_MF4_M2, VLOXSEG4EI8_V }, // 4219
  { PseudoVLOXSEG4EI8_V_MF4_M2_MASK, VLOXSEG4EI8_V }, // 4220
  { PseudoVLOXSEG4EI8_V_MF4_MF2, VLOXSEG4EI8_V }, // 4221
  { PseudoVLOXSEG4EI8_V_MF4_MF2_MASK, VLOXSEG4EI8_V }, // 4222
  { PseudoVLOXSEG4EI8_V_MF4_MF4, VLOXSEG4EI8_V }, // 4223
  { PseudoVLOXSEG4EI8_V_MF4_MF4_MASK, VLOXSEG4EI8_V }, // 4224
  { PseudoVLOXSEG4EI8_V_MF8_M1, VLOXSEG4EI8_V }, // 4225
  { PseudoVLOXSEG4EI8_V_MF8_M1_MASK, VLOXSEG4EI8_V }, // 4226
  { PseudoVLOXSEG4EI8_V_MF8_MF2, VLOXSEG4EI8_V }, // 4227
  { PseudoVLOXSEG4EI8_V_MF8_MF2_MASK, VLOXSEG4EI8_V }, // 4228
  { PseudoVLOXSEG4EI8_V_MF8_MF4, VLOXSEG4EI8_V }, // 4229
  { PseudoVLOXSEG4EI8_V_MF8_MF4_MASK, VLOXSEG4EI8_V }, // 4230
  { PseudoVLOXSEG4EI8_V_MF8_MF8, VLOXSEG4EI8_V }, // 4231
  { PseudoVLOXSEG4EI8_V_MF8_MF8_MASK, VLOXSEG4EI8_V }, // 4232
  { PseudoVLOXSEG5EI16_V_M1_M1, VLOXSEG5EI16_V }, // 4233
  { PseudoVLOXSEG5EI16_V_M1_M1_MASK, VLOXSEG5EI16_V }, // 4234
  { PseudoVLOXSEG5EI16_V_M1_MF2, VLOXSEG5EI16_V }, // 4235
  { PseudoVLOXSEG5EI16_V_M1_MF2_MASK, VLOXSEG5EI16_V }, // 4236
  { PseudoVLOXSEG5EI16_V_M2_M1, VLOXSEG5EI16_V }, // 4237
  { PseudoVLOXSEG5EI16_V_M2_M1_MASK, VLOXSEG5EI16_V }, // 4238
  { PseudoVLOXSEG5EI16_V_MF2_M1, VLOXSEG5EI16_V }, // 4239
  { PseudoVLOXSEG5EI16_V_MF2_M1_MASK, VLOXSEG5EI16_V }, // 4240
  { PseudoVLOXSEG5EI16_V_MF2_MF2, VLOXSEG5EI16_V }, // 4241
  { PseudoVLOXSEG5EI16_V_MF2_MF2_MASK, VLOXSEG5EI16_V }, // 4242
  { PseudoVLOXSEG5EI16_V_MF2_MF4, VLOXSEG5EI16_V }, // 4243
  { PseudoVLOXSEG5EI16_V_MF2_MF4_MASK, VLOXSEG5EI16_V }, // 4244
  { PseudoVLOXSEG5EI16_V_MF4_M1, VLOXSEG5EI16_V }, // 4245
  { PseudoVLOXSEG5EI16_V_MF4_M1_MASK, VLOXSEG5EI16_V }, // 4246
  { PseudoVLOXSEG5EI16_V_MF4_MF2, VLOXSEG5EI16_V }, // 4247
  { PseudoVLOXSEG5EI16_V_MF4_MF2_MASK, VLOXSEG5EI16_V }, // 4248
  { PseudoVLOXSEG5EI16_V_MF4_MF4, VLOXSEG5EI16_V }, // 4249
  { PseudoVLOXSEG5EI16_V_MF4_MF4_MASK, VLOXSEG5EI16_V }, // 4250
  { PseudoVLOXSEG5EI16_V_MF4_MF8, VLOXSEG5EI16_V }, // 4251
  { PseudoVLOXSEG5EI16_V_MF4_MF8_MASK, VLOXSEG5EI16_V }, // 4252
  { PseudoVLOXSEG5EI32_V_M1_M1, VLOXSEG5EI32_V }, // 4253
  { PseudoVLOXSEG5EI32_V_M1_M1_MASK, VLOXSEG5EI32_V }, // 4254
  { PseudoVLOXSEG5EI32_V_M1_MF2, VLOXSEG5EI32_V }, // 4255
  { PseudoVLOXSEG5EI32_V_M1_MF2_MASK, VLOXSEG5EI32_V }, // 4256
  { PseudoVLOXSEG5EI32_V_M1_MF4, VLOXSEG5EI32_V }, // 4257
  { PseudoVLOXSEG5EI32_V_M1_MF4_MASK, VLOXSEG5EI32_V }, // 4258
  { PseudoVLOXSEG5EI32_V_M2_M1, VLOXSEG5EI32_V }, // 4259
  { PseudoVLOXSEG5EI32_V_M2_M1_MASK, VLOXSEG5EI32_V }, // 4260
  { PseudoVLOXSEG5EI32_V_M2_MF2, VLOXSEG5EI32_V }, // 4261
  { PseudoVLOXSEG5EI32_V_M2_MF2_MASK, VLOXSEG5EI32_V }, // 4262
  { PseudoVLOXSEG5EI32_V_M4_M1, VLOXSEG5EI32_V }, // 4263
  { PseudoVLOXSEG5EI32_V_M4_M1_MASK, VLOXSEG5EI32_V }, // 4264
  { PseudoVLOXSEG5EI32_V_MF2_M1, VLOXSEG5EI32_V }, // 4265
  { PseudoVLOXSEG5EI32_V_MF2_M1_MASK, VLOXSEG5EI32_V }, // 4266
  { PseudoVLOXSEG5EI32_V_MF2_MF2, VLOXSEG5EI32_V }, // 4267
  { PseudoVLOXSEG5EI32_V_MF2_MF2_MASK, VLOXSEG5EI32_V }, // 4268
  { PseudoVLOXSEG5EI32_V_MF2_MF4, VLOXSEG5EI32_V }, // 4269
  { PseudoVLOXSEG5EI32_V_MF2_MF4_MASK, VLOXSEG5EI32_V }, // 4270
  { PseudoVLOXSEG5EI32_V_MF2_MF8, VLOXSEG5EI32_V }, // 4271
  { PseudoVLOXSEG5EI32_V_MF2_MF8_MASK, VLOXSEG5EI32_V }, // 4272
  { PseudoVLOXSEG5EI64_V_M1_M1, VLOXSEG5EI64_V }, // 4273
  { PseudoVLOXSEG5EI64_V_M1_M1_MASK, VLOXSEG5EI64_V }, // 4274
  { PseudoVLOXSEG5EI64_V_M1_MF2, VLOXSEG5EI64_V }, // 4275
  { PseudoVLOXSEG5EI64_V_M1_MF2_MASK, VLOXSEG5EI64_V }, // 4276
  { PseudoVLOXSEG5EI64_V_M1_MF4, VLOXSEG5EI64_V }, // 4277
  { PseudoVLOXSEG5EI64_V_M1_MF4_MASK, VLOXSEG5EI64_V }, // 4278
  { PseudoVLOXSEG5EI64_V_M1_MF8, VLOXSEG5EI64_V }, // 4279
  { PseudoVLOXSEG5EI64_V_M1_MF8_MASK, VLOXSEG5EI64_V }, // 4280
  { PseudoVLOXSEG5EI64_V_M2_M1, VLOXSEG5EI64_V }, // 4281
  { PseudoVLOXSEG5EI64_V_M2_M1_MASK, VLOXSEG5EI64_V }, // 4282
  { PseudoVLOXSEG5EI64_V_M2_MF2, VLOXSEG5EI64_V }, // 4283
  { PseudoVLOXSEG5EI64_V_M2_MF2_MASK, VLOXSEG5EI64_V }, // 4284
  { PseudoVLOXSEG5EI64_V_M2_MF4, VLOXSEG5EI64_V }, // 4285
  { PseudoVLOXSEG5EI64_V_M2_MF4_MASK, VLOXSEG5EI64_V }, // 4286
  { PseudoVLOXSEG5EI64_V_M4_M1, VLOXSEG5EI64_V }, // 4287
  { PseudoVLOXSEG5EI64_V_M4_M1_MASK, VLOXSEG5EI64_V }, // 4288
  { PseudoVLOXSEG5EI64_V_M4_MF2, VLOXSEG5EI64_V }, // 4289
  { PseudoVLOXSEG5EI64_V_M4_MF2_MASK, VLOXSEG5EI64_V }, // 4290
  { PseudoVLOXSEG5EI64_V_M8_M1, VLOXSEG5EI64_V }, // 4291
  { PseudoVLOXSEG5EI64_V_M8_M1_MASK, VLOXSEG5EI64_V }, // 4292
  { PseudoVLOXSEG5EI8_V_M1_M1, VLOXSEG5EI8_V }, // 4293
  { PseudoVLOXSEG5EI8_V_M1_M1_MASK, VLOXSEG5EI8_V }, // 4294
  { PseudoVLOXSEG5EI8_V_MF2_M1, VLOXSEG5EI8_V }, // 4295
  { PseudoVLOXSEG5EI8_V_MF2_M1_MASK, VLOXSEG5EI8_V }, // 4296
  { PseudoVLOXSEG5EI8_V_MF2_MF2, VLOXSEG5EI8_V }, // 4297
  { PseudoVLOXSEG5EI8_V_MF2_MF2_MASK, VLOXSEG5EI8_V }, // 4298
  { PseudoVLOXSEG5EI8_V_MF4_M1, VLOXSEG5EI8_V }, // 4299
  { PseudoVLOXSEG5EI8_V_MF4_M1_MASK, VLOXSEG5EI8_V }, // 4300
  { PseudoVLOXSEG5EI8_V_MF4_MF2, VLOXSEG5EI8_V }, // 4301
  { PseudoVLOXSEG5EI8_V_MF4_MF2_MASK, VLOXSEG5EI8_V }, // 4302
  { PseudoVLOXSEG5EI8_V_MF4_MF4, VLOXSEG5EI8_V }, // 4303
  { PseudoVLOXSEG5EI8_V_MF4_MF4_MASK, VLOXSEG5EI8_V }, // 4304
  { PseudoVLOXSEG5EI8_V_MF8_M1, VLOXSEG5EI8_V }, // 4305
  { PseudoVLOXSEG5EI8_V_MF8_M1_MASK, VLOXSEG5EI8_V }, // 4306
  { PseudoVLOXSEG5EI8_V_MF8_MF2, VLOXSEG5EI8_V }, // 4307
  { PseudoVLOXSEG5EI8_V_MF8_MF2_MASK, VLOXSEG5EI8_V }, // 4308
  { PseudoVLOXSEG5EI8_V_MF8_MF4, VLOXSEG5EI8_V }, // 4309
  { PseudoVLOXSEG5EI8_V_MF8_MF4_MASK, VLOXSEG5EI8_V }, // 4310
  { PseudoVLOXSEG5EI8_V_MF8_MF8, VLOXSEG5EI8_V }, // 4311
  { PseudoVLOXSEG5EI8_V_MF8_MF8_MASK, VLOXSEG5EI8_V }, // 4312
  { PseudoVLOXSEG6EI16_V_M1_M1, VLOXSEG6EI16_V }, // 4313
  { PseudoVLOXSEG6EI16_V_M1_M1_MASK, VLOXSEG6EI16_V }, // 4314
  { PseudoVLOXSEG6EI16_V_M1_MF2, VLOXSEG6EI16_V }, // 4315
  { PseudoVLOXSEG6EI16_V_M1_MF2_MASK, VLOXSEG6EI16_V }, // 4316
  { PseudoVLOXSEG6EI16_V_M2_M1, VLOXSEG6EI16_V }, // 4317
  { PseudoVLOXSEG6EI16_V_M2_M1_MASK, VLOXSEG6EI16_V }, // 4318
  { PseudoVLOXSEG6EI16_V_MF2_M1, VLOXSEG6EI16_V }, // 4319
  { PseudoVLOXSEG6EI16_V_MF2_M1_MASK, VLOXSEG6EI16_V }, // 4320
  { PseudoVLOXSEG6EI16_V_MF2_MF2, VLOXSEG6EI16_V }, // 4321
  { PseudoVLOXSEG6EI16_V_MF2_MF2_MASK, VLOXSEG6EI16_V }, // 4322
  { PseudoVLOXSEG6EI16_V_MF2_MF4, VLOXSEG6EI16_V }, // 4323
  { PseudoVLOXSEG6EI16_V_MF2_MF4_MASK, VLOXSEG6EI16_V }, // 4324
  { PseudoVLOXSEG6EI16_V_MF4_M1, VLOXSEG6EI16_V }, // 4325
  { PseudoVLOXSEG6EI16_V_MF4_M1_MASK, VLOXSEG6EI16_V }, // 4326
  { PseudoVLOXSEG6EI16_V_MF4_MF2, VLOXSEG6EI16_V }, // 4327
  { PseudoVLOXSEG6EI16_V_MF4_MF2_MASK, VLOXSEG6EI16_V }, // 4328
  { PseudoVLOXSEG6EI16_V_MF4_MF4, VLOXSEG6EI16_V }, // 4329
  { PseudoVLOXSEG6EI16_V_MF4_MF4_MASK, VLOXSEG6EI16_V }, // 4330
  { PseudoVLOXSEG6EI16_V_MF4_MF8, VLOXSEG6EI16_V }, // 4331
  { PseudoVLOXSEG6EI16_V_MF4_MF8_MASK, VLOXSEG6EI16_V }, // 4332
  { PseudoVLOXSEG6EI32_V_M1_M1, VLOXSEG6EI32_V }, // 4333
  { PseudoVLOXSEG6EI32_V_M1_M1_MASK, VLOXSEG6EI32_V }, // 4334
  { PseudoVLOXSEG6EI32_V_M1_MF2, VLOXSEG6EI32_V }, // 4335
  { PseudoVLOXSEG6EI32_V_M1_MF2_MASK, VLOXSEG6EI32_V }, // 4336
  { PseudoVLOXSEG6EI32_V_M1_MF4, VLOXSEG6EI32_V }, // 4337
  { PseudoVLOXSEG6EI32_V_M1_MF4_MASK, VLOXSEG6EI32_V }, // 4338
  { PseudoVLOXSEG6EI32_V_M2_M1, VLOXSEG6EI32_V }, // 4339
  { PseudoVLOXSEG6EI32_V_M2_M1_MASK, VLOXSEG6EI32_V }, // 4340
  { PseudoVLOXSEG6EI32_V_M2_MF2, VLOXSEG6EI32_V }, // 4341
  { PseudoVLOXSEG6EI32_V_M2_MF2_MASK, VLOXSEG6EI32_V }, // 4342
  { PseudoVLOXSEG6EI32_V_M4_M1, VLOXSEG6EI32_V }, // 4343
  { PseudoVLOXSEG6EI32_V_M4_M1_MASK, VLOXSEG6EI32_V }, // 4344
  { PseudoVLOXSEG6EI32_V_MF2_M1, VLOXSEG6EI32_V }, // 4345
  { PseudoVLOXSEG6EI32_V_MF2_M1_MASK, VLOXSEG6EI32_V }, // 4346
  { PseudoVLOXSEG6EI32_V_MF2_MF2, VLOXSEG6EI32_V }, // 4347
  { PseudoVLOXSEG6EI32_V_MF2_MF2_MASK, VLOXSEG6EI32_V }, // 4348
  { PseudoVLOXSEG6EI32_V_MF2_MF4, VLOXSEG6EI32_V }, // 4349
  { PseudoVLOXSEG6EI32_V_MF2_MF4_MASK, VLOXSEG6EI32_V }, // 4350
  { PseudoVLOXSEG6EI32_V_MF2_MF8, VLOXSEG6EI32_V }, // 4351
  { PseudoVLOXSEG6EI32_V_MF2_MF8_MASK, VLOXSEG6EI32_V }, // 4352
  { PseudoVLOXSEG6EI64_V_M1_M1, VLOXSEG6EI64_V }, // 4353
  { PseudoVLOXSEG6EI64_V_M1_M1_MASK, VLOXSEG6EI64_V }, // 4354
  { PseudoVLOXSEG6EI64_V_M1_MF2, VLOXSEG6EI64_V }, // 4355
  { PseudoVLOXSEG6EI64_V_M1_MF2_MASK, VLOXSEG6EI64_V }, // 4356
  { PseudoVLOXSEG6EI64_V_M1_MF4, VLOXSEG6EI64_V }, // 4357
  { PseudoVLOXSEG6EI64_V_M1_MF4_MASK, VLOXSEG6EI64_V }, // 4358
  { PseudoVLOXSEG6EI64_V_M1_MF8, VLOXSEG6EI64_V }, // 4359
  { PseudoVLOXSEG6EI64_V_M1_MF8_MASK, VLOXSEG6EI64_V }, // 4360
  { PseudoVLOXSEG6EI64_V_M2_M1, VLOXSEG6EI64_V }, // 4361
  { PseudoVLOXSEG6EI64_V_M2_M1_MASK, VLOXSEG6EI64_V }, // 4362
  { PseudoVLOXSEG6EI64_V_M2_MF2, VLOXSEG6EI64_V }, // 4363
  { PseudoVLOXSEG6EI64_V_M2_MF2_MASK, VLOXSEG6EI64_V }, // 4364
  { PseudoVLOXSEG6EI64_V_M2_MF4, VLOXSEG6EI64_V }, // 4365
  { PseudoVLOXSEG6EI64_V_M2_MF4_MASK, VLOXSEG6EI64_V }, // 4366
  { PseudoVLOXSEG6EI64_V_M4_M1, VLOXSEG6EI64_V }, // 4367
  { PseudoVLOXSEG6EI64_V_M4_M1_MASK, VLOXSEG6EI64_V }, // 4368
  { PseudoVLOXSEG6EI64_V_M4_MF2, VLOXSEG6EI64_V }, // 4369
  { PseudoVLOXSEG6EI64_V_M4_MF2_MASK, VLOXSEG6EI64_V }, // 4370
  { PseudoVLOXSEG6EI64_V_M8_M1, VLOXSEG6EI64_V }, // 4371
  { PseudoVLOXSEG6EI64_V_M8_M1_MASK, VLOXSEG6EI64_V }, // 4372
  { PseudoVLOXSEG6EI8_V_M1_M1, VLOXSEG6EI8_V }, // 4373
  { PseudoVLOXSEG6EI8_V_M1_M1_MASK, VLOXSEG6EI8_V }, // 4374
  { PseudoVLOXSEG6EI8_V_MF2_M1, VLOXSEG6EI8_V }, // 4375
  { PseudoVLOXSEG6EI8_V_MF2_M1_MASK, VLOXSEG6EI8_V }, // 4376
  { PseudoVLOXSEG6EI8_V_MF2_MF2, VLOXSEG6EI8_V }, // 4377
  { PseudoVLOXSEG6EI8_V_MF2_MF2_MASK, VLOXSEG6EI8_V }, // 4378
  { PseudoVLOXSEG6EI8_V_MF4_M1, VLOXSEG6EI8_V }, // 4379
  { PseudoVLOXSEG6EI8_V_MF4_M1_MASK, VLOXSEG6EI8_V }, // 4380
  { PseudoVLOXSEG6EI8_V_MF4_MF2, VLOXSEG6EI8_V }, // 4381
  { PseudoVLOXSEG6EI8_V_MF4_MF2_MASK, VLOXSEG6EI8_V }, // 4382
  { PseudoVLOXSEG6EI8_V_MF4_MF4, VLOXSEG6EI8_V }, // 4383
  { PseudoVLOXSEG6EI8_V_MF4_MF4_MASK, VLOXSEG6EI8_V }, // 4384
  { PseudoVLOXSEG6EI8_V_MF8_M1, VLOXSEG6EI8_V }, // 4385
  { PseudoVLOXSEG6EI8_V_MF8_M1_MASK, VLOXSEG6EI8_V }, // 4386
  { PseudoVLOXSEG6EI8_V_MF8_MF2, VLOXSEG6EI8_V }, // 4387
  { PseudoVLOXSEG6EI8_V_MF8_MF2_MASK, VLOXSEG6EI8_V }, // 4388
  { PseudoVLOXSEG6EI8_V_MF8_MF4, VLOXSEG6EI8_V }, // 4389
  { PseudoVLOXSEG6EI8_V_MF8_MF4_MASK, VLOXSEG6EI8_V }, // 4390
  { PseudoVLOXSEG6EI8_V_MF8_MF8, VLOXSEG6EI8_V }, // 4391
  { PseudoVLOXSEG6EI8_V_MF8_MF8_MASK, VLOXSEG6EI8_V }, // 4392
  { PseudoVLOXSEG7EI16_V_M1_M1, VLOXSEG7EI16_V }, // 4393
  { PseudoVLOXSEG7EI16_V_M1_M1_MASK, VLOXSEG7EI16_V }, // 4394
  { PseudoVLOXSEG7EI16_V_M1_MF2, VLOXSEG7EI16_V }, // 4395
  { PseudoVLOXSEG7EI16_V_M1_MF2_MASK, VLOXSEG7EI16_V }, // 4396
  { PseudoVLOXSEG7EI16_V_M2_M1, VLOXSEG7EI16_V }, // 4397
  { PseudoVLOXSEG7EI16_V_M2_M1_MASK, VLOXSEG7EI16_V }, // 4398
  { PseudoVLOXSEG7EI16_V_MF2_M1, VLOXSEG7EI16_V }, // 4399
  { PseudoVLOXSEG7EI16_V_MF2_M1_MASK, VLOXSEG7EI16_V }, // 4400
  { PseudoVLOXSEG7EI16_V_MF2_MF2, VLOXSEG7EI16_V }, // 4401
  { PseudoVLOXSEG7EI16_V_MF2_MF2_MASK, VLOXSEG7EI16_V }, // 4402
  { PseudoVLOXSEG7EI16_V_MF2_MF4, VLOXSEG7EI16_V }, // 4403
  { PseudoVLOXSEG7EI16_V_MF2_MF4_MASK, VLOXSEG7EI16_V }, // 4404
  { PseudoVLOXSEG7EI16_V_MF4_M1, VLOXSEG7EI16_V }, // 4405
  { PseudoVLOXSEG7EI16_V_MF4_M1_MASK, VLOXSEG7EI16_V }, // 4406
  { PseudoVLOXSEG7EI16_V_MF4_MF2, VLOXSEG7EI16_V }, // 4407
  { PseudoVLOXSEG7EI16_V_MF4_MF2_MASK, VLOXSEG7EI16_V }, // 4408
  { PseudoVLOXSEG7EI16_V_MF4_MF4, VLOXSEG7EI16_V }, // 4409
  { PseudoVLOXSEG7EI16_V_MF4_MF4_MASK, VLOXSEG7EI16_V }, // 4410
  { PseudoVLOXSEG7EI16_V_MF4_MF8, VLOXSEG7EI16_V }, // 4411
  { PseudoVLOXSEG7EI16_V_MF4_MF8_MASK, VLOXSEG7EI16_V }, // 4412
  { PseudoVLOXSEG7EI32_V_M1_M1, VLOXSEG7EI32_V }, // 4413
  { PseudoVLOXSEG7EI32_V_M1_M1_MASK, VLOXSEG7EI32_V }, // 4414
  { PseudoVLOXSEG7EI32_V_M1_MF2, VLOXSEG7EI32_V }, // 4415
  { PseudoVLOXSEG7EI32_V_M1_MF2_MASK, VLOXSEG7EI32_V }, // 4416
  { PseudoVLOXSEG7EI32_V_M1_MF4, VLOXSEG7EI32_V }, // 4417
  { PseudoVLOXSEG7EI32_V_M1_MF4_MASK, VLOXSEG7EI32_V }, // 4418
  { PseudoVLOXSEG7EI32_V_M2_M1, VLOXSEG7EI32_V }, // 4419
  { PseudoVLOXSEG7EI32_V_M2_M1_MASK, VLOXSEG7EI32_V }, // 4420
  { PseudoVLOXSEG7EI32_V_M2_MF2, VLOXSEG7EI32_V }, // 4421
  { PseudoVLOXSEG7EI32_V_M2_MF2_MASK, VLOXSEG7EI32_V }, // 4422
  { PseudoVLOXSEG7EI32_V_M4_M1, VLOXSEG7EI32_V }, // 4423
  { PseudoVLOXSEG7EI32_V_M4_M1_MASK, VLOXSEG7EI32_V }, // 4424
  { PseudoVLOXSEG7EI32_V_MF2_M1, VLOXSEG7EI32_V }, // 4425
  { PseudoVLOXSEG7EI32_V_MF2_M1_MASK, VLOXSEG7EI32_V }, // 4426
  { PseudoVLOXSEG7EI32_V_MF2_MF2, VLOXSEG7EI32_V }, // 4427
  { PseudoVLOXSEG7EI32_V_MF2_MF2_MASK, VLOXSEG7EI32_V }, // 4428
  { PseudoVLOXSEG7EI32_V_MF2_MF4, VLOXSEG7EI32_V }, // 4429
  { PseudoVLOXSEG7EI32_V_MF2_MF4_MASK, VLOXSEG7EI32_V }, // 4430
  { PseudoVLOXSEG7EI32_V_MF2_MF8, VLOXSEG7EI32_V }, // 4431
  { PseudoVLOXSEG7EI32_V_MF2_MF8_MASK, VLOXSEG7EI32_V }, // 4432
  { PseudoVLOXSEG7EI64_V_M1_M1, VLOXSEG7EI64_V }, // 4433
  { PseudoVLOXSEG7EI64_V_M1_M1_MASK, VLOXSEG7EI64_V }, // 4434
  { PseudoVLOXSEG7EI64_V_M1_MF2, VLOXSEG7EI64_V }, // 4435
  { PseudoVLOXSEG7EI64_V_M1_MF2_MASK, VLOXSEG7EI64_V }, // 4436
  { PseudoVLOXSEG7EI64_V_M1_MF4, VLOXSEG7EI64_V }, // 4437
  { PseudoVLOXSEG7EI64_V_M1_MF4_MASK, VLOXSEG7EI64_V }, // 4438
  { PseudoVLOXSEG7EI64_V_M1_MF8, VLOXSEG7EI64_V }, // 4439
  { PseudoVLOXSEG7EI64_V_M1_MF8_MASK, VLOXSEG7EI64_V }, // 4440
  { PseudoVLOXSEG7EI64_V_M2_M1, VLOXSEG7EI64_V }, // 4441
  { PseudoVLOXSEG7EI64_V_M2_M1_MASK, VLOXSEG7EI64_V }, // 4442
  { PseudoVLOXSEG7EI64_V_M2_MF2, VLOXSEG7EI64_V }, // 4443
  { PseudoVLOXSEG7EI64_V_M2_MF2_MASK, VLOXSEG7EI64_V }, // 4444
  { PseudoVLOXSEG7EI64_V_M2_MF4, VLOXSEG7EI64_V }, // 4445
  { PseudoVLOXSEG7EI64_V_M2_MF4_MASK, VLOXSEG7EI64_V }, // 4446
  { PseudoVLOXSEG7EI64_V_M4_M1, VLOXSEG7EI64_V }, // 4447
  { PseudoVLOXSEG7EI64_V_M4_M1_MASK, VLOXSEG7EI64_V }, // 4448
  { PseudoVLOXSEG7EI64_V_M4_MF2, VLOXSEG7EI64_V }, // 4449
  { PseudoVLOXSEG7EI64_V_M4_MF2_MASK, VLOXSEG7EI64_V }, // 4450
  { PseudoVLOXSEG7EI64_V_M8_M1, VLOXSEG7EI64_V }, // 4451
  { PseudoVLOXSEG7EI64_V_M8_M1_MASK, VLOXSEG7EI64_V }, // 4452
  { PseudoVLOXSEG7EI8_V_M1_M1, VLOXSEG7EI8_V }, // 4453
  { PseudoVLOXSEG7EI8_V_M1_M1_MASK, VLOXSEG7EI8_V }, // 4454
  { PseudoVLOXSEG7EI8_V_MF2_M1, VLOXSEG7EI8_V }, // 4455
  { PseudoVLOXSEG7EI8_V_MF2_M1_MASK, VLOXSEG7EI8_V }, // 4456
  { PseudoVLOXSEG7EI8_V_MF2_MF2, VLOXSEG7EI8_V }, // 4457
  { PseudoVLOXSEG7EI8_V_MF2_MF2_MASK, VLOXSEG7EI8_V }, // 4458
  { PseudoVLOXSEG7EI8_V_MF4_M1, VLOXSEG7EI8_V }, // 4459
  { PseudoVLOXSEG7EI8_V_MF4_M1_MASK, VLOXSEG7EI8_V }, // 4460
  { PseudoVLOXSEG7EI8_V_MF4_MF2, VLOXSEG7EI8_V }, // 4461
  { PseudoVLOXSEG7EI8_V_MF4_MF2_MASK, VLOXSEG7EI8_V }, // 4462
  { PseudoVLOXSEG7EI8_V_MF4_MF4, VLOXSEG7EI8_V }, // 4463
  { PseudoVLOXSEG7EI8_V_MF4_MF4_MASK, VLOXSEG7EI8_V }, // 4464
  { PseudoVLOXSEG7EI8_V_MF8_M1, VLOXSEG7EI8_V }, // 4465
  { PseudoVLOXSEG7EI8_V_MF8_M1_MASK, VLOXSEG7EI8_V }, // 4466
  { PseudoVLOXSEG7EI8_V_MF8_MF2, VLOXSEG7EI8_V }, // 4467
  { PseudoVLOXSEG7EI8_V_MF8_MF2_MASK, VLOXSEG7EI8_V }, // 4468
  { PseudoVLOXSEG7EI8_V_MF8_MF4, VLOXSEG7EI8_V }, // 4469
  { PseudoVLOXSEG7EI8_V_MF8_MF4_MASK, VLOXSEG7EI8_V }, // 4470
  { PseudoVLOXSEG7EI8_V_MF8_MF8, VLOXSEG7EI8_V }, // 4471
  { PseudoVLOXSEG7EI8_V_MF8_MF8_MASK, VLOXSEG7EI8_V }, // 4472
  { PseudoVLOXSEG8EI16_V_M1_M1, VLOXSEG8EI16_V }, // 4473
  { PseudoVLOXSEG8EI16_V_M1_M1_MASK, VLOXSEG8EI16_V }, // 4474
  { PseudoVLOXSEG8EI16_V_M1_MF2, VLOXSEG8EI16_V }, // 4475
  { PseudoVLOXSEG8EI16_V_M1_MF2_MASK, VLOXSEG8EI16_V }, // 4476
  { PseudoVLOXSEG8EI16_V_M2_M1, VLOXSEG8EI16_V }, // 4477
  { PseudoVLOXSEG8EI16_V_M2_M1_MASK, VLOXSEG8EI16_V }, // 4478
  { PseudoVLOXSEG8EI16_V_MF2_M1, VLOXSEG8EI16_V }, // 4479
  { PseudoVLOXSEG8EI16_V_MF2_M1_MASK, VLOXSEG8EI16_V }, // 4480
  { PseudoVLOXSEG8EI16_V_MF2_MF2, VLOXSEG8EI16_V }, // 4481
  { PseudoVLOXSEG8EI16_V_MF2_MF2_MASK, VLOXSEG8EI16_V }, // 4482
  { PseudoVLOXSEG8EI16_V_MF2_MF4, VLOXSEG8EI16_V }, // 4483
  { PseudoVLOXSEG8EI16_V_MF2_MF4_MASK, VLOXSEG8EI16_V }, // 4484
  { PseudoVLOXSEG8EI16_V_MF4_M1, VLOXSEG8EI16_V }, // 4485
  { PseudoVLOXSEG8EI16_V_MF4_M1_MASK, VLOXSEG8EI16_V }, // 4486
  { PseudoVLOXSEG8EI16_V_MF4_MF2, VLOXSEG8EI16_V }, // 4487
  { PseudoVLOXSEG8EI16_V_MF4_MF2_MASK, VLOXSEG8EI16_V }, // 4488
  { PseudoVLOXSEG8EI16_V_MF4_MF4, VLOXSEG8EI16_V }, // 4489
  { PseudoVLOXSEG8EI16_V_MF4_MF4_MASK, VLOXSEG8EI16_V }, // 4490
  { PseudoVLOXSEG8EI16_V_MF4_MF8, VLOXSEG8EI16_V }, // 4491
  { PseudoVLOXSEG8EI16_V_MF4_MF8_MASK, VLOXSEG8EI16_V }, // 4492
  { PseudoVLOXSEG8EI32_V_M1_M1, VLOXSEG8EI32_V }, // 4493
  { PseudoVLOXSEG8EI32_V_M1_M1_MASK, VLOXSEG8EI32_V }, // 4494
  { PseudoVLOXSEG8EI32_V_M1_MF2, VLOXSEG8EI32_V }, // 4495
  { PseudoVLOXSEG8EI32_V_M1_MF2_MASK, VLOXSEG8EI32_V }, // 4496
  { PseudoVLOXSEG8EI32_V_M1_MF4, VLOXSEG8EI32_V }, // 4497
  { PseudoVLOXSEG8EI32_V_M1_MF4_MASK, VLOXSEG8EI32_V }, // 4498
  { PseudoVLOXSEG8EI32_V_M2_M1, VLOXSEG8EI32_V }, // 4499
  { PseudoVLOXSEG8EI32_V_M2_M1_MASK, VLOXSEG8EI32_V }, // 4500
  { PseudoVLOXSEG8EI32_V_M2_MF2, VLOXSEG8EI32_V }, // 4501
  { PseudoVLOXSEG8EI32_V_M2_MF2_MASK, VLOXSEG8EI32_V }, // 4502
  { PseudoVLOXSEG8EI32_V_M4_M1, VLOXSEG8EI32_V }, // 4503
  { PseudoVLOXSEG8EI32_V_M4_M1_MASK, VLOXSEG8EI32_V }, // 4504
  { PseudoVLOXSEG8EI32_V_MF2_M1, VLOXSEG8EI32_V }, // 4505
  { PseudoVLOXSEG8EI32_V_MF2_M1_MASK, VLOXSEG8EI32_V }, // 4506
  { PseudoVLOXSEG8EI32_V_MF2_MF2, VLOXSEG8EI32_V }, // 4507
  { PseudoVLOXSEG8EI32_V_MF2_MF2_MASK, VLOXSEG8EI32_V }, // 4508
  { PseudoVLOXSEG8EI32_V_MF2_MF4, VLOXSEG8EI32_V }, // 4509
  { PseudoVLOXSEG8EI32_V_MF2_MF4_MASK, VLOXSEG8EI32_V }, // 4510
  { PseudoVLOXSEG8EI32_V_MF2_MF8, VLOXSEG8EI32_V }, // 4511
  { PseudoVLOXSEG8EI32_V_MF2_MF8_MASK, VLOXSEG8EI32_V }, // 4512
  { PseudoVLOXSEG8EI64_V_M1_M1, VLOXSEG8EI64_V }, // 4513
  { PseudoVLOXSEG8EI64_V_M1_M1_MASK, VLOXSEG8EI64_V }, // 4514
  { PseudoVLOXSEG8EI64_V_M1_MF2, VLOXSEG8EI64_V }, // 4515
  { PseudoVLOXSEG8EI64_V_M1_MF2_MASK, VLOXSEG8EI64_V }, // 4516
  { PseudoVLOXSEG8EI64_V_M1_MF4, VLOXSEG8EI64_V }, // 4517
  { PseudoVLOXSEG8EI64_V_M1_MF4_MASK, VLOXSEG8EI64_V }, // 4518
  { PseudoVLOXSEG8EI64_V_M1_MF8, VLOXSEG8EI64_V }, // 4519
  { PseudoVLOXSEG8EI64_V_M1_MF8_MASK, VLOXSEG8EI64_V }, // 4520
  { PseudoVLOXSEG8EI64_V_M2_M1, VLOXSEG8EI64_V }, // 4521
  { PseudoVLOXSEG8EI64_V_M2_M1_MASK, VLOXSEG8EI64_V }, // 4522
  { PseudoVLOXSEG8EI64_V_M2_MF2, VLOXSEG8EI64_V }, // 4523
  { PseudoVLOXSEG8EI64_V_M2_MF2_MASK, VLOXSEG8EI64_V }, // 4524
  { PseudoVLOXSEG8EI64_V_M2_MF4, VLOXSEG8EI64_V }, // 4525
  { PseudoVLOXSEG8EI64_V_M2_MF4_MASK, VLOXSEG8EI64_V }, // 4526
  { PseudoVLOXSEG8EI64_V_M4_M1, VLOXSEG8EI64_V }, // 4527
  { PseudoVLOXSEG8EI64_V_M4_M1_MASK, VLOXSEG8EI64_V }, // 4528
  { PseudoVLOXSEG8EI64_V_M4_MF2, VLOXSEG8EI64_V }, // 4529
  { PseudoVLOXSEG8EI64_V_M4_MF2_MASK, VLOXSEG8EI64_V }, // 4530
  { PseudoVLOXSEG8EI64_V_M8_M1, VLOXSEG8EI64_V }, // 4531
  { PseudoVLOXSEG8EI64_V_M8_M1_MASK, VLOXSEG8EI64_V }, // 4532
  { PseudoVLOXSEG8EI8_V_M1_M1, VLOXSEG8EI8_V }, // 4533
  { PseudoVLOXSEG8EI8_V_M1_M1_MASK, VLOXSEG8EI8_V }, // 4534
  { PseudoVLOXSEG8EI8_V_MF2_M1, VLOXSEG8EI8_V }, // 4535
  { PseudoVLOXSEG8EI8_V_MF2_M1_MASK, VLOXSEG8EI8_V }, // 4536
  { PseudoVLOXSEG8EI8_V_MF2_MF2, VLOXSEG8EI8_V }, // 4537
  { PseudoVLOXSEG8EI8_V_MF2_MF2_MASK, VLOXSEG8EI8_V }, // 4538
  { PseudoVLOXSEG8EI8_V_MF4_M1, VLOXSEG8EI8_V }, // 4539
  { PseudoVLOXSEG8EI8_V_MF4_M1_MASK, VLOXSEG8EI8_V }, // 4540
  { PseudoVLOXSEG8EI8_V_MF4_MF2, VLOXSEG8EI8_V }, // 4541
  { PseudoVLOXSEG8EI8_V_MF4_MF2_MASK, VLOXSEG8EI8_V }, // 4542
  { PseudoVLOXSEG8EI8_V_MF4_MF4, VLOXSEG8EI8_V }, // 4543
  { PseudoVLOXSEG8EI8_V_MF4_MF4_MASK, VLOXSEG8EI8_V }, // 4544
  { PseudoVLOXSEG8EI8_V_MF8_M1, VLOXSEG8EI8_V }, // 4545
  { PseudoVLOXSEG8EI8_V_MF8_M1_MASK, VLOXSEG8EI8_V }, // 4546
  { PseudoVLOXSEG8EI8_V_MF8_MF2, VLOXSEG8EI8_V }, // 4547
  { PseudoVLOXSEG8EI8_V_MF8_MF2_MASK, VLOXSEG8EI8_V }, // 4548
  { PseudoVLOXSEG8EI8_V_MF8_MF4, VLOXSEG8EI8_V }, // 4549
  { PseudoVLOXSEG8EI8_V_MF8_MF4_MASK, VLOXSEG8EI8_V }, // 4550
  { PseudoVLOXSEG8EI8_V_MF8_MF8, VLOXSEG8EI8_V }, // 4551
  { PseudoVLOXSEG8EI8_V_MF8_MF8_MASK, VLOXSEG8EI8_V }, // 4552
  { PseudoVLSE16_V_M1, VLSE16_V }, // 4553
  { PseudoVLSE16_V_M1_MASK, VLSE16_V }, // 4554
  { PseudoVLSE16_V_M2, VLSE16_V }, // 4555
  { PseudoVLSE16_V_M2_MASK, VLSE16_V }, // 4556
  { PseudoVLSE16_V_M4, VLSE16_V }, // 4557
  { PseudoVLSE16_V_M4_MASK, VLSE16_V }, // 4558
  { PseudoVLSE16_V_M8, VLSE16_V }, // 4559
  { PseudoVLSE16_V_M8_MASK, VLSE16_V }, // 4560
  { PseudoVLSE16_V_MF2, VLSE16_V }, // 4561
  { PseudoVLSE16_V_MF2_MASK, VLSE16_V }, // 4562
  { PseudoVLSE16_V_MF4, VLSE16_V }, // 4563
  { PseudoVLSE16_V_MF4_MASK, VLSE16_V }, // 4564
  { PseudoVLSE32_V_M1, VLSE32_V }, // 4565
  { PseudoVLSE32_V_M1_MASK, VLSE32_V }, // 4566
  { PseudoVLSE32_V_M2, VLSE32_V }, // 4567
  { PseudoVLSE32_V_M2_MASK, VLSE32_V }, // 4568
  { PseudoVLSE32_V_M4, VLSE32_V }, // 4569
  { PseudoVLSE32_V_M4_MASK, VLSE32_V }, // 4570
  { PseudoVLSE32_V_M8, VLSE32_V }, // 4571
  { PseudoVLSE32_V_M8_MASK, VLSE32_V }, // 4572
  { PseudoVLSE32_V_MF2, VLSE32_V }, // 4573
  { PseudoVLSE32_V_MF2_MASK, VLSE32_V }, // 4574
  { PseudoVLSE64_V_M1, VLSE64_V }, // 4575
  { PseudoVLSE64_V_M1_MASK, VLSE64_V }, // 4576
  { PseudoVLSE64_V_M2, VLSE64_V }, // 4577
  { PseudoVLSE64_V_M2_MASK, VLSE64_V }, // 4578
  { PseudoVLSE64_V_M4, VLSE64_V }, // 4579
  { PseudoVLSE64_V_M4_MASK, VLSE64_V }, // 4580
  { PseudoVLSE64_V_M8, VLSE64_V }, // 4581
  { PseudoVLSE64_V_M8_MASK, VLSE64_V }, // 4582
  { PseudoVLSE8_V_M1, VLSE8_V }, // 4583
  { PseudoVLSE8_V_M1_MASK, VLSE8_V }, // 4584
  { PseudoVLSE8_V_M2, VLSE8_V }, // 4585
  { PseudoVLSE8_V_M2_MASK, VLSE8_V }, // 4586
  { PseudoVLSE8_V_M4, VLSE8_V }, // 4587
  { PseudoVLSE8_V_M4_MASK, VLSE8_V }, // 4588
  { PseudoVLSE8_V_M8, VLSE8_V }, // 4589
  { PseudoVLSE8_V_M8_MASK, VLSE8_V }, // 4590
  { PseudoVLSE8_V_MF2, VLSE8_V }, // 4591
  { PseudoVLSE8_V_MF2_MASK, VLSE8_V }, // 4592
  { PseudoVLSE8_V_MF4, VLSE8_V }, // 4593
  { PseudoVLSE8_V_MF4_MASK, VLSE8_V }, // 4594
  { PseudoVLSE8_V_MF8, VLSE8_V }, // 4595
  { PseudoVLSE8_V_MF8_MASK, VLSE8_V }, // 4596
  { PseudoVLSEG2E16FF_V_M1, VLSEG2E16FF_V }, // 4597
  { PseudoVLSEG2E16FF_V_M1_MASK, VLSEG2E16FF_V }, // 4598
  { PseudoVLSEG2E16FF_V_M2, VLSEG2E16FF_V }, // 4599
  { PseudoVLSEG2E16FF_V_M2_MASK, VLSEG2E16FF_V }, // 4600
  { PseudoVLSEG2E16FF_V_M4, VLSEG2E16FF_V }, // 4601
  { PseudoVLSEG2E16FF_V_M4_MASK, VLSEG2E16FF_V }, // 4602
  { PseudoVLSEG2E16FF_V_MF2, VLSEG2E16FF_V }, // 4603
  { PseudoVLSEG2E16FF_V_MF2_MASK, VLSEG2E16FF_V }, // 4604
  { PseudoVLSEG2E16FF_V_MF4, VLSEG2E16FF_V }, // 4605
  { PseudoVLSEG2E16FF_V_MF4_MASK, VLSEG2E16FF_V }, // 4606
  { PseudoVLSEG2E16_V_M1, VLSEG2E16_V }, // 4607
  { PseudoVLSEG2E16_V_M1_MASK, VLSEG2E16_V }, // 4608
  { PseudoVLSEG2E16_V_M2, VLSEG2E16_V }, // 4609
  { PseudoVLSEG2E16_V_M2_MASK, VLSEG2E16_V }, // 4610
  { PseudoVLSEG2E16_V_M4, VLSEG2E16_V }, // 4611
  { PseudoVLSEG2E16_V_M4_MASK, VLSEG2E16_V }, // 4612
  { PseudoVLSEG2E16_V_MF2, VLSEG2E16_V }, // 4613
  { PseudoVLSEG2E16_V_MF2_MASK, VLSEG2E16_V }, // 4614
  { PseudoVLSEG2E16_V_MF4, VLSEG2E16_V }, // 4615
  { PseudoVLSEG2E16_V_MF4_MASK, VLSEG2E16_V }, // 4616
  { PseudoVLSEG2E32FF_V_M1, VLSEG2E32FF_V }, // 4617
  { PseudoVLSEG2E32FF_V_M1_MASK, VLSEG2E32FF_V }, // 4618
  { PseudoVLSEG2E32FF_V_M2, VLSEG2E32FF_V }, // 4619
  { PseudoVLSEG2E32FF_V_M2_MASK, VLSEG2E32FF_V }, // 4620
  { PseudoVLSEG2E32FF_V_M4, VLSEG2E32FF_V }, // 4621
  { PseudoVLSEG2E32FF_V_M4_MASK, VLSEG2E32FF_V }, // 4622
  { PseudoVLSEG2E32FF_V_MF2, VLSEG2E32FF_V }, // 4623
  { PseudoVLSEG2E32FF_V_MF2_MASK, VLSEG2E32FF_V }, // 4624
  { PseudoVLSEG2E32_V_M1, VLSEG2E32_V }, // 4625
  { PseudoVLSEG2E32_V_M1_MASK, VLSEG2E32_V }, // 4626
  { PseudoVLSEG2E32_V_M2, VLSEG2E32_V }, // 4627
  { PseudoVLSEG2E32_V_M2_MASK, VLSEG2E32_V }, // 4628
  { PseudoVLSEG2E32_V_M4, VLSEG2E32_V }, // 4629
  { PseudoVLSEG2E32_V_M4_MASK, VLSEG2E32_V }, // 4630
  { PseudoVLSEG2E32_V_MF2, VLSEG2E32_V }, // 4631
  { PseudoVLSEG2E32_V_MF2_MASK, VLSEG2E32_V }, // 4632
  { PseudoVLSEG2E64FF_V_M1, VLSEG2E64FF_V }, // 4633
  { PseudoVLSEG2E64FF_V_M1_MASK, VLSEG2E64FF_V }, // 4634
  { PseudoVLSEG2E64FF_V_M2, VLSEG2E64FF_V }, // 4635
  { PseudoVLSEG2E64FF_V_M2_MASK, VLSEG2E64FF_V }, // 4636
  { PseudoVLSEG2E64FF_V_M4, VLSEG2E64FF_V }, // 4637
  { PseudoVLSEG2E64FF_V_M4_MASK, VLSEG2E64FF_V }, // 4638
  { PseudoVLSEG2E64_V_M1, VLSEG2E64_V }, // 4639
  { PseudoVLSEG2E64_V_M1_MASK, VLSEG2E64_V }, // 4640
  { PseudoVLSEG2E64_V_M2, VLSEG2E64_V }, // 4641
  { PseudoVLSEG2E64_V_M2_MASK, VLSEG2E64_V }, // 4642
  { PseudoVLSEG2E64_V_M4, VLSEG2E64_V }, // 4643
  { PseudoVLSEG2E64_V_M4_MASK, VLSEG2E64_V }, // 4644
  { PseudoVLSEG2E8FF_V_M1, VLSEG2E8FF_V }, // 4645
  { PseudoVLSEG2E8FF_V_M1_MASK, VLSEG2E8FF_V }, // 4646
  { PseudoVLSEG2E8FF_V_M2, VLSEG2E8FF_V }, // 4647
  { PseudoVLSEG2E8FF_V_M2_MASK, VLSEG2E8FF_V }, // 4648
  { PseudoVLSEG2E8FF_V_M4, VLSEG2E8FF_V }, // 4649
  { PseudoVLSEG2E8FF_V_M4_MASK, VLSEG2E8FF_V }, // 4650
  { PseudoVLSEG2E8FF_V_MF2, VLSEG2E8FF_V }, // 4651
  { PseudoVLSEG2E8FF_V_MF2_MASK, VLSEG2E8FF_V }, // 4652
  { PseudoVLSEG2E8FF_V_MF4, VLSEG2E8FF_V }, // 4653
  { PseudoVLSEG2E8FF_V_MF4_MASK, VLSEG2E8FF_V }, // 4654
  { PseudoVLSEG2E8FF_V_MF8, VLSEG2E8FF_V }, // 4655
  { PseudoVLSEG2E8FF_V_MF8_MASK, VLSEG2E8FF_V }, // 4656
  { PseudoVLSEG2E8_V_M1, VLSEG2E8_V }, // 4657
  { PseudoVLSEG2E8_V_M1_MASK, VLSEG2E8_V }, // 4658
  { PseudoVLSEG2E8_V_M2, VLSEG2E8_V }, // 4659
  { PseudoVLSEG2E8_V_M2_MASK, VLSEG2E8_V }, // 4660
  { PseudoVLSEG2E8_V_M4, VLSEG2E8_V }, // 4661
  { PseudoVLSEG2E8_V_M4_MASK, VLSEG2E8_V }, // 4662
  { PseudoVLSEG2E8_V_MF2, VLSEG2E8_V }, // 4663
  { PseudoVLSEG2E8_V_MF2_MASK, VLSEG2E8_V }, // 4664
  { PseudoVLSEG2E8_V_MF4, VLSEG2E8_V }, // 4665
  { PseudoVLSEG2E8_V_MF4_MASK, VLSEG2E8_V }, // 4666
  { PseudoVLSEG2E8_V_MF8, VLSEG2E8_V }, // 4667
  { PseudoVLSEG2E8_V_MF8_MASK, VLSEG2E8_V }, // 4668
  { PseudoVLSEG3E16FF_V_M1, VLSEG3E16FF_V }, // 4669
  { PseudoVLSEG3E16FF_V_M1_MASK, VLSEG3E16FF_V }, // 4670
  { PseudoVLSEG3E16FF_V_M2, VLSEG3E16FF_V }, // 4671
  { PseudoVLSEG3E16FF_V_M2_MASK, VLSEG3E16FF_V }, // 4672
  { PseudoVLSEG3E16FF_V_MF2, VLSEG3E16FF_V }, // 4673
  { PseudoVLSEG3E16FF_V_MF2_MASK, VLSEG3E16FF_V }, // 4674
  { PseudoVLSEG3E16FF_V_MF4, VLSEG3E16FF_V }, // 4675
  { PseudoVLSEG3E16FF_V_MF4_MASK, VLSEG3E16FF_V }, // 4676
  { PseudoVLSEG3E16_V_M1, VLSEG3E16_V }, // 4677
  { PseudoVLSEG3E16_V_M1_MASK, VLSEG3E16_V }, // 4678
  { PseudoVLSEG3E16_V_M2, VLSEG3E16_V }, // 4679
  { PseudoVLSEG3E16_V_M2_MASK, VLSEG3E16_V }, // 4680
  { PseudoVLSEG3E16_V_MF2, VLSEG3E16_V }, // 4681
  { PseudoVLSEG3E16_V_MF2_MASK, VLSEG3E16_V }, // 4682
  { PseudoVLSEG3E16_V_MF4, VLSEG3E16_V }, // 4683
  { PseudoVLSEG3E16_V_MF4_MASK, VLSEG3E16_V }, // 4684
  { PseudoVLSEG3E32FF_V_M1, VLSEG3E32FF_V }, // 4685
  { PseudoVLSEG3E32FF_V_M1_MASK, VLSEG3E32FF_V }, // 4686
  { PseudoVLSEG3E32FF_V_M2, VLSEG3E32FF_V }, // 4687
  { PseudoVLSEG3E32FF_V_M2_MASK, VLSEG3E32FF_V }, // 4688
  { PseudoVLSEG3E32FF_V_MF2, VLSEG3E32FF_V }, // 4689
  { PseudoVLSEG3E32FF_V_MF2_MASK, VLSEG3E32FF_V }, // 4690
  { PseudoVLSEG3E32_V_M1, VLSEG3E32_V }, // 4691
  { PseudoVLSEG3E32_V_M1_MASK, VLSEG3E32_V }, // 4692
  { PseudoVLSEG3E32_V_M2, VLSEG3E32_V }, // 4693
  { PseudoVLSEG3E32_V_M2_MASK, VLSEG3E32_V }, // 4694
  { PseudoVLSEG3E32_V_MF2, VLSEG3E32_V }, // 4695
  { PseudoVLSEG3E32_V_MF2_MASK, VLSEG3E32_V }, // 4696
  { PseudoVLSEG3E64FF_V_M1, VLSEG3E64FF_V }, // 4697
  { PseudoVLSEG3E64FF_V_M1_MASK, VLSEG3E64FF_V }, // 4698
  { PseudoVLSEG3E64FF_V_M2, VLSEG3E64FF_V }, // 4699
  { PseudoVLSEG3E64FF_V_M2_MASK, VLSEG3E64FF_V }, // 4700
  { PseudoVLSEG3E64_V_M1, VLSEG3E64_V }, // 4701
  { PseudoVLSEG3E64_V_M1_MASK, VLSEG3E64_V }, // 4702
  { PseudoVLSEG3E64_V_M2, VLSEG3E64_V }, // 4703
  { PseudoVLSEG3E64_V_M2_MASK, VLSEG3E64_V }, // 4704
  { PseudoVLSEG3E8FF_V_M1, VLSEG3E8FF_V }, // 4705
  { PseudoVLSEG3E8FF_V_M1_MASK, VLSEG3E8FF_V }, // 4706
  { PseudoVLSEG3E8FF_V_M2, VLSEG3E8FF_V }, // 4707
  { PseudoVLSEG3E8FF_V_M2_MASK, VLSEG3E8FF_V }, // 4708
  { PseudoVLSEG3E8FF_V_MF2, VLSEG3E8FF_V }, // 4709
  { PseudoVLSEG3E8FF_V_MF2_MASK, VLSEG3E8FF_V }, // 4710
  { PseudoVLSEG3E8FF_V_MF4, VLSEG3E8FF_V }, // 4711
  { PseudoVLSEG3E8FF_V_MF4_MASK, VLSEG3E8FF_V }, // 4712
  { PseudoVLSEG3E8FF_V_MF8, VLSEG3E8FF_V }, // 4713
  { PseudoVLSEG3E8FF_V_MF8_MASK, VLSEG3E8FF_V }, // 4714
  { PseudoVLSEG3E8_V_M1, VLSEG3E8_V }, // 4715
  { PseudoVLSEG3E8_V_M1_MASK, VLSEG3E8_V }, // 4716
  { PseudoVLSEG3E8_V_M2, VLSEG3E8_V }, // 4717
  { PseudoVLSEG3E8_V_M2_MASK, VLSEG3E8_V }, // 4718
  { PseudoVLSEG3E8_V_MF2, VLSEG3E8_V }, // 4719
  { PseudoVLSEG3E8_V_MF2_MASK, VLSEG3E8_V }, // 4720
  { PseudoVLSEG3E8_V_MF4, VLSEG3E8_V }, // 4721
  { PseudoVLSEG3E8_V_MF4_MASK, VLSEG3E8_V }, // 4722
  { PseudoVLSEG3E8_V_MF8, VLSEG3E8_V }, // 4723
  { PseudoVLSEG3E8_V_MF8_MASK, VLSEG3E8_V }, // 4724
  { PseudoVLSEG4E16FF_V_M1, VLSEG4E16FF_V }, // 4725
  { PseudoVLSEG4E16FF_V_M1_MASK, VLSEG4E16FF_V }, // 4726
  { PseudoVLSEG4E16FF_V_M2, VLSEG4E16FF_V }, // 4727
  { PseudoVLSEG4E16FF_V_M2_MASK, VLSEG4E16FF_V }, // 4728
  { PseudoVLSEG4E16FF_V_MF2, VLSEG4E16FF_V }, // 4729
  { PseudoVLSEG4E16FF_V_MF2_MASK, VLSEG4E16FF_V }, // 4730
  { PseudoVLSEG4E16FF_V_MF4, VLSEG4E16FF_V }, // 4731
  { PseudoVLSEG4E16FF_V_MF4_MASK, VLSEG4E16FF_V }, // 4732
  { PseudoVLSEG4E16_V_M1, VLSEG4E16_V }, // 4733
  { PseudoVLSEG4E16_V_M1_MASK, VLSEG4E16_V }, // 4734
  { PseudoVLSEG4E16_V_M2, VLSEG4E16_V }, // 4735
  { PseudoVLSEG4E16_V_M2_MASK, VLSEG4E16_V }, // 4736
  { PseudoVLSEG4E16_V_MF2, VLSEG4E16_V }, // 4737
  { PseudoVLSEG4E16_V_MF2_MASK, VLSEG4E16_V }, // 4738
  { PseudoVLSEG4E16_V_MF4, VLSEG4E16_V }, // 4739
  { PseudoVLSEG4E16_V_MF4_MASK, VLSEG4E16_V }, // 4740
  { PseudoVLSEG4E32FF_V_M1, VLSEG4E32FF_V }, // 4741
  { PseudoVLSEG4E32FF_V_M1_MASK, VLSEG4E32FF_V }, // 4742
  { PseudoVLSEG4E32FF_V_M2, VLSEG4E32FF_V }, // 4743
  { PseudoVLSEG4E32FF_V_M2_MASK, VLSEG4E32FF_V }, // 4744
  { PseudoVLSEG4E32FF_V_MF2, VLSEG4E32FF_V }, // 4745
  { PseudoVLSEG4E32FF_V_MF2_MASK, VLSEG4E32FF_V }, // 4746
  { PseudoVLSEG4E32_V_M1, VLSEG4E32_V }, // 4747
  { PseudoVLSEG4E32_V_M1_MASK, VLSEG4E32_V }, // 4748
  { PseudoVLSEG4E32_V_M2, VLSEG4E32_V }, // 4749
  { PseudoVLSEG4E32_V_M2_MASK, VLSEG4E32_V }, // 4750
  { PseudoVLSEG4E32_V_MF2, VLSEG4E32_V }, // 4751
  { PseudoVLSEG4E32_V_MF2_MASK, VLSEG4E32_V }, // 4752
  { PseudoVLSEG4E64FF_V_M1, VLSEG4E64FF_V }, // 4753
  { PseudoVLSEG4E64FF_V_M1_MASK, VLSEG4E64FF_V }, // 4754
  { PseudoVLSEG4E64FF_V_M2, VLSEG4E64FF_V }, // 4755
  { PseudoVLSEG4E64FF_V_M2_MASK, VLSEG4E64FF_V }, // 4756
  { PseudoVLSEG4E64_V_M1, VLSEG4E64_V }, // 4757
  { PseudoVLSEG4E64_V_M1_MASK, VLSEG4E64_V }, // 4758
  { PseudoVLSEG4E64_V_M2, VLSEG4E64_V }, // 4759
  { PseudoVLSEG4E64_V_M2_MASK, VLSEG4E64_V }, // 4760
  { PseudoVLSEG4E8FF_V_M1, VLSEG4E8FF_V }, // 4761
  { PseudoVLSEG4E8FF_V_M1_MASK, VLSEG4E8FF_V }, // 4762
  { PseudoVLSEG4E8FF_V_M2, VLSEG4E8FF_V }, // 4763
  { PseudoVLSEG4E8FF_V_M2_MASK, VLSEG4E8FF_V }, // 4764
  { PseudoVLSEG4E8FF_V_MF2, VLSEG4E8FF_V }, // 4765
  { PseudoVLSEG4E8FF_V_MF2_MASK, VLSEG4E8FF_V }, // 4766
  { PseudoVLSEG4E8FF_V_MF4, VLSEG4E8FF_V }, // 4767
  { PseudoVLSEG4E8FF_V_MF4_MASK, VLSEG4E8FF_V }, // 4768
  { PseudoVLSEG4E8FF_V_MF8, VLSEG4E8FF_V }, // 4769
  { PseudoVLSEG4E8FF_V_MF8_MASK, VLSEG4E8FF_V }, // 4770
  { PseudoVLSEG4E8_V_M1, VLSEG4E8_V }, // 4771
  { PseudoVLSEG4E8_V_M1_MASK, VLSEG4E8_V }, // 4772
  { PseudoVLSEG4E8_V_M2, VLSEG4E8_V }, // 4773
  { PseudoVLSEG4E8_V_M2_MASK, VLSEG4E8_V }, // 4774
  { PseudoVLSEG4E8_V_MF2, VLSEG4E8_V }, // 4775
  { PseudoVLSEG4E8_V_MF2_MASK, VLSEG4E8_V }, // 4776
  { PseudoVLSEG4E8_V_MF4, VLSEG4E8_V }, // 4777
  { PseudoVLSEG4E8_V_MF4_MASK, VLSEG4E8_V }, // 4778
  { PseudoVLSEG4E8_V_MF8, VLSEG4E8_V }, // 4779
  { PseudoVLSEG4E8_V_MF8_MASK, VLSEG4E8_V }, // 4780
  { PseudoVLSEG5E16FF_V_M1, VLSEG5E16FF_V }, // 4781
  { PseudoVLSEG5E16FF_V_M1_MASK, VLSEG5E16FF_V }, // 4782
  { PseudoVLSEG5E16FF_V_MF2, VLSEG5E16FF_V }, // 4783
  { PseudoVLSEG5E16FF_V_MF2_MASK, VLSEG5E16FF_V }, // 4784
  { PseudoVLSEG5E16FF_V_MF4, VLSEG5E16FF_V }, // 4785
  { PseudoVLSEG5E16FF_V_MF4_MASK, VLSEG5E16FF_V }, // 4786
  { PseudoVLSEG5E16_V_M1, VLSEG5E16_V }, // 4787
  { PseudoVLSEG5E16_V_M1_MASK, VLSEG5E16_V }, // 4788
  { PseudoVLSEG5E16_V_MF2, VLSEG5E16_V }, // 4789
  { PseudoVLSEG5E16_V_MF2_MASK, VLSEG5E16_V }, // 4790
  { PseudoVLSEG5E16_V_MF4, VLSEG5E16_V }, // 4791
  { PseudoVLSEG5E16_V_MF4_MASK, VLSEG5E16_V }, // 4792
  { PseudoVLSEG5E32FF_V_M1, VLSEG5E32FF_V }, // 4793
  { PseudoVLSEG5E32FF_V_M1_MASK, VLSEG5E32FF_V }, // 4794
  { PseudoVLSEG5E32FF_V_MF2, VLSEG5E32FF_V }, // 4795
  { PseudoVLSEG5E32FF_V_MF2_MASK, VLSEG5E32FF_V }, // 4796
  { PseudoVLSEG5E32_V_M1, VLSEG5E32_V }, // 4797
  { PseudoVLSEG5E32_V_M1_MASK, VLSEG5E32_V }, // 4798
  { PseudoVLSEG5E32_V_MF2, VLSEG5E32_V }, // 4799
  { PseudoVLSEG5E32_V_MF2_MASK, VLSEG5E32_V }, // 4800
  { PseudoVLSEG5E64FF_V_M1, VLSEG5E64FF_V }, // 4801
  { PseudoVLSEG5E64FF_V_M1_MASK, VLSEG5E64FF_V }, // 4802
  { PseudoVLSEG5E64_V_M1, VLSEG5E64_V }, // 4803
  { PseudoVLSEG5E64_V_M1_MASK, VLSEG5E64_V }, // 4804
  { PseudoVLSEG5E8FF_V_M1, VLSEG5E8FF_V }, // 4805
  { PseudoVLSEG5E8FF_V_M1_MASK, VLSEG5E8FF_V }, // 4806
  { PseudoVLSEG5E8FF_V_MF2, VLSEG5E8FF_V }, // 4807
  { PseudoVLSEG5E8FF_V_MF2_MASK, VLSEG5E8FF_V }, // 4808
  { PseudoVLSEG5E8FF_V_MF4, VLSEG5E8FF_V }, // 4809
  { PseudoVLSEG5E8FF_V_MF4_MASK, VLSEG5E8FF_V }, // 4810
  { PseudoVLSEG5E8FF_V_MF8, VLSEG5E8FF_V }, // 4811
  { PseudoVLSEG5E8FF_V_MF8_MASK, VLSEG5E8FF_V }, // 4812
  { PseudoVLSEG5E8_V_M1, VLSEG5E8_V }, // 4813
  { PseudoVLSEG5E8_V_M1_MASK, VLSEG5E8_V }, // 4814
  { PseudoVLSEG5E8_V_MF2, VLSEG5E8_V }, // 4815
  { PseudoVLSEG5E8_V_MF2_MASK, VLSEG5E8_V }, // 4816
  { PseudoVLSEG5E8_V_MF4, VLSEG5E8_V }, // 4817
  { PseudoVLSEG5E8_V_MF4_MASK, VLSEG5E8_V }, // 4818
  { PseudoVLSEG5E8_V_MF8, VLSEG5E8_V }, // 4819
  { PseudoVLSEG5E8_V_MF8_MASK, VLSEG5E8_V }, // 4820
  { PseudoVLSEG6E16FF_V_M1, VLSEG6E16FF_V }, // 4821
  { PseudoVLSEG6E16FF_V_M1_MASK, VLSEG6E16FF_V }, // 4822
  { PseudoVLSEG6E16FF_V_MF2, VLSEG6E16FF_V }, // 4823
  { PseudoVLSEG6E16FF_V_MF2_MASK, VLSEG6E16FF_V }, // 4824
  { PseudoVLSEG6E16FF_V_MF4, VLSEG6E16FF_V }, // 4825
  { PseudoVLSEG6E16FF_V_MF4_MASK, VLSEG6E16FF_V }, // 4826
  { PseudoVLSEG6E16_V_M1, VLSEG6E16_V }, // 4827
  { PseudoVLSEG6E16_V_M1_MASK, VLSEG6E16_V }, // 4828
  { PseudoVLSEG6E16_V_MF2, VLSEG6E16_V }, // 4829
  { PseudoVLSEG6E16_V_MF2_MASK, VLSEG6E16_V }, // 4830
  { PseudoVLSEG6E16_V_MF4, VLSEG6E16_V }, // 4831
  { PseudoVLSEG6E16_V_MF4_MASK, VLSEG6E16_V }, // 4832
  { PseudoVLSEG6E32FF_V_M1, VLSEG6E32FF_V }, // 4833
  { PseudoVLSEG6E32FF_V_M1_MASK, VLSEG6E32FF_V }, // 4834
  { PseudoVLSEG6E32FF_V_MF2, VLSEG6E32FF_V }, // 4835
  { PseudoVLSEG6E32FF_V_MF2_MASK, VLSEG6E32FF_V }, // 4836
  { PseudoVLSEG6E32_V_M1, VLSEG6E32_V }, // 4837
  { PseudoVLSEG6E32_V_M1_MASK, VLSEG6E32_V }, // 4838
  { PseudoVLSEG6E32_V_MF2, VLSEG6E32_V }, // 4839
  { PseudoVLSEG6E32_V_MF2_MASK, VLSEG6E32_V }, // 4840
  { PseudoVLSEG6E64FF_V_M1, VLSEG6E64FF_V }, // 4841
  { PseudoVLSEG6E64FF_V_M1_MASK, VLSEG6E64FF_V }, // 4842
  { PseudoVLSEG6E64_V_M1, VLSEG6E64_V }, // 4843
  { PseudoVLSEG6E64_V_M1_MASK, VLSEG6E64_V }, // 4844
  { PseudoVLSEG6E8FF_V_M1, VLSEG6E8FF_V }, // 4845
  { PseudoVLSEG6E8FF_V_M1_MASK, VLSEG6E8FF_V }, // 4846
  { PseudoVLSEG6E8FF_V_MF2, VLSEG6E8FF_V }, // 4847
  { PseudoVLSEG6E8FF_V_MF2_MASK, VLSEG6E8FF_V }, // 4848
  { PseudoVLSEG6E8FF_V_MF4, VLSEG6E8FF_V }, // 4849
  { PseudoVLSEG6E8FF_V_MF4_MASK, VLSEG6E8FF_V }, // 4850
  { PseudoVLSEG6E8FF_V_MF8, VLSEG6E8FF_V }, // 4851
  { PseudoVLSEG6E8FF_V_MF8_MASK, VLSEG6E8FF_V }, // 4852
  { PseudoVLSEG6E8_V_M1, VLSEG6E8_V }, // 4853
  { PseudoVLSEG6E8_V_M1_MASK, VLSEG6E8_V }, // 4854
  { PseudoVLSEG6E8_V_MF2, VLSEG6E8_V }, // 4855
  { PseudoVLSEG6E8_V_MF2_MASK, VLSEG6E8_V }, // 4856
  { PseudoVLSEG6E8_V_MF4, VLSEG6E8_V }, // 4857
  { PseudoVLSEG6E8_V_MF4_MASK, VLSEG6E8_V }, // 4858
  { PseudoVLSEG6E8_V_MF8, VLSEG6E8_V }, // 4859
  { PseudoVLSEG6E8_V_MF8_MASK, VLSEG6E8_V }, // 4860
  { PseudoVLSEG7E16FF_V_M1, VLSEG7E16FF_V }, // 4861
  { PseudoVLSEG7E16FF_V_M1_MASK, VLSEG7E16FF_V }, // 4862
  { PseudoVLSEG7E16FF_V_MF2, VLSEG7E16FF_V }, // 4863
  { PseudoVLSEG7E16FF_V_MF2_MASK, VLSEG7E16FF_V }, // 4864
  { PseudoVLSEG7E16FF_V_MF4, VLSEG7E16FF_V }, // 4865
  { PseudoVLSEG7E16FF_V_MF4_MASK, VLSEG7E16FF_V }, // 4866
  { PseudoVLSEG7E16_V_M1, VLSEG7E16_V }, // 4867
  { PseudoVLSEG7E16_V_M1_MASK, VLSEG7E16_V }, // 4868
  { PseudoVLSEG7E16_V_MF2, VLSEG7E16_V }, // 4869
  { PseudoVLSEG7E16_V_MF2_MASK, VLSEG7E16_V }, // 4870
  { PseudoVLSEG7E16_V_MF4, VLSEG7E16_V }, // 4871
  { PseudoVLSEG7E16_V_MF4_MASK, VLSEG7E16_V }, // 4872
  { PseudoVLSEG7E32FF_V_M1, VLSEG7E32FF_V }, // 4873
  { PseudoVLSEG7E32FF_V_M1_MASK, VLSEG7E32FF_V }, // 4874
  { PseudoVLSEG7E32FF_V_MF2, VLSEG7E32FF_V }, // 4875
  { PseudoVLSEG7E32FF_V_MF2_MASK, VLSEG7E32FF_V }, // 4876
  { PseudoVLSEG7E32_V_M1, VLSEG7E32_V }, // 4877
  { PseudoVLSEG7E32_V_M1_MASK, VLSEG7E32_V }, // 4878
  { PseudoVLSEG7E32_V_MF2, VLSEG7E32_V }, // 4879
  { PseudoVLSEG7E32_V_MF2_MASK, VLSEG7E32_V }, // 4880
  { PseudoVLSEG7E64FF_V_M1, VLSEG7E64FF_V }, // 4881
  { PseudoVLSEG7E64FF_V_M1_MASK, VLSEG7E64FF_V }, // 4882
  { PseudoVLSEG7E64_V_M1, VLSEG7E64_V }, // 4883
  { PseudoVLSEG7E64_V_M1_MASK, VLSEG7E64_V }, // 4884
  { PseudoVLSEG7E8FF_V_M1, VLSEG7E8FF_V }, // 4885
  { PseudoVLSEG7E8FF_V_M1_MASK, VLSEG7E8FF_V }, // 4886
  { PseudoVLSEG7E8FF_V_MF2, VLSEG7E8FF_V }, // 4887
  { PseudoVLSEG7E8FF_V_MF2_MASK, VLSEG7E8FF_V }, // 4888
  { PseudoVLSEG7E8FF_V_MF4, VLSEG7E8FF_V }, // 4889
  { PseudoVLSEG7E8FF_V_MF4_MASK, VLSEG7E8FF_V }, // 4890
  { PseudoVLSEG7E8FF_V_MF8, VLSEG7E8FF_V }, // 4891
  { PseudoVLSEG7E8FF_V_MF8_MASK, VLSEG7E8FF_V }, // 4892
  { PseudoVLSEG7E8_V_M1, VLSEG7E8_V }, // 4893
  { PseudoVLSEG7E8_V_M1_MASK, VLSEG7E8_V }, // 4894
  { PseudoVLSEG7E8_V_MF2, VLSEG7E8_V }, // 4895
  { PseudoVLSEG7E8_V_MF2_MASK, VLSEG7E8_V }, // 4896
  { PseudoVLSEG7E8_V_MF4, VLSEG7E8_V }, // 4897
  { PseudoVLSEG7E8_V_MF4_MASK, VLSEG7E8_V }, // 4898
  { PseudoVLSEG7E8_V_MF8, VLSEG7E8_V }, // 4899
  { PseudoVLSEG7E8_V_MF8_MASK, VLSEG7E8_V }, // 4900
  { PseudoVLSEG8E16FF_V_M1, VLSEG8E16FF_V }, // 4901
  { PseudoVLSEG8E16FF_V_M1_MASK, VLSEG8E16FF_V }, // 4902
  { PseudoVLSEG8E16FF_V_MF2, VLSEG8E16FF_V }, // 4903
  { PseudoVLSEG8E16FF_V_MF2_MASK, VLSEG8E16FF_V }, // 4904
  { PseudoVLSEG8E16FF_V_MF4, VLSEG8E16FF_V }, // 4905
  { PseudoVLSEG8E16FF_V_MF4_MASK, VLSEG8E16FF_V }, // 4906
  { PseudoVLSEG8E16_V_M1, VLSEG8E16_V }, // 4907
  { PseudoVLSEG8E16_V_M1_MASK, VLSEG8E16_V }, // 4908
  { PseudoVLSEG8E16_V_MF2, VLSEG8E16_V }, // 4909
  { PseudoVLSEG8E16_V_MF2_MASK, VLSEG8E16_V }, // 4910
  { PseudoVLSEG8E16_V_MF4, VLSEG8E16_V }, // 4911
  { PseudoVLSEG8E16_V_MF4_MASK, VLSEG8E16_V }, // 4912
  { PseudoVLSEG8E32FF_V_M1, VLSEG8E32FF_V }, // 4913
  { PseudoVLSEG8E32FF_V_M1_MASK, VLSEG8E32FF_V }, // 4914
  { PseudoVLSEG8E32FF_V_MF2, VLSEG8E32FF_V }, // 4915
  { PseudoVLSEG8E32FF_V_MF2_MASK, VLSEG8E32FF_V }, // 4916
  { PseudoVLSEG8E32_V_M1, VLSEG8E32_V }, // 4917
  { PseudoVLSEG8E32_V_M1_MASK, VLSEG8E32_V }, // 4918
  { PseudoVLSEG8E32_V_MF2, VLSEG8E32_V }, // 4919
  { PseudoVLSEG8E32_V_MF2_MASK, VLSEG8E32_V }, // 4920
  { PseudoVLSEG8E64FF_V_M1, VLSEG8E64FF_V }, // 4921
  { PseudoVLSEG8E64FF_V_M1_MASK, VLSEG8E64FF_V }, // 4922
  { PseudoVLSEG8E64_V_M1, VLSEG8E64_V }, // 4923
  { PseudoVLSEG8E64_V_M1_MASK, VLSEG8E64_V }, // 4924
  { PseudoVLSEG8E8FF_V_M1, VLSEG8E8FF_V }, // 4925
  { PseudoVLSEG8E8FF_V_M1_MASK, VLSEG8E8FF_V }, // 4926
  { PseudoVLSEG8E8FF_V_MF2, VLSEG8E8FF_V }, // 4927
  { PseudoVLSEG8E8FF_V_MF2_MASK, VLSEG8E8FF_V }, // 4928
  { PseudoVLSEG8E8FF_V_MF4, VLSEG8E8FF_V }, // 4929
  { PseudoVLSEG8E8FF_V_MF4_MASK, VLSEG8E8FF_V }, // 4930
  { PseudoVLSEG8E8FF_V_MF8, VLSEG8E8FF_V }, // 4931
  { PseudoVLSEG8E8FF_V_MF8_MASK, VLSEG8E8FF_V }, // 4932
  { PseudoVLSEG8E8_V_M1, VLSEG8E8_V }, // 4933
  { PseudoVLSEG8E8_V_M1_MASK, VLSEG8E8_V }, // 4934
  { PseudoVLSEG8E8_V_MF2, VLSEG8E8_V }, // 4935
  { PseudoVLSEG8E8_V_MF2_MASK, VLSEG8E8_V }, // 4936
  { PseudoVLSEG8E8_V_MF4, VLSEG8E8_V }, // 4937
  { PseudoVLSEG8E8_V_MF4_MASK, VLSEG8E8_V }, // 4938
  { PseudoVLSEG8E8_V_MF8, VLSEG8E8_V }, // 4939
  { PseudoVLSEG8E8_V_MF8_MASK, VLSEG8E8_V }, // 4940
  { PseudoVLSSEG2E16_V_M1, VLSSEG2E16_V }, // 4941
  { PseudoVLSSEG2E16_V_M1_MASK, VLSSEG2E16_V }, // 4942
  { PseudoVLSSEG2E16_V_M2, VLSSEG2E16_V }, // 4943
  { PseudoVLSSEG2E16_V_M2_MASK, VLSSEG2E16_V }, // 4944
  { PseudoVLSSEG2E16_V_M4, VLSSEG2E16_V }, // 4945
  { PseudoVLSSEG2E16_V_M4_MASK, VLSSEG2E16_V }, // 4946
  { PseudoVLSSEG2E16_V_MF2, VLSSEG2E16_V }, // 4947
  { PseudoVLSSEG2E16_V_MF2_MASK, VLSSEG2E16_V }, // 4948
  { PseudoVLSSEG2E16_V_MF4, VLSSEG2E16_V }, // 4949
  { PseudoVLSSEG2E16_V_MF4_MASK, VLSSEG2E16_V }, // 4950
  { PseudoVLSSEG2E32_V_M1, VLSSEG2E32_V }, // 4951
  { PseudoVLSSEG2E32_V_M1_MASK, VLSSEG2E32_V }, // 4952
  { PseudoVLSSEG2E32_V_M2, VLSSEG2E32_V }, // 4953
  { PseudoVLSSEG2E32_V_M2_MASK, VLSSEG2E32_V }, // 4954
  { PseudoVLSSEG2E32_V_M4, VLSSEG2E32_V }, // 4955
  { PseudoVLSSEG2E32_V_M4_MASK, VLSSEG2E32_V }, // 4956
  { PseudoVLSSEG2E32_V_MF2, VLSSEG2E32_V }, // 4957
  { PseudoVLSSEG2E32_V_MF2_MASK, VLSSEG2E32_V }, // 4958
  { PseudoVLSSEG2E64_V_M1, VLSSEG2E64_V }, // 4959
  { PseudoVLSSEG2E64_V_M1_MASK, VLSSEG2E64_V }, // 4960
  { PseudoVLSSEG2E64_V_M2, VLSSEG2E64_V }, // 4961
  { PseudoVLSSEG2E64_V_M2_MASK, VLSSEG2E64_V }, // 4962
  { PseudoVLSSEG2E64_V_M4, VLSSEG2E64_V }, // 4963
  { PseudoVLSSEG2E64_V_M4_MASK, VLSSEG2E64_V }, // 4964
  { PseudoVLSSEG2E8_V_M1, VLSSEG2E8_V }, // 4965
  { PseudoVLSSEG2E8_V_M1_MASK, VLSSEG2E8_V }, // 4966
  { PseudoVLSSEG2E8_V_M2, VLSSEG2E8_V }, // 4967
  { PseudoVLSSEG2E8_V_M2_MASK, VLSSEG2E8_V }, // 4968
  { PseudoVLSSEG2E8_V_M4, VLSSEG2E8_V }, // 4969
  { PseudoVLSSEG2E8_V_M4_MASK, VLSSEG2E8_V }, // 4970
  { PseudoVLSSEG2E8_V_MF2, VLSSEG2E8_V }, // 4971
  { PseudoVLSSEG2E8_V_MF2_MASK, VLSSEG2E8_V }, // 4972
  { PseudoVLSSEG2E8_V_MF4, VLSSEG2E8_V }, // 4973
  { PseudoVLSSEG2E8_V_MF4_MASK, VLSSEG2E8_V }, // 4974
  { PseudoVLSSEG2E8_V_MF8, VLSSEG2E8_V }, // 4975
  { PseudoVLSSEG2E8_V_MF8_MASK, VLSSEG2E8_V }, // 4976
  { PseudoVLSSEG3E16_V_M1, VLSSEG3E16_V }, // 4977
  { PseudoVLSSEG3E16_V_M1_MASK, VLSSEG3E16_V }, // 4978
  { PseudoVLSSEG3E16_V_M2, VLSSEG3E16_V }, // 4979
  { PseudoVLSSEG3E16_V_M2_MASK, VLSSEG3E16_V }, // 4980
  { PseudoVLSSEG3E16_V_MF2, VLSSEG3E16_V }, // 4981
  { PseudoVLSSEG3E16_V_MF2_MASK, VLSSEG3E16_V }, // 4982
  { PseudoVLSSEG3E16_V_MF4, VLSSEG3E16_V }, // 4983
  { PseudoVLSSEG3E16_V_MF4_MASK, VLSSEG3E16_V }, // 4984
  { PseudoVLSSEG3E32_V_M1, VLSSEG3E32_V }, // 4985
  { PseudoVLSSEG3E32_V_M1_MASK, VLSSEG3E32_V }, // 4986
  { PseudoVLSSEG3E32_V_M2, VLSSEG3E32_V }, // 4987
  { PseudoVLSSEG3E32_V_M2_MASK, VLSSEG3E32_V }, // 4988
  { PseudoVLSSEG3E32_V_MF2, VLSSEG3E32_V }, // 4989
  { PseudoVLSSEG3E32_V_MF2_MASK, VLSSEG3E32_V }, // 4990
  { PseudoVLSSEG3E64_V_M1, VLSSEG3E64_V }, // 4991
  { PseudoVLSSEG3E64_V_M1_MASK, VLSSEG3E64_V }, // 4992
  { PseudoVLSSEG3E64_V_M2, VLSSEG3E64_V }, // 4993
  { PseudoVLSSEG3E64_V_M2_MASK, VLSSEG3E64_V }, // 4994
  { PseudoVLSSEG3E8_V_M1, VLSSEG3E8_V }, // 4995
  { PseudoVLSSEG3E8_V_M1_MASK, VLSSEG3E8_V }, // 4996
  { PseudoVLSSEG3E8_V_M2, VLSSEG3E8_V }, // 4997
  { PseudoVLSSEG3E8_V_M2_MASK, VLSSEG3E8_V }, // 4998
  { PseudoVLSSEG3E8_V_MF2, VLSSEG3E8_V }, // 4999
  { PseudoVLSSEG3E8_V_MF2_MASK, VLSSEG3E8_V }, // 5000
  { PseudoVLSSEG3E8_V_MF4, VLSSEG3E8_V }, // 5001
  { PseudoVLSSEG3E8_V_MF4_MASK, VLSSEG3E8_V }, // 5002
  { PseudoVLSSEG3E8_V_MF8, VLSSEG3E8_V }, // 5003
  { PseudoVLSSEG3E8_V_MF8_MASK, VLSSEG3E8_V }, // 5004
  { PseudoVLSSEG4E16_V_M1, VLSSEG4E16_V }, // 5005
  { PseudoVLSSEG4E16_V_M1_MASK, VLSSEG4E16_V }, // 5006
  { PseudoVLSSEG4E16_V_M2, VLSSEG4E16_V }, // 5007
  { PseudoVLSSEG4E16_V_M2_MASK, VLSSEG4E16_V }, // 5008
  { PseudoVLSSEG4E16_V_MF2, VLSSEG4E16_V }, // 5009
  { PseudoVLSSEG4E16_V_MF2_MASK, VLSSEG4E16_V }, // 5010
  { PseudoVLSSEG4E16_V_MF4, VLSSEG4E16_V }, // 5011
  { PseudoVLSSEG4E16_V_MF4_MASK, VLSSEG4E16_V }, // 5012
  { PseudoVLSSEG4E32_V_M1, VLSSEG4E32_V }, // 5013
  { PseudoVLSSEG4E32_V_M1_MASK, VLSSEG4E32_V }, // 5014
  { PseudoVLSSEG4E32_V_M2, VLSSEG4E32_V }, // 5015
  { PseudoVLSSEG4E32_V_M2_MASK, VLSSEG4E32_V }, // 5016
  { PseudoVLSSEG4E32_V_MF2, VLSSEG4E32_V }, // 5017
  { PseudoVLSSEG4E32_V_MF2_MASK, VLSSEG4E32_V }, // 5018
  { PseudoVLSSEG4E64_V_M1, VLSSEG4E64_V }, // 5019
  { PseudoVLSSEG4E64_V_M1_MASK, VLSSEG4E64_V }, // 5020
  { PseudoVLSSEG4E64_V_M2, VLSSEG4E64_V }, // 5021
  { PseudoVLSSEG4E64_V_M2_MASK, VLSSEG4E64_V }, // 5022
  { PseudoVLSSEG4E8_V_M1, VLSSEG4E8_V }, // 5023
  { PseudoVLSSEG4E8_V_M1_MASK, VLSSEG4E8_V }, // 5024
  { PseudoVLSSEG4E8_V_M2, VLSSEG4E8_V }, // 5025
  { PseudoVLSSEG4E8_V_M2_MASK, VLSSEG4E8_V }, // 5026
  { PseudoVLSSEG4E8_V_MF2, VLSSEG4E8_V }, // 5027
  { PseudoVLSSEG4E8_V_MF2_MASK, VLSSEG4E8_V }, // 5028
  { PseudoVLSSEG4E8_V_MF4, VLSSEG4E8_V }, // 5029
  { PseudoVLSSEG4E8_V_MF4_MASK, VLSSEG4E8_V }, // 5030
  { PseudoVLSSEG4E8_V_MF8, VLSSEG4E8_V }, // 5031
  { PseudoVLSSEG4E8_V_MF8_MASK, VLSSEG4E8_V }, // 5032
  { PseudoVLSSEG5E16_V_M1, VLSSEG5E16_V }, // 5033
  { PseudoVLSSEG5E16_V_M1_MASK, VLSSEG5E16_V }, // 5034
  { PseudoVLSSEG5E16_V_MF2, VLSSEG5E16_V }, // 5035
  { PseudoVLSSEG5E16_V_MF2_MASK, VLSSEG5E16_V }, // 5036
  { PseudoVLSSEG5E16_V_MF4, VLSSEG5E16_V }, // 5037
  { PseudoVLSSEG5E16_V_MF4_MASK, VLSSEG5E16_V }, // 5038
  { PseudoVLSSEG5E32_V_M1, VLSSEG5E32_V }, // 5039
  { PseudoVLSSEG5E32_V_M1_MASK, VLSSEG5E32_V }, // 5040
  { PseudoVLSSEG5E32_V_MF2, VLSSEG5E32_V }, // 5041
  { PseudoVLSSEG5E32_V_MF2_MASK, VLSSEG5E32_V }, // 5042
  { PseudoVLSSEG5E64_V_M1, VLSSEG5E64_V }, // 5043
  { PseudoVLSSEG5E64_V_M1_MASK, VLSSEG5E64_V }, // 5044
  { PseudoVLSSEG5E8_V_M1, VLSSEG5E8_V }, // 5045
  { PseudoVLSSEG5E8_V_M1_MASK, VLSSEG5E8_V }, // 5046
  { PseudoVLSSEG5E8_V_MF2, VLSSEG5E8_V }, // 5047
  { PseudoVLSSEG5E8_V_MF2_MASK, VLSSEG5E8_V }, // 5048
  { PseudoVLSSEG5E8_V_MF4, VLSSEG5E8_V }, // 5049
  { PseudoVLSSEG5E8_V_MF4_MASK, VLSSEG5E8_V }, // 5050
  { PseudoVLSSEG5E8_V_MF8, VLSSEG5E8_V }, // 5051
  { PseudoVLSSEG5E8_V_MF8_MASK, VLSSEG5E8_V }, // 5052
  { PseudoVLSSEG6E16_V_M1, VLSSEG6E16_V }, // 5053
  { PseudoVLSSEG6E16_V_M1_MASK, VLSSEG6E16_V }, // 5054
  { PseudoVLSSEG6E16_V_MF2, VLSSEG6E16_V }, // 5055
  { PseudoVLSSEG6E16_V_MF2_MASK, VLSSEG6E16_V }, // 5056
  { PseudoVLSSEG6E16_V_MF4, VLSSEG6E16_V }, // 5057
  { PseudoVLSSEG6E16_V_MF4_MASK, VLSSEG6E16_V }, // 5058
  { PseudoVLSSEG6E32_V_M1, VLSSEG6E32_V }, // 5059
  { PseudoVLSSEG6E32_V_M1_MASK, VLSSEG6E32_V }, // 5060
  { PseudoVLSSEG6E32_V_MF2, VLSSEG6E32_V }, // 5061
  { PseudoVLSSEG6E32_V_MF2_MASK, VLSSEG6E32_V }, // 5062
  { PseudoVLSSEG6E64_V_M1, VLSSEG6E64_V }, // 5063
  { PseudoVLSSEG6E64_V_M1_MASK, VLSSEG6E64_V }, // 5064
  { PseudoVLSSEG6E8_V_M1, VLSSEG6E8_V }, // 5065
  { PseudoVLSSEG6E8_V_M1_MASK, VLSSEG6E8_V }, // 5066
  { PseudoVLSSEG6E8_V_MF2, VLSSEG6E8_V }, // 5067
  { PseudoVLSSEG6E8_V_MF2_MASK, VLSSEG6E8_V }, // 5068
  { PseudoVLSSEG6E8_V_MF4, VLSSEG6E8_V }, // 5069
  { PseudoVLSSEG6E8_V_MF4_MASK, VLSSEG6E8_V }, // 5070
  { PseudoVLSSEG6E8_V_MF8, VLSSEG6E8_V }, // 5071
  { PseudoVLSSEG6E8_V_MF8_MASK, VLSSEG6E8_V }, // 5072
  { PseudoVLSSEG7E16_V_M1, VLSSEG7E16_V }, // 5073
  { PseudoVLSSEG7E16_V_M1_MASK, VLSSEG7E16_V }, // 5074
  { PseudoVLSSEG7E16_V_MF2, VLSSEG7E16_V }, // 5075
  { PseudoVLSSEG7E16_V_MF2_MASK, VLSSEG7E16_V }, // 5076
  { PseudoVLSSEG7E16_V_MF4, VLSSEG7E16_V }, // 5077
  { PseudoVLSSEG7E16_V_MF4_MASK, VLSSEG7E16_V }, // 5078
  { PseudoVLSSEG7E32_V_M1, VLSSEG7E32_V }, // 5079
  { PseudoVLSSEG7E32_V_M1_MASK, VLSSEG7E32_V }, // 5080
  { PseudoVLSSEG7E32_V_MF2, VLSSEG7E32_V }, // 5081
  { PseudoVLSSEG7E32_V_MF2_MASK, VLSSEG7E32_V }, // 5082
  { PseudoVLSSEG7E64_V_M1, VLSSEG7E64_V }, // 5083
  { PseudoVLSSEG7E64_V_M1_MASK, VLSSEG7E64_V }, // 5084
  { PseudoVLSSEG7E8_V_M1, VLSSEG7E8_V }, // 5085
  { PseudoVLSSEG7E8_V_M1_MASK, VLSSEG7E8_V }, // 5086
  { PseudoVLSSEG7E8_V_MF2, VLSSEG7E8_V }, // 5087
  { PseudoVLSSEG7E8_V_MF2_MASK, VLSSEG7E8_V }, // 5088
  { PseudoVLSSEG7E8_V_MF4, VLSSEG7E8_V }, // 5089
  { PseudoVLSSEG7E8_V_MF4_MASK, VLSSEG7E8_V }, // 5090
  { PseudoVLSSEG7E8_V_MF8, VLSSEG7E8_V }, // 5091
  { PseudoVLSSEG7E8_V_MF8_MASK, VLSSEG7E8_V }, // 5092
  { PseudoVLSSEG8E16_V_M1, VLSSEG8E16_V }, // 5093
  { PseudoVLSSEG8E16_V_M1_MASK, VLSSEG8E16_V }, // 5094
  { PseudoVLSSEG8E16_V_MF2, VLSSEG8E16_V }, // 5095
  { PseudoVLSSEG8E16_V_MF2_MASK, VLSSEG8E16_V }, // 5096
  { PseudoVLSSEG8E16_V_MF4, VLSSEG8E16_V }, // 5097
  { PseudoVLSSEG8E16_V_MF4_MASK, VLSSEG8E16_V }, // 5098
  { PseudoVLSSEG8E32_V_M1, VLSSEG8E32_V }, // 5099
  { PseudoVLSSEG8E32_V_M1_MASK, VLSSEG8E32_V }, // 5100
  { PseudoVLSSEG8E32_V_MF2, VLSSEG8E32_V }, // 5101
  { PseudoVLSSEG8E32_V_MF2_MASK, VLSSEG8E32_V }, // 5102
  { PseudoVLSSEG8E64_V_M1, VLSSEG8E64_V }, // 5103
  { PseudoVLSSEG8E64_V_M1_MASK, VLSSEG8E64_V }, // 5104
  { PseudoVLSSEG8E8_V_M1, VLSSEG8E8_V }, // 5105
  { PseudoVLSSEG8E8_V_M1_MASK, VLSSEG8E8_V }, // 5106
  { PseudoVLSSEG8E8_V_MF2, VLSSEG8E8_V }, // 5107
  { PseudoVLSSEG8E8_V_MF2_MASK, VLSSEG8E8_V }, // 5108
  { PseudoVLSSEG8E8_V_MF4, VLSSEG8E8_V }, // 5109
  { PseudoVLSSEG8E8_V_MF4_MASK, VLSSEG8E8_V }, // 5110
  { PseudoVLSSEG8E8_V_MF8, VLSSEG8E8_V }, // 5111
  { PseudoVLSSEG8E8_V_MF8_MASK, VLSSEG8E8_V }, // 5112
  { PseudoVLUXEI16_V_M1_M1, VLUXEI16_V }, // 5113
  { PseudoVLUXEI16_V_M1_M1_MASK, VLUXEI16_V }, // 5114
  { PseudoVLUXEI16_V_M1_M2, VLUXEI16_V }, // 5115
  { PseudoVLUXEI16_V_M1_M2_MASK, VLUXEI16_V }, // 5116
  { PseudoVLUXEI16_V_M1_M4, VLUXEI16_V }, // 5117
  { PseudoVLUXEI16_V_M1_M4_MASK, VLUXEI16_V }, // 5118
  { PseudoVLUXEI16_V_M1_MF2, VLUXEI16_V }, // 5119
  { PseudoVLUXEI16_V_M1_MF2_MASK, VLUXEI16_V }, // 5120
  { PseudoVLUXEI16_V_M2_M1, VLUXEI16_V }, // 5121
  { PseudoVLUXEI16_V_M2_M1_MASK, VLUXEI16_V }, // 5122
  { PseudoVLUXEI16_V_M2_M2, VLUXEI16_V }, // 5123
  { PseudoVLUXEI16_V_M2_M2_MASK, VLUXEI16_V }, // 5124
  { PseudoVLUXEI16_V_M2_M4, VLUXEI16_V }, // 5125
  { PseudoVLUXEI16_V_M2_M4_MASK, VLUXEI16_V }, // 5126
  { PseudoVLUXEI16_V_M2_M8, VLUXEI16_V }, // 5127
  { PseudoVLUXEI16_V_M2_M8_MASK, VLUXEI16_V }, // 5128
  { PseudoVLUXEI16_V_M4_M2, VLUXEI16_V }, // 5129
  { PseudoVLUXEI16_V_M4_M2_MASK, VLUXEI16_V }, // 5130
  { PseudoVLUXEI16_V_M4_M4, VLUXEI16_V }, // 5131
  { PseudoVLUXEI16_V_M4_M4_MASK, VLUXEI16_V }, // 5132
  { PseudoVLUXEI16_V_M4_M8, VLUXEI16_V }, // 5133
  { PseudoVLUXEI16_V_M4_M8_MASK, VLUXEI16_V }, // 5134
  { PseudoVLUXEI16_V_M8_M4, VLUXEI16_V }, // 5135
  { PseudoVLUXEI16_V_M8_M4_MASK, VLUXEI16_V }, // 5136
  { PseudoVLUXEI16_V_M8_M8, VLUXEI16_V }, // 5137
  { PseudoVLUXEI16_V_M8_M8_MASK, VLUXEI16_V }, // 5138
  { PseudoVLUXEI16_V_MF2_M1, VLUXEI16_V }, // 5139
  { PseudoVLUXEI16_V_MF2_M1_MASK, VLUXEI16_V }, // 5140
  { PseudoVLUXEI16_V_MF2_M2, VLUXEI16_V }, // 5141
  { PseudoVLUXEI16_V_MF2_M2_MASK, VLUXEI16_V }, // 5142
  { PseudoVLUXEI16_V_MF2_MF2, VLUXEI16_V }, // 5143
  { PseudoVLUXEI16_V_MF2_MF2_MASK, VLUXEI16_V }, // 5144
  { PseudoVLUXEI16_V_MF2_MF4, VLUXEI16_V }, // 5145
  { PseudoVLUXEI16_V_MF2_MF4_MASK, VLUXEI16_V }, // 5146
  { PseudoVLUXEI16_V_MF4_M1, VLUXEI16_V }, // 5147
  { PseudoVLUXEI16_V_MF4_M1_MASK, VLUXEI16_V }, // 5148
  { PseudoVLUXEI16_V_MF4_MF2, VLUXEI16_V }, // 5149
  { PseudoVLUXEI16_V_MF4_MF2_MASK, VLUXEI16_V }, // 5150
  { PseudoVLUXEI16_V_MF4_MF4, VLUXEI16_V }, // 5151
  { PseudoVLUXEI16_V_MF4_MF4_MASK, VLUXEI16_V }, // 5152
  { PseudoVLUXEI16_V_MF4_MF8, VLUXEI16_V }, // 5153
  { PseudoVLUXEI16_V_MF4_MF8_MASK, VLUXEI16_V }, // 5154
  { PseudoVLUXEI32_V_M1_M1, VLUXEI32_V }, // 5155
  { PseudoVLUXEI32_V_M1_M1_MASK, VLUXEI32_V }, // 5156
  { PseudoVLUXEI32_V_M1_M2, VLUXEI32_V }, // 5157
  { PseudoVLUXEI32_V_M1_M2_MASK, VLUXEI32_V }, // 5158
  { PseudoVLUXEI32_V_M1_MF2, VLUXEI32_V }, // 5159
  { PseudoVLUXEI32_V_M1_MF2_MASK, VLUXEI32_V }, // 5160
  { PseudoVLUXEI32_V_M1_MF4, VLUXEI32_V }, // 5161
  { PseudoVLUXEI32_V_M1_MF4_MASK, VLUXEI32_V }, // 5162
  { PseudoVLUXEI32_V_M2_M1, VLUXEI32_V }, // 5163
  { PseudoVLUXEI32_V_M2_M1_MASK, VLUXEI32_V }, // 5164
  { PseudoVLUXEI32_V_M2_M2, VLUXEI32_V }, // 5165
  { PseudoVLUXEI32_V_M2_M2_MASK, VLUXEI32_V }, // 5166
  { PseudoVLUXEI32_V_M2_M4, VLUXEI32_V }, // 5167
  { PseudoVLUXEI32_V_M2_M4_MASK, VLUXEI32_V }, // 5168
  { PseudoVLUXEI32_V_M2_MF2, VLUXEI32_V }, // 5169
  { PseudoVLUXEI32_V_M2_MF2_MASK, VLUXEI32_V }, // 5170
  { PseudoVLUXEI32_V_M4_M1, VLUXEI32_V }, // 5171
  { PseudoVLUXEI32_V_M4_M1_MASK, VLUXEI32_V }, // 5172
  { PseudoVLUXEI32_V_M4_M2, VLUXEI32_V }, // 5173
  { PseudoVLUXEI32_V_M4_M2_MASK, VLUXEI32_V }, // 5174
  { PseudoVLUXEI32_V_M4_M4, VLUXEI32_V }, // 5175
  { PseudoVLUXEI32_V_M4_M4_MASK, VLUXEI32_V }, // 5176
  { PseudoVLUXEI32_V_M4_M8, VLUXEI32_V }, // 5177
  { PseudoVLUXEI32_V_M4_M8_MASK, VLUXEI32_V }, // 5178
  { PseudoVLUXEI32_V_M8_M2, VLUXEI32_V }, // 5179
  { PseudoVLUXEI32_V_M8_M2_MASK, VLUXEI32_V }, // 5180
  { PseudoVLUXEI32_V_M8_M4, VLUXEI32_V }, // 5181
  { PseudoVLUXEI32_V_M8_M4_MASK, VLUXEI32_V }, // 5182
  { PseudoVLUXEI32_V_M8_M8, VLUXEI32_V }, // 5183
  { PseudoVLUXEI32_V_M8_M8_MASK, VLUXEI32_V }, // 5184
  { PseudoVLUXEI32_V_MF2_M1, VLUXEI32_V }, // 5185
  { PseudoVLUXEI32_V_MF2_M1_MASK, VLUXEI32_V }, // 5186
  { PseudoVLUXEI32_V_MF2_MF2, VLUXEI32_V }, // 5187
  { PseudoVLUXEI32_V_MF2_MF2_MASK, VLUXEI32_V }, // 5188
  { PseudoVLUXEI32_V_MF2_MF4, VLUXEI32_V }, // 5189
  { PseudoVLUXEI32_V_MF2_MF4_MASK, VLUXEI32_V }, // 5190
  { PseudoVLUXEI32_V_MF2_MF8, VLUXEI32_V }, // 5191
  { PseudoVLUXEI32_V_MF2_MF8_MASK, VLUXEI32_V }, // 5192
  { PseudoVLUXEI64_V_M1_M1, VLUXEI64_V }, // 5193
  { PseudoVLUXEI64_V_M1_M1_MASK, VLUXEI64_V }, // 5194
  { PseudoVLUXEI64_V_M1_MF2, VLUXEI64_V }, // 5195
  { PseudoVLUXEI64_V_M1_MF2_MASK, VLUXEI64_V }, // 5196
  { PseudoVLUXEI64_V_M1_MF4, VLUXEI64_V }, // 5197
  { PseudoVLUXEI64_V_M1_MF4_MASK, VLUXEI64_V }, // 5198
  { PseudoVLUXEI64_V_M1_MF8, VLUXEI64_V }, // 5199
  { PseudoVLUXEI64_V_M1_MF8_MASK, VLUXEI64_V }, // 5200
  { PseudoVLUXEI64_V_M2_M1, VLUXEI64_V }, // 5201
  { PseudoVLUXEI64_V_M2_M1_MASK, VLUXEI64_V }, // 5202
  { PseudoVLUXEI64_V_M2_M2, VLUXEI64_V }, // 5203
  { PseudoVLUXEI64_V_M2_M2_MASK, VLUXEI64_V }, // 5204
  { PseudoVLUXEI64_V_M2_MF2, VLUXEI64_V }, // 5205
  { PseudoVLUXEI64_V_M2_MF2_MASK, VLUXEI64_V }, // 5206
  { PseudoVLUXEI64_V_M2_MF4, VLUXEI64_V }, // 5207
  { PseudoVLUXEI64_V_M2_MF4_MASK, VLUXEI64_V }, // 5208
  { PseudoVLUXEI64_V_M4_M1, VLUXEI64_V }, // 5209
  { PseudoVLUXEI64_V_M4_M1_MASK, VLUXEI64_V }, // 5210
  { PseudoVLUXEI64_V_M4_M2, VLUXEI64_V }, // 5211
  { PseudoVLUXEI64_V_M4_M2_MASK, VLUXEI64_V }, // 5212
  { PseudoVLUXEI64_V_M4_M4, VLUXEI64_V }, // 5213
  { PseudoVLUXEI64_V_M4_M4_MASK, VLUXEI64_V }, // 5214
  { PseudoVLUXEI64_V_M4_MF2, VLUXEI64_V }, // 5215
  { PseudoVLUXEI64_V_M4_MF2_MASK, VLUXEI64_V }, // 5216
  { PseudoVLUXEI64_V_M8_M1, VLUXEI64_V }, // 5217
  { PseudoVLUXEI64_V_M8_M1_MASK, VLUXEI64_V }, // 5218
  { PseudoVLUXEI64_V_M8_M2, VLUXEI64_V }, // 5219
  { PseudoVLUXEI64_V_M8_M2_MASK, VLUXEI64_V }, // 5220
  { PseudoVLUXEI64_V_M8_M4, VLUXEI64_V }, // 5221
  { PseudoVLUXEI64_V_M8_M4_MASK, VLUXEI64_V }, // 5222
  { PseudoVLUXEI64_V_M8_M8, VLUXEI64_V }, // 5223
  { PseudoVLUXEI64_V_M8_M8_MASK, VLUXEI64_V }, // 5224
  { PseudoVLUXEI8_V_M1_M1, VLUXEI8_V }, // 5225
  { PseudoVLUXEI8_V_M1_M1_MASK, VLUXEI8_V }, // 5226
  { PseudoVLUXEI8_V_M1_M2, VLUXEI8_V }, // 5227
  { PseudoVLUXEI8_V_M1_M2_MASK, VLUXEI8_V }, // 5228
  { PseudoVLUXEI8_V_M1_M4, VLUXEI8_V }, // 5229
  { PseudoVLUXEI8_V_M1_M4_MASK, VLUXEI8_V }, // 5230
  { PseudoVLUXEI8_V_M1_M8, VLUXEI8_V }, // 5231
  { PseudoVLUXEI8_V_M1_M8_MASK, VLUXEI8_V }, // 5232
  { PseudoVLUXEI8_V_M2_M2, VLUXEI8_V }, // 5233
  { PseudoVLUXEI8_V_M2_M2_MASK, VLUXEI8_V }, // 5234
  { PseudoVLUXEI8_V_M2_M4, VLUXEI8_V }, // 5235
  { PseudoVLUXEI8_V_M2_M4_MASK, VLUXEI8_V }, // 5236
  { PseudoVLUXEI8_V_M2_M8, VLUXEI8_V }, // 5237
  { PseudoVLUXEI8_V_M2_M8_MASK, VLUXEI8_V }, // 5238
  { PseudoVLUXEI8_V_M4_M4, VLUXEI8_V }, // 5239
  { PseudoVLUXEI8_V_M4_M4_MASK, VLUXEI8_V }, // 5240
  { PseudoVLUXEI8_V_M4_M8, VLUXEI8_V }, // 5241
  { PseudoVLUXEI8_V_M4_M8_MASK, VLUXEI8_V }, // 5242
  { PseudoVLUXEI8_V_M8_M8, VLUXEI8_V }, // 5243
  { PseudoVLUXEI8_V_M8_M8_MASK, VLUXEI8_V }, // 5244
  { PseudoVLUXEI8_V_MF2_M1, VLUXEI8_V }, // 5245
  { PseudoVLUXEI8_V_MF2_M1_MASK, VLUXEI8_V }, // 5246
  { PseudoVLUXEI8_V_MF2_M2, VLUXEI8_V }, // 5247
  { PseudoVLUXEI8_V_MF2_M2_MASK, VLUXEI8_V }, // 5248
  { PseudoVLUXEI8_V_MF2_M4, VLUXEI8_V }, // 5249
  { PseudoVLUXEI8_V_MF2_M4_MASK, VLUXEI8_V }, // 5250
  { PseudoVLUXEI8_V_MF2_MF2, VLUXEI8_V }, // 5251
  { PseudoVLUXEI8_V_MF2_MF2_MASK, VLUXEI8_V }, // 5252
  { PseudoVLUXEI8_V_MF4_M1, VLUXEI8_V }, // 5253
  { PseudoVLUXEI8_V_MF4_M1_MASK, VLUXEI8_V }, // 5254
  { PseudoVLUXEI8_V_MF4_M2, VLUXEI8_V }, // 5255
  { PseudoVLUXEI8_V_MF4_M2_MASK, VLUXEI8_V }, // 5256
  { PseudoVLUXEI8_V_MF4_MF2, VLUXEI8_V }, // 5257
  { PseudoVLUXEI8_V_MF4_MF2_MASK, VLUXEI8_V }, // 5258
  { PseudoVLUXEI8_V_MF4_MF4, VLUXEI8_V }, // 5259
  { PseudoVLUXEI8_V_MF4_MF4_MASK, VLUXEI8_V }, // 5260
  { PseudoVLUXEI8_V_MF8_M1, VLUXEI8_V }, // 5261
  { PseudoVLUXEI8_V_MF8_M1_MASK, VLUXEI8_V }, // 5262
  { PseudoVLUXEI8_V_MF8_MF2, VLUXEI8_V }, // 5263
  { PseudoVLUXEI8_V_MF8_MF2_MASK, VLUXEI8_V }, // 5264
  { PseudoVLUXEI8_V_MF8_MF4, VLUXEI8_V }, // 5265
  { PseudoVLUXEI8_V_MF8_MF4_MASK, VLUXEI8_V }, // 5266
  { PseudoVLUXEI8_V_MF8_MF8, VLUXEI8_V }, // 5267
  { PseudoVLUXEI8_V_MF8_MF8_MASK, VLUXEI8_V }, // 5268
  { PseudoVLUXSEG2EI16_V_M1_M1, VLUXSEG2EI16_V }, // 5269
  { PseudoVLUXSEG2EI16_V_M1_M1_MASK, VLUXSEG2EI16_V }, // 5270
  { PseudoVLUXSEG2EI16_V_M1_M2, VLUXSEG2EI16_V }, // 5271
  { PseudoVLUXSEG2EI16_V_M1_M2_MASK, VLUXSEG2EI16_V }, // 5272
  { PseudoVLUXSEG2EI16_V_M1_M4, VLUXSEG2EI16_V }, // 5273
  { PseudoVLUXSEG2EI16_V_M1_M4_MASK, VLUXSEG2EI16_V }, // 5274
  { PseudoVLUXSEG2EI16_V_M1_MF2, VLUXSEG2EI16_V }, // 5275
  { PseudoVLUXSEG2EI16_V_M1_MF2_MASK, VLUXSEG2EI16_V }, // 5276
  { PseudoVLUXSEG2EI16_V_M2_M1, VLUXSEG2EI16_V }, // 5277
  { PseudoVLUXSEG2EI16_V_M2_M1_MASK, VLUXSEG2EI16_V }, // 5278
  { PseudoVLUXSEG2EI16_V_M2_M2, VLUXSEG2EI16_V }, // 5279
  { PseudoVLUXSEG2EI16_V_M2_M2_MASK, VLUXSEG2EI16_V }, // 5280
  { PseudoVLUXSEG2EI16_V_M2_M4, VLUXSEG2EI16_V }, // 5281
  { PseudoVLUXSEG2EI16_V_M2_M4_MASK, VLUXSEG2EI16_V }, // 5282
  { PseudoVLUXSEG2EI16_V_M4_M2, VLUXSEG2EI16_V }, // 5283
  { PseudoVLUXSEG2EI16_V_M4_M2_MASK, VLUXSEG2EI16_V }, // 5284
  { PseudoVLUXSEG2EI16_V_M4_M4, VLUXSEG2EI16_V }, // 5285
  { PseudoVLUXSEG2EI16_V_M4_M4_MASK, VLUXSEG2EI16_V }, // 5286
  { PseudoVLUXSEG2EI16_V_M8_M4, VLUXSEG2EI16_V }, // 5287
  { PseudoVLUXSEG2EI16_V_M8_M4_MASK, VLUXSEG2EI16_V }, // 5288
  { PseudoVLUXSEG2EI16_V_MF2_M1, VLUXSEG2EI16_V }, // 5289
  { PseudoVLUXSEG2EI16_V_MF2_M1_MASK, VLUXSEG2EI16_V }, // 5290
  { PseudoVLUXSEG2EI16_V_MF2_M2, VLUXSEG2EI16_V }, // 5291
  { PseudoVLUXSEG2EI16_V_MF2_M2_MASK, VLUXSEG2EI16_V }, // 5292
  { PseudoVLUXSEG2EI16_V_MF2_MF2, VLUXSEG2EI16_V }, // 5293
  { PseudoVLUXSEG2EI16_V_MF2_MF2_MASK, VLUXSEG2EI16_V }, // 5294
  { PseudoVLUXSEG2EI16_V_MF2_MF4, VLUXSEG2EI16_V }, // 5295
  { PseudoVLUXSEG2EI16_V_MF2_MF4_MASK, VLUXSEG2EI16_V }, // 5296
  { PseudoVLUXSEG2EI16_V_MF4_M1, VLUXSEG2EI16_V }, // 5297
  { PseudoVLUXSEG2EI16_V_MF4_M1_MASK, VLUXSEG2EI16_V }, // 5298
  { PseudoVLUXSEG2EI16_V_MF4_MF2, VLUXSEG2EI16_V }, // 5299
  { PseudoVLUXSEG2EI16_V_MF4_MF2_MASK, VLUXSEG2EI16_V }, // 5300
  { PseudoVLUXSEG2EI16_V_MF4_MF4, VLUXSEG2EI16_V }, // 5301
  { PseudoVLUXSEG2EI16_V_MF4_MF4_MASK, VLUXSEG2EI16_V }, // 5302
  { PseudoVLUXSEG2EI16_V_MF4_MF8, VLUXSEG2EI16_V }, // 5303
  { PseudoVLUXSEG2EI16_V_MF4_MF8_MASK, VLUXSEG2EI16_V }, // 5304
  { PseudoVLUXSEG2EI32_V_M1_M1, VLUXSEG2EI32_V }, // 5305
  { PseudoVLUXSEG2EI32_V_M1_M1_MASK, VLUXSEG2EI32_V }, // 5306
  { PseudoVLUXSEG2EI32_V_M1_M2, VLUXSEG2EI32_V }, // 5307
  { PseudoVLUXSEG2EI32_V_M1_M2_MASK, VLUXSEG2EI32_V }, // 5308
  { PseudoVLUXSEG2EI32_V_M1_MF2, VLUXSEG2EI32_V }, // 5309
  { PseudoVLUXSEG2EI32_V_M1_MF2_MASK, VLUXSEG2EI32_V }, // 5310
  { PseudoVLUXSEG2EI32_V_M1_MF4, VLUXSEG2EI32_V }, // 5311
  { PseudoVLUXSEG2EI32_V_M1_MF4_MASK, VLUXSEG2EI32_V }, // 5312
  { PseudoVLUXSEG2EI32_V_M2_M1, VLUXSEG2EI32_V }, // 5313
  { PseudoVLUXSEG2EI32_V_M2_M1_MASK, VLUXSEG2EI32_V }, // 5314
  { PseudoVLUXSEG2EI32_V_M2_M2, VLUXSEG2EI32_V }, // 5315
  { PseudoVLUXSEG2EI32_V_M2_M2_MASK, VLUXSEG2EI32_V }, // 5316
  { PseudoVLUXSEG2EI32_V_M2_M4, VLUXSEG2EI32_V }, // 5317
  { PseudoVLUXSEG2EI32_V_M2_M4_MASK, VLUXSEG2EI32_V }, // 5318
  { PseudoVLUXSEG2EI32_V_M2_MF2, VLUXSEG2EI32_V }, // 5319
  { PseudoVLUXSEG2EI32_V_M2_MF2_MASK, VLUXSEG2EI32_V }, // 5320
  { PseudoVLUXSEG2EI32_V_M4_M1, VLUXSEG2EI32_V }, // 5321
  { PseudoVLUXSEG2EI32_V_M4_M1_MASK, VLUXSEG2EI32_V }, // 5322
  { PseudoVLUXSEG2EI32_V_M4_M2, VLUXSEG2EI32_V }, // 5323
  { PseudoVLUXSEG2EI32_V_M4_M2_MASK, VLUXSEG2EI32_V }, // 5324
  { PseudoVLUXSEG2EI32_V_M4_M4, VLUXSEG2EI32_V }, // 5325
  { PseudoVLUXSEG2EI32_V_M4_M4_MASK, VLUXSEG2EI32_V }, // 5326
  { PseudoVLUXSEG2EI32_V_M8_M2, VLUXSEG2EI32_V }, // 5327
  { PseudoVLUXSEG2EI32_V_M8_M2_MASK, VLUXSEG2EI32_V }, // 5328
  { PseudoVLUXSEG2EI32_V_M8_M4, VLUXSEG2EI32_V }, // 5329
  { PseudoVLUXSEG2EI32_V_M8_M4_MASK, VLUXSEG2EI32_V }, // 5330
  { PseudoVLUXSEG2EI32_V_MF2_M1, VLUXSEG2EI32_V }, // 5331
  { PseudoVLUXSEG2EI32_V_MF2_M1_MASK, VLUXSEG2EI32_V }, // 5332
  { PseudoVLUXSEG2EI32_V_MF2_MF2, VLUXSEG2EI32_V }, // 5333
  { PseudoVLUXSEG2EI32_V_MF2_MF2_MASK, VLUXSEG2EI32_V }, // 5334
  { PseudoVLUXSEG2EI32_V_MF2_MF4, VLUXSEG2EI32_V }, // 5335
  { PseudoVLUXSEG2EI32_V_MF2_MF4_MASK, VLUXSEG2EI32_V }, // 5336
  { PseudoVLUXSEG2EI32_V_MF2_MF8, VLUXSEG2EI32_V }, // 5337
  { PseudoVLUXSEG2EI32_V_MF2_MF8_MASK, VLUXSEG2EI32_V }, // 5338
  { PseudoVLUXSEG2EI64_V_M1_M1, VLUXSEG2EI64_V }, // 5339
  { PseudoVLUXSEG2EI64_V_M1_M1_MASK, VLUXSEG2EI64_V }, // 5340
  { PseudoVLUXSEG2EI64_V_M1_MF2, VLUXSEG2EI64_V }, // 5341
  { PseudoVLUXSEG2EI64_V_M1_MF2_MASK, VLUXSEG2EI64_V }, // 5342
  { PseudoVLUXSEG2EI64_V_M1_MF4, VLUXSEG2EI64_V }, // 5343
  { PseudoVLUXSEG2EI64_V_M1_MF4_MASK, VLUXSEG2EI64_V }, // 5344
  { PseudoVLUXSEG2EI64_V_M1_MF8, VLUXSEG2EI64_V }, // 5345
  { PseudoVLUXSEG2EI64_V_M1_MF8_MASK, VLUXSEG2EI64_V }, // 5346
  { PseudoVLUXSEG2EI64_V_M2_M1, VLUXSEG2EI64_V }, // 5347
  { PseudoVLUXSEG2EI64_V_M2_M1_MASK, VLUXSEG2EI64_V }, // 5348
  { PseudoVLUXSEG2EI64_V_M2_M2, VLUXSEG2EI64_V }, // 5349
  { PseudoVLUXSEG2EI64_V_M2_M2_MASK, VLUXSEG2EI64_V }, // 5350
  { PseudoVLUXSEG2EI64_V_M2_MF2, VLUXSEG2EI64_V }, // 5351
  { PseudoVLUXSEG2EI64_V_M2_MF2_MASK, VLUXSEG2EI64_V }, // 5352
  { PseudoVLUXSEG2EI64_V_M2_MF4, VLUXSEG2EI64_V }, // 5353
  { PseudoVLUXSEG2EI64_V_M2_MF4_MASK, VLUXSEG2EI64_V }, // 5354
  { PseudoVLUXSEG2EI64_V_M4_M1, VLUXSEG2EI64_V }, // 5355
  { PseudoVLUXSEG2EI64_V_M4_M1_MASK, VLUXSEG2EI64_V }, // 5356
  { PseudoVLUXSEG2EI64_V_M4_M2, VLUXSEG2EI64_V }, // 5357
  { PseudoVLUXSEG2EI64_V_M4_M2_MASK, VLUXSEG2EI64_V }, // 5358
  { PseudoVLUXSEG2EI64_V_M4_M4, VLUXSEG2EI64_V }, // 5359
  { PseudoVLUXSEG2EI64_V_M4_M4_MASK, VLUXSEG2EI64_V }, // 5360
  { PseudoVLUXSEG2EI64_V_M4_MF2, VLUXSEG2EI64_V }, // 5361
  { PseudoVLUXSEG2EI64_V_M4_MF2_MASK, VLUXSEG2EI64_V }, // 5362
  { PseudoVLUXSEG2EI64_V_M8_M1, VLUXSEG2EI64_V }, // 5363
  { PseudoVLUXSEG2EI64_V_M8_M1_MASK, VLUXSEG2EI64_V }, // 5364
  { PseudoVLUXSEG2EI64_V_M8_M2, VLUXSEG2EI64_V }, // 5365
  { PseudoVLUXSEG2EI64_V_M8_M2_MASK, VLUXSEG2EI64_V }, // 5366
  { PseudoVLUXSEG2EI64_V_M8_M4, VLUXSEG2EI64_V }, // 5367
  { PseudoVLUXSEG2EI64_V_M8_M4_MASK, VLUXSEG2EI64_V }, // 5368
  { PseudoVLUXSEG2EI8_V_M1_M1, VLUXSEG2EI8_V }, // 5369
  { PseudoVLUXSEG2EI8_V_M1_M1_MASK, VLUXSEG2EI8_V }, // 5370
  { PseudoVLUXSEG2EI8_V_M1_M2, VLUXSEG2EI8_V }, // 5371
  { PseudoVLUXSEG2EI8_V_M1_M2_MASK, VLUXSEG2EI8_V }, // 5372
  { PseudoVLUXSEG2EI8_V_M1_M4, VLUXSEG2EI8_V }, // 5373
  { PseudoVLUXSEG2EI8_V_M1_M4_MASK, VLUXSEG2EI8_V }, // 5374
  { PseudoVLUXSEG2EI8_V_M2_M2, VLUXSEG2EI8_V }, // 5375
  { PseudoVLUXSEG2EI8_V_M2_M2_MASK, VLUXSEG2EI8_V }, // 5376
  { PseudoVLUXSEG2EI8_V_M2_M4, VLUXSEG2EI8_V }, // 5377
  { PseudoVLUXSEG2EI8_V_M2_M4_MASK, VLUXSEG2EI8_V }, // 5378
  { PseudoVLUXSEG2EI8_V_M4_M4, VLUXSEG2EI8_V }, // 5379
  { PseudoVLUXSEG2EI8_V_M4_M4_MASK, VLUXSEG2EI8_V }, // 5380
  { PseudoVLUXSEG2EI8_V_MF2_M1, VLUXSEG2EI8_V }, // 5381
  { PseudoVLUXSEG2EI8_V_MF2_M1_MASK, VLUXSEG2EI8_V }, // 5382
  { PseudoVLUXSEG2EI8_V_MF2_M2, VLUXSEG2EI8_V }, // 5383
  { PseudoVLUXSEG2EI8_V_MF2_M2_MASK, VLUXSEG2EI8_V }, // 5384
  { PseudoVLUXSEG2EI8_V_MF2_M4, VLUXSEG2EI8_V }, // 5385
  { PseudoVLUXSEG2EI8_V_MF2_M4_MASK, VLUXSEG2EI8_V }, // 5386
  { PseudoVLUXSEG2EI8_V_MF2_MF2, VLUXSEG2EI8_V }, // 5387
  { PseudoVLUXSEG2EI8_V_MF2_MF2_MASK, VLUXSEG2EI8_V }, // 5388
  { PseudoVLUXSEG2EI8_V_MF4_M1, VLUXSEG2EI8_V }, // 5389
  { PseudoVLUXSEG2EI8_V_MF4_M1_MASK, VLUXSEG2EI8_V }, // 5390
  { PseudoVLUXSEG2EI8_V_MF4_M2, VLUXSEG2EI8_V }, // 5391
  { PseudoVLUXSEG2EI8_V_MF4_M2_MASK, VLUXSEG2EI8_V }, // 5392
  { PseudoVLUXSEG2EI8_V_MF4_MF2, VLUXSEG2EI8_V }, // 5393
  { PseudoVLUXSEG2EI8_V_MF4_MF2_MASK, VLUXSEG2EI8_V }, // 5394
  { PseudoVLUXSEG2EI8_V_MF4_MF4, VLUXSEG2EI8_V }, // 5395
  { PseudoVLUXSEG2EI8_V_MF4_MF4_MASK, VLUXSEG2EI8_V }, // 5396
  { PseudoVLUXSEG2EI8_V_MF8_M1, VLUXSEG2EI8_V }, // 5397
  { PseudoVLUXSEG2EI8_V_MF8_M1_MASK, VLUXSEG2EI8_V }, // 5398
  { PseudoVLUXSEG2EI8_V_MF8_MF2, VLUXSEG2EI8_V }, // 5399
  { PseudoVLUXSEG2EI8_V_MF8_MF2_MASK, VLUXSEG2EI8_V }, // 5400
  { PseudoVLUXSEG2EI8_V_MF8_MF4, VLUXSEG2EI8_V }, // 5401
  { PseudoVLUXSEG2EI8_V_MF8_MF4_MASK, VLUXSEG2EI8_V }, // 5402
  { PseudoVLUXSEG2EI8_V_MF8_MF8, VLUXSEG2EI8_V }, // 5403
  { PseudoVLUXSEG2EI8_V_MF8_MF8_MASK, VLUXSEG2EI8_V }, // 5404
  { PseudoVLUXSEG3EI16_V_M1_M1, VLUXSEG3EI16_V }, // 5405
  { PseudoVLUXSEG3EI16_V_M1_M1_MASK, VLUXSEG3EI16_V }, // 5406
  { PseudoVLUXSEG3EI16_V_M1_M2, VLUXSEG3EI16_V }, // 5407
  { PseudoVLUXSEG3EI16_V_M1_M2_MASK, VLUXSEG3EI16_V }, // 5408
  { PseudoVLUXSEG3EI16_V_M1_MF2, VLUXSEG3EI16_V }, // 5409
  { PseudoVLUXSEG3EI16_V_M1_MF2_MASK, VLUXSEG3EI16_V }, // 5410
  { PseudoVLUXSEG3EI16_V_M2_M1, VLUXSEG3EI16_V }, // 5411
  { PseudoVLUXSEG3EI16_V_M2_M1_MASK, VLUXSEG3EI16_V }, // 5412
  { PseudoVLUXSEG3EI16_V_M2_M2, VLUXSEG3EI16_V }, // 5413
  { PseudoVLUXSEG3EI16_V_M2_M2_MASK, VLUXSEG3EI16_V }, // 5414
  { PseudoVLUXSEG3EI16_V_M4_M2, VLUXSEG3EI16_V }, // 5415
  { PseudoVLUXSEG3EI16_V_M4_M2_MASK, VLUXSEG3EI16_V }, // 5416
  { PseudoVLUXSEG3EI16_V_MF2_M1, VLUXSEG3EI16_V }, // 5417
  { PseudoVLUXSEG3EI16_V_MF2_M1_MASK, VLUXSEG3EI16_V }, // 5418
  { PseudoVLUXSEG3EI16_V_MF2_M2, VLUXSEG3EI16_V }, // 5419
  { PseudoVLUXSEG3EI16_V_MF2_M2_MASK, VLUXSEG3EI16_V }, // 5420
  { PseudoVLUXSEG3EI16_V_MF2_MF2, VLUXSEG3EI16_V }, // 5421
  { PseudoVLUXSEG3EI16_V_MF2_MF2_MASK, VLUXSEG3EI16_V }, // 5422
  { PseudoVLUXSEG3EI16_V_MF2_MF4, VLUXSEG3EI16_V }, // 5423
  { PseudoVLUXSEG3EI16_V_MF2_MF4_MASK, VLUXSEG3EI16_V }, // 5424
  { PseudoVLUXSEG3EI16_V_MF4_M1, VLUXSEG3EI16_V }, // 5425
  { PseudoVLUXSEG3EI16_V_MF4_M1_MASK, VLUXSEG3EI16_V }, // 5426
  { PseudoVLUXSEG3EI16_V_MF4_MF2, VLUXSEG3EI16_V }, // 5427
  { PseudoVLUXSEG3EI16_V_MF4_MF2_MASK, VLUXSEG3EI16_V }, // 5428
  { PseudoVLUXSEG3EI16_V_MF4_MF4, VLUXSEG3EI16_V }, // 5429
  { PseudoVLUXSEG3EI16_V_MF4_MF4_MASK, VLUXSEG3EI16_V }, // 5430
  { PseudoVLUXSEG3EI16_V_MF4_MF8, VLUXSEG3EI16_V }, // 5431
  { PseudoVLUXSEG3EI16_V_MF4_MF8_MASK, VLUXSEG3EI16_V }, // 5432
  { PseudoVLUXSEG3EI32_V_M1_M1, VLUXSEG3EI32_V }, // 5433
  { PseudoVLUXSEG3EI32_V_M1_M1_MASK, VLUXSEG3EI32_V }, // 5434
  { PseudoVLUXSEG3EI32_V_M1_M2, VLUXSEG3EI32_V }, // 5435
  { PseudoVLUXSEG3EI32_V_M1_M2_MASK, VLUXSEG3EI32_V }, // 5436
  { PseudoVLUXSEG3EI32_V_M1_MF2, VLUXSEG3EI32_V }, // 5437
  { PseudoVLUXSEG3EI32_V_M1_MF2_MASK, VLUXSEG3EI32_V }, // 5438
  { PseudoVLUXSEG3EI32_V_M1_MF4, VLUXSEG3EI32_V }, // 5439
  { PseudoVLUXSEG3EI32_V_M1_MF4_MASK, VLUXSEG3EI32_V }, // 5440
  { PseudoVLUXSEG3EI32_V_M2_M1, VLUXSEG3EI32_V }, // 5441
  { PseudoVLUXSEG3EI32_V_M2_M1_MASK, VLUXSEG3EI32_V }, // 5442
  { PseudoVLUXSEG3EI32_V_M2_M2, VLUXSEG3EI32_V }, // 5443
  { PseudoVLUXSEG3EI32_V_M2_M2_MASK, VLUXSEG3EI32_V }, // 5444
  { PseudoVLUXSEG3EI32_V_M2_MF2, VLUXSEG3EI32_V }, // 5445
  { PseudoVLUXSEG3EI32_V_M2_MF2_MASK, VLUXSEG3EI32_V }, // 5446
  { PseudoVLUXSEG3EI32_V_M4_M1, VLUXSEG3EI32_V }, // 5447
  { PseudoVLUXSEG3EI32_V_M4_M1_MASK, VLUXSEG3EI32_V }, // 5448
  { PseudoVLUXSEG3EI32_V_M4_M2, VLUXSEG3EI32_V }, // 5449
  { PseudoVLUXSEG3EI32_V_M4_M2_MASK, VLUXSEG3EI32_V }, // 5450
  { PseudoVLUXSEG3EI32_V_M8_M2, VLUXSEG3EI32_V }, // 5451
  { PseudoVLUXSEG3EI32_V_M8_M2_MASK, VLUXSEG3EI32_V }, // 5452
  { PseudoVLUXSEG3EI32_V_MF2_M1, VLUXSEG3EI32_V }, // 5453
  { PseudoVLUXSEG3EI32_V_MF2_M1_MASK, VLUXSEG3EI32_V }, // 5454
  { PseudoVLUXSEG3EI32_V_MF2_MF2, VLUXSEG3EI32_V }, // 5455
  { PseudoVLUXSEG3EI32_V_MF2_MF2_MASK, VLUXSEG3EI32_V }, // 5456
  { PseudoVLUXSEG3EI32_V_MF2_MF4, VLUXSEG3EI32_V }, // 5457
  { PseudoVLUXSEG3EI32_V_MF2_MF4_MASK, VLUXSEG3EI32_V }, // 5458
  { PseudoVLUXSEG3EI32_V_MF2_MF8, VLUXSEG3EI32_V }, // 5459
  { PseudoVLUXSEG3EI32_V_MF2_MF8_MASK, VLUXSEG3EI32_V }, // 5460
  { PseudoVLUXSEG3EI64_V_M1_M1, VLUXSEG3EI64_V }, // 5461
  { PseudoVLUXSEG3EI64_V_M1_M1_MASK, VLUXSEG3EI64_V }, // 5462
  { PseudoVLUXSEG3EI64_V_M1_MF2, VLUXSEG3EI64_V }, // 5463
  { PseudoVLUXSEG3EI64_V_M1_MF2_MASK, VLUXSEG3EI64_V }, // 5464
  { PseudoVLUXSEG3EI64_V_M1_MF4, VLUXSEG3EI64_V }, // 5465
  { PseudoVLUXSEG3EI64_V_M1_MF4_MASK, VLUXSEG3EI64_V }, // 5466
  { PseudoVLUXSEG3EI64_V_M1_MF8, VLUXSEG3EI64_V }, // 5467
  { PseudoVLUXSEG3EI64_V_M1_MF8_MASK, VLUXSEG3EI64_V }, // 5468
  { PseudoVLUXSEG3EI64_V_M2_M1, VLUXSEG3EI64_V }, // 5469
  { PseudoVLUXSEG3EI64_V_M2_M1_MASK, VLUXSEG3EI64_V }, // 5470
  { PseudoVLUXSEG3EI64_V_M2_M2, VLUXSEG3EI64_V }, // 5471
  { PseudoVLUXSEG3EI64_V_M2_M2_MASK, VLUXSEG3EI64_V }, // 5472
  { PseudoVLUXSEG3EI64_V_M2_MF2, VLUXSEG3EI64_V }, // 5473
  { PseudoVLUXSEG3EI64_V_M2_MF2_MASK, VLUXSEG3EI64_V }, // 5474
  { PseudoVLUXSEG3EI64_V_M2_MF4, VLUXSEG3EI64_V }, // 5475
  { PseudoVLUXSEG3EI64_V_M2_MF4_MASK, VLUXSEG3EI64_V }, // 5476
  { PseudoVLUXSEG3EI64_V_M4_M1, VLUXSEG3EI64_V }, // 5477
  { PseudoVLUXSEG3EI64_V_M4_M1_MASK, VLUXSEG3EI64_V }, // 5478
  { PseudoVLUXSEG3EI64_V_M4_M2, VLUXSEG3EI64_V }, // 5479
  { PseudoVLUXSEG3EI64_V_M4_M2_MASK, VLUXSEG3EI64_V }, // 5480
  { PseudoVLUXSEG3EI64_V_M4_MF2, VLUXSEG3EI64_V }, // 5481
  { PseudoVLUXSEG3EI64_V_M4_MF2_MASK, VLUXSEG3EI64_V }, // 5482
  { PseudoVLUXSEG3EI64_V_M8_M1, VLUXSEG3EI64_V }, // 5483
  { PseudoVLUXSEG3EI64_V_M8_M1_MASK, VLUXSEG3EI64_V }, // 5484
  { PseudoVLUXSEG3EI64_V_M8_M2, VLUXSEG3EI64_V }, // 5485
  { PseudoVLUXSEG3EI64_V_M8_M2_MASK, VLUXSEG3EI64_V }, // 5486
  { PseudoVLUXSEG3EI8_V_M1_M1, VLUXSEG3EI8_V }, // 5487
  { PseudoVLUXSEG3EI8_V_M1_M1_MASK, VLUXSEG3EI8_V }, // 5488
  { PseudoVLUXSEG3EI8_V_M1_M2, VLUXSEG3EI8_V }, // 5489
  { PseudoVLUXSEG3EI8_V_M1_M2_MASK, VLUXSEG3EI8_V }, // 5490
  { PseudoVLUXSEG3EI8_V_M2_M2, VLUXSEG3EI8_V }, // 5491
  { PseudoVLUXSEG3EI8_V_M2_M2_MASK, VLUXSEG3EI8_V }, // 5492
  { PseudoVLUXSEG3EI8_V_MF2_M1, VLUXSEG3EI8_V }, // 5493
  { PseudoVLUXSEG3EI8_V_MF2_M1_MASK, VLUXSEG3EI8_V }, // 5494
  { PseudoVLUXSEG3EI8_V_MF2_M2, VLUXSEG3EI8_V }, // 5495
  { PseudoVLUXSEG3EI8_V_MF2_M2_MASK, VLUXSEG3EI8_V }, // 5496
  { PseudoVLUXSEG3EI8_V_MF2_MF2, VLUXSEG3EI8_V }, // 5497
  { PseudoVLUXSEG3EI8_V_MF2_MF2_MASK, VLUXSEG3EI8_V }, // 5498
  { PseudoVLUXSEG3EI8_V_MF4_M1, VLUXSEG3EI8_V }, // 5499
  { PseudoVLUXSEG3EI8_V_MF4_M1_MASK, VLUXSEG3EI8_V }, // 5500
  { PseudoVLUXSEG3EI8_V_MF4_M2, VLUXSEG3EI8_V }, // 5501
  { PseudoVLUXSEG3EI8_V_MF4_M2_MASK, VLUXSEG3EI8_V }, // 5502
  { PseudoVLUXSEG3EI8_V_MF4_MF2, VLUXSEG3EI8_V }, // 5503
  { PseudoVLUXSEG3EI8_V_MF4_MF2_MASK, VLUXSEG3EI8_V }, // 5504
  { PseudoVLUXSEG3EI8_V_MF4_MF4, VLUXSEG3EI8_V }, // 5505
  { PseudoVLUXSEG3EI8_V_MF4_MF4_MASK, VLUXSEG3EI8_V }, // 5506
  { PseudoVLUXSEG3EI8_V_MF8_M1, VLUXSEG3EI8_V }, // 5507
  { PseudoVLUXSEG3EI8_V_MF8_M1_MASK, VLUXSEG3EI8_V }, // 5508
  { PseudoVLUXSEG3EI8_V_MF8_MF2, VLUXSEG3EI8_V }, // 5509
  { PseudoVLUXSEG3EI8_V_MF8_MF2_MASK, VLUXSEG3EI8_V }, // 5510
  { PseudoVLUXSEG3EI8_V_MF8_MF4, VLUXSEG3EI8_V }, // 5511
  { PseudoVLUXSEG3EI8_V_MF8_MF4_MASK, VLUXSEG3EI8_V }, // 5512
  { PseudoVLUXSEG3EI8_V_MF8_MF8, VLUXSEG3EI8_V }, // 5513
  { PseudoVLUXSEG3EI8_V_MF8_MF8_MASK, VLUXSEG3EI8_V }, // 5514
  { PseudoVLUXSEG4EI16_V_M1_M1, VLUXSEG4EI16_V }, // 5515
  { PseudoVLUXSEG4EI16_V_M1_M1_MASK, VLUXSEG4EI16_V }, // 5516
  { PseudoVLUXSEG4EI16_V_M1_M2, VLUXSEG4EI16_V }, // 5517
  { PseudoVLUXSEG4EI16_V_M1_M2_MASK, VLUXSEG4EI16_V }, // 5518
  { PseudoVLUXSEG4EI16_V_M1_MF2, VLUXSEG4EI16_V }, // 5519
  { PseudoVLUXSEG4EI16_V_M1_MF2_MASK, VLUXSEG4EI16_V }, // 5520
  { PseudoVLUXSEG4EI16_V_M2_M1, VLUXSEG4EI16_V }, // 5521
  { PseudoVLUXSEG4EI16_V_M2_M1_MASK, VLUXSEG4EI16_V }, // 5522
  { PseudoVLUXSEG4EI16_V_M2_M2, VLUXSEG4EI16_V }, // 5523
  { PseudoVLUXSEG4EI16_V_M2_M2_MASK, VLUXSEG4EI16_V }, // 5524
  { PseudoVLUXSEG4EI16_V_M4_M2, VLUXSEG4EI16_V }, // 5525
  { PseudoVLUXSEG4EI16_V_M4_M2_MASK, VLUXSEG4EI16_V }, // 5526
  { PseudoVLUXSEG4EI16_V_MF2_M1, VLUXSEG4EI16_V }, // 5527
  { PseudoVLUXSEG4EI16_V_MF2_M1_MASK, VLUXSEG4EI16_V }, // 5528
  { PseudoVLUXSEG4EI16_V_MF2_M2, VLUXSEG4EI16_V }, // 5529
  { PseudoVLUXSEG4EI16_V_MF2_M2_MASK, VLUXSEG4EI16_V }, // 5530
  { PseudoVLUXSEG4EI16_V_MF2_MF2, VLUXSEG4EI16_V }, // 5531
  { PseudoVLUXSEG4EI16_V_MF2_MF2_MASK, VLUXSEG4EI16_V }, // 5532
  { PseudoVLUXSEG4EI16_V_MF2_MF4, VLUXSEG4EI16_V }, // 5533
  { PseudoVLUXSEG4EI16_V_MF2_MF4_MASK, VLUXSEG4EI16_V }, // 5534
  { PseudoVLUXSEG4EI16_V_MF4_M1, VLUXSEG4EI16_V }, // 5535
  { PseudoVLUXSEG4EI16_V_MF4_M1_MASK, VLUXSEG4EI16_V }, // 5536
  { PseudoVLUXSEG4EI16_V_MF4_MF2, VLUXSEG4EI16_V }, // 5537
  { PseudoVLUXSEG4EI16_V_MF4_MF2_MASK, VLUXSEG4EI16_V }, // 5538
  { PseudoVLUXSEG4EI16_V_MF4_MF4, VLUXSEG4EI16_V }, // 5539
  { PseudoVLUXSEG4EI16_V_MF4_MF4_MASK, VLUXSEG4EI16_V }, // 5540
  { PseudoVLUXSEG4EI16_V_MF4_MF8, VLUXSEG4EI16_V }, // 5541
  { PseudoVLUXSEG4EI16_V_MF4_MF8_MASK, VLUXSEG4EI16_V }, // 5542
  { PseudoVLUXSEG4EI32_V_M1_M1, VLUXSEG4EI32_V }, // 5543
  { PseudoVLUXSEG4EI32_V_M1_M1_MASK, VLUXSEG4EI32_V }, // 5544
  { PseudoVLUXSEG4EI32_V_M1_M2, VLUXSEG4EI32_V }, // 5545
  { PseudoVLUXSEG4EI32_V_M1_M2_MASK, VLUXSEG4EI32_V }, // 5546
  { PseudoVLUXSEG4EI32_V_M1_MF2, VLUXSEG4EI32_V }, // 5547
  { PseudoVLUXSEG4EI32_V_M1_MF2_MASK, VLUXSEG4EI32_V }, // 5548
  { PseudoVLUXSEG4EI32_V_M1_MF4, VLUXSEG4EI32_V }, // 5549
  { PseudoVLUXSEG4EI32_V_M1_MF4_MASK, VLUXSEG4EI32_V }, // 5550
  { PseudoVLUXSEG4EI32_V_M2_M1, VLUXSEG4EI32_V }, // 5551
  { PseudoVLUXSEG4EI32_V_M2_M1_MASK, VLUXSEG4EI32_V }, // 5552
  { PseudoVLUXSEG4EI32_V_M2_M2, VLUXSEG4EI32_V }, // 5553
  { PseudoVLUXSEG4EI32_V_M2_M2_MASK, VLUXSEG4EI32_V }, // 5554
  { PseudoVLUXSEG4EI32_V_M2_MF2, VLUXSEG4EI32_V }, // 5555
  { PseudoVLUXSEG4EI32_V_M2_MF2_MASK, VLUXSEG4EI32_V }, // 5556
  { PseudoVLUXSEG4EI32_V_M4_M1, VLUXSEG4EI32_V }, // 5557
  { PseudoVLUXSEG4EI32_V_M4_M1_MASK, VLUXSEG4EI32_V }, // 5558
  { PseudoVLUXSEG4EI32_V_M4_M2, VLUXSEG4EI32_V }, // 5559
  { PseudoVLUXSEG4EI32_V_M4_M2_MASK, VLUXSEG4EI32_V }, // 5560
  { PseudoVLUXSEG4EI32_V_M8_M2, VLUXSEG4EI32_V }, // 5561
  { PseudoVLUXSEG4EI32_V_M8_M2_MASK, VLUXSEG4EI32_V }, // 5562
  { PseudoVLUXSEG4EI32_V_MF2_M1, VLUXSEG4EI32_V }, // 5563
  { PseudoVLUXSEG4EI32_V_MF2_M1_MASK, VLUXSEG4EI32_V }, // 5564
  { PseudoVLUXSEG4EI32_V_MF2_MF2, VLUXSEG4EI32_V }, // 5565
  { PseudoVLUXSEG4EI32_V_MF2_MF2_MASK, VLUXSEG4EI32_V }, // 5566
  { PseudoVLUXSEG4EI32_V_MF2_MF4, VLUXSEG4EI32_V }, // 5567
  { PseudoVLUXSEG4EI32_V_MF2_MF4_MASK, VLUXSEG4EI32_V }, // 5568
  { PseudoVLUXSEG4EI32_V_MF2_MF8, VLUXSEG4EI32_V }, // 5569
  { PseudoVLUXSEG4EI32_V_MF2_MF8_MASK, VLUXSEG4EI32_V }, // 5570
  { PseudoVLUXSEG4EI64_V_M1_M1, VLUXSEG4EI64_V }, // 5571
  { PseudoVLUXSEG4EI64_V_M1_M1_MASK, VLUXSEG4EI64_V }, // 5572
  { PseudoVLUXSEG4EI64_V_M1_MF2, VLUXSEG4EI64_V }, // 5573
  { PseudoVLUXSEG4EI64_V_M1_MF2_MASK, VLUXSEG4EI64_V }, // 5574
  { PseudoVLUXSEG4EI64_V_M1_MF4, VLUXSEG4EI64_V }, // 5575
  { PseudoVLUXSEG4EI64_V_M1_MF4_MASK, VLUXSEG4EI64_V }, // 5576
  { PseudoVLUXSEG4EI64_V_M1_MF8, VLUXSEG4EI64_V }, // 5577
  { PseudoVLUXSEG4EI64_V_M1_MF8_MASK, VLUXSEG4EI64_V }, // 5578
  { PseudoVLUXSEG4EI64_V_M2_M1, VLUXSEG4EI64_V }, // 5579
  { PseudoVLUXSEG4EI64_V_M2_M1_MASK, VLUXSEG4EI64_V }, // 5580
  { PseudoVLUXSEG4EI64_V_M2_M2, VLUXSEG4EI64_V }, // 5581
  { PseudoVLUXSEG4EI64_V_M2_M2_MASK, VLUXSEG4EI64_V }, // 5582
  { PseudoVLUXSEG4EI64_V_M2_MF2, VLUXSEG4EI64_V }, // 5583
  { PseudoVLUXSEG4EI64_V_M2_MF2_MASK, VLUXSEG4EI64_V }, // 5584
  { PseudoVLUXSEG4EI64_V_M2_MF4, VLUXSEG4EI64_V }, // 5585
  { PseudoVLUXSEG4EI64_V_M2_MF4_MASK, VLUXSEG4EI64_V }, // 5586
  { PseudoVLUXSEG4EI64_V_M4_M1, VLUXSEG4EI64_V }, // 5587
  { PseudoVLUXSEG4EI64_V_M4_M1_MASK, VLUXSEG4EI64_V }, // 5588
  { PseudoVLUXSEG4EI64_V_M4_M2, VLUXSEG4EI64_V }, // 5589
  { PseudoVLUXSEG4EI64_V_M4_M2_MASK, VLUXSEG4EI64_V }, // 5590
  { PseudoVLUXSEG4EI64_V_M4_MF2, VLUXSEG4EI64_V }, // 5591
  { PseudoVLUXSEG4EI64_V_M4_MF2_MASK, VLUXSEG4EI64_V }, // 5592
  { PseudoVLUXSEG4EI64_V_M8_M1, VLUXSEG4EI64_V }, // 5593
  { PseudoVLUXSEG4EI64_V_M8_M1_MASK, VLUXSEG4EI64_V }, // 5594
  { PseudoVLUXSEG4EI64_V_M8_M2, VLUXSEG4EI64_V }, // 5595
  { PseudoVLUXSEG4EI64_V_M8_M2_MASK, VLUXSEG4EI64_V }, // 5596
  { PseudoVLUXSEG4EI8_V_M1_M1, VLUXSEG4EI8_V }, // 5597
  { PseudoVLUXSEG4EI8_V_M1_M1_MASK, VLUXSEG4EI8_V }, // 5598
  { PseudoVLUXSEG4EI8_V_M1_M2, VLUXSEG4EI8_V }, // 5599
  { PseudoVLUXSEG4EI8_V_M1_M2_MASK, VLUXSEG4EI8_V }, // 5600
  { PseudoVLUXSEG4EI8_V_M2_M2, VLUXSEG4EI8_V }, // 5601
  { PseudoVLUXSEG4EI8_V_M2_M2_MASK, VLUXSEG4EI8_V }, // 5602
  { PseudoVLUXSEG4EI8_V_MF2_M1, VLUXSEG4EI8_V }, // 5603
  { PseudoVLUXSEG4EI8_V_MF2_M1_MASK, VLUXSEG4EI8_V }, // 5604
  { PseudoVLUXSEG4EI8_V_MF2_M2, VLUXSEG4EI8_V }, // 5605
  { PseudoVLUXSEG4EI8_V_MF2_M2_MASK, VLUXSEG4EI8_V }, // 5606
  { PseudoVLUXSEG4EI8_V_MF2_MF2, VLUXSEG4EI8_V }, // 5607
  { PseudoVLUXSEG4EI8_V_MF2_MF2_MASK, VLUXSEG4EI8_V }, // 5608
  { PseudoVLUXSEG4EI8_V_MF4_M1, VLUXSEG4EI8_V }, // 5609
  { PseudoVLUXSEG4EI8_V_MF4_M1_MASK, VLUXSEG4EI8_V }, // 5610
  { PseudoVLUXSEG4EI8_V_MF4_M2, VLUXSEG4EI8_V }, // 5611
  { PseudoVLUXSEG4EI8_V_MF4_M2_MASK, VLUXSEG4EI8_V }, // 5612
  { PseudoVLUXSEG4EI8_V_MF4_MF2, VLUXSEG4EI8_V }, // 5613
  { PseudoVLUXSEG4EI8_V_MF4_MF2_MASK, VLUXSEG4EI8_V }, // 5614
  { PseudoVLUXSEG4EI8_V_MF4_MF4, VLUXSEG4EI8_V }, // 5615
  { PseudoVLUXSEG4EI8_V_MF4_MF4_MASK, VLUXSEG4EI8_V }, // 5616
  { PseudoVLUXSEG4EI8_V_MF8_M1, VLUXSEG4EI8_V }, // 5617
  { PseudoVLUXSEG4EI8_V_MF8_M1_MASK, VLUXSEG4EI8_V }, // 5618
  { PseudoVLUXSEG4EI8_V_MF8_MF2, VLUXSEG4EI8_V }, // 5619
  { PseudoVLUXSEG4EI8_V_MF8_MF2_MASK, VLUXSEG4EI8_V }, // 5620
  { PseudoVLUXSEG4EI8_V_MF8_MF4, VLUXSEG4EI8_V }, // 5621
  { PseudoVLUXSEG4EI8_V_MF8_MF4_MASK, VLUXSEG4EI8_V }, // 5622
  { PseudoVLUXSEG4EI8_V_MF8_MF8, VLUXSEG4EI8_V }, // 5623
  { PseudoVLUXSEG4EI8_V_MF8_MF8_MASK, VLUXSEG4EI8_V }, // 5624
  { PseudoVLUXSEG5EI16_V_M1_M1, VLUXSEG5EI16_V }, // 5625
  { PseudoVLUXSEG5EI16_V_M1_M1_MASK, VLUXSEG5EI16_V }, // 5626
  { PseudoVLUXSEG5EI16_V_M1_MF2, VLUXSEG5EI16_V }, // 5627
  { PseudoVLUXSEG5EI16_V_M1_MF2_MASK, VLUXSEG5EI16_V }, // 5628
  { PseudoVLUXSEG5EI16_V_M2_M1, VLUXSEG5EI16_V }, // 5629
  { PseudoVLUXSEG5EI16_V_M2_M1_MASK, VLUXSEG5EI16_V }, // 5630
  { PseudoVLUXSEG5EI16_V_MF2_M1, VLUXSEG5EI16_V }, // 5631
  { PseudoVLUXSEG5EI16_V_MF2_M1_MASK, VLUXSEG5EI16_V }, // 5632
  { PseudoVLUXSEG5EI16_V_MF2_MF2, VLUXSEG5EI16_V }, // 5633
  { PseudoVLUXSEG5EI16_V_MF2_MF2_MASK, VLUXSEG5EI16_V }, // 5634
  { PseudoVLUXSEG5EI16_V_MF2_MF4, VLUXSEG5EI16_V }, // 5635
  { PseudoVLUXSEG5EI16_V_MF2_MF4_MASK, VLUXSEG5EI16_V }, // 5636
  { PseudoVLUXSEG5EI16_V_MF4_M1, VLUXSEG5EI16_V }, // 5637
  { PseudoVLUXSEG5EI16_V_MF4_M1_MASK, VLUXSEG5EI16_V }, // 5638
  { PseudoVLUXSEG5EI16_V_MF4_MF2, VLUXSEG5EI16_V }, // 5639
  { PseudoVLUXSEG5EI16_V_MF4_MF2_MASK, VLUXSEG5EI16_V }, // 5640
  { PseudoVLUXSEG5EI16_V_MF4_MF4, VLUXSEG5EI16_V }, // 5641
  { PseudoVLUXSEG5EI16_V_MF4_MF4_MASK, VLUXSEG5EI16_V }, // 5642
  { PseudoVLUXSEG5EI16_V_MF4_MF8, VLUXSEG5EI16_V }, // 5643
  { PseudoVLUXSEG5EI16_V_MF4_MF8_MASK, VLUXSEG5EI16_V }, // 5644
  { PseudoVLUXSEG5EI32_V_M1_M1, VLUXSEG5EI32_V }, // 5645
  { PseudoVLUXSEG5EI32_V_M1_M1_MASK, VLUXSEG5EI32_V }, // 5646
  { PseudoVLUXSEG5EI32_V_M1_MF2, VLUXSEG5EI32_V }, // 5647
  { PseudoVLUXSEG5EI32_V_M1_MF2_MASK, VLUXSEG5EI32_V }, // 5648
  { PseudoVLUXSEG5EI32_V_M1_MF4, VLUXSEG5EI32_V }, // 5649
  { PseudoVLUXSEG5EI32_V_M1_MF4_MASK, VLUXSEG5EI32_V }, // 5650
  { PseudoVLUXSEG5EI32_V_M2_M1, VLUXSEG5EI32_V }, // 5651
  { PseudoVLUXSEG5EI32_V_M2_M1_MASK, VLUXSEG5EI32_V }, // 5652
  { PseudoVLUXSEG5EI32_V_M2_MF2, VLUXSEG5EI32_V }, // 5653
  { PseudoVLUXSEG5EI32_V_M2_MF2_MASK, VLUXSEG5EI32_V }, // 5654
  { PseudoVLUXSEG5EI32_V_M4_M1, VLUXSEG5EI32_V }, // 5655
  { PseudoVLUXSEG5EI32_V_M4_M1_MASK, VLUXSEG5EI32_V }, // 5656
  { PseudoVLUXSEG5EI32_V_MF2_M1, VLUXSEG5EI32_V }, // 5657
  { PseudoVLUXSEG5EI32_V_MF2_M1_MASK, VLUXSEG5EI32_V }, // 5658
  { PseudoVLUXSEG5EI32_V_MF2_MF2, VLUXSEG5EI32_V }, // 5659
  { PseudoVLUXSEG5EI32_V_MF2_MF2_MASK, VLUXSEG5EI32_V }, // 5660
  { PseudoVLUXSEG5EI32_V_MF2_MF4, VLUXSEG5EI32_V }, // 5661
  { PseudoVLUXSEG5EI32_V_MF2_MF4_MASK, VLUXSEG5EI32_V }, // 5662
  { PseudoVLUXSEG5EI32_V_MF2_MF8, VLUXSEG5EI32_V }, // 5663
  { PseudoVLUXSEG5EI32_V_MF2_MF8_MASK, VLUXSEG5EI32_V }, // 5664
  { PseudoVLUXSEG5EI64_V_M1_M1, VLUXSEG5EI64_V }, // 5665
  { PseudoVLUXSEG5EI64_V_M1_M1_MASK, VLUXSEG5EI64_V }, // 5666
  { PseudoVLUXSEG5EI64_V_M1_MF2, VLUXSEG5EI64_V }, // 5667
  { PseudoVLUXSEG5EI64_V_M1_MF2_MASK, VLUXSEG5EI64_V }, // 5668
  { PseudoVLUXSEG5EI64_V_M1_MF4, VLUXSEG5EI64_V }, // 5669
  { PseudoVLUXSEG5EI64_V_M1_MF4_MASK, VLUXSEG5EI64_V }, // 5670
  { PseudoVLUXSEG5EI64_V_M1_MF8, VLUXSEG5EI64_V }, // 5671
  { PseudoVLUXSEG5EI64_V_M1_MF8_MASK, VLUXSEG5EI64_V }, // 5672
  { PseudoVLUXSEG5EI64_V_M2_M1, VLUXSEG5EI64_V }, // 5673
  { PseudoVLUXSEG5EI64_V_M2_M1_MASK, VLUXSEG5EI64_V }, // 5674
  { PseudoVLUXSEG5EI64_V_M2_MF2, VLUXSEG5EI64_V }, // 5675
  { PseudoVLUXSEG5EI64_V_M2_MF2_MASK, VLUXSEG5EI64_V }, // 5676
  { PseudoVLUXSEG5EI64_V_M2_MF4, VLUXSEG5EI64_V }, // 5677
  { PseudoVLUXSEG5EI64_V_M2_MF4_MASK, VLUXSEG5EI64_V }, // 5678
  { PseudoVLUXSEG5EI64_V_M4_M1, VLUXSEG5EI64_V }, // 5679
  { PseudoVLUXSEG5EI64_V_M4_M1_MASK, VLUXSEG5EI64_V }, // 5680
  { PseudoVLUXSEG5EI64_V_M4_MF2, VLUXSEG5EI64_V }, // 5681
  { PseudoVLUXSEG5EI64_V_M4_MF2_MASK, VLUXSEG5EI64_V }, // 5682
  { PseudoVLUXSEG5EI64_V_M8_M1, VLUXSEG5EI64_V }, // 5683
  { PseudoVLUXSEG5EI64_V_M8_M1_MASK, VLUXSEG5EI64_V }, // 5684
  { PseudoVLUXSEG5EI8_V_M1_M1, VLUXSEG5EI8_V }, // 5685
  { PseudoVLUXSEG5EI8_V_M1_M1_MASK, VLUXSEG5EI8_V }, // 5686
  { PseudoVLUXSEG5EI8_V_MF2_M1, VLUXSEG5EI8_V }, // 5687
  { PseudoVLUXSEG5EI8_V_MF2_M1_MASK, VLUXSEG5EI8_V }, // 5688
  { PseudoVLUXSEG5EI8_V_MF2_MF2, VLUXSEG5EI8_V }, // 5689
  { PseudoVLUXSEG5EI8_V_MF2_MF2_MASK, VLUXSEG5EI8_V }, // 5690
  { PseudoVLUXSEG5EI8_V_MF4_M1, VLUXSEG5EI8_V }, // 5691
  { PseudoVLUXSEG5EI8_V_MF4_M1_MASK, VLUXSEG5EI8_V }, // 5692
  { PseudoVLUXSEG5EI8_V_MF4_MF2, VLUXSEG5EI8_V }, // 5693
  { PseudoVLUXSEG5EI8_V_MF4_MF2_MASK, VLUXSEG5EI8_V }, // 5694
  { PseudoVLUXSEG5EI8_V_MF4_MF4, VLUXSEG5EI8_V }, // 5695
  { PseudoVLUXSEG5EI8_V_MF4_MF4_MASK, VLUXSEG5EI8_V }, // 5696
  { PseudoVLUXSEG5EI8_V_MF8_M1, VLUXSEG5EI8_V }, // 5697
  { PseudoVLUXSEG5EI8_V_MF8_M1_MASK, VLUXSEG5EI8_V }, // 5698
  { PseudoVLUXSEG5EI8_V_MF8_MF2, VLUXSEG5EI8_V }, // 5699
  { PseudoVLUXSEG5EI8_V_MF8_MF2_MASK, VLUXSEG5EI8_V }, // 5700
  { PseudoVLUXSEG5EI8_V_MF8_MF4, VLUXSEG5EI8_V }, // 5701
  { PseudoVLUXSEG5EI8_V_MF8_MF4_MASK, VLUXSEG5EI8_V }, // 5702
  { PseudoVLUXSEG5EI8_V_MF8_MF8, VLUXSEG5EI8_V }, // 5703
  { PseudoVLUXSEG5EI8_V_MF8_MF8_MASK, VLUXSEG5EI8_V }, // 5704
  { PseudoVLUXSEG6EI16_V_M1_M1, VLUXSEG6EI16_V }, // 5705
  { PseudoVLUXSEG6EI16_V_M1_M1_MASK, VLUXSEG6EI16_V }, // 5706
  { PseudoVLUXSEG6EI16_V_M1_MF2, VLUXSEG6EI16_V }, // 5707
  { PseudoVLUXSEG6EI16_V_M1_MF2_MASK, VLUXSEG6EI16_V }, // 5708
  { PseudoVLUXSEG6EI16_V_M2_M1, VLUXSEG6EI16_V }, // 5709
  { PseudoVLUXSEG6EI16_V_M2_M1_MASK, VLUXSEG6EI16_V }, // 5710
  { PseudoVLUXSEG6EI16_V_MF2_M1, VLUXSEG6EI16_V }, // 5711
  { PseudoVLUXSEG6EI16_V_MF2_M1_MASK, VLUXSEG6EI16_V }, // 5712
  { PseudoVLUXSEG6EI16_V_MF2_MF2, VLUXSEG6EI16_V }, // 5713
  { PseudoVLUXSEG6EI16_V_MF2_MF2_MASK, VLUXSEG6EI16_V }, // 5714
  { PseudoVLUXSEG6EI16_V_MF2_MF4, VLUXSEG6EI16_V }, // 5715
  { PseudoVLUXSEG6EI16_V_MF2_MF4_MASK, VLUXSEG6EI16_V }, // 5716
  { PseudoVLUXSEG6EI16_V_MF4_M1, VLUXSEG6EI16_V }, // 5717
  { PseudoVLUXSEG6EI16_V_MF4_M1_MASK, VLUXSEG6EI16_V }, // 5718
  { PseudoVLUXSEG6EI16_V_MF4_MF2, VLUXSEG6EI16_V }, // 5719
  { PseudoVLUXSEG6EI16_V_MF4_MF2_MASK, VLUXSEG6EI16_V }, // 5720
  { PseudoVLUXSEG6EI16_V_MF4_MF4, VLUXSEG6EI16_V }, // 5721
  { PseudoVLUXSEG6EI16_V_MF4_MF4_MASK, VLUXSEG6EI16_V }, // 5722
  { PseudoVLUXSEG6EI16_V_MF4_MF8, VLUXSEG6EI16_V }, // 5723
  { PseudoVLUXSEG6EI16_V_MF4_MF8_MASK, VLUXSEG6EI16_V }, // 5724
  { PseudoVLUXSEG6EI32_V_M1_M1, VLUXSEG6EI32_V }, // 5725
  { PseudoVLUXSEG6EI32_V_M1_M1_MASK, VLUXSEG6EI32_V }, // 5726
  { PseudoVLUXSEG6EI32_V_M1_MF2, VLUXSEG6EI32_V }, // 5727
  { PseudoVLUXSEG6EI32_V_M1_MF2_MASK, VLUXSEG6EI32_V }, // 5728
  { PseudoVLUXSEG6EI32_V_M1_MF4, VLUXSEG6EI32_V }, // 5729
  { PseudoVLUXSEG6EI32_V_M1_MF4_MASK, VLUXSEG6EI32_V }, // 5730
  { PseudoVLUXSEG6EI32_V_M2_M1, VLUXSEG6EI32_V }, // 5731
  { PseudoVLUXSEG6EI32_V_M2_M1_MASK, VLUXSEG6EI32_V }, // 5732
  { PseudoVLUXSEG6EI32_V_M2_MF2, VLUXSEG6EI32_V }, // 5733
  { PseudoVLUXSEG6EI32_V_M2_MF2_MASK, VLUXSEG6EI32_V }, // 5734
  { PseudoVLUXSEG6EI32_V_M4_M1, VLUXSEG6EI32_V }, // 5735
  { PseudoVLUXSEG6EI32_V_M4_M1_MASK, VLUXSEG6EI32_V }, // 5736
  { PseudoVLUXSEG6EI32_V_MF2_M1, VLUXSEG6EI32_V }, // 5737
  { PseudoVLUXSEG6EI32_V_MF2_M1_MASK, VLUXSEG6EI32_V }, // 5738
  { PseudoVLUXSEG6EI32_V_MF2_MF2, VLUXSEG6EI32_V }, // 5739
  { PseudoVLUXSEG6EI32_V_MF2_MF2_MASK, VLUXSEG6EI32_V }, // 5740
  { PseudoVLUXSEG6EI32_V_MF2_MF4, VLUXSEG6EI32_V }, // 5741
  { PseudoVLUXSEG6EI32_V_MF2_MF4_MASK, VLUXSEG6EI32_V }, // 5742
  { PseudoVLUXSEG6EI32_V_MF2_MF8, VLUXSEG6EI32_V }, // 5743
  { PseudoVLUXSEG6EI32_V_MF2_MF8_MASK, VLUXSEG6EI32_V }, // 5744
  { PseudoVLUXSEG6EI64_V_M1_M1, VLUXSEG6EI64_V }, // 5745
  { PseudoVLUXSEG6EI64_V_M1_M1_MASK, VLUXSEG6EI64_V }, // 5746
  { PseudoVLUXSEG6EI64_V_M1_MF2, VLUXSEG6EI64_V }, // 5747
  { PseudoVLUXSEG6EI64_V_M1_MF2_MASK, VLUXSEG6EI64_V }, // 5748
  { PseudoVLUXSEG6EI64_V_M1_MF4, VLUXSEG6EI64_V }, // 5749
  { PseudoVLUXSEG6EI64_V_M1_MF4_MASK, VLUXSEG6EI64_V }, // 5750
  { PseudoVLUXSEG6EI64_V_M1_MF8, VLUXSEG6EI64_V }, // 5751
  { PseudoVLUXSEG6EI64_V_M1_MF8_MASK, VLUXSEG6EI64_V }, // 5752
  { PseudoVLUXSEG6EI64_V_M2_M1, VLUXSEG6EI64_V }, // 5753
  { PseudoVLUXSEG6EI64_V_M2_M1_MASK, VLUXSEG6EI64_V }, // 5754
  { PseudoVLUXSEG6EI64_V_M2_MF2, VLUXSEG6EI64_V }, // 5755
  { PseudoVLUXSEG6EI64_V_M2_MF2_MASK, VLUXSEG6EI64_V }, // 5756
  { PseudoVLUXSEG6EI64_V_M2_MF4, VLUXSEG6EI64_V }, // 5757
  { PseudoVLUXSEG6EI64_V_M2_MF4_MASK, VLUXSEG6EI64_V }, // 5758
  { PseudoVLUXSEG6EI64_V_M4_M1, VLUXSEG6EI64_V }, // 5759
  { PseudoVLUXSEG6EI64_V_M4_M1_MASK, VLUXSEG6EI64_V }, // 5760
  { PseudoVLUXSEG6EI64_V_M4_MF2, VLUXSEG6EI64_V }, // 5761
  { PseudoVLUXSEG6EI64_V_M4_MF2_MASK, VLUXSEG6EI64_V }, // 5762
  { PseudoVLUXSEG6EI64_V_M8_M1, VLUXSEG6EI64_V }, // 5763
  { PseudoVLUXSEG6EI64_V_M8_M1_MASK, VLUXSEG6EI64_V }, // 5764
  { PseudoVLUXSEG6EI8_V_M1_M1, VLUXSEG6EI8_V }, // 5765
  { PseudoVLUXSEG6EI8_V_M1_M1_MASK, VLUXSEG6EI8_V }, // 5766
  { PseudoVLUXSEG6EI8_V_MF2_M1, VLUXSEG6EI8_V }, // 5767
  { PseudoVLUXSEG6EI8_V_MF2_M1_MASK, VLUXSEG6EI8_V }, // 5768
  { PseudoVLUXSEG6EI8_V_MF2_MF2, VLUXSEG6EI8_V }, // 5769
  { PseudoVLUXSEG6EI8_V_MF2_MF2_MASK, VLUXSEG6EI8_V }, // 5770
  { PseudoVLUXSEG6EI8_V_MF4_M1, VLUXSEG6EI8_V }, // 5771
  { PseudoVLUXSEG6EI8_V_MF4_M1_MASK, VLUXSEG6EI8_V }, // 5772
  { PseudoVLUXSEG6EI8_V_MF4_MF2, VLUXSEG6EI8_V }, // 5773
  { PseudoVLUXSEG6EI8_V_MF4_MF2_MASK, VLUXSEG6EI8_V }, // 5774
  { PseudoVLUXSEG6EI8_V_MF4_MF4, VLUXSEG6EI8_V }, // 5775
  { PseudoVLUXSEG6EI8_V_MF4_MF4_MASK, VLUXSEG6EI8_V }, // 5776
  { PseudoVLUXSEG6EI8_V_MF8_M1, VLUXSEG6EI8_V }, // 5777
  { PseudoVLUXSEG6EI8_V_MF8_M1_MASK, VLUXSEG6EI8_V }, // 5778
  { PseudoVLUXSEG6EI8_V_MF8_MF2, VLUXSEG6EI8_V }, // 5779
  { PseudoVLUXSEG6EI8_V_MF8_MF2_MASK, VLUXSEG6EI8_V }, // 5780
  { PseudoVLUXSEG6EI8_V_MF8_MF4, VLUXSEG6EI8_V }, // 5781
  { PseudoVLUXSEG6EI8_V_MF8_MF4_MASK, VLUXSEG6EI8_V }, // 5782
  { PseudoVLUXSEG6EI8_V_MF8_MF8, VLUXSEG6EI8_V }, // 5783
  { PseudoVLUXSEG6EI8_V_MF8_MF8_MASK, VLUXSEG6EI8_V }, // 5784
  { PseudoVLUXSEG7EI16_V_M1_M1, VLUXSEG7EI16_V }, // 5785
  { PseudoVLUXSEG7EI16_V_M1_M1_MASK, VLUXSEG7EI16_V }, // 5786
  { PseudoVLUXSEG7EI16_V_M1_MF2, VLUXSEG7EI16_V }, // 5787
  { PseudoVLUXSEG7EI16_V_M1_MF2_MASK, VLUXSEG7EI16_V }, // 5788
  { PseudoVLUXSEG7EI16_V_M2_M1, VLUXSEG7EI16_V }, // 5789
  { PseudoVLUXSEG7EI16_V_M2_M1_MASK, VLUXSEG7EI16_V }, // 5790
  { PseudoVLUXSEG7EI16_V_MF2_M1, VLUXSEG7EI16_V }, // 5791
  { PseudoVLUXSEG7EI16_V_MF2_M1_MASK, VLUXSEG7EI16_V }, // 5792
  { PseudoVLUXSEG7EI16_V_MF2_MF2, VLUXSEG7EI16_V }, // 5793
  { PseudoVLUXSEG7EI16_V_MF2_MF2_MASK, VLUXSEG7EI16_V }, // 5794
  { PseudoVLUXSEG7EI16_V_MF2_MF4, VLUXSEG7EI16_V }, // 5795
  { PseudoVLUXSEG7EI16_V_MF2_MF4_MASK, VLUXSEG7EI16_V }, // 5796
  { PseudoVLUXSEG7EI16_V_MF4_M1, VLUXSEG7EI16_V }, // 5797
  { PseudoVLUXSEG7EI16_V_MF4_M1_MASK, VLUXSEG7EI16_V }, // 5798
  { PseudoVLUXSEG7EI16_V_MF4_MF2, VLUXSEG7EI16_V }, // 5799
  { PseudoVLUXSEG7EI16_V_MF4_MF2_MASK, VLUXSEG7EI16_V }, // 5800
  { PseudoVLUXSEG7EI16_V_MF4_MF4, VLUXSEG7EI16_V }, // 5801
  { PseudoVLUXSEG7EI16_V_MF4_MF4_MASK, VLUXSEG7EI16_V }, // 5802
  { PseudoVLUXSEG7EI16_V_MF4_MF8, VLUXSEG7EI16_V }, // 5803
  { PseudoVLUXSEG7EI16_V_MF4_MF8_MASK, VLUXSEG7EI16_V }, // 5804
  { PseudoVLUXSEG7EI32_V_M1_M1, VLUXSEG7EI32_V }, // 5805
  { PseudoVLUXSEG7EI32_V_M1_M1_MASK, VLUXSEG7EI32_V }, // 5806
  { PseudoVLUXSEG7EI32_V_M1_MF2, VLUXSEG7EI32_V }, // 5807
  { PseudoVLUXSEG7EI32_V_M1_MF2_MASK, VLUXSEG7EI32_V }, // 5808
  { PseudoVLUXSEG7EI32_V_M1_MF4, VLUXSEG7EI32_V }, // 5809
  { PseudoVLUXSEG7EI32_V_M1_MF4_MASK, VLUXSEG7EI32_V }, // 5810
  { PseudoVLUXSEG7EI32_V_M2_M1, VLUXSEG7EI32_V }, // 5811
  { PseudoVLUXSEG7EI32_V_M2_M1_MASK, VLUXSEG7EI32_V }, // 5812
  { PseudoVLUXSEG7EI32_V_M2_MF2, VLUXSEG7EI32_V }, // 5813
  { PseudoVLUXSEG7EI32_V_M2_MF2_MASK, VLUXSEG7EI32_V }, // 5814
  { PseudoVLUXSEG7EI32_V_M4_M1, VLUXSEG7EI32_V }, // 5815
  { PseudoVLUXSEG7EI32_V_M4_M1_MASK, VLUXSEG7EI32_V }, // 5816
  { PseudoVLUXSEG7EI32_V_MF2_M1, VLUXSEG7EI32_V }, // 5817
  { PseudoVLUXSEG7EI32_V_MF2_M1_MASK, VLUXSEG7EI32_V }, // 5818
  { PseudoVLUXSEG7EI32_V_MF2_MF2, VLUXSEG7EI32_V }, // 5819
  { PseudoVLUXSEG7EI32_V_MF2_MF2_MASK, VLUXSEG7EI32_V }, // 5820
  { PseudoVLUXSEG7EI32_V_MF2_MF4, VLUXSEG7EI32_V }, // 5821
  { PseudoVLUXSEG7EI32_V_MF2_MF4_MASK, VLUXSEG7EI32_V }, // 5822
  { PseudoVLUXSEG7EI32_V_MF2_MF8, VLUXSEG7EI32_V }, // 5823
  { PseudoVLUXSEG7EI32_V_MF2_MF8_MASK, VLUXSEG7EI32_V }, // 5824
  { PseudoVLUXSEG7EI64_V_M1_M1, VLUXSEG7EI64_V }, // 5825
  { PseudoVLUXSEG7EI64_V_M1_M1_MASK, VLUXSEG7EI64_V }, // 5826
  { PseudoVLUXSEG7EI64_V_M1_MF2, VLUXSEG7EI64_V }, // 5827
  { PseudoVLUXSEG7EI64_V_M1_MF2_MASK, VLUXSEG7EI64_V }, // 5828
  { PseudoVLUXSEG7EI64_V_M1_MF4, VLUXSEG7EI64_V }, // 5829
  { PseudoVLUXSEG7EI64_V_M1_MF4_MASK, VLUXSEG7EI64_V }, // 5830
  { PseudoVLUXSEG7EI64_V_M1_MF8, VLUXSEG7EI64_V }, // 5831
  { PseudoVLUXSEG7EI64_V_M1_MF8_MASK, VLUXSEG7EI64_V }, // 5832
  { PseudoVLUXSEG7EI64_V_M2_M1, VLUXSEG7EI64_V }, // 5833
  { PseudoVLUXSEG7EI64_V_M2_M1_MASK, VLUXSEG7EI64_V }, // 5834
  { PseudoVLUXSEG7EI64_V_M2_MF2, VLUXSEG7EI64_V }, // 5835
  { PseudoVLUXSEG7EI64_V_M2_MF2_MASK, VLUXSEG7EI64_V }, // 5836
  { PseudoVLUXSEG7EI64_V_M2_MF4, VLUXSEG7EI64_V }, // 5837
  { PseudoVLUXSEG7EI64_V_M2_MF4_MASK, VLUXSEG7EI64_V }, // 5838
  { PseudoVLUXSEG7EI64_V_M4_M1, VLUXSEG7EI64_V }, // 5839
  { PseudoVLUXSEG7EI64_V_M4_M1_MASK, VLUXSEG7EI64_V }, // 5840
  { PseudoVLUXSEG7EI64_V_M4_MF2, VLUXSEG7EI64_V }, // 5841
  { PseudoVLUXSEG7EI64_V_M4_MF2_MASK, VLUXSEG7EI64_V }, // 5842
  { PseudoVLUXSEG7EI64_V_M8_M1, VLUXSEG7EI64_V }, // 5843
  { PseudoVLUXSEG7EI64_V_M8_M1_MASK, VLUXSEG7EI64_V }, // 5844
  { PseudoVLUXSEG7EI8_V_M1_M1, VLUXSEG7EI8_V }, // 5845
  { PseudoVLUXSEG7EI8_V_M1_M1_MASK, VLUXSEG7EI8_V }, // 5846
  { PseudoVLUXSEG7EI8_V_MF2_M1, VLUXSEG7EI8_V }, // 5847
  { PseudoVLUXSEG7EI8_V_MF2_M1_MASK, VLUXSEG7EI8_V }, // 5848
  { PseudoVLUXSEG7EI8_V_MF2_MF2, VLUXSEG7EI8_V }, // 5849
  { PseudoVLUXSEG7EI8_V_MF2_MF2_MASK, VLUXSEG7EI8_V }, // 5850
  { PseudoVLUXSEG7EI8_V_MF4_M1, VLUXSEG7EI8_V }, // 5851
  { PseudoVLUXSEG7EI8_V_MF4_M1_MASK, VLUXSEG7EI8_V }, // 5852
  { PseudoVLUXSEG7EI8_V_MF4_MF2, VLUXSEG7EI8_V }, // 5853
  { PseudoVLUXSEG7EI8_V_MF4_MF2_MASK, VLUXSEG7EI8_V }, // 5854
  { PseudoVLUXSEG7EI8_V_MF4_MF4, VLUXSEG7EI8_V }, // 5855
  { PseudoVLUXSEG7EI8_V_MF4_MF4_MASK, VLUXSEG7EI8_V }, // 5856
  { PseudoVLUXSEG7EI8_V_MF8_M1, VLUXSEG7EI8_V }, // 5857
  { PseudoVLUXSEG7EI8_V_MF8_M1_MASK, VLUXSEG7EI8_V }, // 5858
  { PseudoVLUXSEG7EI8_V_MF8_MF2, VLUXSEG7EI8_V }, // 5859
  { PseudoVLUXSEG7EI8_V_MF8_MF2_MASK, VLUXSEG7EI8_V }, // 5860
  { PseudoVLUXSEG7EI8_V_MF8_MF4, VLUXSEG7EI8_V }, // 5861
  { PseudoVLUXSEG7EI8_V_MF8_MF4_MASK, VLUXSEG7EI8_V }, // 5862
  { PseudoVLUXSEG7EI8_V_MF8_MF8, VLUXSEG7EI8_V }, // 5863
  { PseudoVLUXSEG7EI8_V_MF8_MF8_MASK, VLUXSEG7EI8_V }, // 5864
  { PseudoVLUXSEG8EI16_V_M1_M1, VLUXSEG8EI16_V }, // 5865
  { PseudoVLUXSEG8EI16_V_M1_M1_MASK, VLUXSEG8EI16_V }, // 5866
  { PseudoVLUXSEG8EI16_V_M1_MF2, VLUXSEG8EI16_V }, // 5867
  { PseudoVLUXSEG8EI16_V_M1_MF2_MASK, VLUXSEG8EI16_V }, // 5868
  { PseudoVLUXSEG8EI16_V_M2_M1, VLUXSEG8EI16_V }, // 5869
  { PseudoVLUXSEG8EI16_V_M2_M1_MASK, VLUXSEG8EI16_V }, // 5870
  { PseudoVLUXSEG8EI16_V_MF2_M1, VLUXSEG8EI16_V }, // 5871
  { PseudoVLUXSEG8EI16_V_MF2_M1_MASK, VLUXSEG8EI16_V }, // 5872
  { PseudoVLUXSEG8EI16_V_MF2_MF2, VLUXSEG8EI16_V }, // 5873
  { PseudoVLUXSEG8EI16_V_MF2_MF2_MASK, VLUXSEG8EI16_V }, // 5874
  { PseudoVLUXSEG8EI16_V_MF2_MF4, VLUXSEG8EI16_V }, // 5875
  { PseudoVLUXSEG8EI16_V_MF2_MF4_MASK, VLUXSEG8EI16_V }, // 5876
  { PseudoVLUXSEG8EI16_V_MF4_M1, VLUXSEG8EI16_V }, // 5877
  { PseudoVLUXSEG8EI16_V_MF4_M1_MASK, VLUXSEG8EI16_V }, // 5878
  { PseudoVLUXSEG8EI16_V_MF4_MF2, VLUXSEG8EI16_V }, // 5879
  { PseudoVLUXSEG8EI16_V_MF4_MF2_MASK, VLUXSEG8EI16_V }, // 5880
  { PseudoVLUXSEG8EI16_V_MF4_MF4, VLUXSEG8EI16_V }, // 5881
  { PseudoVLUXSEG8EI16_V_MF4_MF4_MASK, VLUXSEG8EI16_V }, // 5882
  { PseudoVLUXSEG8EI16_V_MF4_MF8, VLUXSEG8EI16_V }, // 5883
  { PseudoVLUXSEG8EI16_V_MF4_MF8_MASK, VLUXSEG8EI16_V }, // 5884
  { PseudoVLUXSEG8EI32_V_M1_M1, VLUXSEG8EI32_V }, // 5885
  { PseudoVLUXSEG8EI32_V_M1_M1_MASK, VLUXSEG8EI32_V }, // 5886
  { PseudoVLUXSEG8EI32_V_M1_MF2, VLUXSEG8EI32_V }, // 5887
  { PseudoVLUXSEG8EI32_V_M1_MF2_MASK, VLUXSEG8EI32_V }, // 5888
  { PseudoVLUXSEG8EI32_V_M1_MF4, VLUXSEG8EI32_V }, // 5889
  { PseudoVLUXSEG8EI32_V_M1_MF4_MASK, VLUXSEG8EI32_V }, // 5890
  { PseudoVLUXSEG8EI32_V_M2_M1, VLUXSEG8EI32_V }, // 5891
  { PseudoVLUXSEG8EI32_V_M2_M1_MASK, VLUXSEG8EI32_V }, // 5892
  { PseudoVLUXSEG8EI32_V_M2_MF2, VLUXSEG8EI32_V }, // 5893
  { PseudoVLUXSEG8EI32_V_M2_MF2_MASK, VLUXSEG8EI32_V }, // 5894
  { PseudoVLUXSEG8EI32_V_M4_M1, VLUXSEG8EI32_V }, // 5895
  { PseudoVLUXSEG8EI32_V_M4_M1_MASK, VLUXSEG8EI32_V }, // 5896
  { PseudoVLUXSEG8EI32_V_MF2_M1, VLUXSEG8EI32_V }, // 5897
  { PseudoVLUXSEG8EI32_V_MF2_M1_MASK, VLUXSEG8EI32_V }, // 5898
  { PseudoVLUXSEG8EI32_V_MF2_MF2, VLUXSEG8EI32_V }, // 5899
  { PseudoVLUXSEG8EI32_V_MF2_MF2_MASK, VLUXSEG8EI32_V }, // 5900
  { PseudoVLUXSEG8EI32_V_MF2_MF4, VLUXSEG8EI32_V }, // 5901
  { PseudoVLUXSEG8EI32_V_MF2_MF4_MASK, VLUXSEG8EI32_V }, // 5902
  { PseudoVLUXSEG8EI32_V_MF2_MF8, VLUXSEG8EI32_V }, // 5903
  { PseudoVLUXSEG8EI32_V_MF2_MF8_MASK, VLUXSEG8EI32_V }, // 5904
  { PseudoVLUXSEG8EI64_V_M1_M1, VLUXSEG8EI64_V }, // 5905
  { PseudoVLUXSEG8EI64_V_M1_M1_MASK, VLUXSEG8EI64_V }, // 5906
  { PseudoVLUXSEG8EI64_V_M1_MF2, VLUXSEG8EI64_V }, // 5907
  { PseudoVLUXSEG8EI64_V_M1_MF2_MASK, VLUXSEG8EI64_V }, // 5908
  { PseudoVLUXSEG8EI64_V_M1_MF4, VLUXSEG8EI64_V }, // 5909
  { PseudoVLUXSEG8EI64_V_M1_MF4_MASK, VLUXSEG8EI64_V }, // 5910
  { PseudoVLUXSEG8EI64_V_M1_MF8, VLUXSEG8EI64_V }, // 5911
  { PseudoVLUXSEG8EI64_V_M1_MF8_MASK, VLUXSEG8EI64_V }, // 5912
  { PseudoVLUXSEG8EI64_V_M2_M1, VLUXSEG8EI64_V }, // 5913
  { PseudoVLUXSEG8EI64_V_M2_M1_MASK, VLUXSEG8EI64_V }, // 5914
  { PseudoVLUXSEG8EI64_V_M2_MF2, VLUXSEG8EI64_V }, // 5915
  { PseudoVLUXSEG8EI64_V_M2_MF2_MASK, VLUXSEG8EI64_V }, // 5916
  { PseudoVLUXSEG8EI64_V_M2_MF4, VLUXSEG8EI64_V }, // 5917
  { PseudoVLUXSEG8EI64_V_M2_MF4_MASK, VLUXSEG8EI64_V }, // 5918
  { PseudoVLUXSEG8EI64_V_M4_M1, VLUXSEG8EI64_V }, // 5919
  { PseudoVLUXSEG8EI64_V_M4_M1_MASK, VLUXSEG8EI64_V }, // 5920
  { PseudoVLUXSEG8EI64_V_M4_MF2, VLUXSEG8EI64_V }, // 5921
  { PseudoVLUXSEG8EI64_V_M4_MF2_MASK, VLUXSEG8EI64_V }, // 5922
  { PseudoVLUXSEG8EI64_V_M8_M1, VLUXSEG8EI64_V }, // 5923
  { PseudoVLUXSEG8EI64_V_M8_M1_MASK, VLUXSEG8EI64_V }, // 5924
  { PseudoVLUXSEG8EI8_V_M1_M1, VLUXSEG8EI8_V }, // 5925
  { PseudoVLUXSEG8EI8_V_M1_M1_MASK, VLUXSEG8EI8_V }, // 5926
  { PseudoVLUXSEG8EI8_V_MF2_M1, VLUXSEG8EI8_V }, // 5927
  { PseudoVLUXSEG8EI8_V_MF2_M1_MASK, VLUXSEG8EI8_V }, // 5928
  { PseudoVLUXSEG8EI8_V_MF2_MF2, VLUXSEG8EI8_V }, // 5929
  { PseudoVLUXSEG8EI8_V_MF2_MF2_MASK, VLUXSEG8EI8_V }, // 5930
  { PseudoVLUXSEG8EI8_V_MF4_M1, VLUXSEG8EI8_V }, // 5931
  { PseudoVLUXSEG8EI8_V_MF4_M1_MASK, VLUXSEG8EI8_V }, // 5932
  { PseudoVLUXSEG8EI8_V_MF4_MF2, VLUXSEG8EI8_V }, // 5933
  { PseudoVLUXSEG8EI8_V_MF4_MF2_MASK, VLUXSEG8EI8_V }, // 5934
  { PseudoVLUXSEG8EI8_V_MF4_MF4, VLUXSEG8EI8_V }, // 5935
  { PseudoVLUXSEG8EI8_V_MF4_MF4_MASK, VLUXSEG8EI8_V }, // 5936
  { PseudoVLUXSEG8EI8_V_MF8_M1, VLUXSEG8EI8_V }, // 5937
  { PseudoVLUXSEG8EI8_V_MF8_M1_MASK, VLUXSEG8EI8_V }, // 5938
  { PseudoVLUXSEG8EI8_V_MF8_MF2, VLUXSEG8EI8_V }, // 5939
  { PseudoVLUXSEG8EI8_V_MF8_MF2_MASK, VLUXSEG8EI8_V }, // 5940
  { PseudoVLUXSEG8EI8_V_MF8_MF4, VLUXSEG8EI8_V }, // 5941
  { PseudoVLUXSEG8EI8_V_MF8_MF4_MASK, VLUXSEG8EI8_V }, // 5942
  { PseudoVLUXSEG8EI8_V_MF8_MF8, VLUXSEG8EI8_V }, // 5943
  { PseudoVLUXSEG8EI8_V_MF8_MF8_MASK, VLUXSEG8EI8_V }, // 5944
  { PseudoVMACC_VV_M1, VMACC_VV }, // 5945
  { PseudoVMACC_VV_M1_MASK, VMACC_VV }, // 5946
  { PseudoVMACC_VV_M2, VMACC_VV }, // 5947
  { PseudoVMACC_VV_M2_MASK, VMACC_VV }, // 5948
  { PseudoVMACC_VV_M4, VMACC_VV }, // 5949
  { PseudoVMACC_VV_M4_MASK, VMACC_VV }, // 5950
  { PseudoVMACC_VV_M8, VMACC_VV }, // 5951
  { PseudoVMACC_VV_M8_MASK, VMACC_VV }, // 5952
  { PseudoVMACC_VV_MF2, VMACC_VV }, // 5953
  { PseudoVMACC_VV_MF2_MASK, VMACC_VV }, // 5954
  { PseudoVMACC_VV_MF4, VMACC_VV }, // 5955
  { PseudoVMACC_VV_MF4_MASK, VMACC_VV }, // 5956
  { PseudoVMACC_VV_MF8, VMACC_VV }, // 5957
  { PseudoVMACC_VV_MF8_MASK, VMACC_VV }, // 5958
  { PseudoVMACC_VX_M1, VMACC_VX }, // 5959
  { PseudoVMACC_VX_M1_MASK, VMACC_VX }, // 5960
  { PseudoVMACC_VX_M2, VMACC_VX }, // 5961
  { PseudoVMACC_VX_M2_MASK, VMACC_VX }, // 5962
  { PseudoVMACC_VX_M4, VMACC_VX }, // 5963
  { PseudoVMACC_VX_M4_MASK, VMACC_VX }, // 5964
  { PseudoVMACC_VX_M8, VMACC_VX }, // 5965
  { PseudoVMACC_VX_M8_MASK, VMACC_VX }, // 5966
  { PseudoVMACC_VX_MF2, VMACC_VX }, // 5967
  { PseudoVMACC_VX_MF2_MASK, VMACC_VX }, // 5968
  { PseudoVMACC_VX_MF4, VMACC_VX }, // 5969
  { PseudoVMACC_VX_MF4_MASK, VMACC_VX }, // 5970
  { PseudoVMACC_VX_MF8, VMACC_VX }, // 5971
  { PseudoVMACC_VX_MF8_MASK, VMACC_VX }, // 5972
  { PseudoVMADC_VIM_M1, VMADC_VIM }, // 5973
  { PseudoVMADC_VIM_M2, VMADC_VIM }, // 5974
  { PseudoVMADC_VIM_M4, VMADC_VIM }, // 5975
  { PseudoVMADC_VIM_M8, VMADC_VIM }, // 5976
  { PseudoVMADC_VIM_MF2, VMADC_VIM }, // 5977
  { PseudoVMADC_VIM_MF4, VMADC_VIM }, // 5978
  { PseudoVMADC_VIM_MF8, VMADC_VIM }, // 5979
  { PseudoVMADC_VI_M1, VMADC_VI }, // 5980
  { PseudoVMADC_VI_M2, VMADC_VI }, // 5981
  { PseudoVMADC_VI_M4, VMADC_VI }, // 5982
  { PseudoVMADC_VI_M8, VMADC_VI }, // 5983
  { PseudoVMADC_VI_MF2, VMADC_VI }, // 5984
  { PseudoVMADC_VI_MF4, VMADC_VI }, // 5985
  { PseudoVMADC_VI_MF8, VMADC_VI }, // 5986
  { PseudoVMADC_VVM_M1, VMADC_VVM }, // 5987
  { PseudoVMADC_VVM_M2, VMADC_VVM }, // 5988
  { PseudoVMADC_VVM_M4, VMADC_VVM }, // 5989
  { PseudoVMADC_VVM_M8, VMADC_VVM }, // 5990
  { PseudoVMADC_VVM_MF2, VMADC_VVM }, // 5991
  { PseudoVMADC_VVM_MF4, VMADC_VVM }, // 5992
  { PseudoVMADC_VVM_MF8, VMADC_VVM }, // 5993
  { PseudoVMADC_VV_M1, VMADC_VV }, // 5994
  { PseudoVMADC_VV_M2, VMADC_VV }, // 5995
  { PseudoVMADC_VV_M4, VMADC_VV }, // 5996
  { PseudoVMADC_VV_M8, VMADC_VV }, // 5997
  { PseudoVMADC_VV_MF2, VMADC_VV }, // 5998
  { PseudoVMADC_VV_MF4, VMADC_VV }, // 5999
  { PseudoVMADC_VV_MF8, VMADC_VV }, // 6000
  { PseudoVMADC_VXM_M1, VMADC_VXM }, // 6001
  { PseudoVMADC_VXM_M2, VMADC_VXM }, // 6002
  { PseudoVMADC_VXM_M4, VMADC_VXM }, // 6003
  { PseudoVMADC_VXM_M8, VMADC_VXM }, // 6004
  { PseudoVMADC_VXM_MF2, VMADC_VXM }, // 6005
  { PseudoVMADC_VXM_MF4, VMADC_VXM }, // 6006
  { PseudoVMADC_VXM_MF8, VMADC_VXM }, // 6007
  { PseudoVMADC_VX_M1, VMADC_VX }, // 6008
  { PseudoVMADC_VX_M2, VMADC_VX }, // 6009
  { PseudoVMADC_VX_M4, VMADC_VX }, // 6010
  { PseudoVMADC_VX_M8, VMADC_VX }, // 6011
  { PseudoVMADC_VX_MF2, VMADC_VX }, // 6012
  { PseudoVMADC_VX_MF4, VMADC_VX }, // 6013
  { PseudoVMADC_VX_MF8, VMADC_VX }, // 6014
  { PseudoVMADD_VV_M1, VMADD_VV }, // 6015
  { PseudoVMADD_VV_M1_MASK, VMADD_VV }, // 6016
  { PseudoVMADD_VV_M2, VMADD_VV }, // 6017
  { PseudoVMADD_VV_M2_MASK, VMADD_VV }, // 6018
  { PseudoVMADD_VV_M4, VMADD_VV }, // 6019
  { PseudoVMADD_VV_M4_MASK, VMADD_VV }, // 6020
  { PseudoVMADD_VV_M8, VMADD_VV }, // 6021
  { PseudoVMADD_VV_M8_MASK, VMADD_VV }, // 6022
  { PseudoVMADD_VV_MF2, VMADD_VV }, // 6023
  { PseudoVMADD_VV_MF2_MASK, VMADD_VV }, // 6024
  { PseudoVMADD_VV_MF4, VMADD_VV }, // 6025
  { PseudoVMADD_VV_MF4_MASK, VMADD_VV }, // 6026
  { PseudoVMADD_VV_MF8, VMADD_VV }, // 6027
  { PseudoVMADD_VV_MF8_MASK, VMADD_VV }, // 6028
  { PseudoVMADD_VX_M1, VMADD_VX }, // 6029
  { PseudoVMADD_VX_M1_MASK, VMADD_VX }, // 6030
  { PseudoVMADD_VX_M2, VMADD_VX }, // 6031
  { PseudoVMADD_VX_M2_MASK, VMADD_VX }, // 6032
  { PseudoVMADD_VX_M4, VMADD_VX }, // 6033
  { PseudoVMADD_VX_M4_MASK, VMADD_VX }, // 6034
  { PseudoVMADD_VX_M8, VMADD_VX }, // 6035
  { PseudoVMADD_VX_M8_MASK, VMADD_VX }, // 6036
  { PseudoVMADD_VX_MF2, VMADD_VX }, // 6037
  { PseudoVMADD_VX_MF2_MASK, VMADD_VX }, // 6038
  { PseudoVMADD_VX_MF4, VMADD_VX }, // 6039
  { PseudoVMADD_VX_MF4_MASK, VMADD_VX }, // 6040
  { PseudoVMADD_VX_MF8, VMADD_VX }, // 6041
  { PseudoVMADD_VX_MF8_MASK, VMADD_VX }, // 6042
  { PseudoVMANDN_MM_M1, VMANDN_MM }, // 6043
  { PseudoVMANDN_MM_M2, VMANDN_MM }, // 6044
  { PseudoVMANDN_MM_M4, VMANDN_MM }, // 6045
  { PseudoVMANDN_MM_M8, VMANDN_MM }, // 6046
  { PseudoVMANDN_MM_MF2, VMANDN_MM }, // 6047
  { PseudoVMANDN_MM_MF4, VMANDN_MM }, // 6048
  { PseudoVMANDN_MM_MF8, VMANDN_MM }, // 6049
  { PseudoVMAND_MM_M1, VMAND_MM }, // 6050
  { PseudoVMAND_MM_M2, VMAND_MM }, // 6051
  { PseudoVMAND_MM_M4, VMAND_MM }, // 6052
  { PseudoVMAND_MM_M8, VMAND_MM }, // 6053
  { PseudoVMAND_MM_MF2, VMAND_MM }, // 6054
  { PseudoVMAND_MM_MF4, VMAND_MM }, // 6055
  { PseudoVMAND_MM_MF8, VMAND_MM }, // 6056
  { PseudoVMAXU_VV_M1, VMAXU_VV }, // 6057
  { PseudoVMAXU_VV_M1_MASK, VMAXU_VV }, // 6058
  { PseudoVMAXU_VV_M2, VMAXU_VV }, // 6059
  { PseudoVMAXU_VV_M2_MASK, VMAXU_VV }, // 6060
  { PseudoVMAXU_VV_M4, VMAXU_VV }, // 6061
  { PseudoVMAXU_VV_M4_MASK, VMAXU_VV }, // 6062
  { PseudoVMAXU_VV_M8, VMAXU_VV }, // 6063
  { PseudoVMAXU_VV_M8_MASK, VMAXU_VV }, // 6064
  { PseudoVMAXU_VV_MF2, VMAXU_VV }, // 6065
  { PseudoVMAXU_VV_MF2_MASK, VMAXU_VV }, // 6066
  { PseudoVMAXU_VV_MF4, VMAXU_VV }, // 6067
  { PseudoVMAXU_VV_MF4_MASK, VMAXU_VV }, // 6068
  { PseudoVMAXU_VV_MF8, VMAXU_VV }, // 6069
  { PseudoVMAXU_VV_MF8_MASK, VMAXU_VV }, // 6070
  { PseudoVMAXU_VX_M1, VMAXU_VX }, // 6071
  { PseudoVMAXU_VX_M1_MASK, VMAXU_VX }, // 6072
  { PseudoVMAXU_VX_M2, VMAXU_VX }, // 6073
  { PseudoVMAXU_VX_M2_MASK, VMAXU_VX }, // 6074
  { PseudoVMAXU_VX_M4, VMAXU_VX }, // 6075
  { PseudoVMAXU_VX_M4_MASK, VMAXU_VX }, // 6076
  { PseudoVMAXU_VX_M8, VMAXU_VX }, // 6077
  { PseudoVMAXU_VX_M8_MASK, VMAXU_VX }, // 6078
  { PseudoVMAXU_VX_MF2, VMAXU_VX }, // 6079
  { PseudoVMAXU_VX_MF2_MASK, VMAXU_VX }, // 6080
  { PseudoVMAXU_VX_MF4, VMAXU_VX }, // 6081
  { PseudoVMAXU_VX_MF4_MASK, VMAXU_VX }, // 6082
  { PseudoVMAXU_VX_MF8, VMAXU_VX }, // 6083
  { PseudoVMAXU_VX_MF8_MASK, VMAXU_VX }, // 6084
  { PseudoVMAX_VV_M1, VMAX_VV }, // 6085
  { PseudoVMAX_VV_M1_MASK, VMAX_VV }, // 6086
  { PseudoVMAX_VV_M2, VMAX_VV }, // 6087
  { PseudoVMAX_VV_M2_MASK, VMAX_VV }, // 6088
  { PseudoVMAX_VV_M4, VMAX_VV }, // 6089
  { PseudoVMAX_VV_M4_MASK, VMAX_VV }, // 6090
  { PseudoVMAX_VV_M8, VMAX_VV }, // 6091
  { PseudoVMAX_VV_M8_MASK, VMAX_VV }, // 6092
  { PseudoVMAX_VV_MF2, VMAX_VV }, // 6093
  { PseudoVMAX_VV_MF2_MASK, VMAX_VV }, // 6094
  { PseudoVMAX_VV_MF4, VMAX_VV }, // 6095
  { PseudoVMAX_VV_MF4_MASK, VMAX_VV }, // 6096
  { PseudoVMAX_VV_MF8, VMAX_VV }, // 6097
  { PseudoVMAX_VV_MF8_MASK, VMAX_VV }, // 6098
  { PseudoVMAX_VX_M1, VMAX_VX }, // 6099
  { PseudoVMAX_VX_M1_MASK, VMAX_VX }, // 6100
  { PseudoVMAX_VX_M2, VMAX_VX }, // 6101
  { PseudoVMAX_VX_M2_MASK, VMAX_VX }, // 6102
  { PseudoVMAX_VX_M4, VMAX_VX }, // 6103
  { PseudoVMAX_VX_M4_MASK, VMAX_VX }, // 6104
  { PseudoVMAX_VX_M8, VMAX_VX }, // 6105
  { PseudoVMAX_VX_M8_MASK, VMAX_VX }, // 6106
  { PseudoVMAX_VX_MF2, VMAX_VX }, // 6107
  { PseudoVMAX_VX_MF2_MASK, VMAX_VX }, // 6108
  { PseudoVMAX_VX_MF4, VMAX_VX }, // 6109
  { PseudoVMAX_VX_MF4_MASK, VMAX_VX }, // 6110
  { PseudoVMAX_VX_MF8, VMAX_VX }, // 6111
  { PseudoVMAX_VX_MF8_MASK, VMAX_VX }, // 6112
  { PseudoVMERGE_VIM_M1, VMERGE_VIM }, // 6113
  { PseudoVMERGE_VIM_M2, VMERGE_VIM }, // 6114
  { PseudoVMERGE_VIM_M4, VMERGE_VIM }, // 6115
  { PseudoVMERGE_VIM_M8, VMERGE_VIM }, // 6116
  { PseudoVMERGE_VIM_MF2, VMERGE_VIM }, // 6117
  { PseudoVMERGE_VIM_MF4, VMERGE_VIM }, // 6118
  { PseudoVMERGE_VIM_MF8, VMERGE_VIM }, // 6119
  { PseudoVMERGE_VVM_M1, VMERGE_VVM }, // 6120
  { PseudoVMERGE_VVM_M2, VMERGE_VVM }, // 6121
  { PseudoVMERGE_VVM_M4, VMERGE_VVM }, // 6122
  { PseudoVMERGE_VVM_M8, VMERGE_VVM }, // 6123
  { PseudoVMERGE_VVM_MF2, VMERGE_VVM }, // 6124
  { PseudoVMERGE_VVM_MF4, VMERGE_VVM }, // 6125
  { PseudoVMERGE_VVM_MF8, VMERGE_VVM }, // 6126
  { PseudoVMERGE_VXM_M1, VMERGE_VXM }, // 6127
  { PseudoVMERGE_VXM_M2, VMERGE_VXM }, // 6128
  { PseudoVMERGE_VXM_M4, VMERGE_VXM }, // 6129
  { PseudoVMERGE_VXM_M8, VMERGE_VXM }, // 6130
  { PseudoVMERGE_VXM_MF2, VMERGE_VXM }, // 6131
  { PseudoVMERGE_VXM_MF4, VMERGE_VXM }, // 6132
  { PseudoVMERGE_VXM_MF8, VMERGE_VXM }, // 6133
  { PseudoVMFEQ_VFPR16_M1, VMFEQ_VF }, // 6134
  { PseudoVMFEQ_VFPR16_M1_MASK, VMFEQ_VF }, // 6135
  { PseudoVMFEQ_VFPR16_M2, VMFEQ_VF }, // 6136
  { PseudoVMFEQ_VFPR16_M2_MASK, VMFEQ_VF }, // 6137
  { PseudoVMFEQ_VFPR16_M4, VMFEQ_VF }, // 6138
  { PseudoVMFEQ_VFPR16_M4_MASK, VMFEQ_VF }, // 6139
  { PseudoVMFEQ_VFPR16_M8, VMFEQ_VF }, // 6140
  { PseudoVMFEQ_VFPR16_M8_MASK, VMFEQ_VF }, // 6141
  { PseudoVMFEQ_VFPR16_MF2, VMFEQ_VF }, // 6142
  { PseudoVMFEQ_VFPR16_MF2_MASK, VMFEQ_VF }, // 6143
  { PseudoVMFEQ_VFPR16_MF4, VMFEQ_VF }, // 6144
  { PseudoVMFEQ_VFPR16_MF4_MASK, VMFEQ_VF }, // 6145
  { PseudoVMFEQ_VFPR32_M1, VMFEQ_VF }, // 6146
  { PseudoVMFEQ_VFPR32_M1_MASK, VMFEQ_VF }, // 6147
  { PseudoVMFEQ_VFPR32_M2, VMFEQ_VF }, // 6148
  { PseudoVMFEQ_VFPR32_M2_MASK, VMFEQ_VF }, // 6149
  { PseudoVMFEQ_VFPR32_M4, VMFEQ_VF }, // 6150
  { PseudoVMFEQ_VFPR32_M4_MASK, VMFEQ_VF }, // 6151
  { PseudoVMFEQ_VFPR32_M8, VMFEQ_VF }, // 6152
  { PseudoVMFEQ_VFPR32_M8_MASK, VMFEQ_VF }, // 6153
  { PseudoVMFEQ_VFPR32_MF2, VMFEQ_VF }, // 6154
  { PseudoVMFEQ_VFPR32_MF2_MASK, VMFEQ_VF }, // 6155
  { PseudoVMFEQ_VFPR64_M1, VMFEQ_VF }, // 6156
  { PseudoVMFEQ_VFPR64_M1_MASK, VMFEQ_VF }, // 6157
  { PseudoVMFEQ_VFPR64_M2, VMFEQ_VF }, // 6158
  { PseudoVMFEQ_VFPR64_M2_MASK, VMFEQ_VF }, // 6159
  { PseudoVMFEQ_VFPR64_M4, VMFEQ_VF }, // 6160
  { PseudoVMFEQ_VFPR64_M4_MASK, VMFEQ_VF }, // 6161
  { PseudoVMFEQ_VFPR64_M8, VMFEQ_VF }, // 6162
  { PseudoVMFEQ_VFPR64_M8_MASK, VMFEQ_VF }, // 6163
  { PseudoVMFEQ_VV_M1, VMFEQ_VV }, // 6164
  { PseudoVMFEQ_VV_M1_MASK, VMFEQ_VV }, // 6165
  { PseudoVMFEQ_VV_M2, VMFEQ_VV }, // 6166
  { PseudoVMFEQ_VV_M2_MASK, VMFEQ_VV }, // 6167
  { PseudoVMFEQ_VV_M4, VMFEQ_VV }, // 6168
  { PseudoVMFEQ_VV_M4_MASK, VMFEQ_VV }, // 6169
  { PseudoVMFEQ_VV_M8, VMFEQ_VV }, // 6170
  { PseudoVMFEQ_VV_M8_MASK, VMFEQ_VV }, // 6171
  { PseudoVMFEQ_VV_MF2, VMFEQ_VV }, // 6172
  { PseudoVMFEQ_VV_MF2_MASK, VMFEQ_VV }, // 6173
  { PseudoVMFEQ_VV_MF4, VMFEQ_VV }, // 6174
  { PseudoVMFEQ_VV_MF4_MASK, VMFEQ_VV }, // 6175
  { PseudoVMFGE_VFPR16_M1, VMFGE_VF }, // 6176
  { PseudoVMFGE_VFPR16_M1_MASK, VMFGE_VF }, // 6177
  { PseudoVMFGE_VFPR16_M2, VMFGE_VF }, // 6178
  { PseudoVMFGE_VFPR16_M2_MASK, VMFGE_VF }, // 6179
  { PseudoVMFGE_VFPR16_M4, VMFGE_VF }, // 6180
  { PseudoVMFGE_VFPR16_M4_MASK, VMFGE_VF }, // 6181
  { PseudoVMFGE_VFPR16_M8, VMFGE_VF }, // 6182
  { PseudoVMFGE_VFPR16_M8_MASK, VMFGE_VF }, // 6183
  { PseudoVMFGE_VFPR16_MF2, VMFGE_VF }, // 6184
  { PseudoVMFGE_VFPR16_MF2_MASK, VMFGE_VF }, // 6185
  { PseudoVMFGE_VFPR16_MF4, VMFGE_VF }, // 6186
  { PseudoVMFGE_VFPR16_MF4_MASK, VMFGE_VF }, // 6187
  { PseudoVMFGE_VFPR32_M1, VMFGE_VF }, // 6188
  { PseudoVMFGE_VFPR32_M1_MASK, VMFGE_VF }, // 6189
  { PseudoVMFGE_VFPR32_M2, VMFGE_VF }, // 6190
  { PseudoVMFGE_VFPR32_M2_MASK, VMFGE_VF }, // 6191
  { PseudoVMFGE_VFPR32_M4, VMFGE_VF }, // 6192
  { PseudoVMFGE_VFPR32_M4_MASK, VMFGE_VF }, // 6193
  { PseudoVMFGE_VFPR32_M8, VMFGE_VF }, // 6194
  { PseudoVMFGE_VFPR32_M8_MASK, VMFGE_VF }, // 6195
  { PseudoVMFGE_VFPR32_MF2, VMFGE_VF }, // 6196
  { PseudoVMFGE_VFPR32_MF2_MASK, VMFGE_VF }, // 6197
  { PseudoVMFGE_VFPR64_M1, VMFGE_VF }, // 6198
  { PseudoVMFGE_VFPR64_M1_MASK, VMFGE_VF }, // 6199
  { PseudoVMFGE_VFPR64_M2, VMFGE_VF }, // 6200
  { PseudoVMFGE_VFPR64_M2_MASK, VMFGE_VF }, // 6201
  { PseudoVMFGE_VFPR64_M4, VMFGE_VF }, // 6202
  { PseudoVMFGE_VFPR64_M4_MASK, VMFGE_VF }, // 6203
  { PseudoVMFGE_VFPR64_M8, VMFGE_VF }, // 6204
  { PseudoVMFGE_VFPR64_M8_MASK, VMFGE_VF }, // 6205
  { PseudoVMFGT_VFPR16_M1, VMFGT_VF }, // 6206
  { PseudoVMFGT_VFPR16_M1_MASK, VMFGT_VF }, // 6207
  { PseudoVMFGT_VFPR16_M2, VMFGT_VF }, // 6208
  { PseudoVMFGT_VFPR16_M2_MASK, VMFGT_VF }, // 6209
  { PseudoVMFGT_VFPR16_M4, VMFGT_VF }, // 6210
  { PseudoVMFGT_VFPR16_M4_MASK, VMFGT_VF }, // 6211
  { PseudoVMFGT_VFPR16_M8, VMFGT_VF }, // 6212
  { PseudoVMFGT_VFPR16_M8_MASK, VMFGT_VF }, // 6213
  { PseudoVMFGT_VFPR16_MF2, VMFGT_VF }, // 6214
  { PseudoVMFGT_VFPR16_MF2_MASK, VMFGT_VF }, // 6215
  { PseudoVMFGT_VFPR16_MF4, VMFGT_VF }, // 6216
  { PseudoVMFGT_VFPR16_MF4_MASK, VMFGT_VF }, // 6217
  { PseudoVMFGT_VFPR32_M1, VMFGT_VF }, // 6218
  { PseudoVMFGT_VFPR32_M1_MASK, VMFGT_VF }, // 6219
  { PseudoVMFGT_VFPR32_M2, VMFGT_VF }, // 6220
  { PseudoVMFGT_VFPR32_M2_MASK, VMFGT_VF }, // 6221
  { PseudoVMFGT_VFPR32_M4, VMFGT_VF }, // 6222
  { PseudoVMFGT_VFPR32_M4_MASK, VMFGT_VF }, // 6223
  { PseudoVMFGT_VFPR32_M8, VMFGT_VF }, // 6224
  { PseudoVMFGT_VFPR32_M8_MASK, VMFGT_VF }, // 6225
  { PseudoVMFGT_VFPR32_MF2, VMFGT_VF }, // 6226
  { PseudoVMFGT_VFPR32_MF2_MASK, VMFGT_VF }, // 6227
  { PseudoVMFGT_VFPR64_M1, VMFGT_VF }, // 6228
  { PseudoVMFGT_VFPR64_M1_MASK, VMFGT_VF }, // 6229
  { PseudoVMFGT_VFPR64_M2, VMFGT_VF }, // 6230
  { PseudoVMFGT_VFPR64_M2_MASK, VMFGT_VF }, // 6231
  { PseudoVMFGT_VFPR64_M4, VMFGT_VF }, // 6232
  { PseudoVMFGT_VFPR64_M4_MASK, VMFGT_VF }, // 6233
  { PseudoVMFGT_VFPR64_M8, VMFGT_VF }, // 6234
  { PseudoVMFGT_VFPR64_M8_MASK, VMFGT_VF }, // 6235
  { PseudoVMFLE_VFPR16_M1, VMFLE_VF }, // 6236
  { PseudoVMFLE_VFPR16_M1_MASK, VMFLE_VF }, // 6237
  { PseudoVMFLE_VFPR16_M2, VMFLE_VF }, // 6238
  { PseudoVMFLE_VFPR16_M2_MASK, VMFLE_VF }, // 6239
  { PseudoVMFLE_VFPR16_M4, VMFLE_VF }, // 6240
  { PseudoVMFLE_VFPR16_M4_MASK, VMFLE_VF }, // 6241
  { PseudoVMFLE_VFPR16_M8, VMFLE_VF }, // 6242
  { PseudoVMFLE_VFPR16_M8_MASK, VMFLE_VF }, // 6243
  { PseudoVMFLE_VFPR16_MF2, VMFLE_VF }, // 6244
  { PseudoVMFLE_VFPR16_MF2_MASK, VMFLE_VF }, // 6245
  { PseudoVMFLE_VFPR16_MF4, VMFLE_VF }, // 6246
  { PseudoVMFLE_VFPR16_MF4_MASK, VMFLE_VF }, // 6247
  { PseudoVMFLE_VFPR32_M1, VMFLE_VF }, // 6248
  { PseudoVMFLE_VFPR32_M1_MASK, VMFLE_VF }, // 6249
  { PseudoVMFLE_VFPR32_M2, VMFLE_VF }, // 6250
  { PseudoVMFLE_VFPR32_M2_MASK, VMFLE_VF }, // 6251
  { PseudoVMFLE_VFPR32_M4, VMFLE_VF }, // 6252
  { PseudoVMFLE_VFPR32_M4_MASK, VMFLE_VF }, // 6253
  { PseudoVMFLE_VFPR32_M8, VMFLE_VF }, // 6254
  { PseudoVMFLE_VFPR32_M8_MASK, VMFLE_VF }, // 6255
  { PseudoVMFLE_VFPR32_MF2, VMFLE_VF }, // 6256
  { PseudoVMFLE_VFPR32_MF2_MASK, VMFLE_VF }, // 6257
  { PseudoVMFLE_VFPR64_M1, VMFLE_VF }, // 6258
  { PseudoVMFLE_VFPR64_M1_MASK, VMFLE_VF }, // 6259
  { PseudoVMFLE_VFPR64_M2, VMFLE_VF }, // 6260
  { PseudoVMFLE_VFPR64_M2_MASK, VMFLE_VF }, // 6261
  { PseudoVMFLE_VFPR64_M4, VMFLE_VF }, // 6262
  { PseudoVMFLE_VFPR64_M4_MASK, VMFLE_VF }, // 6263
  { PseudoVMFLE_VFPR64_M8, VMFLE_VF }, // 6264
  { PseudoVMFLE_VFPR64_M8_MASK, VMFLE_VF }, // 6265
  { PseudoVMFLE_VV_M1, VMFLE_VV }, // 6266
  { PseudoVMFLE_VV_M1_MASK, VMFLE_VV }, // 6267
  { PseudoVMFLE_VV_M2, VMFLE_VV }, // 6268
  { PseudoVMFLE_VV_M2_MASK, VMFLE_VV }, // 6269
  { PseudoVMFLE_VV_M4, VMFLE_VV }, // 6270
  { PseudoVMFLE_VV_M4_MASK, VMFLE_VV }, // 6271
  { PseudoVMFLE_VV_M8, VMFLE_VV }, // 6272
  { PseudoVMFLE_VV_M8_MASK, VMFLE_VV }, // 6273
  { PseudoVMFLE_VV_MF2, VMFLE_VV }, // 6274
  { PseudoVMFLE_VV_MF2_MASK, VMFLE_VV }, // 6275
  { PseudoVMFLE_VV_MF4, VMFLE_VV }, // 6276
  { PseudoVMFLE_VV_MF4_MASK, VMFLE_VV }, // 6277
  { PseudoVMFLT_VFPR16_M1, VMFLT_VF }, // 6278
  { PseudoVMFLT_VFPR16_M1_MASK, VMFLT_VF }, // 6279
  { PseudoVMFLT_VFPR16_M2, VMFLT_VF }, // 6280
  { PseudoVMFLT_VFPR16_M2_MASK, VMFLT_VF }, // 6281
  { PseudoVMFLT_VFPR16_M4, VMFLT_VF }, // 6282
  { PseudoVMFLT_VFPR16_M4_MASK, VMFLT_VF }, // 6283
  { PseudoVMFLT_VFPR16_M8, VMFLT_VF }, // 6284
  { PseudoVMFLT_VFPR16_M8_MASK, VMFLT_VF }, // 6285
  { PseudoVMFLT_VFPR16_MF2, VMFLT_VF }, // 6286
  { PseudoVMFLT_VFPR16_MF2_MASK, VMFLT_VF }, // 6287
  { PseudoVMFLT_VFPR16_MF4, VMFLT_VF }, // 6288
  { PseudoVMFLT_VFPR16_MF4_MASK, VMFLT_VF }, // 6289
  { PseudoVMFLT_VFPR32_M1, VMFLT_VF }, // 6290
  { PseudoVMFLT_VFPR32_M1_MASK, VMFLT_VF }, // 6291
  { PseudoVMFLT_VFPR32_M2, VMFLT_VF }, // 6292
  { PseudoVMFLT_VFPR32_M2_MASK, VMFLT_VF }, // 6293
  { PseudoVMFLT_VFPR32_M4, VMFLT_VF }, // 6294
  { PseudoVMFLT_VFPR32_M4_MASK, VMFLT_VF }, // 6295
  { PseudoVMFLT_VFPR32_M8, VMFLT_VF }, // 6296
  { PseudoVMFLT_VFPR32_M8_MASK, VMFLT_VF }, // 6297
  { PseudoVMFLT_VFPR32_MF2, VMFLT_VF }, // 6298
  { PseudoVMFLT_VFPR32_MF2_MASK, VMFLT_VF }, // 6299
  { PseudoVMFLT_VFPR64_M1, VMFLT_VF }, // 6300
  { PseudoVMFLT_VFPR64_M1_MASK, VMFLT_VF }, // 6301
  { PseudoVMFLT_VFPR64_M2, VMFLT_VF }, // 6302
  { PseudoVMFLT_VFPR64_M2_MASK, VMFLT_VF }, // 6303
  { PseudoVMFLT_VFPR64_M4, VMFLT_VF }, // 6304
  { PseudoVMFLT_VFPR64_M4_MASK, VMFLT_VF }, // 6305
  { PseudoVMFLT_VFPR64_M8, VMFLT_VF }, // 6306
  { PseudoVMFLT_VFPR64_M8_MASK, VMFLT_VF }, // 6307
  { PseudoVMFLT_VV_M1, VMFLT_VV }, // 6308
  { PseudoVMFLT_VV_M1_MASK, VMFLT_VV }, // 6309
  { PseudoVMFLT_VV_M2, VMFLT_VV }, // 6310
  { PseudoVMFLT_VV_M2_MASK, VMFLT_VV }, // 6311
  { PseudoVMFLT_VV_M4, VMFLT_VV }, // 6312
  { PseudoVMFLT_VV_M4_MASK, VMFLT_VV }, // 6313
  { PseudoVMFLT_VV_M8, VMFLT_VV }, // 6314
  { PseudoVMFLT_VV_M8_MASK, VMFLT_VV }, // 6315
  { PseudoVMFLT_VV_MF2, VMFLT_VV }, // 6316
  { PseudoVMFLT_VV_MF2_MASK, VMFLT_VV }, // 6317
  { PseudoVMFLT_VV_MF4, VMFLT_VV }, // 6318
  { PseudoVMFLT_VV_MF4_MASK, VMFLT_VV }, // 6319
  { PseudoVMFNE_VFPR16_M1, VMFNE_VF }, // 6320
  { PseudoVMFNE_VFPR16_M1_MASK, VMFNE_VF }, // 6321
  { PseudoVMFNE_VFPR16_M2, VMFNE_VF }, // 6322
  { PseudoVMFNE_VFPR16_M2_MASK, VMFNE_VF }, // 6323
  { PseudoVMFNE_VFPR16_M4, VMFNE_VF }, // 6324
  { PseudoVMFNE_VFPR16_M4_MASK, VMFNE_VF }, // 6325
  { PseudoVMFNE_VFPR16_M8, VMFNE_VF }, // 6326
  { PseudoVMFNE_VFPR16_M8_MASK, VMFNE_VF }, // 6327
  { PseudoVMFNE_VFPR16_MF2, VMFNE_VF }, // 6328
  { PseudoVMFNE_VFPR16_MF2_MASK, VMFNE_VF }, // 6329
  { PseudoVMFNE_VFPR16_MF4, VMFNE_VF }, // 6330
  { PseudoVMFNE_VFPR16_MF4_MASK, VMFNE_VF }, // 6331
  { PseudoVMFNE_VFPR32_M1, VMFNE_VF }, // 6332
  { PseudoVMFNE_VFPR32_M1_MASK, VMFNE_VF }, // 6333
  { PseudoVMFNE_VFPR32_M2, VMFNE_VF }, // 6334
  { PseudoVMFNE_VFPR32_M2_MASK, VMFNE_VF }, // 6335
  { PseudoVMFNE_VFPR32_M4, VMFNE_VF }, // 6336
  { PseudoVMFNE_VFPR32_M4_MASK, VMFNE_VF }, // 6337
  { PseudoVMFNE_VFPR32_M8, VMFNE_VF }, // 6338
  { PseudoVMFNE_VFPR32_M8_MASK, VMFNE_VF }, // 6339
  { PseudoVMFNE_VFPR32_MF2, VMFNE_VF }, // 6340
  { PseudoVMFNE_VFPR32_MF2_MASK, VMFNE_VF }, // 6341
  { PseudoVMFNE_VFPR64_M1, VMFNE_VF }, // 6342
  { PseudoVMFNE_VFPR64_M1_MASK, VMFNE_VF }, // 6343
  { PseudoVMFNE_VFPR64_M2, VMFNE_VF }, // 6344
  { PseudoVMFNE_VFPR64_M2_MASK, VMFNE_VF }, // 6345
  { PseudoVMFNE_VFPR64_M4, VMFNE_VF }, // 6346
  { PseudoVMFNE_VFPR64_M4_MASK, VMFNE_VF }, // 6347
  { PseudoVMFNE_VFPR64_M8, VMFNE_VF }, // 6348
  { PseudoVMFNE_VFPR64_M8_MASK, VMFNE_VF }, // 6349
  { PseudoVMFNE_VV_M1, VMFNE_VV }, // 6350
  { PseudoVMFNE_VV_M1_MASK, VMFNE_VV }, // 6351
  { PseudoVMFNE_VV_M2, VMFNE_VV }, // 6352
  { PseudoVMFNE_VV_M2_MASK, VMFNE_VV }, // 6353
  { PseudoVMFNE_VV_M4, VMFNE_VV }, // 6354
  { PseudoVMFNE_VV_M4_MASK, VMFNE_VV }, // 6355
  { PseudoVMFNE_VV_M8, VMFNE_VV }, // 6356
  { PseudoVMFNE_VV_M8_MASK, VMFNE_VV }, // 6357
  { PseudoVMFNE_VV_MF2, VMFNE_VV }, // 6358
  { PseudoVMFNE_VV_MF2_MASK, VMFNE_VV }, // 6359
  { PseudoVMFNE_VV_MF4, VMFNE_VV }, // 6360
  { PseudoVMFNE_VV_MF4_MASK, VMFNE_VV }, // 6361
  { PseudoVMINU_VV_M1, VMINU_VV }, // 6362
  { PseudoVMINU_VV_M1_MASK, VMINU_VV }, // 6363
  { PseudoVMINU_VV_M2, VMINU_VV }, // 6364
  { PseudoVMINU_VV_M2_MASK, VMINU_VV }, // 6365
  { PseudoVMINU_VV_M4, VMINU_VV }, // 6366
  { PseudoVMINU_VV_M4_MASK, VMINU_VV }, // 6367
  { PseudoVMINU_VV_M8, VMINU_VV }, // 6368
  { PseudoVMINU_VV_M8_MASK, VMINU_VV }, // 6369
  { PseudoVMINU_VV_MF2, VMINU_VV }, // 6370
  { PseudoVMINU_VV_MF2_MASK, VMINU_VV }, // 6371
  { PseudoVMINU_VV_MF4, VMINU_VV }, // 6372
  { PseudoVMINU_VV_MF4_MASK, VMINU_VV }, // 6373
  { PseudoVMINU_VV_MF8, VMINU_VV }, // 6374
  { PseudoVMINU_VV_MF8_MASK, VMINU_VV }, // 6375
  { PseudoVMINU_VX_M1, VMINU_VX }, // 6376
  { PseudoVMINU_VX_M1_MASK, VMINU_VX }, // 6377
  { PseudoVMINU_VX_M2, VMINU_VX }, // 6378
  { PseudoVMINU_VX_M2_MASK, VMINU_VX }, // 6379
  { PseudoVMINU_VX_M4, VMINU_VX }, // 6380
  { PseudoVMINU_VX_M4_MASK, VMINU_VX }, // 6381
  { PseudoVMINU_VX_M8, VMINU_VX }, // 6382
  { PseudoVMINU_VX_M8_MASK, VMINU_VX }, // 6383
  { PseudoVMINU_VX_MF2, VMINU_VX }, // 6384
  { PseudoVMINU_VX_MF2_MASK, VMINU_VX }, // 6385
  { PseudoVMINU_VX_MF4, VMINU_VX }, // 6386
  { PseudoVMINU_VX_MF4_MASK, VMINU_VX }, // 6387
  { PseudoVMINU_VX_MF8, VMINU_VX }, // 6388
  { PseudoVMINU_VX_MF8_MASK, VMINU_VX }, // 6389
  { PseudoVMIN_VV_M1, VMIN_VV }, // 6390
  { PseudoVMIN_VV_M1_MASK, VMIN_VV }, // 6391
  { PseudoVMIN_VV_M2, VMIN_VV }, // 6392
  { PseudoVMIN_VV_M2_MASK, VMIN_VV }, // 6393
  { PseudoVMIN_VV_M4, VMIN_VV }, // 6394
  { PseudoVMIN_VV_M4_MASK, VMIN_VV }, // 6395
  { PseudoVMIN_VV_M8, VMIN_VV }, // 6396
  { PseudoVMIN_VV_M8_MASK, VMIN_VV }, // 6397
  { PseudoVMIN_VV_MF2, VMIN_VV }, // 6398
  { PseudoVMIN_VV_MF2_MASK, VMIN_VV }, // 6399
  { PseudoVMIN_VV_MF4, VMIN_VV }, // 6400
  { PseudoVMIN_VV_MF4_MASK, VMIN_VV }, // 6401
  { PseudoVMIN_VV_MF8, VMIN_VV }, // 6402
  { PseudoVMIN_VV_MF8_MASK, VMIN_VV }, // 6403
  { PseudoVMIN_VX_M1, VMIN_VX }, // 6404
  { PseudoVMIN_VX_M1_MASK, VMIN_VX }, // 6405
  { PseudoVMIN_VX_M2, VMIN_VX }, // 6406
  { PseudoVMIN_VX_M2_MASK, VMIN_VX }, // 6407
  { PseudoVMIN_VX_M4, VMIN_VX }, // 6408
  { PseudoVMIN_VX_M4_MASK, VMIN_VX }, // 6409
  { PseudoVMIN_VX_M8, VMIN_VX }, // 6410
  { PseudoVMIN_VX_M8_MASK, VMIN_VX }, // 6411
  { PseudoVMIN_VX_MF2, VMIN_VX }, // 6412
  { PseudoVMIN_VX_MF2_MASK, VMIN_VX }, // 6413
  { PseudoVMIN_VX_MF4, VMIN_VX }, // 6414
  { PseudoVMIN_VX_MF4_MASK, VMIN_VX }, // 6415
  { PseudoVMIN_VX_MF8, VMIN_VX }, // 6416
  { PseudoVMIN_VX_MF8_MASK, VMIN_VX }, // 6417
  { PseudoVMNAND_MM_M1, VMNAND_MM }, // 6418
  { PseudoVMNAND_MM_M2, VMNAND_MM }, // 6419
  { PseudoVMNAND_MM_M4, VMNAND_MM }, // 6420
  { PseudoVMNAND_MM_M8, VMNAND_MM }, // 6421
  { PseudoVMNAND_MM_MF2, VMNAND_MM }, // 6422
  { PseudoVMNAND_MM_MF4, VMNAND_MM }, // 6423
  { PseudoVMNAND_MM_MF8, VMNAND_MM }, // 6424
  { PseudoVMNOR_MM_M1, VMNOR_MM }, // 6425
  { PseudoVMNOR_MM_M2, VMNOR_MM }, // 6426
  { PseudoVMNOR_MM_M4, VMNOR_MM }, // 6427
  { PseudoVMNOR_MM_M8, VMNOR_MM }, // 6428
  { PseudoVMNOR_MM_MF2, VMNOR_MM }, // 6429
  { PseudoVMNOR_MM_MF4, VMNOR_MM }, // 6430
  { PseudoVMNOR_MM_MF8, VMNOR_MM }, // 6431
  { PseudoVMORN_MM_M1, VMORN_MM }, // 6432
  { PseudoVMORN_MM_M2, VMORN_MM }, // 6433
  { PseudoVMORN_MM_M4, VMORN_MM }, // 6434
  { PseudoVMORN_MM_M8, VMORN_MM }, // 6435
  { PseudoVMORN_MM_MF2, VMORN_MM }, // 6436
  { PseudoVMORN_MM_MF4, VMORN_MM }, // 6437
  { PseudoVMORN_MM_MF8, VMORN_MM }, // 6438
  { PseudoVMOR_MM_M1, VMOR_MM }, // 6439
  { PseudoVMOR_MM_M2, VMOR_MM }, // 6440
  { PseudoVMOR_MM_M4, VMOR_MM }, // 6441
  { PseudoVMOR_MM_M8, VMOR_MM }, // 6442
  { PseudoVMOR_MM_MF2, VMOR_MM }, // 6443
  { PseudoVMOR_MM_MF4, VMOR_MM }, // 6444
  { PseudoVMOR_MM_MF8, VMOR_MM }, // 6445
  { PseudoVMSBC_VVM_M1, VMSBC_VVM }, // 6446
  { PseudoVMSBC_VVM_M2, VMSBC_VVM }, // 6447
  { PseudoVMSBC_VVM_M4, VMSBC_VVM }, // 6448
  { PseudoVMSBC_VVM_M8, VMSBC_VVM }, // 6449
  { PseudoVMSBC_VVM_MF2, VMSBC_VVM }, // 6450
  { PseudoVMSBC_VVM_MF4, VMSBC_VVM }, // 6451
  { PseudoVMSBC_VVM_MF8, VMSBC_VVM }, // 6452
  { PseudoVMSBC_VV_M1, VMSBC_VV }, // 6453
  { PseudoVMSBC_VV_M2, VMSBC_VV }, // 6454
  { PseudoVMSBC_VV_M4, VMSBC_VV }, // 6455
  { PseudoVMSBC_VV_M8, VMSBC_VV }, // 6456
  { PseudoVMSBC_VV_MF2, VMSBC_VV }, // 6457
  { PseudoVMSBC_VV_MF4, VMSBC_VV }, // 6458
  { PseudoVMSBC_VV_MF8, VMSBC_VV }, // 6459
  { PseudoVMSBC_VXM_M1, VMSBC_VXM }, // 6460
  { PseudoVMSBC_VXM_M2, VMSBC_VXM }, // 6461
  { PseudoVMSBC_VXM_M4, VMSBC_VXM }, // 6462
  { PseudoVMSBC_VXM_M8, VMSBC_VXM }, // 6463
  { PseudoVMSBC_VXM_MF2, VMSBC_VXM }, // 6464
  { PseudoVMSBC_VXM_MF4, VMSBC_VXM }, // 6465
  { PseudoVMSBC_VXM_MF8, VMSBC_VXM }, // 6466
  { PseudoVMSBC_VX_M1, VMSBC_VX }, // 6467
  { PseudoVMSBC_VX_M2, VMSBC_VX }, // 6468
  { PseudoVMSBC_VX_M4, VMSBC_VX }, // 6469
  { PseudoVMSBC_VX_M8, VMSBC_VX }, // 6470
  { PseudoVMSBC_VX_MF2, VMSBC_VX }, // 6471
  { PseudoVMSBC_VX_MF4, VMSBC_VX }, // 6472
  { PseudoVMSBC_VX_MF8, VMSBC_VX }, // 6473
  { PseudoVMSBF_M_B1, VMSBF_M }, // 6474
  { PseudoVMSBF_M_B16, VMSBF_M }, // 6475
  { PseudoVMSBF_M_B16_MASK, VMSBF_M }, // 6476
  { PseudoVMSBF_M_B1_MASK, VMSBF_M }, // 6477
  { PseudoVMSBF_M_B2, VMSBF_M }, // 6478
  { PseudoVMSBF_M_B2_MASK, VMSBF_M }, // 6479
  { PseudoVMSBF_M_B32, VMSBF_M }, // 6480
  { PseudoVMSBF_M_B32_MASK, VMSBF_M }, // 6481
  { PseudoVMSBF_M_B4, VMSBF_M }, // 6482
  { PseudoVMSBF_M_B4_MASK, VMSBF_M }, // 6483
  { PseudoVMSBF_M_B64, VMSBF_M }, // 6484
  { PseudoVMSBF_M_B64_MASK, VMSBF_M }, // 6485
  { PseudoVMSBF_M_B8, VMSBF_M }, // 6486
  { PseudoVMSBF_M_B8_MASK, VMSBF_M }, // 6487
  { PseudoVMSEQ_VI_M1, VMSEQ_VI }, // 6488
  { PseudoVMSEQ_VI_M1_MASK, VMSEQ_VI }, // 6489
  { PseudoVMSEQ_VI_M2, VMSEQ_VI }, // 6490
  { PseudoVMSEQ_VI_M2_MASK, VMSEQ_VI }, // 6491
  { PseudoVMSEQ_VI_M4, VMSEQ_VI }, // 6492
  { PseudoVMSEQ_VI_M4_MASK, VMSEQ_VI }, // 6493
  { PseudoVMSEQ_VI_M8, VMSEQ_VI }, // 6494
  { PseudoVMSEQ_VI_M8_MASK, VMSEQ_VI }, // 6495
  { PseudoVMSEQ_VI_MF2, VMSEQ_VI }, // 6496
  { PseudoVMSEQ_VI_MF2_MASK, VMSEQ_VI }, // 6497
  { PseudoVMSEQ_VI_MF4, VMSEQ_VI }, // 6498
  { PseudoVMSEQ_VI_MF4_MASK, VMSEQ_VI }, // 6499
  { PseudoVMSEQ_VI_MF8, VMSEQ_VI }, // 6500
  { PseudoVMSEQ_VI_MF8_MASK, VMSEQ_VI }, // 6501
  { PseudoVMSEQ_VV_M1, VMSEQ_VV }, // 6502
  { PseudoVMSEQ_VV_M1_MASK, VMSEQ_VV }, // 6503
  { PseudoVMSEQ_VV_M2, VMSEQ_VV }, // 6504
  { PseudoVMSEQ_VV_M2_MASK, VMSEQ_VV }, // 6505
  { PseudoVMSEQ_VV_M4, VMSEQ_VV }, // 6506
  { PseudoVMSEQ_VV_M4_MASK, VMSEQ_VV }, // 6507
  { PseudoVMSEQ_VV_M8, VMSEQ_VV }, // 6508
  { PseudoVMSEQ_VV_M8_MASK, VMSEQ_VV }, // 6509
  { PseudoVMSEQ_VV_MF2, VMSEQ_VV }, // 6510
  { PseudoVMSEQ_VV_MF2_MASK, VMSEQ_VV }, // 6511
  { PseudoVMSEQ_VV_MF4, VMSEQ_VV }, // 6512
  { PseudoVMSEQ_VV_MF4_MASK, VMSEQ_VV }, // 6513
  { PseudoVMSEQ_VV_MF8, VMSEQ_VV }, // 6514
  { PseudoVMSEQ_VV_MF8_MASK, VMSEQ_VV }, // 6515
  { PseudoVMSEQ_VX_M1, VMSEQ_VX }, // 6516
  { PseudoVMSEQ_VX_M1_MASK, VMSEQ_VX }, // 6517
  { PseudoVMSEQ_VX_M2, VMSEQ_VX }, // 6518
  { PseudoVMSEQ_VX_M2_MASK, VMSEQ_VX }, // 6519
  { PseudoVMSEQ_VX_M4, VMSEQ_VX }, // 6520
  { PseudoVMSEQ_VX_M4_MASK, VMSEQ_VX }, // 6521
  { PseudoVMSEQ_VX_M8, VMSEQ_VX }, // 6522
  { PseudoVMSEQ_VX_M8_MASK, VMSEQ_VX }, // 6523
  { PseudoVMSEQ_VX_MF2, VMSEQ_VX }, // 6524
  { PseudoVMSEQ_VX_MF2_MASK, VMSEQ_VX }, // 6525
  { PseudoVMSEQ_VX_MF4, VMSEQ_VX }, // 6526
  { PseudoVMSEQ_VX_MF4_MASK, VMSEQ_VX }, // 6527
  { PseudoVMSEQ_VX_MF8, VMSEQ_VX }, // 6528
  { PseudoVMSEQ_VX_MF8_MASK, VMSEQ_VX }, // 6529
  { PseudoVMSGTU_VI_M1, VMSGTU_VI }, // 6530
  { PseudoVMSGTU_VI_M1_MASK, VMSGTU_VI }, // 6531
  { PseudoVMSGTU_VI_M2, VMSGTU_VI }, // 6532
  { PseudoVMSGTU_VI_M2_MASK, VMSGTU_VI }, // 6533
  { PseudoVMSGTU_VI_M4, VMSGTU_VI }, // 6534
  { PseudoVMSGTU_VI_M4_MASK, VMSGTU_VI }, // 6535
  { PseudoVMSGTU_VI_M8, VMSGTU_VI }, // 6536
  { PseudoVMSGTU_VI_M8_MASK, VMSGTU_VI }, // 6537
  { PseudoVMSGTU_VI_MF2, VMSGTU_VI }, // 6538
  { PseudoVMSGTU_VI_MF2_MASK, VMSGTU_VI }, // 6539
  { PseudoVMSGTU_VI_MF4, VMSGTU_VI }, // 6540
  { PseudoVMSGTU_VI_MF4_MASK, VMSGTU_VI }, // 6541
  { PseudoVMSGTU_VI_MF8, VMSGTU_VI }, // 6542
  { PseudoVMSGTU_VI_MF8_MASK, VMSGTU_VI }, // 6543
  { PseudoVMSGTU_VX_M1, VMSGTU_VX }, // 6544
  { PseudoVMSGTU_VX_M1_MASK, VMSGTU_VX }, // 6545
  { PseudoVMSGTU_VX_M2, VMSGTU_VX }, // 6546
  { PseudoVMSGTU_VX_M2_MASK, VMSGTU_VX }, // 6547
  { PseudoVMSGTU_VX_M4, VMSGTU_VX }, // 6548
  { PseudoVMSGTU_VX_M4_MASK, VMSGTU_VX }, // 6549
  { PseudoVMSGTU_VX_M8, VMSGTU_VX }, // 6550
  { PseudoVMSGTU_VX_M8_MASK, VMSGTU_VX }, // 6551
  { PseudoVMSGTU_VX_MF2, VMSGTU_VX }, // 6552
  { PseudoVMSGTU_VX_MF2_MASK, VMSGTU_VX }, // 6553
  { PseudoVMSGTU_VX_MF4, VMSGTU_VX }, // 6554
  { PseudoVMSGTU_VX_MF4_MASK, VMSGTU_VX }, // 6555
  { PseudoVMSGTU_VX_MF8, VMSGTU_VX }, // 6556
  { PseudoVMSGTU_VX_MF8_MASK, VMSGTU_VX }, // 6557
  { PseudoVMSGT_VI_M1, VMSGT_VI }, // 6558
  { PseudoVMSGT_VI_M1_MASK, VMSGT_VI }, // 6559
  { PseudoVMSGT_VI_M2, VMSGT_VI }, // 6560
  { PseudoVMSGT_VI_M2_MASK, VMSGT_VI }, // 6561
  { PseudoVMSGT_VI_M4, VMSGT_VI }, // 6562
  { PseudoVMSGT_VI_M4_MASK, VMSGT_VI }, // 6563
  { PseudoVMSGT_VI_M8, VMSGT_VI }, // 6564
  { PseudoVMSGT_VI_M8_MASK, VMSGT_VI }, // 6565
  { PseudoVMSGT_VI_MF2, VMSGT_VI }, // 6566
  { PseudoVMSGT_VI_MF2_MASK, VMSGT_VI }, // 6567
  { PseudoVMSGT_VI_MF4, VMSGT_VI }, // 6568
  { PseudoVMSGT_VI_MF4_MASK, VMSGT_VI }, // 6569
  { PseudoVMSGT_VI_MF8, VMSGT_VI }, // 6570
  { PseudoVMSGT_VI_MF8_MASK, VMSGT_VI }, // 6571
  { PseudoVMSGT_VX_M1, VMSGT_VX }, // 6572
  { PseudoVMSGT_VX_M1_MASK, VMSGT_VX }, // 6573
  { PseudoVMSGT_VX_M2, VMSGT_VX }, // 6574
  { PseudoVMSGT_VX_M2_MASK, VMSGT_VX }, // 6575
  { PseudoVMSGT_VX_M4, VMSGT_VX }, // 6576
  { PseudoVMSGT_VX_M4_MASK, VMSGT_VX }, // 6577
  { PseudoVMSGT_VX_M8, VMSGT_VX }, // 6578
  { PseudoVMSGT_VX_M8_MASK, VMSGT_VX }, // 6579
  { PseudoVMSGT_VX_MF2, VMSGT_VX }, // 6580
  { PseudoVMSGT_VX_MF2_MASK, VMSGT_VX }, // 6581
  { PseudoVMSGT_VX_MF4, VMSGT_VX }, // 6582
  { PseudoVMSGT_VX_MF4_MASK, VMSGT_VX }, // 6583
  { PseudoVMSGT_VX_MF8, VMSGT_VX }, // 6584
  { PseudoVMSGT_VX_MF8_MASK, VMSGT_VX }, // 6585
  { PseudoVMSIF_M_B1, VMSIF_M }, // 6586
  { PseudoVMSIF_M_B16, VMSIF_M }, // 6587
  { PseudoVMSIF_M_B16_MASK, VMSIF_M }, // 6588
  { PseudoVMSIF_M_B1_MASK, VMSIF_M }, // 6589
  { PseudoVMSIF_M_B2, VMSIF_M }, // 6590
  { PseudoVMSIF_M_B2_MASK, VMSIF_M }, // 6591
  { PseudoVMSIF_M_B32, VMSIF_M }, // 6592
  { PseudoVMSIF_M_B32_MASK, VMSIF_M }, // 6593
  { PseudoVMSIF_M_B4, VMSIF_M }, // 6594
  { PseudoVMSIF_M_B4_MASK, VMSIF_M }, // 6595
  { PseudoVMSIF_M_B64, VMSIF_M }, // 6596
  { PseudoVMSIF_M_B64_MASK, VMSIF_M }, // 6597
  { PseudoVMSIF_M_B8, VMSIF_M }, // 6598
  { PseudoVMSIF_M_B8_MASK, VMSIF_M }, // 6599
  { PseudoVMSLEU_VI_M1, VMSLEU_VI }, // 6600
  { PseudoVMSLEU_VI_M1_MASK, VMSLEU_VI }, // 6601
  { PseudoVMSLEU_VI_M2, VMSLEU_VI }, // 6602
  { PseudoVMSLEU_VI_M2_MASK, VMSLEU_VI }, // 6603
  { PseudoVMSLEU_VI_M4, VMSLEU_VI }, // 6604
  { PseudoVMSLEU_VI_M4_MASK, VMSLEU_VI }, // 6605
  { PseudoVMSLEU_VI_M8, VMSLEU_VI }, // 6606
  { PseudoVMSLEU_VI_M8_MASK, VMSLEU_VI }, // 6607
  { PseudoVMSLEU_VI_MF2, VMSLEU_VI }, // 6608
  { PseudoVMSLEU_VI_MF2_MASK, VMSLEU_VI }, // 6609
  { PseudoVMSLEU_VI_MF4, VMSLEU_VI }, // 6610
  { PseudoVMSLEU_VI_MF4_MASK, VMSLEU_VI }, // 6611
  { PseudoVMSLEU_VI_MF8, VMSLEU_VI }, // 6612
  { PseudoVMSLEU_VI_MF8_MASK, VMSLEU_VI }, // 6613
  { PseudoVMSLEU_VV_M1, VMSLEU_VV }, // 6614
  { PseudoVMSLEU_VV_M1_MASK, VMSLEU_VV }, // 6615
  { PseudoVMSLEU_VV_M2, VMSLEU_VV }, // 6616
  { PseudoVMSLEU_VV_M2_MASK, VMSLEU_VV }, // 6617
  { PseudoVMSLEU_VV_M4, VMSLEU_VV }, // 6618
  { PseudoVMSLEU_VV_M4_MASK, VMSLEU_VV }, // 6619
  { PseudoVMSLEU_VV_M8, VMSLEU_VV }, // 6620
  { PseudoVMSLEU_VV_M8_MASK, VMSLEU_VV }, // 6621
  { PseudoVMSLEU_VV_MF2, VMSLEU_VV }, // 6622
  { PseudoVMSLEU_VV_MF2_MASK, VMSLEU_VV }, // 6623
  { PseudoVMSLEU_VV_MF4, VMSLEU_VV }, // 6624
  { PseudoVMSLEU_VV_MF4_MASK, VMSLEU_VV }, // 6625
  { PseudoVMSLEU_VV_MF8, VMSLEU_VV }, // 6626
  { PseudoVMSLEU_VV_MF8_MASK, VMSLEU_VV }, // 6627
  { PseudoVMSLEU_VX_M1, VMSLEU_VX }, // 6628
  { PseudoVMSLEU_VX_M1_MASK, VMSLEU_VX }, // 6629
  { PseudoVMSLEU_VX_M2, VMSLEU_VX }, // 6630
  { PseudoVMSLEU_VX_M2_MASK, VMSLEU_VX }, // 6631
  { PseudoVMSLEU_VX_M4, VMSLEU_VX }, // 6632
  { PseudoVMSLEU_VX_M4_MASK, VMSLEU_VX }, // 6633
  { PseudoVMSLEU_VX_M8, VMSLEU_VX }, // 6634
  { PseudoVMSLEU_VX_M8_MASK, VMSLEU_VX }, // 6635
  { PseudoVMSLEU_VX_MF2, VMSLEU_VX }, // 6636
  { PseudoVMSLEU_VX_MF2_MASK, VMSLEU_VX }, // 6637
  { PseudoVMSLEU_VX_MF4, VMSLEU_VX }, // 6638
  { PseudoVMSLEU_VX_MF4_MASK, VMSLEU_VX }, // 6639
  { PseudoVMSLEU_VX_MF8, VMSLEU_VX }, // 6640
  { PseudoVMSLEU_VX_MF8_MASK, VMSLEU_VX }, // 6641
  { PseudoVMSLE_VI_M1, VMSLE_VI }, // 6642
  { PseudoVMSLE_VI_M1_MASK, VMSLE_VI }, // 6643
  { PseudoVMSLE_VI_M2, VMSLE_VI }, // 6644
  { PseudoVMSLE_VI_M2_MASK, VMSLE_VI }, // 6645
  { PseudoVMSLE_VI_M4, VMSLE_VI }, // 6646
  { PseudoVMSLE_VI_M4_MASK, VMSLE_VI }, // 6647
  { PseudoVMSLE_VI_M8, VMSLE_VI }, // 6648
  { PseudoVMSLE_VI_M8_MASK, VMSLE_VI }, // 6649
  { PseudoVMSLE_VI_MF2, VMSLE_VI }, // 6650
  { PseudoVMSLE_VI_MF2_MASK, VMSLE_VI }, // 6651
  { PseudoVMSLE_VI_MF4, VMSLE_VI }, // 6652
  { PseudoVMSLE_VI_MF4_MASK, VMSLE_VI }, // 6653
  { PseudoVMSLE_VI_MF8, VMSLE_VI }, // 6654
  { PseudoVMSLE_VI_MF8_MASK, VMSLE_VI }, // 6655
  { PseudoVMSLE_VV_M1, VMSLE_VV }, // 6656
  { PseudoVMSLE_VV_M1_MASK, VMSLE_VV }, // 6657
  { PseudoVMSLE_VV_M2, VMSLE_VV }, // 6658
  { PseudoVMSLE_VV_M2_MASK, VMSLE_VV }, // 6659
  { PseudoVMSLE_VV_M4, VMSLE_VV }, // 6660
  { PseudoVMSLE_VV_M4_MASK, VMSLE_VV }, // 6661
  { PseudoVMSLE_VV_M8, VMSLE_VV }, // 6662
  { PseudoVMSLE_VV_M8_MASK, VMSLE_VV }, // 6663
  { PseudoVMSLE_VV_MF2, VMSLE_VV }, // 6664
  { PseudoVMSLE_VV_MF2_MASK, VMSLE_VV }, // 6665
  { PseudoVMSLE_VV_MF4, VMSLE_VV }, // 6666
  { PseudoVMSLE_VV_MF4_MASK, VMSLE_VV }, // 6667
  { PseudoVMSLE_VV_MF8, VMSLE_VV }, // 6668
  { PseudoVMSLE_VV_MF8_MASK, VMSLE_VV }, // 6669
  { PseudoVMSLE_VX_M1, VMSLE_VX }, // 6670
  { PseudoVMSLE_VX_M1_MASK, VMSLE_VX }, // 6671
  { PseudoVMSLE_VX_M2, VMSLE_VX }, // 6672
  { PseudoVMSLE_VX_M2_MASK, VMSLE_VX }, // 6673
  { PseudoVMSLE_VX_M4, VMSLE_VX }, // 6674
  { PseudoVMSLE_VX_M4_MASK, VMSLE_VX }, // 6675
  { PseudoVMSLE_VX_M8, VMSLE_VX }, // 6676
  { PseudoVMSLE_VX_M8_MASK, VMSLE_VX }, // 6677
  { PseudoVMSLE_VX_MF2, VMSLE_VX }, // 6678
  { PseudoVMSLE_VX_MF2_MASK, VMSLE_VX }, // 6679
  { PseudoVMSLE_VX_MF4, VMSLE_VX }, // 6680
  { PseudoVMSLE_VX_MF4_MASK, VMSLE_VX }, // 6681
  { PseudoVMSLE_VX_MF8, VMSLE_VX }, // 6682
  { PseudoVMSLE_VX_MF8_MASK, VMSLE_VX }, // 6683
  { PseudoVMSLTU_VV_M1, VMSLTU_VV }, // 6684
  { PseudoVMSLTU_VV_M1_MASK, VMSLTU_VV }, // 6685
  { PseudoVMSLTU_VV_M2, VMSLTU_VV }, // 6686
  { PseudoVMSLTU_VV_M2_MASK, VMSLTU_VV }, // 6687
  { PseudoVMSLTU_VV_M4, VMSLTU_VV }, // 6688
  { PseudoVMSLTU_VV_M4_MASK, VMSLTU_VV }, // 6689
  { PseudoVMSLTU_VV_M8, VMSLTU_VV }, // 6690
  { PseudoVMSLTU_VV_M8_MASK, VMSLTU_VV }, // 6691
  { PseudoVMSLTU_VV_MF2, VMSLTU_VV }, // 6692
  { PseudoVMSLTU_VV_MF2_MASK, VMSLTU_VV }, // 6693
  { PseudoVMSLTU_VV_MF4, VMSLTU_VV }, // 6694
  { PseudoVMSLTU_VV_MF4_MASK, VMSLTU_VV }, // 6695
  { PseudoVMSLTU_VV_MF8, VMSLTU_VV }, // 6696
  { PseudoVMSLTU_VV_MF8_MASK, VMSLTU_VV }, // 6697
  { PseudoVMSLTU_VX_M1, VMSLTU_VX }, // 6698
  { PseudoVMSLTU_VX_M1_MASK, VMSLTU_VX }, // 6699
  { PseudoVMSLTU_VX_M2, VMSLTU_VX }, // 6700
  { PseudoVMSLTU_VX_M2_MASK, VMSLTU_VX }, // 6701
  { PseudoVMSLTU_VX_M4, VMSLTU_VX }, // 6702
  { PseudoVMSLTU_VX_M4_MASK, VMSLTU_VX }, // 6703
  { PseudoVMSLTU_VX_M8, VMSLTU_VX }, // 6704
  { PseudoVMSLTU_VX_M8_MASK, VMSLTU_VX }, // 6705
  { PseudoVMSLTU_VX_MF2, VMSLTU_VX }, // 6706
  { PseudoVMSLTU_VX_MF2_MASK, VMSLTU_VX }, // 6707
  { PseudoVMSLTU_VX_MF4, VMSLTU_VX }, // 6708
  { PseudoVMSLTU_VX_MF4_MASK, VMSLTU_VX }, // 6709
  { PseudoVMSLTU_VX_MF8, VMSLTU_VX }, // 6710
  { PseudoVMSLTU_VX_MF8_MASK, VMSLTU_VX }, // 6711
  { PseudoVMSLT_VV_M1, VMSLT_VV }, // 6712
  { PseudoVMSLT_VV_M1_MASK, VMSLT_VV }, // 6713
  { PseudoVMSLT_VV_M2, VMSLT_VV }, // 6714
  { PseudoVMSLT_VV_M2_MASK, VMSLT_VV }, // 6715
  { PseudoVMSLT_VV_M4, VMSLT_VV }, // 6716
  { PseudoVMSLT_VV_M4_MASK, VMSLT_VV }, // 6717
  { PseudoVMSLT_VV_M8, VMSLT_VV }, // 6718
  { PseudoVMSLT_VV_M8_MASK, VMSLT_VV }, // 6719
  { PseudoVMSLT_VV_MF2, VMSLT_VV }, // 6720
  { PseudoVMSLT_VV_MF2_MASK, VMSLT_VV }, // 6721
  { PseudoVMSLT_VV_MF4, VMSLT_VV }, // 6722
  { PseudoVMSLT_VV_MF4_MASK, VMSLT_VV }, // 6723
  { PseudoVMSLT_VV_MF8, VMSLT_VV }, // 6724
  { PseudoVMSLT_VV_MF8_MASK, VMSLT_VV }, // 6725
  { PseudoVMSLT_VX_M1, VMSLT_VX }, // 6726
  { PseudoVMSLT_VX_M1_MASK, VMSLT_VX }, // 6727
  { PseudoVMSLT_VX_M2, VMSLT_VX }, // 6728
  { PseudoVMSLT_VX_M2_MASK, VMSLT_VX }, // 6729
  { PseudoVMSLT_VX_M4, VMSLT_VX }, // 6730
  { PseudoVMSLT_VX_M4_MASK, VMSLT_VX }, // 6731
  { PseudoVMSLT_VX_M8, VMSLT_VX }, // 6732
  { PseudoVMSLT_VX_M8_MASK, VMSLT_VX }, // 6733
  { PseudoVMSLT_VX_MF2, VMSLT_VX }, // 6734
  { PseudoVMSLT_VX_MF2_MASK, VMSLT_VX }, // 6735
  { PseudoVMSLT_VX_MF4, VMSLT_VX }, // 6736
  { PseudoVMSLT_VX_MF4_MASK, VMSLT_VX }, // 6737
  { PseudoVMSLT_VX_MF8, VMSLT_VX }, // 6738
  { PseudoVMSLT_VX_MF8_MASK, VMSLT_VX }, // 6739
  { PseudoVMSNE_VI_M1, VMSNE_VI }, // 6740
  { PseudoVMSNE_VI_M1_MASK, VMSNE_VI }, // 6741
  { PseudoVMSNE_VI_M2, VMSNE_VI }, // 6742
  { PseudoVMSNE_VI_M2_MASK, VMSNE_VI }, // 6743
  { PseudoVMSNE_VI_M4, VMSNE_VI }, // 6744
  { PseudoVMSNE_VI_M4_MASK, VMSNE_VI }, // 6745
  { PseudoVMSNE_VI_M8, VMSNE_VI }, // 6746
  { PseudoVMSNE_VI_M8_MASK, VMSNE_VI }, // 6747
  { PseudoVMSNE_VI_MF2, VMSNE_VI }, // 6748
  { PseudoVMSNE_VI_MF2_MASK, VMSNE_VI }, // 6749
  { PseudoVMSNE_VI_MF4, VMSNE_VI }, // 6750
  { PseudoVMSNE_VI_MF4_MASK, VMSNE_VI }, // 6751
  { PseudoVMSNE_VI_MF8, VMSNE_VI }, // 6752
  { PseudoVMSNE_VI_MF8_MASK, VMSNE_VI }, // 6753
  { PseudoVMSNE_VV_M1, VMSNE_VV }, // 6754
  { PseudoVMSNE_VV_M1_MASK, VMSNE_VV }, // 6755
  { PseudoVMSNE_VV_M2, VMSNE_VV }, // 6756
  { PseudoVMSNE_VV_M2_MASK, VMSNE_VV }, // 6757
  { PseudoVMSNE_VV_M4, VMSNE_VV }, // 6758
  { PseudoVMSNE_VV_M4_MASK, VMSNE_VV }, // 6759
  { PseudoVMSNE_VV_M8, VMSNE_VV }, // 6760
  { PseudoVMSNE_VV_M8_MASK, VMSNE_VV }, // 6761
  { PseudoVMSNE_VV_MF2, VMSNE_VV }, // 6762
  { PseudoVMSNE_VV_MF2_MASK, VMSNE_VV }, // 6763
  { PseudoVMSNE_VV_MF4, VMSNE_VV }, // 6764
  { PseudoVMSNE_VV_MF4_MASK, VMSNE_VV }, // 6765
  { PseudoVMSNE_VV_MF8, VMSNE_VV }, // 6766
  { PseudoVMSNE_VV_MF8_MASK, VMSNE_VV }, // 6767
  { PseudoVMSNE_VX_M1, VMSNE_VX }, // 6768
  { PseudoVMSNE_VX_M1_MASK, VMSNE_VX }, // 6769
  { PseudoVMSNE_VX_M2, VMSNE_VX }, // 6770
  { PseudoVMSNE_VX_M2_MASK, VMSNE_VX }, // 6771
  { PseudoVMSNE_VX_M4, VMSNE_VX }, // 6772
  { PseudoVMSNE_VX_M4_MASK, VMSNE_VX }, // 6773
  { PseudoVMSNE_VX_M8, VMSNE_VX }, // 6774
  { PseudoVMSNE_VX_M8_MASK, VMSNE_VX }, // 6775
  { PseudoVMSNE_VX_MF2, VMSNE_VX }, // 6776
  { PseudoVMSNE_VX_MF2_MASK, VMSNE_VX }, // 6777
  { PseudoVMSNE_VX_MF4, VMSNE_VX }, // 6778
  { PseudoVMSNE_VX_MF4_MASK, VMSNE_VX }, // 6779
  { PseudoVMSNE_VX_MF8, VMSNE_VX }, // 6780
  { PseudoVMSNE_VX_MF8_MASK, VMSNE_VX }, // 6781
  { PseudoVMSOF_M_B1, VMSOF_M }, // 6782
  { PseudoVMSOF_M_B16, VMSOF_M }, // 6783
  { PseudoVMSOF_M_B16_MASK, VMSOF_M }, // 6784
  { PseudoVMSOF_M_B1_MASK, VMSOF_M }, // 6785
  { PseudoVMSOF_M_B2, VMSOF_M }, // 6786
  { PseudoVMSOF_M_B2_MASK, VMSOF_M }, // 6787
  { PseudoVMSOF_M_B32, VMSOF_M }, // 6788
  { PseudoVMSOF_M_B32_MASK, VMSOF_M }, // 6789
  { PseudoVMSOF_M_B4, VMSOF_M }, // 6790
  { PseudoVMSOF_M_B4_MASK, VMSOF_M }, // 6791
  { PseudoVMSOF_M_B64, VMSOF_M }, // 6792
  { PseudoVMSOF_M_B64_MASK, VMSOF_M }, // 6793
  { PseudoVMSOF_M_B8, VMSOF_M }, // 6794
  { PseudoVMSOF_M_B8_MASK, VMSOF_M }, // 6795
  { PseudoVMULHSU_VV_M1, VMULHSU_VV }, // 6796
  { PseudoVMULHSU_VV_M1_MASK, VMULHSU_VV }, // 6797
  { PseudoVMULHSU_VV_M2, VMULHSU_VV }, // 6798
  { PseudoVMULHSU_VV_M2_MASK, VMULHSU_VV }, // 6799
  { PseudoVMULHSU_VV_M4, VMULHSU_VV }, // 6800
  { PseudoVMULHSU_VV_M4_MASK, VMULHSU_VV }, // 6801
  { PseudoVMULHSU_VV_M8, VMULHSU_VV }, // 6802
  { PseudoVMULHSU_VV_M8_MASK, VMULHSU_VV }, // 6803
  { PseudoVMULHSU_VV_MF2, VMULHSU_VV }, // 6804
  { PseudoVMULHSU_VV_MF2_MASK, VMULHSU_VV }, // 6805
  { PseudoVMULHSU_VV_MF4, VMULHSU_VV }, // 6806
  { PseudoVMULHSU_VV_MF4_MASK, VMULHSU_VV }, // 6807
  { PseudoVMULHSU_VV_MF8, VMULHSU_VV }, // 6808
  { PseudoVMULHSU_VV_MF8_MASK, VMULHSU_VV }, // 6809
  { PseudoVMULHSU_VX_M1, VMULHSU_VX }, // 6810
  { PseudoVMULHSU_VX_M1_MASK, VMULHSU_VX }, // 6811
  { PseudoVMULHSU_VX_M2, VMULHSU_VX }, // 6812
  { PseudoVMULHSU_VX_M2_MASK, VMULHSU_VX }, // 6813
  { PseudoVMULHSU_VX_M4, VMULHSU_VX }, // 6814
  { PseudoVMULHSU_VX_M4_MASK, VMULHSU_VX }, // 6815
  { PseudoVMULHSU_VX_M8, VMULHSU_VX }, // 6816
  { PseudoVMULHSU_VX_M8_MASK, VMULHSU_VX }, // 6817
  { PseudoVMULHSU_VX_MF2, VMULHSU_VX }, // 6818
  { PseudoVMULHSU_VX_MF2_MASK, VMULHSU_VX }, // 6819
  { PseudoVMULHSU_VX_MF4, VMULHSU_VX }, // 6820
  { PseudoVMULHSU_VX_MF4_MASK, VMULHSU_VX }, // 6821
  { PseudoVMULHSU_VX_MF8, VMULHSU_VX }, // 6822
  { PseudoVMULHSU_VX_MF8_MASK, VMULHSU_VX }, // 6823
  { PseudoVMULHU_VV_M1, VMULHU_VV }, // 6824
  { PseudoVMULHU_VV_M1_MASK, VMULHU_VV }, // 6825
  { PseudoVMULHU_VV_M2, VMULHU_VV }, // 6826
  { PseudoVMULHU_VV_M2_MASK, VMULHU_VV }, // 6827
  { PseudoVMULHU_VV_M4, VMULHU_VV }, // 6828
  { PseudoVMULHU_VV_M4_MASK, VMULHU_VV }, // 6829
  { PseudoVMULHU_VV_M8, VMULHU_VV }, // 6830
  { PseudoVMULHU_VV_M8_MASK, VMULHU_VV }, // 6831
  { PseudoVMULHU_VV_MF2, VMULHU_VV }, // 6832
  { PseudoVMULHU_VV_MF2_MASK, VMULHU_VV }, // 6833
  { PseudoVMULHU_VV_MF4, VMULHU_VV }, // 6834
  { PseudoVMULHU_VV_MF4_MASK, VMULHU_VV }, // 6835
  { PseudoVMULHU_VV_MF8, VMULHU_VV }, // 6836
  { PseudoVMULHU_VV_MF8_MASK, VMULHU_VV }, // 6837
  { PseudoVMULHU_VX_M1, VMULHU_VX }, // 6838
  { PseudoVMULHU_VX_M1_MASK, VMULHU_VX }, // 6839
  { PseudoVMULHU_VX_M2, VMULHU_VX }, // 6840
  { PseudoVMULHU_VX_M2_MASK, VMULHU_VX }, // 6841
  { PseudoVMULHU_VX_M4, VMULHU_VX }, // 6842
  { PseudoVMULHU_VX_M4_MASK, VMULHU_VX }, // 6843
  { PseudoVMULHU_VX_M8, VMULHU_VX }, // 6844
  { PseudoVMULHU_VX_M8_MASK, VMULHU_VX }, // 6845
  { PseudoVMULHU_VX_MF2, VMULHU_VX }, // 6846
  { PseudoVMULHU_VX_MF2_MASK, VMULHU_VX }, // 6847
  { PseudoVMULHU_VX_MF4, VMULHU_VX }, // 6848
  { PseudoVMULHU_VX_MF4_MASK, VMULHU_VX }, // 6849
  { PseudoVMULHU_VX_MF8, VMULHU_VX }, // 6850
  { PseudoVMULHU_VX_MF8_MASK, VMULHU_VX }, // 6851
  { PseudoVMULH_VV_M1, VMULH_VV }, // 6852
  { PseudoVMULH_VV_M1_MASK, VMULH_VV }, // 6853
  { PseudoVMULH_VV_M2, VMULH_VV }, // 6854
  { PseudoVMULH_VV_M2_MASK, VMULH_VV }, // 6855
  { PseudoVMULH_VV_M4, VMULH_VV }, // 6856
  { PseudoVMULH_VV_M4_MASK, VMULH_VV }, // 6857
  { PseudoVMULH_VV_M8, VMULH_VV }, // 6858
  { PseudoVMULH_VV_M8_MASK, VMULH_VV }, // 6859
  { PseudoVMULH_VV_MF2, VMULH_VV }, // 6860
  { PseudoVMULH_VV_MF2_MASK, VMULH_VV }, // 6861
  { PseudoVMULH_VV_MF4, VMULH_VV }, // 6862
  { PseudoVMULH_VV_MF4_MASK, VMULH_VV }, // 6863
  { PseudoVMULH_VV_MF8, VMULH_VV }, // 6864
  { PseudoVMULH_VV_MF8_MASK, VMULH_VV }, // 6865
  { PseudoVMULH_VX_M1, VMULH_VX }, // 6866
  { PseudoVMULH_VX_M1_MASK, VMULH_VX }, // 6867
  { PseudoVMULH_VX_M2, VMULH_VX }, // 6868
  { PseudoVMULH_VX_M2_MASK, VMULH_VX }, // 6869
  { PseudoVMULH_VX_M4, VMULH_VX }, // 6870
  { PseudoVMULH_VX_M4_MASK, VMULH_VX }, // 6871
  { PseudoVMULH_VX_M8, VMULH_VX }, // 6872
  { PseudoVMULH_VX_M8_MASK, VMULH_VX }, // 6873
  { PseudoVMULH_VX_MF2, VMULH_VX }, // 6874
  { PseudoVMULH_VX_MF2_MASK, VMULH_VX }, // 6875
  { PseudoVMULH_VX_MF4, VMULH_VX }, // 6876
  { PseudoVMULH_VX_MF4_MASK, VMULH_VX }, // 6877
  { PseudoVMULH_VX_MF8, VMULH_VX }, // 6878
  { PseudoVMULH_VX_MF8_MASK, VMULH_VX }, // 6879
  { PseudoVMUL_VV_M1, VMUL_VV }, // 6880
  { PseudoVMUL_VV_M1_MASK, VMUL_VV }, // 6881
  { PseudoVMUL_VV_M2, VMUL_VV }, // 6882
  { PseudoVMUL_VV_M2_MASK, VMUL_VV }, // 6883
  { PseudoVMUL_VV_M4, VMUL_VV }, // 6884
  { PseudoVMUL_VV_M4_MASK, VMUL_VV }, // 6885
  { PseudoVMUL_VV_M8, VMUL_VV }, // 6886
  { PseudoVMUL_VV_M8_MASK, VMUL_VV }, // 6887
  { PseudoVMUL_VV_MF2, VMUL_VV }, // 6888
  { PseudoVMUL_VV_MF2_MASK, VMUL_VV }, // 6889
  { PseudoVMUL_VV_MF4, VMUL_VV }, // 6890
  { PseudoVMUL_VV_MF4_MASK, VMUL_VV }, // 6891
  { PseudoVMUL_VV_MF8, VMUL_VV }, // 6892
  { PseudoVMUL_VV_MF8_MASK, VMUL_VV }, // 6893
  { PseudoVMUL_VX_M1, VMUL_VX }, // 6894
  { PseudoVMUL_VX_M1_MASK, VMUL_VX }, // 6895
  { PseudoVMUL_VX_M2, VMUL_VX }, // 6896
  { PseudoVMUL_VX_M2_MASK, VMUL_VX }, // 6897
  { PseudoVMUL_VX_M4, VMUL_VX }, // 6898
  { PseudoVMUL_VX_M4_MASK, VMUL_VX }, // 6899
  { PseudoVMUL_VX_M8, VMUL_VX }, // 6900
  { PseudoVMUL_VX_M8_MASK, VMUL_VX }, // 6901
  { PseudoVMUL_VX_MF2, VMUL_VX }, // 6902
  { PseudoVMUL_VX_MF2_MASK, VMUL_VX }, // 6903
  { PseudoVMUL_VX_MF4, VMUL_VX }, // 6904
  { PseudoVMUL_VX_MF4_MASK, VMUL_VX }, // 6905
  { PseudoVMUL_VX_MF8, VMUL_VX }, // 6906
  { PseudoVMUL_VX_MF8_MASK, VMUL_VX }, // 6907
  { PseudoVMV_S_X, VMV_S_X }, // 6908
  { PseudoVMV_V_I_M1, VMV_V_I }, // 6909
  { PseudoVMV_V_I_M2, VMV_V_I }, // 6910
  { PseudoVMV_V_I_M4, VMV_V_I }, // 6911
  { PseudoVMV_V_I_M8, VMV_V_I }, // 6912
  { PseudoVMV_V_I_MF2, VMV_V_I }, // 6913
  { PseudoVMV_V_I_MF4, VMV_V_I }, // 6914
  { PseudoVMV_V_I_MF8, VMV_V_I }, // 6915
  { PseudoVMV_V_V_M1, VMV_V_V }, // 6916
  { PseudoVMV_V_V_M2, VMV_V_V }, // 6917
  { PseudoVMV_V_V_M4, VMV_V_V }, // 6918
  { PseudoVMV_V_V_M8, VMV_V_V }, // 6919
  { PseudoVMV_V_V_MF2, VMV_V_V }, // 6920
  { PseudoVMV_V_V_MF4, VMV_V_V }, // 6921
  { PseudoVMV_V_V_MF8, VMV_V_V }, // 6922
  { PseudoVMV_V_X_M1, VMV_V_X }, // 6923
  { PseudoVMV_V_X_M2, VMV_V_X }, // 6924
  { PseudoVMV_V_X_M4, VMV_V_X }, // 6925
  { PseudoVMV_V_X_M8, VMV_V_X }, // 6926
  { PseudoVMV_V_X_MF2, VMV_V_X }, // 6927
  { PseudoVMV_V_X_MF4, VMV_V_X }, // 6928
  { PseudoVMV_V_X_MF8, VMV_V_X }, // 6929
  { PseudoVMV_X_S, VMV_X_S }, // 6930
  { PseudoVMXNOR_MM_M1, VMXNOR_MM }, // 6931
  { PseudoVMXNOR_MM_M2, VMXNOR_MM }, // 6932
  { PseudoVMXNOR_MM_M4, VMXNOR_MM }, // 6933
  { PseudoVMXNOR_MM_M8, VMXNOR_MM }, // 6934
  { PseudoVMXNOR_MM_MF2, VMXNOR_MM }, // 6935
  { PseudoVMXNOR_MM_MF4, VMXNOR_MM }, // 6936
  { PseudoVMXNOR_MM_MF8, VMXNOR_MM }, // 6937
  { PseudoVMXOR_MM_M1, VMXOR_MM }, // 6938
  { PseudoVMXOR_MM_M2, VMXOR_MM }, // 6939
  { PseudoVMXOR_MM_M4, VMXOR_MM }, // 6940
  { PseudoVMXOR_MM_M8, VMXOR_MM }, // 6941
  { PseudoVMXOR_MM_MF2, VMXOR_MM }, // 6942
  { PseudoVMXOR_MM_MF4, VMXOR_MM }, // 6943
  { PseudoVMXOR_MM_MF8, VMXOR_MM }, // 6944
  { PseudoVNCLIPU_WI_M1, VNCLIPU_WI }, // 6945
  { PseudoVNCLIPU_WI_M1_MASK, VNCLIPU_WI }, // 6946
  { PseudoVNCLIPU_WI_M2, VNCLIPU_WI }, // 6947
  { PseudoVNCLIPU_WI_M2_MASK, VNCLIPU_WI }, // 6948
  { PseudoVNCLIPU_WI_M4, VNCLIPU_WI }, // 6949
  { PseudoVNCLIPU_WI_M4_MASK, VNCLIPU_WI }, // 6950
  { PseudoVNCLIPU_WI_MF2, VNCLIPU_WI }, // 6951
  { PseudoVNCLIPU_WI_MF2_MASK, VNCLIPU_WI }, // 6952
  { PseudoVNCLIPU_WI_MF4, VNCLIPU_WI }, // 6953
  { PseudoVNCLIPU_WI_MF4_MASK, VNCLIPU_WI }, // 6954
  { PseudoVNCLIPU_WI_MF8, VNCLIPU_WI }, // 6955
  { PseudoVNCLIPU_WI_MF8_MASK, VNCLIPU_WI }, // 6956
  { PseudoVNCLIPU_WV_M1, VNCLIPU_WV }, // 6957
  { PseudoVNCLIPU_WV_M1_MASK, VNCLIPU_WV }, // 6958
  { PseudoVNCLIPU_WV_M2, VNCLIPU_WV }, // 6959
  { PseudoVNCLIPU_WV_M2_MASK, VNCLIPU_WV }, // 6960
  { PseudoVNCLIPU_WV_M4, VNCLIPU_WV }, // 6961
  { PseudoVNCLIPU_WV_M4_MASK, VNCLIPU_WV }, // 6962
  { PseudoVNCLIPU_WV_MF2, VNCLIPU_WV }, // 6963
  { PseudoVNCLIPU_WV_MF2_MASK, VNCLIPU_WV }, // 6964
  { PseudoVNCLIPU_WV_MF4, VNCLIPU_WV }, // 6965
  { PseudoVNCLIPU_WV_MF4_MASK, VNCLIPU_WV }, // 6966
  { PseudoVNCLIPU_WV_MF8, VNCLIPU_WV }, // 6967
  { PseudoVNCLIPU_WV_MF8_MASK, VNCLIPU_WV }, // 6968
  { PseudoVNCLIPU_WX_M1, VNCLIPU_WX }, // 6969
  { PseudoVNCLIPU_WX_M1_MASK, VNCLIPU_WX }, // 6970
  { PseudoVNCLIPU_WX_M2, VNCLIPU_WX }, // 6971
  { PseudoVNCLIPU_WX_M2_MASK, VNCLIPU_WX }, // 6972
  { PseudoVNCLIPU_WX_M4, VNCLIPU_WX }, // 6973
  { PseudoVNCLIPU_WX_M4_MASK, VNCLIPU_WX }, // 6974
  { PseudoVNCLIPU_WX_MF2, VNCLIPU_WX }, // 6975
  { PseudoVNCLIPU_WX_MF2_MASK, VNCLIPU_WX }, // 6976
  { PseudoVNCLIPU_WX_MF4, VNCLIPU_WX }, // 6977
  { PseudoVNCLIPU_WX_MF4_MASK, VNCLIPU_WX }, // 6978
  { PseudoVNCLIPU_WX_MF8, VNCLIPU_WX }, // 6979
  { PseudoVNCLIPU_WX_MF8_MASK, VNCLIPU_WX }, // 6980
  { PseudoVNCLIP_WI_M1, VNCLIP_WI }, // 6981
  { PseudoVNCLIP_WI_M1_MASK, VNCLIP_WI }, // 6982
  { PseudoVNCLIP_WI_M2, VNCLIP_WI }, // 6983
  { PseudoVNCLIP_WI_M2_MASK, VNCLIP_WI }, // 6984
  { PseudoVNCLIP_WI_M4, VNCLIP_WI }, // 6985
  { PseudoVNCLIP_WI_M4_MASK, VNCLIP_WI }, // 6986
  { PseudoVNCLIP_WI_MF2, VNCLIP_WI }, // 6987
  { PseudoVNCLIP_WI_MF2_MASK, VNCLIP_WI }, // 6988
  { PseudoVNCLIP_WI_MF4, VNCLIP_WI }, // 6989
  { PseudoVNCLIP_WI_MF4_MASK, VNCLIP_WI }, // 6990
  { PseudoVNCLIP_WI_MF8, VNCLIP_WI }, // 6991
  { PseudoVNCLIP_WI_MF8_MASK, VNCLIP_WI }, // 6992
  { PseudoVNCLIP_WV_M1, VNCLIP_WV }, // 6993
  { PseudoVNCLIP_WV_M1_MASK, VNCLIP_WV }, // 6994
  { PseudoVNCLIP_WV_M2, VNCLIP_WV }, // 6995
  { PseudoVNCLIP_WV_M2_MASK, VNCLIP_WV }, // 6996
  { PseudoVNCLIP_WV_M4, VNCLIP_WV }, // 6997
  { PseudoVNCLIP_WV_M4_MASK, VNCLIP_WV }, // 6998
  { PseudoVNCLIP_WV_MF2, VNCLIP_WV }, // 6999
  { PseudoVNCLIP_WV_MF2_MASK, VNCLIP_WV }, // 7000
  { PseudoVNCLIP_WV_MF4, VNCLIP_WV }, // 7001
  { PseudoVNCLIP_WV_MF4_MASK, VNCLIP_WV }, // 7002
  { PseudoVNCLIP_WV_MF8, VNCLIP_WV }, // 7003
  { PseudoVNCLIP_WV_MF8_MASK, VNCLIP_WV }, // 7004
  { PseudoVNCLIP_WX_M1, VNCLIP_WX }, // 7005
  { PseudoVNCLIP_WX_M1_MASK, VNCLIP_WX }, // 7006
  { PseudoVNCLIP_WX_M2, VNCLIP_WX }, // 7007
  { PseudoVNCLIP_WX_M2_MASK, VNCLIP_WX }, // 7008
  { PseudoVNCLIP_WX_M4, VNCLIP_WX }, // 7009
  { PseudoVNCLIP_WX_M4_MASK, VNCLIP_WX }, // 7010
  { PseudoVNCLIP_WX_MF2, VNCLIP_WX }, // 7011
  { PseudoVNCLIP_WX_MF2_MASK, VNCLIP_WX }, // 7012
  { PseudoVNCLIP_WX_MF4, VNCLIP_WX }, // 7013
  { PseudoVNCLIP_WX_MF4_MASK, VNCLIP_WX }, // 7014
  { PseudoVNCLIP_WX_MF8, VNCLIP_WX }, // 7015
  { PseudoVNCLIP_WX_MF8_MASK, VNCLIP_WX }, // 7016
  { PseudoVNMSAC_VV_M1, VNMSAC_VV }, // 7017
  { PseudoVNMSAC_VV_M1_MASK, VNMSAC_VV }, // 7018
  { PseudoVNMSAC_VV_M2, VNMSAC_VV }, // 7019
  { PseudoVNMSAC_VV_M2_MASK, VNMSAC_VV }, // 7020
  { PseudoVNMSAC_VV_M4, VNMSAC_VV }, // 7021
  { PseudoVNMSAC_VV_M4_MASK, VNMSAC_VV }, // 7022
  { PseudoVNMSAC_VV_M8, VNMSAC_VV }, // 7023
  { PseudoVNMSAC_VV_M8_MASK, VNMSAC_VV }, // 7024
  { PseudoVNMSAC_VV_MF2, VNMSAC_VV }, // 7025
  { PseudoVNMSAC_VV_MF2_MASK, VNMSAC_VV }, // 7026
  { PseudoVNMSAC_VV_MF4, VNMSAC_VV }, // 7027
  { PseudoVNMSAC_VV_MF4_MASK, VNMSAC_VV }, // 7028
  { PseudoVNMSAC_VV_MF8, VNMSAC_VV }, // 7029
  { PseudoVNMSAC_VV_MF8_MASK, VNMSAC_VV }, // 7030
  { PseudoVNMSAC_VX_M1, VNMSAC_VX }, // 7031
  { PseudoVNMSAC_VX_M1_MASK, VNMSAC_VX }, // 7032
  { PseudoVNMSAC_VX_M2, VNMSAC_VX }, // 7033
  { PseudoVNMSAC_VX_M2_MASK, VNMSAC_VX }, // 7034
  { PseudoVNMSAC_VX_M4, VNMSAC_VX }, // 7035
  { PseudoVNMSAC_VX_M4_MASK, VNMSAC_VX }, // 7036
  { PseudoVNMSAC_VX_M8, VNMSAC_VX }, // 7037
  { PseudoVNMSAC_VX_M8_MASK, VNMSAC_VX }, // 7038
  { PseudoVNMSAC_VX_MF2, VNMSAC_VX }, // 7039
  { PseudoVNMSAC_VX_MF2_MASK, VNMSAC_VX }, // 7040
  { PseudoVNMSAC_VX_MF4, VNMSAC_VX }, // 7041
  { PseudoVNMSAC_VX_MF4_MASK, VNMSAC_VX }, // 7042
  { PseudoVNMSAC_VX_MF8, VNMSAC_VX }, // 7043
  { PseudoVNMSAC_VX_MF8_MASK, VNMSAC_VX }, // 7044
  { PseudoVNMSUB_VV_M1, VNMSUB_VV }, // 7045
  { PseudoVNMSUB_VV_M1_MASK, VNMSUB_VV }, // 7046
  { PseudoVNMSUB_VV_M2, VNMSUB_VV }, // 7047
  { PseudoVNMSUB_VV_M2_MASK, VNMSUB_VV }, // 7048
  { PseudoVNMSUB_VV_M4, VNMSUB_VV }, // 7049
  { PseudoVNMSUB_VV_M4_MASK, VNMSUB_VV }, // 7050
  { PseudoVNMSUB_VV_M8, VNMSUB_VV }, // 7051
  { PseudoVNMSUB_VV_M8_MASK, VNMSUB_VV }, // 7052
  { PseudoVNMSUB_VV_MF2, VNMSUB_VV }, // 7053
  { PseudoVNMSUB_VV_MF2_MASK, VNMSUB_VV }, // 7054
  { PseudoVNMSUB_VV_MF4, VNMSUB_VV }, // 7055
  { PseudoVNMSUB_VV_MF4_MASK, VNMSUB_VV }, // 7056
  { PseudoVNMSUB_VV_MF8, VNMSUB_VV }, // 7057
  { PseudoVNMSUB_VV_MF8_MASK, VNMSUB_VV }, // 7058
  { PseudoVNMSUB_VX_M1, VNMSUB_VX }, // 7059
  { PseudoVNMSUB_VX_M1_MASK, VNMSUB_VX }, // 7060
  { PseudoVNMSUB_VX_M2, VNMSUB_VX }, // 7061
  { PseudoVNMSUB_VX_M2_MASK, VNMSUB_VX }, // 7062
  { PseudoVNMSUB_VX_M4, VNMSUB_VX }, // 7063
  { PseudoVNMSUB_VX_M4_MASK, VNMSUB_VX }, // 7064
  { PseudoVNMSUB_VX_M8, VNMSUB_VX }, // 7065
  { PseudoVNMSUB_VX_M8_MASK, VNMSUB_VX }, // 7066
  { PseudoVNMSUB_VX_MF2, VNMSUB_VX }, // 7067
  { PseudoVNMSUB_VX_MF2_MASK, VNMSUB_VX }, // 7068
  { PseudoVNMSUB_VX_MF4, VNMSUB_VX }, // 7069
  { PseudoVNMSUB_VX_MF4_MASK, VNMSUB_VX }, // 7070
  { PseudoVNMSUB_VX_MF8, VNMSUB_VX }, // 7071
  { PseudoVNMSUB_VX_MF8_MASK, VNMSUB_VX }, // 7072
  { PseudoVNSRA_WI_M1, VNSRA_WI }, // 7073
  { PseudoVNSRA_WI_M1_MASK, VNSRA_WI }, // 7074
  { PseudoVNSRA_WI_M2, VNSRA_WI }, // 7075
  { PseudoVNSRA_WI_M2_MASK, VNSRA_WI }, // 7076
  { PseudoVNSRA_WI_M4, VNSRA_WI }, // 7077
  { PseudoVNSRA_WI_M4_MASK, VNSRA_WI }, // 7078
  { PseudoVNSRA_WI_MF2, VNSRA_WI }, // 7079
  { PseudoVNSRA_WI_MF2_MASK, VNSRA_WI }, // 7080
  { PseudoVNSRA_WI_MF4, VNSRA_WI }, // 7081
  { PseudoVNSRA_WI_MF4_MASK, VNSRA_WI }, // 7082
  { PseudoVNSRA_WI_MF8, VNSRA_WI }, // 7083
  { PseudoVNSRA_WI_MF8_MASK, VNSRA_WI }, // 7084
  { PseudoVNSRA_WV_M1, VNSRA_WV }, // 7085
  { PseudoVNSRA_WV_M1_MASK, VNSRA_WV }, // 7086
  { PseudoVNSRA_WV_M2, VNSRA_WV }, // 7087
  { PseudoVNSRA_WV_M2_MASK, VNSRA_WV }, // 7088
  { PseudoVNSRA_WV_M4, VNSRA_WV }, // 7089
  { PseudoVNSRA_WV_M4_MASK, VNSRA_WV }, // 7090
  { PseudoVNSRA_WV_MF2, VNSRA_WV }, // 7091
  { PseudoVNSRA_WV_MF2_MASK, VNSRA_WV }, // 7092
  { PseudoVNSRA_WV_MF4, VNSRA_WV }, // 7093
  { PseudoVNSRA_WV_MF4_MASK, VNSRA_WV }, // 7094
  { PseudoVNSRA_WV_MF8, VNSRA_WV }, // 7095
  { PseudoVNSRA_WV_MF8_MASK, VNSRA_WV }, // 7096
  { PseudoVNSRA_WX_M1, VNSRA_WX }, // 7097
  { PseudoVNSRA_WX_M1_MASK, VNSRA_WX }, // 7098
  { PseudoVNSRA_WX_M2, VNSRA_WX }, // 7099
  { PseudoVNSRA_WX_M2_MASK, VNSRA_WX }, // 7100
  { PseudoVNSRA_WX_M4, VNSRA_WX }, // 7101
  { PseudoVNSRA_WX_M4_MASK, VNSRA_WX }, // 7102
  { PseudoVNSRA_WX_MF2, VNSRA_WX }, // 7103
  { PseudoVNSRA_WX_MF2_MASK, VNSRA_WX }, // 7104
  { PseudoVNSRA_WX_MF4, VNSRA_WX }, // 7105
  { PseudoVNSRA_WX_MF4_MASK, VNSRA_WX }, // 7106
  { PseudoVNSRA_WX_MF8, VNSRA_WX }, // 7107
  { PseudoVNSRA_WX_MF8_MASK, VNSRA_WX }, // 7108
  { PseudoVNSRL_WI_M1, VNSRL_WI }, // 7109
  { PseudoVNSRL_WI_M1_MASK, VNSRL_WI }, // 7110
  { PseudoVNSRL_WI_M2, VNSRL_WI }, // 7111
  { PseudoVNSRL_WI_M2_MASK, VNSRL_WI }, // 7112
  { PseudoVNSRL_WI_M4, VNSRL_WI }, // 7113
  { PseudoVNSRL_WI_M4_MASK, VNSRL_WI }, // 7114
  { PseudoVNSRL_WI_MF2, VNSRL_WI }, // 7115
  { PseudoVNSRL_WI_MF2_MASK, VNSRL_WI }, // 7116
  { PseudoVNSRL_WI_MF4, VNSRL_WI }, // 7117
  { PseudoVNSRL_WI_MF4_MASK, VNSRL_WI }, // 7118
  { PseudoVNSRL_WI_MF8, VNSRL_WI }, // 7119
  { PseudoVNSRL_WI_MF8_MASK, VNSRL_WI }, // 7120
  { PseudoVNSRL_WV_M1, VNSRL_WV }, // 7121
  { PseudoVNSRL_WV_M1_MASK, VNSRL_WV }, // 7122
  { PseudoVNSRL_WV_M2, VNSRL_WV }, // 7123
  { PseudoVNSRL_WV_M2_MASK, VNSRL_WV }, // 7124
  { PseudoVNSRL_WV_M4, VNSRL_WV }, // 7125
  { PseudoVNSRL_WV_M4_MASK, VNSRL_WV }, // 7126
  { PseudoVNSRL_WV_MF2, VNSRL_WV }, // 7127
  { PseudoVNSRL_WV_MF2_MASK, VNSRL_WV }, // 7128
  { PseudoVNSRL_WV_MF4, VNSRL_WV }, // 7129
  { PseudoVNSRL_WV_MF4_MASK, VNSRL_WV }, // 7130
  { PseudoVNSRL_WV_MF8, VNSRL_WV }, // 7131
  { PseudoVNSRL_WV_MF8_MASK, VNSRL_WV }, // 7132
  { PseudoVNSRL_WX_M1, VNSRL_WX }, // 7133
  { PseudoVNSRL_WX_M1_MASK, VNSRL_WX }, // 7134
  { PseudoVNSRL_WX_M2, VNSRL_WX }, // 7135
  { PseudoVNSRL_WX_M2_MASK, VNSRL_WX }, // 7136
  { PseudoVNSRL_WX_M4, VNSRL_WX }, // 7137
  { PseudoVNSRL_WX_M4_MASK, VNSRL_WX }, // 7138
  { PseudoVNSRL_WX_MF2, VNSRL_WX }, // 7139
  { PseudoVNSRL_WX_MF2_MASK, VNSRL_WX }, // 7140
  { PseudoVNSRL_WX_MF4, VNSRL_WX }, // 7141
  { PseudoVNSRL_WX_MF4_MASK, VNSRL_WX }, // 7142
  { PseudoVNSRL_WX_MF8, VNSRL_WX }, // 7143
  { PseudoVNSRL_WX_MF8_MASK, VNSRL_WX }, // 7144
  { PseudoVOR_VI_M1, VOR_VI }, // 7145
  { PseudoVOR_VI_M1_MASK, VOR_VI }, // 7146
  { PseudoVOR_VI_M2, VOR_VI }, // 7147
  { PseudoVOR_VI_M2_MASK, VOR_VI }, // 7148
  { PseudoVOR_VI_M4, VOR_VI }, // 7149
  { PseudoVOR_VI_M4_MASK, VOR_VI }, // 7150
  { PseudoVOR_VI_M8, VOR_VI }, // 7151
  { PseudoVOR_VI_M8_MASK, VOR_VI }, // 7152
  { PseudoVOR_VI_MF2, VOR_VI }, // 7153
  { PseudoVOR_VI_MF2_MASK, VOR_VI }, // 7154
  { PseudoVOR_VI_MF4, VOR_VI }, // 7155
  { PseudoVOR_VI_MF4_MASK, VOR_VI }, // 7156
  { PseudoVOR_VI_MF8, VOR_VI }, // 7157
  { PseudoVOR_VI_MF8_MASK, VOR_VI }, // 7158
  { PseudoVOR_VV_M1, VOR_VV }, // 7159
  { PseudoVOR_VV_M1_MASK, VOR_VV }, // 7160
  { PseudoVOR_VV_M2, VOR_VV }, // 7161
  { PseudoVOR_VV_M2_MASK, VOR_VV }, // 7162
  { PseudoVOR_VV_M4, VOR_VV }, // 7163
  { PseudoVOR_VV_M4_MASK, VOR_VV }, // 7164
  { PseudoVOR_VV_M8, VOR_VV }, // 7165
  { PseudoVOR_VV_M8_MASK, VOR_VV }, // 7166
  { PseudoVOR_VV_MF2, VOR_VV }, // 7167
  { PseudoVOR_VV_MF2_MASK, VOR_VV }, // 7168
  { PseudoVOR_VV_MF4, VOR_VV }, // 7169
  { PseudoVOR_VV_MF4_MASK, VOR_VV }, // 7170
  { PseudoVOR_VV_MF8, VOR_VV }, // 7171
  { PseudoVOR_VV_MF8_MASK, VOR_VV }, // 7172
  { PseudoVOR_VX_M1, VOR_VX }, // 7173
  { PseudoVOR_VX_M1_MASK, VOR_VX }, // 7174
  { PseudoVOR_VX_M2, VOR_VX }, // 7175
  { PseudoVOR_VX_M2_MASK, VOR_VX }, // 7176
  { PseudoVOR_VX_M4, VOR_VX }, // 7177
  { PseudoVOR_VX_M4_MASK, VOR_VX }, // 7178
  { PseudoVOR_VX_M8, VOR_VX }, // 7179
  { PseudoVOR_VX_M8_MASK, VOR_VX }, // 7180
  { PseudoVOR_VX_MF2, VOR_VX }, // 7181
  { PseudoVOR_VX_MF2_MASK, VOR_VX }, // 7182
  { PseudoVOR_VX_MF4, VOR_VX }, // 7183
  { PseudoVOR_VX_MF4_MASK, VOR_VX }, // 7184
  { PseudoVOR_VX_MF8, VOR_VX }, // 7185
  { PseudoVOR_VX_MF8_MASK, VOR_VX }, // 7186
  { PseudoVQMACCSU_2x8x2_M1, VQMACCSU_2x8x2 }, // 7187
  { PseudoVQMACCSU_2x8x2_M2, VQMACCSU_2x8x2 }, // 7188
  { PseudoVQMACCSU_2x8x2_M4, VQMACCSU_2x8x2 }, // 7189
  { PseudoVQMACCSU_2x8x2_M8, VQMACCSU_2x8x2 }, // 7190
  { PseudoVQMACCSU_4x8x4_M1, VQMACCSU_4x8x4 }, // 7191
  { PseudoVQMACCSU_4x8x4_M2, VQMACCSU_4x8x4 }, // 7192
  { PseudoVQMACCSU_4x8x4_M4, VQMACCSU_4x8x4 }, // 7193
  { PseudoVQMACCSU_4x8x4_MF2, VQMACCSU_4x8x4 }, // 7194
  { PseudoVQMACCUS_2x8x2_M1, VQMACCUS_2x8x2 }, // 7195
  { PseudoVQMACCUS_2x8x2_M2, VQMACCUS_2x8x2 }, // 7196
  { PseudoVQMACCUS_2x8x2_M4, VQMACCUS_2x8x2 }, // 7197
  { PseudoVQMACCUS_2x8x2_M8, VQMACCUS_2x8x2 }, // 7198
  { PseudoVQMACCUS_4x8x4_M1, VQMACCUS_4x8x4 }, // 7199
  { PseudoVQMACCUS_4x8x4_M2, VQMACCUS_4x8x4 }, // 7200
  { PseudoVQMACCUS_4x8x4_M4, VQMACCUS_4x8x4 }, // 7201
  { PseudoVQMACCUS_4x8x4_MF2, VQMACCUS_4x8x4 }, // 7202
  { PseudoVQMACCU_2x8x2_M1, VQMACCU_2x8x2 }, // 7203
  { PseudoVQMACCU_2x8x2_M2, VQMACCU_2x8x2 }, // 7204
  { PseudoVQMACCU_2x8x2_M4, VQMACCU_2x8x2 }, // 7205
  { PseudoVQMACCU_2x8x2_M8, VQMACCU_2x8x2 }, // 7206
  { PseudoVQMACCU_4x8x4_M1, VQMACCU_4x8x4 }, // 7207
  { PseudoVQMACCU_4x8x4_M2, VQMACCU_4x8x4 }, // 7208
  { PseudoVQMACCU_4x8x4_M4, VQMACCU_4x8x4 }, // 7209
  { PseudoVQMACCU_4x8x4_MF2, VQMACCU_4x8x4 }, // 7210
  { PseudoVQMACC_2x8x2_M1, VQMACC_2x8x2 }, // 7211
  { PseudoVQMACC_2x8x2_M2, VQMACC_2x8x2 }, // 7212
  { PseudoVQMACC_2x8x2_M4, VQMACC_2x8x2 }, // 7213
  { PseudoVQMACC_2x8x2_M8, VQMACC_2x8x2 }, // 7214
  { PseudoVQMACC_4x8x4_M1, VQMACC_4x8x4 }, // 7215
  { PseudoVQMACC_4x8x4_M2, VQMACC_4x8x4 }, // 7216
  { PseudoVQMACC_4x8x4_M4, VQMACC_4x8x4 }, // 7217
  { PseudoVQMACC_4x8x4_MF2, VQMACC_4x8x4 }, // 7218
  { PseudoVREDAND_VS_M1_E16, VREDAND_VS }, // 7219
  { PseudoVREDAND_VS_M1_E16_MASK, VREDAND_VS }, // 7220
  { PseudoVREDAND_VS_M1_E32, VREDAND_VS }, // 7221
  { PseudoVREDAND_VS_M1_E32_MASK, VREDAND_VS }, // 7222
  { PseudoVREDAND_VS_M1_E64, VREDAND_VS }, // 7223
  { PseudoVREDAND_VS_M1_E64_MASK, VREDAND_VS }, // 7224
  { PseudoVREDAND_VS_M1_E8, VREDAND_VS }, // 7225
  { PseudoVREDAND_VS_M1_E8_MASK, VREDAND_VS }, // 7226
  { PseudoVREDAND_VS_M2_E16, VREDAND_VS }, // 7227
  { PseudoVREDAND_VS_M2_E16_MASK, VREDAND_VS }, // 7228
  { PseudoVREDAND_VS_M2_E32, VREDAND_VS }, // 7229
  { PseudoVREDAND_VS_M2_E32_MASK, VREDAND_VS }, // 7230
  { PseudoVREDAND_VS_M2_E64, VREDAND_VS }, // 7231
  { PseudoVREDAND_VS_M2_E64_MASK, VREDAND_VS }, // 7232
  { PseudoVREDAND_VS_M2_E8, VREDAND_VS }, // 7233
  { PseudoVREDAND_VS_M2_E8_MASK, VREDAND_VS }, // 7234
  { PseudoVREDAND_VS_M4_E16, VREDAND_VS }, // 7235
  { PseudoVREDAND_VS_M4_E16_MASK, VREDAND_VS }, // 7236
  { PseudoVREDAND_VS_M4_E32, VREDAND_VS }, // 7237
  { PseudoVREDAND_VS_M4_E32_MASK, VREDAND_VS }, // 7238
  { PseudoVREDAND_VS_M4_E64, VREDAND_VS }, // 7239
  { PseudoVREDAND_VS_M4_E64_MASK, VREDAND_VS }, // 7240
  { PseudoVREDAND_VS_M4_E8, VREDAND_VS }, // 7241
  { PseudoVREDAND_VS_M4_E8_MASK, VREDAND_VS }, // 7242
  { PseudoVREDAND_VS_M8_E16, VREDAND_VS }, // 7243
  { PseudoVREDAND_VS_M8_E16_MASK, VREDAND_VS }, // 7244
  { PseudoVREDAND_VS_M8_E32, VREDAND_VS }, // 7245
  { PseudoVREDAND_VS_M8_E32_MASK, VREDAND_VS }, // 7246
  { PseudoVREDAND_VS_M8_E64, VREDAND_VS }, // 7247
  { PseudoVREDAND_VS_M8_E64_MASK, VREDAND_VS }, // 7248
  { PseudoVREDAND_VS_M8_E8, VREDAND_VS }, // 7249
  { PseudoVREDAND_VS_M8_E8_MASK, VREDAND_VS }, // 7250
  { PseudoVREDAND_VS_MF2_E16, VREDAND_VS }, // 7251
  { PseudoVREDAND_VS_MF2_E16_MASK, VREDAND_VS }, // 7252
  { PseudoVREDAND_VS_MF2_E32, VREDAND_VS }, // 7253
  { PseudoVREDAND_VS_MF2_E32_MASK, VREDAND_VS }, // 7254
  { PseudoVREDAND_VS_MF2_E8, VREDAND_VS }, // 7255
  { PseudoVREDAND_VS_MF2_E8_MASK, VREDAND_VS }, // 7256
  { PseudoVREDAND_VS_MF4_E16, VREDAND_VS }, // 7257
  { PseudoVREDAND_VS_MF4_E16_MASK, VREDAND_VS }, // 7258
  { PseudoVREDAND_VS_MF4_E8, VREDAND_VS }, // 7259
  { PseudoVREDAND_VS_MF4_E8_MASK, VREDAND_VS }, // 7260
  { PseudoVREDAND_VS_MF8_E8, VREDAND_VS }, // 7261
  { PseudoVREDAND_VS_MF8_E8_MASK, VREDAND_VS }, // 7262
  { PseudoVREDMAXU_VS_M1_E16, VREDMAXU_VS }, // 7263
  { PseudoVREDMAXU_VS_M1_E16_MASK, VREDMAXU_VS }, // 7264
  { PseudoVREDMAXU_VS_M1_E32, VREDMAXU_VS }, // 7265
  { PseudoVREDMAXU_VS_M1_E32_MASK, VREDMAXU_VS }, // 7266
  { PseudoVREDMAXU_VS_M1_E64, VREDMAXU_VS }, // 7267
  { PseudoVREDMAXU_VS_M1_E64_MASK, VREDMAXU_VS }, // 7268
  { PseudoVREDMAXU_VS_M1_E8, VREDMAXU_VS }, // 7269
  { PseudoVREDMAXU_VS_M1_E8_MASK, VREDMAXU_VS }, // 7270
  { PseudoVREDMAXU_VS_M2_E16, VREDMAXU_VS }, // 7271
  { PseudoVREDMAXU_VS_M2_E16_MASK, VREDMAXU_VS }, // 7272
  { PseudoVREDMAXU_VS_M2_E32, VREDMAXU_VS }, // 7273
  { PseudoVREDMAXU_VS_M2_E32_MASK, VREDMAXU_VS }, // 7274
  { PseudoVREDMAXU_VS_M2_E64, VREDMAXU_VS }, // 7275
  { PseudoVREDMAXU_VS_M2_E64_MASK, VREDMAXU_VS }, // 7276
  { PseudoVREDMAXU_VS_M2_E8, VREDMAXU_VS }, // 7277
  { PseudoVREDMAXU_VS_M2_E8_MASK, VREDMAXU_VS }, // 7278
  { PseudoVREDMAXU_VS_M4_E16, VREDMAXU_VS }, // 7279
  { PseudoVREDMAXU_VS_M4_E16_MASK, VREDMAXU_VS }, // 7280
  { PseudoVREDMAXU_VS_M4_E32, VREDMAXU_VS }, // 7281
  { PseudoVREDMAXU_VS_M4_E32_MASK, VREDMAXU_VS }, // 7282
  { PseudoVREDMAXU_VS_M4_E64, VREDMAXU_VS }, // 7283
  { PseudoVREDMAXU_VS_M4_E64_MASK, VREDMAXU_VS }, // 7284
  { PseudoVREDMAXU_VS_M4_E8, VREDMAXU_VS }, // 7285
  { PseudoVREDMAXU_VS_M4_E8_MASK, VREDMAXU_VS }, // 7286
  { PseudoVREDMAXU_VS_M8_E16, VREDMAXU_VS }, // 7287
  { PseudoVREDMAXU_VS_M8_E16_MASK, VREDMAXU_VS }, // 7288
  { PseudoVREDMAXU_VS_M8_E32, VREDMAXU_VS }, // 7289
  { PseudoVREDMAXU_VS_M8_E32_MASK, VREDMAXU_VS }, // 7290
  { PseudoVREDMAXU_VS_M8_E64, VREDMAXU_VS }, // 7291
  { PseudoVREDMAXU_VS_M8_E64_MASK, VREDMAXU_VS }, // 7292
  { PseudoVREDMAXU_VS_M8_E8, VREDMAXU_VS }, // 7293
  { PseudoVREDMAXU_VS_M8_E8_MASK, VREDMAXU_VS }, // 7294
  { PseudoVREDMAXU_VS_MF2_E16, VREDMAXU_VS }, // 7295
  { PseudoVREDMAXU_VS_MF2_E16_MASK, VREDMAXU_VS }, // 7296
  { PseudoVREDMAXU_VS_MF2_E32, VREDMAXU_VS }, // 7297
  { PseudoVREDMAXU_VS_MF2_E32_MASK, VREDMAXU_VS }, // 7298
  { PseudoVREDMAXU_VS_MF2_E8, VREDMAXU_VS }, // 7299
  { PseudoVREDMAXU_VS_MF2_E8_MASK, VREDMAXU_VS }, // 7300
  { PseudoVREDMAXU_VS_MF4_E16, VREDMAXU_VS }, // 7301
  { PseudoVREDMAXU_VS_MF4_E16_MASK, VREDMAXU_VS }, // 7302
  { PseudoVREDMAXU_VS_MF4_E8, VREDMAXU_VS }, // 7303
  { PseudoVREDMAXU_VS_MF4_E8_MASK, VREDMAXU_VS }, // 7304
  { PseudoVREDMAXU_VS_MF8_E8, VREDMAXU_VS }, // 7305
  { PseudoVREDMAXU_VS_MF8_E8_MASK, VREDMAXU_VS }, // 7306
  { PseudoVREDMAX_VS_M1_E16, VREDMAX_VS }, // 7307
  { PseudoVREDMAX_VS_M1_E16_MASK, VREDMAX_VS }, // 7308
  { PseudoVREDMAX_VS_M1_E32, VREDMAX_VS }, // 7309
  { PseudoVREDMAX_VS_M1_E32_MASK, VREDMAX_VS }, // 7310
  { PseudoVREDMAX_VS_M1_E64, VREDMAX_VS }, // 7311
  { PseudoVREDMAX_VS_M1_E64_MASK, VREDMAX_VS }, // 7312
  { PseudoVREDMAX_VS_M1_E8, VREDMAX_VS }, // 7313
  { PseudoVREDMAX_VS_M1_E8_MASK, VREDMAX_VS }, // 7314
  { PseudoVREDMAX_VS_M2_E16, VREDMAX_VS }, // 7315
  { PseudoVREDMAX_VS_M2_E16_MASK, VREDMAX_VS }, // 7316
  { PseudoVREDMAX_VS_M2_E32, VREDMAX_VS }, // 7317
  { PseudoVREDMAX_VS_M2_E32_MASK, VREDMAX_VS }, // 7318
  { PseudoVREDMAX_VS_M2_E64, VREDMAX_VS }, // 7319
  { PseudoVREDMAX_VS_M2_E64_MASK, VREDMAX_VS }, // 7320
  { PseudoVREDMAX_VS_M2_E8, VREDMAX_VS }, // 7321
  { PseudoVREDMAX_VS_M2_E8_MASK, VREDMAX_VS }, // 7322
  { PseudoVREDMAX_VS_M4_E16, VREDMAX_VS }, // 7323
  { PseudoVREDMAX_VS_M4_E16_MASK, VREDMAX_VS }, // 7324
  { PseudoVREDMAX_VS_M4_E32, VREDMAX_VS }, // 7325
  { PseudoVREDMAX_VS_M4_E32_MASK, VREDMAX_VS }, // 7326
  { PseudoVREDMAX_VS_M4_E64, VREDMAX_VS }, // 7327
  { PseudoVREDMAX_VS_M4_E64_MASK, VREDMAX_VS }, // 7328
  { PseudoVREDMAX_VS_M4_E8, VREDMAX_VS }, // 7329
  { PseudoVREDMAX_VS_M4_E8_MASK, VREDMAX_VS }, // 7330
  { PseudoVREDMAX_VS_M8_E16, VREDMAX_VS }, // 7331
  { PseudoVREDMAX_VS_M8_E16_MASK, VREDMAX_VS }, // 7332
  { PseudoVREDMAX_VS_M8_E32, VREDMAX_VS }, // 7333
  { PseudoVREDMAX_VS_M8_E32_MASK, VREDMAX_VS }, // 7334
  { PseudoVREDMAX_VS_M8_E64, VREDMAX_VS }, // 7335
  { PseudoVREDMAX_VS_M8_E64_MASK, VREDMAX_VS }, // 7336
  { PseudoVREDMAX_VS_M8_E8, VREDMAX_VS }, // 7337
  { PseudoVREDMAX_VS_M8_E8_MASK, VREDMAX_VS }, // 7338
  { PseudoVREDMAX_VS_MF2_E16, VREDMAX_VS }, // 7339
  { PseudoVREDMAX_VS_MF2_E16_MASK, VREDMAX_VS }, // 7340
  { PseudoVREDMAX_VS_MF2_E32, VREDMAX_VS }, // 7341
  { PseudoVREDMAX_VS_MF2_E32_MASK, VREDMAX_VS }, // 7342
  { PseudoVREDMAX_VS_MF2_E8, VREDMAX_VS }, // 7343
  { PseudoVREDMAX_VS_MF2_E8_MASK, VREDMAX_VS }, // 7344
  { PseudoVREDMAX_VS_MF4_E16, VREDMAX_VS }, // 7345
  { PseudoVREDMAX_VS_MF4_E16_MASK, VREDMAX_VS }, // 7346
  { PseudoVREDMAX_VS_MF4_E8, VREDMAX_VS }, // 7347
  { PseudoVREDMAX_VS_MF4_E8_MASK, VREDMAX_VS }, // 7348
  { PseudoVREDMAX_VS_MF8_E8, VREDMAX_VS }, // 7349
  { PseudoVREDMAX_VS_MF8_E8_MASK, VREDMAX_VS }, // 7350
  { PseudoVREDMINU_VS_M1_E16, VREDMINU_VS }, // 7351
  { PseudoVREDMINU_VS_M1_E16_MASK, VREDMINU_VS }, // 7352
  { PseudoVREDMINU_VS_M1_E32, VREDMINU_VS }, // 7353
  { PseudoVREDMINU_VS_M1_E32_MASK, VREDMINU_VS }, // 7354
  { PseudoVREDMINU_VS_M1_E64, VREDMINU_VS }, // 7355
  { PseudoVREDMINU_VS_M1_E64_MASK, VREDMINU_VS }, // 7356
  { PseudoVREDMINU_VS_M1_E8, VREDMINU_VS }, // 7357
  { PseudoVREDMINU_VS_M1_E8_MASK, VREDMINU_VS }, // 7358
  { PseudoVREDMINU_VS_M2_E16, VREDMINU_VS }, // 7359
  { PseudoVREDMINU_VS_M2_E16_MASK, VREDMINU_VS }, // 7360
  { PseudoVREDMINU_VS_M2_E32, VREDMINU_VS }, // 7361
  { PseudoVREDMINU_VS_M2_E32_MASK, VREDMINU_VS }, // 7362
  { PseudoVREDMINU_VS_M2_E64, VREDMINU_VS }, // 7363
  { PseudoVREDMINU_VS_M2_E64_MASK, VREDMINU_VS }, // 7364
  { PseudoVREDMINU_VS_M2_E8, VREDMINU_VS }, // 7365
  { PseudoVREDMINU_VS_M2_E8_MASK, VREDMINU_VS }, // 7366
  { PseudoVREDMINU_VS_M4_E16, VREDMINU_VS }, // 7367
  { PseudoVREDMINU_VS_M4_E16_MASK, VREDMINU_VS }, // 7368
  { PseudoVREDMINU_VS_M4_E32, VREDMINU_VS }, // 7369
  { PseudoVREDMINU_VS_M4_E32_MASK, VREDMINU_VS }, // 7370
  { PseudoVREDMINU_VS_M4_E64, VREDMINU_VS }, // 7371
  { PseudoVREDMINU_VS_M4_E64_MASK, VREDMINU_VS }, // 7372
  { PseudoVREDMINU_VS_M4_E8, VREDMINU_VS }, // 7373
  { PseudoVREDMINU_VS_M4_E8_MASK, VREDMINU_VS }, // 7374
  { PseudoVREDMINU_VS_M8_E16, VREDMINU_VS }, // 7375
  { PseudoVREDMINU_VS_M8_E16_MASK, VREDMINU_VS }, // 7376
  { PseudoVREDMINU_VS_M8_E32, VREDMINU_VS }, // 7377
  { PseudoVREDMINU_VS_M8_E32_MASK, VREDMINU_VS }, // 7378
  { PseudoVREDMINU_VS_M8_E64, VREDMINU_VS }, // 7379
  { PseudoVREDMINU_VS_M8_E64_MASK, VREDMINU_VS }, // 7380
  { PseudoVREDMINU_VS_M8_E8, VREDMINU_VS }, // 7381
  { PseudoVREDMINU_VS_M8_E8_MASK, VREDMINU_VS }, // 7382
  { PseudoVREDMINU_VS_MF2_E16, VREDMINU_VS }, // 7383
  { PseudoVREDMINU_VS_MF2_E16_MASK, VREDMINU_VS }, // 7384
  { PseudoVREDMINU_VS_MF2_E32, VREDMINU_VS }, // 7385
  { PseudoVREDMINU_VS_MF2_E32_MASK, VREDMINU_VS }, // 7386
  { PseudoVREDMINU_VS_MF2_E8, VREDMINU_VS }, // 7387
  { PseudoVREDMINU_VS_MF2_E8_MASK, VREDMINU_VS }, // 7388
  { PseudoVREDMINU_VS_MF4_E16, VREDMINU_VS }, // 7389
  { PseudoVREDMINU_VS_MF4_E16_MASK, VREDMINU_VS }, // 7390
  { PseudoVREDMINU_VS_MF4_E8, VREDMINU_VS }, // 7391
  { PseudoVREDMINU_VS_MF4_E8_MASK, VREDMINU_VS }, // 7392
  { PseudoVREDMINU_VS_MF8_E8, VREDMINU_VS }, // 7393
  { PseudoVREDMINU_VS_MF8_E8_MASK, VREDMINU_VS }, // 7394
  { PseudoVREDMIN_VS_M1_E16, VREDMIN_VS }, // 7395
  { PseudoVREDMIN_VS_M1_E16_MASK, VREDMIN_VS }, // 7396
  { PseudoVREDMIN_VS_M1_E32, VREDMIN_VS }, // 7397
  { PseudoVREDMIN_VS_M1_E32_MASK, VREDMIN_VS }, // 7398
  { PseudoVREDMIN_VS_M1_E64, VREDMIN_VS }, // 7399
  { PseudoVREDMIN_VS_M1_E64_MASK, VREDMIN_VS }, // 7400
  { PseudoVREDMIN_VS_M1_E8, VREDMIN_VS }, // 7401
  { PseudoVREDMIN_VS_M1_E8_MASK, VREDMIN_VS }, // 7402
  { PseudoVREDMIN_VS_M2_E16, VREDMIN_VS }, // 7403
  { PseudoVREDMIN_VS_M2_E16_MASK, VREDMIN_VS }, // 7404
  { PseudoVREDMIN_VS_M2_E32, VREDMIN_VS }, // 7405
  { PseudoVREDMIN_VS_M2_E32_MASK, VREDMIN_VS }, // 7406
  { PseudoVREDMIN_VS_M2_E64, VREDMIN_VS }, // 7407
  { PseudoVREDMIN_VS_M2_E64_MASK, VREDMIN_VS }, // 7408
  { PseudoVREDMIN_VS_M2_E8, VREDMIN_VS }, // 7409
  { PseudoVREDMIN_VS_M2_E8_MASK, VREDMIN_VS }, // 7410
  { PseudoVREDMIN_VS_M4_E16, VREDMIN_VS }, // 7411
  { PseudoVREDMIN_VS_M4_E16_MASK, VREDMIN_VS }, // 7412
  { PseudoVREDMIN_VS_M4_E32, VREDMIN_VS }, // 7413
  { PseudoVREDMIN_VS_M4_E32_MASK, VREDMIN_VS }, // 7414
  { PseudoVREDMIN_VS_M4_E64, VREDMIN_VS }, // 7415
  { PseudoVREDMIN_VS_M4_E64_MASK, VREDMIN_VS }, // 7416
  { PseudoVREDMIN_VS_M4_E8, VREDMIN_VS }, // 7417
  { PseudoVREDMIN_VS_M4_E8_MASK, VREDMIN_VS }, // 7418
  { PseudoVREDMIN_VS_M8_E16, VREDMIN_VS }, // 7419
  { PseudoVREDMIN_VS_M8_E16_MASK, VREDMIN_VS }, // 7420
  { PseudoVREDMIN_VS_M8_E32, VREDMIN_VS }, // 7421
  { PseudoVREDMIN_VS_M8_E32_MASK, VREDMIN_VS }, // 7422
  { PseudoVREDMIN_VS_M8_E64, VREDMIN_VS }, // 7423
  { PseudoVREDMIN_VS_M8_E64_MASK, VREDMIN_VS }, // 7424
  { PseudoVREDMIN_VS_M8_E8, VREDMIN_VS }, // 7425
  { PseudoVREDMIN_VS_M8_E8_MASK, VREDMIN_VS }, // 7426
  { PseudoVREDMIN_VS_MF2_E16, VREDMIN_VS }, // 7427
  { PseudoVREDMIN_VS_MF2_E16_MASK, VREDMIN_VS }, // 7428
  { PseudoVREDMIN_VS_MF2_E32, VREDMIN_VS }, // 7429
  { PseudoVREDMIN_VS_MF2_E32_MASK, VREDMIN_VS }, // 7430
  { PseudoVREDMIN_VS_MF2_E8, VREDMIN_VS }, // 7431
  { PseudoVREDMIN_VS_MF2_E8_MASK, VREDMIN_VS }, // 7432
  { PseudoVREDMIN_VS_MF4_E16, VREDMIN_VS }, // 7433
  { PseudoVREDMIN_VS_MF4_E16_MASK, VREDMIN_VS }, // 7434
  { PseudoVREDMIN_VS_MF4_E8, VREDMIN_VS }, // 7435
  { PseudoVREDMIN_VS_MF4_E8_MASK, VREDMIN_VS }, // 7436
  { PseudoVREDMIN_VS_MF8_E8, VREDMIN_VS }, // 7437
  { PseudoVREDMIN_VS_MF8_E8_MASK, VREDMIN_VS }, // 7438
  { PseudoVREDOR_VS_M1_E16, VREDOR_VS }, // 7439
  { PseudoVREDOR_VS_M1_E16_MASK, VREDOR_VS }, // 7440
  { PseudoVREDOR_VS_M1_E32, VREDOR_VS }, // 7441
  { PseudoVREDOR_VS_M1_E32_MASK, VREDOR_VS }, // 7442
  { PseudoVREDOR_VS_M1_E64, VREDOR_VS }, // 7443
  { PseudoVREDOR_VS_M1_E64_MASK, VREDOR_VS }, // 7444
  { PseudoVREDOR_VS_M1_E8, VREDOR_VS }, // 7445
  { PseudoVREDOR_VS_M1_E8_MASK, VREDOR_VS }, // 7446
  { PseudoVREDOR_VS_M2_E16, VREDOR_VS }, // 7447
  { PseudoVREDOR_VS_M2_E16_MASK, VREDOR_VS }, // 7448
  { PseudoVREDOR_VS_M2_E32, VREDOR_VS }, // 7449
  { PseudoVREDOR_VS_M2_E32_MASK, VREDOR_VS }, // 7450
  { PseudoVREDOR_VS_M2_E64, VREDOR_VS }, // 7451
  { PseudoVREDOR_VS_M2_E64_MASK, VREDOR_VS }, // 7452
  { PseudoVREDOR_VS_M2_E8, VREDOR_VS }, // 7453
  { PseudoVREDOR_VS_M2_E8_MASK, VREDOR_VS }, // 7454
  { PseudoVREDOR_VS_M4_E16, VREDOR_VS }, // 7455
  { PseudoVREDOR_VS_M4_E16_MASK, VREDOR_VS }, // 7456
  { PseudoVREDOR_VS_M4_E32, VREDOR_VS }, // 7457
  { PseudoVREDOR_VS_M4_E32_MASK, VREDOR_VS }, // 7458
  { PseudoVREDOR_VS_M4_E64, VREDOR_VS }, // 7459
  { PseudoVREDOR_VS_M4_E64_MASK, VREDOR_VS }, // 7460
  { PseudoVREDOR_VS_M4_E8, VREDOR_VS }, // 7461
  { PseudoVREDOR_VS_M4_E8_MASK, VREDOR_VS }, // 7462
  { PseudoVREDOR_VS_M8_E16, VREDOR_VS }, // 7463
  { PseudoVREDOR_VS_M8_E16_MASK, VREDOR_VS }, // 7464
  { PseudoVREDOR_VS_M8_E32, VREDOR_VS }, // 7465
  { PseudoVREDOR_VS_M8_E32_MASK, VREDOR_VS }, // 7466
  { PseudoVREDOR_VS_M8_E64, VREDOR_VS }, // 7467
  { PseudoVREDOR_VS_M8_E64_MASK, VREDOR_VS }, // 7468
  { PseudoVREDOR_VS_M8_E8, VREDOR_VS }, // 7469
  { PseudoVREDOR_VS_M8_E8_MASK, VREDOR_VS }, // 7470
  { PseudoVREDOR_VS_MF2_E16, VREDOR_VS }, // 7471
  { PseudoVREDOR_VS_MF2_E16_MASK, VREDOR_VS }, // 7472
  { PseudoVREDOR_VS_MF2_E32, VREDOR_VS }, // 7473
  { PseudoVREDOR_VS_MF2_E32_MASK, VREDOR_VS }, // 7474
  { PseudoVREDOR_VS_MF2_E8, VREDOR_VS }, // 7475
  { PseudoVREDOR_VS_MF2_E8_MASK, VREDOR_VS }, // 7476
  { PseudoVREDOR_VS_MF4_E16, VREDOR_VS }, // 7477
  { PseudoVREDOR_VS_MF4_E16_MASK, VREDOR_VS }, // 7478
  { PseudoVREDOR_VS_MF4_E8, VREDOR_VS }, // 7479
  { PseudoVREDOR_VS_MF4_E8_MASK, VREDOR_VS }, // 7480
  { PseudoVREDOR_VS_MF8_E8, VREDOR_VS }, // 7481
  { PseudoVREDOR_VS_MF8_E8_MASK, VREDOR_VS }, // 7482
  { PseudoVREDSUM_VS_M1_E16, VREDSUM_VS }, // 7483
  { PseudoVREDSUM_VS_M1_E16_MASK, VREDSUM_VS }, // 7484
  { PseudoVREDSUM_VS_M1_E32, VREDSUM_VS }, // 7485
  { PseudoVREDSUM_VS_M1_E32_MASK, VREDSUM_VS }, // 7486
  { PseudoVREDSUM_VS_M1_E64, VREDSUM_VS }, // 7487
  { PseudoVREDSUM_VS_M1_E64_MASK, VREDSUM_VS }, // 7488
  { PseudoVREDSUM_VS_M1_E8, VREDSUM_VS }, // 7489
  { PseudoVREDSUM_VS_M1_E8_MASK, VREDSUM_VS }, // 7490
  { PseudoVREDSUM_VS_M2_E16, VREDSUM_VS }, // 7491
  { PseudoVREDSUM_VS_M2_E16_MASK, VREDSUM_VS }, // 7492
  { PseudoVREDSUM_VS_M2_E32, VREDSUM_VS }, // 7493
  { PseudoVREDSUM_VS_M2_E32_MASK, VREDSUM_VS }, // 7494
  { PseudoVREDSUM_VS_M2_E64, VREDSUM_VS }, // 7495
  { PseudoVREDSUM_VS_M2_E64_MASK, VREDSUM_VS }, // 7496
  { PseudoVREDSUM_VS_M2_E8, VREDSUM_VS }, // 7497
  { PseudoVREDSUM_VS_M2_E8_MASK, VREDSUM_VS }, // 7498
  { PseudoVREDSUM_VS_M4_E16, VREDSUM_VS }, // 7499
  { PseudoVREDSUM_VS_M4_E16_MASK, VREDSUM_VS }, // 7500
  { PseudoVREDSUM_VS_M4_E32, VREDSUM_VS }, // 7501
  { PseudoVREDSUM_VS_M4_E32_MASK, VREDSUM_VS }, // 7502
  { PseudoVREDSUM_VS_M4_E64, VREDSUM_VS }, // 7503
  { PseudoVREDSUM_VS_M4_E64_MASK, VREDSUM_VS }, // 7504
  { PseudoVREDSUM_VS_M4_E8, VREDSUM_VS }, // 7505
  { PseudoVREDSUM_VS_M4_E8_MASK, VREDSUM_VS }, // 7506
  { PseudoVREDSUM_VS_M8_E16, VREDSUM_VS }, // 7507
  { PseudoVREDSUM_VS_M8_E16_MASK, VREDSUM_VS }, // 7508
  { PseudoVREDSUM_VS_M8_E32, VREDSUM_VS }, // 7509
  { PseudoVREDSUM_VS_M8_E32_MASK, VREDSUM_VS }, // 7510
  { PseudoVREDSUM_VS_M8_E64, VREDSUM_VS }, // 7511
  { PseudoVREDSUM_VS_M8_E64_MASK, VREDSUM_VS }, // 7512
  { PseudoVREDSUM_VS_M8_E8, VREDSUM_VS }, // 7513
  { PseudoVREDSUM_VS_M8_E8_MASK, VREDSUM_VS }, // 7514
  { PseudoVREDSUM_VS_MF2_E16, VREDSUM_VS }, // 7515
  { PseudoVREDSUM_VS_MF2_E16_MASK, VREDSUM_VS }, // 7516
  { PseudoVREDSUM_VS_MF2_E32, VREDSUM_VS }, // 7517
  { PseudoVREDSUM_VS_MF2_E32_MASK, VREDSUM_VS }, // 7518
  { PseudoVREDSUM_VS_MF2_E8, VREDSUM_VS }, // 7519
  { PseudoVREDSUM_VS_MF2_E8_MASK, VREDSUM_VS }, // 7520
  { PseudoVREDSUM_VS_MF4_E16, VREDSUM_VS }, // 7521
  { PseudoVREDSUM_VS_MF4_E16_MASK, VREDSUM_VS }, // 7522
  { PseudoVREDSUM_VS_MF4_E8, VREDSUM_VS }, // 7523
  { PseudoVREDSUM_VS_MF4_E8_MASK, VREDSUM_VS }, // 7524
  { PseudoVREDSUM_VS_MF8_E8, VREDSUM_VS }, // 7525
  { PseudoVREDSUM_VS_MF8_E8_MASK, VREDSUM_VS }, // 7526
  { PseudoVREDXOR_VS_M1_E16, VREDXOR_VS }, // 7527
  { PseudoVREDXOR_VS_M1_E16_MASK, VREDXOR_VS }, // 7528
  { PseudoVREDXOR_VS_M1_E32, VREDXOR_VS }, // 7529
  { PseudoVREDXOR_VS_M1_E32_MASK, VREDXOR_VS }, // 7530
  { PseudoVREDXOR_VS_M1_E64, VREDXOR_VS }, // 7531
  { PseudoVREDXOR_VS_M1_E64_MASK, VREDXOR_VS }, // 7532
  { PseudoVREDXOR_VS_M1_E8, VREDXOR_VS }, // 7533
  { PseudoVREDXOR_VS_M1_E8_MASK, VREDXOR_VS }, // 7534
  { PseudoVREDXOR_VS_M2_E16, VREDXOR_VS }, // 7535
  { PseudoVREDXOR_VS_M2_E16_MASK, VREDXOR_VS }, // 7536
  { PseudoVREDXOR_VS_M2_E32, VREDXOR_VS }, // 7537
  { PseudoVREDXOR_VS_M2_E32_MASK, VREDXOR_VS }, // 7538
  { PseudoVREDXOR_VS_M2_E64, VREDXOR_VS }, // 7539
  { PseudoVREDXOR_VS_M2_E64_MASK, VREDXOR_VS }, // 7540
  { PseudoVREDXOR_VS_M2_E8, VREDXOR_VS }, // 7541
  { PseudoVREDXOR_VS_M2_E8_MASK, VREDXOR_VS }, // 7542
  { PseudoVREDXOR_VS_M4_E16, VREDXOR_VS }, // 7543
  { PseudoVREDXOR_VS_M4_E16_MASK, VREDXOR_VS }, // 7544
  { PseudoVREDXOR_VS_M4_E32, VREDXOR_VS }, // 7545
  { PseudoVREDXOR_VS_M4_E32_MASK, VREDXOR_VS }, // 7546
  { PseudoVREDXOR_VS_M4_E64, VREDXOR_VS }, // 7547
  { PseudoVREDXOR_VS_M4_E64_MASK, VREDXOR_VS }, // 7548
  { PseudoVREDXOR_VS_M4_E8, VREDXOR_VS }, // 7549
  { PseudoVREDXOR_VS_M4_E8_MASK, VREDXOR_VS }, // 7550
  { PseudoVREDXOR_VS_M8_E16, VREDXOR_VS }, // 7551
  { PseudoVREDXOR_VS_M8_E16_MASK, VREDXOR_VS }, // 7552
  { PseudoVREDXOR_VS_M8_E32, VREDXOR_VS }, // 7553
  { PseudoVREDXOR_VS_M8_E32_MASK, VREDXOR_VS }, // 7554
  { PseudoVREDXOR_VS_M8_E64, VREDXOR_VS }, // 7555
  { PseudoVREDXOR_VS_M8_E64_MASK, VREDXOR_VS }, // 7556
  { PseudoVREDXOR_VS_M8_E8, VREDXOR_VS }, // 7557
  { PseudoVREDXOR_VS_M8_E8_MASK, VREDXOR_VS }, // 7558
  { PseudoVREDXOR_VS_MF2_E16, VREDXOR_VS }, // 7559
  { PseudoVREDXOR_VS_MF2_E16_MASK, VREDXOR_VS }, // 7560
  { PseudoVREDXOR_VS_MF2_E32, VREDXOR_VS }, // 7561
  { PseudoVREDXOR_VS_MF2_E32_MASK, VREDXOR_VS }, // 7562
  { PseudoVREDXOR_VS_MF2_E8, VREDXOR_VS }, // 7563
  { PseudoVREDXOR_VS_MF2_E8_MASK, VREDXOR_VS }, // 7564
  { PseudoVREDXOR_VS_MF4_E16, VREDXOR_VS }, // 7565
  { PseudoVREDXOR_VS_MF4_E16_MASK, VREDXOR_VS }, // 7566
  { PseudoVREDXOR_VS_MF4_E8, VREDXOR_VS }, // 7567
  { PseudoVREDXOR_VS_MF4_E8_MASK, VREDXOR_VS }, // 7568
  { PseudoVREDXOR_VS_MF8_E8, VREDXOR_VS }, // 7569
  { PseudoVREDXOR_VS_MF8_E8_MASK, VREDXOR_VS }, // 7570
  { PseudoVREMU_VV_M1_E16, VREMU_VV }, // 7571
  { PseudoVREMU_VV_M1_E16_MASK, VREMU_VV }, // 7572
  { PseudoVREMU_VV_M1_E32, VREMU_VV }, // 7573
  { PseudoVREMU_VV_M1_E32_MASK, VREMU_VV }, // 7574
  { PseudoVREMU_VV_M1_E64, VREMU_VV }, // 7575
  { PseudoVREMU_VV_M1_E64_MASK, VREMU_VV }, // 7576
  { PseudoVREMU_VV_M1_E8, VREMU_VV }, // 7577
  { PseudoVREMU_VV_M1_E8_MASK, VREMU_VV }, // 7578
  { PseudoVREMU_VV_M2_E16, VREMU_VV }, // 7579
  { PseudoVREMU_VV_M2_E16_MASK, VREMU_VV }, // 7580
  { PseudoVREMU_VV_M2_E32, VREMU_VV }, // 7581
  { PseudoVREMU_VV_M2_E32_MASK, VREMU_VV }, // 7582
  { PseudoVREMU_VV_M2_E64, VREMU_VV }, // 7583
  { PseudoVREMU_VV_M2_E64_MASK, VREMU_VV }, // 7584
  { PseudoVREMU_VV_M2_E8, VREMU_VV }, // 7585
  { PseudoVREMU_VV_M2_E8_MASK, VREMU_VV }, // 7586
  { PseudoVREMU_VV_M4_E16, VREMU_VV }, // 7587
  { PseudoVREMU_VV_M4_E16_MASK, VREMU_VV }, // 7588
  { PseudoVREMU_VV_M4_E32, VREMU_VV }, // 7589
  { PseudoVREMU_VV_M4_E32_MASK, VREMU_VV }, // 7590
  { PseudoVREMU_VV_M4_E64, VREMU_VV }, // 7591
  { PseudoVREMU_VV_M4_E64_MASK, VREMU_VV }, // 7592
  { PseudoVREMU_VV_M4_E8, VREMU_VV }, // 7593
  { PseudoVREMU_VV_M4_E8_MASK, VREMU_VV }, // 7594
  { PseudoVREMU_VV_M8_E16, VREMU_VV }, // 7595
  { PseudoVREMU_VV_M8_E16_MASK, VREMU_VV }, // 7596
  { PseudoVREMU_VV_M8_E32, VREMU_VV }, // 7597
  { PseudoVREMU_VV_M8_E32_MASK, VREMU_VV }, // 7598
  { PseudoVREMU_VV_M8_E64, VREMU_VV }, // 7599
  { PseudoVREMU_VV_M8_E64_MASK, VREMU_VV }, // 7600
  { PseudoVREMU_VV_M8_E8, VREMU_VV }, // 7601
  { PseudoVREMU_VV_M8_E8_MASK, VREMU_VV }, // 7602
  { PseudoVREMU_VV_MF2_E16, VREMU_VV }, // 7603
  { PseudoVREMU_VV_MF2_E16_MASK, VREMU_VV }, // 7604
  { PseudoVREMU_VV_MF2_E32, VREMU_VV }, // 7605
  { PseudoVREMU_VV_MF2_E32_MASK, VREMU_VV }, // 7606
  { PseudoVREMU_VV_MF2_E8, VREMU_VV }, // 7607
  { PseudoVREMU_VV_MF2_E8_MASK, VREMU_VV }, // 7608
  { PseudoVREMU_VV_MF4_E16, VREMU_VV }, // 7609
  { PseudoVREMU_VV_MF4_E16_MASK, VREMU_VV }, // 7610
  { PseudoVREMU_VV_MF4_E8, VREMU_VV }, // 7611
  { PseudoVREMU_VV_MF4_E8_MASK, VREMU_VV }, // 7612
  { PseudoVREMU_VV_MF8_E8, VREMU_VV }, // 7613
  { PseudoVREMU_VV_MF8_E8_MASK, VREMU_VV }, // 7614
  { PseudoVREMU_VX_M1_E16, VREMU_VX }, // 7615
  { PseudoVREMU_VX_M1_E16_MASK, VREMU_VX }, // 7616
  { PseudoVREMU_VX_M1_E32, VREMU_VX }, // 7617
  { PseudoVREMU_VX_M1_E32_MASK, VREMU_VX }, // 7618
  { PseudoVREMU_VX_M1_E64, VREMU_VX }, // 7619
  { PseudoVREMU_VX_M1_E64_MASK, VREMU_VX }, // 7620
  { PseudoVREMU_VX_M1_E8, VREMU_VX }, // 7621
  { PseudoVREMU_VX_M1_E8_MASK, VREMU_VX }, // 7622
  { PseudoVREMU_VX_M2_E16, VREMU_VX }, // 7623
  { PseudoVREMU_VX_M2_E16_MASK, VREMU_VX }, // 7624
  { PseudoVREMU_VX_M2_E32, VREMU_VX }, // 7625
  { PseudoVREMU_VX_M2_E32_MASK, VREMU_VX }, // 7626
  { PseudoVREMU_VX_M2_E64, VREMU_VX }, // 7627
  { PseudoVREMU_VX_M2_E64_MASK, VREMU_VX }, // 7628
  { PseudoVREMU_VX_M2_E8, VREMU_VX }, // 7629
  { PseudoVREMU_VX_M2_E8_MASK, VREMU_VX }, // 7630
  { PseudoVREMU_VX_M4_E16, VREMU_VX }, // 7631
  { PseudoVREMU_VX_M4_E16_MASK, VREMU_VX }, // 7632
  { PseudoVREMU_VX_M4_E32, VREMU_VX }, // 7633
  { PseudoVREMU_VX_M4_E32_MASK, VREMU_VX }, // 7634
  { PseudoVREMU_VX_M4_E64, VREMU_VX }, // 7635
  { PseudoVREMU_VX_M4_E64_MASK, VREMU_VX }, // 7636
  { PseudoVREMU_VX_M4_E8, VREMU_VX }, // 7637
  { PseudoVREMU_VX_M4_E8_MASK, VREMU_VX }, // 7638
  { PseudoVREMU_VX_M8_E16, VREMU_VX }, // 7639
  { PseudoVREMU_VX_M8_E16_MASK, VREMU_VX }, // 7640
  { PseudoVREMU_VX_M8_E32, VREMU_VX }, // 7641
  { PseudoVREMU_VX_M8_E32_MASK, VREMU_VX }, // 7642
  { PseudoVREMU_VX_M8_E64, VREMU_VX }, // 7643
  { PseudoVREMU_VX_M8_E64_MASK, VREMU_VX }, // 7644
  { PseudoVREMU_VX_M8_E8, VREMU_VX }, // 7645
  { PseudoVREMU_VX_M8_E8_MASK, VREMU_VX }, // 7646
  { PseudoVREMU_VX_MF2_E16, VREMU_VX }, // 7647
  { PseudoVREMU_VX_MF2_E16_MASK, VREMU_VX }, // 7648
  { PseudoVREMU_VX_MF2_E32, VREMU_VX }, // 7649
  { PseudoVREMU_VX_MF2_E32_MASK, VREMU_VX }, // 7650
  { PseudoVREMU_VX_MF2_E8, VREMU_VX }, // 7651
  { PseudoVREMU_VX_MF2_E8_MASK, VREMU_VX }, // 7652
  { PseudoVREMU_VX_MF4_E16, VREMU_VX }, // 7653
  { PseudoVREMU_VX_MF4_E16_MASK, VREMU_VX }, // 7654
  { PseudoVREMU_VX_MF4_E8, VREMU_VX }, // 7655
  { PseudoVREMU_VX_MF4_E8_MASK, VREMU_VX }, // 7656
  { PseudoVREMU_VX_MF8_E8, VREMU_VX }, // 7657
  { PseudoVREMU_VX_MF8_E8_MASK, VREMU_VX }, // 7658
  { PseudoVREM_VV_M1_E16, VREM_VV }, // 7659
  { PseudoVREM_VV_M1_E16_MASK, VREM_VV }, // 7660
  { PseudoVREM_VV_M1_E32, VREM_VV }, // 7661
  { PseudoVREM_VV_M1_E32_MASK, VREM_VV }, // 7662
  { PseudoVREM_VV_M1_E64, VREM_VV }, // 7663
  { PseudoVREM_VV_M1_E64_MASK, VREM_VV }, // 7664
  { PseudoVREM_VV_M1_E8, VREM_VV }, // 7665
  { PseudoVREM_VV_M1_E8_MASK, VREM_VV }, // 7666
  { PseudoVREM_VV_M2_E16, VREM_VV }, // 7667
  { PseudoVREM_VV_M2_E16_MASK, VREM_VV }, // 7668
  { PseudoVREM_VV_M2_E32, VREM_VV }, // 7669
  { PseudoVREM_VV_M2_E32_MASK, VREM_VV }, // 7670
  { PseudoVREM_VV_M2_E64, VREM_VV }, // 7671
  { PseudoVREM_VV_M2_E64_MASK, VREM_VV }, // 7672
  { PseudoVREM_VV_M2_E8, VREM_VV }, // 7673
  { PseudoVREM_VV_M2_E8_MASK, VREM_VV }, // 7674
  { PseudoVREM_VV_M4_E16, VREM_VV }, // 7675
  { PseudoVREM_VV_M4_E16_MASK, VREM_VV }, // 7676
  { PseudoVREM_VV_M4_E32, VREM_VV }, // 7677
  { PseudoVREM_VV_M4_E32_MASK, VREM_VV }, // 7678
  { PseudoVREM_VV_M4_E64, VREM_VV }, // 7679
  { PseudoVREM_VV_M4_E64_MASK, VREM_VV }, // 7680
  { PseudoVREM_VV_M4_E8, VREM_VV }, // 7681
  { PseudoVREM_VV_M4_E8_MASK, VREM_VV }, // 7682
  { PseudoVREM_VV_M8_E16, VREM_VV }, // 7683
  { PseudoVREM_VV_M8_E16_MASK, VREM_VV }, // 7684
  { PseudoVREM_VV_M8_E32, VREM_VV }, // 7685
  { PseudoVREM_VV_M8_E32_MASK, VREM_VV }, // 7686
  { PseudoVREM_VV_M8_E64, VREM_VV }, // 7687
  { PseudoVREM_VV_M8_E64_MASK, VREM_VV }, // 7688
  { PseudoVREM_VV_M8_E8, VREM_VV }, // 7689
  { PseudoVREM_VV_M8_E8_MASK, VREM_VV }, // 7690
  { PseudoVREM_VV_MF2_E16, VREM_VV }, // 7691
  { PseudoVREM_VV_MF2_E16_MASK, VREM_VV }, // 7692
  { PseudoVREM_VV_MF2_E32, VREM_VV }, // 7693
  { PseudoVREM_VV_MF2_E32_MASK, VREM_VV }, // 7694
  { PseudoVREM_VV_MF2_E8, VREM_VV }, // 7695
  { PseudoVREM_VV_MF2_E8_MASK, VREM_VV }, // 7696
  { PseudoVREM_VV_MF4_E16, VREM_VV }, // 7697
  { PseudoVREM_VV_MF4_E16_MASK, VREM_VV }, // 7698
  { PseudoVREM_VV_MF4_E8, VREM_VV }, // 7699
  { PseudoVREM_VV_MF4_E8_MASK, VREM_VV }, // 7700
  { PseudoVREM_VV_MF8_E8, VREM_VV }, // 7701
  { PseudoVREM_VV_MF8_E8_MASK, VREM_VV }, // 7702
  { PseudoVREM_VX_M1_E16, VREM_VX }, // 7703
  { PseudoVREM_VX_M1_E16_MASK, VREM_VX }, // 7704
  { PseudoVREM_VX_M1_E32, VREM_VX }, // 7705
  { PseudoVREM_VX_M1_E32_MASK, VREM_VX }, // 7706
  { PseudoVREM_VX_M1_E64, VREM_VX }, // 7707
  { PseudoVREM_VX_M1_E64_MASK, VREM_VX }, // 7708
  { PseudoVREM_VX_M1_E8, VREM_VX }, // 7709
  { PseudoVREM_VX_M1_E8_MASK, VREM_VX }, // 7710
  { PseudoVREM_VX_M2_E16, VREM_VX }, // 7711
  { PseudoVREM_VX_M2_E16_MASK, VREM_VX }, // 7712
  { PseudoVREM_VX_M2_E32, VREM_VX }, // 7713
  { PseudoVREM_VX_M2_E32_MASK, VREM_VX }, // 7714
  { PseudoVREM_VX_M2_E64, VREM_VX }, // 7715
  { PseudoVREM_VX_M2_E64_MASK, VREM_VX }, // 7716
  { PseudoVREM_VX_M2_E8, VREM_VX }, // 7717
  { PseudoVREM_VX_M2_E8_MASK, VREM_VX }, // 7718
  { PseudoVREM_VX_M4_E16, VREM_VX }, // 7719
  { PseudoVREM_VX_M4_E16_MASK, VREM_VX }, // 7720
  { PseudoVREM_VX_M4_E32, VREM_VX }, // 7721
  { PseudoVREM_VX_M4_E32_MASK, VREM_VX }, // 7722
  { PseudoVREM_VX_M4_E64, VREM_VX }, // 7723
  { PseudoVREM_VX_M4_E64_MASK, VREM_VX }, // 7724
  { PseudoVREM_VX_M4_E8, VREM_VX }, // 7725
  { PseudoVREM_VX_M4_E8_MASK, VREM_VX }, // 7726
  { PseudoVREM_VX_M8_E16, VREM_VX }, // 7727
  { PseudoVREM_VX_M8_E16_MASK, VREM_VX }, // 7728
  { PseudoVREM_VX_M8_E32, VREM_VX }, // 7729
  { PseudoVREM_VX_M8_E32_MASK, VREM_VX }, // 7730
  { PseudoVREM_VX_M8_E64, VREM_VX }, // 7731
  { PseudoVREM_VX_M8_E64_MASK, VREM_VX }, // 7732
  { PseudoVREM_VX_M8_E8, VREM_VX }, // 7733
  { PseudoVREM_VX_M8_E8_MASK, VREM_VX }, // 7734
  { PseudoVREM_VX_MF2_E16, VREM_VX }, // 7735
  { PseudoVREM_VX_MF2_E16_MASK, VREM_VX }, // 7736
  { PseudoVREM_VX_MF2_E32, VREM_VX }, // 7737
  { PseudoVREM_VX_MF2_E32_MASK, VREM_VX }, // 7738
  { PseudoVREM_VX_MF2_E8, VREM_VX }, // 7739
  { PseudoVREM_VX_MF2_E8_MASK, VREM_VX }, // 7740
  { PseudoVREM_VX_MF4_E16, VREM_VX }, // 7741
  { PseudoVREM_VX_MF4_E16_MASK, VREM_VX }, // 7742
  { PseudoVREM_VX_MF4_E8, VREM_VX }, // 7743
  { PseudoVREM_VX_MF4_E8_MASK, VREM_VX }, // 7744
  { PseudoVREM_VX_MF8_E8, VREM_VX }, // 7745
  { PseudoVREM_VX_MF8_E8_MASK, VREM_VX }, // 7746
  { PseudoVREV8_V_M1, VREV8_V }, // 7747
  { PseudoVREV8_V_M1_MASK, VREV8_V }, // 7748
  { PseudoVREV8_V_M2, VREV8_V }, // 7749
  { PseudoVREV8_V_M2_MASK, VREV8_V }, // 7750
  { PseudoVREV8_V_M4, VREV8_V }, // 7751
  { PseudoVREV8_V_M4_MASK, VREV8_V }, // 7752
  { PseudoVREV8_V_M8, VREV8_V }, // 7753
  { PseudoVREV8_V_M8_MASK, VREV8_V }, // 7754
  { PseudoVREV8_V_MF2, VREV8_V }, // 7755
  { PseudoVREV8_V_MF2_MASK, VREV8_V }, // 7756
  { PseudoVREV8_V_MF4, VREV8_V }, // 7757
  { PseudoVREV8_V_MF4_MASK, VREV8_V }, // 7758
  { PseudoVREV8_V_MF8, VREV8_V }, // 7759
  { PseudoVREV8_V_MF8_MASK, VREV8_V }, // 7760
  { PseudoVRGATHEREI16_VV_M1_E16_M1, VRGATHEREI16_VV }, // 7761
  { PseudoVRGATHEREI16_VV_M1_E16_M1_MASK, VRGATHEREI16_VV }, // 7762
  { PseudoVRGATHEREI16_VV_M1_E16_M2, VRGATHEREI16_VV }, // 7763
  { PseudoVRGATHEREI16_VV_M1_E16_M2_MASK, VRGATHEREI16_VV }, // 7764
  { PseudoVRGATHEREI16_VV_M1_E16_MF2, VRGATHEREI16_VV }, // 7765
  { PseudoVRGATHEREI16_VV_M1_E16_MF2_MASK, VRGATHEREI16_VV }, // 7766
  { PseudoVRGATHEREI16_VV_M1_E16_MF4, VRGATHEREI16_VV }, // 7767
  { PseudoVRGATHEREI16_VV_M1_E16_MF4_MASK, VRGATHEREI16_VV }, // 7768
  { PseudoVRGATHEREI16_VV_M1_E32_M1, VRGATHEREI16_VV }, // 7769
  { PseudoVRGATHEREI16_VV_M1_E32_M1_MASK, VRGATHEREI16_VV }, // 7770
  { PseudoVRGATHEREI16_VV_M1_E32_M2, VRGATHEREI16_VV }, // 7771
  { PseudoVRGATHEREI16_VV_M1_E32_M2_MASK, VRGATHEREI16_VV }, // 7772
  { PseudoVRGATHEREI16_VV_M1_E32_MF2, VRGATHEREI16_VV }, // 7773
  { PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK, VRGATHEREI16_VV }, // 7774
  { PseudoVRGATHEREI16_VV_M1_E32_MF4, VRGATHEREI16_VV }, // 7775
  { PseudoVRGATHEREI16_VV_M1_E32_MF4_MASK, VRGATHEREI16_VV }, // 7776
  { PseudoVRGATHEREI16_VV_M1_E64_M1, VRGATHEREI16_VV }, // 7777
  { PseudoVRGATHEREI16_VV_M1_E64_M1_MASK, VRGATHEREI16_VV }, // 7778
  { PseudoVRGATHEREI16_VV_M1_E64_M2, VRGATHEREI16_VV }, // 7779
  { PseudoVRGATHEREI16_VV_M1_E64_M2_MASK, VRGATHEREI16_VV }, // 7780
  { PseudoVRGATHEREI16_VV_M1_E64_MF2, VRGATHEREI16_VV }, // 7781
  { PseudoVRGATHEREI16_VV_M1_E64_MF2_MASK, VRGATHEREI16_VV }, // 7782
  { PseudoVRGATHEREI16_VV_M1_E64_MF4, VRGATHEREI16_VV }, // 7783
  { PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK, VRGATHEREI16_VV }, // 7784
  { PseudoVRGATHEREI16_VV_M1_E8_M1, VRGATHEREI16_VV }, // 7785
  { PseudoVRGATHEREI16_VV_M1_E8_M1_MASK, VRGATHEREI16_VV }, // 7786
  { PseudoVRGATHEREI16_VV_M1_E8_M2, VRGATHEREI16_VV }, // 7787
  { PseudoVRGATHEREI16_VV_M1_E8_M2_MASK, VRGATHEREI16_VV }, // 7788
  { PseudoVRGATHEREI16_VV_M1_E8_MF2, VRGATHEREI16_VV }, // 7789
  { PseudoVRGATHEREI16_VV_M1_E8_MF2_MASK, VRGATHEREI16_VV }, // 7790
  { PseudoVRGATHEREI16_VV_M1_E8_MF4, VRGATHEREI16_VV }, // 7791
  { PseudoVRGATHEREI16_VV_M1_E8_MF4_MASK, VRGATHEREI16_VV }, // 7792
  { PseudoVRGATHEREI16_VV_M2_E16_M1, VRGATHEREI16_VV }, // 7793
  { PseudoVRGATHEREI16_VV_M2_E16_M1_MASK, VRGATHEREI16_VV }, // 7794
  { PseudoVRGATHEREI16_VV_M2_E16_M2, VRGATHEREI16_VV }, // 7795
  { PseudoVRGATHEREI16_VV_M2_E16_M2_MASK, VRGATHEREI16_VV }, // 7796
  { PseudoVRGATHEREI16_VV_M2_E16_M4, VRGATHEREI16_VV }, // 7797
  { PseudoVRGATHEREI16_VV_M2_E16_M4_MASK, VRGATHEREI16_VV }, // 7798
  { PseudoVRGATHEREI16_VV_M2_E16_MF2, VRGATHEREI16_VV }, // 7799
  { PseudoVRGATHEREI16_VV_M2_E16_MF2_MASK, VRGATHEREI16_VV }, // 7800
  { PseudoVRGATHEREI16_VV_M2_E32_M1, VRGATHEREI16_VV }, // 7801
  { PseudoVRGATHEREI16_VV_M2_E32_M1_MASK, VRGATHEREI16_VV }, // 7802
  { PseudoVRGATHEREI16_VV_M2_E32_M2, VRGATHEREI16_VV }, // 7803
  { PseudoVRGATHEREI16_VV_M2_E32_M2_MASK, VRGATHEREI16_VV }, // 7804
  { PseudoVRGATHEREI16_VV_M2_E32_M4, VRGATHEREI16_VV }, // 7805
  { PseudoVRGATHEREI16_VV_M2_E32_M4_MASK, VRGATHEREI16_VV }, // 7806
  { PseudoVRGATHEREI16_VV_M2_E32_MF2, VRGATHEREI16_VV }, // 7807
  { PseudoVRGATHEREI16_VV_M2_E32_MF2_MASK, VRGATHEREI16_VV }, // 7808
  { PseudoVRGATHEREI16_VV_M2_E64_M1, VRGATHEREI16_VV }, // 7809
  { PseudoVRGATHEREI16_VV_M2_E64_M1_MASK, VRGATHEREI16_VV }, // 7810
  { PseudoVRGATHEREI16_VV_M2_E64_M2, VRGATHEREI16_VV }, // 7811
  { PseudoVRGATHEREI16_VV_M2_E64_M2_MASK, VRGATHEREI16_VV }, // 7812
  { PseudoVRGATHEREI16_VV_M2_E64_M4, VRGATHEREI16_VV }, // 7813
  { PseudoVRGATHEREI16_VV_M2_E64_M4_MASK, VRGATHEREI16_VV }, // 7814
  { PseudoVRGATHEREI16_VV_M2_E64_MF2, VRGATHEREI16_VV }, // 7815
  { PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK, VRGATHEREI16_VV }, // 7816
  { PseudoVRGATHEREI16_VV_M2_E8_M1, VRGATHEREI16_VV }, // 7817
  { PseudoVRGATHEREI16_VV_M2_E8_M1_MASK, VRGATHEREI16_VV }, // 7818
  { PseudoVRGATHEREI16_VV_M2_E8_M2, VRGATHEREI16_VV }, // 7819
  { PseudoVRGATHEREI16_VV_M2_E8_M2_MASK, VRGATHEREI16_VV }, // 7820
  { PseudoVRGATHEREI16_VV_M2_E8_M4, VRGATHEREI16_VV }, // 7821
  { PseudoVRGATHEREI16_VV_M2_E8_M4_MASK, VRGATHEREI16_VV }, // 7822
  { PseudoVRGATHEREI16_VV_M2_E8_MF2, VRGATHEREI16_VV }, // 7823
  { PseudoVRGATHEREI16_VV_M2_E8_MF2_MASK, VRGATHEREI16_VV }, // 7824
  { PseudoVRGATHEREI16_VV_M4_E16_M1, VRGATHEREI16_VV }, // 7825
  { PseudoVRGATHEREI16_VV_M4_E16_M1_MASK, VRGATHEREI16_VV }, // 7826
  { PseudoVRGATHEREI16_VV_M4_E16_M2, VRGATHEREI16_VV }, // 7827
  { PseudoVRGATHEREI16_VV_M4_E16_M2_MASK, VRGATHEREI16_VV }, // 7828
  { PseudoVRGATHEREI16_VV_M4_E16_M4, VRGATHEREI16_VV }, // 7829
  { PseudoVRGATHEREI16_VV_M4_E16_M4_MASK, VRGATHEREI16_VV }, // 7830
  { PseudoVRGATHEREI16_VV_M4_E16_M8, VRGATHEREI16_VV }, // 7831
  { PseudoVRGATHEREI16_VV_M4_E16_M8_MASK, VRGATHEREI16_VV }, // 7832
  { PseudoVRGATHEREI16_VV_M4_E32_M1, VRGATHEREI16_VV }, // 7833
  { PseudoVRGATHEREI16_VV_M4_E32_M1_MASK, VRGATHEREI16_VV }, // 7834
  { PseudoVRGATHEREI16_VV_M4_E32_M2, VRGATHEREI16_VV }, // 7835
  { PseudoVRGATHEREI16_VV_M4_E32_M2_MASK, VRGATHEREI16_VV }, // 7836
  { PseudoVRGATHEREI16_VV_M4_E32_M4, VRGATHEREI16_VV }, // 7837
  { PseudoVRGATHEREI16_VV_M4_E32_M4_MASK, VRGATHEREI16_VV }, // 7838
  { PseudoVRGATHEREI16_VV_M4_E32_M8, VRGATHEREI16_VV }, // 7839
  { PseudoVRGATHEREI16_VV_M4_E32_M8_MASK, VRGATHEREI16_VV }, // 7840
  { PseudoVRGATHEREI16_VV_M4_E64_M1, VRGATHEREI16_VV }, // 7841
  { PseudoVRGATHEREI16_VV_M4_E64_M1_MASK, VRGATHEREI16_VV }, // 7842
  { PseudoVRGATHEREI16_VV_M4_E64_M2, VRGATHEREI16_VV }, // 7843
  { PseudoVRGATHEREI16_VV_M4_E64_M2_MASK, VRGATHEREI16_VV }, // 7844
  { PseudoVRGATHEREI16_VV_M4_E64_M4, VRGATHEREI16_VV }, // 7845
  { PseudoVRGATHEREI16_VV_M4_E64_M4_MASK, VRGATHEREI16_VV }, // 7846
  { PseudoVRGATHEREI16_VV_M4_E64_M8, VRGATHEREI16_VV }, // 7847
  { PseudoVRGATHEREI16_VV_M4_E64_M8_MASK, VRGATHEREI16_VV }, // 7848
  { PseudoVRGATHEREI16_VV_M4_E8_M1, VRGATHEREI16_VV }, // 7849
  { PseudoVRGATHEREI16_VV_M4_E8_M1_MASK, VRGATHEREI16_VV }, // 7850
  { PseudoVRGATHEREI16_VV_M4_E8_M2, VRGATHEREI16_VV }, // 7851
  { PseudoVRGATHEREI16_VV_M4_E8_M2_MASK, VRGATHEREI16_VV }, // 7852
  { PseudoVRGATHEREI16_VV_M4_E8_M4, VRGATHEREI16_VV }, // 7853
  { PseudoVRGATHEREI16_VV_M4_E8_M4_MASK, VRGATHEREI16_VV }, // 7854
  { PseudoVRGATHEREI16_VV_M4_E8_M8, VRGATHEREI16_VV }, // 7855
  { PseudoVRGATHEREI16_VV_M4_E8_M8_MASK, VRGATHEREI16_VV }, // 7856
  { PseudoVRGATHEREI16_VV_M8_E16_M2, VRGATHEREI16_VV }, // 7857
  { PseudoVRGATHEREI16_VV_M8_E16_M2_MASK, VRGATHEREI16_VV }, // 7858
  { PseudoVRGATHEREI16_VV_M8_E16_M4, VRGATHEREI16_VV }, // 7859
  { PseudoVRGATHEREI16_VV_M8_E16_M4_MASK, VRGATHEREI16_VV }, // 7860
  { PseudoVRGATHEREI16_VV_M8_E16_M8, VRGATHEREI16_VV }, // 7861
  { PseudoVRGATHEREI16_VV_M8_E16_M8_MASK, VRGATHEREI16_VV }, // 7862
  { PseudoVRGATHEREI16_VV_M8_E32_M2, VRGATHEREI16_VV }, // 7863
  { PseudoVRGATHEREI16_VV_M8_E32_M2_MASK, VRGATHEREI16_VV }, // 7864
  { PseudoVRGATHEREI16_VV_M8_E32_M4, VRGATHEREI16_VV }, // 7865
  { PseudoVRGATHEREI16_VV_M8_E32_M4_MASK, VRGATHEREI16_VV }, // 7866
  { PseudoVRGATHEREI16_VV_M8_E32_M8, VRGATHEREI16_VV }, // 7867
  { PseudoVRGATHEREI16_VV_M8_E32_M8_MASK, VRGATHEREI16_VV }, // 7868
  { PseudoVRGATHEREI16_VV_M8_E64_M2, VRGATHEREI16_VV }, // 7869
  { PseudoVRGATHEREI16_VV_M8_E64_M2_MASK, VRGATHEREI16_VV }, // 7870
  { PseudoVRGATHEREI16_VV_M8_E64_M4, VRGATHEREI16_VV }, // 7871
  { PseudoVRGATHEREI16_VV_M8_E64_M4_MASK, VRGATHEREI16_VV }, // 7872
  { PseudoVRGATHEREI16_VV_M8_E64_M8, VRGATHEREI16_VV }, // 7873
  { PseudoVRGATHEREI16_VV_M8_E64_M8_MASK, VRGATHEREI16_VV }, // 7874
  { PseudoVRGATHEREI16_VV_M8_E8_M2, VRGATHEREI16_VV }, // 7875
  { PseudoVRGATHEREI16_VV_M8_E8_M2_MASK, VRGATHEREI16_VV }, // 7876
  { PseudoVRGATHEREI16_VV_M8_E8_M4, VRGATHEREI16_VV }, // 7877
  { PseudoVRGATHEREI16_VV_M8_E8_M4_MASK, VRGATHEREI16_VV }, // 7878
  { PseudoVRGATHEREI16_VV_M8_E8_M8, VRGATHEREI16_VV }, // 7879
  { PseudoVRGATHEREI16_VV_M8_E8_M8_MASK, VRGATHEREI16_VV }, // 7880
  { PseudoVRGATHEREI16_VV_MF2_E16_M1, VRGATHEREI16_VV }, // 7881
  { PseudoVRGATHEREI16_VV_MF2_E16_M1_MASK, VRGATHEREI16_VV }, // 7882
  { PseudoVRGATHEREI16_VV_MF2_E16_MF2, VRGATHEREI16_VV }, // 7883
  { PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK, VRGATHEREI16_VV }, // 7884
  { PseudoVRGATHEREI16_VV_MF2_E16_MF4, VRGATHEREI16_VV }, // 7885
  { PseudoVRGATHEREI16_VV_MF2_E16_MF4_MASK, VRGATHEREI16_VV }, // 7886
  { PseudoVRGATHEREI16_VV_MF2_E16_MF8, VRGATHEREI16_VV }, // 7887
  { PseudoVRGATHEREI16_VV_MF2_E16_MF8_MASK, VRGATHEREI16_VV }, // 7888
  { PseudoVRGATHEREI16_VV_MF2_E32_M1, VRGATHEREI16_VV }, // 7889
  { PseudoVRGATHEREI16_VV_MF2_E32_M1_MASK, VRGATHEREI16_VV }, // 7890
  { PseudoVRGATHEREI16_VV_MF2_E32_MF2, VRGATHEREI16_VV }, // 7891
  { PseudoVRGATHEREI16_VV_MF2_E32_MF2_MASK, VRGATHEREI16_VV }, // 7892
  { PseudoVRGATHEREI16_VV_MF2_E32_MF4, VRGATHEREI16_VV }, // 7893
  { PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK, VRGATHEREI16_VV }, // 7894
  { PseudoVRGATHEREI16_VV_MF2_E32_MF8, VRGATHEREI16_VV }, // 7895
  { PseudoVRGATHEREI16_VV_MF2_E32_MF8_MASK, VRGATHEREI16_VV }, // 7896
  { PseudoVRGATHEREI16_VV_MF2_E8_M1, VRGATHEREI16_VV }, // 7897
  { PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK, VRGATHEREI16_VV }, // 7898
  { PseudoVRGATHEREI16_VV_MF2_E8_MF2, VRGATHEREI16_VV }, // 7899
  { PseudoVRGATHEREI16_VV_MF2_E8_MF2_MASK, VRGATHEREI16_VV }, // 7900
  { PseudoVRGATHEREI16_VV_MF2_E8_MF4, VRGATHEREI16_VV }, // 7901
  { PseudoVRGATHEREI16_VV_MF2_E8_MF4_MASK, VRGATHEREI16_VV }, // 7902
  { PseudoVRGATHEREI16_VV_MF2_E8_MF8, VRGATHEREI16_VV }, // 7903
  { PseudoVRGATHEREI16_VV_MF2_E8_MF8_MASK, VRGATHEREI16_VV }, // 7904
  { PseudoVRGATHEREI16_VV_MF4_E16_MF2, VRGATHEREI16_VV }, // 7905
  { PseudoVRGATHEREI16_VV_MF4_E16_MF2_MASK, VRGATHEREI16_VV }, // 7906
  { PseudoVRGATHEREI16_VV_MF4_E16_MF4, VRGATHEREI16_VV }, // 7907
  { PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK, VRGATHEREI16_VV }, // 7908
  { PseudoVRGATHEREI16_VV_MF4_E16_MF8, VRGATHEREI16_VV }, // 7909
  { PseudoVRGATHEREI16_VV_MF4_E16_MF8_MASK, VRGATHEREI16_VV }, // 7910
  { PseudoVRGATHEREI16_VV_MF4_E8_MF2, VRGATHEREI16_VV }, // 7911
  { PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK, VRGATHEREI16_VV }, // 7912
  { PseudoVRGATHEREI16_VV_MF4_E8_MF4, VRGATHEREI16_VV }, // 7913
  { PseudoVRGATHEREI16_VV_MF4_E8_MF4_MASK, VRGATHEREI16_VV }, // 7914
  { PseudoVRGATHEREI16_VV_MF4_E8_MF8, VRGATHEREI16_VV }, // 7915
  { PseudoVRGATHEREI16_VV_MF4_E8_MF8_MASK, VRGATHEREI16_VV }, // 7916
  { PseudoVRGATHEREI16_VV_MF8_E8_MF4, VRGATHEREI16_VV }, // 7917
  { PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK, VRGATHEREI16_VV }, // 7918
  { PseudoVRGATHEREI16_VV_MF8_E8_MF8, VRGATHEREI16_VV }, // 7919
  { PseudoVRGATHEREI16_VV_MF8_E8_MF8_MASK, VRGATHEREI16_VV }, // 7920
  { PseudoVRGATHER_VI_M1, VRGATHER_VI }, // 7921
  { PseudoVRGATHER_VI_M1_MASK, VRGATHER_VI }, // 7922
  { PseudoVRGATHER_VI_M2, VRGATHER_VI }, // 7923
  { PseudoVRGATHER_VI_M2_MASK, VRGATHER_VI }, // 7924
  { PseudoVRGATHER_VI_M4, VRGATHER_VI }, // 7925
  { PseudoVRGATHER_VI_M4_MASK, VRGATHER_VI }, // 7926
  { PseudoVRGATHER_VI_M8, VRGATHER_VI }, // 7927
  { PseudoVRGATHER_VI_M8_MASK, VRGATHER_VI }, // 7928
  { PseudoVRGATHER_VI_MF2, VRGATHER_VI }, // 7929
  { PseudoVRGATHER_VI_MF2_MASK, VRGATHER_VI }, // 7930
  { PseudoVRGATHER_VI_MF4, VRGATHER_VI }, // 7931
  { PseudoVRGATHER_VI_MF4_MASK, VRGATHER_VI }, // 7932
  { PseudoVRGATHER_VI_MF8, VRGATHER_VI }, // 7933
  { PseudoVRGATHER_VI_MF8_MASK, VRGATHER_VI }, // 7934
  { PseudoVRGATHER_VV_M1_E16, VRGATHER_VV }, // 7935
  { PseudoVRGATHER_VV_M1_E16_MASK, VRGATHER_VV }, // 7936
  { PseudoVRGATHER_VV_M1_E32, VRGATHER_VV }, // 7937
  { PseudoVRGATHER_VV_M1_E32_MASK, VRGATHER_VV }, // 7938
  { PseudoVRGATHER_VV_M1_E64, VRGATHER_VV }, // 7939
  { PseudoVRGATHER_VV_M1_E64_MASK, VRGATHER_VV }, // 7940
  { PseudoVRGATHER_VV_M1_E8, VRGATHER_VV }, // 7941
  { PseudoVRGATHER_VV_M1_E8_MASK, VRGATHER_VV }, // 7942
  { PseudoVRGATHER_VV_M2_E16, VRGATHER_VV }, // 7943
  { PseudoVRGATHER_VV_M2_E16_MASK, VRGATHER_VV }, // 7944
  { PseudoVRGATHER_VV_M2_E32, VRGATHER_VV }, // 7945
  { PseudoVRGATHER_VV_M2_E32_MASK, VRGATHER_VV }, // 7946
  { PseudoVRGATHER_VV_M2_E64, VRGATHER_VV }, // 7947
  { PseudoVRGATHER_VV_M2_E64_MASK, VRGATHER_VV }, // 7948
  { PseudoVRGATHER_VV_M2_E8, VRGATHER_VV }, // 7949
  { PseudoVRGATHER_VV_M2_E8_MASK, VRGATHER_VV }, // 7950
  { PseudoVRGATHER_VV_M4_E16, VRGATHER_VV }, // 7951
  { PseudoVRGATHER_VV_M4_E16_MASK, VRGATHER_VV }, // 7952
  { PseudoVRGATHER_VV_M4_E32, VRGATHER_VV }, // 7953
  { PseudoVRGATHER_VV_M4_E32_MASK, VRGATHER_VV }, // 7954
  { PseudoVRGATHER_VV_M4_E64, VRGATHER_VV }, // 7955
  { PseudoVRGATHER_VV_M4_E64_MASK, VRGATHER_VV }, // 7956
  { PseudoVRGATHER_VV_M4_E8, VRGATHER_VV }, // 7957
  { PseudoVRGATHER_VV_M4_E8_MASK, VRGATHER_VV }, // 7958
  { PseudoVRGATHER_VV_M8_E16, VRGATHER_VV }, // 7959
  { PseudoVRGATHER_VV_M8_E16_MASK, VRGATHER_VV }, // 7960
  { PseudoVRGATHER_VV_M8_E32, VRGATHER_VV }, // 7961
  { PseudoVRGATHER_VV_M8_E32_MASK, VRGATHER_VV }, // 7962
  { PseudoVRGATHER_VV_M8_E64, VRGATHER_VV }, // 7963
  { PseudoVRGATHER_VV_M8_E64_MASK, VRGATHER_VV }, // 7964
  { PseudoVRGATHER_VV_M8_E8, VRGATHER_VV }, // 7965
  { PseudoVRGATHER_VV_M8_E8_MASK, VRGATHER_VV }, // 7966
  { PseudoVRGATHER_VV_MF2_E16, VRGATHER_VV }, // 7967
  { PseudoVRGATHER_VV_MF2_E16_MASK, VRGATHER_VV }, // 7968
  { PseudoVRGATHER_VV_MF2_E32, VRGATHER_VV }, // 7969
  { PseudoVRGATHER_VV_MF2_E32_MASK, VRGATHER_VV }, // 7970
  { PseudoVRGATHER_VV_MF2_E8, VRGATHER_VV }, // 7971
  { PseudoVRGATHER_VV_MF2_E8_MASK, VRGATHER_VV }, // 7972
  { PseudoVRGATHER_VV_MF4_E16, VRGATHER_VV }, // 7973
  { PseudoVRGATHER_VV_MF4_E16_MASK, VRGATHER_VV }, // 7974
  { PseudoVRGATHER_VV_MF4_E8, VRGATHER_VV }, // 7975
  { PseudoVRGATHER_VV_MF4_E8_MASK, VRGATHER_VV }, // 7976
  { PseudoVRGATHER_VV_MF8_E8, VRGATHER_VV }, // 7977
  { PseudoVRGATHER_VV_MF8_E8_MASK, VRGATHER_VV }, // 7978
  { PseudoVRGATHER_VX_M1, VRGATHER_VX }, // 7979
  { PseudoVRGATHER_VX_M1_MASK, VRGATHER_VX }, // 7980
  { PseudoVRGATHER_VX_M2, VRGATHER_VX }, // 7981
  { PseudoVRGATHER_VX_M2_MASK, VRGATHER_VX }, // 7982
  { PseudoVRGATHER_VX_M4, VRGATHER_VX }, // 7983
  { PseudoVRGATHER_VX_M4_MASK, VRGATHER_VX }, // 7984
  { PseudoVRGATHER_VX_M8, VRGATHER_VX }, // 7985
  { PseudoVRGATHER_VX_M8_MASK, VRGATHER_VX }, // 7986
  { PseudoVRGATHER_VX_MF2, VRGATHER_VX }, // 7987
  { PseudoVRGATHER_VX_MF2_MASK, VRGATHER_VX }, // 7988
  { PseudoVRGATHER_VX_MF4, VRGATHER_VX }, // 7989
  { PseudoVRGATHER_VX_MF4_MASK, VRGATHER_VX }, // 7990
  { PseudoVRGATHER_VX_MF8, VRGATHER_VX }, // 7991
  { PseudoVRGATHER_VX_MF8_MASK, VRGATHER_VX }, // 7992
  { PseudoVROL_VV_M1, VROL_VV }, // 7993
  { PseudoVROL_VV_M1_MASK, VROL_VV }, // 7994
  { PseudoVROL_VV_M2, VROL_VV }, // 7995
  { PseudoVROL_VV_M2_MASK, VROL_VV }, // 7996
  { PseudoVROL_VV_M4, VROL_VV }, // 7997
  { PseudoVROL_VV_M4_MASK, VROL_VV }, // 7998
  { PseudoVROL_VV_M8, VROL_VV }, // 7999
  { PseudoVROL_VV_M8_MASK, VROL_VV }, // 8000
  { PseudoVROL_VV_MF2, VROL_VV }, // 8001
  { PseudoVROL_VV_MF2_MASK, VROL_VV }, // 8002
  { PseudoVROL_VV_MF4, VROL_VV }, // 8003
  { PseudoVROL_VV_MF4_MASK, VROL_VV }, // 8004
  { PseudoVROL_VV_MF8, VROL_VV }, // 8005
  { PseudoVROL_VV_MF8_MASK, VROL_VV }, // 8006
  { PseudoVROL_VX_M1, VROL_VX }, // 8007
  { PseudoVROL_VX_M1_MASK, VROL_VX }, // 8008
  { PseudoVROL_VX_M2, VROL_VX }, // 8009
  { PseudoVROL_VX_M2_MASK, VROL_VX }, // 8010
  { PseudoVROL_VX_M4, VROL_VX }, // 8011
  { PseudoVROL_VX_M4_MASK, VROL_VX }, // 8012
  { PseudoVROL_VX_M8, VROL_VX }, // 8013
  { PseudoVROL_VX_M8_MASK, VROL_VX }, // 8014
  { PseudoVROL_VX_MF2, VROL_VX }, // 8015
  { PseudoVROL_VX_MF2_MASK, VROL_VX }, // 8016
  { PseudoVROL_VX_MF4, VROL_VX }, // 8017
  { PseudoVROL_VX_MF4_MASK, VROL_VX }, // 8018
  { PseudoVROL_VX_MF8, VROL_VX }, // 8019
  { PseudoVROL_VX_MF8_MASK, VROL_VX }, // 8020
  { PseudoVROR_VI_M1, VROR_VI }, // 8021
  { PseudoVROR_VI_M1_MASK, VROR_VI }, // 8022
  { PseudoVROR_VI_M2, VROR_VI }, // 8023
  { PseudoVROR_VI_M2_MASK, VROR_VI }, // 8024
  { PseudoVROR_VI_M4, VROR_VI }, // 8025
  { PseudoVROR_VI_M4_MASK, VROR_VI }, // 8026
  { PseudoVROR_VI_M8, VROR_VI }, // 8027
  { PseudoVROR_VI_M8_MASK, VROR_VI }, // 8028
  { PseudoVROR_VI_MF2, VROR_VI }, // 8029
  { PseudoVROR_VI_MF2_MASK, VROR_VI }, // 8030
  { PseudoVROR_VI_MF4, VROR_VI }, // 8031
  { PseudoVROR_VI_MF4_MASK, VROR_VI }, // 8032
  { PseudoVROR_VI_MF8, VROR_VI }, // 8033
  { PseudoVROR_VI_MF8_MASK, VROR_VI }, // 8034
  { PseudoVROR_VV_M1, VROR_VV }, // 8035
  { PseudoVROR_VV_M1_MASK, VROR_VV }, // 8036
  { PseudoVROR_VV_M2, VROR_VV }, // 8037
  { PseudoVROR_VV_M2_MASK, VROR_VV }, // 8038
  { PseudoVROR_VV_M4, VROR_VV }, // 8039
  { PseudoVROR_VV_M4_MASK, VROR_VV }, // 8040
  { PseudoVROR_VV_M8, VROR_VV }, // 8041
  { PseudoVROR_VV_M8_MASK, VROR_VV }, // 8042
  { PseudoVROR_VV_MF2, VROR_VV }, // 8043
  { PseudoVROR_VV_MF2_MASK, VROR_VV }, // 8044
  { PseudoVROR_VV_MF4, VROR_VV }, // 8045
  { PseudoVROR_VV_MF4_MASK, VROR_VV }, // 8046
  { PseudoVROR_VV_MF8, VROR_VV }, // 8047
  { PseudoVROR_VV_MF8_MASK, VROR_VV }, // 8048
  { PseudoVROR_VX_M1, VROR_VX }, // 8049
  { PseudoVROR_VX_M1_MASK, VROR_VX }, // 8050
  { PseudoVROR_VX_M2, VROR_VX }, // 8051
  { PseudoVROR_VX_M2_MASK, VROR_VX }, // 8052
  { PseudoVROR_VX_M4, VROR_VX }, // 8053
  { PseudoVROR_VX_M4_MASK, VROR_VX }, // 8054
  { PseudoVROR_VX_M8, VROR_VX }, // 8055
  { PseudoVROR_VX_M8_MASK, VROR_VX }, // 8056
  { PseudoVROR_VX_MF2, VROR_VX }, // 8057
  { PseudoVROR_VX_MF2_MASK, VROR_VX }, // 8058
  { PseudoVROR_VX_MF4, VROR_VX }, // 8059
  { PseudoVROR_VX_MF4_MASK, VROR_VX }, // 8060
  { PseudoVROR_VX_MF8, VROR_VX }, // 8061
  { PseudoVROR_VX_MF8_MASK, VROR_VX }, // 8062
  { PseudoVRSUB_VI_M1, VRSUB_VI }, // 8063
  { PseudoVRSUB_VI_M1_MASK, VRSUB_VI }, // 8064
  { PseudoVRSUB_VI_M2, VRSUB_VI }, // 8065
  { PseudoVRSUB_VI_M2_MASK, VRSUB_VI }, // 8066
  { PseudoVRSUB_VI_M4, VRSUB_VI }, // 8067
  { PseudoVRSUB_VI_M4_MASK, VRSUB_VI }, // 8068
  { PseudoVRSUB_VI_M8, VRSUB_VI }, // 8069
  { PseudoVRSUB_VI_M8_MASK, VRSUB_VI }, // 8070
  { PseudoVRSUB_VI_MF2, VRSUB_VI }, // 8071
  { PseudoVRSUB_VI_MF2_MASK, VRSUB_VI }, // 8072
  { PseudoVRSUB_VI_MF4, VRSUB_VI }, // 8073
  { PseudoVRSUB_VI_MF4_MASK, VRSUB_VI }, // 8074
  { PseudoVRSUB_VI_MF8, VRSUB_VI }, // 8075
  { PseudoVRSUB_VI_MF8_MASK, VRSUB_VI }, // 8076
  { PseudoVRSUB_VX_M1, VRSUB_VX }, // 8077
  { PseudoVRSUB_VX_M1_MASK, VRSUB_VX }, // 8078
  { PseudoVRSUB_VX_M2, VRSUB_VX }, // 8079
  { PseudoVRSUB_VX_M2_MASK, VRSUB_VX }, // 8080
  { PseudoVRSUB_VX_M4, VRSUB_VX }, // 8081
  { PseudoVRSUB_VX_M4_MASK, VRSUB_VX }, // 8082
  { PseudoVRSUB_VX_M8, VRSUB_VX }, // 8083
  { PseudoVRSUB_VX_M8_MASK, VRSUB_VX }, // 8084
  { PseudoVRSUB_VX_MF2, VRSUB_VX }, // 8085
  { PseudoVRSUB_VX_MF2_MASK, VRSUB_VX }, // 8086
  { PseudoVRSUB_VX_MF4, VRSUB_VX }, // 8087
  { PseudoVRSUB_VX_MF4_MASK, VRSUB_VX }, // 8088
  { PseudoVRSUB_VX_MF8, VRSUB_VX }, // 8089
  { PseudoVRSUB_VX_MF8_MASK, VRSUB_VX }, // 8090
  { PseudoVSADDU_VI_M1, VSADDU_VI }, // 8091
  { PseudoVSADDU_VI_M1_MASK, VSADDU_VI }, // 8092
  { PseudoVSADDU_VI_M2, VSADDU_VI }, // 8093
  { PseudoVSADDU_VI_M2_MASK, VSADDU_VI }, // 8094
  { PseudoVSADDU_VI_M4, VSADDU_VI }, // 8095
  { PseudoVSADDU_VI_M4_MASK, VSADDU_VI }, // 8096
  { PseudoVSADDU_VI_M8, VSADDU_VI }, // 8097
  { PseudoVSADDU_VI_M8_MASK, VSADDU_VI }, // 8098
  { PseudoVSADDU_VI_MF2, VSADDU_VI }, // 8099
  { PseudoVSADDU_VI_MF2_MASK, VSADDU_VI }, // 8100
  { PseudoVSADDU_VI_MF4, VSADDU_VI }, // 8101
  { PseudoVSADDU_VI_MF4_MASK, VSADDU_VI }, // 8102
  { PseudoVSADDU_VI_MF8, VSADDU_VI }, // 8103
  { PseudoVSADDU_VI_MF8_MASK, VSADDU_VI }, // 8104
  { PseudoVSADDU_VV_M1, VSADDU_VV }, // 8105
  { PseudoVSADDU_VV_M1_MASK, VSADDU_VV }, // 8106
  { PseudoVSADDU_VV_M2, VSADDU_VV }, // 8107
  { PseudoVSADDU_VV_M2_MASK, VSADDU_VV }, // 8108
  { PseudoVSADDU_VV_M4, VSADDU_VV }, // 8109
  { PseudoVSADDU_VV_M4_MASK, VSADDU_VV }, // 8110
  { PseudoVSADDU_VV_M8, VSADDU_VV }, // 8111
  { PseudoVSADDU_VV_M8_MASK, VSADDU_VV }, // 8112
  { PseudoVSADDU_VV_MF2, VSADDU_VV }, // 8113
  { PseudoVSADDU_VV_MF2_MASK, VSADDU_VV }, // 8114
  { PseudoVSADDU_VV_MF4, VSADDU_VV }, // 8115
  { PseudoVSADDU_VV_MF4_MASK, VSADDU_VV }, // 8116
  { PseudoVSADDU_VV_MF8, VSADDU_VV }, // 8117
  { PseudoVSADDU_VV_MF8_MASK, VSADDU_VV }, // 8118
  { PseudoVSADDU_VX_M1, VSADDU_VX }, // 8119
  { PseudoVSADDU_VX_M1_MASK, VSADDU_VX }, // 8120
  { PseudoVSADDU_VX_M2, VSADDU_VX }, // 8121
  { PseudoVSADDU_VX_M2_MASK, VSADDU_VX }, // 8122
  { PseudoVSADDU_VX_M4, VSADDU_VX }, // 8123
  { PseudoVSADDU_VX_M4_MASK, VSADDU_VX }, // 8124
  { PseudoVSADDU_VX_M8, VSADDU_VX }, // 8125
  { PseudoVSADDU_VX_M8_MASK, VSADDU_VX }, // 8126
  { PseudoVSADDU_VX_MF2, VSADDU_VX }, // 8127
  { PseudoVSADDU_VX_MF2_MASK, VSADDU_VX }, // 8128
  { PseudoVSADDU_VX_MF4, VSADDU_VX }, // 8129
  { PseudoVSADDU_VX_MF4_MASK, VSADDU_VX }, // 8130
  { PseudoVSADDU_VX_MF8, VSADDU_VX }, // 8131
  { PseudoVSADDU_VX_MF8_MASK, VSADDU_VX }, // 8132
  { PseudoVSADD_VI_M1, VSADD_VI }, // 8133
  { PseudoVSADD_VI_M1_MASK, VSADD_VI }, // 8134
  { PseudoVSADD_VI_M2, VSADD_VI }, // 8135
  { PseudoVSADD_VI_M2_MASK, VSADD_VI }, // 8136
  { PseudoVSADD_VI_M4, VSADD_VI }, // 8137
  { PseudoVSADD_VI_M4_MASK, VSADD_VI }, // 8138
  { PseudoVSADD_VI_M8, VSADD_VI }, // 8139
  { PseudoVSADD_VI_M8_MASK, VSADD_VI }, // 8140
  { PseudoVSADD_VI_MF2, VSADD_VI }, // 8141
  { PseudoVSADD_VI_MF2_MASK, VSADD_VI }, // 8142
  { PseudoVSADD_VI_MF4, VSADD_VI }, // 8143
  { PseudoVSADD_VI_MF4_MASK, VSADD_VI }, // 8144
  { PseudoVSADD_VI_MF8, VSADD_VI }, // 8145
  { PseudoVSADD_VI_MF8_MASK, VSADD_VI }, // 8146
  { PseudoVSADD_VV_M1, VSADD_VV }, // 8147
  { PseudoVSADD_VV_M1_MASK, VSADD_VV }, // 8148
  { PseudoVSADD_VV_M2, VSADD_VV }, // 8149
  { PseudoVSADD_VV_M2_MASK, VSADD_VV }, // 8150
  { PseudoVSADD_VV_M4, VSADD_VV }, // 8151
  { PseudoVSADD_VV_M4_MASK, VSADD_VV }, // 8152
  { PseudoVSADD_VV_M8, VSADD_VV }, // 8153
  { PseudoVSADD_VV_M8_MASK, VSADD_VV }, // 8154
  { PseudoVSADD_VV_MF2, VSADD_VV }, // 8155
  { PseudoVSADD_VV_MF2_MASK, VSADD_VV }, // 8156
  { PseudoVSADD_VV_MF4, VSADD_VV }, // 8157
  { PseudoVSADD_VV_MF4_MASK, VSADD_VV }, // 8158
  { PseudoVSADD_VV_MF8, VSADD_VV }, // 8159
  { PseudoVSADD_VV_MF8_MASK, VSADD_VV }, // 8160
  { PseudoVSADD_VX_M1, VSADD_VX }, // 8161
  { PseudoVSADD_VX_M1_MASK, VSADD_VX }, // 8162
  { PseudoVSADD_VX_M2, VSADD_VX }, // 8163
  { PseudoVSADD_VX_M2_MASK, VSADD_VX }, // 8164
  { PseudoVSADD_VX_M4, VSADD_VX }, // 8165
  { PseudoVSADD_VX_M4_MASK, VSADD_VX }, // 8166
  { PseudoVSADD_VX_M8, VSADD_VX }, // 8167
  { PseudoVSADD_VX_M8_MASK, VSADD_VX }, // 8168
  { PseudoVSADD_VX_MF2, VSADD_VX }, // 8169
  { PseudoVSADD_VX_MF2_MASK, VSADD_VX }, // 8170
  { PseudoVSADD_VX_MF4, VSADD_VX }, // 8171
  { PseudoVSADD_VX_MF4_MASK, VSADD_VX }, // 8172
  { PseudoVSADD_VX_MF8, VSADD_VX }, // 8173
  { PseudoVSADD_VX_MF8_MASK, VSADD_VX }, // 8174
  { PseudoVSBC_VVM_M1, VSBC_VVM }, // 8175
  { PseudoVSBC_VVM_M2, VSBC_VVM }, // 8176
  { PseudoVSBC_VVM_M4, VSBC_VVM }, // 8177
  { PseudoVSBC_VVM_M8, VSBC_VVM }, // 8178
  { PseudoVSBC_VVM_MF2, VSBC_VVM }, // 8179
  { PseudoVSBC_VVM_MF4, VSBC_VVM }, // 8180
  { PseudoVSBC_VVM_MF8, VSBC_VVM }, // 8181
  { PseudoVSBC_VXM_M1, VSBC_VXM }, // 8182
  { PseudoVSBC_VXM_M2, VSBC_VXM }, // 8183
  { PseudoVSBC_VXM_M4, VSBC_VXM }, // 8184
  { PseudoVSBC_VXM_M8, VSBC_VXM }, // 8185
  { PseudoVSBC_VXM_MF2, VSBC_VXM }, // 8186
  { PseudoVSBC_VXM_MF4, VSBC_VXM }, // 8187
  { PseudoVSBC_VXM_MF8, VSBC_VXM }, // 8188
  { PseudoVSE16_V_M1, VSE16_V }, // 8189
  { PseudoVSE16_V_M1_MASK, VSE16_V }, // 8190
  { PseudoVSE16_V_M2, VSE16_V }, // 8191
  { PseudoVSE16_V_M2_MASK, VSE16_V }, // 8192
  { PseudoVSE16_V_M4, VSE16_V }, // 8193
  { PseudoVSE16_V_M4_MASK, VSE16_V }, // 8194
  { PseudoVSE16_V_M8, VSE16_V }, // 8195
  { PseudoVSE16_V_M8_MASK, VSE16_V }, // 8196
  { PseudoVSE16_V_MF2, VSE16_V }, // 8197
  { PseudoVSE16_V_MF2_MASK, VSE16_V }, // 8198
  { PseudoVSE16_V_MF4, VSE16_V }, // 8199
  { PseudoVSE16_V_MF4_MASK, VSE16_V }, // 8200
  { PseudoVSE32_V_M1, VSE32_V }, // 8201
  { PseudoVSE32_V_M1_MASK, VSE32_V }, // 8202
  { PseudoVSE32_V_M2, VSE32_V }, // 8203
  { PseudoVSE32_V_M2_MASK, VSE32_V }, // 8204
  { PseudoVSE32_V_M4, VSE32_V }, // 8205
  { PseudoVSE32_V_M4_MASK, VSE32_V }, // 8206
  { PseudoVSE32_V_M8, VSE32_V }, // 8207
  { PseudoVSE32_V_M8_MASK, VSE32_V }, // 8208
  { PseudoVSE32_V_MF2, VSE32_V }, // 8209
  { PseudoVSE32_V_MF2_MASK, VSE32_V }, // 8210
  { PseudoVSE64_V_M1, VSE64_V }, // 8211
  { PseudoVSE64_V_M1_MASK, VSE64_V }, // 8212
  { PseudoVSE64_V_M2, VSE64_V }, // 8213
  { PseudoVSE64_V_M2_MASK, VSE64_V }, // 8214
  { PseudoVSE64_V_M4, VSE64_V }, // 8215
  { PseudoVSE64_V_M4_MASK, VSE64_V }, // 8216
  { PseudoVSE64_V_M8, VSE64_V }, // 8217
  { PseudoVSE64_V_M8_MASK, VSE64_V }, // 8218
  { PseudoVSE8_V_M1, VSE8_V }, // 8219
  { PseudoVSE8_V_M1_MASK, VSE8_V }, // 8220
  { PseudoVSE8_V_M2, VSE8_V }, // 8221
  { PseudoVSE8_V_M2_MASK, VSE8_V }, // 8222
  { PseudoVSE8_V_M4, VSE8_V }, // 8223
  { PseudoVSE8_V_M4_MASK, VSE8_V }, // 8224
  { PseudoVSE8_V_M8, VSE8_V }, // 8225
  { PseudoVSE8_V_M8_MASK, VSE8_V }, // 8226
  { PseudoVSE8_V_MF2, VSE8_V }, // 8227
  { PseudoVSE8_V_MF2_MASK, VSE8_V }, // 8228
  { PseudoVSE8_V_MF4, VSE8_V }, // 8229
  { PseudoVSE8_V_MF4_MASK, VSE8_V }, // 8230
  { PseudoVSE8_V_MF8, VSE8_V }, // 8231
  { PseudoVSE8_V_MF8_MASK, VSE8_V }, // 8232
  { PseudoVSEXT_VF2_M1, VSEXT_VF2 }, // 8233
  { PseudoVSEXT_VF2_M1_MASK, VSEXT_VF2 }, // 8234
  { PseudoVSEXT_VF2_M2, VSEXT_VF2 }, // 8235
  { PseudoVSEXT_VF2_M2_MASK, VSEXT_VF2 }, // 8236
  { PseudoVSEXT_VF2_M4, VSEXT_VF2 }, // 8237
  { PseudoVSEXT_VF2_M4_MASK, VSEXT_VF2 }, // 8238
  { PseudoVSEXT_VF2_M8, VSEXT_VF2 }, // 8239
  { PseudoVSEXT_VF2_M8_MASK, VSEXT_VF2 }, // 8240
  { PseudoVSEXT_VF2_MF2, VSEXT_VF2 }, // 8241
  { PseudoVSEXT_VF2_MF2_MASK, VSEXT_VF2 }, // 8242
  { PseudoVSEXT_VF2_MF4, VSEXT_VF2 }, // 8243
  { PseudoVSEXT_VF2_MF4_MASK, VSEXT_VF2 }, // 8244
  { PseudoVSEXT_VF4_M1, VSEXT_VF4 }, // 8245
  { PseudoVSEXT_VF4_M1_MASK, VSEXT_VF4 }, // 8246
  { PseudoVSEXT_VF4_M2, VSEXT_VF4 }, // 8247
  { PseudoVSEXT_VF4_M2_MASK, VSEXT_VF4 }, // 8248
  { PseudoVSEXT_VF4_M4, VSEXT_VF4 }, // 8249
  { PseudoVSEXT_VF4_M4_MASK, VSEXT_VF4 }, // 8250
  { PseudoVSEXT_VF4_M8, VSEXT_VF4 }, // 8251
  { PseudoVSEXT_VF4_M8_MASK, VSEXT_VF4 }, // 8252
  { PseudoVSEXT_VF4_MF2, VSEXT_VF4 }, // 8253
  { PseudoVSEXT_VF4_MF2_MASK, VSEXT_VF4 }, // 8254
  { PseudoVSEXT_VF8_M1, VSEXT_VF8 }, // 8255
  { PseudoVSEXT_VF8_M1_MASK, VSEXT_VF8 }, // 8256
  { PseudoVSEXT_VF8_M2, VSEXT_VF8 }, // 8257
  { PseudoVSEXT_VF8_M2_MASK, VSEXT_VF8 }, // 8258
  { PseudoVSEXT_VF8_M4, VSEXT_VF8 }, // 8259
  { PseudoVSEXT_VF8_M4_MASK, VSEXT_VF8 }, // 8260
  { PseudoVSEXT_VF8_M8, VSEXT_VF8 }, // 8261
  { PseudoVSEXT_VF8_M8_MASK, VSEXT_VF8 }, // 8262
  { PseudoVSHA2CH_VV_M1, VSHA2CH_VV }, // 8263
  { PseudoVSHA2CH_VV_M2, VSHA2CH_VV }, // 8264
  { PseudoVSHA2CH_VV_M4, VSHA2CH_VV }, // 8265
  { PseudoVSHA2CH_VV_M8, VSHA2CH_VV }, // 8266
  { PseudoVSHA2CH_VV_MF2, VSHA2CH_VV }, // 8267
  { PseudoVSHA2CL_VV_M1, VSHA2CL_VV }, // 8268
  { PseudoVSHA2CL_VV_M2, VSHA2CL_VV }, // 8269
  { PseudoVSHA2CL_VV_M4, VSHA2CL_VV }, // 8270
  { PseudoVSHA2CL_VV_M8, VSHA2CL_VV }, // 8271
  { PseudoVSHA2CL_VV_MF2, VSHA2CL_VV }, // 8272
  { PseudoVSHA2MS_VV_M1, VSHA2MS_VV }, // 8273
  { PseudoVSHA2MS_VV_M2, VSHA2MS_VV }, // 8274
  { PseudoVSHA2MS_VV_M4, VSHA2MS_VV }, // 8275
  { PseudoVSHA2MS_VV_M8, VSHA2MS_VV }, // 8276
  { PseudoVSHA2MS_VV_MF2, VSHA2MS_VV }, // 8277
  { PseudoVSLIDE1DOWN_VX_M1, VSLIDE1DOWN_VX }, // 8278
  { PseudoVSLIDE1DOWN_VX_M1_MASK, VSLIDE1DOWN_VX }, // 8279
  { PseudoVSLIDE1DOWN_VX_M2, VSLIDE1DOWN_VX }, // 8280
  { PseudoVSLIDE1DOWN_VX_M2_MASK, VSLIDE1DOWN_VX }, // 8281
  { PseudoVSLIDE1DOWN_VX_M4, VSLIDE1DOWN_VX }, // 8282
  { PseudoVSLIDE1DOWN_VX_M4_MASK, VSLIDE1DOWN_VX }, // 8283
  { PseudoVSLIDE1DOWN_VX_M8, VSLIDE1DOWN_VX }, // 8284
  { PseudoVSLIDE1DOWN_VX_M8_MASK, VSLIDE1DOWN_VX }, // 8285
  { PseudoVSLIDE1DOWN_VX_MF2, VSLIDE1DOWN_VX }, // 8286
  { PseudoVSLIDE1DOWN_VX_MF2_MASK, VSLIDE1DOWN_VX }, // 8287
  { PseudoVSLIDE1DOWN_VX_MF4, VSLIDE1DOWN_VX }, // 8288
  { PseudoVSLIDE1DOWN_VX_MF4_MASK, VSLIDE1DOWN_VX }, // 8289
  { PseudoVSLIDE1DOWN_VX_MF8, VSLIDE1DOWN_VX }, // 8290
  { PseudoVSLIDE1DOWN_VX_MF8_MASK, VSLIDE1DOWN_VX }, // 8291
  { PseudoVSLIDE1UP_VX_M1, VSLIDE1UP_VX }, // 8292
  { PseudoVSLIDE1UP_VX_M1_MASK, VSLIDE1UP_VX }, // 8293
  { PseudoVSLIDE1UP_VX_M2, VSLIDE1UP_VX }, // 8294
  { PseudoVSLIDE1UP_VX_M2_MASK, VSLIDE1UP_VX }, // 8295
  { PseudoVSLIDE1UP_VX_M4, VSLIDE1UP_VX }, // 8296
  { PseudoVSLIDE1UP_VX_M4_MASK, VSLIDE1UP_VX }, // 8297
  { PseudoVSLIDE1UP_VX_M8, VSLIDE1UP_VX }, // 8298
  { PseudoVSLIDE1UP_VX_M8_MASK, VSLIDE1UP_VX }, // 8299
  { PseudoVSLIDE1UP_VX_MF2, VSLIDE1UP_VX }, // 8300
  { PseudoVSLIDE1UP_VX_MF2_MASK, VSLIDE1UP_VX }, // 8301
  { PseudoVSLIDE1UP_VX_MF4, VSLIDE1UP_VX }, // 8302
  { PseudoVSLIDE1UP_VX_MF4_MASK, VSLIDE1UP_VX }, // 8303
  { PseudoVSLIDE1UP_VX_MF8, VSLIDE1UP_VX }, // 8304
  { PseudoVSLIDE1UP_VX_MF8_MASK, VSLIDE1UP_VX }, // 8305
  { PseudoVSLIDEDOWN_VI_M1, VSLIDEDOWN_VI }, // 8306
  { PseudoVSLIDEDOWN_VI_M1_MASK, VSLIDEDOWN_VI }, // 8307
  { PseudoVSLIDEDOWN_VI_M2, VSLIDEDOWN_VI }, // 8308
  { PseudoVSLIDEDOWN_VI_M2_MASK, VSLIDEDOWN_VI }, // 8309
  { PseudoVSLIDEDOWN_VI_M4, VSLIDEDOWN_VI }, // 8310
  { PseudoVSLIDEDOWN_VI_M4_MASK, VSLIDEDOWN_VI }, // 8311
  { PseudoVSLIDEDOWN_VI_M8, VSLIDEDOWN_VI }, // 8312
  { PseudoVSLIDEDOWN_VI_M8_MASK, VSLIDEDOWN_VI }, // 8313
  { PseudoVSLIDEDOWN_VI_MF2, VSLIDEDOWN_VI }, // 8314
  { PseudoVSLIDEDOWN_VI_MF2_MASK, VSLIDEDOWN_VI }, // 8315
  { PseudoVSLIDEDOWN_VI_MF4, VSLIDEDOWN_VI }, // 8316
  { PseudoVSLIDEDOWN_VI_MF4_MASK, VSLIDEDOWN_VI }, // 8317
  { PseudoVSLIDEDOWN_VI_MF8, VSLIDEDOWN_VI }, // 8318
  { PseudoVSLIDEDOWN_VI_MF8_MASK, VSLIDEDOWN_VI }, // 8319
  { PseudoVSLIDEDOWN_VX_M1, VSLIDEDOWN_VX }, // 8320
  { PseudoVSLIDEDOWN_VX_M1_MASK, VSLIDEDOWN_VX }, // 8321
  { PseudoVSLIDEDOWN_VX_M2, VSLIDEDOWN_VX }, // 8322
  { PseudoVSLIDEDOWN_VX_M2_MASK, VSLIDEDOWN_VX }, // 8323
  { PseudoVSLIDEDOWN_VX_M4, VSLIDEDOWN_VX }, // 8324
  { PseudoVSLIDEDOWN_VX_M4_MASK, VSLIDEDOWN_VX }, // 8325
  { PseudoVSLIDEDOWN_VX_M8, VSLIDEDOWN_VX }, // 8326
  { PseudoVSLIDEDOWN_VX_M8_MASK, VSLIDEDOWN_VX }, // 8327
  { PseudoVSLIDEDOWN_VX_MF2, VSLIDEDOWN_VX }, // 8328
  { PseudoVSLIDEDOWN_VX_MF2_MASK, VSLIDEDOWN_VX }, // 8329
  { PseudoVSLIDEDOWN_VX_MF4, VSLIDEDOWN_VX }, // 8330
  { PseudoVSLIDEDOWN_VX_MF4_MASK, VSLIDEDOWN_VX }, // 8331
  { PseudoVSLIDEDOWN_VX_MF8, VSLIDEDOWN_VX }, // 8332
  { PseudoVSLIDEDOWN_VX_MF8_MASK, VSLIDEDOWN_VX }, // 8333
  { PseudoVSLIDEUP_VI_M1, VSLIDEUP_VI }, // 8334
  { PseudoVSLIDEUP_VI_M1_MASK, VSLIDEUP_VI }, // 8335
  { PseudoVSLIDEUP_VI_M2, VSLIDEUP_VI }, // 8336
  { PseudoVSLIDEUP_VI_M2_MASK, VSLIDEUP_VI }, // 8337
  { PseudoVSLIDEUP_VI_M4, VSLIDEUP_VI }, // 8338
  { PseudoVSLIDEUP_VI_M4_MASK, VSLIDEUP_VI }, // 8339
  { PseudoVSLIDEUP_VI_M8, VSLIDEUP_VI }, // 8340
  { PseudoVSLIDEUP_VI_M8_MASK, VSLIDEUP_VI }, // 8341
  { PseudoVSLIDEUP_VI_MF2, VSLIDEUP_VI }, // 8342
  { PseudoVSLIDEUP_VI_MF2_MASK, VSLIDEUP_VI }, // 8343
  { PseudoVSLIDEUP_VI_MF4, VSLIDEUP_VI }, // 8344
  { PseudoVSLIDEUP_VI_MF4_MASK, VSLIDEUP_VI }, // 8345
  { PseudoVSLIDEUP_VI_MF8, VSLIDEUP_VI }, // 8346
  { PseudoVSLIDEUP_VI_MF8_MASK, VSLIDEUP_VI }, // 8347
  { PseudoVSLIDEUP_VX_M1, VSLIDEUP_VX }, // 8348
  { PseudoVSLIDEUP_VX_M1_MASK, VSLIDEUP_VX }, // 8349
  { PseudoVSLIDEUP_VX_M2, VSLIDEUP_VX }, // 8350
  { PseudoVSLIDEUP_VX_M2_MASK, VSLIDEUP_VX }, // 8351
  { PseudoVSLIDEUP_VX_M4, VSLIDEUP_VX }, // 8352
  { PseudoVSLIDEUP_VX_M4_MASK, VSLIDEUP_VX }, // 8353
  { PseudoVSLIDEUP_VX_M8, VSLIDEUP_VX }, // 8354
  { PseudoVSLIDEUP_VX_M8_MASK, VSLIDEUP_VX }, // 8355
  { PseudoVSLIDEUP_VX_MF2, VSLIDEUP_VX }, // 8356
  { PseudoVSLIDEUP_VX_MF2_MASK, VSLIDEUP_VX }, // 8357
  { PseudoVSLIDEUP_VX_MF4, VSLIDEUP_VX }, // 8358
  { PseudoVSLIDEUP_VX_MF4_MASK, VSLIDEUP_VX }, // 8359
  { PseudoVSLIDEUP_VX_MF8, VSLIDEUP_VX }, // 8360
  { PseudoVSLIDEUP_VX_MF8_MASK, VSLIDEUP_VX }, // 8361
  { PseudoVSLL_VI_M1, VSLL_VI }, // 8362
  { PseudoVSLL_VI_M1_MASK, VSLL_VI }, // 8363
  { PseudoVSLL_VI_M2, VSLL_VI }, // 8364
  { PseudoVSLL_VI_M2_MASK, VSLL_VI }, // 8365
  { PseudoVSLL_VI_M4, VSLL_VI }, // 8366
  { PseudoVSLL_VI_M4_MASK, VSLL_VI }, // 8367
  { PseudoVSLL_VI_M8, VSLL_VI }, // 8368
  { PseudoVSLL_VI_M8_MASK, VSLL_VI }, // 8369
  { PseudoVSLL_VI_MF2, VSLL_VI }, // 8370
  { PseudoVSLL_VI_MF2_MASK, VSLL_VI }, // 8371
  { PseudoVSLL_VI_MF4, VSLL_VI }, // 8372
  { PseudoVSLL_VI_MF4_MASK, VSLL_VI }, // 8373
  { PseudoVSLL_VI_MF8, VSLL_VI }, // 8374
  { PseudoVSLL_VI_MF8_MASK, VSLL_VI }, // 8375
  { PseudoVSLL_VV_M1, VSLL_VV }, // 8376
  { PseudoVSLL_VV_M1_MASK, VSLL_VV }, // 8377
  { PseudoVSLL_VV_M2, VSLL_VV }, // 8378
  { PseudoVSLL_VV_M2_MASK, VSLL_VV }, // 8379
  { PseudoVSLL_VV_M4, VSLL_VV }, // 8380
  { PseudoVSLL_VV_M4_MASK, VSLL_VV }, // 8381
  { PseudoVSLL_VV_M8, VSLL_VV }, // 8382
  { PseudoVSLL_VV_M8_MASK, VSLL_VV }, // 8383
  { PseudoVSLL_VV_MF2, VSLL_VV }, // 8384
  { PseudoVSLL_VV_MF2_MASK, VSLL_VV }, // 8385
  { PseudoVSLL_VV_MF4, VSLL_VV }, // 8386
  { PseudoVSLL_VV_MF4_MASK, VSLL_VV }, // 8387
  { PseudoVSLL_VV_MF8, VSLL_VV }, // 8388
  { PseudoVSLL_VV_MF8_MASK, VSLL_VV }, // 8389
  { PseudoVSLL_VX_M1, VSLL_VX }, // 8390
  { PseudoVSLL_VX_M1_MASK, VSLL_VX }, // 8391
  { PseudoVSLL_VX_M2, VSLL_VX }, // 8392
  { PseudoVSLL_VX_M2_MASK, VSLL_VX }, // 8393
  { PseudoVSLL_VX_M4, VSLL_VX }, // 8394
  { PseudoVSLL_VX_M4_MASK, VSLL_VX }, // 8395
  { PseudoVSLL_VX_M8, VSLL_VX }, // 8396
  { PseudoVSLL_VX_M8_MASK, VSLL_VX }, // 8397
  { PseudoVSLL_VX_MF2, VSLL_VX }, // 8398
  { PseudoVSLL_VX_MF2_MASK, VSLL_VX }, // 8399
  { PseudoVSLL_VX_MF4, VSLL_VX }, // 8400
  { PseudoVSLL_VX_MF4_MASK, VSLL_VX }, // 8401
  { PseudoVSLL_VX_MF8, VSLL_VX }, // 8402
  { PseudoVSLL_VX_MF8_MASK, VSLL_VX }, // 8403
  { PseudoVSM3C_VI_M1, VSM3C_VI }, // 8404
  { PseudoVSM3C_VI_M2, VSM3C_VI }, // 8405
  { PseudoVSM3C_VI_M4, VSM3C_VI }, // 8406
  { PseudoVSM3C_VI_M8, VSM3C_VI }, // 8407
  { PseudoVSM3C_VI_MF2, VSM3C_VI }, // 8408
  { PseudoVSM3ME_VV_M1, VSM3ME_VV }, // 8409
  { PseudoVSM3ME_VV_M2, VSM3ME_VV }, // 8410
  { PseudoVSM3ME_VV_M4, VSM3ME_VV }, // 8411
  { PseudoVSM3ME_VV_M8, VSM3ME_VV }, // 8412
  { PseudoVSM3ME_VV_MF2, VSM3ME_VV }, // 8413
  { PseudoVSM4K_VI_M1, VSM4K_VI }, // 8414
  { PseudoVSM4K_VI_M2, VSM4K_VI }, // 8415
  { PseudoVSM4K_VI_M4, VSM4K_VI }, // 8416
  { PseudoVSM4K_VI_M8, VSM4K_VI }, // 8417
  { PseudoVSM4K_VI_MF2, VSM4K_VI }, // 8418
  { PseudoVSM4R_VS_M1_M1, VSM4R_VS }, // 8419
  { PseudoVSM4R_VS_M1_MF2, VSM4R_VS }, // 8420
  { PseudoVSM4R_VS_M1_MF4, VSM4R_VS }, // 8421
  { PseudoVSM4R_VS_M1_MF8, VSM4R_VS }, // 8422
  { PseudoVSM4R_VS_M2_M1, VSM4R_VS }, // 8423
  { PseudoVSM4R_VS_M2_M2, VSM4R_VS }, // 8424
  { PseudoVSM4R_VS_M2_MF2, VSM4R_VS }, // 8425
  { PseudoVSM4R_VS_M2_MF4, VSM4R_VS }, // 8426
  { PseudoVSM4R_VS_M2_MF8, VSM4R_VS }, // 8427
  { PseudoVSM4R_VS_M4_M1, VSM4R_VS }, // 8428
  { PseudoVSM4R_VS_M4_M2, VSM4R_VS }, // 8429
  { PseudoVSM4R_VS_M4_M4, VSM4R_VS }, // 8430
  { PseudoVSM4R_VS_M4_MF2, VSM4R_VS }, // 8431
  { PseudoVSM4R_VS_M4_MF4, VSM4R_VS }, // 8432
  { PseudoVSM4R_VS_M4_MF8, VSM4R_VS }, // 8433
  { PseudoVSM4R_VS_M8_M1, VSM4R_VS }, // 8434
  { PseudoVSM4R_VS_M8_M2, VSM4R_VS }, // 8435
  { PseudoVSM4R_VS_M8_M4, VSM4R_VS }, // 8436
  { PseudoVSM4R_VS_M8_MF2, VSM4R_VS }, // 8437
  { PseudoVSM4R_VS_M8_MF4, VSM4R_VS }, // 8438
  { PseudoVSM4R_VS_M8_MF8, VSM4R_VS }, // 8439
  { PseudoVSM4R_VS_MF2_MF2, VSM4R_VS }, // 8440
  { PseudoVSM4R_VS_MF2_MF4, VSM4R_VS }, // 8441
  { PseudoVSM4R_VS_MF2_MF8, VSM4R_VS }, // 8442
  { PseudoVSM4R_VV_M1, VSM4R_VV }, // 8443
  { PseudoVSM4R_VV_M2, VSM4R_VV }, // 8444
  { PseudoVSM4R_VV_M4, VSM4R_VV }, // 8445
  { PseudoVSM4R_VV_M8, VSM4R_VV }, // 8446
  { PseudoVSM4R_VV_MF2, VSM4R_VV }, // 8447
  { PseudoVSMUL_VV_M1, VSMUL_VV }, // 8448
  { PseudoVSMUL_VV_M1_MASK, VSMUL_VV }, // 8449
  { PseudoVSMUL_VV_M2, VSMUL_VV }, // 8450
  { PseudoVSMUL_VV_M2_MASK, VSMUL_VV }, // 8451
  { PseudoVSMUL_VV_M4, VSMUL_VV }, // 8452
  { PseudoVSMUL_VV_M4_MASK, VSMUL_VV }, // 8453
  { PseudoVSMUL_VV_M8, VSMUL_VV }, // 8454
  { PseudoVSMUL_VV_M8_MASK, VSMUL_VV }, // 8455
  { PseudoVSMUL_VV_MF2, VSMUL_VV }, // 8456
  { PseudoVSMUL_VV_MF2_MASK, VSMUL_VV }, // 8457
  { PseudoVSMUL_VV_MF4, VSMUL_VV }, // 8458
  { PseudoVSMUL_VV_MF4_MASK, VSMUL_VV }, // 8459
  { PseudoVSMUL_VV_MF8, VSMUL_VV }, // 8460
  { PseudoVSMUL_VV_MF8_MASK, VSMUL_VV }, // 8461
  { PseudoVSMUL_VX_M1, VSMUL_VX }, // 8462
  { PseudoVSMUL_VX_M1_MASK, VSMUL_VX }, // 8463
  { PseudoVSMUL_VX_M2, VSMUL_VX }, // 8464
  { PseudoVSMUL_VX_M2_MASK, VSMUL_VX }, // 8465
  { PseudoVSMUL_VX_M4, VSMUL_VX }, // 8466
  { PseudoVSMUL_VX_M4_MASK, VSMUL_VX }, // 8467
  { PseudoVSMUL_VX_M8, VSMUL_VX }, // 8468
  { PseudoVSMUL_VX_M8_MASK, VSMUL_VX }, // 8469
  { PseudoVSMUL_VX_MF2, VSMUL_VX }, // 8470
  { PseudoVSMUL_VX_MF2_MASK, VSMUL_VX }, // 8471
  { PseudoVSMUL_VX_MF4, VSMUL_VX }, // 8472
  { PseudoVSMUL_VX_MF4_MASK, VSMUL_VX }, // 8473
  { PseudoVSMUL_VX_MF8, VSMUL_VX }, // 8474
  { PseudoVSMUL_VX_MF8_MASK, VSMUL_VX }, // 8475
  { PseudoVSM_V_B1, VSM_V }, // 8476
  { PseudoVSM_V_B16, VSM_V }, // 8477
  { PseudoVSM_V_B2, VSM_V }, // 8478
  { PseudoVSM_V_B32, VSM_V }, // 8479
  { PseudoVSM_V_B4, VSM_V }, // 8480
  { PseudoVSM_V_B64, VSM_V }, // 8481
  { PseudoVSM_V_B8, VSM_V }, // 8482
  { PseudoVSOXEI16_V_M1_M1, VSOXEI16_V }, // 8483
  { PseudoVSOXEI16_V_M1_M1_MASK, VSOXEI16_V }, // 8484
  { PseudoVSOXEI16_V_M1_M2, VSOXEI16_V }, // 8485
  { PseudoVSOXEI16_V_M1_M2_MASK, VSOXEI16_V }, // 8486
  { PseudoVSOXEI16_V_M1_M4, VSOXEI16_V }, // 8487
  { PseudoVSOXEI16_V_M1_M4_MASK, VSOXEI16_V }, // 8488
  { PseudoVSOXEI16_V_M1_MF2, VSOXEI16_V }, // 8489
  { PseudoVSOXEI16_V_M1_MF2_MASK, VSOXEI16_V }, // 8490
  { PseudoVSOXEI16_V_M2_M1, VSOXEI16_V }, // 8491
  { PseudoVSOXEI16_V_M2_M1_MASK, VSOXEI16_V }, // 8492
  { PseudoVSOXEI16_V_M2_M2, VSOXEI16_V }, // 8493
  { PseudoVSOXEI16_V_M2_M2_MASK, VSOXEI16_V }, // 8494
  { PseudoVSOXEI16_V_M2_M4, VSOXEI16_V }, // 8495
  { PseudoVSOXEI16_V_M2_M4_MASK, VSOXEI16_V }, // 8496
  { PseudoVSOXEI16_V_M2_M8, VSOXEI16_V }, // 8497
  { PseudoVSOXEI16_V_M2_M8_MASK, VSOXEI16_V }, // 8498
  { PseudoVSOXEI16_V_M4_M2, VSOXEI16_V }, // 8499
  { PseudoVSOXEI16_V_M4_M2_MASK, VSOXEI16_V }, // 8500
  { PseudoVSOXEI16_V_M4_M4, VSOXEI16_V }, // 8501
  { PseudoVSOXEI16_V_M4_M4_MASK, VSOXEI16_V }, // 8502
  { PseudoVSOXEI16_V_M4_M8, VSOXEI16_V }, // 8503
  { PseudoVSOXEI16_V_M4_M8_MASK, VSOXEI16_V }, // 8504
  { PseudoVSOXEI16_V_M8_M4, VSOXEI16_V }, // 8505
  { PseudoVSOXEI16_V_M8_M4_MASK, VSOXEI16_V }, // 8506
  { PseudoVSOXEI16_V_M8_M8, VSOXEI16_V }, // 8507
  { PseudoVSOXEI16_V_M8_M8_MASK, VSOXEI16_V }, // 8508
  { PseudoVSOXEI16_V_MF2_M1, VSOXEI16_V }, // 8509
  { PseudoVSOXEI16_V_MF2_M1_MASK, VSOXEI16_V }, // 8510
  { PseudoVSOXEI16_V_MF2_M2, VSOXEI16_V }, // 8511
  { PseudoVSOXEI16_V_MF2_M2_MASK, VSOXEI16_V }, // 8512
  { PseudoVSOXEI16_V_MF2_MF2, VSOXEI16_V }, // 8513
  { PseudoVSOXEI16_V_MF2_MF2_MASK, VSOXEI16_V }, // 8514
  { PseudoVSOXEI16_V_MF2_MF4, VSOXEI16_V }, // 8515
  { PseudoVSOXEI16_V_MF2_MF4_MASK, VSOXEI16_V }, // 8516
  { PseudoVSOXEI16_V_MF4_M1, VSOXEI16_V }, // 8517
  { PseudoVSOXEI16_V_MF4_M1_MASK, VSOXEI16_V }, // 8518
  { PseudoVSOXEI16_V_MF4_MF2, VSOXEI16_V }, // 8519
  { PseudoVSOXEI16_V_MF4_MF2_MASK, VSOXEI16_V }, // 8520
  { PseudoVSOXEI16_V_MF4_MF4, VSOXEI16_V }, // 8521
  { PseudoVSOXEI16_V_MF4_MF4_MASK, VSOXEI16_V }, // 8522
  { PseudoVSOXEI16_V_MF4_MF8, VSOXEI16_V }, // 8523
  { PseudoVSOXEI16_V_MF4_MF8_MASK, VSOXEI16_V }, // 8524
  { PseudoVSOXEI32_V_M1_M1, VSOXEI32_V }, // 8525
  { PseudoVSOXEI32_V_M1_M1_MASK, VSOXEI32_V }, // 8526
  { PseudoVSOXEI32_V_M1_M2, VSOXEI32_V }, // 8527
  { PseudoVSOXEI32_V_M1_M2_MASK, VSOXEI32_V }, // 8528
  { PseudoVSOXEI32_V_M1_MF2, VSOXEI32_V }, // 8529
  { PseudoVSOXEI32_V_M1_MF2_MASK, VSOXEI32_V }, // 8530
  { PseudoVSOXEI32_V_M1_MF4, VSOXEI32_V }, // 8531
  { PseudoVSOXEI32_V_M1_MF4_MASK, VSOXEI32_V }, // 8532
  { PseudoVSOXEI32_V_M2_M1, VSOXEI32_V }, // 8533
  { PseudoVSOXEI32_V_M2_M1_MASK, VSOXEI32_V }, // 8534
  { PseudoVSOXEI32_V_M2_M2, VSOXEI32_V }, // 8535
  { PseudoVSOXEI32_V_M2_M2_MASK, VSOXEI32_V }, // 8536
  { PseudoVSOXEI32_V_M2_M4, VSOXEI32_V }, // 8537
  { PseudoVSOXEI32_V_M2_M4_MASK, VSOXEI32_V }, // 8538
  { PseudoVSOXEI32_V_M2_MF2, VSOXEI32_V }, // 8539
  { PseudoVSOXEI32_V_M2_MF2_MASK, VSOXEI32_V }, // 8540
  { PseudoVSOXEI32_V_M4_M1, VSOXEI32_V }, // 8541
  { PseudoVSOXEI32_V_M4_M1_MASK, VSOXEI32_V }, // 8542
  { PseudoVSOXEI32_V_M4_M2, VSOXEI32_V }, // 8543
  { PseudoVSOXEI32_V_M4_M2_MASK, VSOXEI32_V }, // 8544
  { PseudoVSOXEI32_V_M4_M4, VSOXEI32_V }, // 8545
  { PseudoVSOXEI32_V_M4_M4_MASK, VSOXEI32_V }, // 8546
  { PseudoVSOXEI32_V_M4_M8, VSOXEI32_V }, // 8547
  { PseudoVSOXEI32_V_M4_M8_MASK, VSOXEI32_V }, // 8548
  { PseudoVSOXEI32_V_M8_M2, VSOXEI32_V }, // 8549
  { PseudoVSOXEI32_V_M8_M2_MASK, VSOXEI32_V }, // 8550
  { PseudoVSOXEI32_V_M8_M4, VSOXEI32_V }, // 8551
  { PseudoVSOXEI32_V_M8_M4_MASK, VSOXEI32_V }, // 8552
  { PseudoVSOXEI32_V_M8_M8, VSOXEI32_V }, // 8553
  { PseudoVSOXEI32_V_M8_M8_MASK, VSOXEI32_V }, // 8554
  { PseudoVSOXEI32_V_MF2_M1, VSOXEI32_V }, // 8555
  { PseudoVSOXEI32_V_MF2_M1_MASK, VSOXEI32_V }, // 8556
  { PseudoVSOXEI32_V_MF2_MF2, VSOXEI32_V }, // 8557
  { PseudoVSOXEI32_V_MF2_MF2_MASK, VSOXEI32_V }, // 8558
  { PseudoVSOXEI32_V_MF2_MF4, VSOXEI32_V }, // 8559
  { PseudoVSOXEI32_V_MF2_MF4_MASK, VSOXEI32_V }, // 8560
  { PseudoVSOXEI32_V_MF2_MF8, VSOXEI32_V }, // 8561
  { PseudoVSOXEI32_V_MF2_MF8_MASK, VSOXEI32_V }, // 8562
  { PseudoVSOXEI64_V_M1_M1, VSOXEI64_V }, // 8563
  { PseudoVSOXEI64_V_M1_M1_MASK, VSOXEI64_V }, // 8564
  { PseudoVSOXEI64_V_M1_MF2, VSOXEI64_V }, // 8565
  { PseudoVSOXEI64_V_M1_MF2_MASK, VSOXEI64_V }, // 8566
  { PseudoVSOXEI64_V_M1_MF4, VSOXEI64_V }, // 8567
  { PseudoVSOXEI64_V_M1_MF4_MASK, VSOXEI64_V }, // 8568
  { PseudoVSOXEI64_V_M1_MF8, VSOXEI64_V }, // 8569
  { PseudoVSOXEI64_V_M1_MF8_MASK, VSOXEI64_V }, // 8570
  { PseudoVSOXEI64_V_M2_M1, VSOXEI64_V }, // 8571
  { PseudoVSOXEI64_V_M2_M1_MASK, VSOXEI64_V }, // 8572
  { PseudoVSOXEI64_V_M2_M2, VSOXEI64_V }, // 8573
  { PseudoVSOXEI64_V_M2_M2_MASK, VSOXEI64_V }, // 8574
  { PseudoVSOXEI64_V_M2_MF2, VSOXEI64_V }, // 8575
  { PseudoVSOXEI64_V_M2_MF2_MASK, VSOXEI64_V }, // 8576
  { PseudoVSOXEI64_V_M2_MF4, VSOXEI64_V }, // 8577
  { PseudoVSOXEI64_V_M2_MF4_MASK, VSOXEI64_V }, // 8578
  { PseudoVSOXEI64_V_M4_M1, VSOXEI64_V }, // 8579
  { PseudoVSOXEI64_V_M4_M1_MASK, VSOXEI64_V }, // 8580
  { PseudoVSOXEI64_V_M4_M2, VSOXEI64_V }, // 8581
  { PseudoVSOXEI64_V_M4_M2_MASK, VSOXEI64_V }, // 8582
  { PseudoVSOXEI64_V_M4_M4, VSOXEI64_V }, // 8583
  { PseudoVSOXEI64_V_M4_M4_MASK, VSOXEI64_V }, // 8584
  { PseudoVSOXEI64_V_M4_MF2, VSOXEI64_V }, // 8585
  { PseudoVSOXEI64_V_M4_MF2_MASK, VSOXEI64_V }, // 8586
  { PseudoVSOXEI64_V_M8_M1, VSOXEI64_V }, // 8587
  { PseudoVSOXEI64_V_M8_M1_MASK, VSOXEI64_V }, // 8588
  { PseudoVSOXEI64_V_M8_M2, VSOXEI64_V }, // 8589
  { PseudoVSOXEI64_V_M8_M2_MASK, VSOXEI64_V }, // 8590
  { PseudoVSOXEI64_V_M8_M4, VSOXEI64_V }, // 8591
  { PseudoVSOXEI64_V_M8_M4_MASK, VSOXEI64_V }, // 8592
  { PseudoVSOXEI64_V_M8_M8, VSOXEI64_V }, // 8593
  { PseudoVSOXEI64_V_M8_M8_MASK, VSOXEI64_V }, // 8594
  { PseudoVSOXEI8_V_M1_M1, VSOXEI8_V }, // 8595
  { PseudoVSOXEI8_V_M1_M1_MASK, VSOXEI8_V }, // 8596
  { PseudoVSOXEI8_V_M1_M2, VSOXEI8_V }, // 8597
  { PseudoVSOXEI8_V_M1_M2_MASK, VSOXEI8_V }, // 8598
  { PseudoVSOXEI8_V_M1_M4, VSOXEI8_V }, // 8599
  { PseudoVSOXEI8_V_M1_M4_MASK, VSOXEI8_V }, // 8600
  { PseudoVSOXEI8_V_M1_M8, VSOXEI8_V }, // 8601
  { PseudoVSOXEI8_V_M1_M8_MASK, VSOXEI8_V }, // 8602
  { PseudoVSOXEI8_V_M2_M2, VSOXEI8_V }, // 8603
  { PseudoVSOXEI8_V_M2_M2_MASK, VSOXEI8_V }, // 8604
  { PseudoVSOXEI8_V_M2_M4, VSOXEI8_V }, // 8605
  { PseudoVSOXEI8_V_M2_M4_MASK, VSOXEI8_V }, // 8606
  { PseudoVSOXEI8_V_M2_M8, VSOXEI8_V }, // 8607
  { PseudoVSOXEI8_V_M2_M8_MASK, VSOXEI8_V }, // 8608
  { PseudoVSOXEI8_V_M4_M4, VSOXEI8_V }, // 8609
  { PseudoVSOXEI8_V_M4_M4_MASK, VSOXEI8_V }, // 8610
  { PseudoVSOXEI8_V_M4_M8, VSOXEI8_V }, // 8611
  { PseudoVSOXEI8_V_M4_M8_MASK, VSOXEI8_V }, // 8612
  { PseudoVSOXEI8_V_M8_M8, VSOXEI8_V }, // 8613
  { PseudoVSOXEI8_V_M8_M8_MASK, VSOXEI8_V }, // 8614
  { PseudoVSOXEI8_V_MF2_M1, VSOXEI8_V }, // 8615
  { PseudoVSOXEI8_V_MF2_M1_MASK, VSOXEI8_V }, // 8616
  { PseudoVSOXEI8_V_MF2_M2, VSOXEI8_V }, // 8617
  { PseudoVSOXEI8_V_MF2_M2_MASK, VSOXEI8_V }, // 8618
  { PseudoVSOXEI8_V_MF2_M4, VSOXEI8_V }, // 8619
  { PseudoVSOXEI8_V_MF2_M4_MASK, VSOXEI8_V }, // 8620
  { PseudoVSOXEI8_V_MF2_MF2, VSOXEI8_V }, // 8621
  { PseudoVSOXEI8_V_MF2_MF2_MASK, VSOXEI8_V }, // 8622
  { PseudoVSOXEI8_V_MF4_M1, VSOXEI8_V }, // 8623
  { PseudoVSOXEI8_V_MF4_M1_MASK, VSOXEI8_V }, // 8624
  { PseudoVSOXEI8_V_MF4_M2, VSOXEI8_V }, // 8625
  { PseudoVSOXEI8_V_MF4_M2_MASK, VSOXEI8_V }, // 8626
  { PseudoVSOXEI8_V_MF4_MF2, VSOXEI8_V }, // 8627
  { PseudoVSOXEI8_V_MF4_MF2_MASK, VSOXEI8_V }, // 8628
  { PseudoVSOXEI8_V_MF4_MF4, VSOXEI8_V }, // 8629
  { PseudoVSOXEI8_V_MF4_MF4_MASK, VSOXEI8_V }, // 8630
  { PseudoVSOXEI8_V_MF8_M1, VSOXEI8_V }, // 8631
  { PseudoVSOXEI8_V_MF8_M1_MASK, VSOXEI8_V }, // 8632
  { PseudoVSOXEI8_V_MF8_MF2, VSOXEI8_V }, // 8633
  { PseudoVSOXEI8_V_MF8_MF2_MASK, VSOXEI8_V }, // 8634
  { PseudoVSOXEI8_V_MF8_MF4, VSOXEI8_V }, // 8635
  { PseudoVSOXEI8_V_MF8_MF4_MASK, VSOXEI8_V }, // 8636
  { PseudoVSOXEI8_V_MF8_MF8, VSOXEI8_V }, // 8637
  { PseudoVSOXEI8_V_MF8_MF8_MASK, VSOXEI8_V }, // 8638
  { PseudoVSOXSEG2EI16_V_M1_M1, VSOXSEG2EI16_V }, // 8639
  { PseudoVSOXSEG2EI16_V_M1_M1_MASK, VSOXSEG2EI16_V }, // 8640
  { PseudoVSOXSEG2EI16_V_M1_M2, VSOXSEG2EI16_V }, // 8641
  { PseudoVSOXSEG2EI16_V_M1_M2_MASK, VSOXSEG2EI16_V }, // 8642
  { PseudoVSOXSEG2EI16_V_M1_M4, VSOXSEG2EI16_V }, // 8643
  { PseudoVSOXSEG2EI16_V_M1_M4_MASK, VSOXSEG2EI16_V }, // 8644
  { PseudoVSOXSEG2EI16_V_M1_MF2, VSOXSEG2EI16_V }, // 8645
  { PseudoVSOXSEG2EI16_V_M1_MF2_MASK, VSOXSEG2EI16_V }, // 8646
  { PseudoVSOXSEG2EI16_V_M2_M1, VSOXSEG2EI16_V }, // 8647
  { PseudoVSOXSEG2EI16_V_M2_M1_MASK, VSOXSEG2EI16_V }, // 8648
  { PseudoVSOXSEG2EI16_V_M2_M2, VSOXSEG2EI16_V }, // 8649
  { PseudoVSOXSEG2EI16_V_M2_M2_MASK, VSOXSEG2EI16_V }, // 8650
  { PseudoVSOXSEG2EI16_V_M2_M4, VSOXSEG2EI16_V }, // 8651
  { PseudoVSOXSEG2EI16_V_M2_M4_MASK, VSOXSEG2EI16_V }, // 8652
  { PseudoVSOXSEG2EI16_V_M4_M2, VSOXSEG2EI16_V }, // 8653
  { PseudoVSOXSEG2EI16_V_M4_M2_MASK, VSOXSEG2EI16_V }, // 8654
  { PseudoVSOXSEG2EI16_V_M4_M4, VSOXSEG2EI16_V }, // 8655
  { PseudoVSOXSEG2EI16_V_M4_M4_MASK, VSOXSEG2EI16_V }, // 8656
  { PseudoVSOXSEG2EI16_V_M8_M4, VSOXSEG2EI16_V }, // 8657
  { PseudoVSOXSEG2EI16_V_M8_M4_MASK, VSOXSEG2EI16_V }, // 8658
  { PseudoVSOXSEG2EI16_V_MF2_M1, VSOXSEG2EI16_V }, // 8659
  { PseudoVSOXSEG2EI16_V_MF2_M1_MASK, VSOXSEG2EI16_V }, // 8660
  { PseudoVSOXSEG2EI16_V_MF2_M2, VSOXSEG2EI16_V }, // 8661
  { PseudoVSOXSEG2EI16_V_MF2_M2_MASK, VSOXSEG2EI16_V }, // 8662
  { PseudoVSOXSEG2EI16_V_MF2_MF2, VSOXSEG2EI16_V }, // 8663
  { PseudoVSOXSEG2EI16_V_MF2_MF2_MASK, VSOXSEG2EI16_V }, // 8664
  { PseudoVSOXSEG2EI16_V_MF2_MF4, VSOXSEG2EI16_V }, // 8665
  { PseudoVSOXSEG2EI16_V_MF2_MF4_MASK, VSOXSEG2EI16_V }, // 8666
  { PseudoVSOXSEG2EI16_V_MF4_M1, VSOXSEG2EI16_V }, // 8667
  { PseudoVSOXSEG2EI16_V_MF4_M1_MASK, VSOXSEG2EI16_V }, // 8668
  { PseudoVSOXSEG2EI16_V_MF4_MF2, VSOXSEG2EI16_V }, // 8669
  { PseudoVSOXSEG2EI16_V_MF4_MF2_MASK, VSOXSEG2EI16_V }, // 8670
  { PseudoVSOXSEG2EI16_V_MF4_MF4, VSOXSEG2EI16_V }, // 8671
  { PseudoVSOXSEG2EI16_V_MF4_MF4_MASK, VSOXSEG2EI16_V }, // 8672
  { PseudoVSOXSEG2EI16_V_MF4_MF8, VSOXSEG2EI16_V }, // 8673
  { PseudoVSOXSEG2EI16_V_MF4_MF8_MASK, VSOXSEG2EI16_V }, // 8674
  { PseudoVSOXSEG2EI32_V_M1_M1, VSOXSEG2EI32_V }, // 8675
  { PseudoVSOXSEG2EI32_V_M1_M1_MASK, VSOXSEG2EI32_V }, // 8676
  { PseudoVSOXSEG2EI32_V_M1_M2, VSOXSEG2EI32_V }, // 8677
  { PseudoVSOXSEG2EI32_V_M1_M2_MASK, VSOXSEG2EI32_V }, // 8678
  { PseudoVSOXSEG2EI32_V_M1_MF2, VSOXSEG2EI32_V }, // 8679
  { PseudoVSOXSEG2EI32_V_M1_MF2_MASK, VSOXSEG2EI32_V }, // 8680
  { PseudoVSOXSEG2EI32_V_M1_MF4, VSOXSEG2EI32_V }, // 8681
  { PseudoVSOXSEG2EI32_V_M1_MF4_MASK, VSOXSEG2EI32_V }, // 8682
  { PseudoVSOXSEG2EI32_V_M2_M1, VSOXSEG2EI32_V }, // 8683
  { PseudoVSOXSEG2EI32_V_M2_M1_MASK, VSOXSEG2EI32_V }, // 8684
  { PseudoVSOXSEG2EI32_V_M2_M2, VSOXSEG2EI32_V }, // 8685
  { PseudoVSOXSEG2EI32_V_M2_M2_MASK, VSOXSEG2EI32_V }, // 8686
  { PseudoVSOXSEG2EI32_V_M2_M4, VSOXSEG2EI32_V }, // 8687
  { PseudoVSOXSEG2EI32_V_M2_M4_MASK, VSOXSEG2EI32_V }, // 8688
  { PseudoVSOXSEG2EI32_V_M2_MF2, VSOXSEG2EI32_V }, // 8689
  { PseudoVSOXSEG2EI32_V_M2_MF2_MASK, VSOXSEG2EI32_V }, // 8690
  { PseudoVSOXSEG2EI32_V_M4_M1, VSOXSEG2EI32_V }, // 8691
  { PseudoVSOXSEG2EI32_V_M4_M1_MASK, VSOXSEG2EI32_V }, // 8692
  { PseudoVSOXSEG2EI32_V_M4_M2, VSOXSEG2EI32_V }, // 8693
  { PseudoVSOXSEG2EI32_V_M4_M2_MASK, VSOXSEG2EI32_V }, // 8694
  { PseudoVSOXSEG2EI32_V_M4_M4, VSOXSEG2EI32_V }, // 8695
  { PseudoVSOXSEG2EI32_V_M4_M4_MASK, VSOXSEG2EI32_V }, // 8696
  { PseudoVSOXSEG2EI32_V_M8_M2, VSOXSEG2EI32_V }, // 8697
  { PseudoVSOXSEG2EI32_V_M8_M2_MASK, VSOXSEG2EI32_V }, // 8698
  { PseudoVSOXSEG2EI32_V_M8_M4, VSOXSEG2EI32_V }, // 8699
  { PseudoVSOXSEG2EI32_V_M8_M4_MASK, VSOXSEG2EI32_V }, // 8700
  { PseudoVSOXSEG2EI32_V_MF2_M1, VSOXSEG2EI32_V }, // 8701
  { PseudoVSOXSEG2EI32_V_MF2_M1_MASK, VSOXSEG2EI32_V }, // 8702
  { PseudoVSOXSEG2EI32_V_MF2_MF2, VSOXSEG2EI32_V }, // 8703
  { PseudoVSOXSEG2EI32_V_MF2_MF2_MASK, VSOXSEG2EI32_V }, // 8704
  { PseudoVSOXSEG2EI32_V_MF2_MF4, VSOXSEG2EI32_V }, // 8705
  { PseudoVSOXSEG2EI32_V_MF2_MF4_MASK, VSOXSEG2EI32_V }, // 8706
  { PseudoVSOXSEG2EI32_V_MF2_MF8, VSOXSEG2EI32_V }, // 8707
  { PseudoVSOXSEG2EI32_V_MF2_MF8_MASK, VSOXSEG2EI32_V }, // 8708
  { PseudoVSOXSEG2EI64_V_M1_M1, VSOXSEG2EI64_V }, // 8709
  { PseudoVSOXSEG2EI64_V_M1_M1_MASK, VSOXSEG2EI64_V }, // 8710
  { PseudoVSOXSEG2EI64_V_M1_MF2, VSOXSEG2EI64_V }, // 8711
  { PseudoVSOXSEG2EI64_V_M1_MF2_MASK, VSOXSEG2EI64_V }, // 8712
  { PseudoVSOXSEG2EI64_V_M1_MF4, VSOXSEG2EI64_V }, // 8713
  { PseudoVSOXSEG2EI64_V_M1_MF4_MASK, VSOXSEG2EI64_V }, // 8714
  { PseudoVSOXSEG2EI64_V_M1_MF8, VSOXSEG2EI64_V }, // 8715
  { PseudoVSOXSEG2EI64_V_M1_MF8_MASK, VSOXSEG2EI64_V }, // 8716
  { PseudoVSOXSEG2EI64_V_M2_M1, VSOXSEG2EI64_V }, // 8717
  { PseudoVSOXSEG2EI64_V_M2_M1_MASK, VSOXSEG2EI64_V }, // 8718
  { PseudoVSOXSEG2EI64_V_M2_M2, VSOXSEG2EI64_V }, // 8719
  { PseudoVSOXSEG2EI64_V_M2_M2_MASK, VSOXSEG2EI64_V }, // 8720
  { PseudoVSOXSEG2EI64_V_M2_MF2, VSOXSEG2EI64_V }, // 8721
  { PseudoVSOXSEG2EI64_V_M2_MF2_MASK, VSOXSEG2EI64_V }, // 8722
  { PseudoVSOXSEG2EI64_V_M2_MF4, VSOXSEG2EI64_V }, // 8723
  { PseudoVSOXSEG2EI64_V_M2_MF4_MASK, VSOXSEG2EI64_V }, // 8724
  { PseudoVSOXSEG2EI64_V_M4_M1, VSOXSEG2EI64_V }, // 8725
  { PseudoVSOXSEG2EI64_V_M4_M1_MASK, VSOXSEG2EI64_V }, // 8726
  { PseudoVSOXSEG2EI64_V_M4_M2, VSOXSEG2EI64_V }, // 8727
  { PseudoVSOXSEG2EI64_V_M4_M2_MASK, VSOXSEG2EI64_V }, // 8728
  { PseudoVSOXSEG2EI64_V_M4_M4, VSOXSEG2EI64_V }, // 8729
  { PseudoVSOXSEG2EI64_V_M4_M4_MASK, VSOXSEG2EI64_V }, // 8730
  { PseudoVSOXSEG2EI64_V_M4_MF2, VSOXSEG2EI64_V }, // 8731
  { PseudoVSOXSEG2EI64_V_M4_MF2_MASK, VSOXSEG2EI64_V }, // 8732
  { PseudoVSOXSEG2EI64_V_M8_M1, VSOXSEG2EI64_V }, // 8733
  { PseudoVSOXSEG2EI64_V_M8_M1_MASK, VSOXSEG2EI64_V }, // 8734
  { PseudoVSOXSEG2EI64_V_M8_M2, VSOXSEG2EI64_V }, // 8735
  { PseudoVSOXSEG2EI64_V_M8_M2_MASK, VSOXSEG2EI64_V }, // 8736
  { PseudoVSOXSEG2EI64_V_M8_M4, VSOXSEG2EI64_V }, // 8737
  { PseudoVSOXSEG2EI64_V_M8_M4_MASK, VSOXSEG2EI64_V }, // 8738
  { PseudoVSOXSEG2EI8_V_M1_M1, VSOXSEG2EI8_V }, // 8739
  { PseudoVSOXSEG2EI8_V_M1_M1_MASK, VSOXSEG2EI8_V }, // 8740
  { PseudoVSOXSEG2EI8_V_M1_M2, VSOXSEG2EI8_V }, // 8741
  { PseudoVSOXSEG2EI8_V_M1_M2_MASK, VSOXSEG2EI8_V }, // 8742
  { PseudoVSOXSEG2EI8_V_M1_M4, VSOXSEG2EI8_V }, // 8743
  { PseudoVSOXSEG2EI8_V_M1_M4_MASK, VSOXSEG2EI8_V }, // 8744
  { PseudoVSOXSEG2EI8_V_M2_M2, VSOXSEG2EI8_V }, // 8745
  { PseudoVSOXSEG2EI8_V_M2_M2_MASK, VSOXSEG2EI8_V }, // 8746
  { PseudoVSOXSEG2EI8_V_M2_M4, VSOXSEG2EI8_V }, // 8747
  { PseudoVSOXSEG2EI8_V_M2_M4_MASK, VSOXSEG2EI8_V }, // 8748
  { PseudoVSOXSEG2EI8_V_M4_M4, VSOXSEG2EI8_V }, // 8749
  { PseudoVSOXSEG2EI8_V_M4_M4_MASK, VSOXSEG2EI8_V }, // 8750
  { PseudoVSOXSEG2EI8_V_MF2_M1, VSOXSEG2EI8_V }, // 8751
  { PseudoVSOXSEG2EI8_V_MF2_M1_MASK, VSOXSEG2EI8_V }, // 8752
  { PseudoVSOXSEG2EI8_V_MF2_M2, VSOXSEG2EI8_V }, // 8753
  { PseudoVSOXSEG2EI8_V_MF2_M2_MASK, VSOXSEG2EI8_V }, // 8754
  { PseudoVSOXSEG2EI8_V_MF2_M4, VSOXSEG2EI8_V }, // 8755
  { PseudoVSOXSEG2EI8_V_MF2_M4_MASK, VSOXSEG2EI8_V }, // 8756
  { PseudoVSOXSEG2EI8_V_MF2_MF2, VSOXSEG2EI8_V }, // 8757
  { PseudoVSOXSEG2EI8_V_MF2_MF2_MASK, VSOXSEG2EI8_V }, // 8758
  { PseudoVSOXSEG2EI8_V_MF4_M1, VSOXSEG2EI8_V }, // 8759
  { PseudoVSOXSEG2EI8_V_MF4_M1_MASK, VSOXSEG2EI8_V }, // 8760
  { PseudoVSOXSEG2EI8_V_MF4_M2, VSOXSEG2EI8_V }, // 8761
  { PseudoVSOXSEG2EI8_V_MF4_M2_MASK, VSOXSEG2EI8_V }, // 8762
  { PseudoVSOXSEG2EI8_V_MF4_MF2, VSOXSEG2EI8_V }, // 8763
  { PseudoVSOXSEG2EI8_V_MF4_MF2_MASK, VSOXSEG2EI8_V }, // 8764
  { PseudoVSOXSEG2EI8_V_MF4_MF4, VSOXSEG2EI8_V }, // 8765
  { PseudoVSOXSEG2EI8_V_MF4_MF4_MASK, VSOXSEG2EI8_V }, // 8766
  { PseudoVSOXSEG2EI8_V_MF8_M1, VSOXSEG2EI8_V }, // 8767
  { PseudoVSOXSEG2EI8_V_MF8_M1_MASK, VSOXSEG2EI8_V }, // 8768
  { PseudoVSOXSEG2EI8_V_MF8_MF2, VSOXSEG2EI8_V }, // 8769
  { PseudoVSOXSEG2EI8_V_MF8_MF2_MASK, VSOXSEG2EI8_V }, // 8770
  { PseudoVSOXSEG2EI8_V_MF8_MF4, VSOXSEG2EI8_V }, // 8771
  { PseudoVSOXSEG2EI8_V_MF8_MF4_MASK, VSOXSEG2EI8_V }, // 8772
  { PseudoVSOXSEG2EI8_V_MF8_MF8, VSOXSEG2EI8_V }, // 8773
  { PseudoVSOXSEG2EI8_V_MF8_MF8_MASK, VSOXSEG2EI8_V }, // 8774
  { PseudoVSOXSEG3EI16_V_M1_M1, VSOXSEG3EI16_V }, // 8775
  { PseudoVSOXSEG3EI16_V_M1_M1_MASK, VSOXSEG3EI16_V }, // 8776
  { PseudoVSOXSEG3EI16_V_M1_M2, VSOXSEG3EI16_V }, // 8777
  { PseudoVSOXSEG3EI16_V_M1_M2_MASK, VSOXSEG3EI16_V }, // 8778
  { PseudoVSOXSEG3EI16_V_M1_MF2, VSOXSEG3EI16_V }, // 8779
  { PseudoVSOXSEG3EI16_V_M1_MF2_MASK, VSOXSEG3EI16_V }, // 8780
  { PseudoVSOXSEG3EI16_V_M2_M1, VSOXSEG3EI16_V }, // 8781
  { PseudoVSOXSEG3EI16_V_M2_M1_MASK, VSOXSEG3EI16_V }, // 8782
  { PseudoVSOXSEG3EI16_V_M2_M2, VSOXSEG3EI16_V }, // 8783
  { PseudoVSOXSEG3EI16_V_M2_M2_MASK, VSOXSEG3EI16_V }, // 8784
  { PseudoVSOXSEG3EI16_V_M4_M2, VSOXSEG3EI16_V }, // 8785
  { PseudoVSOXSEG3EI16_V_M4_M2_MASK, VSOXSEG3EI16_V }, // 8786
  { PseudoVSOXSEG3EI16_V_MF2_M1, VSOXSEG3EI16_V }, // 8787
  { PseudoVSOXSEG3EI16_V_MF2_M1_MASK, VSOXSEG3EI16_V }, // 8788
  { PseudoVSOXSEG3EI16_V_MF2_M2, VSOXSEG3EI16_V }, // 8789
  { PseudoVSOXSEG3EI16_V_MF2_M2_MASK, VSOXSEG3EI16_V }, // 8790
  { PseudoVSOXSEG3EI16_V_MF2_MF2, VSOXSEG3EI16_V }, // 8791
  { PseudoVSOXSEG3EI16_V_MF2_MF2_MASK, VSOXSEG3EI16_V }, // 8792
  { PseudoVSOXSEG3EI16_V_MF2_MF4, VSOXSEG3EI16_V }, // 8793
  { PseudoVSOXSEG3EI16_V_MF2_MF4_MASK, VSOXSEG3EI16_V }, // 8794
  { PseudoVSOXSEG3EI16_V_MF4_M1, VSOXSEG3EI16_V }, // 8795
  { PseudoVSOXSEG3EI16_V_MF4_M1_MASK, VSOXSEG3EI16_V }, // 8796
  { PseudoVSOXSEG3EI16_V_MF4_MF2, VSOXSEG3EI16_V }, // 8797
  { PseudoVSOXSEG3EI16_V_MF4_MF2_MASK, VSOXSEG3EI16_V }, // 8798
  { PseudoVSOXSEG3EI16_V_MF4_MF4, VSOXSEG3EI16_V }, // 8799
  { PseudoVSOXSEG3EI16_V_MF4_MF4_MASK, VSOXSEG3EI16_V }, // 8800
  { PseudoVSOXSEG3EI16_V_MF4_MF8, VSOXSEG3EI16_V }, // 8801
  { PseudoVSOXSEG3EI16_V_MF4_MF8_MASK, VSOXSEG3EI16_V }, // 8802
  { PseudoVSOXSEG3EI32_V_M1_M1, VSOXSEG3EI32_V }, // 8803
  { PseudoVSOXSEG3EI32_V_M1_M1_MASK, VSOXSEG3EI32_V }, // 8804
  { PseudoVSOXSEG3EI32_V_M1_M2, VSOXSEG3EI32_V }, // 8805
  { PseudoVSOXSEG3EI32_V_M1_M2_MASK, VSOXSEG3EI32_V }, // 8806
  { PseudoVSOXSEG3EI32_V_M1_MF2, VSOXSEG3EI32_V }, // 8807
  { PseudoVSOXSEG3EI32_V_M1_MF2_MASK, VSOXSEG3EI32_V }, // 8808
  { PseudoVSOXSEG3EI32_V_M1_MF4, VSOXSEG3EI32_V }, // 8809
  { PseudoVSOXSEG3EI32_V_M1_MF4_MASK, VSOXSEG3EI32_V }, // 8810
  { PseudoVSOXSEG3EI32_V_M2_M1, VSOXSEG3EI32_V }, // 8811
  { PseudoVSOXSEG3EI32_V_M2_M1_MASK, VSOXSEG3EI32_V }, // 8812
  { PseudoVSOXSEG3EI32_V_M2_M2, VSOXSEG3EI32_V }, // 8813
  { PseudoVSOXSEG3EI32_V_M2_M2_MASK, VSOXSEG3EI32_V }, // 8814
  { PseudoVSOXSEG3EI32_V_M2_MF2, VSOXSEG3EI32_V }, // 8815
  { PseudoVSOXSEG3EI32_V_M2_MF2_MASK, VSOXSEG3EI32_V }, // 8816
  { PseudoVSOXSEG3EI32_V_M4_M1, VSOXSEG3EI32_V }, // 8817
  { PseudoVSOXSEG3EI32_V_M4_M1_MASK, VSOXSEG3EI32_V }, // 8818
  { PseudoVSOXSEG3EI32_V_M4_M2, VSOXSEG3EI32_V }, // 8819
  { PseudoVSOXSEG3EI32_V_M4_M2_MASK, VSOXSEG3EI32_V }, // 8820
  { PseudoVSOXSEG3EI32_V_M8_M2, VSOXSEG3EI32_V }, // 8821
  { PseudoVSOXSEG3EI32_V_M8_M2_MASK, VSOXSEG3EI32_V }, // 8822
  { PseudoVSOXSEG3EI32_V_MF2_M1, VSOXSEG3EI32_V }, // 8823
  { PseudoVSOXSEG3EI32_V_MF2_M1_MASK, VSOXSEG3EI32_V }, // 8824
  { PseudoVSOXSEG3EI32_V_MF2_MF2, VSOXSEG3EI32_V }, // 8825
  { PseudoVSOXSEG3EI32_V_MF2_MF2_MASK, VSOXSEG3EI32_V }, // 8826
  { PseudoVSOXSEG3EI32_V_MF2_MF4, VSOXSEG3EI32_V }, // 8827
  { PseudoVSOXSEG3EI32_V_MF2_MF4_MASK, VSOXSEG3EI32_V }, // 8828
  { PseudoVSOXSEG3EI32_V_MF2_MF8, VSOXSEG3EI32_V }, // 8829
  { PseudoVSOXSEG3EI32_V_MF2_MF8_MASK, VSOXSEG3EI32_V }, // 8830
  { PseudoVSOXSEG3EI64_V_M1_M1, VSOXSEG3EI64_V }, // 8831
  { PseudoVSOXSEG3EI64_V_M1_M1_MASK, VSOXSEG3EI64_V }, // 8832
  { PseudoVSOXSEG3EI64_V_M1_MF2, VSOXSEG3EI64_V }, // 8833
  { PseudoVSOXSEG3EI64_V_M1_MF2_MASK, VSOXSEG3EI64_V }, // 8834
  { PseudoVSOXSEG3EI64_V_M1_MF4, VSOXSEG3EI64_V }, // 8835
  { PseudoVSOXSEG3EI64_V_M1_MF4_MASK, VSOXSEG3EI64_V }, // 8836
  { PseudoVSOXSEG3EI64_V_M1_MF8, VSOXSEG3EI64_V }, // 8837
  { PseudoVSOXSEG3EI64_V_M1_MF8_MASK, VSOXSEG3EI64_V }, // 8838
  { PseudoVSOXSEG3EI64_V_M2_M1, VSOXSEG3EI64_V }, // 8839
  { PseudoVSOXSEG3EI64_V_M2_M1_MASK, VSOXSEG3EI64_V }, // 8840
  { PseudoVSOXSEG3EI64_V_M2_M2, VSOXSEG3EI64_V }, // 8841
  { PseudoVSOXSEG3EI64_V_M2_M2_MASK, VSOXSEG3EI64_V }, // 8842
  { PseudoVSOXSEG3EI64_V_M2_MF2, VSOXSEG3EI64_V }, // 8843
  { PseudoVSOXSEG3EI64_V_M2_MF2_MASK, VSOXSEG3EI64_V }, // 8844
  { PseudoVSOXSEG3EI64_V_M2_MF4, VSOXSEG3EI64_V }, // 8845
  { PseudoVSOXSEG3EI64_V_M2_MF4_MASK, VSOXSEG3EI64_V }, // 8846
  { PseudoVSOXSEG3EI64_V_M4_M1, VSOXSEG3EI64_V }, // 8847
  { PseudoVSOXSEG3EI64_V_M4_M1_MASK, VSOXSEG3EI64_V }, // 8848
  { PseudoVSOXSEG3EI64_V_M4_M2, VSOXSEG3EI64_V }, // 8849
  { PseudoVSOXSEG3EI64_V_M4_M2_MASK, VSOXSEG3EI64_V }, // 8850
  { PseudoVSOXSEG3EI64_V_M4_MF2, VSOXSEG3EI64_V }, // 8851
  { PseudoVSOXSEG3EI64_V_M4_MF2_MASK, VSOXSEG3EI64_V }, // 8852
  { PseudoVSOXSEG3EI64_V_M8_M1, VSOXSEG3EI64_V }, // 8853
  { PseudoVSOXSEG3EI64_V_M8_M1_MASK, VSOXSEG3EI64_V }, // 8854
  { PseudoVSOXSEG3EI64_V_M8_M2, VSOXSEG3EI64_V }, // 8855
  { PseudoVSOXSEG3EI64_V_M8_M2_MASK, VSOXSEG3EI64_V }, // 8856
  { PseudoVSOXSEG3EI8_V_M1_M1, VSOXSEG3EI8_V }, // 8857
  { PseudoVSOXSEG3EI8_V_M1_M1_MASK, VSOXSEG3EI8_V }, // 8858
  { PseudoVSOXSEG3EI8_V_M1_M2, VSOXSEG3EI8_V }, // 8859
  { PseudoVSOXSEG3EI8_V_M1_M2_MASK, VSOXSEG3EI8_V }, // 8860
  { PseudoVSOXSEG3EI8_V_M2_M2, VSOXSEG3EI8_V }, // 8861
  { PseudoVSOXSEG3EI8_V_M2_M2_MASK, VSOXSEG3EI8_V }, // 8862
  { PseudoVSOXSEG3EI8_V_MF2_M1, VSOXSEG3EI8_V }, // 8863
  { PseudoVSOXSEG3EI8_V_MF2_M1_MASK, VSOXSEG3EI8_V }, // 8864
  { PseudoVSOXSEG3EI8_V_MF2_M2, VSOXSEG3EI8_V }, // 8865
  { PseudoVSOXSEG3EI8_V_MF2_M2_MASK, VSOXSEG3EI8_V }, // 8866
  { PseudoVSOXSEG3EI8_V_MF2_MF2, VSOXSEG3EI8_V }, // 8867
  { PseudoVSOXSEG3EI8_V_MF2_MF2_MASK, VSOXSEG3EI8_V }, // 8868
  { PseudoVSOXSEG3EI8_V_MF4_M1, VSOXSEG3EI8_V }, // 8869
  { PseudoVSOXSEG3EI8_V_MF4_M1_MASK, VSOXSEG3EI8_V }, // 8870
  { PseudoVSOXSEG3EI8_V_MF4_M2, VSOXSEG3EI8_V }, // 8871
  { PseudoVSOXSEG3EI8_V_MF4_M2_MASK, VSOXSEG3EI8_V }, // 8872
  { PseudoVSOXSEG3EI8_V_MF4_MF2, VSOXSEG3EI8_V }, // 8873
  { PseudoVSOXSEG3EI8_V_MF4_MF2_MASK, VSOXSEG3EI8_V }, // 8874
  { PseudoVSOXSEG3EI8_V_MF4_MF4, VSOXSEG3EI8_V }, // 8875
  { PseudoVSOXSEG3EI8_V_MF4_MF4_MASK, VSOXSEG3EI8_V }, // 8876
  { PseudoVSOXSEG3EI8_V_MF8_M1, VSOXSEG3EI8_V }, // 8877
  { PseudoVSOXSEG3EI8_V_MF8_M1_MASK, VSOXSEG3EI8_V }, // 8878
  { PseudoVSOXSEG3EI8_V_MF8_MF2, VSOXSEG3EI8_V }, // 8879
  { PseudoVSOXSEG3EI8_V_MF8_MF2_MASK, VSOXSEG3EI8_V }, // 8880
  { PseudoVSOXSEG3EI8_V_MF8_MF4, VSOXSEG3EI8_V }, // 8881
  { PseudoVSOXSEG3EI8_V_MF8_MF4_MASK, VSOXSEG3EI8_V }, // 8882
  { PseudoVSOXSEG3EI8_V_MF8_MF8, VSOXSEG3EI8_V }, // 8883
  { PseudoVSOXSEG3EI8_V_MF8_MF8_MASK, VSOXSEG3EI8_V }, // 8884
  { PseudoVSOXSEG4EI16_V_M1_M1, VSOXSEG4EI16_V }, // 8885
  { PseudoVSOXSEG4EI16_V_M1_M1_MASK, VSOXSEG4EI16_V }, // 8886
  { PseudoVSOXSEG4EI16_V_M1_M2, VSOXSEG4EI16_V }, // 8887
  { PseudoVSOXSEG4EI16_V_M1_M2_MASK, VSOXSEG4EI16_V }, // 8888
  { PseudoVSOXSEG4EI16_V_M1_MF2, VSOXSEG4EI16_V }, // 8889
  { PseudoVSOXSEG4EI16_V_M1_MF2_MASK, VSOXSEG4EI16_V }, // 8890
  { PseudoVSOXSEG4EI16_V_M2_M1, VSOXSEG4EI16_V }, // 8891
  { PseudoVSOXSEG4EI16_V_M2_M1_MASK, VSOXSEG4EI16_V }, // 8892
  { PseudoVSOXSEG4EI16_V_M2_M2, VSOXSEG4EI16_V }, // 8893
  { PseudoVSOXSEG4EI16_V_M2_M2_MASK, VSOXSEG4EI16_V }, // 8894
  { PseudoVSOXSEG4EI16_V_M4_M2, VSOXSEG4EI16_V }, // 8895
  { PseudoVSOXSEG4EI16_V_M4_M2_MASK, VSOXSEG4EI16_V }, // 8896
  { PseudoVSOXSEG4EI16_V_MF2_M1, VSOXSEG4EI16_V }, // 8897
  { PseudoVSOXSEG4EI16_V_MF2_M1_MASK, VSOXSEG4EI16_V }, // 8898
  { PseudoVSOXSEG4EI16_V_MF2_M2, VSOXSEG4EI16_V }, // 8899
  { PseudoVSOXSEG4EI16_V_MF2_M2_MASK, VSOXSEG4EI16_V }, // 8900
  { PseudoVSOXSEG4EI16_V_MF2_MF2, VSOXSEG4EI16_V }, // 8901
  { PseudoVSOXSEG4EI16_V_MF2_MF2_MASK, VSOXSEG4EI16_V }, // 8902
  { PseudoVSOXSEG4EI16_V_MF2_MF4, VSOXSEG4EI16_V }, // 8903
  { PseudoVSOXSEG4EI16_V_MF2_MF4_MASK, VSOXSEG4EI16_V }, // 8904
  { PseudoVSOXSEG4EI16_V_MF4_M1, VSOXSEG4EI16_V }, // 8905
  { PseudoVSOXSEG4EI16_V_MF4_M1_MASK, VSOXSEG4EI16_V }, // 8906
  { PseudoVSOXSEG4EI16_V_MF4_MF2, VSOXSEG4EI16_V }, // 8907
  { PseudoVSOXSEG4EI16_V_MF4_MF2_MASK, VSOXSEG4EI16_V }, // 8908
  { PseudoVSOXSEG4EI16_V_MF4_MF4, VSOXSEG4EI16_V }, // 8909
  { PseudoVSOXSEG4EI16_V_MF4_MF4_MASK, VSOXSEG4EI16_V }, // 8910
  { PseudoVSOXSEG4EI16_V_MF4_MF8, VSOXSEG4EI16_V }, // 8911
  { PseudoVSOXSEG4EI16_V_MF4_MF8_MASK, VSOXSEG4EI16_V }, // 8912
  { PseudoVSOXSEG4EI32_V_M1_M1, VSOXSEG4EI32_V }, // 8913
  { PseudoVSOXSEG4EI32_V_M1_M1_MASK, VSOXSEG4EI32_V }, // 8914
  { PseudoVSOXSEG4EI32_V_M1_M2, VSOXSEG4EI32_V }, // 8915
  { PseudoVSOXSEG4EI32_V_M1_M2_MASK, VSOXSEG4EI32_V }, // 8916
  { PseudoVSOXSEG4EI32_V_M1_MF2, VSOXSEG4EI32_V }, // 8917
  { PseudoVSOXSEG4EI32_V_M1_MF2_MASK, VSOXSEG4EI32_V }, // 8918
  { PseudoVSOXSEG4EI32_V_M1_MF4, VSOXSEG4EI32_V }, // 8919
  { PseudoVSOXSEG4EI32_V_M1_MF4_MASK, VSOXSEG4EI32_V }, // 8920
  { PseudoVSOXSEG4EI32_V_M2_M1, VSOXSEG4EI32_V }, // 8921
  { PseudoVSOXSEG4EI32_V_M2_M1_MASK, VSOXSEG4EI32_V }, // 8922
  { PseudoVSOXSEG4EI32_V_M2_M2, VSOXSEG4EI32_V }, // 8923
  { PseudoVSOXSEG4EI32_V_M2_M2_MASK, VSOXSEG4EI32_V }, // 8924
  { PseudoVSOXSEG4EI32_V_M2_MF2, VSOXSEG4EI32_V }, // 8925
  { PseudoVSOXSEG4EI32_V_M2_MF2_MASK, VSOXSEG4EI32_V }, // 8926
  { PseudoVSOXSEG4EI32_V_M4_M1, VSOXSEG4EI32_V }, // 8927
  { PseudoVSOXSEG4EI32_V_M4_M1_MASK, VSOXSEG4EI32_V }, // 8928
  { PseudoVSOXSEG4EI32_V_M4_M2, VSOXSEG4EI32_V }, // 8929
  { PseudoVSOXSEG4EI32_V_M4_M2_MASK, VSOXSEG4EI32_V }, // 8930
  { PseudoVSOXSEG4EI32_V_M8_M2, VSOXSEG4EI32_V }, // 8931
  { PseudoVSOXSEG4EI32_V_M8_M2_MASK, VSOXSEG4EI32_V }, // 8932
  { PseudoVSOXSEG4EI32_V_MF2_M1, VSOXSEG4EI32_V }, // 8933
  { PseudoVSOXSEG4EI32_V_MF2_M1_MASK, VSOXSEG4EI32_V }, // 8934
  { PseudoVSOXSEG4EI32_V_MF2_MF2, VSOXSEG4EI32_V }, // 8935
  { PseudoVSOXSEG4EI32_V_MF2_MF2_MASK, VSOXSEG4EI32_V }, // 8936
  { PseudoVSOXSEG4EI32_V_MF2_MF4, VSOXSEG4EI32_V }, // 8937
  { PseudoVSOXSEG4EI32_V_MF2_MF4_MASK, VSOXSEG4EI32_V }, // 8938
  { PseudoVSOXSEG4EI32_V_MF2_MF8, VSOXSEG4EI32_V }, // 8939
  { PseudoVSOXSEG4EI32_V_MF2_MF8_MASK, VSOXSEG4EI32_V }, // 8940
  { PseudoVSOXSEG4EI64_V_M1_M1, VSOXSEG4EI64_V }, // 8941
  { PseudoVSOXSEG4EI64_V_M1_M1_MASK, VSOXSEG4EI64_V }, // 8942
  { PseudoVSOXSEG4EI64_V_M1_MF2, VSOXSEG4EI64_V }, // 8943
  { PseudoVSOXSEG4EI64_V_M1_MF2_MASK, VSOXSEG4EI64_V }, // 8944
  { PseudoVSOXSEG4EI64_V_M1_MF4, VSOXSEG4EI64_V }, // 8945
  { PseudoVSOXSEG4EI64_V_M1_MF4_MASK, VSOXSEG4EI64_V }, // 8946
  { PseudoVSOXSEG4EI64_V_M1_MF8, VSOXSEG4EI64_V }, // 8947
  { PseudoVSOXSEG4EI64_V_M1_MF8_MASK, VSOXSEG4EI64_V }, // 8948
  { PseudoVSOXSEG4EI64_V_M2_M1, VSOXSEG4EI64_V }, // 8949
  { PseudoVSOXSEG4EI64_V_M2_M1_MASK, VSOXSEG4EI64_V }, // 8950
  { PseudoVSOXSEG4EI64_V_M2_M2, VSOXSEG4EI64_V }, // 8951
  { PseudoVSOXSEG4EI64_V_M2_M2_MASK, VSOXSEG4EI64_V }, // 8952
  { PseudoVSOXSEG4EI64_V_M2_MF2, VSOXSEG4EI64_V }, // 8953
  { PseudoVSOXSEG4EI64_V_M2_MF2_MASK, VSOXSEG4EI64_V }, // 8954
  { PseudoVSOXSEG4EI64_V_M2_MF4, VSOXSEG4EI64_V }, // 8955
  { PseudoVSOXSEG4EI64_V_M2_MF4_MASK, VSOXSEG4EI64_V }, // 8956
  { PseudoVSOXSEG4EI64_V_M4_M1, VSOXSEG4EI64_V }, // 8957
  { PseudoVSOXSEG4EI64_V_M4_M1_MASK, VSOXSEG4EI64_V }, // 8958
  { PseudoVSOXSEG4EI64_V_M4_M2, VSOXSEG4EI64_V }, // 8959
  { PseudoVSOXSEG4EI64_V_M4_M2_MASK, VSOXSEG4EI64_V }, // 8960
  { PseudoVSOXSEG4EI64_V_M4_MF2, VSOXSEG4EI64_V }, // 8961
  { PseudoVSOXSEG4EI64_V_M4_MF2_MASK, VSOXSEG4EI64_V }, // 8962
  { PseudoVSOXSEG4EI64_V_M8_M1, VSOXSEG4EI64_V }, // 8963
  { PseudoVSOXSEG4EI64_V_M8_M1_MASK, VSOXSEG4EI64_V }, // 8964
  { PseudoVSOXSEG4EI64_V_M8_M2, VSOXSEG4EI64_V }, // 8965
  { PseudoVSOXSEG4EI64_V_M8_M2_MASK, VSOXSEG4EI64_V }, // 8966
  { PseudoVSOXSEG4EI8_V_M1_M1, VSOXSEG4EI8_V }, // 8967
  { PseudoVSOXSEG4EI8_V_M1_M1_MASK, VSOXSEG4EI8_V }, // 8968
  { PseudoVSOXSEG4EI8_V_M1_M2, VSOXSEG4EI8_V }, // 8969
  { PseudoVSOXSEG4EI8_V_M1_M2_MASK, VSOXSEG4EI8_V }, // 8970
  { PseudoVSOXSEG4EI8_V_M2_M2, VSOXSEG4EI8_V }, // 8971
  { PseudoVSOXSEG4EI8_V_M2_M2_MASK, VSOXSEG4EI8_V }, // 8972
  { PseudoVSOXSEG4EI8_V_MF2_M1, VSOXSEG4EI8_V }, // 8973
  { PseudoVSOXSEG4EI8_V_MF2_M1_MASK, VSOXSEG4EI8_V }, // 8974
  { PseudoVSOXSEG4EI8_V_MF2_M2, VSOXSEG4EI8_V }, // 8975
  { PseudoVSOXSEG4EI8_V_MF2_M2_MASK, VSOXSEG4EI8_V }, // 8976
  { PseudoVSOXSEG4EI8_V_MF2_MF2, VSOXSEG4EI8_V }, // 8977
  { PseudoVSOXSEG4EI8_V_MF2_MF2_MASK, VSOXSEG4EI8_V }, // 8978
  { PseudoVSOXSEG4EI8_V_MF4_M1, VSOXSEG4EI8_V }, // 8979
  { PseudoVSOXSEG4EI8_V_MF4_M1_MASK, VSOXSEG4EI8_V }, // 8980
  { PseudoVSOXSEG4EI8_V_MF4_M2, VSOXSEG4EI8_V }, // 8981
  { PseudoVSOXSEG4EI8_V_MF4_M2_MASK, VSOXSEG4EI8_V }, // 8982
  { PseudoVSOXSEG4EI8_V_MF4_MF2, VSOXSEG4EI8_V }, // 8983
  { PseudoVSOXSEG4EI8_V_MF4_MF2_MASK, VSOXSEG4EI8_V }, // 8984
  { PseudoVSOXSEG4EI8_V_MF4_MF4, VSOXSEG4EI8_V }, // 8985
  { PseudoVSOXSEG4EI8_V_MF4_MF4_MASK, VSOXSEG4EI8_V }, // 8986
  { PseudoVSOXSEG4EI8_V_MF8_M1, VSOXSEG4EI8_V }, // 8987
  { PseudoVSOXSEG4EI8_V_MF8_M1_MASK, VSOXSEG4EI8_V }, // 8988
  { PseudoVSOXSEG4EI8_V_MF8_MF2, VSOXSEG4EI8_V }, // 8989
  { PseudoVSOXSEG4EI8_V_MF8_MF2_MASK, VSOXSEG4EI8_V }, // 8990
  { PseudoVSOXSEG4EI8_V_MF8_MF4, VSOXSEG4EI8_V }, // 8991
  { PseudoVSOXSEG4EI8_V_MF8_MF4_MASK, VSOXSEG4EI8_V }, // 8992
  { PseudoVSOXSEG4EI8_V_MF8_MF8, VSOXSEG4EI8_V }, // 8993
  { PseudoVSOXSEG4EI8_V_MF8_MF8_MASK, VSOXSEG4EI8_V }, // 8994
  { PseudoVSOXSEG5EI16_V_M1_M1, VSOXSEG5EI16_V }, // 8995
  { PseudoVSOXSEG5EI16_V_M1_M1_MASK, VSOXSEG5EI16_V }, // 8996
  { PseudoVSOXSEG5EI16_V_M1_MF2, VSOXSEG5EI16_V }, // 8997
  { PseudoVSOXSEG5EI16_V_M1_MF2_MASK, VSOXSEG5EI16_V }, // 8998
  { PseudoVSOXSEG5EI16_V_M2_M1, VSOXSEG5EI16_V }, // 8999
  { PseudoVSOXSEG5EI16_V_M2_M1_MASK, VSOXSEG5EI16_V }, // 9000
  { PseudoVSOXSEG5EI16_V_MF2_M1, VSOXSEG5EI16_V }, // 9001
  { PseudoVSOXSEG5EI16_V_MF2_M1_MASK, VSOXSEG5EI16_V }, // 9002
  { PseudoVSOXSEG5EI16_V_MF2_MF2, VSOXSEG5EI16_V }, // 9003
  { PseudoVSOXSEG5EI16_V_MF2_MF2_MASK, VSOXSEG5EI16_V }, // 9004
  { PseudoVSOXSEG5EI16_V_MF2_MF4, VSOXSEG5EI16_V }, // 9005
  { PseudoVSOXSEG5EI16_V_MF2_MF4_MASK, VSOXSEG5EI16_V }, // 9006
  { PseudoVSOXSEG5EI16_V_MF4_M1, VSOXSEG5EI16_V }, // 9007
  { PseudoVSOXSEG5EI16_V_MF4_M1_MASK, VSOXSEG5EI16_V }, // 9008
  { PseudoVSOXSEG5EI16_V_MF4_MF2, VSOXSEG5EI16_V }, // 9009
  { PseudoVSOXSEG5EI16_V_MF4_MF2_MASK, VSOXSEG5EI16_V }, // 9010
  { PseudoVSOXSEG5EI16_V_MF4_MF4, VSOXSEG5EI16_V }, // 9011
  { PseudoVSOXSEG5EI16_V_MF4_MF4_MASK, VSOXSEG5EI16_V }, // 9012
  { PseudoVSOXSEG5EI16_V_MF4_MF8, VSOXSEG5EI16_V }, // 9013
  { PseudoVSOXSEG5EI16_V_MF4_MF8_MASK, VSOXSEG5EI16_V }, // 9014
  { PseudoVSOXSEG5EI32_V_M1_M1, VSOXSEG5EI32_V }, // 9015
  { PseudoVSOXSEG5EI32_V_M1_M1_MASK, VSOXSEG5EI32_V }, // 9016
  { PseudoVSOXSEG5EI32_V_M1_MF2, VSOXSEG5EI32_V }, // 9017
  { PseudoVSOXSEG5EI32_V_M1_MF2_MASK, VSOXSEG5EI32_V }, // 9018
  { PseudoVSOXSEG5EI32_V_M1_MF4, VSOXSEG5EI32_V }, // 9019
  { PseudoVSOXSEG5EI32_V_M1_MF4_MASK, VSOXSEG5EI32_V }, // 9020
  { PseudoVSOXSEG5EI32_V_M2_M1, VSOXSEG5EI32_V }, // 9021
  { PseudoVSOXSEG5EI32_V_M2_M1_MASK, VSOXSEG5EI32_V }, // 9022
  { PseudoVSOXSEG5EI32_V_M2_MF2, VSOXSEG5EI32_V }, // 9023
  { PseudoVSOXSEG5EI32_V_M2_MF2_MASK, VSOXSEG5EI32_V }, // 9024
  { PseudoVSOXSEG5EI32_V_M4_M1, VSOXSEG5EI32_V }, // 9025
  { PseudoVSOXSEG5EI32_V_M4_M1_MASK, VSOXSEG5EI32_V }, // 9026
  { PseudoVSOXSEG5EI32_V_MF2_M1, VSOXSEG5EI32_V }, // 9027
  { PseudoVSOXSEG5EI32_V_MF2_M1_MASK, VSOXSEG5EI32_V }, // 9028
  { PseudoVSOXSEG5EI32_V_MF2_MF2, VSOXSEG5EI32_V }, // 9029
  { PseudoVSOXSEG5EI32_V_MF2_MF2_MASK, VSOXSEG5EI32_V }, // 9030
  { PseudoVSOXSEG5EI32_V_MF2_MF4, VSOXSEG5EI32_V }, // 9031
  { PseudoVSOXSEG5EI32_V_MF2_MF4_MASK, VSOXSEG5EI32_V }, // 9032
  { PseudoVSOXSEG5EI32_V_MF2_MF8, VSOXSEG5EI32_V }, // 9033
  { PseudoVSOXSEG5EI32_V_MF2_MF8_MASK, VSOXSEG5EI32_V }, // 9034
  { PseudoVSOXSEG5EI64_V_M1_M1, VSOXSEG5EI64_V }, // 9035
  { PseudoVSOXSEG5EI64_V_M1_M1_MASK, VSOXSEG5EI64_V }, // 9036
  { PseudoVSOXSEG5EI64_V_M1_MF2, VSOXSEG5EI64_V }, // 9037
  { PseudoVSOXSEG5EI64_V_M1_MF2_MASK, VSOXSEG5EI64_V }, // 9038
  { PseudoVSOXSEG5EI64_V_M1_MF4, VSOXSEG5EI64_V }, // 9039
  { PseudoVSOXSEG5EI64_V_M1_MF4_MASK, VSOXSEG5EI64_V }, // 9040
  { PseudoVSOXSEG5EI64_V_M1_MF8, VSOXSEG5EI64_V }, // 9041
  { PseudoVSOXSEG5EI64_V_M1_MF8_MASK, VSOXSEG5EI64_V }, // 9042
  { PseudoVSOXSEG5EI64_V_M2_M1, VSOXSEG5EI64_V }, // 9043
  { PseudoVSOXSEG5EI64_V_M2_M1_MASK, VSOXSEG5EI64_V }, // 9044
  { PseudoVSOXSEG5EI64_V_M2_MF2, VSOXSEG5EI64_V }, // 9045
  { PseudoVSOXSEG5EI64_V_M2_MF2_MASK, VSOXSEG5EI64_V }, // 9046
  { PseudoVSOXSEG5EI64_V_M2_MF4, VSOXSEG5EI64_V }, // 9047
  { PseudoVSOXSEG5EI64_V_M2_MF4_MASK, VSOXSEG5EI64_V }, // 9048
  { PseudoVSOXSEG5EI64_V_M4_M1, VSOXSEG5EI64_V }, // 9049
  { PseudoVSOXSEG5EI64_V_M4_M1_MASK, VSOXSEG5EI64_V }, // 9050
  { PseudoVSOXSEG5EI64_V_M4_MF2, VSOXSEG5EI64_V }, // 9051
  { PseudoVSOXSEG5EI64_V_M4_MF2_MASK, VSOXSEG5EI64_V }, // 9052
  { PseudoVSOXSEG5EI64_V_M8_M1, VSOXSEG5EI64_V }, // 9053
  { PseudoVSOXSEG5EI64_V_M8_M1_MASK, VSOXSEG5EI64_V }, // 9054
  { PseudoVSOXSEG5EI8_V_M1_M1, VSOXSEG5EI8_V }, // 9055
  { PseudoVSOXSEG5EI8_V_M1_M1_MASK, VSOXSEG5EI8_V }, // 9056
  { PseudoVSOXSEG5EI8_V_MF2_M1, VSOXSEG5EI8_V }, // 9057
  { PseudoVSOXSEG5EI8_V_MF2_M1_MASK, VSOXSEG5EI8_V }, // 9058
  { PseudoVSOXSEG5EI8_V_MF2_MF2, VSOXSEG5EI8_V }, // 9059
  { PseudoVSOXSEG5EI8_V_MF2_MF2_MASK, VSOXSEG5EI8_V }, // 9060
  { PseudoVSOXSEG5EI8_V_MF4_M1, VSOXSEG5EI8_V }, // 9061
  { PseudoVSOXSEG5EI8_V_MF4_M1_MASK, VSOXSEG5EI8_V }, // 9062
  { PseudoVSOXSEG5EI8_V_MF4_MF2, VSOXSEG5EI8_V }, // 9063
  { PseudoVSOXSEG5EI8_V_MF4_MF2_MASK, VSOXSEG5EI8_V }, // 9064
  { PseudoVSOXSEG5EI8_V_MF4_MF4, VSOXSEG5EI8_V }, // 9065
  { PseudoVSOXSEG5EI8_V_MF4_MF4_MASK, VSOXSEG5EI8_V }, // 9066
  { PseudoVSOXSEG5EI8_V_MF8_M1, VSOXSEG5EI8_V }, // 9067
  { PseudoVSOXSEG5EI8_V_MF8_M1_MASK, VSOXSEG5EI8_V }, // 9068
  { PseudoVSOXSEG5EI8_V_MF8_MF2, VSOXSEG5EI8_V }, // 9069
  { PseudoVSOXSEG5EI8_V_MF8_MF2_MASK, VSOXSEG5EI8_V }, // 9070
  { PseudoVSOXSEG5EI8_V_MF8_MF4, VSOXSEG5EI8_V }, // 9071
  { PseudoVSOXSEG5EI8_V_MF8_MF4_MASK, VSOXSEG5EI8_V }, // 9072
  { PseudoVSOXSEG5EI8_V_MF8_MF8, VSOXSEG5EI8_V }, // 9073
  { PseudoVSOXSEG5EI8_V_MF8_MF8_MASK, VSOXSEG5EI8_V }, // 9074
  { PseudoVSOXSEG6EI16_V_M1_M1, VSOXSEG6EI16_V }, // 9075
  { PseudoVSOXSEG6EI16_V_M1_M1_MASK, VSOXSEG6EI16_V }, // 9076
  { PseudoVSOXSEG6EI16_V_M1_MF2, VSOXSEG6EI16_V }, // 9077
  { PseudoVSOXSEG6EI16_V_M1_MF2_MASK, VSOXSEG6EI16_V }, // 9078
  { PseudoVSOXSEG6EI16_V_M2_M1, VSOXSEG6EI16_V }, // 9079
  { PseudoVSOXSEG6EI16_V_M2_M1_MASK, VSOXSEG6EI16_V }, // 9080
  { PseudoVSOXSEG6EI16_V_MF2_M1, VSOXSEG6EI16_V }, // 9081
  { PseudoVSOXSEG6EI16_V_MF2_M1_MASK, VSOXSEG6EI16_V }, // 9082
  { PseudoVSOXSEG6EI16_V_MF2_MF2, VSOXSEG6EI16_V }, // 9083
  { PseudoVSOXSEG6EI16_V_MF2_MF2_MASK, VSOXSEG6EI16_V }, // 9084
  { PseudoVSOXSEG6EI16_V_MF2_MF4, VSOXSEG6EI16_V }, // 9085
  { PseudoVSOXSEG6EI16_V_MF2_MF4_MASK, VSOXSEG6EI16_V }, // 9086
  { PseudoVSOXSEG6EI16_V_MF4_M1, VSOXSEG6EI16_V }, // 9087
  { PseudoVSOXSEG6EI16_V_MF4_M1_MASK, VSOXSEG6EI16_V }, // 9088
  { PseudoVSOXSEG6EI16_V_MF4_MF2, VSOXSEG6EI16_V }, // 9089
  { PseudoVSOXSEG6EI16_V_MF4_MF2_MASK, VSOXSEG6EI16_V }, // 9090
  { PseudoVSOXSEG6EI16_V_MF4_MF4, VSOXSEG6EI16_V }, // 9091
  { PseudoVSOXSEG6EI16_V_MF4_MF4_MASK, VSOXSEG6EI16_V }, // 9092
  { PseudoVSOXSEG6EI16_V_MF4_MF8, VSOXSEG6EI16_V }, // 9093
  { PseudoVSOXSEG6EI16_V_MF4_MF8_MASK, VSOXSEG6EI16_V }, // 9094
  { PseudoVSOXSEG6EI32_V_M1_M1, VSOXSEG6EI32_V }, // 9095
  { PseudoVSOXSEG6EI32_V_M1_M1_MASK, VSOXSEG6EI32_V }, // 9096
  { PseudoVSOXSEG6EI32_V_M1_MF2, VSOXSEG6EI32_V }, // 9097
  { PseudoVSOXSEG6EI32_V_M1_MF2_MASK, VSOXSEG6EI32_V }, // 9098
  { PseudoVSOXSEG6EI32_V_M1_MF4, VSOXSEG6EI32_V }, // 9099
  { PseudoVSOXSEG6EI32_V_M1_MF4_MASK, VSOXSEG6EI32_V }, // 9100
  { PseudoVSOXSEG6EI32_V_M2_M1, VSOXSEG6EI32_V }, // 9101
  { PseudoVSOXSEG6EI32_V_M2_M1_MASK, VSOXSEG6EI32_V }, // 9102
  { PseudoVSOXSEG6EI32_V_M2_MF2, VSOXSEG6EI32_V }, // 9103
  { PseudoVSOXSEG6EI32_V_M2_MF2_MASK, VSOXSEG6EI32_V }, // 9104
  { PseudoVSOXSEG6EI32_V_M4_M1, VSOXSEG6EI32_V }, // 9105
  { PseudoVSOXSEG6EI32_V_M4_M1_MASK, VSOXSEG6EI32_V }, // 9106
  { PseudoVSOXSEG6EI32_V_MF2_M1, VSOXSEG6EI32_V }, // 9107
  { PseudoVSOXSEG6EI32_V_MF2_M1_MASK, VSOXSEG6EI32_V }, // 9108
  { PseudoVSOXSEG6EI32_V_MF2_MF2, VSOXSEG6EI32_V }, // 9109
  { PseudoVSOXSEG6EI32_V_MF2_MF2_MASK, VSOXSEG6EI32_V }, // 9110
  { PseudoVSOXSEG6EI32_V_MF2_MF4, VSOXSEG6EI32_V }, // 9111
  { PseudoVSOXSEG6EI32_V_MF2_MF4_MASK, VSOXSEG6EI32_V }, // 9112
  { PseudoVSOXSEG6EI32_V_MF2_MF8, VSOXSEG6EI32_V }, // 9113
  { PseudoVSOXSEG6EI32_V_MF2_MF8_MASK, VSOXSEG6EI32_V }, // 9114
  { PseudoVSOXSEG6EI64_V_M1_M1, VSOXSEG6EI64_V }, // 9115
  { PseudoVSOXSEG6EI64_V_M1_M1_MASK, VSOXSEG6EI64_V }, // 9116
  { PseudoVSOXSEG6EI64_V_M1_MF2, VSOXSEG6EI64_V }, // 9117
  { PseudoVSOXSEG6EI64_V_M1_MF2_MASK, VSOXSEG6EI64_V }, // 9118
  { PseudoVSOXSEG6EI64_V_M1_MF4, VSOXSEG6EI64_V }, // 9119
  { PseudoVSOXSEG6EI64_V_M1_MF4_MASK, VSOXSEG6EI64_V }, // 9120
  { PseudoVSOXSEG6EI64_V_M1_MF8, VSOXSEG6EI64_V }, // 9121
  { PseudoVSOXSEG6EI64_V_M1_MF8_MASK, VSOXSEG6EI64_V }, // 9122
  { PseudoVSOXSEG6EI64_V_M2_M1, VSOXSEG6EI64_V }, // 9123
  { PseudoVSOXSEG6EI64_V_M2_M1_MASK, VSOXSEG6EI64_V }, // 9124
  { PseudoVSOXSEG6EI64_V_M2_MF2, VSOXSEG6EI64_V }, // 9125
  { PseudoVSOXSEG6EI64_V_M2_MF2_MASK, VSOXSEG6EI64_V }, // 9126
  { PseudoVSOXSEG6EI64_V_M2_MF4, VSOXSEG6EI64_V }, // 9127
  { PseudoVSOXSEG6EI64_V_M2_MF4_MASK, VSOXSEG6EI64_V }, // 9128
  { PseudoVSOXSEG6EI64_V_M4_M1, VSOXSEG6EI64_V }, // 9129
  { PseudoVSOXSEG6EI64_V_M4_M1_MASK, VSOXSEG6EI64_V }, // 9130
  { PseudoVSOXSEG6EI64_V_M4_MF2, VSOXSEG6EI64_V }, // 9131
  { PseudoVSOXSEG6EI64_V_M4_MF2_MASK, VSOXSEG6EI64_V }, // 9132
  { PseudoVSOXSEG6EI64_V_M8_M1, VSOXSEG6EI64_V }, // 9133
  { PseudoVSOXSEG6EI64_V_M8_M1_MASK, VSOXSEG6EI64_V }, // 9134
  { PseudoVSOXSEG6EI8_V_M1_M1, VSOXSEG6EI8_V }, // 9135
  { PseudoVSOXSEG6EI8_V_M1_M1_MASK, VSOXSEG6EI8_V }, // 9136
  { PseudoVSOXSEG6EI8_V_MF2_M1, VSOXSEG6EI8_V }, // 9137
  { PseudoVSOXSEG6EI8_V_MF2_M1_MASK, VSOXSEG6EI8_V }, // 9138
  { PseudoVSOXSEG6EI8_V_MF2_MF2, VSOXSEG6EI8_V }, // 9139
  { PseudoVSOXSEG6EI8_V_MF2_MF2_MASK, VSOXSEG6EI8_V }, // 9140
  { PseudoVSOXSEG6EI8_V_MF4_M1, VSOXSEG6EI8_V }, // 9141
  { PseudoVSOXSEG6EI8_V_MF4_M1_MASK, VSOXSEG6EI8_V }, // 9142
  { PseudoVSOXSEG6EI8_V_MF4_MF2, VSOXSEG6EI8_V }, // 9143
  { PseudoVSOXSEG6EI8_V_MF4_MF2_MASK, VSOXSEG6EI8_V }, // 9144
  { PseudoVSOXSEG6EI8_V_MF4_MF4, VSOXSEG6EI8_V }, // 9145
  { PseudoVSOXSEG6EI8_V_MF4_MF4_MASK, VSOXSEG6EI8_V }, // 9146
  { PseudoVSOXSEG6EI8_V_MF8_M1, VSOXSEG6EI8_V }, // 9147
  { PseudoVSOXSEG6EI8_V_MF8_M1_MASK, VSOXSEG6EI8_V }, // 9148
  { PseudoVSOXSEG6EI8_V_MF8_MF2, VSOXSEG6EI8_V }, // 9149
  { PseudoVSOXSEG6EI8_V_MF8_MF2_MASK, VSOXSEG6EI8_V }, // 9150
  { PseudoVSOXSEG6EI8_V_MF8_MF4, VSOXSEG6EI8_V }, // 9151
  { PseudoVSOXSEG6EI8_V_MF8_MF4_MASK, VSOXSEG6EI8_V }, // 9152
  { PseudoVSOXSEG6EI8_V_MF8_MF8, VSOXSEG6EI8_V }, // 9153
  { PseudoVSOXSEG6EI8_V_MF8_MF8_MASK, VSOXSEG6EI8_V }, // 9154
  { PseudoVSOXSEG7EI16_V_M1_M1, VSOXSEG7EI16_V }, // 9155
  { PseudoVSOXSEG7EI16_V_M1_M1_MASK, VSOXSEG7EI16_V }, // 9156
  { PseudoVSOXSEG7EI16_V_M1_MF2, VSOXSEG7EI16_V }, // 9157
  { PseudoVSOXSEG7EI16_V_M1_MF2_MASK, VSOXSEG7EI16_V }, // 9158
  { PseudoVSOXSEG7EI16_V_M2_M1, VSOXSEG7EI16_V }, // 9159
  { PseudoVSOXSEG7EI16_V_M2_M1_MASK, VSOXSEG7EI16_V }, // 9160
  { PseudoVSOXSEG7EI16_V_MF2_M1, VSOXSEG7EI16_V }, // 9161
  { PseudoVSOXSEG7EI16_V_MF2_M1_MASK, VSOXSEG7EI16_V }, // 9162
  { PseudoVSOXSEG7EI16_V_MF2_MF2, VSOXSEG7EI16_V }, // 9163
  { PseudoVSOXSEG7EI16_V_MF2_MF2_MASK, VSOXSEG7EI16_V }, // 9164
  { PseudoVSOXSEG7EI16_V_MF2_MF4, VSOXSEG7EI16_V }, // 9165
  { PseudoVSOXSEG7EI16_V_MF2_MF4_MASK, VSOXSEG7EI16_V }, // 9166
  { PseudoVSOXSEG7EI16_V_MF4_M1, VSOXSEG7EI16_V }, // 9167
  { PseudoVSOXSEG7EI16_V_MF4_M1_MASK, VSOXSEG7EI16_V }, // 9168
  { PseudoVSOXSEG7EI16_V_MF4_MF2, VSOXSEG7EI16_V }, // 9169
  { PseudoVSOXSEG7EI16_V_MF4_MF2_MASK, VSOXSEG7EI16_V }, // 9170
  { PseudoVSOXSEG7EI16_V_MF4_MF4, VSOXSEG7EI16_V }, // 9171
  { PseudoVSOXSEG7EI16_V_MF4_MF4_MASK, VSOXSEG7EI16_V }, // 9172
  { PseudoVSOXSEG7EI16_V_MF4_MF8, VSOXSEG7EI16_V }, // 9173
  { PseudoVSOXSEG7EI16_V_MF4_MF8_MASK, VSOXSEG7EI16_V }, // 9174
  { PseudoVSOXSEG7EI32_V_M1_M1, VSOXSEG7EI32_V }, // 9175
  { PseudoVSOXSEG7EI32_V_M1_M1_MASK, VSOXSEG7EI32_V }, // 9176
  { PseudoVSOXSEG7EI32_V_M1_MF2, VSOXSEG7EI32_V }, // 9177
  { PseudoVSOXSEG7EI32_V_M1_MF2_MASK, VSOXSEG7EI32_V }, // 9178
  { PseudoVSOXSEG7EI32_V_M1_MF4, VSOXSEG7EI32_V }, // 9179
  { PseudoVSOXSEG7EI32_V_M1_MF4_MASK, VSOXSEG7EI32_V }, // 9180
  { PseudoVSOXSEG7EI32_V_M2_M1, VSOXSEG7EI32_V }, // 9181
  { PseudoVSOXSEG7EI32_V_M2_M1_MASK, VSOXSEG7EI32_V }, // 9182
  { PseudoVSOXSEG7EI32_V_M2_MF2, VSOXSEG7EI32_V }, // 9183
  { PseudoVSOXSEG7EI32_V_M2_MF2_MASK, VSOXSEG7EI32_V }, // 9184
  { PseudoVSOXSEG7EI32_V_M4_M1, VSOXSEG7EI32_V }, // 9185
  { PseudoVSOXSEG7EI32_V_M4_M1_MASK, VSOXSEG7EI32_V }, // 9186
  { PseudoVSOXSEG7EI32_V_MF2_M1, VSOXSEG7EI32_V }, // 9187
  { PseudoVSOXSEG7EI32_V_MF2_M1_MASK, VSOXSEG7EI32_V }, // 9188
  { PseudoVSOXSEG7EI32_V_MF2_MF2, VSOXSEG7EI32_V }, // 9189
  { PseudoVSOXSEG7EI32_V_MF2_MF2_MASK, VSOXSEG7EI32_V }, // 9190
  { PseudoVSOXSEG7EI32_V_MF2_MF4, VSOXSEG7EI32_V }, // 9191
  { PseudoVSOXSEG7EI32_V_MF2_MF4_MASK, VSOXSEG7EI32_V }, // 9192
  { PseudoVSOXSEG7EI32_V_MF2_MF8, VSOXSEG7EI32_V }, // 9193
  { PseudoVSOXSEG7EI32_V_MF2_MF8_MASK, VSOXSEG7EI32_V }, // 9194
  { PseudoVSOXSEG7EI64_V_M1_M1, VSOXSEG7EI64_V }, // 9195
  { PseudoVSOXSEG7EI64_V_M1_M1_MASK, VSOXSEG7EI64_V }, // 9196
  { PseudoVSOXSEG7EI64_V_M1_MF2, VSOXSEG7EI64_V }, // 9197
  { PseudoVSOXSEG7EI64_V_M1_MF2_MASK, VSOXSEG7EI64_V }, // 9198
  { PseudoVSOXSEG7EI64_V_M1_MF4, VSOXSEG7EI64_V }, // 9199
  { PseudoVSOXSEG7EI64_V_M1_MF4_MASK, VSOXSEG7EI64_V }, // 9200
  { PseudoVSOXSEG7EI64_V_M1_MF8, VSOXSEG7EI64_V }, // 9201
  { PseudoVSOXSEG7EI64_V_M1_MF8_MASK, VSOXSEG7EI64_V }, // 9202
  { PseudoVSOXSEG7EI64_V_M2_M1, VSOXSEG7EI64_V }, // 9203
  { PseudoVSOXSEG7EI64_V_M2_M1_MASK, VSOXSEG7EI64_V }, // 9204
  { PseudoVSOXSEG7EI64_V_M2_MF2, VSOXSEG7EI64_V }, // 9205
  { PseudoVSOXSEG7EI64_V_M2_MF2_MASK, VSOXSEG7EI64_V }, // 9206
  { PseudoVSOXSEG7EI64_V_M2_MF4, VSOXSEG7EI64_V }, // 9207
  { PseudoVSOXSEG7EI64_V_M2_MF4_MASK, VSOXSEG7EI64_V }, // 9208
  { PseudoVSOXSEG7EI64_V_M4_M1, VSOXSEG7EI64_V }, // 9209
  { PseudoVSOXSEG7EI64_V_M4_M1_MASK, VSOXSEG7EI64_V }, // 9210
  { PseudoVSOXSEG7EI64_V_M4_MF2, VSOXSEG7EI64_V }, // 9211
  { PseudoVSOXSEG7EI64_V_M4_MF2_MASK, VSOXSEG7EI64_V }, // 9212
  { PseudoVSOXSEG7EI64_V_M8_M1, VSOXSEG7EI64_V }, // 9213
  { PseudoVSOXSEG7EI64_V_M8_M1_MASK, VSOXSEG7EI64_V }, // 9214
  { PseudoVSOXSEG7EI8_V_M1_M1, VSOXSEG7EI8_V }, // 9215
  { PseudoVSOXSEG7EI8_V_M1_M1_MASK, VSOXSEG7EI8_V }, // 9216
  { PseudoVSOXSEG7EI8_V_MF2_M1, VSOXSEG7EI8_V }, // 9217
  { PseudoVSOXSEG7EI8_V_MF2_M1_MASK, VSOXSEG7EI8_V }, // 9218
  { PseudoVSOXSEG7EI8_V_MF2_MF2, VSOXSEG7EI8_V }, // 9219
  { PseudoVSOXSEG7EI8_V_MF2_MF2_MASK, VSOXSEG7EI8_V }, // 9220
  { PseudoVSOXSEG7EI8_V_MF4_M1, VSOXSEG7EI8_V }, // 9221
  { PseudoVSOXSEG7EI8_V_MF4_M1_MASK, VSOXSEG7EI8_V }, // 9222
  { PseudoVSOXSEG7EI8_V_MF4_MF2, VSOXSEG7EI8_V }, // 9223
  { PseudoVSOXSEG7EI8_V_MF4_MF2_MASK, VSOXSEG7EI8_V }, // 9224
  { PseudoVSOXSEG7EI8_V_MF4_MF4, VSOXSEG7EI8_V }, // 9225
  { PseudoVSOXSEG7EI8_V_MF4_MF4_MASK, VSOXSEG7EI8_V }, // 9226
  { PseudoVSOXSEG7EI8_V_MF8_M1, VSOXSEG7EI8_V }, // 9227
  { PseudoVSOXSEG7EI8_V_MF8_M1_MASK, VSOXSEG7EI8_V }, // 9228
  { PseudoVSOXSEG7EI8_V_MF8_MF2, VSOXSEG7EI8_V }, // 9229
  { PseudoVSOXSEG7EI8_V_MF8_MF2_MASK, VSOXSEG7EI8_V }, // 9230
  { PseudoVSOXSEG7EI8_V_MF8_MF4, VSOXSEG7EI8_V }, // 9231
  { PseudoVSOXSEG7EI8_V_MF8_MF4_MASK, VSOXSEG7EI8_V }, // 9232
  { PseudoVSOXSEG7EI8_V_MF8_MF8, VSOXSEG7EI8_V }, // 9233
  { PseudoVSOXSEG7EI8_V_MF8_MF8_MASK, VSOXSEG7EI8_V }, // 9234
  { PseudoVSOXSEG8EI16_V_M1_M1, VSOXSEG8EI16_V }, // 9235
  { PseudoVSOXSEG8EI16_V_M1_M1_MASK, VSOXSEG8EI16_V }, // 9236
  { PseudoVSOXSEG8EI16_V_M1_MF2, VSOXSEG8EI16_V }, // 9237
  { PseudoVSOXSEG8EI16_V_M1_MF2_MASK, VSOXSEG8EI16_V }, // 9238
  { PseudoVSOXSEG8EI16_V_M2_M1, VSOXSEG8EI16_V }, // 9239
  { PseudoVSOXSEG8EI16_V_M2_M1_MASK, VSOXSEG8EI16_V }, // 9240
  { PseudoVSOXSEG8EI16_V_MF2_M1, VSOXSEG8EI16_V }, // 9241
  { PseudoVSOXSEG8EI16_V_MF2_M1_MASK, VSOXSEG8EI16_V }, // 9242
  { PseudoVSOXSEG8EI16_V_MF2_MF2, VSOXSEG8EI16_V }, // 9243
  { PseudoVSOXSEG8EI16_V_MF2_MF2_MASK, VSOXSEG8EI16_V }, // 9244
  { PseudoVSOXSEG8EI16_V_MF2_MF4, VSOXSEG8EI16_V }, // 9245
  { PseudoVSOXSEG8EI16_V_MF2_MF4_MASK, VSOXSEG8EI16_V }, // 9246
  { PseudoVSOXSEG8EI16_V_MF4_M1, VSOXSEG8EI16_V }, // 9247
  { PseudoVSOXSEG8EI16_V_MF4_M1_MASK, VSOXSEG8EI16_V }, // 9248
  { PseudoVSOXSEG8EI16_V_MF4_MF2, VSOXSEG8EI16_V }, // 9249
  { PseudoVSOXSEG8EI16_V_MF4_MF2_MASK, VSOXSEG8EI16_V }, // 9250
  { PseudoVSOXSEG8EI16_V_MF4_MF4, VSOXSEG8EI16_V }, // 9251
  { PseudoVSOXSEG8EI16_V_MF4_MF4_MASK, VSOXSEG8EI16_V }, // 9252
  { PseudoVSOXSEG8EI16_V_MF4_MF8, VSOXSEG8EI16_V }, // 9253
  { PseudoVSOXSEG8EI16_V_MF4_MF8_MASK, VSOXSEG8EI16_V }, // 9254
  { PseudoVSOXSEG8EI32_V_M1_M1, VSOXSEG8EI32_V }, // 9255
  { PseudoVSOXSEG8EI32_V_M1_M1_MASK, VSOXSEG8EI32_V }, // 9256
  { PseudoVSOXSEG8EI32_V_M1_MF2, VSOXSEG8EI32_V }, // 9257
  { PseudoVSOXSEG8EI32_V_M1_MF2_MASK, VSOXSEG8EI32_V }, // 9258
  { PseudoVSOXSEG8EI32_V_M1_MF4, VSOXSEG8EI32_V }, // 9259
  { PseudoVSOXSEG8EI32_V_M1_MF4_MASK, VSOXSEG8EI32_V }, // 9260
  { PseudoVSOXSEG8EI32_V_M2_M1, VSOXSEG8EI32_V }, // 9261
  { PseudoVSOXSEG8EI32_V_M2_M1_MASK, VSOXSEG8EI32_V }, // 9262
  { PseudoVSOXSEG8EI32_V_M2_MF2, VSOXSEG8EI32_V }, // 9263
  { PseudoVSOXSEG8EI32_V_M2_MF2_MASK, VSOXSEG8EI32_V }, // 9264
  { PseudoVSOXSEG8EI32_V_M4_M1, VSOXSEG8EI32_V }, // 9265
  { PseudoVSOXSEG8EI32_V_M4_M1_MASK, VSOXSEG8EI32_V }, // 9266
  { PseudoVSOXSEG8EI32_V_MF2_M1, VSOXSEG8EI32_V }, // 9267
  { PseudoVSOXSEG8EI32_V_MF2_M1_MASK, VSOXSEG8EI32_V }, // 9268
  { PseudoVSOXSEG8EI32_V_MF2_MF2, VSOXSEG8EI32_V }, // 9269
  { PseudoVSOXSEG8EI32_V_MF2_MF2_MASK, VSOXSEG8EI32_V }, // 9270
  { PseudoVSOXSEG8EI32_V_MF2_MF4, VSOXSEG8EI32_V }, // 9271
  { PseudoVSOXSEG8EI32_V_MF2_MF4_MASK, VSOXSEG8EI32_V }, // 9272
  { PseudoVSOXSEG8EI32_V_MF2_MF8, VSOXSEG8EI32_V }, // 9273
  { PseudoVSOXSEG8EI32_V_MF2_MF8_MASK, VSOXSEG8EI32_V }, // 9274
  { PseudoVSOXSEG8EI64_V_M1_M1, VSOXSEG8EI64_V }, // 9275
  { PseudoVSOXSEG8EI64_V_M1_M1_MASK, VSOXSEG8EI64_V }, // 9276
  { PseudoVSOXSEG8EI64_V_M1_MF2, VSOXSEG8EI64_V }, // 9277
  { PseudoVSOXSEG8EI64_V_M1_MF2_MASK, VSOXSEG8EI64_V }, // 9278
  { PseudoVSOXSEG8EI64_V_M1_MF4, VSOXSEG8EI64_V }, // 9279
  { PseudoVSOXSEG8EI64_V_M1_MF4_MASK, VSOXSEG8EI64_V }, // 9280
  { PseudoVSOXSEG8EI64_V_M1_MF8, VSOXSEG8EI64_V }, // 9281
  { PseudoVSOXSEG8EI64_V_M1_MF8_MASK, VSOXSEG8EI64_V }, // 9282
  { PseudoVSOXSEG8EI64_V_M2_M1, VSOXSEG8EI64_V }, // 9283
  { PseudoVSOXSEG8EI64_V_M2_M1_MASK, VSOXSEG8EI64_V }, // 9284
  { PseudoVSOXSEG8EI64_V_M2_MF2, VSOXSEG8EI64_V }, // 9285
  { PseudoVSOXSEG8EI64_V_M2_MF2_MASK, VSOXSEG8EI64_V }, // 9286
  { PseudoVSOXSEG8EI64_V_M2_MF4, VSOXSEG8EI64_V }, // 9287
  { PseudoVSOXSEG8EI64_V_M2_MF4_MASK, VSOXSEG8EI64_V }, // 9288
  { PseudoVSOXSEG8EI64_V_M4_M1, VSOXSEG8EI64_V }, // 9289
  { PseudoVSOXSEG8EI64_V_M4_M1_MASK, VSOXSEG8EI64_V }, // 9290
  { PseudoVSOXSEG8EI64_V_M4_MF2, VSOXSEG8EI64_V }, // 9291
  { PseudoVSOXSEG8EI64_V_M4_MF2_MASK, VSOXSEG8EI64_V }, // 9292
  { PseudoVSOXSEG8EI64_V_M8_M1, VSOXSEG8EI64_V }, // 9293
  { PseudoVSOXSEG8EI64_V_M8_M1_MASK, VSOXSEG8EI64_V }, // 9294
  { PseudoVSOXSEG8EI8_V_M1_M1, VSOXSEG8EI8_V }, // 9295
  { PseudoVSOXSEG8EI8_V_M1_M1_MASK, VSOXSEG8EI8_V }, // 9296
  { PseudoVSOXSEG8EI8_V_MF2_M1, VSOXSEG8EI8_V }, // 9297
  { PseudoVSOXSEG8EI8_V_MF2_M1_MASK, VSOXSEG8EI8_V }, // 9298
  { PseudoVSOXSEG8EI8_V_MF2_MF2, VSOXSEG8EI8_V }, // 9299
  { PseudoVSOXSEG8EI8_V_MF2_MF2_MASK, VSOXSEG8EI8_V }, // 9300
  { PseudoVSOXSEG8EI8_V_MF4_M1, VSOXSEG8EI8_V }, // 9301
  { PseudoVSOXSEG8EI8_V_MF4_M1_MASK, VSOXSEG8EI8_V }, // 9302
  { PseudoVSOXSEG8EI8_V_MF4_MF2, VSOXSEG8EI8_V }, // 9303
  { PseudoVSOXSEG8EI8_V_MF4_MF2_MASK, VSOXSEG8EI8_V }, // 9304
  { PseudoVSOXSEG8EI8_V_MF4_MF4, VSOXSEG8EI8_V }, // 9305
  { PseudoVSOXSEG8EI8_V_MF4_MF4_MASK, VSOXSEG8EI8_V }, // 9306
  { PseudoVSOXSEG8EI8_V_MF8_M1, VSOXSEG8EI8_V }, // 9307
  { PseudoVSOXSEG8EI8_V_MF8_M1_MASK, VSOXSEG8EI8_V }, // 9308
  { PseudoVSOXSEG8EI8_V_MF8_MF2, VSOXSEG8EI8_V }, // 9309
  { PseudoVSOXSEG8EI8_V_MF8_MF2_MASK, VSOXSEG8EI8_V }, // 9310
  { PseudoVSOXSEG8EI8_V_MF8_MF4, VSOXSEG8EI8_V }, // 9311
  { PseudoVSOXSEG8EI8_V_MF8_MF4_MASK, VSOXSEG8EI8_V }, // 9312
  { PseudoVSOXSEG8EI8_V_MF8_MF8, VSOXSEG8EI8_V }, // 9313
  { PseudoVSOXSEG8EI8_V_MF8_MF8_MASK, VSOXSEG8EI8_V }, // 9314
  { PseudoVSRA_VI_M1, VSRA_VI }, // 9315
  { PseudoVSRA_VI_M1_MASK, VSRA_VI }, // 9316
  { PseudoVSRA_VI_M2, VSRA_VI }, // 9317
  { PseudoVSRA_VI_M2_MASK, VSRA_VI }, // 9318
  { PseudoVSRA_VI_M4, VSRA_VI }, // 9319
  { PseudoVSRA_VI_M4_MASK, VSRA_VI }, // 9320
  { PseudoVSRA_VI_M8, VSRA_VI }, // 9321
  { PseudoVSRA_VI_M8_MASK, VSRA_VI }, // 9322
  { PseudoVSRA_VI_MF2, VSRA_VI }, // 9323
  { PseudoVSRA_VI_MF2_MASK, VSRA_VI }, // 9324
  { PseudoVSRA_VI_MF4, VSRA_VI }, // 9325
  { PseudoVSRA_VI_MF4_MASK, VSRA_VI }, // 9326
  { PseudoVSRA_VI_MF8, VSRA_VI }, // 9327
  { PseudoVSRA_VI_MF8_MASK, VSRA_VI }, // 9328
  { PseudoVSRA_VV_M1, VSRA_VV }, // 9329
  { PseudoVSRA_VV_M1_MASK, VSRA_VV }, // 9330
  { PseudoVSRA_VV_M2, VSRA_VV }, // 9331
  { PseudoVSRA_VV_M2_MASK, VSRA_VV }, // 9332
  { PseudoVSRA_VV_M4, VSRA_VV }, // 9333
  { PseudoVSRA_VV_M4_MASK, VSRA_VV }, // 9334
  { PseudoVSRA_VV_M8, VSRA_VV }, // 9335
  { PseudoVSRA_VV_M8_MASK, VSRA_VV }, // 9336
  { PseudoVSRA_VV_MF2, VSRA_VV }, // 9337
  { PseudoVSRA_VV_MF2_MASK, VSRA_VV }, // 9338
  { PseudoVSRA_VV_MF4, VSRA_VV }, // 9339
  { PseudoVSRA_VV_MF4_MASK, VSRA_VV }, // 9340
  { PseudoVSRA_VV_MF8, VSRA_VV }, // 9341
  { PseudoVSRA_VV_MF8_MASK, VSRA_VV }, // 9342
  { PseudoVSRA_VX_M1, VSRA_VX }, // 9343
  { PseudoVSRA_VX_M1_MASK, VSRA_VX }, // 9344
  { PseudoVSRA_VX_M2, VSRA_VX }, // 9345
  { PseudoVSRA_VX_M2_MASK, VSRA_VX }, // 9346
  { PseudoVSRA_VX_M4, VSRA_VX }, // 9347
  { PseudoVSRA_VX_M4_MASK, VSRA_VX }, // 9348
  { PseudoVSRA_VX_M8, VSRA_VX }, // 9349
  { PseudoVSRA_VX_M8_MASK, VSRA_VX }, // 9350
  { PseudoVSRA_VX_MF2, VSRA_VX }, // 9351
  { PseudoVSRA_VX_MF2_MASK, VSRA_VX }, // 9352
  { PseudoVSRA_VX_MF4, VSRA_VX }, // 9353
  { PseudoVSRA_VX_MF4_MASK, VSRA_VX }, // 9354
  { PseudoVSRA_VX_MF8, VSRA_VX }, // 9355
  { PseudoVSRA_VX_MF8_MASK, VSRA_VX }, // 9356
  { PseudoVSRL_VI_M1, VSRL_VI }, // 9357
  { PseudoVSRL_VI_M1_MASK, VSRL_VI }, // 9358
  { PseudoVSRL_VI_M2, VSRL_VI }, // 9359
  { PseudoVSRL_VI_M2_MASK, VSRL_VI }, // 9360
  { PseudoVSRL_VI_M4, VSRL_VI }, // 9361
  { PseudoVSRL_VI_M4_MASK, VSRL_VI }, // 9362
  { PseudoVSRL_VI_M8, VSRL_VI }, // 9363
  { PseudoVSRL_VI_M8_MASK, VSRL_VI }, // 9364
  { PseudoVSRL_VI_MF2, VSRL_VI }, // 9365
  { PseudoVSRL_VI_MF2_MASK, VSRL_VI }, // 9366
  { PseudoVSRL_VI_MF4, VSRL_VI }, // 9367
  { PseudoVSRL_VI_MF4_MASK, VSRL_VI }, // 9368
  { PseudoVSRL_VI_MF8, VSRL_VI }, // 9369
  { PseudoVSRL_VI_MF8_MASK, VSRL_VI }, // 9370
  { PseudoVSRL_VV_M1, VSRL_VV }, // 9371
  { PseudoVSRL_VV_M1_MASK, VSRL_VV }, // 9372
  { PseudoVSRL_VV_M2, VSRL_VV }, // 9373
  { PseudoVSRL_VV_M2_MASK, VSRL_VV }, // 9374
  { PseudoVSRL_VV_M4, VSRL_VV }, // 9375
  { PseudoVSRL_VV_M4_MASK, VSRL_VV }, // 9376
  { PseudoVSRL_VV_M8, VSRL_VV }, // 9377
  { PseudoVSRL_VV_M8_MASK, VSRL_VV }, // 9378
  { PseudoVSRL_VV_MF2, VSRL_VV }, // 9379
  { PseudoVSRL_VV_MF2_MASK, VSRL_VV }, // 9380
  { PseudoVSRL_VV_MF4, VSRL_VV }, // 9381
  { PseudoVSRL_VV_MF4_MASK, VSRL_VV }, // 9382
  { PseudoVSRL_VV_MF8, VSRL_VV }, // 9383
  { PseudoVSRL_VV_MF8_MASK, VSRL_VV }, // 9384
  { PseudoVSRL_VX_M1, VSRL_VX }, // 9385
  { PseudoVSRL_VX_M1_MASK, VSRL_VX }, // 9386
  { PseudoVSRL_VX_M2, VSRL_VX }, // 9387
  { PseudoVSRL_VX_M2_MASK, VSRL_VX }, // 9388
  { PseudoVSRL_VX_M4, VSRL_VX }, // 9389
  { PseudoVSRL_VX_M4_MASK, VSRL_VX }, // 9390
  { PseudoVSRL_VX_M8, VSRL_VX }, // 9391
  { PseudoVSRL_VX_M8_MASK, VSRL_VX }, // 9392
  { PseudoVSRL_VX_MF2, VSRL_VX }, // 9393
  { PseudoVSRL_VX_MF2_MASK, VSRL_VX }, // 9394
  { PseudoVSRL_VX_MF4, VSRL_VX }, // 9395
  { PseudoVSRL_VX_MF4_MASK, VSRL_VX }, // 9396
  { PseudoVSRL_VX_MF8, VSRL_VX }, // 9397
  { PseudoVSRL_VX_MF8_MASK, VSRL_VX }, // 9398
  { PseudoVSSE16_V_M1, VSSE16_V }, // 9399
  { PseudoVSSE16_V_M1_MASK, VSSE16_V }, // 9400
  { PseudoVSSE16_V_M2, VSSE16_V }, // 9401
  { PseudoVSSE16_V_M2_MASK, VSSE16_V }, // 9402
  { PseudoVSSE16_V_M4, VSSE16_V }, // 9403
  { PseudoVSSE16_V_M4_MASK, VSSE16_V }, // 9404
  { PseudoVSSE16_V_M8, VSSE16_V }, // 9405
  { PseudoVSSE16_V_M8_MASK, VSSE16_V }, // 9406
  { PseudoVSSE16_V_MF2, VSSE16_V }, // 9407
  { PseudoVSSE16_V_MF2_MASK, VSSE16_V }, // 9408
  { PseudoVSSE16_V_MF4, VSSE16_V }, // 9409
  { PseudoVSSE16_V_MF4_MASK, VSSE16_V }, // 9410
  { PseudoVSSE32_V_M1, VSSE32_V }, // 9411
  { PseudoVSSE32_V_M1_MASK, VSSE32_V }, // 9412
  { PseudoVSSE32_V_M2, VSSE32_V }, // 9413
  { PseudoVSSE32_V_M2_MASK, VSSE32_V }, // 9414
  { PseudoVSSE32_V_M4, VSSE32_V }, // 9415
  { PseudoVSSE32_V_M4_MASK, VSSE32_V }, // 9416
  { PseudoVSSE32_V_M8, VSSE32_V }, // 9417
  { PseudoVSSE32_V_M8_MASK, VSSE32_V }, // 9418
  { PseudoVSSE32_V_MF2, VSSE32_V }, // 9419
  { PseudoVSSE32_V_MF2_MASK, VSSE32_V }, // 9420
  { PseudoVSSE64_V_M1, VSSE64_V }, // 9421
  { PseudoVSSE64_V_M1_MASK, VSSE64_V }, // 9422
  { PseudoVSSE64_V_M2, VSSE64_V }, // 9423
  { PseudoVSSE64_V_M2_MASK, VSSE64_V }, // 9424
  { PseudoVSSE64_V_M4, VSSE64_V }, // 9425
  { PseudoVSSE64_V_M4_MASK, VSSE64_V }, // 9426
  { PseudoVSSE64_V_M8, VSSE64_V }, // 9427
  { PseudoVSSE64_V_M8_MASK, VSSE64_V }, // 9428
  { PseudoVSSE8_V_M1, VSSE8_V }, // 9429
  { PseudoVSSE8_V_M1_MASK, VSSE8_V }, // 9430
  { PseudoVSSE8_V_M2, VSSE8_V }, // 9431
  { PseudoVSSE8_V_M2_MASK, VSSE8_V }, // 9432
  { PseudoVSSE8_V_M4, VSSE8_V }, // 9433
  { PseudoVSSE8_V_M4_MASK, VSSE8_V }, // 9434
  { PseudoVSSE8_V_M8, VSSE8_V }, // 9435
  { PseudoVSSE8_V_M8_MASK, VSSE8_V }, // 9436
  { PseudoVSSE8_V_MF2, VSSE8_V }, // 9437
  { PseudoVSSE8_V_MF2_MASK, VSSE8_V }, // 9438
  { PseudoVSSE8_V_MF4, VSSE8_V }, // 9439
  { PseudoVSSE8_V_MF4_MASK, VSSE8_V }, // 9440
  { PseudoVSSE8_V_MF8, VSSE8_V }, // 9441
  { PseudoVSSE8_V_MF8_MASK, VSSE8_V }, // 9442
  { PseudoVSSEG2E16_V_M1, VSSEG2E16_V }, // 9443
  { PseudoVSSEG2E16_V_M1_MASK, VSSEG2E16_V }, // 9444
  { PseudoVSSEG2E16_V_M2, VSSEG2E16_V }, // 9445
  { PseudoVSSEG2E16_V_M2_MASK, VSSEG2E16_V }, // 9446
  { PseudoVSSEG2E16_V_M4, VSSEG2E16_V }, // 9447
  { PseudoVSSEG2E16_V_M4_MASK, VSSEG2E16_V }, // 9448
  { PseudoVSSEG2E16_V_MF2, VSSEG2E16_V }, // 9449
  { PseudoVSSEG2E16_V_MF2_MASK, VSSEG2E16_V }, // 9450
  { PseudoVSSEG2E16_V_MF4, VSSEG2E16_V }, // 9451
  { PseudoVSSEG2E16_V_MF4_MASK, VSSEG2E16_V }, // 9452
  { PseudoVSSEG2E32_V_M1, VSSEG2E32_V }, // 9453
  { PseudoVSSEG2E32_V_M1_MASK, VSSEG2E32_V }, // 9454
  { PseudoVSSEG2E32_V_M2, VSSEG2E32_V }, // 9455
  { PseudoVSSEG2E32_V_M2_MASK, VSSEG2E32_V }, // 9456
  { PseudoVSSEG2E32_V_M4, VSSEG2E32_V }, // 9457
  { PseudoVSSEG2E32_V_M4_MASK, VSSEG2E32_V }, // 9458
  { PseudoVSSEG2E32_V_MF2, VSSEG2E32_V }, // 9459
  { PseudoVSSEG2E32_V_MF2_MASK, VSSEG2E32_V }, // 9460
  { PseudoVSSEG2E64_V_M1, VSSEG2E64_V }, // 9461
  { PseudoVSSEG2E64_V_M1_MASK, VSSEG2E64_V }, // 9462
  { PseudoVSSEG2E64_V_M2, VSSEG2E64_V }, // 9463
  { PseudoVSSEG2E64_V_M2_MASK, VSSEG2E64_V }, // 9464
  { PseudoVSSEG2E64_V_M4, VSSEG2E64_V }, // 9465
  { PseudoVSSEG2E64_V_M4_MASK, VSSEG2E64_V }, // 9466
  { PseudoVSSEG2E8_V_M1, VSSEG2E8_V }, // 9467
  { PseudoVSSEG2E8_V_M1_MASK, VSSEG2E8_V }, // 9468
  { PseudoVSSEG2E8_V_M2, VSSEG2E8_V }, // 9469
  { PseudoVSSEG2E8_V_M2_MASK, VSSEG2E8_V }, // 9470
  { PseudoVSSEG2E8_V_M4, VSSEG2E8_V }, // 9471
  { PseudoVSSEG2E8_V_M4_MASK, VSSEG2E8_V }, // 9472
  { PseudoVSSEG2E8_V_MF2, VSSEG2E8_V }, // 9473
  { PseudoVSSEG2E8_V_MF2_MASK, VSSEG2E8_V }, // 9474
  { PseudoVSSEG2E8_V_MF4, VSSEG2E8_V }, // 9475
  { PseudoVSSEG2E8_V_MF4_MASK, VSSEG2E8_V }, // 9476
  { PseudoVSSEG2E8_V_MF8, VSSEG2E8_V }, // 9477
  { PseudoVSSEG2E8_V_MF8_MASK, VSSEG2E8_V }, // 9478
  { PseudoVSSEG3E16_V_M1, VSSEG3E16_V }, // 9479
  { PseudoVSSEG3E16_V_M1_MASK, VSSEG3E16_V }, // 9480
  { PseudoVSSEG3E16_V_M2, VSSEG3E16_V }, // 9481
  { PseudoVSSEG3E16_V_M2_MASK, VSSEG3E16_V }, // 9482
  { PseudoVSSEG3E16_V_MF2, VSSEG3E16_V }, // 9483
  { PseudoVSSEG3E16_V_MF2_MASK, VSSEG3E16_V }, // 9484
  { PseudoVSSEG3E16_V_MF4, VSSEG3E16_V }, // 9485
  { PseudoVSSEG3E16_V_MF4_MASK, VSSEG3E16_V }, // 9486
  { PseudoVSSEG3E32_V_M1, VSSEG3E32_V }, // 9487
  { PseudoVSSEG3E32_V_M1_MASK, VSSEG3E32_V }, // 9488
  { PseudoVSSEG3E32_V_M2, VSSEG3E32_V }, // 9489
  { PseudoVSSEG3E32_V_M2_MASK, VSSEG3E32_V }, // 9490
  { PseudoVSSEG3E32_V_MF2, VSSEG3E32_V }, // 9491
  { PseudoVSSEG3E32_V_MF2_MASK, VSSEG3E32_V }, // 9492
  { PseudoVSSEG3E64_V_M1, VSSEG3E64_V }, // 9493
  { PseudoVSSEG3E64_V_M1_MASK, VSSEG3E64_V }, // 9494
  { PseudoVSSEG3E64_V_M2, VSSEG3E64_V }, // 9495
  { PseudoVSSEG3E64_V_M2_MASK, VSSEG3E64_V }, // 9496
  { PseudoVSSEG3E8_V_M1, VSSEG3E8_V }, // 9497
  { PseudoVSSEG3E8_V_M1_MASK, VSSEG3E8_V }, // 9498
  { PseudoVSSEG3E8_V_M2, VSSEG3E8_V }, // 9499
  { PseudoVSSEG3E8_V_M2_MASK, VSSEG3E8_V }, // 9500
  { PseudoVSSEG3E8_V_MF2, VSSEG3E8_V }, // 9501
  { PseudoVSSEG3E8_V_MF2_MASK, VSSEG3E8_V }, // 9502
  { PseudoVSSEG3E8_V_MF4, VSSEG3E8_V }, // 9503
  { PseudoVSSEG3E8_V_MF4_MASK, VSSEG3E8_V }, // 9504
  { PseudoVSSEG3E8_V_MF8, VSSEG3E8_V }, // 9505
  { PseudoVSSEG3E8_V_MF8_MASK, VSSEG3E8_V }, // 9506
  { PseudoVSSEG4E16_V_M1, VSSEG4E16_V }, // 9507
  { PseudoVSSEG4E16_V_M1_MASK, VSSEG4E16_V }, // 9508
  { PseudoVSSEG4E16_V_M2, VSSEG4E16_V }, // 9509
  { PseudoVSSEG4E16_V_M2_MASK, VSSEG4E16_V }, // 9510
  { PseudoVSSEG4E16_V_MF2, VSSEG4E16_V }, // 9511
  { PseudoVSSEG4E16_V_MF2_MASK, VSSEG4E16_V }, // 9512
  { PseudoVSSEG4E16_V_MF4, VSSEG4E16_V }, // 9513
  { PseudoVSSEG4E16_V_MF4_MASK, VSSEG4E16_V }, // 9514
  { PseudoVSSEG4E32_V_M1, VSSEG4E32_V }, // 9515
  { PseudoVSSEG4E32_V_M1_MASK, VSSEG4E32_V }, // 9516
  { PseudoVSSEG4E32_V_M2, VSSEG4E32_V }, // 9517
  { PseudoVSSEG4E32_V_M2_MASK, VSSEG4E32_V }, // 9518
  { PseudoVSSEG4E32_V_MF2, VSSEG4E32_V }, // 9519
  { PseudoVSSEG4E32_V_MF2_MASK, VSSEG4E32_V }, // 9520
  { PseudoVSSEG4E64_V_M1, VSSEG4E64_V }, // 9521
  { PseudoVSSEG4E64_V_M1_MASK, VSSEG4E64_V }, // 9522
  { PseudoVSSEG4E64_V_M2, VSSEG4E64_V }, // 9523
  { PseudoVSSEG4E64_V_M2_MASK, VSSEG4E64_V }, // 9524
  { PseudoVSSEG4E8_V_M1, VSSEG4E8_V }, // 9525
  { PseudoVSSEG4E8_V_M1_MASK, VSSEG4E8_V }, // 9526
  { PseudoVSSEG4E8_V_M2, VSSEG4E8_V }, // 9527
  { PseudoVSSEG4E8_V_M2_MASK, VSSEG4E8_V }, // 9528
  { PseudoVSSEG4E8_V_MF2, VSSEG4E8_V }, // 9529
  { PseudoVSSEG4E8_V_MF2_MASK, VSSEG4E8_V }, // 9530
  { PseudoVSSEG4E8_V_MF4, VSSEG4E8_V }, // 9531
  { PseudoVSSEG4E8_V_MF4_MASK, VSSEG4E8_V }, // 9532
  { PseudoVSSEG4E8_V_MF8, VSSEG4E8_V }, // 9533
  { PseudoVSSEG4E8_V_MF8_MASK, VSSEG4E8_V }, // 9534
  { PseudoVSSEG5E16_V_M1, VSSEG5E16_V }, // 9535
  { PseudoVSSEG5E16_V_M1_MASK, VSSEG5E16_V }, // 9536
  { PseudoVSSEG5E16_V_MF2, VSSEG5E16_V }, // 9537
  { PseudoVSSEG5E16_V_MF2_MASK, VSSEG5E16_V }, // 9538
  { PseudoVSSEG5E16_V_MF4, VSSEG5E16_V }, // 9539
  { PseudoVSSEG5E16_V_MF4_MASK, VSSEG5E16_V }, // 9540
  { PseudoVSSEG5E32_V_M1, VSSEG5E32_V }, // 9541
  { PseudoVSSEG5E32_V_M1_MASK, VSSEG5E32_V }, // 9542
  { PseudoVSSEG5E32_V_MF2, VSSEG5E32_V }, // 9543
  { PseudoVSSEG5E32_V_MF2_MASK, VSSEG5E32_V }, // 9544
  { PseudoVSSEG5E64_V_M1, VSSEG5E64_V }, // 9545
  { PseudoVSSEG5E64_V_M1_MASK, VSSEG5E64_V }, // 9546
  { PseudoVSSEG5E8_V_M1, VSSEG5E8_V }, // 9547
  { PseudoVSSEG5E8_V_M1_MASK, VSSEG5E8_V }, // 9548
  { PseudoVSSEG5E8_V_MF2, VSSEG5E8_V }, // 9549
  { PseudoVSSEG5E8_V_MF2_MASK, VSSEG5E8_V }, // 9550
  { PseudoVSSEG5E8_V_MF4, VSSEG5E8_V }, // 9551
  { PseudoVSSEG5E8_V_MF4_MASK, VSSEG5E8_V }, // 9552
  { PseudoVSSEG5E8_V_MF8, VSSEG5E8_V }, // 9553
  { PseudoVSSEG5E8_V_MF8_MASK, VSSEG5E8_V }, // 9554
  { PseudoVSSEG6E16_V_M1, VSSEG6E16_V }, // 9555
  { PseudoVSSEG6E16_V_M1_MASK, VSSEG6E16_V }, // 9556
  { PseudoVSSEG6E16_V_MF2, VSSEG6E16_V }, // 9557
  { PseudoVSSEG6E16_V_MF2_MASK, VSSEG6E16_V }, // 9558
  { PseudoVSSEG6E16_V_MF4, VSSEG6E16_V }, // 9559
  { PseudoVSSEG6E16_V_MF4_MASK, VSSEG6E16_V }, // 9560
  { PseudoVSSEG6E32_V_M1, VSSEG6E32_V }, // 9561
  { PseudoVSSEG6E32_V_M1_MASK, VSSEG6E32_V }, // 9562
  { PseudoVSSEG6E32_V_MF2, VSSEG6E32_V }, // 9563
  { PseudoVSSEG6E32_V_MF2_MASK, VSSEG6E32_V }, // 9564
  { PseudoVSSEG6E64_V_M1, VSSEG6E64_V }, // 9565
  { PseudoVSSEG6E64_V_M1_MASK, VSSEG6E64_V }, // 9566
  { PseudoVSSEG6E8_V_M1, VSSEG6E8_V }, // 9567
  { PseudoVSSEG6E8_V_M1_MASK, VSSEG6E8_V }, // 9568
  { PseudoVSSEG6E8_V_MF2, VSSEG6E8_V }, // 9569
  { PseudoVSSEG6E8_V_MF2_MASK, VSSEG6E8_V }, // 9570
  { PseudoVSSEG6E8_V_MF4, VSSEG6E8_V }, // 9571
  { PseudoVSSEG6E8_V_MF4_MASK, VSSEG6E8_V }, // 9572
  { PseudoVSSEG6E8_V_MF8, VSSEG6E8_V }, // 9573
  { PseudoVSSEG6E8_V_MF8_MASK, VSSEG6E8_V }, // 9574
  { PseudoVSSEG7E16_V_M1, VSSEG7E16_V }, // 9575
  { PseudoVSSEG7E16_V_M1_MASK, VSSEG7E16_V }, // 9576
  { PseudoVSSEG7E16_V_MF2, VSSEG7E16_V }, // 9577
  { PseudoVSSEG7E16_V_MF2_MASK, VSSEG7E16_V }, // 9578
  { PseudoVSSEG7E16_V_MF4, VSSEG7E16_V }, // 9579
  { PseudoVSSEG7E16_V_MF4_MASK, VSSEG7E16_V }, // 9580
  { PseudoVSSEG7E32_V_M1, VSSEG7E32_V }, // 9581
  { PseudoVSSEG7E32_V_M1_MASK, VSSEG7E32_V }, // 9582
  { PseudoVSSEG7E32_V_MF2, VSSEG7E32_V }, // 9583
  { PseudoVSSEG7E32_V_MF2_MASK, VSSEG7E32_V }, // 9584
  { PseudoVSSEG7E64_V_M1, VSSEG7E64_V }, // 9585
  { PseudoVSSEG7E64_V_M1_MASK, VSSEG7E64_V }, // 9586
  { PseudoVSSEG7E8_V_M1, VSSEG7E8_V }, // 9587
  { PseudoVSSEG7E8_V_M1_MASK, VSSEG7E8_V }, // 9588
  { PseudoVSSEG7E8_V_MF2, VSSEG7E8_V }, // 9589
  { PseudoVSSEG7E8_V_MF2_MASK, VSSEG7E8_V }, // 9590
  { PseudoVSSEG7E8_V_MF4, VSSEG7E8_V }, // 9591
  { PseudoVSSEG7E8_V_MF4_MASK, VSSEG7E8_V }, // 9592
  { PseudoVSSEG7E8_V_MF8, VSSEG7E8_V }, // 9593
  { PseudoVSSEG7E8_V_MF8_MASK, VSSEG7E8_V }, // 9594
  { PseudoVSSEG8E16_V_M1, VSSEG8E16_V }, // 9595
  { PseudoVSSEG8E16_V_M1_MASK, VSSEG8E16_V }, // 9596
  { PseudoVSSEG8E16_V_MF2, VSSEG8E16_V }, // 9597
  { PseudoVSSEG8E16_V_MF2_MASK, VSSEG8E16_V }, // 9598
  { PseudoVSSEG8E16_V_MF4, VSSEG8E16_V }, // 9599
  { PseudoVSSEG8E16_V_MF4_MASK, VSSEG8E16_V }, // 9600
  { PseudoVSSEG8E32_V_M1, VSSEG8E32_V }, // 9601
  { PseudoVSSEG8E32_V_M1_MASK, VSSEG8E32_V }, // 9602
  { PseudoVSSEG8E32_V_MF2, VSSEG8E32_V }, // 9603
  { PseudoVSSEG8E32_V_MF2_MASK, VSSEG8E32_V }, // 9604
  { PseudoVSSEG8E64_V_M1, VSSEG8E64_V }, // 9605
  { PseudoVSSEG8E64_V_M1_MASK, VSSEG8E64_V }, // 9606
  { PseudoVSSEG8E8_V_M1, VSSEG8E8_V }, // 9607
  { PseudoVSSEG8E8_V_M1_MASK, VSSEG8E8_V }, // 9608
  { PseudoVSSEG8E8_V_MF2, VSSEG8E8_V }, // 9609
  { PseudoVSSEG8E8_V_MF2_MASK, VSSEG8E8_V }, // 9610
  { PseudoVSSEG8E8_V_MF4, VSSEG8E8_V }, // 9611
  { PseudoVSSEG8E8_V_MF4_MASK, VSSEG8E8_V }, // 9612
  { PseudoVSSEG8E8_V_MF8, VSSEG8E8_V }, // 9613
  { PseudoVSSEG8E8_V_MF8_MASK, VSSEG8E8_V }, // 9614
  { PseudoVSSRA_VI_M1, VSSRA_VI }, // 9615
  { PseudoVSSRA_VI_M1_MASK, VSSRA_VI }, // 9616
  { PseudoVSSRA_VI_M2, VSSRA_VI }, // 9617
  { PseudoVSSRA_VI_M2_MASK, VSSRA_VI }, // 9618
  { PseudoVSSRA_VI_M4, VSSRA_VI }, // 9619
  { PseudoVSSRA_VI_M4_MASK, VSSRA_VI }, // 9620
  { PseudoVSSRA_VI_M8, VSSRA_VI }, // 9621
  { PseudoVSSRA_VI_M8_MASK, VSSRA_VI }, // 9622
  { PseudoVSSRA_VI_MF2, VSSRA_VI }, // 9623
  { PseudoVSSRA_VI_MF2_MASK, VSSRA_VI }, // 9624
  { PseudoVSSRA_VI_MF4, VSSRA_VI }, // 9625
  { PseudoVSSRA_VI_MF4_MASK, VSSRA_VI }, // 9626
  { PseudoVSSRA_VI_MF8, VSSRA_VI }, // 9627
  { PseudoVSSRA_VI_MF8_MASK, VSSRA_VI }, // 9628
  { PseudoVSSRA_VV_M1, VSSRA_VV }, // 9629
  { PseudoVSSRA_VV_M1_MASK, VSSRA_VV }, // 9630
  { PseudoVSSRA_VV_M2, VSSRA_VV }, // 9631
  { PseudoVSSRA_VV_M2_MASK, VSSRA_VV }, // 9632
  { PseudoVSSRA_VV_M4, VSSRA_VV }, // 9633
  { PseudoVSSRA_VV_M4_MASK, VSSRA_VV }, // 9634
  { PseudoVSSRA_VV_M8, VSSRA_VV }, // 9635
  { PseudoVSSRA_VV_M8_MASK, VSSRA_VV }, // 9636
  { PseudoVSSRA_VV_MF2, VSSRA_VV }, // 9637
  { PseudoVSSRA_VV_MF2_MASK, VSSRA_VV }, // 9638
  { PseudoVSSRA_VV_MF4, VSSRA_VV }, // 9639
  { PseudoVSSRA_VV_MF4_MASK, VSSRA_VV }, // 9640
  { PseudoVSSRA_VV_MF8, VSSRA_VV }, // 9641
  { PseudoVSSRA_VV_MF8_MASK, VSSRA_VV }, // 9642
  { PseudoVSSRA_VX_M1, VSSRA_VX }, // 9643
  { PseudoVSSRA_VX_M1_MASK, VSSRA_VX }, // 9644
  { PseudoVSSRA_VX_M2, VSSRA_VX }, // 9645
  { PseudoVSSRA_VX_M2_MASK, VSSRA_VX }, // 9646
  { PseudoVSSRA_VX_M4, VSSRA_VX }, // 9647
  { PseudoVSSRA_VX_M4_MASK, VSSRA_VX }, // 9648
  { PseudoVSSRA_VX_M8, VSSRA_VX }, // 9649
  { PseudoVSSRA_VX_M8_MASK, VSSRA_VX }, // 9650
  { PseudoVSSRA_VX_MF2, VSSRA_VX }, // 9651
  { PseudoVSSRA_VX_MF2_MASK, VSSRA_VX }, // 9652
  { PseudoVSSRA_VX_MF4, VSSRA_VX }, // 9653
  { PseudoVSSRA_VX_MF4_MASK, VSSRA_VX }, // 9654
  { PseudoVSSRA_VX_MF8, VSSRA_VX }, // 9655
  { PseudoVSSRA_VX_MF8_MASK, VSSRA_VX }, // 9656
  { PseudoVSSRL_VI_M1, VSSRL_VI }, // 9657
  { PseudoVSSRL_VI_M1_MASK, VSSRL_VI }, // 9658
  { PseudoVSSRL_VI_M2, VSSRL_VI }, // 9659
  { PseudoVSSRL_VI_M2_MASK, VSSRL_VI }, // 9660
  { PseudoVSSRL_VI_M4, VSSRL_VI }, // 9661
  { PseudoVSSRL_VI_M4_MASK, VSSRL_VI }, // 9662
  { PseudoVSSRL_VI_M8, VSSRL_VI }, // 9663
  { PseudoVSSRL_VI_M8_MASK, VSSRL_VI }, // 9664
  { PseudoVSSRL_VI_MF2, VSSRL_VI }, // 9665
  { PseudoVSSRL_VI_MF2_MASK, VSSRL_VI }, // 9666
  { PseudoVSSRL_VI_MF4, VSSRL_VI }, // 9667
  { PseudoVSSRL_VI_MF4_MASK, VSSRL_VI }, // 9668
  { PseudoVSSRL_VI_MF8, VSSRL_VI }, // 9669
  { PseudoVSSRL_VI_MF8_MASK, VSSRL_VI }, // 9670
  { PseudoVSSRL_VV_M1, VSSRL_VV }, // 9671
  { PseudoVSSRL_VV_M1_MASK, VSSRL_VV }, // 9672
  { PseudoVSSRL_VV_M2, VSSRL_VV }, // 9673
  { PseudoVSSRL_VV_M2_MASK, VSSRL_VV }, // 9674
  { PseudoVSSRL_VV_M4, VSSRL_VV }, // 9675
  { PseudoVSSRL_VV_M4_MASK, VSSRL_VV }, // 9676
  { PseudoVSSRL_VV_M8, VSSRL_VV }, // 9677
  { PseudoVSSRL_VV_M8_MASK, VSSRL_VV }, // 9678
  { PseudoVSSRL_VV_MF2, VSSRL_VV }, // 9679
  { PseudoVSSRL_VV_MF2_MASK, VSSRL_VV }, // 9680
  { PseudoVSSRL_VV_MF4, VSSRL_VV }, // 9681
  { PseudoVSSRL_VV_MF4_MASK, VSSRL_VV }, // 9682
  { PseudoVSSRL_VV_MF8, VSSRL_VV }, // 9683
  { PseudoVSSRL_VV_MF8_MASK, VSSRL_VV }, // 9684
  { PseudoVSSRL_VX_M1, VSSRL_VX }, // 9685
  { PseudoVSSRL_VX_M1_MASK, VSSRL_VX }, // 9686
  { PseudoVSSRL_VX_M2, VSSRL_VX }, // 9687
  { PseudoVSSRL_VX_M2_MASK, VSSRL_VX }, // 9688
  { PseudoVSSRL_VX_M4, VSSRL_VX }, // 9689
  { PseudoVSSRL_VX_M4_MASK, VSSRL_VX }, // 9690
  { PseudoVSSRL_VX_M8, VSSRL_VX }, // 9691
  { PseudoVSSRL_VX_M8_MASK, VSSRL_VX }, // 9692
  { PseudoVSSRL_VX_MF2, VSSRL_VX }, // 9693
  { PseudoVSSRL_VX_MF2_MASK, VSSRL_VX }, // 9694
  { PseudoVSSRL_VX_MF4, VSSRL_VX }, // 9695
  { PseudoVSSRL_VX_MF4_MASK, VSSRL_VX }, // 9696
  { PseudoVSSRL_VX_MF8, VSSRL_VX }, // 9697
  { PseudoVSSRL_VX_MF8_MASK, VSSRL_VX }, // 9698
  { PseudoVSSSEG2E16_V_M1, VSSSEG2E16_V }, // 9699
  { PseudoVSSSEG2E16_V_M1_MASK, VSSSEG2E16_V }, // 9700
  { PseudoVSSSEG2E16_V_M2, VSSSEG2E16_V }, // 9701
  { PseudoVSSSEG2E16_V_M2_MASK, VSSSEG2E16_V }, // 9702
  { PseudoVSSSEG2E16_V_M4, VSSSEG2E16_V }, // 9703
  { PseudoVSSSEG2E16_V_M4_MASK, VSSSEG2E16_V }, // 9704
  { PseudoVSSSEG2E16_V_MF2, VSSSEG2E16_V }, // 9705
  { PseudoVSSSEG2E16_V_MF2_MASK, VSSSEG2E16_V }, // 9706
  { PseudoVSSSEG2E16_V_MF4, VSSSEG2E16_V }, // 9707
  { PseudoVSSSEG2E16_V_MF4_MASK, VSSSEG2E16_V }, // 9708
  { PseudoVSSSEG2E32_V_M1, VSSSEG2E32_V }, // 9709
  { PseudoVSSSEG2E32_V_M1_MASK, VSSSEG2E32_V }, // 9710
  { PseudoVSSSEG2E32_V_M2, VSSSEG2E32_V }, // 9711
  { PseudoVSSSEG2E32_V_M2_MASK, VSSSEG2E32_V }, // 9712
  { PseudoVSSSEG2E32_V_M4, VSSSEG2E32_V }, // 9713
  { PseudoVSSSEG2E32_V_M4_MASK, VSSSEG2E32_V }, // 9714
  { PseudoVSSSEG2E32_V_MF2, VSSSEG2E32_V }, // 9715
  { PseudoVSSSEG2E32_V_MF2_MASK, VSSSEG2E32_V }, // 9716
  { PseudoVSSSEG2E64_V_M1, VSSSEG2E64_V }, // 9717
  { PseudoVSSSEG2E64_V_M1_MASK, VSSSEG2E64_V }, // 9718
  { PseudoVSSSEG2E64_V_M2, VSSSEG2E64_V }, // 9719
  { PseudoVSSSEG2E64_V_M2_MASK, VSSSEG2E64_V }, // 9720
  { PseudoVSSSEG2E64_V_M4, VSSSEG2E64_V }, // 9721
  { PseudoVSSSEG2E64_V_M4_MASK, VSSSEG2E64_V }, // 9722
  { PseudoVSSSEG2E8_V_M1, VSSSEG2E8_V }, // 9723
  { PseudoVSSSEG2E8_V_M1_MASK, VSSSEG2E8_V }, // 9724
  { PseudoVSSSEG2E8_V_M2, VSSSEG2E8_V }, // 9725
  { PseudoVSSSEG2E8_V_M2_MASK, VSSSEG2E8_V }, // 9726
  { PseudoVSSSEG2E8_V_M4, VSSSEG2E8_V }, // 9727
  { PseudoVSSSEG2E8_V_M4_MASK, VSSSEG2E8_V }, // 9728
  { PseudoVSSSEG2E8_V_MF2, VSSSEG2E8_V }, // 9729
  { PseudoVSSSEG2E8_V_MF2_MASK, VSSSEG2E8_V }, // 9730
  { PseudoVSSSEG2E8_V_MF4, VSSSEG2E8_V }, // 9731
  { PseudoVSSSEG2E8_V_MF4_MASK, VSSSEG2E8_V }, // 9732
  { PseudoVSSSEG2E8_V_MF8, VSSSEG2E8_V }, // 9733
  { PseudoVSSSEG2E8_V_MF8_MASK, VSSSEG2E8_V }, // 9734
  { PseudoVSSSEG3E16_V_M1, VSSSEG3E16_V }, // 9735
  { PseudoVSSSEG3E16_V_M1_MASK, VSSSEG3E16_V }, // 9736
  { PseudoVSSSEG3E16_V_M2, VSSSEG3E16_V }, // 9737
  { PseudoVSSSEG3E16_V_M2_MASK, VSSSEG3E16_V }, // 9738
  { PseudoVSSSEG3E16_V_MF2, VSSSEG3E16_V }, // 9739
  { PseudoVSSSEG3E16_V_MF2_MASK, VSSSEG3E16_V }, // 9740
  { PseudoVSSSEG3E16_V_MF4, VSSSEG3E16_V }, // 9741
  { PseudoVSSSEG3E16_V_MF4_MASK, VSSSEG3E16_V }, // 9742
  { PseudoVSSSEG3E32_V_M1, VSSSEG3E32_V }, // 9743
  { PseudoVSSSEG3E32_V_M1_MASK, VSSSEG3E32_V }, // 9744
  { PseudoVSSSEG3E32_V_M2, VSSSEG3E32_V }, // 9745
  { PseudoVSSSEG3E32_V_M2_MASK, VSSSEG3E32_V }, // 9746
  { PseudoVSSSEG3E32_V_MF2, VSSSEG3E32_V }, // 9747
  { PseudoVSSSEG3E32_V_MF2_MASK, VSSSEG3E32_V }, // 9748
  { PseudoVSSSEG3E64_V_M1, VSSSEG3E64_V }, // 9749
  { PseudoVSSSEG3E64_V_M1_MASK, VSSSEG3E64_V }, // 9750
  { PseudoVSSSEG3E64_V_M2, VSSSEG3E64_V }, // 9751
  { PseudoVSSSEG3E64_V_M2_MASK, VSSSEG3E64_V }, // 9752
  { PseudoVSSSEG3E8_V_M1, VSSSEG3E8_V }, // 9753
  { PseudoVSSSEG3E8_V_M1_MASK, VSSSEG3E8_V }, // 9754
  { PseudoVSSSEG3E8_V_M2, VSSSEG3E8_V }, // 9755
  { PseudoVSSSEG3E8_V_M2_MASK, VSSSEG3E8_V }, // 9756
  { PseudoVSSSEG3E8_V_MF2, VSSSEG3E8_V }, // 9757
  { PseudoVSSSEG3E8_V_MF2_MASK, VSSSEG3E8_V }, // 9758
  { PseudoVSSSEG3E8_V_MF4, VSSSEG3E8_V }, // 9759
  { PseudoVSSSEG3E8_V_MF4_MASK, VSSSEG3E8_V }, // 9760
  { PseudoVSSSEG3E8_V_MF8, VSSSEG3E8_V }, // 9761
  { PseudoVSSSEG3E8_V_MF8_MASK, VSSSEG3E8_V }, // 9762
  { PseudoVSSSEG4E16_V_M1, VSSSEG4E16_V }, // 9763
  { PseudoVSSSEG4E16_V_M1_MASK, VSSSEG4E16_V }, // 9764
  { PseudoVSSSEG4E16_V_M2, VSSSEG4E16_V }, // 9765
  { PseudoVSSSEG4E16_V_M2_MASK, VSSSEG4E16_V }, // 9766
  { PseudoVSSSEG4E16_V_MF2, VSSSEG4E16_V }, // 9767
  { PseudoVSSSEG4E16_V_MF2_MASK, VSSSEG4E16_V }, // 9768
  { PseudoVSSSEG4E16_V_MF4, VSSSEG4E16_V }, // 9769
  { PseudoVSSSEG4E16_V_MF4_MASK, VSSSEG4E16_V }, // 9770
  { PseudoVSSSEG4E32_V_M1, VSSSEG4E32_V }, // 9771
  { PseudoVSSSEG4E32_V_M1_MASK, VSSSEG4E32_V }, // 9772
  { PseudoVSSSEG4E32_V_M2, VSSSEG4E32_V }, // 9773
  { PseudoVSSSEG4E32_V_M2_MASK, VSSSEG4E32_V }, // 9774
  { PseudoVSSSEG4E32_V_MF2, VSSSEG4E32_V }, // 9775
  { PseudoVSSSEG4E32_V_MF2_MASK, VSSSEG4E32_V }, // 9776
  { PseudoVSSSEG4E64_V_M1, VSSSEG4E64_V }, // 9777
  { PseudoVSSSEG4E64_V_M1_MASK, VSSSEG4E64_V }, // 9778
  { PseudoVSSSEG4E64_V_M2, VSSSEG4E64_V }, // 9779
  { PseudoVSSSEG4E64_V_M2_MASK, VSSSEG4E64_V }, // 9780
  { PseudoVSSSEG4E8_V_M1, VSSSEG4E8_V }, // 9781
  { PseudoVSSSEG4E8_V_M1_MASK, VSSSEG4E8_V }, // 9782
  { PseudoVSSSEG4E8_V_M2, VSSSEG4E8_V }, // 9783
  { PseudoVSSSEG4E8_V_M2_MASK, VSSSEG4E8_V }, // 9784
  { PseudoVSSSEG4E8_V_MF2, VSSSEG4E8_V }, // 9785
  { PseudoVSSSEG4E8_V_MF2_MASK, VSSSEG4E8_V }, // 9786
  { PseudoVSSSEG4E8_V_MF4, VSSSEG4E8_V }, // 9787
  { PseudoVSSSEG4E8_V_MF4_MASK, VSSSEG4E8_V }, // 9788
  { PseudoVSSSEG4E8_V_MF8, VSSSEG4E8_V }, // 9789
  { PseudoVSSSEG4E8_V_MF8_MASK, VSSSEG4E8_V }, // 9790
  { PseudoVSSSEG5E16_V_M1, VSSSEG5E16_V }, // 9791
  { PseudoVSSSEG5E16_V_M1_MASK, VSSSEG5E16_V }, // 9792
  { PseudoVSSSEG5E16_V_MF2, VSSSEG5E16_V }, // 9793
  { PseudoVSSSEG5E16_V_MF2_MASK, VSSSEG5E16_V }, // 9794
  { PseudoVSSSEG5E16_V_MF4, VSSSEG5E16_V }, // 9795
  { PseudoVSSSEG5E16_V_MF4_MASK, VSSSEG5E16_V }, // 9796
  { PseudoVSSSEG5E32_V_M1, VSSSEG5E32_V }, // 9797
  { PseudoVSSSEG5E32_V_M1_MASK, VSSSEG5E32_V }, // 9798
  { PseudoVSSSEG5E32_V_MF2, VSSSEG5E32_V }, // 9799
  { PseudoVSSSEG5E32_V_MF2_MASK, VSSSEG5E32_V }, // 9800
  { PseudoVSSSEG5E64_V_M1, VSSSEG5E64_V }, // 9801
  { PseudoVSSSEG5E64_V_M1_MASK, VSSSEG5E64_V }, // 9802
  { PseudoVSSSEG5E8_V_M1, VSSSEG5E8_V }, // 9803
  { PseudoVSSSEG5E8_V_M1_MASK, VSSSEG5E8_V }, // 9804
  { PseudoVSSSEG5E8_V_MF2, VSSSEG5E8_V }, // 9805
  { PseudoVSSSEG5E8_V_MF2_MASK, VSSSEG5E8_V }, // 9806
  { PseudoVSSSEG5E8_V_MF4, VSSSEG5E8_V }, // 9807
  { PseudoVSSSEG5E8_V_MF4_MASK, VSSSEG5E8_V }, // 9808
  { PseudoVSSSEG5E8_V_MF8, VSSSEG5E8_V }, // 9809
  { PseudoVSSSEG5E8_V_MF8_MASK, VSSSEG5E8_V }, // 9810
  { PseudoVSSSEG6E16_V_M1, VSSSEG6E16_V }, // 9811
  { PseudoVSSSEG6E16_V_M1_MASK, VSSSEG6E16_V }, // 9812
  { PseudoVSSSEG6E16_V_MF2, VSSSEG6E16_V }, // 9813
  { PseudoVSSSEG6E16_V_MF2_MASK, VSSSEG6E16_V }, // 9814
  { PseudoVSSSEG6E16_V_MF4, VSSSEG6E16_V }, // 9815
  { PseudoVSSSEG6E16_V_MF4_MASK, VSSSEG6E16_V }, // 9816
  { PseudoVSSSEG6E32_V_M1, VSSSEG6E32_V }, // 9817
  { PseudoVSSSEG6E32_V_M1_MASK, VSSSEG6E32_V }, // 9818
  { PseudoVSSSEG6E32_V_MF2, VSSSEG6E32_V }, // 9819
  { PseudoVSSSEG6E32_V_MF2_MASK, VSSSEG6E32_V }, // 9820
  { PseudoVSSSEG6E64_V_M1, VSSSEG6E64_V }, // 9821
  { PseudoVSSSEG6E64_V_M1_MASK, VSSSEG6E64_V }, // 9822
  { PseudoVSSSEG6E8_V_M1, VSSSEG6E8_V }, // 9823
  { PseudoVSSSEG6E8_V_M1_MASK, VSSSEG6E8_V }, // 9824
  { PseudoVSSSEG6E8_V_MF2, VSSSEG6E8_V }, // 9825
  { PseudoVSSSEG6E8_V_MF2_MASK, VSSSEG6E8_V }, // 9826
  { PseudoVSSSEG6E8_V_MF4, VSSSEG6E8_V }, // 9827
  { PseudoVSSSEG6E8_V_MF4_MASK, VSSSEG6E8_V }, // 9828
  { PseudoVSSSEG6E8_V_MF8, VSSSEG6E8_V }, // 9829
  { PseudoVSSSEG6E8_V_MF8_MASK, VSSSEG6E8_V }, // 9830
  { PseudoVSSSEG7E16_V_M1, VSSSEG7E16_V }, // 9831
  { PseudoVSSSEG7E16_V_M1_MASK, VSSSEG7E16_V }, // 9832
  { PseudoVSSSEG7E16_V_MF2, VSSSEG7E16_V }, // 9833
  { PseudoVSSSEG7E16_V_MF2_MASK, VSSSEG7E16_V }, // 9834
  { PseudoVSSSEG7E16_V_MF4, VSSSEG7E16_V }, // 9835
  { PseudoVSSSEG7E16_V_MF4_MASK, VSSSEG7E16_V }, // 9836
  { PseudoVSSSEG7E32_V_M1, VSSSEG7E32_V }, // 9837
  { PseudoVSSSEG7E32_V_M1_MASK, VSSSEG7E32_V }, // 9838
  { PseudoVSSSEG7E32_V_MF2, VSSSEG7E32_V }, // 9839
  { PseudoVSSSEG7E32_V_MF2_MASK, VSSSEG7E32_V }, // 9840
  { PseudoVSSSEG7E64_V_M1, VSSSEG7E64_V }, // 9841
  { PseudoVSSSEG7E64_V_M1_MASK, VSSSEG7E64_V }, // 9842
  { PseudoVSSSEG7E8_V_M1, VSSSEG7E8_V }, // 9843
  { PseudoVSSSEG7E8_V_M1_MASK, VSSSEG7E8_V }, // 9844
  { PseudoVSSSEG7E8_V_MF2, VSSSEG7E8_V }, // 9845
  { PseudoVSSSEG7E8_V_MF2_MASK, VSSSEG7E8_V }, // 9846
  { PseudoVSSSEG7E8_V_MF4, VSSSEG7E8_V }, // 9847
  { PseudoVSSSEG7E8_V_MF4_MASK, VSSSEG7E8_V }, // 9848
  { PseudoVSSSEG7E8_V_MF8, VSSSEG7E8_V }, // 9849
  { PseudoVSSSEG7E8_V_MF8_MASK, VSSSEG7E8_V }, // 9850
  { PseudoVSSSEG8E16_V_M1, VSSSEG8E16_V }, // 9851
  { PseudoVSSSEG8E16_V_M1_MASK, VSSSEG8E16_V }, // 9852
  { PseudoVSSSEG8E16_V_MF2, VSSSEG8E16_V }, // 9853
  { PseudoVSSSEG8E16_V_MF2_MASK, VSSSEG8E16_V }, // 9854
  { PseudoVSSSEG8E16_V_MF4, VSSSEG8E16_V }, // 9855
  { PseudoVSSSEG8E16_V_MF4_MASK, VSSSEG8E16_V }, // 9856
  { PseudoVSSSEG8E32_V_M1, VSSSEG8E32_V }, // 9857
  { PseudoVSSSEG8E32_V_M1_MASK, VSSSEG8E32_V }, // 9858
  { PseudoVSSSEG8E32_V_MF2, VSSSEG8E32_V }, // 9859
  { PseudoVSSSEG8E32_V_MF2_MASK, VSSSEG8E32_V }, // 9860
  { PseudoVSSSEG8E64_V_M1, VSSSEG8E64_V }, // 9861
  { PseudoVSSSEG8E64_V_M1_MASK, VSSSEG8E64_V }, // 9862
  { PseudoVSSSEG8E8_V_M1, VSSSEG8E8_V }, // 9863
  { PseudoVSSSEG8E8_V_M1_MASK, VSSSEG8E8_V }, // 9864
  { PseudoVSSSEG8E8_V_MF2, VSSSEG8E8_V }, // 9865
  { PseudoVSSSEG8E8_V_MF2_MASK, VSSSEG8E8_V }, // 9866
  { PseudoVSSSEG8E8_V_MF4, VSSSEG8E8_V }, // 9867
  { PseudoVSSSEG8E8_V_MF4_MASK, VSSSEG8E8_V }, // 9868
  { PseudoVSSSEG8E8_V_MF8, VSSSEG8E8_V }, // 9869
  { PseudoVSSSEG8E8_V_MF8_MASK, VSSSEG8E8_V }, // 9870
  { PseudoVSSUBU_VV_M1, VSSUBU_VV }, // 9871
  { PseudoVSSUBU_VV_M1_MASK, VSSUBU_VV }, // 9872
  { PseudoVSSUBU_VV_M2, VSSUBU_VV }, // 9873
  { PseudoVSSUBU_VV_M2_MASK, VSSUBU_VV }, // 9874
  { PseudoVSSUBU_VV_M4, VSSUBU_VV }, // 9875
  { PseudoVSSUBU_VV_M4_MASK, VSSUBU_VV }, // 9876
  { PseudoVSSUBU_VV_M8, VSSUBU_VV }, // 9877
  { PseudoVSSUBU_VV_M8_MASK, VSSUBU_VV }, // 9878
  { PseudoVSSUBU_VV_MF2, VSSUBU_VV }, // 9879
  { PseudoVSSUBU_VV_MF2_MASK, VSSUBU_VV }, // 9880
  { PseudoVSSUBU_VV_MF4, VSSUBU_VV }, // 9881
  { PseudoVSSUBU_VV_MF4_MASK, VSSUBU_VV }, // 9882
  { PseudoVSSUBU_VV_MF8, VSSUBU_VV }, // 9883
  { PseudoVSSUBU_VV_MF8_MASK, VSSUBU_VV }, // 9884
  { PseudoVSSUBU_VX_M1, VSSUBU_VX }, // 9885
  { PseudoVSSUBU_VX_M1_MASK, VSSUBU_VX }, // 9886
  { PseudoVSSUBU_VX_M2, VSSUBU_VX }, // 9887
  { PseudoVSSUBU_VX_M2_MASK, VSSUBU_VX }, // 9888
  { PseudoVSSUBU_VX_M4, VSSUBU_VX }, // 9889
  { PseudoVSSUBU_VX_M4_MASK, VSSUBU_VX }, // 9890
  { PseudoVSSUBU_VX_M8, VSSUBU_VX }, // 9891
  { PseudoVSSUBU_VX_M8_MASK, VSSUBU_VX }, // 9892
  { PseudoVSSUBU_VX_MF2, VSSUBU_VX }, // 9893
  { PseudoVSSUBU_VX_MF2_MASK, VSSUBU_VX }, // 9894
  { PseudoVSSUBU_VX_MF4, VSSUBU_VX }, // 9895
  { PseudoVSSUBU_VX_MF4_MASK, VSSUBU_VX }, // 9896
  { PseudoVSSUBU_VX_MF8, VSSUBU_VX }, // 9897
  { PseudoVSSUBU_VX_MF8_MASK, VSSUBU_VX }, // 9898
  { PseudoVSSUB_VV_M1, VSSUB_VV }, // 9899
  { PseudoVSSUB_VV_M1_MASK, VSSUB_VV }, // 9900
  { PseudoVSSUB_VV_M2, VSSUB_VV }, // 9901
  { PseudoVSSUB_VV_M2_MASK, VSSUB_VV }, // 9902
  { PseudoVSSUB_VV_M4, VSSUB_VV }, // 9903
  { PseudoVSSUB_VV_M4_MASK, VSSUB_VV }, // 9904
  { PseudoVSSUB_VV_M8, VSSUB_VV }, // 9905
  { PseudoVSSUB_VV_M8_MASK, VSSUB_VV }, // 9906
  { PseudoVSSUB_VV_MF2, VSSUB_VV }, // 9907
  { PseudoVSSUB_VV_MF2_MASK, VSSUB_VV }, // 9908
  { PseudoVSSUB_VV_MF4, VSSUB_VV }, // 9909
  { PseudoVSSUB_VV_MF4_MASK, VSSUB_VV }, // 9910
  { PseudoVSSUB_VV_MF8, VSSUB_VV }, // 9911
  { PseudoVSSUB_VV_MF8_MASK, VSSUB_VV }, // 9912
  { PseudoVSSUB_VX_M1, VSSUB_VX }, // 9913
  { PseudoVSSUB_VX_M1_MASK, VSSUB_VX }, // 9914
  { PseudoVSSUB_VX_M2, VSSUB_VX }, // 9915
  { PseudoVSSUB_VX_M2_MASK, VSSUB_VX }, // 9916
  { PseudoVSSUB_VX_M4, VSSUB_VX }, // 9917
  { PseudoVSSUB_VX_M4_MASK, VSSUB_VX }, // 9918
  { PseudoVSSUB_VX_M8, VSSUB_VX }, // 9919
  { PseudoVSSUB_VX_M8_MASK, VSSUB_VX }, // 9920
  { PseudoVSSUB_VX_MF2, VSSUB_VX }, // 9921
  { PseudoVSSUB_VX_MF2_MASK, VSSUB_VX }, // 9922
  { PseudoVSSUB_VX_MF4, VSSUB_VX }, // 9923
  { PseudoVSSUB_VX_MF4_MASK, VSSUB_VX }, // 9924
  { PseudoVSSUB_VX_MF8, VSSUB_VX }, // 9925
  { PseudoVSSUB_VX_MF8_MASK, VSSUB_VX }, // 9926
  { PseudoVSUB_VV_M1, VSUB_VV }, // 9927
  { PseudoVSUB_VV_M1_MASK, VSUB_VV }, // 9928
  { PseudoVSUB_VV_M2, VSUB_VV }, // 9929
  { PseudoVSUB_VV_M2_MASK, VSUB_VV }, // 9930
  { PseudoVSUB_VV_M4, VSUB_VV }, // 9931
  { PseudoVSUB_VV_M4_MASK, VSUB_VV }, // 9932
  { PseudoVSUB_VV_M8, VSUB_VV }, // 9933
  { PseudoVSUB_VV_M8_MASK, VSUB_VV }, // 9934
  { PseudoVSUB_VV_MF2, VSUB_VV }, // 9935
  { PseudoVSUB_VV_MF2_MASK, VSUB_VV }, // 9936
  { PseudoVSUB_VV_MF4, VSUB_VV }, // 9937
  { PseudoVSUB_VV_MF4_MASK, VSUB_VV }, // 9938
  { PseudoVSUB_VV_MF8, VSUB_VV }, // 9939
  { PseudoVSUB_VV_MF8_MASK, VSUB_VV }, // 9940
  { PseudoVSUB_VX_M1, VSUB_VX }, // 9941
  { PseudoVSUB_VX_M1_MASK, VSUB_VX }, // 9942
  { PseudoVSUB_VX_M2, VSUB_VX }, // 9943
  { PseudoVSUB_VX_M2_MASK, VSUB_VX }, // 9944
  { PseudoVSUB_VX_M4, VSUB_VX }, // 9945
  { PseudoVSUB_VX_M4_MASK, VSUB_VX }, // 9946
  { PseudoVSUB_VX_M8, VSUB_VX }, // 9947
  { PseudoVSUB_VX_M8_MASK, VSUB_VX }, // 9948
  { PseudoVSUB_VX_MF2, VSUB_VX }, // 9949
  { PseudoVSUB_VX_MF2_MASK, VSUB_VX }, // 9950
  { PseudoVSUB_VX_MF4, VSUB_VX }, // 9951
  { PseudoVSUB_VX_MF4_MASK, VSUB_VX }, // 9952
  { PseudoVSUB_VX_MF8, VSUB_VX }, // 9953
  { PseudoVSUB_VX_MF8_MASK, VSUB_VX }, // 9954
  { PseudoVSUXEI16_V_M1_M1, VSUXEI16_V }, // 9955
  { PseudoVSUXEI16_V_M1_M1_MASK, VSUXEI16_V }, // 9956
  { PseudoVSUXEI16_V_M1_M2, VSUXEI16_V }, // 9957
  { PseudoVSUXEI16_V_M1_M2_MASK, VSUXEI16_V }, // 9958
  { PseudoVSUXEI16_V_M1_M4, VSUXEI16_V }, // 9959
  { PseudoVSUXEI16_V_M1_M4_MASK, VSUXEI16_V }, // 9960
  { PseudoVSUXEI16_V_M1_MF2, VSUXEI16_V }, // 9961
  { PseudoVSUXEI16_V_M1_MF2_MASK, VSUXEI16_V }, // 9962
  { PseudoVSUXEI16_V_M2_M1, VSUXEI16_V }, // 9963
  { PseudoVSUXEI16_V_M2_M1_MASK, VSUXEI16_V }, // 9964
  { PseudoVSUXEI16_V_M2_M2, VSUXEI16_V }, // 9965
  { PseudoVSUXEI16_V_M2_M2_MASK, VSUXEI16_V }, // 9966
  { PseudoVSUXEI16_V_M2_M4, VSUXEI16_V }, // 9967
  { PseudoVSUXEI16_V_M2_M4_MASK, VSUXEI16_V }, // 9968
  { PseudoVSUXEI16_V_M2_M8, VSUXEI16_V }, // 9969
  { PseudoVSUXEI16_V_M2_M8_MASK, VSUXEI16_V }, // 9970
  { PseudoVSUXEI16_V_M4_M2, VSUXEI16_V }, // 9971
  { PseudoVSUXEI16_V_M4_M2_MASK, VSUXEI16_V }, // 9972
  { PseudoVSUXEI16_V_M4_M4, VSUXEI16_V }, // 9973
  { PseudoVSUXEI16_V_M4_M4_MASK, VSUXEI16_V }, // 9974
  { PseudoVSUXEI16_V_M4_M8, VSUXEI16_V }, // 9975
  { PseudoVSUXEI16_V_M4_M8_MASK, VSUXEI16_V }, // 9976
  { PseudoVSUXEI16_V_M8_M4, VSUXEI16_V }, // 9977
  { PseudoVSUXEI16_V_M8_M4_MASK, VSUXEI16_V }, // 9978
  { PseudoVSUXEI16_V_M8_M8, VSUXEI16_V }, // 9979
  { PseudoVSUXEI16_V_M8_M8_MASK, VSUXEI16_V }, // 9980
  { PseudoVSUXEI16_V_MF2_M1, VSUXEI16_V }, // 9981
  { PseudoVSUXEI16_V_MF2_M1_MASK, VSUXEI16_V }, // 9982
  { PseudoVSUXEI16_V_MF2_M2, VSUXEI16_V }, // 9983
  { PseudoVSUXEI16_V_MF2_M2_MASK, VSUXEI16_V }, // 9984
  { PseudoVSUXEI16_V_MF2_MF2, VSUXEI16_V }, // 9985
  { PseudoVSUXEI16_V_MF2_MF2_MASK, VSUXEI16_V }, // 9986
  { PseudoVSUXEI16_V_MF2_MF4, VSUXEI16_V }, // 9987
  { PseudoVSUXEI16_V_MF2_MF4_MASK, VSUXEI16_V }, // 9988
  { PseudoVSUXEI16_V_MF4_M1, VSUXEI16_V }, // 9989
  { PseudoVSUXEI16_V_MF4_M1_MASK, VSUXEI16_V }, // 9990
  { PseudoVSUXEI16_V_MF4_MF2, VSUXEI16_V }, // 9991
  { PseudoVSUXEI16_V_MF4_MF2_MASK, VSUXEI16_V }, // 9992
  { PseudoVSUXEI16_V_MF4_MF4, VSUXEI16_V }, // 9993
  { PseudoVSUXEI16_V_MF4_MF4_MASK, VSUXEI16_V }, // 9994
  { PseudoVSUXEI16_V_MF4_MF8, VSUXEI16_V }, // 9995
  { PseudoVSUXEI16_V_MF4_MF8_MASK, VSUXEI16_V }, // 9996
  { PseudoVSUXEI32_V_M1_M1, VSUXEI32_V }, // 9997
  { PseudoVSUXEI32_V_M1_M1_MASK, VSUXEI32_V }, // 9998
  { PseudoVSUXEI32_V_M1_M2, VSUXEI32_V }, // 9999
  { PseudoVSUXEI32_V_M1_M2_MASK, VSUXEI32_V }, // 10000
  { PseudoVSUXEI32_V_M1_MF2, VSUXEI32_V }, // 10001
  { PseudoVSUXEI32_V_M1_MF2_MASK, VSUXEI32_V }, // 10002
  { PseudoVSUXEI32_V_M1_MF4, VSUXEI32_V }, // 10003
  { PseudoVSUXEI32_V_M1_MF4_MASK, VSUXEI32_V }, // 10004
  { PseudoVSUXEI32_V_M2_M1, VSUXEI32_V }, // 10005
  { PseudoVSUXEI32_V_M2_M1_MASK, VSUXEI32_V }, // 10006
  { PseudoVSUXEI32_V_M2_M2, VSUXEI32_V }, // 10007
  { PseudoVSUXEI32_V_M2_M2_MASK, VSUXEI32_V }, // 10008
  { PseudoVSUXEI32_V_M2_M4, VSUXEI32_V }, // 10009
  { PseudoVSUXEI32_V_M2_M4_MASK, VSUXEI32_V }, // 10010
  { PseudoVSUXEI32_V_M2_MF2, VSUXEI32_V }, // 10011
  { PseudoVSUXEI32_V_M2_MF2_MASK, VSUXEI32_V }, // 10012
  { PseudoVSUXEI32_V_M4_M1, VSUXEI32_V }, // 10013
  { PseudoVSUXEI32_V_M4_M1_MASK, VSUXEI32_V }, // 10014
  { PseudoVSUXEI32_V_M4_M2, VSUXEI32_V }, // 10015
  { PseudoVSUXEI32_V_M4_M2_MASK, VSUXEI32_V }, // 10016
  { PseudoVSUXEI32_V_M4_M4, VSUXEI32_V }, // 10017
  { PseudoVSUXEI32_V_M4_M4_MASK, VSUXEI32_V }, // 10018
  { PseudoVSUXEI32_V_M4_M8, VSUXEI32_V }, // 10019
  { PseudoVSUXEI32_V_M4_M8_MASK, VSUXEI32_V }, // 10020
  { PseudoVSUXEI32_V_M8_M2, VSUXEI32_V }, // 10021
  { PseudoVSUXEI32_V_M8_M2_MASK, VSUXEI32_V }, // 10022
  { PseudoVSUXEI32_V_M8_M4, VSUXEI32_V }, // 10023
  { PseudoVSUXEI32_V_M8_M4_MASK, VSUXEI32_V }, // 10024
  { PseudoVSUXEI32_V_M8_M8, VSUXEI32_V }, // 10025
  { PseudoVSUXEI32_V_M8_M8_MASK, VSUXEI32_V }, // 10026
  { PseudoVSUXEI32_V_MF2_M1, VSUXEI32_V }, // 10027
  { PseudoVSUXEI32_V_MF2_M1_MASK, VSUXEI32_V }, // 10028
  { PseudoVSUXEI32_V_MF2_MF2, VSUXEI32_V }, // 10029
  { PseudoVSUXEI32_V_MF2_MF2_MASK, VSUXEI32_V }, // 10030
  { PseudoVSUXEI32_V_MF2_MF4, VSUXEI32_V }, // 10031
  { PseudoVSUXEI32_V_MF2_MF4_MASK, VSUXEI32_V }, // 10032
  { PseudoVSUXEI32_V_MF2_MF8, VSUXEI32_V }, // 10033
  { PseudoVSUXEI32_V_MF2_MF8_MASK, VSUXEI32_V }, // 10034
  { PseudoVSUXEI64_V_M1_M1, VSUXEI64_V }, // 10035
  { PseudoVSUXEI64_V_M1_M1_MASK, VSUXEI64_V }, // 10036
  { PseudoVSUXEI64_V_M1_MF2, VSUXEI64_V }, // 10037
  { PseudoVSUXEI64_V_M1_MF2_MASK, VSUXEI64_V }, // 10038
  { PseudoVSUXEI64_V_M1_MF4, VSUXEI64_V }, // 10039
  { PseudoVSUXEI64_V_M1_MF4_MASK, VSUXEI64_V }, // 10040
  { PseudoVSUXEI64_V_M1_MF8, VSUXEI64_V }, // 10041
  { PseudoVSUXEI64_V_M1_MF8_MASK, VSUXEI64_V }, // 10042
  { PseudoVSUXEI64_V_M2_M1, VSUXEI64_V }, // 10043
  { PseudoVSUXEI64_V_M2_M1_MASK, VSUXEI64_V }, // 10044
  { PseudoVSUXEI64_V_M2_M2, VSUXEI64_V }, // 10045
  { PseudoVSUXEI64_V_M2_M2_MASK, VSUXEI64_V }, // 10046
  { PseudoVSUXEI64_V_M2_MF2, VSUXEI64_V }, // 10047
  { PseudoVSUXEI64_V_M2_MF2_MASK, VSUXEI64_V }, // 10048
  { PseudoVSUXEI64_V_M2_MF4, VSUXEI64_V }, // 10049
  { PseudoVSUXEI64_V_M2_MF4_MASK, VSUXEI64_V }, // 10050
  { PseudoVSUXEI64_V_M4_M1, VSUXEI64_V }, // 10051
  { PseudoVSUXEI64_V_M4_M1_MASK, VSUXEI64_V }, // 10052
  { PseudoVSUXEI64_V_M4_M2, VSUXEI64_V }, // 10053
  { PseudoVSUXEI64_V_M4_M2_MASK, VSUXEI64_V }, // 10054
  { PseudoVSUXEI64_V_M4_M4, VSUXEI64_V }, // 10055
  { PseudoVSUXEI64_V_M4_M4_MASK, VSUXEI64_V }, // 10056
  { PseudoVSUXEI64_V_M4_MF2, VSUXEI64_V }, // 10057
  { PseudoVSUXEI64_V_M4_MF2_MASK, VSUXEI64_V }, // 10058
  { PseudoVSUXEI64_V_M8_M1, VSUXEI64_V }, // 10059
  { PseudoVSUXEI64_V_M8_M1_MASK, VSUXEI64_V }, // 10060
  { PseudoVSUXEI64_V_M8_M2, VSUXEI64_V }, // 10061
  { PseudoVSUXEI64_V_M8_M2_MASK, VSUXEI64_V }, // 10062
  { PseudoVSUXEI64_V_M8_M4, VSUXEI64_V }, // 10063
  { PseudoVSUXEI64_V_M8_M4_MASK, VSUXEI64_V }, // 10064
  { PseudoVSUXEI64_V_M8_M8, VSUXEI64_V }, // 10065
  { PseudoVSUXEI64_V_M8_M8_MASK, VSUXEI64_V }, // 10066
  { PseudoVSUXEI8_V_M1_M1, VSUXEI8_V }, // 10067
  { PseudoVSUXEI8_V_M1_M1_MASK, VSUXEI8_V }, // 10068
  { PseudoVSUXEI8_V_M1_M2, VSUXEI8_V }, // 10069
  { PseudoVSUXEI8_V_M1_M2_MASK, VSUXEI8_V }, // 10070
  { PseudoVSUXEI8_V_M1_M4, VSUXEI8_V }, // 10071
  { PseudoVSUXEI8_V_M1_M4_MASK, VSUXEI8_V }, // 10072
  { PseudoVSUXEI8_V_M1_M8, VSUXEI8_V }, // 10073
  { PseudoVSUXEI8_V_M1_M8_MASK, VSUXEI8_V }, // 10074
  { PseudoVSUXEI8_V_M2_M2, VSUXEI8_V }, // 10075
  { PseudoVSUXEI8_V_M2_M2_MASK, VSUXEI8_V }, // 10076
  { PseudoVSUXEI8_V_M2_M4, VSUXEI8_V }, // 10077
  { PseudoVSUXEI8_V_M2_M4_MASK, VSUXEI8_V }, // 10078
  { PseudoVSUXEI8_V_M2_M8, VSUXEI8_V }, // 10079
  { PseudoVSUXEI8_V_M2_M8_MASK, VSUXEI8_V }, // 10080
  { PseudoVSUXEI8_V_M4_M4, VSUXEI8_V }, // 10081
  { PseudoVSUXEI8_V_M4_M4_MASK, VSUXEI8_V }, // 10082
  { PseudoVSUXEI8_V_M4_M8, VSUXEI8_V }, // 10083
  { PseudoVSUXEI8_V_M4_M8_MASK, VSUXEI8_V }, // 10084
  { PseudoVSUXEI8_V_M8_M8, VSUXEI8_V }, // 10085
  { PseudoVSUXEI8_V_M8_M8_MASK, VSUXEI8_V }, // 10086
  { PseudoVSUXEI8_V_MF2_M1, VSUXEI8_V }, // 10087
  { PseudoVSUXEI8_V_MF2_M1_MASK, VSUXEI8_V }, // 10088
  { PseudoVSUXEI8_V_MF2_M2, VSUXEI8_V }, // 10089
  { PseudoVSUXEI8_V_MF2_M2_MASK, VSUXEI8_V }, // 10090
  { PseudoVSUXEI8_V_MF2_M4, VSUXEI8_V }, // 10091
  { PseudoVSUXEI8_V_MF2_M4_MASK, VSUXEI8_V }, // 10092
  { PseudoVSUXEI8_V_MF2_MF2, VSUXEI8_V }, // 10093
  { PseudoVSUXEI8_V_MF2_MF2_MASK, VSUXEI8_V }, // 10094
  { PseudoVSUXEI8_V_MF4_M1, VSUXEI8_V }, // 10095
  { PseudoVSUXEI8_V_MF4_M1_MASK, VSUXEI8_V }, // 10096
  { PseudoVSUXEI8_V_MF4_M2, VSUXEI8_V }, // 10097
  { PseudoVSUXEI8_V_MF4_M2_MASK, VSUXEI8_V }, // 10098
  { PseudoVSUXEI8_V_MF4_MF2, VSUXEI8_V }, // 10099
  { PseudoVSUXEI8_V_MF4_MF2_MASK, VSUXEI8_V }, // 10100
  { PseudoVSUXEI8_V_MF4_MF4, VSUXEI8_V }, // 10101
  { PseudoVSUXEI8_V_MF4_MF4_MASK, VSUXEI8_V }, // 10102
  { PseudoVSUXEI8_V_MF8_M1, VSUXEI8_V }, // 10103
  { PseudoVSUXEI8_V_MF8_M1_MASK, VSUXEI8_V }, // 10104
  { PseudoVSUXEI8_V_MF8_MF2, VSUXEI8_V }, // 10105
  { PseudoVSUXEI8_V_MF8_MF2_MASK, VSUXEI8_V }, // 10106
  { PseudoVSUXEI8_V_MF8_MF4, VSUXEI8_V }, // 10107
  { PseudoVSUXEI8_V_MF8_MF4_MASK, VSUXEI8_V }, // 10108
  { PseudoVSUXEI8_V_MF8_MF8, VSUXEI8_V }, // 10109
  { PseudoVSUXEI8_V_MF8_MF8_MASK, VSUXEI8_V }, // 10110
  { PseudoVSUXSEG2EI16_V_M1_M1, VSUXSEG2EI16_V }, // 10111
  { PseudoVSUXSEG2EI16_V_M1_M1_MASK, VSUXSEG2EI16_V }, // 10112
  { PseudoVSUXSEG2EI16_V_M1_M2, VSUXSEG2EI16_V }, // 10113
  { PseudoVSUXSEG2EI16_V_M1_M2_MASK, VSUXSEG2EI16_V }, // 10114
  { PseudoVSUXSEG2EI16_V_M1_M4, VSUXSEG2EI16_V }, // 10115
  { PseudoVSUXSEG2EI16_V_M1_M4_MASK, VSUXSEG2EI16_V }, // 10116
  { PseudoVSUXSEG2EI16_V_M1_MF2, VSUXSEG2EI16_V }, // 10117
  { PseudoVSUXSEG2EI16_V_M1_MF2_MASK, VSUXSEG2EI16_V }, // 10118
  { PseudoVSUXSEG2EI16_V_M2_M1, VSUXSEG2EI16_V }, // 10119
  { PseudoVSUXSEG2EI16_V_M2_M1_MASK, VSUXSEG2EI16_V }, // 10120
  { PseudoVSUXSEG2EI16_V_M2_M2, VSUXSEG2EI16_V }, // 10121
  { PseudoVSUXSEG2EI16_V_M2_M2_MASK, VSUXSEG2EI16_V }, // 10122
  { PseudoVSUXSEG2EI16_V_M2_M4, VSUXSEG2EI16_V }, // 10123
  { PseudoVSUXSEG2EI16_V_M2_M4_MASK, VSUXSEG2EI16_V }, // 10124
  { PseudoVSUXSEG2EI16_V_M4_M2, VSUXSEG2EI16_V }, // 10125
  { PseudoVSUXSEG2EI16_V_M4_M2_MASK, VSUXSEG2EI16_V }, // 10126
  { PseudoVSUXSEG2EI16_V_M4_M4, VSUXSEG2EI16_V }, // 10127
  { PseudoVSUXSEG2EI16_V_M4_M4_MASK, VSUXSEG2EI16_V }, // 10128
  { PseudoVSUXSEG2EI16_V_M8_M4, VSUXSEG2EI16_V }, // 10129
  { PseudoVSUXSEG2EI16_V_M8_M4_MASK, VSUXSEG2EI16_V }, // 10130
  { PseudoVSUXSEG2EI16_V_MF2_M1, VSUXSEG2EI16_V }, // 10131
  { PseudoVSUXSEG2EI16_V_MF2_M1_MASK, VSUXSEG2EI16_V }, // 10132
  { PseudoVSUXSEG2EI16_V_MF2_M2, VSUXSEG2EI16_V }, // 10133
  { PseudoVSUXSEG2EI16_V_MF2_M2_MASK, VSUXSEG2EI16_V }, // 10134
  { PseudoVSUXSEG2EI16_V_MF2_MF2, VSUXSEG2EI16_V }, // 10135
  { PseudoVSUXSEG2EI16_V_MF2_MF2_MASK, VSUXSEG2EI16_V }, // 10136
  { PseudoVSUXSEG2EI16_V_MF2_MF4, VSUXSEG2EI16_V }, // 10137
  { PseudoVSUXSEG2EI16_V_MF2_MF4_MASK, VSUXSEG2EI16_V }, // 10138
  { PseudoVSUXSEG2EI16_V_MF4_M1, VSUXSEG2EI16_V }, // 10139
  { PseudoVSUXSEG2EI16_V_MF4_M1_MASK, VSUXSEG2EI16_V }, // 10140
  { PseudoVSUXSEG2EI16_V_MF4_MF2, VSUXSEG2EI16_V }, // 10141
  { PseudoVSUXSEG2EI16_V_MF4_MF2_MASK, VSUXSEG2EI16_V }, // 10142
  { PseudoVSUXSEG2EI16_V_MF4_MF4, VSUXSEG2EI16_V }, // 10143
  { PseudoVSUXSEG2EI16_V_MF4_MF4_MASK, VSUXSEG2EI16_V }, // 10144
  { PseudoVSUXSEG2EI16_V_MF4_MF8, VSUXSEG2EI16_V }, // 10145
  { PseudoVSUXSEG2EI16_V_MF4_MF8_MASK, VSUXSEG2EI16_V }, // 10146
  { PseudoVSUXSEG2EI32_V_M1_M1, VSUXSEG2EI32_V }, // 10147
  { PseudoVSUXSEG2EI32_V_M1_M1_MASK, VSUXSEG2EI32_V }, // 10148
  { PseudoVSUXSEG2EI32_V_M1_M2, VSUXSEG2EI32_V }, // 10149
  { PseudoVSUXSEG2EI32_V_M1_M2_MASK, VSUXSEG2EI32_V }, // 10150
  { PseudoVSUXSEG2EI32_V_M1_MF2, VSUXSEG2EI32_V }, // 10151
  { PseudoVSUXSEG2EI32_V_M1_MF2_MASK, VSUXSEG2EI32_V }, // 10152
  { PseudoVSUXSEG2EI32_V_M1_MF4, VSUXSEG2EI32_V }, // 10153
  { PseudoVSUXSEG2EI32_V_M1_MF4_MASK, VSUXSEG2EI32_V }, // 10154
  { PseudoVSUXSEG2EI32_V_M2_M1, VSUXSEG2EI32_V }, // 10155
  { PseudoVSUXSEG2EI32_V_M2_M1_MASK, VSUXSEG2EI32_V }, // 10156
  { PseudoVSUXSEG2EI32_V_M2_M2, VSUXSEG2EI32_V }, // 10157
  { PseudoVSUXSEG2EI32_V_M2_M2_MASK, VSUXSEG2EI32_V }, // 10158
  { PseudoVSUXSEG2EI32_V_M2_M4, VSUXSEG2EI32_V }, // 10159
  { PseudoVSUXSEG2EI32_V_M2_M4_MASK, VSUXSEG2EI32_V }, // 10160
  { PseudoVSUXSEG2EI32_V_M2_MF2, VSUXSEG2EI32_V }, // 10161
  { PseudoVSUXSEG2EI32_V_M2_MF2_MASK, VSUXSEG2EI32_V }, // 10162
  { PseudoVSUXSEG2EI32_V_M4_M1, VSUXSEG2EI32_V }, // 10163
  { PseudoVSUXSEG2EI32_V_M4_M1_MASK, VSUXSEG2EI32_V }, // 10164
  { PseudoVSUXSEG2EI32_V_M4_M2, VSUXSEG2EI32_V }, // 10165
  { PseudoVSUXSEG2EI32_V_M4_M2_MASK, VSUXSEG2EI32_V }, // 10166
  { PseudoVSUXSEG2EI32_V_M4_M4, VSUXSEG2EI32_V }, // 10167
  { PseudoVSUXSEG2EI32_V_M4_M4_MASK, VSUXSEG2EI32_V }, // 10168
  { PseudoVSUXSEG2EI32_V_M8_M2, VSUXSEG2EI32_V }, // 10169
  { PseudoVSUXSEG2EI32_V_M8_M2_MASK, VSUXSEG2EI32_V }, // 10170
  { PseudoVSUXSEG2EI32_V_M8_M4, VSUXSEG2EI32_V }, // 10171
  { PseudoVSUXSEG2EI32_V_M8_M4_MASK, VSUXSEG2EI32_V }, // 10172
  { PseudoVSUXSEG2EI32_V_MF2_M1, VSUXSEG2EI32_V }, // 10173
  { PseudoVSUXSEG2EI32_V_MF2_M1_MASK, VSUXSEG2EI32_V }, // 10174
  { PseudoVSUXSEG2EI32_V_MF2_MF2, VSUXSEG2EI32_V }, // 10175
  { PseudoVSUXSEG2EI32_V_MF2_MF2_MASK, VSUXSEG2EI32_V }, // 10176
  { PseudoVSUXSEG2EI32_V_MF2_MF4, VSUXSEG2EI32_V }, // 10177
  { PseudoVSUXSEG2EI32_V_MF2_MF4_MASK, VSUXSEG2EI32_V }, // 10178
  { PseudoVSUXSEG2EI32_V_MF2_MF8, VSUXSEG2EI32_V }, // 10179
  { PseudoVSUXSEG2EI32_V_MF2_MF8_MASK, VSUXSEG2EI32_V }, // 10180
  { PseudoVSUXSEG2EI64_V_M1_M1, VSUXSEG2EI64_V }, // 10181
  { PseudoVSUXSEG2EI64_V_M1_M1_MASK, VSUXSEG2EI64_V }, // 10182
  { PseudoVSUXSEG2EI64_V_M1_MF2, VSUXSEG2EI64_V }, // 10183
  { PseudoVSUXSEG2EI64_V_M1_MF2_MASK, VSUXSEG2EI64_V }, // 10184
  { PseudoVSUXSEG2EI64_V_M1_MF4, VSUXSEG2EI64_V }, // 10185
  { PseudoVSUXSEG2EI64_V_M1_MF4_MASK, VSUXSEG2EI64_V }, // 10186
  { PseudoVSUXSEG2EI64_V_M1_MF8, VSUXSEG2EI64_V }, // 10187
  { PseudoVSUXSEG2EI64_V_M1_MF8_MASK, VSUXSEG2EI64_V }, // 10188
  { PseudoVSUXSEG2EI64_V_M2_M1, VSUXSEG2EI64_V }, // 10189
  { PseudoVSUXSEG2EI64_V_M2_M1_MASK, VSUXSEG2EI64_V }, // 10190
  { PseudoVSUXSEG2EI64_V_M2_M2, VSUXSEG2EI64_V }, // 10191
  { PseudoVSUXSEG2EI64_V_M2_M2_MASK, VSUXSEG2EI64_V }, // 10192
  { PseudoVSUXSEG2EI64_V_M2_MF2, VSUXSEG2EI64_V }, // 10193
  { PseudoVSUXSEG2EI64_V_M2_MF2_MASK, VSUXSEG2EI64_V }, // 10194
  { PseudoVSUXSEG2EI64_V_M2_MF4, VSUXSEG2EI64_V }, // 10195
  { PseudoVSUXSEG2EI64_V_M2_MF4_MASK, VSUXSEG2EI64_V }, // 10196
  { PseudoVSUXSEG2EI64_V_M4_M1, VSUXSEG2EI64_V }, // 10197
  { PseudoVSUXSEG2EI64_V_M4_M1_MASK, VSUXSEG2EI64_V }, // 10198
  { PseudoVSUXSEG2EI64_V_M4_M2, VSUXSEG2EI64_V }, // 10199
  { PseudoVSUXSEG2EI64_V_M4_M2_MASK, VSUXSEG2EI64_V }, // 10200
  { PseudoVSUXSEG2EI64_V_M4_M4, VSUXSEG2EI64_V }, // 10201
  { PseudoVSUXSEG2EI64_V_M4_M4_MASK, VSUXSEG2EI64_V }, // 10202
  { PseudoVSUXSEG2EI64_V_M4_MF2, VSUXSEG2EI64_V }, // 10203
  { PseudoVSUXSEG2EI64_V_M4_MF2_MASK, VSUXSEG2EI64_V }, // 10204
  { PseudoVSUXSEG2EI64_V_M8_M1, VSUXSEG2EI64_V }, // 10205
  { PseudoVSUXSEG2EI64_V_M8_M1_MASK, VSUXSEG2EI64_V }, // 10206
  { PseudoVSUXSEG2EI64_V_M8_M2, VSUXSEG2EI64_V }, // 10207
  { PseudoVSUXSEG2EI64_V_M8_M2_MASK, VSUXSEG2EI64_V }, // 10208
  { PseudoVSUXSEG2EI64_V_M8_M4, VSUXSEG2EI64_V }, // 10209
  { PseudoVSUXSEG2EI64_V_M8_M4_MASK, VSUXSEG2EI64_V }, // 10210
  { PseudoVSUXSEG2EI8_V_M1_M1, VSUXSEG2EI8_V }, // 10211
  { PseudoVSUXSEG2EI8_V_M1_M1_MASK, VSUXSEG2EI8_V }, // 10212
  { PseudoVSUXSEG2EI8_V_M1_M2, VSUXSEG2EI8_V }, // 10213
  { PseudoVSUXSEG2EI8_V_M1_M2_MASK, VSUXSEG2EI8_V }, // 10214
  { PseudoVSUXSEG2EI8_V_M1_M4, VSUXSEG2EI8_V }, // 10215
  { PseudoVSUXSEG2EI8_V_M1_M4_MASK, VSUXSEG2EI8_V }, // 10216
  { PseudoVSUXSEG2EI8_V_M2_M2, VSUXSEG2EI8_V }, // 10217
  { PseudoVSUXSEG2EI8_V_M2_M2_MASK, VSUXSEG2EI8_V }, // 10218
  { PseudoVSUXSEG2EI8_V_M2_M4, VSUXSEG2EI8_V }, // 10219
  { PseudoVSUXSEG2EI8_V_M2_M4_MASK, VSUXSEG2EI8_V }, // 10220
  { PseudoVSUXSEG2EI8_V_M4_M4, VSUXSEG2EI8_V }, // 10221
  { PseudoVSUXSEG2EI8_V_M4_M4_MASK, VSUXSEG2EI8_V }, // 10222
  { PseudoVSUXSEG2EI8_V_MF2_M1, VSUXSEG2EI8_V }, // 10223
  { PseudoVSUXSEG2EI8_V_MF2_M1_MASK, VSUXSEG2EI8_V }, // 10224
  { PseudoVSUXSEG2EI8_V_MF2_M2, VSUXSEG2EI8_V }, // 10225
  { PseudoVSUXSEG2EI8_V_MF2_M2_MASK, VSUXSEG2EI8_V }, // 10226
  { PseudoVSUXSEG2EI8_V_MF2_M4, VSUXSEG2EI8_V }, // 10227
  { PseudoVSUXSEG2EI8_V_MF2_M4_MASK, VSUXSEG2EI8_V }, // 10228
  { PseudoVSUXSEG2EI8_V_MF2_MF2, VSUXSEG2EI8_V }, // 10229
  { PseudoVSUXSEG2EI8_V_MF2_MF2_MASK, VSUXSEG2EI8_V }, // 10230
  { PseudoVSUXSEG2EI8_V_MF4_M1, VSUXSEG2EI8_V }, // 10231
  { PseudoVSUXSEG2EI8_V_MF4_M1_MASK, VSUXSEG2EI8_V }, // 10232
  { PseudoVSUXSEG2EI8_V_MF4_M2, VSUXSEG2EI8_V }, // 10233
  { PseudoVSUXSEG2EI8_V_MF4_M2_MASK, VSUXSEG2EI8_V }, // 10234
  { PseudoVSUXSEG2EI8_V_MF4_MF2, VSUXSEG2EI8_V }, // 10235
  { PseudoVSUXSEG2EI8_V_MF4_MF2_MASK, VSUXSEG2EI8_V }, // 10236
  { PseudoVSUXSEG2EI8_V_MF4_MF4, VSUXSEG2EI8_V }, // 10237
  { PseudoVSUXSEG2EI8_V_MF4_MF4_MASK, VSUXSEG2EI8_V }, // 10238
  { PseudoVSUXSEG2EI8_V_MF8_M1, VSUXSEG2EI8_V }, // 10239
  { PseudoVSUXSEG2EI8_V_MF8_M1_MASK, VSUXSEG2EI8_V }, // 10240
  { PseudoVSUXSEG2EI8_V_MF8_MF2, VSUXSEG2EI8_V }, // 10241
  { PseudoVSUXSEG2EI8_V_MF8_MF2_MASK, VSUXSEG2EI8_V }, // 10242
  { PseudoVSUXSEG2EI8_V_MF8_MF4, VSUXSEG2EI8_V }, // 10243
  { PseudoVSUXSEG2EI8_V_MF8_MF4_MASK, VSUXSEG2EI8_V }, // 10244
  { PseudoVSUXSEG2EI8_V_MF8_MF8, VSUXSEG2EI8_V }, // 10245
  { PseudoVSUXSEG2EI8_V_MF8_MF8_MASK, VSUXSEG2EI8_V }, // 10246
  { PseudoVSUXSEG3EI16_V_M1_M1, VSUXSEG3EI16_V }, // 10247
  { PseudoVSUXSEG3EI16_V_M1_M1_MASK, VSUXSEG3EI16_V }, // 10248
  { PseudoVSUXSEG3EI16_V_M1_M2, VSUXSEG3EI16_V }, // 10249
  { PseudoVSUXSEG3EI16_V_M1_M2_MASK, VSUXSEG3EI16_V }, // 10250
  { PseudoVSUXSEG3EI16_V_M1_MF2, VSUXSEG3EI16_V }, // 10251
  { PseudoVSUXSEG3EI16_V_M1_MF2_MASK, VSUXSEG3EI16_V }, // 10252
  { PseudoVSUXSEG3EI16_V_M2_M1, VSUXSEG3EI16_V }, // 10253
  { PseudoVSUXSEG3EI16_V_M2_M1_MASK, VSUXSEG3EI16_V }, // 10254
  { PseudoVSUXSEG3EI16_V_M2_M2, VSUXSEG3EI16_V }, // 10255
  { PseudoVSUXSEG3EI16_V_M2_M2_MASK, VSUXSEG3EI16_V }, // 10256
  { PseudoVSUXSEG3EI16_V_M4_M2, VSUXSEG3EI16_V }, // 10257
  { PseudoVSUXSEG3EI16_V_M4_M2_MASK, VSUXSEG3EI16_V }, // 10258
  { PseudoVSUXSEG3EI16_V_MF2_M1, VSUXSEG3EI16_V }, // 10259
  { PseudoVSUXSEG3EI16_V_MF2_M1_MASK, VSUXSEG3EI16_V }, // 10260
  { PseudoVSUXSEG3EI16_V_MF2_M2, VSUXSEG3EI16_V }, // 10261
  { PseudoVSUXSEG3EI16_V_MF2_M2_MASK, VSUXSEG3EI16_V }, // 10262
  { PseudoVSUXSEG3EI16_V_MF2_MF2, VSUXSEG3EI16_V }, // 10263
  { PseudoVSUXSEG3EI16_V_MF2_MF2_MASK, VSUXSEG3EI16_V }, // 10264
  { PseudoVSUXSEG3EI16_V_MF2_MF4, VSUXSEG3EI16_V }, // 10265
  { PseudoVSUXSEG3EI16_V_MF2_MF4_MASK, VSUXSEG3EI16_V }, // 10266
  { PseudoVSUXSEG3EI16_V_MF4_M1, VSUXSEG3EI16_V }, // 10267
  { PseudoVSUXSEG3EI16_V_MF4_M1_MASK, VSUXSEG3EI16_V }, // 10268
  { PseudoVSUXSEG3EI16_V_MF4_MF2, VSUXSEG3EI16_V }, // 10269
  { PseudoVSUXSEG3EI16_V_MF4_MF2_MASK, VSUXSEG3EI16_V }, // 10270
  { PseudoVSUXSEG3EI16_V_MF4_MF4, VSUXSEG3EI16_V }, // 10271
  { PseudoVSUXSEG3EI16_V_MF4_MF4_MASK, VSUXSEG3EI16_V }, // 10272
  { PseudoVSUXSEG3EI16_V_MF4_MF8, VSUXSEG3EI16_V }, // 10273
  { PseudoVSUXSEG3EI16_V_MF4_MF8_MASK, VSUXSEG3EI16_V }, // 10274
  { PseudoVSUXSEG3EI32_V_M1_M1, VSUXSEG3EI32_V }, // 10275
  { PseudoVSUXSEG3EI32_V_M1_M1_MASK, VSUXSEG3EI32_V }, // 10276
  { PseudoVSUXSEG3EI32_V_M1_M2, VSUXSEG3EI32_V }, // 10277
  { PseudoVSUXSEG3EI32_V_M1_M2_MASK, VSUXSEG3EI32_V }, // 10278
  { PseudoVSUXSEG3EI32_V_M1_MF2, VSUXSEG3EI32_V }, // 10279
  { PseudoVSUXSEG3EI32_V_M1_MF2_MASK, VSUXSEG3EI32_V }, // 10280
  { PseudoVSUXSEG3EI32_V_M1_MF4, VSUXSEG3EI32_V }, // 10281
  { PseudoVSUXSEG3EI32_V_M1_MF4_MASK, VSUXSEG3EI32_V }, // 10282
  { PseudoVSUXSEG3EI32_V_M2_M1, VSUXSEG3EI32_V }, // 10283
  { PseudoVSUXSEG3EI32_V_M2_M1_MASK, VSUXSEG3EI32_V }, // 10284
  { PseudoVSUXSEG3EI32_V_M2_M2, VSUXSEG3EI32_V }, // 10285
  { PseudoVSUXSEG3EI32_V_M2_M2_MASK, VSUXSEG3EI32_V }, // 10286
  { PseudoVSUXSEG3EI32_V_M2_MF2, VSUXSEG3EI32_V }, // 10287
  { PseudoVSUXSEG3EI32_V_M2_MF2_MASK, VSUXSEG3EI32_V }, // 10288
  { PseudoVSUXSEG3EI32_V_M4_M1, VSUXSEG3EI32_V }, // 10289
  { PseudoVSUXSEG3EI32_V_M4_M1_MASK, VSUXSEG3EI32_V }, // 10290
  { PseudoVSUXSEG3EI32_V_M4_M2, VSUXSEG3EI32_V }, // 10291
  { PseudoVSUXSEG3EI32_V_M4_M2_MASK, VSUXSEG3EI32_V }, // 10292
  { PseudoVSUXSEG3EI32_V_M8_M2, VSUXSEG3EI32_V }, // 10293
  { PseudoVSUXSEG3EI32_V_M8_M2_MASK, VSUXSEG3EI32_V }, // 10294
  { PseudoVSUXSEG3EI32_V_MF2_M1, VSUXSEG3EI32_V }, // 10295
  { PseudoVSUXSEG3EI32_V_MF2_M1_MASK, VSUXSEG3EI32_V }, // 10296
  { PseudoVSUXSEG3EI32_V_MF2_MF2, VSUXSEG3EI32_V }, // 10297
  { PseudoVSUXSEG3EI32_V_MF2_MF2_MASK, VSUXSEG3EI32_V }, // 10298
  { PseudoVSUXSEG3EI32_V_MF2_MF4, VSUXSEG3EI32_V }, // 10299
  { PseudoVSUXSEG3EI32_V_MF2_MF4_MASK, VSUXSEG3EI32_V }, // 10300
  { PseudoVSUXSEG3EI32_V_MF2_MF8, VSUXSEG3EI32_V }, // 10301
  { PseudoVSUXSEG3EI32_V_MF2_MF8_MASK, VSUXSEG3EI32_V }, // 10302
  { PseudoVSUXSEG3EI64_V_M1_M1, VSUXSEG3EI64_V }, // 10303
  { PseudoVSUXSEG3EI64_V_M1_M1_MASK, VSUXSEG3EI64_V }, // 10304
  { PseudoVSUXSEG3EI64_V_M1_MF2, VSUXSEG3EI64_V }, // 10305
  { PseudoVSUXSEG3EI64_V_M1_MF2_MASK, VSUXSEG3EI64_V }, // 10306
  { PseudoVSUXSEG3EI64_V_M1_MF4, VSUXSEG3EI64_V }, // 10307
  { PseudoVSUXSEG3EI64_V_M1_MF4_MASK, VSUXSEG3EI64_V }, // 10308
  { PseudoVSUXSEG3EI64_V_M1_MF8, VSUXSEG3EI64_V }, // 10309
  { PseudoVSUXSEG3EI64_V_M1_MF8_MASK, VSUXSEG3EI64_V }, // 10310
  { PseudoVSUXSEG3EI64_V_M2_M1, VSUXSEG3EI64_V }, // 10311
  { PseudoVSUXSEG3EI64_V_M2_M1_MASK, VSUXSEG3EI64_V }, // 10312
  { PseudoVSUXSEG3EI64_V_M2_M2, VSUXSEG3EI64_V }, // 10313
  { PseudoVSUXSEG3EI64_V_M2_M2_MASK, VSUXSEG3EI64_V }, // 10314
  { PseudoVSUXSEG3EI64_V_M2_MF2, VSUXSEG3EI64_V }, // 10315
  { PseudoVSUXSEG3EI64_V_M2_MF2_MASK, VSUXSEG3EI64_V }, // 10316
  { PseudoVSUXSEG3EI64_V_M2_MF4, VSUXSEG3EI64_V }, // 10317
  { PseudoVSUXSEG3EI64_V_M2_MF4_MASK, VSUXSEG3EI64_V }, // 10318
  { PseudoVSUXSEG3EI64_V_M4_M1, VSUXSEG3EI64_V }, // 10319
  { PseudoVSUXSEG3EI64_V_M4_M1_MASK, VSUXSEG3EI64_V }, // 10320
  { PseudoVSUXSEG3EI64_V_M4_M2, VSUXSEG3EI64_V }, // 10321
  { PseudoVSUXSEG3EI64_V_M4_M2_MASK, VSUXSEG3EI64_V }, // 10322
  { PseudoVSUXSEG3EI64_V_M4_MF2, VSUXSEG3EI64_V }, // 10323
  { PseudoVSUXSEG3EI64_V_M4_MF2_MASK, VSUXSEG3EI64_V }, // 10324
  { PseudoVSUXSEG3EI64_V_M8_M1, VSUXSEG3EI64_V }, // 10325
  { PseudoVSUXSEG3EI64_V_M8_M1_MASK, VSUXSEG3EI64_V }, // 10326
  { PseudoVSUXSEG3EI64_V_M8_M2, VSUXSEG3EI64_V }, // 10327
  { PseudoVSUXSEG3EI64_V_M8_M2_MASK, VSUXSEG3EI64_V }, // 10328
  { PseudoVSUXSEG3EI8_V_M1_M1, VSUXSEG3EI8_V }, // 10329
  { PseudoVSUXSEG3EI8_V_M1_M1_MASK, VSUXSEG3EI8_V }, // 10330
  { PseudoVSUXSEG3EI8_V_M1_M2, VSUXSEG3EI8_V }, // 10331
  { PseudoVSUXSEG3EI8_V_M1_M2_MASK, VSUXSEG3EI8_V }, // 10332
  { PseudoVSUXSEG3EI8_V_M2_M2, VSUXSEG3EI8_V }, // 10333
  { PseudoVSUXSEG3EI8_V_M2_M2_MASK, VSUXSEG3EI8_V }, // 10334
  { PseudoVSUXSEG3EI8_V_MF2_M1, VSUXSEG3EI8_V }, // 10335
  { PseudoVSUXSEG3EI8_V_MF2_M1_MASK, VSUXSEG3EI8_V }, // 10336
  { PseudoVSUXSEG3EI8_V_MF2_M2, VSUXSEG3EI8_V }, // 10337
  { PseudoVSUXSEG3EI8_V_MF2_M2_MASK, VSUXSEG3EI8_V }, // 10338
  { PseudoVSUXSEG3EI8_V_MF2_MF2, VSUXSEG3EI8_V }, // 10339
  { PseudoVSUXSEG3EI8_V_MF2_MF2_MASK, VSUXSEG3EI8_V }, // 10340
  { PseudoVSUXSEG3EI8_V_MF4_M1, VSUXSEG3EI8_V }, // 10341
  { PseudoVSUXSEG3EI8_V_MF4_M1_MASK, VSUXSEG3EI8_V }, // 10342
  { PseudoVSUXSEG3EI8_V_MF4_M2, VSUXSEG3EI8_V }, // 10343
  { PseudoVSUXSEG3EI8_V_MF4_M2_MASK, VSUXSEG3EI8_V }, // 10344
  { PseudoVSUXSEG3EI8_V_MF4_MF2, VSUXSEG3EI8_V }, // 10345
  { PseudoVSUXSEG3EI8_V_MF4_MF2_MASK, VSUXSEG3EI8_V }, // 10346
  { PseudoVSUXSEG3EI8_V_MF4_MF4, VSUXSEG3EI8_V }, // 10347
  { PseudoVSUXSEG3EI8_V_MF4_MF4_MASK, VSUXSEG3EI8_V }, // 10348
  { PseudoVSUXSEG3EI8_V_MF8_M1, VSUXSEG3EI8_V }, // 10349
  { PseudoVSUXSEG3EI8_V_MF8_M1_MASK, VSUXSEG3EI8_V }, // 10350
  { PseudoVSUXSEG3EI8_V_MF8_MF2, VSUXSEG3EI8_V }, // 10351
  { PseudoVSUXSEG3EI8_V_MF8_MF2_MASK, VSUXSEG3EI8_V }, // 10352
  { PseudoVSUXSEG3EI8_V_MF8_MF4, VSUXSEG3EI8_V }, // 10353
  { PseudoVSUXSEG3EI8_V_MF8_MF4_MASK, VSUXSEG3EI8_V }, // 10354
  { PseudoVSUXSEG3EI8_V_MF8_MF8, VSUXSEG3EI8_V }, // 10355
  { PseudoVSUXSEG3EI8_V_MF8_MF8_MASK, VSUXSEG3EI8_V }, // 10356
  { PseudoVSUXSEG4EI16_V_M1_M1, VSUXSEG4EI16_V }, // 10357
  { PseudoVSUXSEG4EI16_V_M1_M1_MASK, VSUXSEG4EI16_V }, // 10358
  { PseudoVSUXSEG4EI16_V_M1_M2, VSUXSEG4EI16_V }, // 10359
  { PseudoVSUXSEG4EI16_V_M1_M2_MASK, VSUXSEG4EI16_V }, // 10360
  { PseudoVSUXSEG4EI16_V_M1_MF2, VSUXSEG4EI16_V }, // 10361
  { PseudoVSUXSEG4EI16_V_M1_MF2_MASK, VSUXSEG4EI16_V }, // 10362
  { PseudoVSUXSEG4EI16_V_M2_M1, VSUXSEG4EI16_V }, // 10363
  { PseudoVSUXSEG4EI16_V_M2_M1_MASK, VSUXSEG4EI16_V }, // 10364
  { PseudoVSUXSEG4EI16_V_M2_M2, VSUXSEG4EI16_V }, // 10365
  { PseudoVSUXSEG4EI16_V_M2_M2_MASK, VSUXSEG4EI16_V }, // 10366
  { PseudoVSUXSEG4EI16_V_M4_M2, VSUXSEG4EI16_V }, // 10367
  { PseudoVSUXSEG4EI16_V_M4_M2_MASK, VSUXSEG4EI16_V }, // 10368
  { PseudoVSUXSEG4EI16_V_MF2_M1, VSUXSEG4EI16_V }, // 10369
  { PseudoVSUXSEG4EI16_V_MF2_M1_MASK, VSUXSEG4EI16_V }, // 10370
  { PseudoVSUXSEG4EI16_V_MF2_M2, VSUXSEG4EI16_V }, // 10371
  { PseudoVSUXSEG4EI16_V_MF2_M2_MASK, VSUXSEG4EI16_V }, // 10372
  { PseudoVSUXSEG4EI16_V_MF2_MF2, VSUXSEG4EI16_V }, // 10373
  { PseudoVSUXSEG4EI16_V_MF2_MF2_MASK, VSUXSEG4EI16_V }, // 10374
  { PseudoVSUXSEG4EI16_V_MF2_MF4, VSUXSEG4EI16_V }, // 10375
  { PseudoVSUXSEG4EI16_V_MF2_MF4_MASK, VSUXSEG4EI16_V }, // 10376
  { PseudoVSUXSEG4EI16_V_MF4_M1, VSUXSEG4EI16_V }, // 10377
  { PseudoVSUXSEG4EI16_V_MF4_M1_MASK, VSUXSEG4EI16_V }, // 10378
  { PseudoVSUXSEG4EI16_V_MF4_MF2, VSUXSEG4EI16_V }, // 10379
  { PseudoVSUXSEG4EI16_V_MF4_MF2_MASK, VSUXSEG4EI16_V }, // 10380
  { PseudoVSUXSEG4EI16_V_MF4_MF4, VSUXSEG4EI16_V }, // 10381
  { PseudoVSUXSEG4EI16_V_MF4_MF4_MASK, VSUXSEG4EI16_V }, // 10382
  { PseudoVSUXSEG4EI16_V_MF4_MF8, VSUXSEG4EI16_V }, // 10383
  { PseudoVSUXSEG4EI16_V_MF4_MF8_MASK, VSUXSEG4EI16_V }, // 10384
  { PseudoVSUXSEG4EI32_V_M1_M1, VSUXSEG4EI32_V }, // 10385
  { PseudoVSUXSEG4EI32_V_M1_M1_MASK, VSUXSEG4EI32_V }, // 10386
  { PseudoVSUXSEG4EI32_V_M1_M2, VSUXSEG4EI32_V }, // 10387
  { PseudoVSUXSEG4EI32_V_M1_M2_MASK, VSUXSEG4EI32_V }, // 10388
  { PseudoVSUXSEG4EI32_V_M1_MF2, VSUXSEG4EI32_V }, // 10389
  { PseudoVSUXSEG4EI32_V_M1_MF2_MASK, VSUXSEG4EI32_V }, // 10390
  { PseudoVSUXSEG4EI32_V_M1_MF4, VSUXSEG4EI32_V }, // 10391
  { PseudoVSUXSEG4EI32_V_M1_MF4_MASK, VSUXSEG4EI32_V }, // 10392
  { PseudoVSUXSEG4EI32_V_M2_M1, VSUXSEG4EI32_V }, // 10393
  { PseudoVSUXSEG4EI32_V_M2_M1_MASK, VSUXSEG4EI32_V }, // 10394
  { PseudoVSUXSEG4EI32_V_M2_M2, VSUXSEG4EI32_V }, // 10395
  { PseudoVSUXSEG4EI32_V_M2_M2_MASK, VSUXSEG4EI32_V }, // 10396
  { PseudoVSUXSEG4EI32_V_M2_MF2, VSUXSEG4EI32_V }, // 10397
  { PseudoVSUXSEG4EI32_V_M2_MF2_MASK, VSUXSEG4EI32_V }, // 10398
  { PseudoVSUXSEG4EI32_V_M4_M1, VSUXSEG4EI32_V }, // 10399
  { PseudoVSUXSEG4EI32_V_M4_M1_MASK, VSUXSEG4EI32_V }, // 10400
  { PseudoVSUXSEG4EI32_V_M4_M2, VSUXSEG4EI32_V }, // 10401
  { PseudoVSUXSEG4EI32_V_M4_M2_MASK, VSUXSEG4EI32_V }, // 10402
  { PseudoVSUXSEG4EI32_V_M8_M2, VSUXSEG4EI32_V }, // 10403
  { PseudoVSUXSEG4EI32_V_M8_M2_MASK, VSUXSEG4EI32_V }, // 10404
  { PseudoVSUXSEG4EI32_V_MF2_M1, VSUXSEG4EI32_V }, // 10405
  { PseudoVSUXSEG4EI32_V_MF2_M1_MASK, VSUXSEG4EI32_V }, // 10406
  { PseudoVSUXSEG4EI32_V_MF2_MF2, VSUXSEG4EI32_V }, // 10407
  { PseudoVSUXSEG4EI32_V_MF2_MF2_MASK, VSUXSEG4EI32_V }, // 10408
  { PseudoVSUXSEG4EI32_V_MF2_MF4, VSUXSEG4EI32_V }, // 10409
  { PseudoVSUXSEG4EI32_V_MF2_MF4_MASK, VSUXSEG4EI32_V }, // 10410
  { PseudoVSUXSEG4EI32_V_MF2_MF8, VSUXSEG4EI32_V }, // 10411
  { PseudoVSUXSEG4EI32_V_MF2_MF8_MASK, VSUXSEG4EI32_V }, // 10412
  { PseudoVSUXSEG4EI64_V_M1_M1, VSUXSEG4EI64_V }, // 10413
  { PseudoVSUXSEG4EI64_V_M1_M1_MASK, VSUXSEG4EI64_V }, // 10414
  { PseudoVSUXSEG4EI64_V_M1_MF2, VSUXSEG4EI64_V }, // 10415
  { PseudoVSUXSEG4EI64_V_M1_MF2_MASK, VSUXSEG4EI64_V }, // 10416
  { PseudoVSUXSEG4EI64_V_M1_MF4, VSUXSEG4EI64_V }, // 10417
  { PseudoVSUXSEG4EI64_V_M1_MF4_MASK, VSUXSEG4EI64_V }, // 10418
  { PseudoVSUXSEG4EI64_V_M1_MF8, VSUXSEG4EI64_V }, // 10419
  { PseudoVSUXSEG4EI64_V_M1_MF8_MASK, VSUXSEG4EI64_V }, // 10420
  { PseudoVSUXSEG4EI64_V_M2_M1, VSUXSEG4EI64_V }, // 10421
  { PseudoVSUXSEG4EI64_V_M2_M1_MASK, VSUXSEG4EI64_V }, // 10422
  { PseudoVSUXSEG4EI64_V_M2_M2, VSUXSEG4EI64_V }, // 10423
  { PseudoVSUXSEG4EI64_V_M2_M2_MASK, VSUXSEG4EI64_V }, // 10424
  { PseudoVSUXSEG4EI64_V_M2_MF2, VSUXSEG4EI64_V }, // 10425
  { PseudoVSUXSEG4EI64_V_M2_MF2_MASK, VSUXSEG4EI64_V }, // 10426
  { PseudoVSUXSEG4EI64_V_M2_MF4, VSUXSEG4EI64_V }, // 10427
  { PseudoVSUXSEG4EI64_V_M2_MF4_MASK, VSUXSEG4EI64_V }, // 10428
  { PseudoVSUXSEG4EI64_V_M4_M1, VSUXSEG4EI64_V }, // 10429
  { PseudoVSUXSEG4EI64_V_M4_M1_MASK, VSUXSEG4EI64_V }, // 10430
  { PseudoVSUXSEG4EI64_V_M4_M2, VSUXSEG4EI64_V }, // 10431
  { PseudoVSUXSEG4EI64_V_M4_M2_MASK, VSUXSEG4EI64_V }, // 10432
  { PseudoVSUXSEG4EI64_V_M4_MF2, VSUXSEG4EI64_V }, // 10433
  { PseudoVSUXSEG4EI64_V_M4_MF2_MASK, VSUXSEG4EI64_V }, // 10434
  { PseudoVSUXSEG4EI64_V_M8_M1, VSUXSEG4EI64_V }, // 10435
  { PseudoVSUXSEG4EI64_V_M8_M1_MASK, VSUXSEG4EI64_V }, // 10436
  { PseudoVSUXSEG4EI64_V_M8_M2, VSUXSEG4EI64_V }, // 10437
  { PseudoVSUXSEG4EI64_V_M8_M2_MASK, VSUXSEG4EI64_V }, // 10438
  { PseudoVSUXSEG4EI8_V_M1_M1, VSUXSEG4EI8_V }, // 10439
  { PseudoVSUXSEG4EI8_V_M1_M1_MASK, VSUXSEG4EI8_V }, // 10440
  { PseudoVSUXSEG4EI8_V_M1_M2, VSUXSEG4EI8_V }, // 10441
  { PseudoVSUXSEG4EI8_V_M1_M2_MASK, VSUXSEG4EI8_V }, // 10442
  { PseudoVSUXSEG4EI8_V_M2_M2, VSUXSEG4EI8_V }, // 10443
  { PseudoVSUXSEG4EI8_V_M2_M2_MASK, VSUXSEG4EI8_V }, // 10444
  { PseudoVSUXSEG4EI8_V_MF2_M1, VSUXSEG4EI8_V }, // 10445
  { PseudoVSUXSEG4EI8_V_MF2_M1_MASK, VSUXSEG4EI8_V }, // 10446
  { PseudoVSUXSEG4EI8_V_MF2_M2, VSUXSEG4EI8_V }, // 10447
  { PseudoVSUXSEG4EI8_V_MF2_M2_MASK, VSUXSEG4EI8_V }, // 10448
  { PseudoVSUXSEG4EI8_V_MF2_MF2, VSUXSEG4EI8_V }, // 10449
  { PseudoVSUXSEG4EI8_V_MF2_MF2_MASK, VSUXSEG4EI8_V }, // 10450
  { PseudoVSUXSEG4EI8_V_MF4_M1, VSUXSEG4EI8_V }, // 10451
  { PseudoVSUXSEG4EI8_V_MF4_M1_MASK, VSUXSEG4EI8_V }, // 10452
  { PseudoVSUXSEG4EI8_V_MF4_M2, VSUXSEG4EI8_V }, // 10453
  { PseudoVSUXSEG4EI8_V_MF4_M2_MASK, VSUXSEG4EI8_V }, // 10454
  { PseudoVSUXSEG4EI8_V_MF4_MF2, VSUXSEG4EI8_V }, // 10455
  { PseudoVSUXSEG4EI8_V_MF4_MF2_MASK, VSUXSEG4EI8_V }, // 10456
  { PseudoVSUXSEG4EI8_V_MF4_MF4, VSUXSEG4EI8_V }, // 10457
  { PseudoVSUXSEG4EI8_V_MF4_MF4_MASK, VSUXSEG4EI8_V }, // 10458
  { PseudoVSUXSEG4EI8_V_MF8_M1, VSUXSEG4EI8_V }, // 10459
  { PseudoVSUXSEG4EI8_V_MF8_M1_MASK, VSUXSEG4EI8_V }, // 10460
  { PseudoVSUXSEG4EI8_V_MF8_MF2, VSUXSEG4EI8_V }, // 10461
  { PseudoVSUXSEG4EI8_V_MF8_MF2_MASK, VSUXSEG4EI8_V }, // 10462
  { PseudoVSUXSEG4EI8_V_MF8_MF4, VSUXSEG4EI8_V }, // 10463
  { PseudoVSUXSEG4EI8_V_MF8_MF4_MASK, VSUXSEG4EI8_V }, // 10464
  { PseudoVSUXSEG4EI8_V_MF8_MF8, VSUXSEG4EI8_V }, // 10465
  { PseudoVSUXSEG4EI8_V_MF8_MF8_MASK, VSUXSEG4EI8_V }, // 10466
  { PseudoVSUXSEG5EI16_V_M1_M1, VSUXSEG5EI16_V }, // 10467
  { PseudoVSUXSEG5EI16_V_M1_M1_MASK, VSUXSEG5EI16_V }, // 10468
  { PseudoVSUXSEG5EI16_V_M1_MF2, VSUXSEG5EI16_V }, // 10469
  { PseudoVSUXSEG5EI16_V_M1_MF2_MASK, VSUXSEG5EI16_V }, // 10470
  { PseudoVSUXSEG5EI16_V_M2_M1, VSUXSEG5EI16_V }, // 10471
  { PseudoVSUXSEG5EI16_V_M2_M1_MASK, VSUXSEG5EI16_V }, // 10472
  { PseudoVSUXSEG5EI16_V_MF2_M1, VSUXSEG5EI16_V }, // 10473
  { PseudoVSUXSEG5EI16_V_MF2_M1_MASK, VSUXSEG5EI16_V }, // 10474
  { PseudoVSUXSEG5EI16_V_MF2_MF2, VSUXSEG5EI16_V }, // 10475
  { PseudoVSUXSEG5EI16_V_MF2_MF2_MASK, VSUXSEG5EI16_V }, // 10476
  { PseudoVSUXSEG5EI16_V_MF2_MF4, VSUXSEG5EI16_V }, // 10477
  { PseudoVSUXSEG5EI16_V_MF2_MF4_MASK, VSUXSEG5EI16_V }, // 10478
  { PseudoVSUXSEG5EI16_V_MF4_M1, VSUXSEG5EI16_V }, // 10479
  { PseudoVSUXSEG5EI16_V_MF4_M1_MASK, VSUXSEG5EI16_V }, // 10480
  { PseudoVSUXSEG5EI16_V_MF4_MF2, VSUXSEG5EI16_V }, // 10481
  { PseudoVSUXSEG5EI16_V_MF4_MF2_MASK, VSUXSEG5EI16_V }, // 10482
  { PseudoVSUXSEG5EI16_V_MF4_MF4, VSUXSEG5EI16_V }, // 10483
  { PseudoVSUXSEG5EI16_V_MF4_MF4_MASK, VSUXSEG5EI16_V }, // 10484
  { PseudoVSUXSEG5EI16_V_MF4_MF8, VSUXSEG5EI16_V }, // 10485
  { PseudoVSUXSEG5EI16_V_MF4_MF8_MASK, VSUXSEG5EI16_V }, // 10486
  { PseudoVSUXSEG5EI32_V_M1_M1, VSUXSEG5EI32_V }, // 10487
  { PseudoVSUXSEG5EI32_V_M1_M1_MASK, VSUXSEG5EI32_V }, // 10488
  { PseudoVSUXSEG5EI32_V_M1_MF2, VSUXSEG5EI32_V }, // 10489
  { PseudoVSUXSEG5EI32_V_M1_MF2_MASK, VSUXSEG5EI32_V }, // 10490
  { PseudoVSUXSEG5EI32_V_M1_MF4, VSUXSEG5EI32_V }, // 10491
  { PseudoVSUXSEG5EI32_V_M1_MF4_MASK, VSUXSEG5EI32_V }, // 10492
  { PseudoVSUXSEG5EI32_V_M2_M1, VSUXSEG5EI32_V }, // 10493
  { PseudoVSUXSEG5EI32_V_M2_M1_MASK, VSUXSEG5EI32_V }, // 10494
  { PseudoVSUXSEG5EI32_V_M2_MF2, VSUXSEG5EI32_V }, // 10495
  { PseudoVSUXSEG5EI32_V_M2_MF2_MASK, VSUXSEG5EI32_V }, // 10496
  { PseudoVSUXSEG5EI32_V_M4_M1, VSUXSEG5EI32_V }, // 10497
  { PseudoVSUXSEG5EI32_V_M4_M1_MASK, VSUXSEG5EI32_V }, // 10498
  { PseudoVSUXSEG5EI32_V_MF2_M1, VSUXSEG5EI32_V }, // 10499
  { PseudoVSUXSEG5EI32_V_MF2_M1_MASK, VSUXSEG5EI32_V }, // 10500
  { PseudoVSUXSEG5EI32_V_MF2_MF2, VSUXSEG5EI32_V }, // 10501
  { PseudoVSUXSEG5EI32_V_MF2_MF2_MASK, VSUXSEG5EI32_V }, // 10502
  { PseudoVSUXSEG5EI32_V_MF2_MF4, VSUXSEG5EI32_V }, // 10503
  { PseudoVSUXSEG5EI32_V_MF2_MF4_MASK, VSUXSEG5EI32_V }, // 10504
  { PseudoVSUXSEG5EI32_V_MF2_MF8, VSUXSEG5EI32_V }, // 10505
  { PseudoVSUXSEG5EI32_V_MF2_MF8_MASK, VSUXSEG5EI32_V }, // 10506
  { PseudoVSUXSEG5EI64_V_M1_M1, VSUXSEG5EI64_V }, // 10507
  { PseudoVSUXSEG5EI64_V_M1_M1_MASK, VSUXSEG5EI64_V }, // 10508
  { PseudoVSUXSEG5EI64_V_M1_MF2, VSUXSEG5EI64_V }, // 10509
  { PseudoVSUXSEG5EI64_V_M1_MF2_MASK, VSUXSEG5EI64_V }, // 10510
  { PseudoVSUXSEG5EI64_V_M1_MF4, VSUXSEG5EI64_V }, // 10511
  { PseudoVSUXSEG5EI64_V_M1_MF4_MASK, VSUXSEG5EI64_V }, // 10512
  { PseudoVSUXSEG5EI64_V_M1_MF8, VSUXSEG5EI64_V }, // 10513
  { PseudoVSUXSEG5EI64_V_M1_MF8_MASK, VSUXSEG5EI64_V }, // 10514
  { PseudoVSUXSEG5EI64_V_M2_M1, VSUXSEG5EI64_V }, // 10515
  { PseudoVSUXSEG5EI64_V_M2_M1_MASK, VSUXSEG5EI64_V }, // 10516
  { PseudoVSUXSEG5EI64_V_M2_MF2, VSUXSEG5EI64_V }, // 10517
  { PseudoVSUXSEG5EI64_V_M2_MF2_MASK, VSUXSEG5EI64_V }, // 10518
  { PseudoVSUXSEG5EI64_V_M2_MF4, VSUXSEG5EI64_V }, // 10519
  { PseudoVSUXSEG5EI64_V_M2_MF4_MASK, VSUXSEG5EI64_V }, // 10520
  { PseudoVSUXSEG5EI64_V_M4_M1, VSUXSEG5EI64_V }, // 10521
  { PseudoVSUXSEG5EI64_V_M4_M1_MASK, VSUXSEG5EI64_V }, // 10522
  { PseudoVSUXSEG5EI64_V_M4_MF2, VSUXSEG5EI64_V }, // 10523
  { PseudoVSUXSEG5EI64_V_M4_MF2_MASK, VSUXSEG5EI64_V }, // 10524
  { PseudoVSUXSEG5EI64_V_M8_M1, VSUXSEG5EI64_V }, // 10525
  { PseudoVSUXSEG5EI64_V_M8_M1_MASK, VSUXSEG5EI64_V }, // 10526
  { PseudoVSUXSEG5EI8_V_M1_M1, VSUXSEG5EI8_V }, // 10527
  { PseudoVSUXSEG5EI8_V_M1_M1_MASK, VSUXSEG5EI8_V }, // 10528
  { PseudoVSUXSEG5EI8_V_MF2_M1, VSUXSEG5EI8_V }, // 10529
  { PseudoVSUXSEG5EI8_V_MF2_M1_MASK, VSUXSEG5EI8_V }, // 10530
  { PseudoVSUXSEG5EI8_V_MF2_MF2, VSUXSEG5EI8_V }, // 10531
  { PseudoVSUXSEG5EI8_V_MF2_MF2_MASK, VSUXSEG5EI8_V }, // 10532
  { PseudoVSUXSEG5EI8_V_MF4_M1, VSUXSEG5EI8_V }, // 10533
  { PseudoVSUXSEG5EI8_V_MF4_M1_MASK, VSUXSEG5EI8_V }, // 10534
  { PseudoVSUXSEG5EI8_V_MF4_MF2, VSUXSEG5EI8_V }, // 10535
  { PseudoVSUXSEG5EI8_V_MF4_MF2_MASK, VSUXSEG5EI8_V }, // 10536
  { PseudoVSUXSEG5EI8_V_MF4_MF4, VSUXSEG5EI8_V }, // 10537
  { PseudoVSUXSEG5EI8_V_MF4_MF4_MASK, VSUXSEG5EI8_V }, // 10538
  { PseudoVSUXSEG5EI8_V_MF8_M1, VSUXSEG5EI8_V }, // 10539
  { PseudoVSUXSEG5EI8_V_MF8_M1_MASK, VSUXSEG5EI8_V }, // 10540
  { PseudoVSUXSEG5EI8_V_MF8_MF2, VSUXSEG5EI8_V }, // 10541
  { PseudoVSUXSEG5EI8_V_MF8_MF2_MASK, VSUXSEG5EI8_V }, // 10542
  { PseudoVSUXSEG5EI8_V_MF8_MF4, VSUXSEG5EI8_V }, // 10543
  { PseudoVSUXSEG5EI8_V_MF8_MF4_MASK, VSUXSEG5EI8_V }, // 10544
  { PseudoVSUXSEG5EI8_V_MF8_MF8, VSUXSEG5EI8_V }, // 10545
  { PseudoVSUXSEG5EI8_V_MF8_MF8_MASK, VSUXSEG5EI8_V }, // 10546
  { PseudoVSUXSEG6EI16_V_M1_M1, VSUXSEG6EI16_V }, // 10547
  { PseudoVSUXSEG6EI16_V_M1_M1_MASK, VSUXSEG6EI16_V }, // 10548
  { PseudoVSUXSEG6EI16_V_M1_MF2, VSUXSEG6EI16_V }, // 10549
  { PseudoVSUXSEG6EI16_V_M1_MF2_MASK, VSUXSEG6EI16_V }, // 10550
  { PseudoVSUXSEG6EI16_V_M2_M1, VSUXSEG6EI16_V }, // 10551
  { PseudoVSUXSEG6EI16_V_M2_M1_MASK, VSUXSEG6EI16_V }, // 10552
  { PseudoVSUXSEG6EI16_V_MF2_M1, VSUXSEG6EI16_V }, // 10553
  { PseudoVSUXSEG6EI16_V_MF2_M1_MASK, VSUXSEG6EI16_V }, // 10554
  { PseudoVSUXSEG6EI16_V_MF2_MF2, VSUXSEG6EI16_V }, // 10555
  { PseudoVSUXSEG6EI16_V_MF2_MF2_MASK, VSUXSEG6EI16_V }, // 10556
  { PseudoVSUXSEG6EI16_V_MF2_MF4, VSUXSEG6EI16_V }, // 10557
  { PseudoVSUXSEG6EI16_V_MF2_MF4_MASK, VSUXSEG6EI16_V }, // 10558
  { PseudoVSUXSEG6EI16_V_MF4_M1, VSUXSEG6EI16_V }, // 10559
  { PseudoVSUXSEG6EI16_V_MF4_M1_MASK, VSUXSEG6EI16_V }, // 10560
  { PseudoVSUXSEG6EI16_V_MF4_MF2, VSUXSEG6EI16_V }, // 10561
  { PseudoVSUXSEG6EI16_V_MF4_MF2_MASK, VSUXSEG6EI16_V }, // 10562
  { PseudoVSUXSEG6EI16_V_MF4_MF4, VSUXSEG6EI16_V }, // 10563
  { PseudoVSUXSEG6EI16_V_MF4_MF4_MASK, VSUXSEG6EI16_V }, // 10564
  { PseudoVSUXSEG6EI16_V_MF4_MF8, VSUXSEG6EI16_V }, // 10565
  { PseudoVSUXSEG6EI16_V_MF4_MF8_MASK, VSUXSEG6EI16_V }, // 10566
  { PseudoVSUXSEG6EI32_V_M1_M1, VSUXSEG6EI32_V }, // 10567
  { PseudoVSUXSEG6EI32_V_M1_M1_MASK, VSUXSEG6EI32_V }, // 10568
  { PseudoVSUXSEG6EI32_V_M1_MF2, VSUXSEG6EI32_V }, // 10569
  { PseudoVSUXSEG6EI32_V_M1_MF2_MASK, VSUXSEG6EI32_V }, // 10570
  { PseudoVSUXSEG6EI32_V_M1_MF4, VSUXSEG6EI32_V }, // 10571
  { PseudoVSUXSEG6EI32_V_M1_MF4_MASK, VSUXSEG6EI32_V }, // 10572
  { PseudoVSUXSEG6EI32_V_M2_M1, VSUXSEG6EI32_V }, // 10573
  { PseudoVSUXSEG6EI32_V_M2_M1_MASK, VSUXSEG6EI32_V }, // 10574
  { PseudoVSUXSEG6EI32_V_M2_MF2, VSUXSEG6EI32_V }, // 10575
  { PseudoVSUXSEG6EI32_V_M2_MF2_MASK, VSUXSEG6EI32_V }, // 10576
  { PseudoVSUXSEG6EI32_V_M4_M1, VSUXSEG6EI32_V }, // 10577
  { PseudoVSUXSEG6EI32_V_M4_M1_MASK, VSUXSEG6EI32_V }, // 10578
  { PseudoVSUXSEG6EI32_V_MF2_M1, VSUXSEG6EI32_V }, // 10579
  { PseudoVSUXSEG6EI32_V_MF2_M1_MASK, VSUXSEG6EI32_V }, // 10580
  { PseudoVSUXSEG6EI32_V_MF2_MF2, VSUXSEG6EI32_V }, // 10581
  { PseudoVSUXSEG6EI32_V_MF2_MF2_MASK, VSUXSEG6EI32_V }, // 10582
  { PseudoVSUXSEG6EI32_V_MF2_MF4, VSUXSEG6EI32_V }, // 10583
  { PseudoVSUXSEG6EI32_V_MF2_MF4_MASK, VSUXSEG6EI32_V }, // 10584
  { PseudoVSUXSEG6EI32_V_MF2_MF8, VSUXSEG6EI32_V }, // 10585
  { PseudoVSUXSEG6EI32_V_MF2_MF8_MASK, VSUXSEG6EI32_V }, // 10586
  { PseudoVSUXSEG6EI64_V_M1_M1, VSUXSEG6EI64_V }, // 10587
  { PseudoVSUXSEG6EI64_V_M1_M1_MASK, VSUXSEG6EI64_V }, // 10588
  { PseudoVSUXSEG6EI64_V_M1_MF2, VSUXSEG6EI64_V }, // 10589
  { PseudoVSUXSEG6EI64_V_M1_MF2_MASK, VSUXSEG6EI64_V }, // 10590
  { PseudoVSUXSEG6EI64_V_M1_MF4, VSUXSEG6EI64_V }, // 10591
  { PseudoVSUXSEG6EI64_V_M1_MF4_MASK, VSUXSEG6EI64_V }, // 10592
  { PseudoVSUXSEG6EI64_V_M1_MF8, VSUXSEG6EI64_V }, // 10593
  { PseudoVSUXSEG6EI64_V_M1_MF8_MASK, VSUXSEG6EI64_V }, // 10594
  { PseudoVSUXSEG6EI64_V_M2_M1, VSUXSEG6EI64_V }, // 10595
  { PseudoVSUXSEG6EI64_V_M2_M1_MASK, VSUXSEG6EI64_V }, // 10596
  { PseudoVSUXSEG6EI64_V_M2_MF2, VSUXSEG6EI64_V }, // 10597
  { PseudoVSUXSEG6EI64_V_M2_MF2_MASK, VSUXSEG6EI64_V }, // 10598
  { PseudoVSUXSEG6EI64_V_M2_MF4, VSUXSEG6EI64_V }, // 10599
  { PseudoVSUXSEG6EI64_V_M2_MF4_MASK, VSUXSEG6EI64_V }, // 10600
  { PseudoVSUXSEG6EI64_V_M4_M1, VSUXSEG6EI64_V }, // 10601
  { PseudoVSUXSEG6EI64_V_M4_M1_MASK, VSUXSEG6EI64_V }, // 10602
  { PseudoVSUXSEG6EI64_V_M4_MF2, VSUXSEG6EI64_V }, // 10603
  { PseudoVSUXSEG6EI64_V_M4_MF2_MASK, VSUXSEG6EI64_V }, // 10604
  { PseudoVSUXSEG6EI64_V_M8_M1, VSUXSEG6EI64_V }, // 10605
  { PseudoVSUXSEG6EI64_V_M8_M1_MASK, VSUXSEG6EI64_V }, // 10606
  { PseudoVSUXSEG6EI8_V_M1_M1, VSUXSEG6EI8_V }, // 10607
  { PseudoVSUXSEG6EI8_V_M1_M1_MASK, VSUXSEG6EI8_V }, // 10608
  { PseudoVSUXSEG6EI8_V_MF2_M1, VSUXSEG6EI8_V }, // 10609
  { PseudoVSUXSEG6EI8_V_MF2_M1_MASK, VSUXSEG6EI8_V }, // 10610
  { PseudoVSUXSEG6EI8_V_MF2_MF2, VSUXSEG6EI8_V }, // 10611
  { PseudoVSUXSEG6EI8_V_MF2_MF2_MASK, VSUXSEG6EI8_V }, // 10612
  { PseudoVSUXSEG6EI8_V_MF4_M1, VSUXSEG6EI8_V }, // 10613
  { PseudoVSUXSEG6EI8_V_MF4_M1_MASK, VSUXSEG6EI8_V }, // 10614
  { PseudoVSUXSEG6EI8_V_MF4_MF2, VSUXSEG6EI8_V }, // 10615
  { PseudoVSUXSEG6EI8_V_MF4_MF2_MASK, VSUXSEG6EI8_V }, // 10616
  { PseudoVSUXSEG6EI8_V_MF4_MF4, VSUXSEG6EI8_V }, // 10617
  { PseudoVSUXSEG6EI8_V_MF4_MF4_MASK, VSUXSEG6EI8_V }, // 10618
  { PseudoVSUXSEG6EI8_V_MF8_M1, VSUXSEG6EI8_V }, // 10619
  { PseudoVSUXSEG6EI8_V_MF8_M1_MASK, VSUXSEG6EI8_V }, // 10620
  { PseudoVSUXSEG6EI8_V_MF8_MF2, VSUXSEG6EI8_V }, // 10621
  { PseudoVSUXSEG6EI8_V_MF8_MF2_MASK, VSUXSEG6EI8_V }, // 10622
  { PseudoVSUXSEG6EI8_V_MF8_MF4, VSUXSEG6EI8_V }, // 10623
  { PseudoVSUXSEG6EI8_V_MF8_MF4_MASK, VSUXSEG6EI8_V }, // 10624
  { PseudoVSUXSEG6EI8_V_MF8_MF8, VSUXSEG6EI8_V }, // 10625
  { PseudoVSUXSEG6EI8_V_MF8_MF8_MASK, VSUXSEG6EI8_V }, // 10626
  { PseudoVSUXSEG7EI16_V_M1_M1, VSUXSEG7EI16_V }, // 10627
  { PseudoVSUXSEG7EI16_V_M1_M1_MASK, VSUXSEG7EI16_V }, // 10628
  { PseudoVSUXSEG7EI16_V_M1_MF2, VSUXSEG7EI16_V }, // 10629
  { PseudoVSUXSEG7EI16_V_M1_MF2_MASK, VSUXSEG7EI16_V }, // 10630
  { PseudoVSUXSEG7EI16_V_M2_M1, VSUXSEG7EI16_V }, // 10631
  { PseudoVSUXSEG7EI16_V_M2_M1_MASK, VSUXSEG7EI16_V }, // 10632
  { PseudoVSUXSEG7EI16_V_MF2_M1, VSUXSEG7EI16_V }, // 10633
  { PseudoVSUXSEG7EI16_V_MF2_M1_MASK, VSUXSEG7EI16_V }, // 10634
  { PseudoVSUXSEG7EI16_V_MF2_MF2, VSUXSEG7EI16_V }, // 10635
  { PseudoVSUXSEG7EI16_V_MF2_MF2_MASK, VSUXSEG7EI16_V }, // 10636
  { PseudoVSUXSEG7EI16_V_MF2_MF4, VSUXSEG7EI16_V }, // 10637
  { PseudoVSUXSEG7EI16_V_MF2_MF4_MASK, VSUXSEG7EI16_V }, // 10638
  { PseudoVSUXSEG7EI16_V_MF4_M1, VSUXSEG7EI16_V }, // 10639
  { PseudoVSUXSEG7EI16_V_MF4_M1_MASK, VSUXSEG7EI16_V }, // 10640
  { PseudoVSUXSEG7EI16_V_MF4_MF2, VSUXSEG7EI16_V }, // 10641
  { PseudoVSUXSEG7EI16_V_MF4_MF2_MASK, VSUXSEG7EI16_V }, // 10642
  { PseudoVSUXSEG7EI16_V_MF4_MF4, VSUXSEG7EI16_V }, // 10643
  { PseudoVSUXSEG7EI16_V_MF4_MF4_MASK, VSUXSEG7EI16_V }, // 10644
  { PseudoVSUXSEG7EI16_V_MF4_MF8, VSUXSEG7EI16_V }, // 10645
  { PseudoVSUXSEG7EI16_V_MF4_MF8_MASK, VSUXSEG7EI16_V }, // 10646
  { PseudoVSUXSEG7EI32_V_M1_M1, VSUXSEG7EI32_V }, // 10647
  { PseudoVSUXSEG7EI32_V_M1_M1_MASK, VSUXSEG7EI32_V }, // 10648
  { PseudoVSUXSEG7EI32_V_M1_MF2, VSUXSEG7EI32_V }, // 10649
  { PseudoVSUXSEG7EI32_V_M1_MF2_MASK, VSUXSEG7EI32_V }, // 10650
  { PseudoVSUXSEG7EI32_V_M1_MF4, VSUXSEG7EI32_V }, // 10651
  { PseudoVSUXSEG7EI32_V_M1_MF4_MASK, VSUXSEG7EI32_V }, // 10652
  { PseudoVSUXSEG7EI32_V_M2_M1, VSUXSEG7EI32_V }, // 10653
  { PseudoVSUXSEG7EI32_V_M2_M1_MASK, VSUXSEG7EI32_V }, // 10654
  { PseudoVSUXSEG7EI32_V_M2_MF2, VSUXSEG7EI32_V }, // 10655
  { PseudoVSUXSEG7EI32_V_M2_MF2_MASK, VSUXSEG7EI32_V }, // 10656
  { PseudoVSUXSEG7EI32_V_M4_M1, VSUXSEG7EI32_V }, // 10657
  { PseudoVSUXSEG7EI32_V_M4_M1_MASK, VSUXSEG7EI32_V }, // 10658
  { PseudoVSUXSEG7EI32_V_MF2_M1, VSUXSEG7EI32_V }, // 10659
  { PseudoVSUXSEG7EI32_V_MF2_M1_MASK, VSUXSEG7EI32_V }, // 10660
  { PseudoVSUXSEG7EI32_V_MF2_MF2, VSUXSEG7EI32_V }, // 10661
  { PseudoVSUXSEG7EI32_V_MF2_MF2_MASK, VSUXSEG7EI32_V }, // 10662
  { PseudoVSUXSEG7EI32_V_MF2_MF4, VSUXSEG7EI32_V }, // 10663
  { PseudoVSUXSEG7EI32_V_MF2_MF4_MASK, VSUXSEG7EI32_V }, // 10664
  { PseudoVSUXSEG7EI32_V_MF2_MF8, VSUXSEG7EI32_V }, // 10665
  { PseudoVSUXSEG7EI32_V_MF2_MF8_MASK, VSUXSEG7EI32_V }, // 10666
  { PseudoVSUXSEG7EI64_V_M1_M1, VSUXSEG7EI64_V }, // 10667
  { PseudoVSUXSEG7EI64_V_M1_M1_MASK, VSUXSEG7EI64_V }, // 10668
  { PseudoVSUXSEG7EI64_V_M1_MF2, VSUXSEG7EI64_V }, // 10669
  { PseudoVSUXSEG7EI64_V_M1_MF2_MASK, VSUXSEG7EI64_V }, // 10670
  { PseudoVSUXSEG7EI64_V_M1_MF4, VSUXSEG7EI64_V }, // 10671
  { PseudoVSUXSEG7EI64_V_M1_MF4_MASK, VSUXSEG7EI64_V }, // 10672
  { PseudoVSUXSEG7EI64_V_M1_MF8, VSUXSEG7EI64_V }, // 10673
  { PseudoVSUXSEG7EI64_V_M1_MF8_MASK, VSUXSEG7EI64_V }, // 10674
  { PseudoVSUXSEG7EI64_V_M2_M1, VSUXSEG7EI64_V }, // 10675
  { PseudoVSUXSEG7EI64_V_M2_M1_MASK, VSUXSEG7EI64_V }, // 10676
  { PseudoVSUXSEG7EI64_V_M2_MF2, VSUXSEG7EI64_V }, // 10677
  { PseudoVSUXSEG7EI64_V_M2_MF2_MASK, VSUXSEG7EI64_V }, // 10678
  { PseudoVSUXSEG7EI64_V_M2_MF4, VSUXSEG7EI64_V }, // 10679
  { PseudoVSUXSEG7EI64_V_M2_MF4_MASK, VSUXSEG7EI64_V }, // 10680
  { PseudoVSUXSEG7EI64_V_M4_M1, VSUXSEG7EI64_V }, // 10681
  { PseudoVSUXSEG7EI64_V_M4_M1_MASK, VSUXSEG7EI64_V }, // 10682
  { PseudoVSUXSEG7EI64_V_M4_MF2, VSUXSEG7EI64_V }, // 10683
  { PseudoVSUXSEG7EI64_V_M4_MF2_MASK, VSUXSEG7EI64_V }, // 10684
  { PseudoVSUXSEG7EI64_V_M8_M1, VSUXSEG7EI64_V }, // 10685
  { PseudoVSUXSEG7EI64_V_M8_M1_MASK, VSUXSEG7EI64_V }, // 10686
  { PseudoVSUXSEG7EI8_V_M1_M1, VSUXSEG7EI8_V }, // 10687
  { PseudoVSUXSEG7EI8_V_M1_M1_MASK, VSUXSEG7EI8_V }, // 10688
  { PseudoVSUXSEG7EI8_V_MF2_M1, VSUXSEG7EI8_V }, // 10689
  { PseudoVSUXSEG7EI8_V_MF2_M1_MASK, VSUXSEG7EI8_V }, // 10690
  { PseudoVSUXSEG7EI8_V_MF2_MF2, VSUXSEG7EI8_V }, // 10691
  { PseudoVSUXSEG7EI8_V_MF2_MF2_MASK, VSUXSEG7EI8_V }, // 10692
  { PseudoVSUXSEG7EI8_V_MF4_M1, VSUXSEG7EI8_V }, // 10693
  { PseudoVSUXSEG7EI8_V_MF4_M1_MASK, VSUXSEG7EI8_V }, // 10694
  { PseudoVSUXSEG7EI8_V_MF4_MF2, VSUXSEG7EI8_V }, // 10695
  { PseudoVSUXSEG7EI8_V_MF4_MF2_MASK, VSUXSEG7EI8_V }, // 10696
  { PseudoVSUXSEG7EI8_V_MF4_MF4, VSUXSEG7EI8_V }, // 10697
  { PseudoVSUXSEG7EI8_V_MF4_MF4_MASK, VSUXSEG7EI8_V }, // 10698
  { PseudoVSUXSEG7EI8_V_MF8_M1, VSUXSEG7EI8_V }, // 10699
  { PseudoVSUXSEG7EI8_V_MF8_M1_MASK, VSUXSEG7EI8_V }, // 10700
  { PseudoVSUXSEG7EI8_V_MF8_MF2, VSUXSEG7EI8_V }, // 10701
  { PseudoVSUXSEG7EI8_V_MF8_MF2_MASK, VSUXSEG7EI8_V }, // 10702
  { PseudoVSUXSEG7EI8_V_MF8_MF4, VSUXSEG7EI8_V }, // 10703
  { PseudoVSUXSEG7EI8_V_MF8_MF4_MASK, VSUXSEG7EI8_V }, // 10704
  { PseudoVSUXSEG7EI8_V_MF8_MF8, VSUXSEG7EI8_V }, // 10705
  { PseudoVSUXSEG7EI8_V_MF8_MF8_MASK, VSUXSEG7EI8_V }, // 10706
  { PseudoVSUXSEG8EI16_V_M1_M1, VSUXSEG8EI16_V }, // 10707
  { PseudoVSUXSEG8EI16_V_M1_M1_MASK, VSUXSEG8EI16_V }, // 10708
  { PseudoVSUXSEG8EI16_V_M1_MF2, VSUXSEG8EI16_V }, // 10709
  { PseudoVSUXSEG8EI16_V_M1_MF2_MASK, VSUXSEG8EI16_V }, // 10710
  { PseudoVSUXSEG8EI16_V_M2_M1, VSUXSEG8EI16_V }, // 10711
  { PseudoVSUXSEG8EI16_V_M2_M1_MASK, VSUXSEG8EI16_V }, // 10712
  { PseudoVSUXSEG8EI16_V_MF2_M1, VSUXSEG8EI16_V }, // 10713
  { PseudoVSUXSEG8EI16_V_MF2_M1_MASK, VSUXSEG8EI16_V }, // 10714
  { PseudoVSUXSEG8EI16_V_MF2_MF2, VSUXSEG8EI16_V }, // 10715
  { PseudoVSUXSEG8EI16_V_MF2_MF2_MASK, VSUXSEG8EI16_V }, // 10716
  { PseudoVSUXSEG8EI16_V_MF2_MF4, VSUXSEG8EI16_V }, // 10717
  { PseudoVSUXSEG8EI16_V_MF2_MF4_MASK, VSUXSEG8EI16_V }, // 10718
  { PseudoVSUXSEG8EI16_V_MF4_M1, VSUXSEG8EI16_V }, // 10719
  { PseudoVSUXSEG8EI16_V_MF4_M1_MASK, VSUXSEG8EI16_V }, // 10720
  { PseudoVSUXSEG8EI16_V_MF4_MF2, VSUXSEG8EI16_V }, // 10721
  { PseudoVSUXSEG8EI16_V_MF4_MF2_MASK, VSUXSEG8EI16_V }, // 10722
  { PseudoVSUXSEG8EI16_V_MF4_MF4, VSUXSEG8EI16_V }, // 10723
  { PseudoVSUXSEG8EI16_V_MF4_MF4_MASK, VSUXSEG8EI16_V }, // 10724
  { PseudoVSUXSEG8EI16_V_MF4_MF8, VSUXSEG8EI16_V }, // 10725
  { PseudoVSUXSEG8EI16_V_MF4_MF8_MASK, VSUXSEG8EI16_V }, // 10726
  { PseudoVSUXSEG8EI32_V_M1_M1, VSUXSEG8EI32_V }, // 10727
  { PseudoVSUXSEG8EI32_V_M1_M1_MASK, VSUXSEG8EI32_V }, // 10728
  { PseudoVSUXSEG8EI32_V_M1_MF2, VSUXSEG8EI32_V }, // 10729
  { PseudoVSUXSEG8EI32_V_M1_MF2_MASK, VSUXSEG8EI32_V }, // 10730
  { PseudoVSUXSEG8EI32_V_M1_MF4, VSUXSEG8EI32_V }, // 10731
  { PseudoVSUXSEG8EI32_V_M1_MF4_MASK, VSUXSEG8EI32_V }, // 10732
  { PseudoVSUXSEG8EI32_V_M2_M1, VSUXSEG8EI32_V }, // 10733
  { PseudoVSUXSEG8EI32_V_M2_M1_MASK, VSUXSEG8EI32_V }, // 10734
  { PseudoVSUXSEG8EI32_V_M2_MF2, VSUXSEG8EI32_V }, // 10735
  { PseudoVSUXSEG8EI32_V_M2_MF2_MASK, VSUXSEG8EI32_V }, // 10736
  { PseudoVSUXSEG8EI32_V_M4_M1, VSUXSEG8EI32_V }, // 10737
  { PseudoVSUXSEG8EI32_V_M4_M1_MASK, VSUXSEG8EI32_V }, // 10738
  { PseudoVSUXSEG8EI32_V_MF2_M1, VSUXSEG8EI32_V }, // 10739
  { PseudoVSUXSEG8EI32_V_MF2_M1_MASK, VSUXSEG8EI32_V }, // 10740
  { PseudoVSUXSEG8EI32_V_MF2_MF2, VSUXSEG8EI32_V }, // 10741
  { PseudoVSUXSEG8EI32_V_MF2_MF2_MASK, VSUXSEG8EI32_V }, // 10742
  { PseudoVSUXSEG8EI32_V_MF2_MF4, VSUXSEG8EI32_V }, // 10743
  { PseudoVSUXSEG8EI32_V_MF2_MF4_MASK, VSUXSEG8EI32_V }, // 10744
  { PseudoVSUXSEG8EI32_V_MF2_MF8, VSUXSEG8EI32_V }, // 10745
  { PseudoVSUXSEG8EI32_V_MF2_MF8_MASK, VSUXSEG8EI32_V }, // 10746
  { PseudoVSUXSEG8EI64_V_M1_M1, VSUXSEG8EI64_V }, // 10747
  { PseudoVSUXSEG8EI64_V_M1_M1_MASK, VSUXSEG8EI64_V }, // 10748
  { PseudoVSUXSEG8EI64_V_M1_MF2, VSUXSEG8EI64_V }, // 10749
  { PseudoVSUXSEG8EI64_V_M1_MF2_MASK, VSUXSEG8EI64_V }, // 10750
  { PseudoVSUXSEG8EI64_V_M1_MF4, VSUXSEG8EI64_V }, // 10751
  { PseudoVSUXSEG8EI64_V_M1_MF4_MASK, VSUXSEG8EI64_V }, // 10752
  { PseudoVSUXSEG8EI64_V_M1_MF8, VSUXSEG8EI64_V }, // 10753
  { PseudoVSUXSEG8EI64_V_M1_MF8_MASK, VSUXSEG8EI64_V }, // 10754
  { PseudoVSUXSEG8EI64_V_M2_M1, VSUXSEG8EI64_V }, // 10755
  { PseudoVSUXSEG8EI64_V_M2_M1_MASK, VSUXSEG8EI64_V }, // 10756
  { PseudoVSUXSEG8EI64_V_M2_MF2, VSUXSEG8EI64_V }, // 10757
  { PseudoVSUXSEG8EI64_V_M2_MF2_MASK, VSUXSEG8EI64_V }, // 10758
  { PseudoVSUXSEG8EI64_V_M2_MF4, VSUXSEG8EI64_V }, // 10759
  { PseudoVSUXSEG8EI64_V_M2_MF4_MASK, VSUXSEG8EI64_V }, // 10760
  { PseudoVSUXSEG8EI64_V_M4_M1, VSUXSEG8EI64_V }, // 10761
  { PseudoVSUXSEG8EI64_V_M4_M1_MASK, VSUXSEG8EI64_V }, // 10762
  { PseudoVSUXSEG8EI64_V_M4_MF2, VSUXSEG8EI64_V }, // 10763
  { PseudoVSUXSEG8EI64_V_M4_MF2_MASK, VSUXSEG8EI64_V }, // 10764
  { PseudoVSUXSEG8EI64_V_M8_M1, VSUXSEG8EI64_V }, // 10765
  { PseudoVSUXSEG8EI64_V_M8_M1_MASK, VSUXSEG8EI64_V }, // 10766
  { PseudoVSUXSEG8EI8_V_M1_M1, VSUXSEG8EI8_V }, // 10767
  { PseudoVSUXSEG8EI8_V_M1_M1_MASK, VSUXSEG8EI8_V }, // 10768
  { PseudoVSUXSEG8EI8_V_MF2_M1, VSUXSEG8EI8_V }, // 10769
  { PseudoVSUXSEG8EI8_V_MF2_M1_MASK, VSUXSEG8EI8_V }, // 10770
  { PseudoVSUXSEG8EI8_V_MF2_MF2, VSUXSEG8EI8_V }, // 10771
  { PseudoVSUXSEG8EI8_V_MF2_MF2_MASK, VSUXSEG8EI8_V }, // 10772
  { PseudoVSUXSEG8EI8_V_MF4_M1, VSUXSEG8EI8_V }, // 10773
  { PseudoVSUXSEG8EI8_V_MF4_M1_MASK, VSUXSEG8EI8_V }, // 10774
  { PseudoVSUXSEG8EI8_V_MF4_MF2, VSUXSEG8EI8_V }, // 10775
  { PseudoVSUXSEG8EI8_V_MF4_MF2_MASK, VSUXSEG8EI8_V }, // 10776
  { PseudoVSUXSEG8EI8_V_MF4_MF4, VSUXSEG8EI8_V }, // 10777
  { PseudoVSUXSEG8EI8_V_MF4_MF4_MASK, VSUXSEG8EI8_V }, // 10778
  { PseudoVSUXSEG8EI8_V_MF8_M1, VSUXSEG8EI8_V }, // 10779
  { PseudoVSUXSEG8EI8_V_MF8_M1_MASK, VSUXSEG8EI8_V }, // 10780
  { PseudoVSUXSEG8EI8_V_MF8_MF2, VSUXSEG8EI8_V }, // 10781
  { PseudoVSUXSEG8EI8_V_MF8_MF2_MASK, VSUXSEG8EI8_V }, // 10782
  { PseudoVSUXSEG8EI8_V_MF8_MF4, VSUXSEG8EI8_V }, // 10783
  { PseudoVSUXSEG8EI8_V_MF8_MF4_MASK, VSUXSEG8EI8_V }, // 10784
  { PseudoVSUXSEG8EI8_V_MF8_MF8, VSUXSEG8EI8_V }, // 10785
  { PseudoVSUXSEG8EI8_V_MF8_MF8_MASK, VSUXSEG8EI8_V }, // 10786
  { PseudoVWADDU_VV_M1, VWADDU_VV }, // 10787
  { PseudoVWADDU_VV_M1_MASK, VWADDU_VV }, // 10788
  { PseudoVWADDU_VV_M2, VWADDU_VV }, // 10789
  { PseudoVWADDU_VV_M2_MASK, VWADDU_VV }, // 10790
  { PseudoVWADDU_VV_M4, VWADDU_VV }, // 10791
  { PseudoVWADDU_VV_M4_MASK, VWADDU_VV }, // 10792
  { PseudoVWADDU_VV_MF2, VWADDU_VV }, // 10793
  { PseudoVWADDU_VV_MF2_MASK, VWADDU_VV }, // 10794
  { PseudoVWADDU_VV_MF4, VWADDU_VV }, // 10795
  { PseudoVWADDU_VV_MF4_MASK, VWADDU_VV }, // 10796
  { PseudoVWADDU_VV_MF8, VWADDU_VV }, // 10797
  { PseudoVWADDU_VV_MF8_MASK, VWADDU_VV }, // 10798
  { PseudoVWADDU_VX_M1, VWADDU_VX }, // 10799
  { PseudoVWADDU_VX_M1_MASK, VWADDU_VX }, // 10800
  { PseudoVWADDU_VX_M2, VWADDU_VX }, // 10801
  { PseudoVWADDU_VX_M2_MASK, VWADDU_VX }, // 10802
  { PseudoVWADDU_VX_M4, VWADDU_VX }, // 10803
  { PseudoVWADDU_VX_M4_MASK, VWADDU_VX }, // 10804
  { PseudoVWADDU_VX_MF2, VWADDU_VX }, // 10805
  { PseudoVWADDU_VX_MF2_MASK, VWADDU_VX }, // 10806
  { PseudoVWADDU_VX_MF4, VWADDU_VX }, // 10807
  { PseudoVWADDU_VX_MF4_MASK, VWADDU_VX }, // 10808
  { PseudoVWADDU_VX_MF8, VWADDU_VX }, // 10809
  { PseudoVWADDU_VX_MF8_MASK, VWADDU_VX }, // 10810
  { PseudoVWADDU_WV_M1, VWADDU_WV }, // 10811
  { PseudoVWADDU_WV_M1_MASK, VWADDU_WV }, // 10812
  { PseudoVWADDU_WV_M1_MASK_TIED, VWADDU_WV }, // 10813
  { PseudoVWADDU_WV_M1_TIED, VWADDU_WV }, // 10814
  { PseudoVWADDU_WV_M2, VWADDU_WV }, // 10815
  { PseudoVWADDU_WV_M2_MASK, VWADDU_WV }, // 10816
  { PseudoVWADDU_WV_M2_MASK_TIED, VWADDU_WV }, // 10817
  { PseudoVWADDU_WV_M2_TIED, VWADDU_WV }, // 10818
  { PseudoVWADDU_WV_M4, VWADDU_WV }, // 10819
  { PseudoVWADDU_WV_M4_MASK, VWADDU_WV }, // 10820
  { PseudoVWADDU_WV_M4_MASK_TIED, VWADDU_WV }, // 10821
  { PseudoVWADDU_WV_M4_TIED, VWADDU_WV }, // 10822
  { PseudoVWADDU_WV_MF2, VWADDU_WV }, // 10823
  { PseudoVWADDU_WV_MF2_MASK, VWADDU_WV }, // 10824
  { PseudoVWADDU_WV_MF2_MASK_TIED, VWADDU_WV }, // 10825
  { PseudoVWADDU_WV_MF2_TIED, VWADDU_WV }, // 10826
  { PseudoVWADDU_WV_MF4, VWADDU_WV }, // 10827
  { PseudoVWADDU_WV_MF4_MASK, VWADDU_WV }, // 10828
  { PseudoVWADDU_WV_MF4_MASK_TIED, VWADDU_WV }, // 10829
  { PseudoVWADDU_WV_MF4_TIED, VWADDU_WV }, // 10830
  { PseudoVWADDU_WV_MF8, VWADDU_WV }, // 10831
  { PseudoVWADDU_WV_MF8_MASK, VWADDU_WV }, // 10832
  { PseudoVWADDU_WV_MF8_MASK_TIED, VWADDU_WV }, // 10833
  { PseudoVWADDU_WV_MF8_TIED, VWADDU_WV }, // 10834
  { PseudoVWADDU_WX_M1, VWADDU_WX }, // 10835
  { PseudoVWADDU_WX_M1_MASK, VWADDU_WX }, // 10836
  { PseudoVWADDU_WX_M2, VWADDU_WX }, // 10837
  { PseudoVWADDU_WX_M2_MASK, VWADDU_WX }, // 10838
  { PseudoVWADDU_WX_M4, VWADDU_WX }, // 10839
  { PseudoVWADDU_WX_M4_MASK, VWADDU_WX }, // 10840
  { PseudoVWADDU_WX_MF2, VWADDU_WX }, // 10841
  { PseudoVWADDU_WX_MF2_MASK, VWADDU_WX }, // 10842
  { PseudoVWADDU_WX_MF4, VWADDU_WX }, // 10843
  { PseudoVWADDU_WX_MF4_MASK, VWADDU_WX }, // 10844
  { PseudoVWADDU_WX_MF8, VWADDU_WX }, // 10845
  { PseudoVWADDU_WX_MF8_MASK, VWADDU_WX }, // 10846
  { PseudoVWADD_VV_M1, VWADD_VV }, // 10847
  { PseudoVWADD_VV_M1_MASK, VWADD_VV }, // 10848
  { PseudoVWADD_VV_M2, VWADD_VV }, // 10849
  { PseudoVWADD_VV_M2_MASK, VWADD_VV }, // 10850
  { PseudoVWADD_VV_M4, VWADD_VV }, // 10851
  { PseudoVWADD_VV_M4_MASK, VWADD_VV }, // 10852
  { PseudoVWADD_VV_MF2, VWADD_VV }, // 10853
  { PseudoVWADD_VV_MF2_MASK, VWADD_VV }, // 10854
  { PseudoVWADD_VV_MF4, VWADD_VV }, // 10855
  { PseudoVWADD_VV_MF4_MASK, VWADD_VV }, // 10856
  { PseudoVWADD_VV_MF8, VWADD_VV }, // 10857
  { PseudoVWADD_VV_MF8_MASK, VWADD_VV }, // 10858
  { PseudoVWADD_VX_M1, VWADD_VX }, // 10859
  { PseudoVWADD_VX_M1_MASK, VWADD_VX }, // 10860
  { PseudoVWADD_VX_M2, VWADD_VX }, // 10861
  { PseudoVWADD_VX_M2_MASK, VWADD_VX }, // 10862
  { PseudoVWADD_VX_M4, VWADD_VX }, // 10863
  { PseudoVWADD_VX_M4_MASK, VWADD_VX }, // 10864
  { PseudoVWADD_VX_MF2, VWADD_VX }, // 10865
  { PseudoVWADD_VX_MF2_MASK, VWADD_VX }, // 10866
  { PseudoVWADD_VX_MF4, VWADD_VX }, // 10867
  { PseudoVWADD_VX_MF4_MASK, VWADD_VX }, // 10868
  { PseudoVWADD_VX_MF8, VWADD_VX }, // 10869
  { PseudoVWADD_VX_MF8_MASK, VWADD_VX }, // 10870
  { PseudoVWADD_WV_M1, VWADD_WV }, // 10871
  { PseudoVWADD_WV_M1_MASK, VWADD_WV }, // 10872
  { PseudoVWADD_WV_M1_MASK_TIED, VWADD_WV }, // 10873
  { PseudoVWADD_WV_M1_TIED, VWADD_WV }, // 10874
  { PseudoVWADD_WV_M2, VWADD_WV }, // 10875
  { PseudoVWADD_WV_M2_MASK, VWADD_WV }, // 10876
  { PseudoVWADD_WV_M2_MASK_TIED, VWADD_WV }, // 10877
  { PseudoVWADD_WV_M2_TIED, VWADD_WV }, // 10878
  { PseudoVWADD_WV_M4, VWADD_WV }, // 10879
  { PseudoVWADD_WV_M4_MASK, VWADD_WV }, // 10880
  { PseudoVWADD_WV_M4_MASK_TIED, VWADD_WV }, // 10881
  { PseudoVWADD_WV_M4_TIED, VWADD_WV }, // 10882
  { PseudoVWADD_WV_MF2, VWADD_WV }, // 10883
  { PseudoVWADD_WV_MF2_MASK, VWADD_WV }, // 10884
  { PseudoVWADD_WV_MF2_MASK_TIED, VWADD_WV }, // 10885
  { PseudoVWADD_WV_MF2_TIED, VWADD_WV }, // 10886
  { PseudoVWADD_WV_MF4, VWADD_WV }, // 10887
  { PseudoVWADD_WV_MF4_MASK, VWADD_WV }, // 10888
  { PseudoVWADD_WV_MF4_MASK_TIED, VWADD_WV }, // 10889
  { PseudoVWADD_WV_MF4_TIED, VWADD_WV }, // 10890
  { PseudoVWADD_WV_MF8, VWADD_WV }, // 10891
  { PseudoVWADD_WV_MF8_MASK, VWADD_WV }, // 10892
  { PseudoVWADD_WV_MF8_MASK_TIED, VWADD_WV }, // 10893
  { PseudoVWADD_WV_MF8_TIED, VWADD_WV }, // 10894
  { PseudoVWADD_WX_M1, VWADD_WX }, // 10895
  { PseudoVWADD_WX_M1_MASK, VWADD_WX }, // 10896
  { PseudoVWADD_WX_M2, VWADD_WX }, // 10897
  { PseudoVWADD_WX_M2_MASK, VWADD_WX }, // 10898
  { PseudoVWADD_WX_M4, VWADD_WX }, // 10899
  { PseudoVWADD_WX_M4_MASK, VWADD_WX }, // 10900
  { PseudoVWADD_WX_MF2, VWADD_WX }, // 10901
  { PseudoVWADD_WX_MF2_MASK, VWADD_WX }, // 10902
  { PseudoVWADD_WX_MF4, VWADD_WX }, // 10903
  { PseudoVWADD_WX_MF4_MASK, VWADD_WX }, // 10904
  { PseudoVWADD_WX_MF8, VWADD_WX }, // 10905
  { PseudoVWADD_WX_MF8_MASK, VWADD_WX }, // 10906
  { PseudoVWMACCSU_VV_M1, VWMACCSU_VV }, // 10907
  { PseudoVWMACCSU_VV_M1_MASK, VWMACCSU_VV }, // 10908
  { PseudoVWMACCSU_VV_M2, VWMACCSU_VV }, // 10909
  { PseudoVWMACCSU_VV_M2_MASK, VWMACCSU_VV }, // 10910
  { PseudoVWMACCSU_VV_M4, VWMACCSU_VV }, // 10911
  { PseudoVWMACCSU_VV_M4_MASK, VWMACCSU_VV }, // 10912
  { PseudoVWMACCSU_VV_MF2, VWMACCSU_VV }, // 10913
  { PseudoVWMACCSU_VV_MF2_MASK, VWMACCSU_VV }, // 10914
  { PseudoVWMACCSU_VV_MF4, VWMACCSU_VV }, // 10915
  { PseudoVWMACCSU_VV_MF4_MASK, VWMACCSU_VV }, // 10916
  { PseudoVWMACCSU_VV_MF8, VWMACCSU_VV }, // 10917
  { PseudoVWMACCSU_VV_MF8_MASK, VWMACCSU_VV }, // 10918
  { PseudoVWMACCSU_VX_M1, VWMACCSU_VX }, // 10919
  { PseudoVWMACCSU_VX_M1_MASK, VWMACCSU_VX }, // 10920
  { PseudoVWMACCSU_VX_M2, VWMACCSU_VX }, // 10921
  { PseudoVWMACCSU_VX_M2_MASK, VWMACCSU_VX }, // 10922
  { PseudoVWMACCSU_VX_M4, VWMACCSU_VX }, // 10923
  { PseudoVWMACCSU_VX_M4_MASK, VWMACCSU_VX }, // 10924
  { PseudoVWMACCSU_VX_MF2, VWMACCSU_VX }, // 10925
  { PseudoVWMACCSU_VX_MF2_MASK, VWMACCSU_VX }, // 10926
  { PseudoVWMACCSU_VX_MF4, VWMACCSU_VX }, // 10927
  { PseudoVWMACCSU_VX_MF4_MASK, VWMACCSU_VX }, // 10928
  { PseudoVWMACCSU_VX_MF8, VWMACCSU_VX }, // 10929
  { PseudoVWMACCSU_VX_MF8_MASK, VWMACCSU_VX }, // 10930
  { PseudoVWMACCUS_VX_M1, VWMACCUS_VX }, // 10931
  { PseudoVWMACCUS_VX_M1_MASK, VWMACCUS_VX }, // 10932
  { PseudoVWMACCUS_VX_M2, VWMACCUS_VX }, // 10933
  { PseudoVWMACCUS_VX_M2_MASK, VWMACCUS_VX }, // 10934
  { PseudoVWMACCUS_VX_M4, VWMACCUS_VX }, // 10935
  { PseudoVWMACCUS_VX_M4_MASK, VWMACCUS_VX }, // 10936
  { PseudoVWMACCUS_VX_MF2, VWMACCUS_VX }, // 10937
  { PseudoVWMACCUS_VX_MF2_MASK, VWMACCUS_VX }, // 10938
  { PseudoVWMACCUS_VX_MF4, VWMACCUS_VX }, // 10939
  { PseudoVWMACCUS_VX_MF4_MASK, VWMACCUS_VX }, // 10940
  { PseudoVWMACCUS_VX_MF8, VWMACCUS_VX }, // 10941
  { PseudoVWMACCUS_VX_MF8_MASK, VWMACCUS_VX }, // 10942
  { PseudoVWMACCU_VV_M1, VWMACCU_VV }, // 10943
  { PseudoVWMACCU_VV_M1_MASK, VWMACCU_VV }, // 10944
  { PseudoVWMACCU_VV_M2, VWMACCU_VV }, // 10945
  { PseudoVWMACCU_VV_M2_MASK, VWMACCU_VV }, // 10946
  { PseudoVWMACCU_VV_M4, VWMACCU_VV }, // 10947
  { PseudoVWMACCU_VV_M4_MASK, VWMACCU_VV }, // 10948
  { PseudoVWMACCU_VV_MF2, VWMACCU_VV }, // 10949
  { PseudoVWMACCU_VV_MF2_MASK, VWMACCU_VV }, // 10950
  { PseudoVWMACCU_VV_MF4, VWMACCU_VV }, // 10951
  { PseudoVWMACCU_VV_MF4_MASK, VWMACCU_VV }, // 10952
  { PseudoVWMACCU_VV_MF8, VWMACCU_VV }, // 10953
  { PseudoVWMACCU_VV_MF8_MASK, VWMACCU_VV }, // 10954
  { PseudoVWMACCU_VX_M1, VWMACCU_VX }, // 10955
  { PseudoVWMACCU_VX_M1_MASK, VWMACCU_VX }, // 10956
  { PseudoVWMACCU_VX_M2, VWMACCU_VX }, // 10957
  { PseudoVWMACCU_VX_M2_MASK, VWMACCU_VX }, // 10958
  { PseudoVWMACCU_VX_M4, VWMACCU_VX }, // 10959
  { PseudoVWMACCU_VX_M4_MASK, VWMACCU_VX }, // 10960
  { PseudoVWMACCU_VX_MF2, VWMACCU_VX }, // 10961
  { PseudoVWMACCU_VX_MF2_MASK, VWMACCU_VX }, // 10962
  { PseudoVWMACCU_VX_MF4, VWMACCU_VX }, // 10963
  { PseudoVWMACCU_VX_MF4_MASK, VWMACCU_VX }, // 10964
  { PseudoVWMACCU_VX_MF8, VWMACCU_VX }, // 10965
  { PseudoVWMACCU_VX_MF8_MASK, VWMACCU_VX }, // 10966
  { PseudoVWMACC_VV_M1, VWMACC_VV }, // 10967
  { PseudoVWMACC_VV_M1_MASK, VWMACC_VV }, // 10968
  { PseudoVWMACC_VV_M2, VWMACC_VV }, // 10969
  { PseudoVWMACC_VV_M2_MASK, VWMACC_VV }, // 10970
  { PseudoVWMACC_VV_M4, VWMACC_VV }, // 10971
  { PseudoVWMACC_VV_M4_MASK, VWMACC_VV }, // 10972
  { PseudoVWMACC_VV_MF2, VWMACC_VV }, // 10973
  { PseudoVWMACC_VV_MF2_MASK, VWMACC_VV }, // 10974
  { PseudoVWMACC_VV_MF4, VWMACC_VV }, // 10975
  { PseudoVWMACC_VV_MF4_MASK, VWMACC_VV }, // 10976
  { PseudoVWMACC_VV_MF8, VWMACC_VV }, // 10977
  { PseudoVWMACC_VV_MF8_MASK, VWMACC_VV }, // 10978
  { PseudoVWMACC_VX_M1, VWMACC_VX }, // 10979
  { PseudoVWMACC_VX_M1_MASK, VWMACC_VX }, // 10980
  { PseudoVWMACC_VX_M2, VWMACC_VX }, // 10981
  { PseudoVWMACC_VX_M2_MASK, VWMACC_VX }, // 10982
  { PseudoVWMACC_VX_M4, VWMACC_VX }, // 10983
  { PseudoVWMACC_VX_M4_MASK, VWMACC_VX }, // 10984
  { PseudoVWMACC_VX_MF2, VWMACC_VX }, // 10985
  { PseudoVWMACC_VX_MF2_MASK, VWMACC_VX }, // 10986
  { PseudoVWMACC_VX_MF4, VWMACC_VX }, // 10987
  { PseudoVWMACC_VX_MF4_MASK, VWMACC_VX }, // 10988
  { PseudoVWMACC_VX_MF8, VWMACC_VX }, // 10989
  { PseudoVWMACC_VX_MF8_MASK, VWMACC_VX }, // 10990
  { PseudoVWMULSU_VV_M1, VWMULSU_VV }, // 10991
  { PseudoVWMULSU_VV_M1_MASK, VWMULSU_VV }, // 10992
  { PseudoVWMULSU_VV_M2, VWMULSU_VV }, // 10993
  { PseudoVWMULSU_VV_M2_MASK, VWMULSU_VV }, // 10994
  { PseudoVWMULSU_VV_M4, VWMULSU_VV }, // 10995
  { PseudoVWMULSU_VV_M4_MASK, VWMULSU_VV }, // 10996
  { PseudoVWMULSU_VV_MF2, VWMULSU_VV }, // 10997
  { PseudoVWMULSU_VV_MF2_MASK, VWMULSU_VV }, // 10998
  { PseudoVWMULSU_VV_MF4, VWMULSU_VV }, // 10999
  { PseudoVWMULSU_VV_MF4_MASK, VWMULSU_VV }, // 11000
  { PseudoVWMULSU_VV_MF8, VWMULSU_VV }, // 11001
  { PseudoVWMULSU_VV_MF8_MASK, VWMULSU_VV }, // 11002
  { PseudoVWMULSU_VX_M1, VWMULSU_VX }, // 11003
  { PseudoVWMULSU_VX_M1_MASK, VWMULSU_VX }, // 11004
  { PseudoVWMULSU_VX_M2, VWMULSU_VX }, // 11005
  { PseudoVWMULSU_VX_M2_MASK, VWMULSU_VX }, // 11006
  { PseudoVWMULSU_VX_M4, VWMULSU_VX }, // 11007
  { PseudoVWMULSU_VX_M4_MASK, VWMULSU_VX }, // 11008
  { PseudoVWMULSU_VX_MF2, VWMULSU_VX }, // 11009
  { PseudoVWMULSU_VX_MF2_MASK, VWMULSU_VX }, // 11010
  { PseudoVWMULSU_VX_MF4, VWMULSU_VX }, // 11011
  { PseudoVWMULSU_VX_MF4_MASK, VWMULSU_VX }, // 11012
  { PseudoVWMULSU_VX_MF8, VWMULSU_VX }, // 11013
  { PseudoVWMULSU_VX_MF8_MASK, VWMULSU_VX }, // 11014
  { PseudoVWMULU_VV_M1, VWMULU_VV }, // 11015
  { PseudoVWMULU_VV_M1_MASK, VWMULU_VV }, // 11016
  { PseudoVWMULU_VV_M2, VWMULU_VV }, // 11017
  { PseudoVWMULU_VV_M2_MASK, VWMULU_VV }, // 11018
  { PseudoVWMULU_VV_M4, VWMULU_VV }, // 11019
  { PseudoVWMULU_VV_M4_MASK, VWMULU_VV }, // 11020
  { PseudoVWMULU_VV_MF2, VWMULU_VV }, // 11021
  { PseudoVWMULU_VV_MF2_MASK, VWMULU_VV }, // 11022
  { PseudoVWMULU_VV_MF4, VWMULU_VV }, // 11023
  { PseudoVWMULU_VV_MF4_MASK, VWMULU_VV }, // 11024
  { PseudoVWMULU_VV_MF8, VWMULU_VV }, // 11025
  { PseudoVWMULU_VV_MF8_MASK, VWMULU_VV }, // 11026
  { PseudoVWMULU_VX_M1, VWMULU_VX }, // 11027
  { PseudoVWMULU_VX_M1_MASK, VWMULU_VX }, // 11028
  { PseudoVWMULU_VX_M2, VWMULU_VX }, // 11029
  { PseudoVWMULU_VX_M2_MASK, VWMULU_VX }, // 11030
  { PseudoVWMULU_VX_M4, VWMULU_VX }, // 11031
  { PseudoVWMULU_VX_M4_MASK, VWMULU_VX }, // 11032
  { PseudoVWMULU_VX_MF2, VWMULU_VX }, // 11033
  { PseudoVWMULU_VX_MF2_MASK, VWMULU_VX }, // 11034
  { PseudoVWMULU_VX_MF4, VWMULU_VX }, // 11035
  { PseudoVWMULU_VX_MF4_MASK, VWMULU_VX }, // 11036
  { PseudoVWMULU_VX_MF8, VWMULU_VX }, // 11037
  { PseudoVWMULU_VX_MF8_MASK, VWMULU_VX }, // 11038
  { PseudoVWMUL_VV_M1, VWMUL_VV }, // 11039
  { PseudoVWMUL_VV_M1_MASK, VWMUL_VV }, // 11040
  { PseudoVWMUL_VV_M2, VWMUL_VV }, // 11041
  { PseudoVWMUL_VV_M2_MASK, VWMUL_VV }, // 11042
  { PseudoVWMUL_VV_M4, VWMUL_VV }, // 11043
  { PseudoVWMUL_VV_M4_MASK, VWMUL_VV }, // 11044
  { PseudoVWMUL_VV_MF2, VWMUL_VV }, // 11045
  { PseudoVWMUL_VV_MF2_MASK, VWMUL_VV }, // 11046
  { PseudoVWMUL_VV_MF4, VWMUL_VV }, // 11047
  { PseudoVWMUL_VV_MF4_MASK, VWMUL_VV }, // 11048
  { PseudoVWMUL_VV_MF8, VWMUL_VV }, // 11049
  { PseudoVWMUL_VV_MF8_MASK, VWMUL_VV }, // 11050
  { PseudoVWMUL_VX_M1, VWMUL_VX }, // 11051
  { PseudoVWMUL_VX_M1_MASK, VWMUL_VX }, // 11052
  { PseudoVWMUL_VX_M2, VWMUL_VX }, // 11053
  { PseudoVWMUL_VX_M2_MASK, VWMUL_VX }, // 11054
  { PseudoVWMUL_VX_M4, VWMUL_VX }, // 11055
  { PseudoVWMUL_VX_M4_MASK, VWMUL_VX }, // 11056
  { PseudoVWMUL_VX_MF2, VWMUL_VX }, // 11057
  { PseudoVWMUL_VX_MF2_MASK, VWMUL_VX }, // 11058
  { PseudoVWMUL_VX_MF4, VWMUL_VX }, // 11059
  { PseudoVWMUL_VX_MF4_MASK, VWMUL_VX }, // 11060
  { PseudoVWMUL_VX_MF8, VWMUL_VX }, // 11061
  { PseudoVWMUL_VX_MF8_MASK, VWMUL_VX }, // 11062
  { PseudoVWREDSUMU_VS_M1_E16, VWREDSUMU_VS }, // 11063
  { PseudoVWREDSUMU_VS_M1_E16_MASK, VWREDSUMU_VS }, // 11064
  { PseudoVWREDSUMU_VS_M1_E32, VWREDSUMU_VS }, // 11065
  { PseudoVWREDSUMU_VS_M1_E32_MASK, VWREDSUMU_VS }, // 11066
  { PseudoVWREDSUMU_VS_M1_E8, VWREDSUMU_VS }, // 11067
  { PseudoVWREDSUMU_VS_M1_E8_MASK, VWREDSUMU_VS }, // 11068
  { PseudoVWREDSUMU_VS_M2_E16, VWREDSUMU_VS }, // 11069
  { PseudoVWREDSUMU_VS_M2_E16_MASK, VWREDSUMU_VS }, // 11070
  { PseudoVWREDSUMU_VS_M2_E32, VWREDSUMU_VS }, // 11071
  { PseudoVWREDSUMU_VS_M2_E32_MASK, VWREDSUMU_VS }, // 11072
  { PseudoVWREDSUMU_VS_M2_E8, VWREDSUMU_VS }, // 11073
  { PseudoVWREDSUMU_VS_M2_E8_MASK, VWREDSUMU_VS }, // 11074
  { PseudoVWREDSUMU_VS_M4_E16, VWREDSUMU_VS }, // 11075
  { PseudoVWREDSUMU_VS_M4_E16_MASK, VWREDSUMU_VS }, // 11076
  { PseudoVWREDSUMU_VS_M4_E32, VWREDSUMU_VS }, // 11077
  { PseudoVWREDSUMU_VS_M4_E32_MASK, VWREDSUMU_VS }, // 11078
  { PseudoVWREDSUMU_VS_M4_E8, VWREDSUMU_VS }, // 11079
  { PseudoVWREDSUMU_VS_M4_E8_MASK, VWREDSUMU_VS }, // 11080
  { PseudoVWREDSUMU_VS_M8_E16, VWREDSUMU_VS }, // 11081
  { PseudoVWREDSUMU_VS_M8_E16_MASK, VWREDSUMU_VS }, // 11082
  { PseudoVWREDSUMU_VS_M8_E32, VWREDSUMU_VS }, // 11083
  { PseudoVWREDSUMU_VS_M8_E32_MASK, VWREDSUMU_VS }, // 11084
  { PseudoVWREDSUMU_VS_M8_E8, VWREDSUMU_VS }, // 11085
  { PseudoVWREDSUMU_VS_M8_E8_MASK, VWREDSUMU_VS }, // 11086
  { PseudoVWREDSUMU_VS_MF2_E16, VWREDSUMU_VS }, // 11087
  { PseudoVWREDSUMU_VS_MF2_E16_MASK, VWREDSUMU_VS }, // 11088
  { PseudoVWREDSUMU_VS_MF2_E32, VWREDSUMU_VS }, // 11089
  { PseudoVWREDSUMU_VS_MF2_E32_MASK, VWREDSUMU_VS }, // 11090
  { PseudoVWREDSUMU_VS_MF2_E8, VWREDSUMU_VS }, // 11091
  { PseudoVWREDSUMU_VS_MF2_E8_MASK, VWREDSUMU_VS }, // 11092
  { PseudoVWREDSUMU_VS_MF4_E16, VWREDSUMU_VS }, // 11093
  { PseudoVWREDSUMU_VS_MF4_E16_MASK, VWREDSUMU_VS }, // 11094
  { PseudoVWREDSUMU_VS_MF4_E8, VWREDSUMU_VS }, // 11095
  { PseudoVWREDSUMU_VS_MF4_E8_MASK, VWREDSUMU_VS }, // 11096
  { PseudoVWREDSUMU_VS_MF8_E8, VWREDSUMU_VS }, // 11097
  { PseudoVWREDSUMU_VS_MF8_E8_MASK, VWREDSUMU_VS }, // 11098
  { PseudoVWREDSUM_VS_M1_E16, VWREDSUM_VS }, // 11099
  { PseudoVWREDSUM_VS_M1_E16_MASK, VWREDSUM_VS }, // 11100
  { PseudoVWREDSUM_VS_M1_E32, VWREDSUM_VS }, // 11101
  { PseudoVWREDSUM_VS_M1_E32_MASK, VWREDSUM_VS }, // 11102
  { PseudoVWREDSUM_VS_M1_E8, VWREDSUM_VS }, // 11103
  { PseudoVWREDSUM_VS_M1_E8_MASK, VWREDSUM_VS }, // 11104
  { PseudoVWREDSUM_VS_M2_E16, VWREDSUM_VS }, // 11105
  { PseudoVWREDSUM_VS_M2_E16_MASK, VWREDSUM_VS }, // 11106
  { PseudoVWREDSUM_VS_M2_E32, VWREDSUM_VS }, // 11107
  { PseudoVWREDSUM_VS_M2_E32_MASK, VWREDSUM_VS }, // 11108
  { PseudoVWREDSUM_VS_M2_E8, VWREDSUM_VS }, // 11109
  { PseudoVWREDSUM_VS_M2_E8_MASK, VWREDSUM_VS }, // 11110
  { PseudoVWREDSUM_VS_M4_E16, VWREDSUM_VS }, // 11111
  { PseudoVWREDSUM_VS_M4_E16_MASK, VWREDSUM_VS }, // 11112
  { PseudoVWREDSUM_VS_M4_E32, VWREDSUM_VS }, // 11113
  { PseudoVWREDSUM_VS_M4_E32_MASK, VWREDSUM_VS }, // 11114
  { PseudoVWREDSUM_VS_M4_E8, VWREDSUM_VS }, // 11115
  { PseudoVWREDSUM_VS_M4_E8_MASK, VWREDSUM_VS }, // 11116
  { PseudoVWREDSUM_VS_M8_E16, VWREDSUM_VS }, // 11117
  { PseudoVWREDSUM_VS_M8_E16_MASK, VWREDSUM_VS }, // 11118
  { PseudoVWREDSUM_VS_M8_E32, VWREDSUM_VS }, // 11119
  { PseudoVWREDSUM_VS_M8_E32_MASK, VWREDSUM_VS }, // 11120
  { PseudoVWREDSUM_VS_M8_E8, VWREDSUM_VS }, // 11121
  { PseudoVWREDSUM_VS_M8_E8_MASK, VWREDSUM_VS }, // 11122
  { PseudoVWREDSUM_VS_MF2_E16, VWREDSUM_VS }, // 11123
  { PseudoVWREDSUM_VS_MF2_E16_MASK, VWREDSUM_VS }, // 11124
  { PseudoVWREDSUM_VS_MF2_E32, VWREDSUM_VS }, // 11125
  { PseudoVWREDSUM_VS_MF2_E32_MASK, VWREDSUM_VS }, // 11126
  { PseudoVWREDSUM_VS_MF2_E8, VWREDSUM_VS }, // 11127
  { PseudoVWREDSUM_VS_MF2_E8_MASK, VWREDSUM_VS }, // 11128
  { PseudoVWREDSUM_VS_MF4_E16, VWREDSUM_VS }, // 11129
  { PseudoVWREDSUM_VS_MF4_E16_MASK, VWREDSUM_VS }, // 11130
  { PseudoVWREDSUM_VS_MF4_E8, VWREDSUM_VS }, // 11131
  { PseudoVWREDSUM_VS_MF4_E8_MASK, VWREDSUM_VS }, // 11132
  { PseudoVWREDSUM_VS_MF8_E8, VWREDSUM_VS }, // 11133
  { PseudoVWREDSUM_VS_MF8_E8_MASK, VWREDSUM_VS }, // 11134
  { PseudoVWSLL_VI_M1, VWSLL_VI }, // 11135
  { PseudoVWSLL_VI_M1_MASK, VWSLL_VI }, // 11136
  { PseudoVWSLL_VI_M2, VWSLL_VI }, // 11137
  { PseudoVWSLL_VI_M2_MASK, VWSLL_VI }, // 11138
  { PseudoVWSLL_VI_M4, VWSLL_VI }, // 11139
  { PseudoVWSLL_VI_M4_MASK, VWSLL_VI }, // 11140
  { PseudoVWSLL_VI_MF2, VWSLL_VI }, // 11141
  { PseudoVWSLL_VI_MF2_MASK, VWSLL_VI }, // 11142
  { PseudoVWSLL_VI_MF4, VWSLL_VI }, // 11143
  { PseudoVWSLL_VI_MF4_MASK, VWSLL_VI }, // 11144
  { PseudoVWSLL_VI_MF8, VWSLL_VI }, // 11145
  { PseudoVWSLL_VI_MF8_MASK, VWSLL_VI }, // 11146
  { PseudoVWSLL_VV_M1, VWSLL_VV }, // 11147
  { PseudoVWSLL_VV_M1_MASK, VWSLL_VV }, // 11148
  { PseudoVWSLL_VV_M2, VWSLL_VV }, // 11149
  { PseudoVWSLL_VV_M2_MASK, VWSLL_VV }, // 11150
  { PseudoVWSLL_VV_M4, VWSLL_VV }, // 11151
  { PseudoVWSLL_VV_M4_MASK, VWSLL_VV }, // 11152
  { PseudoVWSLL_VV_MF2, VWSLL_VV }, // 11153
  { PseudoVWSLL_VV_MF2_MASK, VWSLL_VV }, // 11154
  { PseudoVWSLL_VV_MF4, VWSLL_VV }, // 11155
  { PseudoVWSLL_VV_MF4_MASK, VWSLL_VV }, // 11156
  { PseudoVWSLL_VV_MF8, VWSLL_VV }, // 11157
  { PseudoVWSLL_VV_MF8_MASK, VWSLL_VV }, // 11158
  { PseudoVWSLL_VX_M1, VWSLL_VX }, // 11159
  { PseudoVWSLL_VX_M1_MASK, VWSLL_VX }, // 11160
  { PseudoVWSLL_VX_M2, VWSLL_VX }, // 11161
  { PseudoVWSLL_VX_M2_MASK, VWSLL_VX }, // 11162
  { PseudoVWSLL_VX_M4, VWSLL_VX }, // 11163
  { PseudoVWSLL_VX_M4_MASK, VWSLL_VX }, // 11164
  { PseudoVWSLL_VX_MF2, VWSLL_VX }, // 11165
  { PseudoVWSLL_VX_MF2_MASK, VWSLL_VX }, // 11166
  { PseudoVWSLL_VX_MF4, VWSLL_VX }, // 11167
  { PseudoVWSLL_VX_MF4_MASK, VWSLL_VX }, // 11168
  { PseudoVWSLL_VX_MF8, VWSLL_VX }, // 11169
  { PseudoVWSLL_VX_MF8_MASK, VWSLL_VX }, // 11170
  { PseudoVWSUBU_VV_M1, VWSUBU_VV }, // 11171
  { PseudoVWSUBU_VV_M1_MASK, VWSUBU_VV }, // 11172
  { PseudoVWSUBU_VV_M2, VWSUBU_VV }, // 11173
  { PseudoVWSUBU_VV_M2_MASK, VWSUBU_VV }, // 11174
  { PseudoVWSUBU_VV_M4, VWSUBU_VV }, // 11175
  { PseudoVWSUBU_VV_M4_MASK, VWSUBU_VV }, // 11176
  { PseudoVWSUBU_VV_MF2, VWSUBU_VV }, // 11177
  { PseudoVWSUBU_VV_MF2_MASK, VWSUBU_VV }, // 11178
  { PseudoVWSUBU_VV_MF4, VWSUBU_VV }, // 11179
  { PseudoVWSUBU_VV_MF4_MASK, VWSUBU_VV }, // 11180
  { PseudoVWSUBU_VV_MF8, VWSUBU_VV }, // 11181
  { PseudoVWSUBU_VV_MF8_MASK, VWSUBU_VV }, // 11182
  { PseudoVWSUBU_VX_M1, VWSUBU_VX }, // 11183
  { PseudoVWSUBU_VX_M1_MASK, VWSUBU_VX }, // 11184
  { PseudoVWSUBU_VX_M2, VWSUBU_VX }, // 11185
  { PseudoVWSUBU_VX_M2_MASK, VWSUBU_VX }, // 11186
  { PseudoVWSUBU_VX_M4, VWSUBU_VX }, // 11187
  { PseudoVWSUBU_VX_M4_MASK, VWSUBU_VX }, // 11188
  { PseudoVWSUBU_VX_MF2, VWSUBU_VX }, // 11189
  { PseudoVWSUBU_VX_MF2_MASK, VWSUBU_VX }, // 11190
  { PseudoVWSUBU_VX_MF4, VWSUBU_VX }, // 11191
  { PseudoVWSUBU_VX_MF4_MASK, VWSUBU_VX }, // 11192
  { PseudoVWSUBU_VX_MF8, VWSUBU_VX }, // 11193
  { PseudoVWSUBU_VX_MF8_MASK, VWSUBU_VX }, // 11194
  { PseudoVWSUBU_WV_M1, VWSUBU_WV }, // 11195
  { PseudoVWSUBU_WV_M1_MASK, VWSUBU_WV }, // 11196
  { PseudoVWSUBU_WV_M1_MASK_TIED, VWSUBU_WV }, // 11197
  { PseudoVWSUBU_WV_M1_TIED, VWSUBU_WV }, // 11198
  { PseudoVWSUBU_WV_M2, VWSUBU_WV }, // 11199
  { PseudoVWSUBU_WV_M2_MASK, VWSUBU_WV }, // 11200
  { PseudoVWSUBU_WV_M2_MASK_TIED, VWSUBU_WV }, // 11201
  { PseudoVWSUBU_WV_M2_TIED, VWSUBU_WV }, // 11202
  { PseudoVWSUBU_WV_M4, VWSUBU_WV }, // 11203
  { PseudoVWSUBU_WV_M4_MASK, VWSUBU_WV }, // 11204
  { PseudoVWSUBU_WV_M4_MASK_TIED, VWSUBU_WV }, // 11205
  { PseudoVWSUBU_WV_M4_TIED, VWSUBU_WV }, // 11206
  { PseudoVWSUBU_WV_MF2, VWSUBU_WV }, // 11207
  { PseudoVWSUBU_WV_MF2_MASK, VWSUBU_WV }, // 11208
  { PseudoVWSUBU_WV_MF2_MASK_TIED, VWSUBU_WV }, // 11209
  { PseudoVWSUBU_WV_MF2_TIED, VWSUBU_WV }, // 11210
  { PseudoVWSUBU_WV_MF4, VWSUBU_WV }, // 11211
  { PseudoVWSUBU_WV_MF4_MASK, VWSUBU_WV }, // 11212
  { PseudoVWSUBU_WV_MF4_MASK_TIED, VWSUBU_WV }, // 11213
  { PseudoVWSUBU_WV_MF4_TIED, VWSUBU_WV }, // 11214
  { PseudoVWSUBU_WV_MF8, VWSUBU_WV }, // 11215
  { PseudoVWSUBU_WV_MF8_MASK, VWSUBU_WV }, // 11216
  { PseudoVWSUBU_WV_MF8_MASK_TIED, VWSUBU_WV }, // 11217
  { PseudoVWSUBU_WV_MF8_TIED, VWSUBU_WV }, // 11218
  { PseudoVWSUBU_WX_M1, VWSUBU_WX }, // 11219
  { PseudoVWSUBU_WX_M1_MASK, VWSUBU_WX }, // 11220
  { PseudoVWSUBU_WX_M2, VWSUBU_WX }, // 11221
  { PseudoVWSUBU_WX_M2_MASK, VWSUBU_WX }, // 11222
  { PseudoVWSUBU_WX_M4, VWSUBU_WX }, // 11223
  { PseudoVWSUBU_WX_M4_MASK, VWSUBU_WX }, // 11224
  { PseudoVWSUBU_WX_MF2, VWSUBU_WX }, // 11225
  { PseudoVWSUBU_WX_MF2_MASK, VWSUBU_WX }, // 11226
  { PseudoVWSUBU_WX_MF4, VWSUBU_WX }, // 11227
  { PseudoVWSUBU_WX_MF4_MASK, VWSUBU_WX }, // 11228
  { PseudoVWSUBU_WX_MF8, VWSUBU_WX }, // 11229
  { PseudoVWSUBU_WX_MF8_MASK, VWSUBU_WX }, // 11230
  { PseudoVWSUB_VV_M1, VWSUB_VV }, // 11231
  { PseudoVWSUB_VV_M1_MASK, VWSUB_VV }, // 11232
  { PseudoVWSUB_VV_M2, VWSUB_VV }, // 11233
  { PseudoVWSUB_VV_M2_MASK, VWSUB_VV }, // 11234
  { PseudoVWSUB_VV_M4, VWSUB_VV }, // 11235
  { PseudoVWSUB_VV_M4_MASK, VWSUB_VV }, // 11236
  { PseudoVWSUB_VV_MF2, VWSUB_VV }, // 11237
  { PseudoVWSUB_VV_MF2_MASK, VWSUB_VV }, // 11238
  { PseudoVWSUB_VV_MF4, VWSUB_VV }, // 11239
  { PseudoVWSUB_VV_MF4_MASK, VWSUB_VV }, // 11240
  { PseudoVWSUB_VV_MF8, VWSUB_VV }, // 11241
  { PseudoVWSUB_VV_MF8_MASK, VWSUB_VV }, // 11242
  { PseudoVWSUB_VX_M1, VWSUB_VX }, // 11243
  { PseudoVWSUB_VX_M1_MASK, VWSUB_VX }, // 11244
  { PseudoVWSUB_VX_M2, VWSUB_VX }, // 11245
  { PseudoVWSUB_VX_M2_MASK, VWSUB_VX }, // 11246
  { PseudoVWSUB_VX_M4, VWSUB_VX }, // 11247
  { PseudoVWSUB_VX_M4_MASK, VWSUB_VX }, // 11248
  { PseudoVWSUB_VX_MF2, VWSUB_VX }, // 11249
  { PseudoVWSUB_VX_MF2_MASK, VWSUB_VX }, // 11250
  { PseudoVWSUB_VX_MF4, VWSUB_VX }, // 11251
  { PseudoVWSUB_VX_MF4_MASK, VWSUB_VX }, // 11252
  { PseudoVWSUB_VX_MF8, VWSUB_VX }, // 11253
  { PseudoVWSUB_VX_MF8_MASK, VWSUB_VX }, // 11254
  { PseudoVWSUB_WV_M1, VWSUB_WV }, // 11255
  { PseudoVWSUB_WV_M1_MASK, VWSUB_WV }, // 11256
  { PseudoVWSUB_WV_M1_MASK_TIED, VWSUB_WV }, // 11257
  { PseudoVWSUB_WV_M1_TIED, VWSUB_WV }, // 11258
  { PseudoVWSUB_WV_M2, VWSUB_WV }, // 11259
  { PseudoVWSUB_WV_M2_MASK, VWSUB_WV }, // 11260
  { PseudoVWSUB_WV_M2_MASK_TIED, VWSUB_WV }, // 11261
  { PseudoVWSUB_WV_M2_TIED, VWSUB_WV }, // 11262
  { PseudoVWSUB_WV_M4, VWSUB_WV }, // 11263
  { PseudoVWSUB_WV_M4_MASK, VWSUB_WV }, // 11264
  { PseudoVWSUB_WV_M4_MASK_TIED, VWSUB_WV }, // 11265
  { PseudoVWSUB_WV_M4_TIED, VWSUB_WV }, // 11266
  { PseudoVWSUB_WV_MF2, VWSUB_WV }, // 11267
  { PseudoVWSUB_WV_MF2_MASK, VWSUB_WV }, // 11268
  { PseudoVWSUB_WV_MF2_MASK_TIED, VWSUB_WV }, // 11269
  { PseudoVWSUB_WV_MF2_TIED, VWSUB_WV }, // 11270
  { PseudoVWSUB_WV_MF4, VWSUB_WV }, // 11271
  { PseudoVWSUB_WV_MF4_MASK, VWSUB_WV }, // 11272
  { PseudoVWSUB_WV_MF4_MASK_TIED, VWSUB_WV }, // 11273
  { PseudoVWSUB_WV_MF4_TIED, VWSUB_WV }, // 11274
  { PseudoVWSUB_WV_MF8, VWSUB_WV }, // 11275
  { PseudoVWSUB_WV_MF8_MASK, VWSUB_WV }, // 11276
  { PseudoVWSUB_WV_MF8_MASK_TIED, VWSUB_WV }, // 11277
  { PseudoVWSUB_WV_MF8_TIED, VWSUB_WV }, // 11278
  { PseudoVWSUB_WX_M1, VWSUB_WX }, // 11279
  { PseudoVWSUB_WX_M1_MASK, VWSUB_WX }, // 11280
  { PseudoVWSUB_WX_M2, VWSUB_WX }, // 11281
  { PseudoVWSUB_WX_M2_MASK, VWSUB_WX }, // 11282
  { PseudoVWSUB_WX_M4, VWSUB_WX }, // 11283
  { PseudoVWSUB_WX_M4_MASK, VWSUB_WX }, // 11284
  { PseudoVWSUB_WX_MF2, VWSUB_WX }, // 11285
  { PseudoVWSUB_WX_MF2_MASK, VWSUB_WX }, // 11286
  { PseudoVWSUB_WX_MF4, VWSUB_WX }, // 11287
  { PseudoVWSUB_WX_MF4_MASK, VWSUB_WX }, // 11288
  { PseudoVWSUB_WX_MF8, VWSUB_WX }, // 11289
  { PseudoVWSUB_WX_MF8_MASK, VWSUB_WX }, // 11290
  { PseudoVXOR_VI_M1, VXOR_VI }, // 11291
  { PseudoVXOR_VI_M1_MASK, VXOR_VI }, // 11292
  { PseudoVXOR_VI_M2, VXOR_VI }, // 11293
  { PseudoVXOR_VI_M2_MASK, VXOR_VI }, // 11294
  { PseudoVXOR_VI_M4, VXOR_VI }, // 11295
  { PseudoVXOR_VI_M4_MASK, VXOR_VI }, // 11296
  { PseudoVXOR_VI_M8, VXOR_VI }, // 11297
  { PseudoVXOR_VI_M8_MASK, VXOR_VI }, // 11298
  { PseudoVXOR_VI_MF2, VXOR_VI }, // 11299
  { PseudoVXOR_VI_MF2_MASK, VXOR_VI }, // 11300
  { PseudoVXOR_VI_MF4, VXOR_VI }, // 11301
  { PseudoVXOR_VI_MF4_MASK, VXOR_VI }, // 11302
  { PseudoVXOR_VI_MF8, VXOR_VI }, // 11303
  { PseudoVXOR_VI_MF8_MASK, VXOR_VI }, // 11304
  { PseudoVXOR_VV_M1, VXOR_VV }, // 11305
  { PseudoVXOR_VV_M1_MASK, VXOR_VV }, // 11306
  { PseudoVXOR_VV_M2, VXOR_VV }, // 11307
  { PseudoVXOR_VV_M2_MASK, VXOR_VV }, // 11308
  { PseudoVXOR_VV_M4, VXOR_VV }, // 11309
  { PseudoVXOR_VV_M4_MASK, VXOR_VV }, // 11310
  { PseudoVXOR_VV_M8, VXOR_VV }, // 11311
  { PseudoVXOR_VV_M8_MASK, VXOR_VV }, // 11312
  { PseudoVXOR_VV_MF2, VXOR_VV }, // 11313
  { PseudoVXOR_VV_MF2_MASK, VXOR_VV }, // 11314
  { PseudoVXOR_VV_MF4, VXOR_VV }, // 11315
  { PseudoVXOR_VV_MF4_MASK, VXOR_VV }, // 11316
  { PseudoVXOR_VV_MF8, VXOR_VV }, // 11317
  { PseudoVXOR_VV_MF8_MASK, VXOR_VV }, // 11318
  { PseudoVXOR_VX_M1, VXOR_VX }, // 11319
  { PseudoVXOR_VX_M1_MASK, VXOR_VX }, // 11320
  { PseudoVXOR_VX_M2, VXOR_VX }, // 11321
  { PseudoVXOR_VX_M2_MASK, VXOR_VX }, // 11322
  { PseudoVXOR_VX_M4, VXOR_VX }, // 11323
  { PseudoVXOR_VX_M4_MASK, VXOR_VX }, // 11324
  { PseudoVXOR_VX_M8, VXOR_VX }, // 11325
  { PseudoVXOR_VX_M8_MASK, VXOR_VX }, // 11326
  { PseudoVXOR_VX_MF2, VXOR_VX }, // 11327
  { PseudoVXOR_VX_MF2_MASK, VXOR_VX }, // 11328
  { PseudoVXOR_VX_MF4, VXOR_VX }, // 11329
  { PseudoVXOR_VX_MF4_MASK, VXOR_VX }, // 11330
  { PseudoVXOR_VX_MF8, VXOR_VX }, // 11331
  { PseudoVXOR_VX_MF8_MASK, VXOR_VX }, // 11332
  { PseudoVZEXT_VF2_M1, VZEXT_VF2 }, // 11333
  { PseudoVZEXT_VF2_M1_MASK, VZEXT_VF2 }, // 11334
  { PseudoVZEXT_VF2_M2, VZEXT_VF2 }, // 11335
  { PseudoVZEXT_VF2_M2_MASK, VZEXT_VF2 }, // 11336
  { PseudoVZEXT_VF2_M4, VZEXT_VF2 }, // 11337
  { PseudoVZEXT_VF2_M4_MASK, VZEXT_VF2 }, // 11338
  { PseudoVZEXT_VF2_M8, VZEXT_VF2 }, // 11339
  { PseudoVZEXT_VF2_M8_MASK, VZEXT_VF2 }, // 11340
  { PseudoVZEXT_VF2_MF2, VZEXT_VF2 }, // 11341
  { PseudoVZEXT_VF2_MF2_MASK, VZEXT_VF2 }, // 11342
  { PseudoVZEXT_VF2_MF4, VZEXT_VF2 }, // 11343
  { PseudoVZEXT_VF2_MF4_MASK, VZEXT_VF2 }, // 11344
  { PseudoVZEXT_VF4_M1, VZEXT_VF4 }, // 11345
  { PseudoVZEXT_VF4_M1_MASK, VZEXT_VF4 }, // 11346
  { PseudoVZEXT_VF4_M2, VZEXT_VF4 }, // 11347
  { PseudoVZEXT_VF4_M2_MASK, VZEXT_VF4 }, // 11348
  { PseudoVZEXT_VF4_M4, VZEXT_VF4 }, // 11349
  { PseudoVZEXT_VF4_M4_MASK, VZEXT_VF4 }, // 11350
  { PseudoVZEXT_VF4_M8, VZEXT_VF4 }, // 11351
  { PseudoVZEXT_VF4_M8_MASK, VZEXT_VF4 }, // 11352
  { PseudoVZEXT_VF4_MF2, VZEXT_VF4 }, // 11353
  { PseudoVZEXT_VF4_MF2_MASK, VZEXT_VF4 }, // 11354
  { PseudoVZEXT_VF8_M1, VZEXT_VF8 }, // 11355
  { PseudoVZEXT_VF8_M1_MASK, VZEXT_VF8 }, // 11356
  { PseudoVZEXT_VF8_M2, VZEXT_VF8 }, // 11357
  { PseudoVZEXT_VF8_M2_MASK, VZEXT_VF8 }, // 11358
  { PseudoVZEXT_VF8_M4, VZEXT_VF8 }, // 11359
  { PseudoVZEXT_VF8_M4_MASK, VZEXT_VF8 }, // 11360
  { PseudoVZEXT_VF8_M8, VZEXT_VF8 }, // 11361
  { PseudoVZEXT_VF8_M8_MASK, VZEXT_VF8 }, // 11362
 };

const PseudoInfo *getPseudoInfo(unsigned Pseudo) {
  if ((Pseudo < PseudoTHVdotVMAQASU_VV_M1) ||
      (Pseudo > PseudoVZEXT_VF8_M8_MASK))
    return nullptr;

  struct KeyType {
    unsigned Pseudo;
  };
  KeyType Key = {Pseudo};
  struct Comp {
    bool operator()(const PseudoInfo &LHS, const KeyType &RHS) const {
      if (LHS.Pseudo < RHS.Pseudo)
        return true;
      if (LHS.Pseudo > RHS.Pseudo)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVPseudosTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Pseudo != Idx->Pseudo)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVSETable_DECL
const VSEPseudo *getVSEPseudo(uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVSETable_IMPL
constexpr VSEPseudo RISCVVSETable[] = {
  { 0x0, 0x0, 0x0, 0x0, PseudoVSM_V_B8 }, // 0
  { 0x0, 0x0, 0x0, 0x1, PseudoVSM_V_B16 }, // 1
  { 0x0, 0x0, 0x0, 0x2, PseudoVSM_V_B32 }, // 2
  { 0x0, 0x0, 0x0, 0x3, PseudoVSM_V_B64 }, // 3
  { 0x0, 0x0, 0x0, 0x5, PseudoVSM_V_B1 }, // 4
  { 0x0, 0x0, 0x0, 0x6, PseudoVSM_V_B2 }, // 5
  { 0x0, 0x0, 0x0, 0x7, PseudoVSM_V_B4 }, // 6
  { 0x0, 0x0, 0x3, 0x0, PseudoVSE8_V_M1 }, // 7
  { 0x0, 0x0, 0x3, 0x1, PseudoVSE8_V_M2 }, // 8
  { 0x0, 0x0, 0x3, 0x2, PseudoVSE8_V_M4 }, // 9
  { 0x0, 0x0, 0x3, 0x3, PseudoVSE8_V_M8 }, // 10
  { 0x0, 0x0, 0x3, 0x5, PseudoVSE8_V_MF8 }, // 11
  { 0x0, 0x0, 0x3, 0x6, PseudoVSE8_V_MF4 }, // 12
  { 0x0, 0x0, 0x3, 0x7, PseudoVSE8_V_MF2 }, // 13
  { 0x0, 0x0, 0x4, 0x0, PseudoVSE16_V_M1 }, // 14
  { 0x0, 0x0, 0x4, 0x1, PseudoVSE16_V_M2 }, // 15
  { 0x0, 0x0, 0x4, 0x2, PseudoVSE16_V_M4 }, // 16
  { 0x0, 0x0, 0x4, 0x3, PseudoVSE16_V_M8 }, // 17
  { 0x0, 0x0, 0x4, 0x6, PseudoVSE16_V_MF4 }, // 18
  { 0x0, 0x0, 0x4, 0x7, PseudoVSE16_V_MF2 }, // 19
  { 0x0, 0x0, 0x5, 0x0, PseudoVSE32_V_M1 }, // 20
  { 0x0, 0x0, 0x5, 0x1, PseudoVSE32_V_M2 }, // 21
  { 0x0, 0x0, 0x5, 0x2, PseudoVSE32_V_M4 }, // 22
  { 0x0, 0x0, 0x5, 0x3, PseudoVSE32_V_M8 }, // 23
  { 0x0, 0x0, 0x5, 0x7, PseudoVSE32_V_MF2 }, // 24
  { 0x0, 0x0, 0x6, 0x0, PseudoVSE64_V_M1 }, // 25
  { 0x0, 0x0, 0x6, 0x1, PseudoVSE64_V_M2 }, // 26
  { 0x0, 0x0, 0x6, 0x2, PseudoVSE64_V_M4 }, // 27
  { 0x0, 0x0, 0x6, 0x3, PseudoVSE64_V_M8 }, // 28
  { 0x0, 0x1, 0x3, 0x0, PseudoVSSE8_V_M1 }, // 29
  { 0x0, 0x1, 0x3, 0x1, PseudoVSSE8_V_M2 }, // 30
  { 0x0, 0x1, 0x3, 0x2, PseudoVSSE8_V_M4 }, // 31
  { 0x0, 0x1, 0x3, 0x3, PseudoVSSE8_V_M8 }, // 32
  { 0x0, 0x1, 0x3, 0x5, PseudoVSSE8_V_MF8 }, // 33
  { 0x0, 0x1, 0x3, 0x6, PseudoVSSE8_V_MF4 }, // 34
  { 0x0, 0x1, 0x3, 0x7, PseudoVSSE8_V_MF2 }, // 35
  { 0x0, 0x1, 0x4, 0x0, PseudoVSSE16_V_M1 }, // 36
  { 0x0, 0x1, 0x4, 0x1, PseudoVSSE16_V_M2 }, // 37
  { 0x0, 0x1, 0x4, 0x2, PseudoVSSE16_V_M4 }, // 38
  { 0x0, 0x1, 0x4, 0x3, PseudoVSSE16_V_M8 }, // 39
  { 0x0, 0x1, 0x4, 0x6, PseudoVSSE16_V_MF4 }, // 40
  { 0x0, 0x1, 0x4, 0x7, PseudoVSSE16_V_MF2 }, // 41
  { 0x0, 0x1, 0x5, 0x0, PseudoVSSE32_V_M1 }, // 42
  { 0x0, 0x1, 0x5, 0x1, PseudoVSSE32_V_M2 }, // 43
  { 0x0, 0x1, 0x5, 0x2, PseudoVSSE32_V_M4 }, // 44
  { 0x0, 0x1, 0x5, 0x3, PseudoVSSE32_V_M8 }, // 45
  { 0x0, 0x1, 0x5, 0x7, PseudoVSSE32_V_MF2 }, // 46
  { 0x0, 0x1, 0x6, 0x0, PseudoVSSE64_V_M1 }, // 47
  { 0x0, 0x1, 0x6, 0x1, PseudoVSSE64_V_M2 }, // 48
  { 0x0, 0x1, 0x6, 0x2, PseudoVSSE64_V_M4 }, // 49
  { 0x0, 0x1, 0x6, 0x3, PseudoVSSE64_V_M8 }, // 50
  { 0x1, 0x0, 0x3, 0x0, PseudoVSE8_V_M1_MASK }, // 51
  { 0x1, 0x0, 0x3, 0x1, PseudoVSE8_V_M2_MASK }, // 52
  { 0x1, 0x0, 0x3, 0x2, PseudoVSE8_V_M4_MASK }, // 53
  { 0x1, 0x0, 0x3, 0x3, PseudoVSE8_V_M8_MASK }, // 54
  { 0x1, 0x0, 0x3, 0x5, PseudoVSE8_V_MF8_MASK }, // 55
  { 0x1, 0x0, 0x3, 0x6, PseudoVSE8_V_MF4_MASK }, // 56
  { 0x1, 0x0, 0x3, 0x7, PseudoVSE8_V_MF2_MASK }, // 57
  { 0x1, 0x0, 0x4, 0x0, PseudoVSE16_V_M1_MASK }, // 58
  { 0x1, 0x0, 0x4, 0x1, PseudoVSE16_V_M2_MASK }, // 59
  { 0x1, 0x0, 0x4, 0x2, PseudoVSE16_V_M4_MASK }, // 60
  { 0x1, 0x0, 0x4, 0x3, PseudoVSE16_V_M8_MASK }, // 61
  { 0x1, 0x0, 0x4, 0x6, PseudoVSE16_V_MF4_MASK }, // 62
  { 0x1, 0x0, 0x4, 0x7, PseudoVSE16_V_MF2_MASK }, // 63
  { 0x1, 0x0, 0x5, 0x0, PseudoVSE32_V_M1_MASK }, // 64
  { 0x1, 0x0, 0x5, 0x1, PseudoVSE32_V_M2_MASK }, // 65
  { 0x1, 0x0, 0x5, 0x2, PseudoVSE32_V_M4_MASK }, // 66
  { 0x1, 0x0, 0x5, 0x3, PseudoVSE32_V_M8_MASK }, // 67
  { 0x1, 0x0, 0x5, 0x7, PseudoVSE32_V_MF2_MASK }, // 68
  { 0x1, 0x0, 0x6, 0x0, PseudoVSE64_V_M1_MASK }, // 69
  { 0x1, 0x0, 0x6, 0x1, PseudoVSE64_V_M2_MASK }, // 70
  { 0x1, 0x0, 0x6, 0x2, PseudoVSE64_V_M4_MASK }, // 71
  { 0x1, 0x0, 0x6, 0x3, PseudoVSE64_V_M8_MASK }, // 72
  { 0x1, 0x1, 0x3, 0x0, PseudoVSSE8_V_M1_MASK }, // 73
  { 0x1, 0x1, 0x3, 0x1, PseudoVSSE8_V_M2_MASK }, // 74
  { 0x1, 0x1, 0x3, 0x2, PseudoVSSE8_V_M4_MASK }, // 75
  { 0x1, 0x1, 0x3, 0x3, PseudoVSSE8_V_M8_MASK }, // 76
  { 0x1, 0x1, 0x3, 0x5, PseudoVSSE8_V_MF8_MASK }, // 77
  { 0x1, 0x1, 0x3, 0x6, PseudoVSSE8_V_MF4_MASK }, // 78
  { 0x1, 0x1, 0x3, 0x7, PseudoVSSE8_V_MF2_MASK }, // 79
  { 0x1, 0x1, 0x4, 0x0, PseudoVSSE16_V_M1_MASK }, // 80
  { 0x1, 0x1, 0x4, 0x1, PseudoVSSE16_V_M2_MASK }, // 81
  { 0x1, 0x1, 0x4, 0x2, PseudoVSSE16_V_M4_MASK }, // 82
  { 0x1, 0x1, 0x4, 0x3, PseudoVSSE16_V_M8_MASK }, // 83
  { 0x1, 0x1, 0x4, 0x6, PseudoVSSE16_V_MF4_MASK }, // 84
  { 0x1, 0x1, 0x4, 0x7, PseudoVSSE16_V_MF2_MASK }, // 85
  { 0x1, 0x1, 0x5, 0x0, PseudoVSSE32_V_M1_MASK }, // 86
  { 0x1, 0x1, 0x5, 0x1, PseudoVSSE32_V_M2_MASK }, // 87
  { 0x1, 0x1, 0x5, 0x2, PseudoVSSE32_V_M4_MASK }, // 88
  { 0x1, 0x1, 0x5, 0x3, PseudoVSSE32_V_M8_MASK }, // 89
  { 0x1, 0x1, 0x5, 0x7, PseudoVSSE32_V_MF2_MASK }, // 90
  { 0x1, 0x1, 0x6, 0x0, PseudoVSSE64_V_M1_MASK }, // 91
  { 0x1, 0x1, 0x6, 0x1, PseudoVSSE64_V_M2_MASK }, // 92
  { 0x1, 0x1, 0x6, 0x2, PseudoVSSE64_V_M4_MASK }, // 93
  { 0x1, 0x1, 0x6, 0x3, PseudoVSSE64_V_M8_MASK }, // 94
 };

const VSEPseudo *getVSEPseudo(uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Strided;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {Masked, Strided, Log2SEW, LMUL};
  struct Comp {
    bool operator()(const VSEPseudo &LHS, const KeyType &RHS) const {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVSETable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVSSEGTable_DECL
const VSSEGPseudo *getVSSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVSSEGTable_IMPL
constexpr VSSEGPseudo RISCVVSSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG2E8_V_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG2E8_V_M2 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x2, PseudoVSSEG2E8_V_M4 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG2E8_V_MF8 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG2E8_V_MF4 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG2E8_V_MF2 }, // 5
  { 0x2, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG2E16_V_M1 }, // 6
  { 0x2, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG2E16_V_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x4, 0x2, PseudoVSSEG2E16_V_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG2E16_V_MF4 }, // 9
  { 0x2, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG2E16_V_MF2 }, // 10
  { 0x2, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG2E32_V_M1 }, // 11
  { 0x2, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG2E32_V_M2 }, // 12
  { 0x2, 0x0, 0x0, 0x5, 0x2, PseudoVSSEG2E32_V_M4 }, // 13
  { 0x2, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG2E32_V_MF2 }, // 14
  { 0x2, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG2E64_V_M1 }, // 15
  { 0x2, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG2E64_V_M2 }, // 16
  { 0x2, 0x0, 0x0, 0x6, 0x2, PseudoVSSEG2E64_V_M4 }, // 17
  { 0x2, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG2E8_V_M1 }, // 18
  { 0x2, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG2E8_V_M2 }, // 19
  { 0x2, 0x0, 0x1, 0x3, 0x2, PseudoVSSSEG2E8_V_M4 }, // 20
  { 0x2, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG2E8_V_MF8 }, // 21
  { 0x2, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG2E8_V_MF4 }, // 22
  { 0x2, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG2E8_V_MF2 }, // 23
  { 0x2, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG2E16_V_M1 }, // 24
  { 0x2, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG2E16_V_M2 }, // 25
  { 0x2, 0x0, 0x1, 0x4, 0x2, PseudoVSSSEG2E16_V_M4 }, // 26
  { 0x2, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG2E16_V_MF4 }, // 27
  { 0x2, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG2E16_V_MF2 }, // 28
  { 0x2, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG2E32_V_M1 }, // 29
  { 0x2, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG2E32_V_M2 }, // 30
  { 0x2, 0x0, 0x1, 0x5, 0x2, PseudoVSSSEG2E32_V_M4 }, // 31
  { 0x2, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG2E32_V_MF2 }, // 32
  { 0x2, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG2E64_V_M1 }, // 33
  { 0x2, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG2E64_V_M2 }, // 34
  { 0x2, 0x0, 0x1, 0x6, 0x2, PseudoVSSSEG2E64_V_M4 }, // 35
  { 0x2, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG2E8_V_M1_MASK }, // 36
  { 0x2, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG2E8_V_M2_MASK }, // 37
  { 0x2, 0x1, 0x0, 0x3, 0x2, PseudoVSSEG2E8_V_M4_MASK }, // 38
  { 0x2, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG2E8_V_MF8_MASK }, // 39
  { 0x2, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG2E8_V_MF4_MASK }, // 40
  { 0x2, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG2E8_V_MF2_MASK }, // 41
  { 0x2, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG2E16_V_M1_MASK }, // 42
  { 0x2, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG2E16_V_M2_MASK }, // 43
  { 0x2, 0x1, 0x0, 0x4, 0x2, PseudoVSSEG2E16_V_M4_MASK }, // 44
  { 0x2, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG2E16_V_MF4_MASK }, // 45
  { 0x2, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG2E16_V_MF2_MASK }, // 46
  { 0x2, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG2E32_V_M1_MASK }, // 47
  { 0x2, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG2E32_V_M2_MASK }, // 48
  { 0x2, 0x1, 0x0, 0x5, 0x2, PseudoVSSEG2E32_V_M4_MASK }, // 49
  { 0x2, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG2E32_V_MF2_MASK }, // 50
  { 0x2, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG2E64_V_M1_MASK }, // 51
  { 0x2, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG2E64_V_M2_MASK }, // 52
  { 0x2, 0x1, 0x0, 0x6, 0x2, PseudoVSSEG2E64_V_M4_MASK }, // 53
  { 0x2, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG2E8_V_M1_MASK }, // 54
  { 0x2, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG2E8_V_M2_MASK }, // 55
  { 0x2, 0x1, 0x1, 0x3, 0x2, PseudoVSSSEG2E8_V_M4_MASK }, // 56
  { 0x2, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG2E8_V_MF8_MASK }, // 57
  { 0x2, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG2E8_V_MF4_MASK }, // 58
  { 0x2, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG2E8_V_MF2_MASK }, // 59
  { 0x2, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG2E16_V_M1_MASK }, // 60
  { 0x2, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG2E16_V_M2_MASK }, // 61
  { 0x2, 0x1, 0x1, 0x4, 0x2, PseudoVSSSEG2E16_V_M4_MASK }, // 62
  { 0x2, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG2E16_V_MF4_MASK }, // 63
  { 0x2, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG2E16_V_MF2_MASK }, // 64
  { 0x2, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG2E32_V_M1_MASK }, // 65
  { 0x2, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG2E32_V_M2_MASK }, // 66
  { 0x2, 0x1, 0x1, 0x5, 0x2, PseudoVSSSEG2E32_V_M4_MASK }, // 67
  { 0x2, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG2E32_V_MF2_MASK }, // 68
  { 0x2, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG2E64_V_M1_MASK }, // 69
  { 0x2, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG2E64_V_M2_MASK }, // 70
  { 0x2, 0x1, 0x1, 0x6, 0x2, PseudoVSSSEG2E64_V_M4_MASK }, // 71
  { 0x3, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG3E8_V_M1 }, // 72
  { 0x3, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG3E8_V_M2 }, // 73
  { 0x3, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG3E8_V_MF8 }, // 74
  { 0x3, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG3E8_V_MF4 }, // 75
  { 0x3, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG3E8_V_MF2 }, // 76
  { 0x3, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG3E16_V_M1 }, // 77
  { 0x3, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG3E16_V_M2 }, // 78
  { 0x3, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG3E16_V_MF4 }, // 79
  { 0x3, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG3E16_V_MF2 }, // 80
  { 0x3, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG3E32_V_M1 }, // 81
  { 0x3, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG3E32_V_M2 }, // 82
  { 0x3, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG3E32_V_MF2 }, // 83
  { 0x3, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG3E64_V_M1 }, // 84
  { 0x3, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG3E64_V_M2 }, // 85
  { 0x3, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG3E8_V_M1 }, // 86
  { 0x3, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG3E8_V_M2 }, // 87
  { 0x3, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG3E8_V_MF8 }, // 88
  { 0x3, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG3E8_V_MF4 }, // 89
  { 0x3, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG3E8_V_MF2 }, // 90
  { 0x3, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG3E16_V_M1 }, // 91
  { 0x3, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG3E16_V_M2 }, // 92
  { 0x3, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG3E16_V_MF4 }, // 93
  { 0x3, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG3E16_V_MF2 }, // 94
  { 0x3, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG3E32_V_M1 }, // 95
  { 0x3, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG3E32_V_M2 }, // 96
  { 0x3, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG3E32_V_MF2 }, // 97
  { 0x3, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG3E64_V_M1 }, // 98
  { 0x3, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG3E64_V_M2 }, // 99
  { 0x3, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG3E8_V_M1_MASK }, // 100
  { 0x3, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG3E8_V_M2_MASK }, // 101
  { 0x3, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG3E8_V_MF8_MASK }, // 102
  { 0x3, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG3E8_V_MF4_MASK }, // 103
  { 0x3, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG3E8_V_MF2_MASK }, // 104
  { 0x3, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG3E16_V_M1_MASK }, // 105
  { 0x3, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG3E16_V_M2_MASK }, // 106
  { 0x3, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG3E16_V_MF4_MASK }, // 107
  { 0x3, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG3E16_V_MF2_MASK }, // 108
  { 0x3, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG3E32_V_M1_MASK }, // 109
  { 0x3, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG3E32_V_M2_MASK }, // 110
  { 0x3, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG3E32_V_MF2_MASK }, // 111
  { 0x3, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG3E64_V_M1_MASK }, // 112
  { 0x3, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG3E64_V_M2_MASK }, // 113
  { 0x3, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG3E8_V_M1_MASK }, // 114
  { 0x3, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG3E8_V_M2_MASK }, // 115
  { 0x3, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG3E8_V_MF8_MASK }, // 116
  { 0x3, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG3E8_V_MF4_MASK }, // 117
  { 0x3, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG3E8_V_MF2_MASK }, // 118
  { 0x3, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG3E16_V_M1_MASK }, // 119
  { 0x3, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG3E16_V_M2_MASK }, // 120
  { 0x3, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG3E16_V_MF4_MASK }, // 121
  { 0x3, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG3E16_V_MF2_MASK }, // 122
  { 0x3, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG3E32_V_M1_MASK }, // 123
  { 0x3, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG3E32_V_M2_MASK }, // 124
  { 0x3, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG3E32_V_MF2_MASK }, // 125
  { 0x3, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG3E64_V_M1_MASK }, // 126
  { 0x3, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG3E64_V_M2_MASK }, // 127
  { 0x4, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG4E8_V_M1 }, // 128
  { 0x4, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG4E8_V_M2 }, // 129
  { 0x4, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG4E8_V_MF8 }, // 130
  { 0x4, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG4E8_V_MF4 }, // 131
  { 0x4, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG4E8_V_MF2 }, // 132
  { 0x4, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG4E16_V_M1 }, // 133
  { 0x4, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG4E16_V_M2 }, // 134
  { 0x4, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG4E16_V_MF4 }, // 135
  { 0x4, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG4E16_V_MF2 }, // 136
  { 0x4, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG4E32_V_M1 }, // 137
  { 0x4, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG4E32_V_M2 }, // 138
  { 0x4, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG4E32_V_MF2 }, // 139
  { 0x4, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG4E64_V_M1 }, // 140
  { 0x4, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG4E64_V_M2 }, // 141
  { 0x4, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG4E8_V_M1 }, // 142
  { 0x4, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG4E8_V_M2 }, // 143
  { 0x4, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG4E8_V_MF8 }, // 144
  { 0x4, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG4E8_V_MF4 }, // 145
  { 0x4, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG4E8_V_MF2 }, // 146
  { 0x4, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG4E16_V_M1 }, // 147
  { 0x4, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG4E16_V_M2 }, // 148
  { 0x4, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG4E16_V_MF4 }, // 149
  { 0x4, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG4E16_V_MF2 }, // 150
  { 0x4, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG4E32_V_M1 }, // 151
  { 0x4, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG4E32_V_M2 }, // 152
  { 0x4, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG4E32_V_MF2 }, // 153
  { 0x4, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG4E64_V_M1 }, // 154
  { 0x4, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG4E64_V_M2 }, // 155
  { 0x4, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG4E8_V_M1_MASK }, // 156
  { 0x4, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG4E8_V_M2_MASK }, // 157
  { 0x4, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG4E8_V_MF8_MASK }, // 158
  { 0x4, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG4E8_V_MF4_MASK }, // 159
  { 0x4, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG4E8_V_MF2_MASK }, // 160
  { 0x4, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG4E16_V_M1_MASK }, // 161
  { 0x4, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG4E16_V_M2_MASK }, // 162
  { 0x4, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG4E16_V_MF4_MASK }, // 163
  { 0x4, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG4E16_V_MF2_MASK }, // 164
  { 0x4, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG4E32_V_M1_MASK }, // 165
  { 0x4, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG4E32_V_M2_MASK }, // 166
  { 0x4, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG4E32_V_MF2_MASK }, // 167
  { 0x4, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG4E64_V_M1_MASK }, // 168
  { 0x4, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG4E64_V_M2_MASK }, // 169
  { 0x4, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG4E8_V_M1_MASK }, // 170
  { 0x4, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG4E8_V_M2_MASK }, // 171
  { 0x4, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG4E8_V_MF8_MASK }, // 172
  { 0x4, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG4E8_V_MF4_MASK }, // 173
  { 0x4, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG4E8_V_MF2_MASK }, // 174
  { 0x4, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG4E16_V_M1_MASK }, // 175
  { 0x4, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG4E16_V_M2_MASK }, // 176
  { 0x4, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG4E16_V_MF4_MASK }, // 177
  { 0x4, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG4E16_V_MF2_MASK }, // 178
  { 0x4, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG4E32_V_M1_MASK }, // 179
  { 0x4, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG4E32_V_M2_MASK }, // 180
  { 0x4, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG4E32_V_MF2_MASK }, // 181
  { 0x4, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG4E64_V_M1_MASK }, // 182
  { 0x4, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG4E64_V_M2_MASK }, // 183
  { 0x5, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG5E8_V_M1 }, // 184
  { 0x5, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG5E8_V_MF8 }, // 185
  { 0x5, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG5E8_V_MF4 }, // 186
  { 0x5, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG5E8_V_MF2 }, // 187
  { 0x5, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG5E16_V_M1 }, // 188
  { 0x5, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG5E16_V_MF4 }, // 189
  { 0x5, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG5E16_V_MF2 }, // 190
  { 0x5, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG5E32_V_M1 }, // 191
  { 0x5, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG5E32_V_MF2 }, // 192
  { 0x5, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG5E64_V_M1 }, // 193
  { 0x5, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG5E8_V_M1 }, // 194
  { 0x5, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG5E8_V_MF8 }, // 195
  { 0x5, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG5E8_V_MF4 }, // 196
  { 0x5, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG5E8_V_MF2 }, // 197
  { 0x5, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG5E16_V_M1 }, // 198
  { 0x5, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG5E16_V_MF4 }, // 199
  { 0x5, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG5E16_V_MF2 }, // 200
  { 0x5, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG5E32_V_M1 }, // 201
  { 0x5, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG5E32_V_MF2 }, // 202
  { 0x5, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG5E64_V_M1 }, // 203
  { 0x5, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG5E8_V_M1_MASK }, // 204
  { 0x5, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG5E8_V_MF8_MASK }, // 205
  { 0x5, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG5E8_V_MF4_MASK }, // 206
  { 0x5, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG5E8_V_MF2_MASK }, // 207
  { 0x5, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG5E16_V_M1_MASK }, // 208
  { 0x5, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG5E16_V_MF4_MASK }, // 209
  { 0x5, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG5E16_V_MF2_MASK }, // 210
  { 0x5, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG5E32_V_M1_MASK }, // 211
  { 0x5, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG5E32_V_MF2_MASK }, // 212
  { 0x5, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG5E64_V_M1_MASK }, // 213
  { 0x5, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG5E8_V_M1_MASK }, // 214
  { 0x5, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG5E8_V_MF8_MASK }, // 215
  { 0x5, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG5E8_V_MF4_MASK }, // 216
  { 0x5, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG5E8_V_MF2_MASK }, // 217
  { 0x5, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG5E16_V_M1_MASK }, // 218
  { 0x5, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG5E16_V_MF4_MASK }, // 219
  { 0x5, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG5E16_V_MF2_MASK }, // 220
  { 0x5, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG5E32_V_M1_MASK }, // 221
  { 0x5, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG5E32_V_MF2_MASK }, // 222
  { 0x5, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG5E64_V_M1_MASK }, // 223
  { 0x6, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG6E8_V_M1 }, // 224
  { 0x6, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG6E8_V_MF8 }, // 225
  { 0x6, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG6E8_V_MF4 }, // 226
  { 0x6, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG6E8_V_MF2 }, // 227
  { 0x6, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG6E16_V_M1 }, // 228
  { 0x6, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG6E16_V_MF4 }, // 229
  { 0x6, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG6E16_V_MF2 }, // 230
  { 0x6, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG6E32_V_M1 }, // 231
  { 0x6, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG6E32_V_MF2 }, // 232
  { 0x6, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG6E64_V_M1 }, // 233
  { 0x6, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG6E8_V_M1 }, // 234
  { 0x6, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG6E8_V_MF8 }, // 235
  { 0x6, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG6E8_V_MF4 }, // 236
  { 0x6, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG6E8_V_MF2 }, // 237
  { 0x6, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG6E16_V_M1 }, // 238
  { 0x6, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG6E16_V_MF4 }, // 239
  { 0x6, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG6E16_V_MF2 }, // 240
  { 0x6, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG6E32_V_M1 }, // 241
  { 0x6, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG6E32_V_MF2 }, // 242
  { 0x6, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG6E64_V_M1 }, // 243
  { 0x6, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG6E8_V_M1_MASK }, // 244
  { 0x6, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG6E8_V_MF8_MASK }, // 245
  { 0x6, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG6E8_V_MF4_MASK }, // 246
  { 0x6, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG6E8_V_MF2_MASK }, // 247
  { 0x6, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG6E16_V_M1_MASK }, // 248
  { 0x6, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG6E16_V_MF4_MASK }, // 249
  { 0x6, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG6E16_V_MF2_MASK }, // 250
  { 0x6, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG6E32_V_M1_MASK }, // 251
  { 0x6, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG6E32_V_MF2_MASK }, // 252
  { 0x6, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG6E64_V_M1_MASK }, // 253
  { 0x6, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG6E8_V_M1_MASK }, // 254
  { 0x6, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG6E8_V_MF8_MASK }, // 255
  { 0x6, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG6E8_V_MF4_MASK }, // 256
  { 0x6, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG6E8_V_MF2_MASK }, // 257
  { 0x6, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG6E16_V_M1_MASK }, // 258
  { 0x6, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG6E16_V_MF4_MASK }, // 259
  { 0x6, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG6E16_V_MF2_MASK }, // 260
  { 0x6, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG6E32_V_M1_MASK }, // 261
  { 0x6, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG6E32_V_MF2_MASK }, // 262
  { 0x6, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG6E64_V_M1_MASK }, // 263
  { 0x7, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG7E8_V_M1 }, // 264
  { 0x7, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG7E8_V_MF8 }, // 265
  { 0x7, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG7E8_V_MF4 }, // 266
  { 0x7, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG7E8_V_MF2 }, // 267
  { 0x7, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG7E16_V_M1 }, // 268
  { 0x7, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG7E16_V_MF4 }, // 269
  { 0x7, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG7E16_V_MF2 }, // 270
  { 0x7, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG7E32_V_M1 }, // 271
  { 0x7, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG7E32_V_MF2 }, // 272
  { 0x7, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG7E64_V_M1 }, // 273
  { 0x7, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG7E8_V_M1 }, // 274
  { 0x7, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG7E8_V_MF8 }, // 275
  { 0x7, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG7E8_V_MF4 }, // 276
  { 0x7, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG7E8_V_MF2 }, // 277
  { 0x7, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG7E16_V_M1 }, // 278
  { 0x7, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG7E16_V_MF4 }, // 279
  { 0x7, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG7E16_V_MF2 }, // 280
  { 0x7, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG7E32_V_M1 }, // 281
  { 0x7, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG7E32_V_MF2 }, // 282
  { 0x7, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG7E64_V_M1 }, // 283
  { 0x7, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG7E8_V_M1_MASK }, // 284
  { 0x7, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG7E8_V_MF8_MASK }, // 285
  { 0x7, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG7E8_V_MF4_MASK }, // 286
  { 0x7, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG7E8_V_MF2_MASK }, // 287
  { 0x7, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG7E16_V_M1_MASK }, // 288
  { 0x7, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG7E16_V_MF4_MASK }, // 289
  { 0x7, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG7E16_V_MF2_MASK }, // 290
  { 0x7, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG7E32_V_M1_MASK }, // 291
  { 0x7, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG7E32_V_MF2_MASK }, // 292
  { 0x7, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG7E64_V_M1_MASK }, // 293
  { 0x7, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG7E8_V_M1_MASK }, // 294
  { 0x7, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG7E8_V_MF8_MASK }, // 295
  { 0x7, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG7E8_V_MF4_MASK }, // 296
  { 0x7, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG7E8_V_MF2_MASK }, // 297
  { 0x7, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG7E16_V_M1_MASK }, // 298
  { 0x7, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG7E16_V_MF4_MASK }, // 299
  { 0x7, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG7E16_V_MF2_MASK }, // 300
  { 0x7, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG7E32_V_M1_MASK }, // 301
  { 0x7, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG7E32_V_MF2_MASK }, // 302
  { 0x7, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG7E64_V_M1_MASK }, // 303
  { 0x8, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG8E8_V_M1 }, // 304
  { 0x8, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG8E8_V_MF8 }, // 305
  { 0x8, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG8E8_V_MF4 }, // 306
  { 0x8, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG8E8_V_MF2 }, // 307
  { 0x8, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG8E16_V_M1 }, // 308
  { 0x8, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG8E16_V_MF4 }, // 309
  { 0x8, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG8E16_V_MF2 }, // 310
  { 0x8, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG8E32_V_M1 }, // 311
  { 0x8, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG8E32_V_MF2 }, // 312
  { 0x8, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG8E64_V_M1 }, // 313
  { 0x8, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG8E8_V_M1 }, // 314
  { 0x8, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG8E8_V_MF8 }, // 315
  { 0x8, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG8E8_V_MF4 }, // 316
  { 0x8, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG8E8_V_MF2 }, // 317
  { 0x8, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG8E16_V_M1 }, // 318
  { 0x8, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG8E16_V_MF4 }, // 319
  { 0x8, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG8E16_V_MF2 }, // 320
  { 0x8, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG8E32_V_M1 }, // 321
  { 0x8, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG8E32_V_MF2 }, // 322
  { 0x8, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG8E64_V_M1 }, // 323
  { 0x8, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG8E8_V_M1_MASK }, // 324
  { 0x8, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG8E8_V_MF8_MASK }, // 325
  { 0x8, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG8E8_V_MF4_MASK }, // 326
  { 0x8, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG8E8_V_MF2_MASK }, // 327
  { 0x8, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG8E16_V_M1_MASK }, // 328
  { 0x8, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG8E16_V_MF4_MASK }, // 329
  { 0x8, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG8E16_V_MF2_MASK }, // 330
  { 0x8, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG8E32_V_M1_MASK }, // 331
  { 0x8, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG8E32_V_MF2_MASK }, // 332
  { 0x8, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG8E64_V_M1_MASK }, // 333
  { 0x8, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG8E8_V_M1_MASK }, // 334
  { 0x8, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG8E8_V_MF8_MASK }, // 335
  { 0x8, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG8E8_V_MF4_MASK }, // 336
  { 0x8, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG8E8_V_MF2_MASK }, // 337
  { 0x8, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG8E16_V_M1_MASK }, // 338
  { 0x8, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG8E16_V_MF4_MASK }, // 339
  { 0x8, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG8E16_V_MF2_MASK }, // 340
  { 0x8, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG8E32_V_M1_MASK }, // 341
  { 0x8, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG8E32_V_MF2_MASK }, // 342
  { 0x8, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG8E64_V_M1_MASK }, // 343
 };

const VSSEGPseudo *getVSSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Strided;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {NF, Masked, Strided, Log2SEW, LMUL};
  struct Comp {
    bool operator()(const VSSEGPseudo &LHS, const KeyType &RHS) const {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVSSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVSXSEGTable_DECL
const VSXSEGPseudo *getVSXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVSXSEGTable_IMPL
constexpr VSXSEGPseudo RISCVVSXSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG2EI8_V_M1_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG2EI8_V_MF8_M1 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG2EI8_V_MF4_M1 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG2EI8_V_MF2_M1 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG2EI8_V_M1_M2 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG2EI8_V_M2_M2 }, // 5
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG2EI8_V_MF4_M2 }, // 6
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG2EI8_V_MF2_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVSUXSEG2EI8_V_M1_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVSUXSEG2EI8_V_M2_M4 }, // 9
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVSUXSEG2EI8_V_M4_M4 }, // 10
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVSUXSEG2EI8_V_MF2_M4 }, // 11
  { 0x2, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF8 }, // 12
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF4 }, // 13
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF4 }, // 14
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF2 }, // 15
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF2 }, // 16
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG2EI8_V_MF2_MF2 }, // 17
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG2EI16_V_M1_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG2EI16_V_M2_M1 }, // 19
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG2EI16_V_MF4_M1 }, // 20
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG2EI16_V_MF2_M1 }, // 21
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG2EI16_V_M1_M2 }, // 22
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG2EI16_V_M2_M2 }, // 23
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG2EI16_V_M4_M2 }, // 24
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG2EI16_V_MF2_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVSUXSEG2EI16_V_M1_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVSUXSEG2EI16_V_M2_M4 }, // 27
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVSUXSEG2EI16_V_M4_M4 }, // 28
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVSUXSEG2EI16_V_M8_M4 }, // 29
  { 0x2, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF8 }, // 30
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF4 }, // 31
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF4 }, // 32
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG2EI16_V_M1_MF2 }, // 33
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF2 }, // 34
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF2 }, // 35
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG2EI32_V_M1_M1 }, // 36
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG2EI32_V_M2_M1 }, // 37
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG2EI32_V_M4_M1 }, // 38
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG2EI32_V_MF2_M1 }, // 39
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG2EI32_V_M1_M2 }, // 40
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG2EI32_V_M2_M2 }, // 41
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG2EI32_V_M4_M2 }, // 42
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG2EI32_V_M8_M2 }, // 43
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVSUXSEG2EI32_V_M2_M4 }, // 44
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVSUXSEG2EI32_V_M4_M4 }, // 45
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVSUXSEG2EI32_V_M8_M4 }, // 46
  { 0x2, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF8 }, // 47
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG2EI32_V_M1_MF4 }, // 48
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF4 }, // 49
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG2EI32_V_M1_MF2 }, // 50
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG2EI32_V_M2_MF2 }, // 51
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF2 }, // 52
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG2EI64_V_M1_M1 }, // 53
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG2EI64_V_M2_M1 }, // 54
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG2EI64_V_M4_M1 }, // 55
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG2EI64_V_M8_M1 }, // 56
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG2EI64_V_M2_M2 }, // 57
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG2EI64_V_M4_M2 }, // 58
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG2EI64_V_M8_M2 }, // 59
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVSUXSEG2EI64_V_M4_M4 }, // 60
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVSUXSEG2EI64_V_M8_M4 }, // 61
  { 0x2, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG2EI64_V_M1_MF8 }, // 62
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG2EI64_V_M1_MF4 }, // 63
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG2EI64_V_M2_MF4 }, // 64
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG2EI64_V_M1_MF2 }, // 65
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG2EI64_V_M2_MF2 }, // 66
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG2EI64_V_M4_MF2 }, // 67
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG2EI8_V_M1_M1 }, // 68
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG2EI8_V_MF8_M1 }, // 69
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG2EI8_V_MF4_M1 }, // 70
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG2EI8_V_MF2_M1 }, // 71
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG2EI8_V_M1_M2 }, // 72
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG2EI8_V_M2_M2 }, // 73
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG2EI8_V_MF4_M2 }, // 74
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG2EI8_V_MF2_M2 }, // 75
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVSOXSEG2EI8_V_M1_M4 }, // 76
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVSOXSEG2EI8_V_M2_M4 }, // 77
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVSOXSEG2EI8_V_M4_M4 }, // 78
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVSOXSEG2EI8_V_MF2_M4 }, // 79
  { 0x2, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF8 }, // 80
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF4 }, // 81
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF4 }, // 82
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF2 }, // 83
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF2 }, // 84
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG2EI8_V_MF2_MF2 }, // 85
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG2EI16_V_M1_M1 }, // 86
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG2EI16_V_M2_M1 }, // 87
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG2EI16_V_MF4_M1 }, // 88
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG2EI16_V_MF2_M1 }, // 89
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG2EI16_V_M1_M2 }, // 90
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG2EI16_V_M2_M2 }, // 91
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG2EI16_V_M4_M2 }, // 92
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG2EI16_V_MF2_M2 }, // 93
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVSOXSEG2EI16_V_M1_M4 }, // 94
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVSOXSEG2EI16_V_M2_M4 }, // 95
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVSOXSEG2EI16_V_M4_M4 }, // 96
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVSOXSEG2EI16_V_M8_M4 }, // 97
  { 0x2, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF8 }, // 98
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF4 }, // 99
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF4 }, // 100
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG2EI16_V_M1_MF2 }, // 101
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF2 }, // 102
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF2 }, // 103
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG2EI32_V_M1_M1 }, // 104
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG2EI32_V_M2_M1 }, // 105
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG2EI32_V_M4_M1 }, // 106
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG2EI32_V_MF2_M1 }, // 107
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG2EI32_V_M1_M2 }, // 108
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG2EI32_V_M2_M2 }, // 109
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG2EI32_V_M4_M2 }, // 110
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG2EI32_V_M8_M2 }, // 111
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVSOXSEG2EI32_V_M2_M4 }, // 112
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVSOXSEG2EI32_V_M4_M4 }, // 113
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVSOXSEG2EI32_V_M8_M4 }, // 114
  { 0x2, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF8 }, // 115
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG2EI32_V_M1_MF4 }, // 116
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF4 }, // 117
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG2EI32_V_M1_MF2 }, // 118
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG2EI32_V_M2_MF2 }, // 119
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF2 }, // 120
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG2EI64_V_M1_M1 }, // 121
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG2EI64_V_M2_M1 }, // 122
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG2EI64_V_M4_M1 }, // 123
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG2EI64_V_M8_M1 }, // 124
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG2EI64_V_M2_M2 }, // 125
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG2EI64_V_M4_M2 }, // 126
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG2EI64_V_M8_M2 }, // 127
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVSOXSEG2EI64_V_M4_M4 }, // 128
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVSOXSEG2EI64_V_M8_M4 }, // 129
  { 0x2, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG2EI64_V_M1_MF8 }, // 130
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG2EI64_V_M1_MF4 }, // 131
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG2EI64_V_M2_MF4 }, // 132
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG2EI64_V_M1_MF2 }, // 133
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG2EI64_V_M2_MF2 }, // 134
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG2EI64_V_M4_MF2 }, // 135
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG2EI8_V_M1_M1_MASK }, // 136
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG2EI8_V_MF8_M1_MASK }, // 137
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG2EI8_V_MF4_M1_MASK }, // 138
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG2EI8_V_MF2_M1_MASK }, // 139
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG2EI8_V_M1_M2_MASK }, // 140
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG2EI8_V_M2_M2_MASK }, // 141
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG2EI8_V_MF4_M2_MASK }, // 142
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG2EI8_V_MF2_M2_MASK }, // 143
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVSUXSEG2EI8_V_M1_M4_MASK }, // 144
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVSUXSEG2EI8_V_M2_M4_MASK }, // 145
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVSUXSEG2EI8_V_M4_M4_MASK }, // 146
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVSUXSEG2EI8_V_MF2_M4_MASK }, // 147
  { 0x2, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF8_MASK }, // 148
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF4_MASK }, // 149
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF4_MASK }, // 150
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF2_MASK }, // 151
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF2_MASK }, // 152
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG2EI8_V_MF2_MF2_MASK }, // 153
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG2EI16_V_M1_M1_MASK }, // 154
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG2EI16_V_M2_M1_MASK }, // 155
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG2EI16_V_MF4_M1_MASK }, // 156
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG2EI16_V_MF2_M1_MASK }, // 157
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG2EI16_V_M1_M2_MASK }, // 158
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG2EI16_V_M2_M2_MASK }, // 159
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG2EI16_V_M4_M2_MASK }, // 160
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG2EI16_V_MF2_M2_MASK }, // 161
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVSUXSEG2EI16_V_M1_M4_MASK }, // 162
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVSUXSEG2EI16_V_M2_M4_MASK }, // 163
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVSUXSEG2EI16_V_M4_M4_MASK }, // 164
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVSUXSEG2EI16_V_M8_M4_MASK }, // 165
  { 0x2, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF8_MASK }, // 166
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF4_MASK }, // 167
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF4_MASK }, // 168
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG2EI16_V_M1_MF2_MASK }, // 169
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF2_MASK }, // 170
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF2_MASK }, // 171
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG2EI32_V_M1_M1_MASK }, // 172
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG2EI32_V_M2_M1_MASK }, // 173
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG2EI32_V_M4_M1_MASK }, // 174
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG2EI32_V_MF2_M1_MASK }, // 175
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG2EI32_V_M1_M2_MASK }, // 176
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG2EI32_V_M2_M2_MASK }, // 177
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG2EI32_V_M4_M2_MASK }, // 178
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG2EI32_V_M8_M2_MASK }, // 179
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVSUXSEG2EI32_V_M2_M4_MASK }, // 180
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVSUXSEG2EI32_V_M4_M4_MASK }, // 181
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVSUXSEG2EI32_V_M8_M4_MASK }, // 182
  { 0x2, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF8_MASK }, // 183
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG2EI32_V_M1_MF4_MASK }, // 184
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF4_MASK }, // 185
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG2EI32_V_M1_MF2_MASK }, // 186
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG2EI32_V_M2_MF2_MASK }, // 187
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF2_MASK }, // 188
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG2EI64_V_M1_M1_MASK }, // 189
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG2EI64_V_M2_M1_MASK }, // 190
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG2EI64_V_M4_M1_MASK }, // 191
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG2EI64_V_M8_M1_MASK }, // 192
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG2EI64_V_M2_M2_MASK }, // 193
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG2EI64_V_M4_M2_MASK }, // 194
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG2EI64_V_M8_M2_MASK }, // 195
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVSUXSEG2EI64_V_M4_M4_MASK }, // 196
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVSUXSEG2EI64_V_M8_M4_MASK }, // 197
  { 0x2, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG2EI64_V_M1_MF8_MASK }, // 198
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG2EI64_V_M1_MF4_MASK }, // 199
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG2EI64_V_M2_MF4_MASK }, // 200
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG2EI64_V_M1_MF2_MASK }, // 201
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG2EI64_V_M2_MF2_MASK }, // 202
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG2EI64_V_M4_MF2_MASK }, // 203
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG2EI8_V_M1_M1_MASK }, // 204
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG2EI8_V_MF8_M1_MASK }, // 205
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG2EI8_V_MF4_M1_MASK }, // 206
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG2EI8_V_MF2_M1_MASK }, // 207
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG2EI8_V_M1_M2_MASK }, // 208
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG2EI8_V_M2_M2_MASK }, // 209
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG2EI8_V_MF4_M2_MASK }, // 210
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG2EI8_V_MF2_M2_MASK }, // 211
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVSOXSEG2EI8_V_M1_M4_MASK }, // 212
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVSOXSEG2EI8_V_M2_M4_MASK }, // 213
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVSOXSEG2EI8_V_M4_M4_MASK }, // 214
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVSOXSEG2EI8_V_MF2_M4_MASK }, // 215
  { 0x2, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF8_MASK }, // 216
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF4_MASK }, // 217
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF4_MASK }, // 218
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF2_MASK }, // 219
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF2_MASK }, // 220
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG2EI8_V_MF2_MF2_MASK }, // 221
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG2EI16_V_M1_M1_MASK }, // 222
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG2EI16_V_M2_M1_MASK }, // 223
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG2EI16_V_MF4_M1_MASK }, // 224
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG2EI16_V_MF2_M1_MASK }, // 225
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG2EI16_V_M1_M2_MASK }, // 226
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG2EI16_V_M2_M2_MASK }, // 227
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG2EI16_V_M4_M2_MASK }, // 228
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG2EI16_V_MF2_M2_MASK }, // 229
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVSOXSEG2EI16_V_M1_M4_MASK }, // 230
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVSOXSEG2EI16_V_M2_M4_MASK }, // 231
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVSOXSEG2EI16_V_M4_M4_MASK }, // 232
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVSOXSEG2EI16_V_M8_M4_MASK }, // 233
  { 0x2, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF8_MASK }, // 234
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF4_MASK }, // 235
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF4_MASK }, // 236
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG2EI16_V_M1_MF2_MASK }, // 237
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF2_MASK }, // 238
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF2_MASK }, // 239
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG2EI32_V_M1_M1_MASK }, // 240
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG2EI32_V_M2_M1_MASK }, // 241
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG2EI32_V_M4_M1_MASK }, // 242
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG2EI32_V_MF2_M1_MASK }, // 243
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG2EI32_V_M1_M2_MASK }, // 244
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG2EI32_V_M2_M2_MASK }, // 245
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG2EI32_V_M4_M2_MASK }, // 246
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG2EI32_V_M8_M2_MASK }, // 247
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVSOXSEG2EI32_V_M2_M4_MASK }, // 248
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVSOXSEG2EI32_V_M4_M4_MASK }, // 249
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVSOXSEG2EI32_V_M8_M4_MASK }, // 250
  { 0x2, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF8_MASK }, // 251
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG2EI32_V_M1_MF4_MASK }, // 252
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF4_MASK }, // 253
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG2EI32_V_M1_MF2_MASK }, // 254
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG2EI32_V_M2_MF2_MASK }, // 255
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF2_MASK }, // 256
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG2EI64_V_M1_M1_MASK }, // 257
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG2EI64_V_M2_M1_MASK }, // 258
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG2EI64_V_M4_M1_MASK }, // 259
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG2EI64_V_M8_M1_MASK }, // 260
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG2EI64_V_M2_M2_MASK }, // 261
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG2EI64_V_M4_M2_MASK }, // 262
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG2EI64_V_M8_M2_MASK }, // 263
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVSOXSEG2EI64_V_M4_M4_MASK }, // 264
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVSOXSEG2EI64_V_M8_M4_MASK }, // 265
  { 0x2, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG2EI64_V_M1_MF8_MASK }, // 266
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG2EI64_V_M1_MF4_MASK }, // 267
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG2EI64_V_M2_MF4_MASK }, // 268
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG2EI64_V_M1_MF2_MASK }, // 269
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG2EI64_V_M2_MF2_MASK }, // 270
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG2EI64_V_M4_MF2_MASK }, // 271
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG3EI8_V_M1_M1 }, // 272
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG3EI8_V_MF8_M1 }, // 273
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG3EI8_V_MF4_M1 }, // 274
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG3EI8_V_MF2_M1 }, // 275
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG3EI8_V_M1_M2 }, // 276
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG3EI8_V_M2_M2 }, // 277
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG3EI8_V_MF4_M2 }, // 278
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG3EI8_V_MF2_M2 }, // 279
  { 0x3, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF8 }, // 280
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF4 }, // 281
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF4 }, // 282
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF2 }, // 283
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF2 }, // 284
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG3EI8_V_MF2_MF2 }, // 285
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG3EI16_V_M1_M1 }, // 286
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG3EI16_V_M2_M1 }, // 287
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG3EI16_V_MF4_M1 }, // 288
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG3EI16_V_MF2_M1 }, // 289
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG3EI16_V_M1_M2 }, // 290
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG3EI16_V_M2_M2 }, // 291
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG3EI16_V_M4_M2 }, // 292
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG3EI16_V_MF2_M2 }, // 293
  { 0x3, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF8 }, // 294
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF4 }, // 295
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF4 }, // 296
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG3EI16_V_M1_MF2 }, // 297
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF2 }, // 298
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF2 }, // 299
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG3EI32_V_M1_M1 }, // 300
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG3EI32_V_M2_M1 }, // 301
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG3EI32_V_M4_M1 }, // 302
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG3EI32_V_MF2_M1 }, // 303
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG3EI32_V_M1_M2 }, // 304
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG3EI32_V_M2_M2 }, // 305
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG3EI32_V_M4_M2 }, // 306
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG3EI32_V_M8_M2 }, // 307
  { 0x3, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF8 }, // 308
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG3EI32_V_M1_MF4 }, // 309
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF4 }, // 310
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG3EI32_V_M1_MF2 }, // 311
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG3EI32_V_M2_MF2 }, // 312
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF2 }, // 313
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG3EI64_V_M1_M1 }, // 314
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG3EI64_V_M2_M1 }, // 315
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG3EI64_V_M4_M1 }, // 316
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG3EI64_V_M8_M1 }, // 317
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG3EI64_V_M2_M2 }, // 318
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG3EI64_V_M4_M2 }, // 319
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG3EI64_V_M8_M2 }, // 320
  { 0x3, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG3EI64_V_M1_MF8 }, // 321
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG3EI64_V_M1_MF4 }, // 322
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG3EI64_V_M2_MF4 }, // 323
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG3EI64_V_M1_MF2 }, // 324
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG3EI64_V_M2_MF2 }, // 325
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG3EI64_V_M4_MF2 }, // 326
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG3EI8_V_M1_M1 }, // 327
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG3EI8_V_MF8_M1 }, // 328
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG3EI8_V_MF4_M1 }, // 329
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG3EI8_V_MF2_M1 }, // 330
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG3EI8_V_M1_M2 }, // 331
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG3EI8_V_M2_M2 }, // 332
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG3EI8_V_MF4_M2 }, // 333
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG3EI8_V_MF2_M2 }, // 334
  { 0x3, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF8 }, // 335
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF4 }, // 336
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF4 }, // 337
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF2 }, // 338
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF2 }, // 339
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG3EI8_V_MF2_MF2 }, // 340
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG3EI16_V_M1_M1 }, // 341
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG3EI16_V_M2_M1 }, // 342
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG3EI16_V_MF4_M1 }, // 343
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG3EI16_V_MF2_M1 }, // 344
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG3EI16_V_M1_M2 }, // 345
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG3EI16_V_M2_M2 }, // 346
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG3EI16_V_M4_M2 }, // 347
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG3EI16_V_MF2_M2 }, // 348
  { 0x3, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF8 }, // 349
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF4 }, // 350
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF4 }, // 351
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG3EI16_V_M1_MF2 }, // 352
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF2 }, // 353
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF2 }, // 354
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG3EI32_V_M1_M1 }, // 355
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG3EI32_V_M2_M1 }, // 356
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG3EI32_V_M4_M1 }, // 357
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG3EI32_V_MF2_M1 }, // 358
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG3EI32_V_M1_M2 }, // 359
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG3EI32_V_M2_M2 }, // 360
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG3EI32_V_M4_M2 }, // 361
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG3EI32_V_M8_M2 }, // 362
  { 0x3, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF8 }, // 363
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG3EI32_V_M1_MF4 }, // 364
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF4 }, // 365
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG3EI32_V_M1_MF2 }, // 366
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG3EI32_V_M2_MF2 }, // 367
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF2 }, // 368
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG3EI64_V_M1_M1 }, // 369
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG3EI64_V_M2_M1 }, // 370
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG3EI64_V_M4_M1 }, // 371
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG3EI64_V_M8_M1 }, // 372
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG3EI64_V_M2_M2 }, // 373
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG3EI64_V_M4_M2 }, // 374
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG3EI64_V_M8_M2 }, // 375
  { 0x3, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG3EI64_V_M1_MF8 }, // 376
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG3EI64_V_M1_MF4 }, // 377
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG3EI64_V_M2_MF4 }, // 378
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG3EI64_V_M1_MF2 }, // 379
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG3EI64_V_M2_MF2 }, // 380
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG3EI64_V_M4_MF2 }, // 381
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG3EI8_V_M1_M1_MASK }, // 382
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG3EI8_V_MF8_M1_MASK }, // 383
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG3EI8_V_MF4_M1_MASK }, // 384
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG3EI8_V_MF2_M1_MASK }, // 385
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG3EI8_V_M1_M2_MASK }, // 386
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG3EI8_V_M2_M2_MASK }, // 387
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG3EI8_V_MF4_M2_MASK }, // 388
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG3EI8_V_MF2_M2_MASK }, // 389
  { 0x3, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF8_MASK }, // 390
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF4_MASK }, // 391
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF4_MASK }, // 392
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF2_MASK }, // 393
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF2_MASK }, // 394
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG3EI8_V_MF2_MF2_MASK }, // 395
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG3EI16_V_M1_M1_MASK }, // 396
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG3EI16_V_M2_M1_MASK }, // 397
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG3EI16_V_MF4_M1_MASK }, // 398
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG3EI16_V_MF2_M1_MASK }, // 399
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG3EI16_V_M1_M2_MASK }, // 400
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG3EI16_V_M2_M2_MASK }, // 401
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG3EI16_V_M4_M2_MASK }, // 402
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG3EI16_V_MF2_M2_MASK }, // 403
  { 0x3, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF8_MASK }, // 404
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF4_MASK }, // 405
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF4_MASK }, // 406
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG3EI16_V_M1_MF2_MASK }, // 407
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF2_MASK }, // 408
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF2_MASK }, // 409
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG3EI32_V_M1_M1_MASK }, // 410
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG3EI32_V_M2_M1_MASK }, // 411
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG3EI32_V_M4_M1_MASK }, // 412
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG3EI32_V_MF2_M1_MASK }, // 413
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG3EI32_V_M1_M2_MASK }, // 414
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG3EI32_V_M2_M2_MASK }, // 415
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG3EI32_V_M4_M2_MASK }, // 416
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG3EI32_V_M8_M2_MASK }, // 417
  { 0x3, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF8_MASK }, // 418
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG3EI32_V_M1_MF4_MASK }, // 419
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF4_MASK }, // 420
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG3EI32_V_M1_MF2_MASK }, // 421
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG3EI32_V_M2_MF2_MASK }, // 422
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF2_MASK }, // 423
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG3EI64_V_M1_M1_MASK }, // 424
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG3EI64_V_M2_M1_MASK }, // 425
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG3EI64_V_M4_M1_MASK }, // 426
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG3EI64_V_M8_M1_MASK }, // 427
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG3EI64_V_M2_M2_MASK }, // 428
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG3EI64_V_M4_M2_MASK }, // 429
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG3EI64_V_M8_M2_MASK }, // 430
  { 0x3, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG3EI64_V_M1_MF8_MASK }, // 431
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG3EI64_V_M1_MF4_MASK }, // 432
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG3EI64_V_M2_MF4_MASK }, // 433
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG3EI64_V_M1_MF2_MASK }, // 434
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG3EI64_V_M2_MF2_MASK }, // 435
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG3EI64_V_M4_MF2_MASK }, // 436
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG3EI8_V_M1_M1_MASK }, // 437
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG3EI8_V_MF8_M1_MASK }, // 438
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG3EI8_V_MF4_M1_MASK }, // 439
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG3EI8_V_MF2_M1_MASK }, // 440
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG3EI8_V_M1_M2_MASK }, // 441
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG3EI8_V_M2_M2_MASK }, // 442
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG3EI8_V_MF4_M2_MASK }, // 443
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG3EI8_V_MF2_M2_MASK }, // 444
  { 0x3, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF8_MASK }, // 445
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF4_MASK }, // 446
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF4_MASK }, // 447
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF2_MASK }, // 448
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF2_MASK }, // 449
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG3EI8_V_MF2_MF2_MASK }, // 450
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG3EI16_V_M1_M1_MASK }, // 451
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG3EI16_V_M2_M1_MASK }, // 452
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG3EI16_V_MF4_M1_MASK }, // 453
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG3EI16_V_MF2_M1_MASK }, // 454
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG3EI16_V_M1_M2_MASK }, // 455
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG3EI16_V_M2_M2_MASK }, // 456
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG3EI16_V_M4_M2_MASK }, // 457
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG3EI16_V_MF2_M2_MASK }, // 458
  { 0x3, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF8_MASK }, // 459
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF4_MASK }, // 460
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF4_MASK }, // 461
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG3EI16_V_M1_MF2_MASK }, // 462
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF2_MASK }, // 463
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF2_MASK }, // 464
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG3EI32_V_M1_M1_MASK }, // 465
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG3EI32_V_M2_M1_MASK }, // 466
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG3EI32_V_M4_M1_MASK }, // 467
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG3EI32_V_MF2_M1_MASK }, // 468
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG3EI32_V_M1_M2_MASK }, // 469
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG3EI32_V_M2_M2_MASK }, // 470
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG3EI32_V_M4_M2_MASK }, // 471
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG3EI32_V_M8_M2_MASK }, // 472
  { 0x3, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF8_MASK }, // 473
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG3EI32_V_M1_MF4_MASK }, // 474
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF4_MASK }, // 475
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG3EI32_V_M1_MF2_MASK }, // 476
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG3EI32_V_M2_MF2_MASK }, // 477
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF2_MASK }, // 478
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG3EI64_V_M1_M1_MASK }, // 479
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG3EI64_V_M2_M1_MASK }, // 480
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG3EI64_V_M4_M1_MASK }, // 481
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG3EI64_V_M8_M1_MASK }, // 482
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG3EI64_V_M2_M2_MASK }, // 483
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG3EI64_V_M4_M2_MASK }, // 484
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG3EI64_V_M8_M2_MASK }, // 485
  { 0x3, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG3EI64_V_M1_MF8_MASK }, // 486
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG3EI64_V_M1_MF4_MASK }, // 487
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG3EI64_V_M2_MF4_MASK }, // 488
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG3EI64_V_M1_MF2_MASK }, // 489
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG3EI64_V_M2_MF2_MASK }, // 490
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG3EI64_V_M4_MF2_MASK }, // 491
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG4EI8_V_M1_M1 }, // 492
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG4EI8_V_MF8_M1 }, // 493
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG4EI8_V_MF4_M1 }, // 494
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG4EI8_V_MF2_M1 }, // 495
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG4EI8_V_M1_M2 }, // 496
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG4EI8_V_M2_M2 }, // 497
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG4EI8_V_MF4_M2 }, // 498
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG4EI8_V_MF2_M2 }, // 499
  { 0x4, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF8 }, // 500
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF4 }, // 501
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF4 }, // 502
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF2 }, // 503
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF2 }, // 504
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG4EI8_V_MF2_MF2 }, // 505
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG4EI16_V_M1_M1 }, // 506
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG4EI16_V_M2_M1 }, // 507
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG4EI16_V_MF4_M1 }, // 508
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG4EI16_V_MF2_M1 }, // 509
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG4EI16_V_M1_M2 }, // 510
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG4EI16_V_M2_M2 }, // 511
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG4EI16_V_M4_M2 }, // 512
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG4EI16_V_MF2_M2 }, // 513
  { 0x4, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF8 }, // 514
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF4 }, // 515
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF4 }, // 516
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG4EI16_V_M1_MF2 }, // 517
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF2 }, // 518
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF2 }, // 519
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG4EI32_V_M1_M1 }, // 520
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG4EI32_V_M2_M1 }, // 521
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG4EI32_V_M4_M1 }, // 522
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG4EI32_V_MF2_M1 }, // 523
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG4EI32_V_M1_M2 }, // 524
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG4EI32_V_M2_M2 }, // 525
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG4EI32_V_M4_M2 }, // 526
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG4EI32_V_M8_M2 }, // 527
  { 0x4, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF8 }, // 528
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG4EI32_V_M1_MF4 }, // 529
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF4 }, // 530
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG4EI32_V_M1_MF2 }, // 531
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG4EI32_V_M2_MF2 }, // 532
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF2 }, // 533
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG4EI64_V_M1_M1 }, // 534
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG4EI64_V_M2_M1 }, // 535
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG4EI64_V_M4_M1 }, // 536
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG4EI64_V_M8_M1 }, // 537
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG4EI64_V_M2_M2 }, // 538
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG4EI64_V_M4_M2 }, // 539
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG4EI64_V_M8_M2 }, // 540
  { 0x4, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG4EI64_V_M1_MF8 }, // 541
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG4EI64_V_M1_MF4 }, // 542
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG4EI64_V_M2_MF4 }, // 543
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG4EI64_V_M1_MF2 }, // 544
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG4EI64_V_M2_MF2 }, // 545
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG4EI64_V_M4_MF2 }, // 546
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG4EI8_V_M1_M1 }, // 547
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG4EI8_V_MF8_M1 }, // 548
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG4EI8_V_MF4_M1 }, // 549
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG4EI8_V_MF2_M1 }, // 550
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG4EI8_V_M1_M2 }, // 551
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG4EI8_V_M2_M2 }, // 552
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG4EI8_V_MF4_M2 }, // 553
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG4EI8_V_MF2_M2 }, // 554
  { 0x4, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF8 }, // 555
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF4 }, // 556
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF4 }, // 557
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF2 }, // 558
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF2 }, // 559
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG4EI8_V_MF2_MF2 }, // 560
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG4EI16_V_M1_M1 }, // 561
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG4EI16_V_M2_M1 }, // 562
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG4EI16_V_MF4_M1 }, // 563
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG4EI16_V_MF2_M1 }, // 564
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG4EI16_V_M1_M2 }, // 565
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG4EI16_V_M2_M2 }, // 566
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG4EI16_V_M4_M2 }, // 567
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG4EI16_V_MF2_M2 }, // 568
  { 0x4, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF8 }, // 569
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF4 }, // 570
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF4 }, // 571
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG4EI16_V_M1_MF2 }, // 572
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF2 }, // 573
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF2 }, // 574
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG4EI32_V_M1_M1 }, // 575
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG4EI32_V_M2_M1 }, // 576
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG4EI32_V_M4_M1 }, // 577
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG4EI32_V_MF2_M1 }, // 578
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG4EI32_V_M1_M2 }, // 579
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG4EI32_V_M2_M2 }, // 580
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG4EI32_V_M4_M2 }, // 581
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG4EI32_V_M8_M2 }, // 582
  { 0x4, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF8 }, // 583
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG4EI32_V_M1_MF4 }, // 584
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF4 }, // 585
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG4EI32_V_M1_MF2 }, // 586
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG4EI32_V_M2_MF2 }, // 587
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF2 }, // 588
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG4EI64_V_M1_M1 }, // 589
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG4EI64_V_M2_M1 }, // 590
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG4EI64_V_M4_M1 }, // 591
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG4EI64_V_M8_M1 }, // 592
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG4EI64_V_M2_M2 }, // 593
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG4EI64_V_M4_M2 }, // 594
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG4EI64_V_M8_M2 }, // 595
  { 0x4, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG4EI64_V_M1_MF8 }, // 596
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG4EI64_V_M1_MF4 }, // 597
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG4EI64_V_M2_MF4 }, // 598
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG4EI64_V_M1_MF2 }, // 599
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG4EI64_V_M2_MF2 }, // 600
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG4EI64_V_M4_MF2 }, // 601
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG4EI8_V_M1_M1_MASK }, // 602
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG4EI8_V_MF8_M1_MASK }, // 603
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG4EI8_V_MF4_M1_MASK }, // 604
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG4EI8_V_MF2_M1_MASK }, // 605
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG4EI8_V_M1_M2_MASK }, // 606
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG4EI8_V_M2_M2_MASK }, // 607
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG4EI8_V_MF4_M2_MASK }, // 608
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG4EI8_V_MF2_M2_MASK }, // 609
  { 0x4, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF8_MASK }, // 610
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF4_MASK }, // 611
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF4_MASK }, // 612
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF2_MASK }, // 613
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF2_MASK }, // 614
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG4EI8_V_MF2_MF2_MASK }, // 615
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG4EI16_V_M1_M1_MASK }, // 616
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG4EI16_V_M2_M1_MASK }, // 617
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG4EI16_V_MF4_M1_MASK }, // 618
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG4EI16_V_MF2_M1_MASK }, // 619
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG4EI16_V_M1_M2_MASK }, // 620
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG4EI16_V_M2_M2_MASK }, // 621
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG4EI16_V_M4_M2_MASK }, // 622
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG4EI16_V_MF2_M2_MASK }, // 623
  { 0x4, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF8_MASK }, // 624
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF4_MASK }, // 625
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF4_MASK }, // 626
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG4EI16_V_M1_MF2_MASK }, // 627
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF2_MASK }, // 628
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF2_MASK }, // 629
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG4EI32_V_M1_M1_MASK }, // 630
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG4EI32_V_M2_M1_MASK }, // 631
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG4EI32_V_M4_M1_MASK }, // 632
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG4EI32_V_MF2_M1_MASK }, // 633
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG4EI32_V_M1_M2_MASK }, // 634
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG4EI32_V_M2_M2_MASK }, // 635
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG4EI32_V_M4_M2_MASK }, // 636
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG4EI32_V_M8_M2_MASK }, // 637
  { 0x4, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF8_MASK }, // 638
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG4EI32_V_M1_MF4_MASK }, // 639
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF4_MASK }, // 640
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG4EI32_V_M1_MF2_MASK }, // 641
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG4EI32_V_M2_MF2_MASK }, // 642
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF2_MASK }, // 643
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG4EI64_V_M1_M1_MASK }, // 644
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG4EI64_V_M2_M1_MASK }, // 645
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG4EI64_V_M4_M1_MASK }, // 646
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG4EI64_V_M8_M1_MASK }, // 647
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG4EI64_V_M2_M2_MASK }, // 648
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG4EI64_V_M4_M2_MASK }, // 649
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG4EI64_V_M8_M2_MASK }, // 650
  { 0x4, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG4EI64_V_M1_MF8_MASK }, // 651
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG4EI64_V_M1_MF4_MASK }, // 652
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG4EI64_V_M2_MF4_MASK }, // 653
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG4EI64_V_M1_MF2_MASK }, // 654
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG4EI64_V_M2_MF2_MASK }, // 655
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG4EI64_V_M4_MF2_MASK }, // 656
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG4EI8_V_M1_M1_MASK }, // 657
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG4EI8_V_MF8_M1_MASK }, // 658
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG4EI8_V_MF4_M1_MASK }, // 659
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG4EI8_V_MF2_M1_MASK }, // 660
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG4EI8_V_M1_M2_MASK }, // 661
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG4EI8_V_M2_M2_MASK }, // 662
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG4EI8_V_MF4_M2_MASK }, // 663
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG4EI8_V_MF2_M2_MASK }, // 664
  { 0x4, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF8_MASK }, // 665
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF4_MASK }, // 666
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF4_MASK }, // 667
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF2_MASK }, // 668
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF2_MASK }, // 669
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG4EI8_V_MF2_MF2_MASK }, // 670
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG4EI16_V_M1_M1_MASK }, // 671
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG4EI16_V_M2_M1_MASK }, // 672
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG4EI16_V_MF4_M1_MASK }, // 673
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG4EI16_V_MF2_M1_MASK }, // 674
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG4EI16_V_M1_M2_MASK }, // 675
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG4EI16_V_M2_M2_MASK }, // 676
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG4EI16_V_M4_M2_MASK }, // 677
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG4EI16_V_MF2_M2_MASK }, // 678
  { 0x4, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF8_MASK }, // 679
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF4_MASK }, // 680
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF4_MASK }, // 681
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG4EI16_V_M1_MF2_MASK }, // 682
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF2_MASK }, // 683
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF2_MASK }, // 684
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG4EI32_V_M1_M1_MASK }, // 685
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG4EI32_V_M2_M1_MASK }, // 686
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG4EI32_V_M4_M1_MASK }, // 687
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG4EI32_V_MF2_M1_MASK }, // 688
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG4EI32_V_M1_M2_MASK }, // 689
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG4EI32_V_M2_M2_MASK }, // 690
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG4EI32_V_M4_M2_MASK }, // 691
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG4EI32_V_M8_M2_MASK }, // 692
  { 0x4, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF8_MASK }, // 693
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG4EI32_V_M1_MF4_MASK }, // 694
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF4_MASK }, // 695
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG4EI32_V_M1_MF2_MASK }, // 696
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG4EI32_V_M2_MF2_MASK }, // 697
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF2_MASK }, // 698
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG4EI64_V_M1_M1_MASK }, // 699
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG4EI64_V_M2_M1_MASK }, // 700
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG4EI64_V_M4_M1_MASK }, // 701
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG4EI64_V_M8_M1_MASK }, // 702
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG4EI64_V_M2_M2_MASK }, // 703
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG4EI64_V_M4_M2_MASK }, // 704
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG4EI64_V_M8_M2_MASK }, // 705
  { 0x4, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG4EI64_V_M1_MF8_MASK }, // 706
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG4EI64_V_M1_MF4_MASK }, // 707
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG4EI64_V_M2_MF4_MASK }, // 708
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG4EI64_V_M1_MF2_MASK }, // 709
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG4EI64_V_M2_MF2_MASK }, // 710
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG4EI64_V_M4_MF2_MASK }, // 711
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG5EI8_V_M1_M1 }, // 712
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG5EI8_V_MF8_M1 }, // 713
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG5EI8_V_MF4_M1 }, // 714
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG5EI8_V_MF2_M1 }, // 715
  { 0x5, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF8 }, // 716
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF4 }, // 717
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF4 }, // 718
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF2 }, // 719
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF2 }, // 720
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG5EI8_V_MF2_MF2 }, // 721
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG5EI16_V_M1_M1 }, // 722
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG5EI16_V_M2_M1 }, // 723
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG5EI16_V_MF4_M1 }, // 724
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG5EI16_V_MF2_M1 }, // 725
  { 0x5, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF8 }, // 726
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF4 }, // 727
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF4 }, // 728
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG5EI16_V_M1_MF2 }, // 729
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF2 }, // 730
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF2 }, // 731
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG5EI32_V_M1_M1 }, // 732
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG5EI32_V_M2_M1 }, // 733
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG5EI32_V_M4_M1 }, // 734
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG5EI32_V_MF2_M1 }, // 735
  { 0x5, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF8 }, // 736
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG5EI32_V_M1_MF4 }, // 737
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF4 }, // 738
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG5EI32_V_M1_MF2 }, // 739
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG5EI32_V_M2_MF2 }, // 740
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF2 }, // 741
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG5EI64_V_M1_M1 }, // 742
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG5EI64_V_M2_M1 }, // 743
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG5EI64_V_M4_M1 }, // 744
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG5EI64_V_M8_M1 }, // 745
  { 0x5, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG5EI64_V_M1_MF8 }, // 746
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG5EI64_V_M1_MF4 }, // 747
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG5EI64_V_M2_MF4 }, // 748
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG5EI64_V_M1_MF2 }, // 749
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG5EI64_V_M2_MF2 }, // 750
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG5EI64_V_M4_MF2 }, // 751
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG5EI8_V_M1_M1 }, // 752
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG5EI8_V_MF8_M1 }, // 753
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG5EI8_V_MF4_M1 }, // 754
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG5EI8_V_MF2_M1 }, // 755
  { 0x5, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF8 }, // 756
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF4 }, // 757
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF4 }, // 758
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF2 }, // 759
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF2 }, // 760
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG5EI8_V_MF2_MF2 }, // 761
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG5EI16_V_M1_M1 }, // 762
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG5EI16_V_M2_M1 }, // 763
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG5EI16_V_MF4_M1 }, // 764
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG5EI16_V_MF2_M1 }, // 765
  { 0x5, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF8 }, // 766
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF4 }, // 767
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF4 }, // 768
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG5EI16_V_M1_MF2 }, // 769
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF2 }, // 770
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF2 }, // 771
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG5EI32_V_M1_M1 }, // 772
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG5EI32_V_M2_M1 }, // 773
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG5EI32_V_M4_M1 }, // 774
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG5EI32_V_MF2_M1 }, // 775
  { 0x5, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF8 }, // 776
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG5EI32_V_M1_MF4 }, // 777
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF4 }, // 778
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG5EI32_V_M1_MF2 }, // 779
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG5EI32_V_M2_MF2 }, // 780
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF2 }, // 781
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG5EI64_V_M1_M1 }, // 782
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG5EI64_V_M2_M1 }, // 783
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG5EI64_V_M4_M1 }, // 784
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG5EI64_V_M8_M1 }, // 785
  { 0x5, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG5EI64_V_M1_MF8 }, // 786
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG5EI64_V_M1_MF4 }, // 787
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG5EI64_V_M2_MF4 }, // 788
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG5EI64_V_M1_MF2 }, // 789
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG5EI64_V_M2_MF2 }, // 790
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG5EI64_V_M4_MF2 }, // 791
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG5EI8_V_M1_M1_MASK }, // 792
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG5EI8_V_MF8_M1_MASK }, // 793
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG5EI8_V_MF4_M1_MASK }, // 794
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG5EI8_V_MF2_M1_MASK }, // 795
  { 0x5, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF8_MASK }, // 796
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF4_MASK }, // 797
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF4_MASK }, // 798
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF2_MASK }, // 799
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF2_MASK }, // 800
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG5EI8_V_MF2_MF2_MASK }, // 801
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG5EI16_V_M1_M1_MASK }, // 802
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG5EI16_V_M2_M1_MASK }, // 803
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG5EI16_V_MF4_M1_MASK }, // 804
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG5EI16_V_MF2_M1_MASK }, // 805
  { 0x5, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF8_MASK }, // 806
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF4_MASK }, // 807
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF4_MASK }, // 808
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG5EI16_V_M1_MF2_MASK }, // 809
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF2_MASK }, // 810
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF2_MASK }, // 811
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG5EI32_V_M1_M1_MASK }, // 812
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG5EI32_V_M2_M1_MASK }, // 813
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG5EI32_V_M4_M1_MASK }, // 814
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG5EI32_V_MF2_M1_MASK }, // 815
  { 0x5, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF8_MASK }, // 816
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG5EI32_V_M1_MF4_MASK }, // 817
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF4_MASK }, // 818
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG5EI32_V_M1_MF2_MASK }, // 819
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG5EI32_V_M2_MF2_MASK }, // 820
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF2_MASK }, // 821
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG5EI64_V_M1_M1_MASK }, // 822
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG5EI64_V_M2_M1_MASK }, // 823
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG5EI64_V_M4_M1_MASK }, // 824
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG5EI64_V_M8_M1_MASK }, // 825
  { 0x5, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG5EI64_V_M1_MF8_MASK }, // 826
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG5EI64_V_M1_MF4_MASK }, // 827
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG5EI64_V_M2_MF4_MASK }, // 828
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG5EI64_V_M1_MF2_MASK }, // 829
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG5EI64_V_M2_MF2_MASK }, // 830
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG5EI64_V_M4_MF2_MASK }, // 831
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG5EI8_V_M1_M1_MASK }, // 832
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG5EI8_V_MF8_M1_MASK }, // 833
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG5EI8_V_MF4_M1_MASK }, // 834
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG5EI8_V_MF2_M1_MASK }, // 835
  { 0x5, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF8_MASK }, // 836
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF4_MASK }, // 837
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF4_MASK }, // 838
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF2_MASK }, // 839
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF2_MASK }, // 840
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG5EI8_V_MF2_MF2_MASK }, // 841
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG5EI16_V_M1_M1_MASK }, // 842
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG5EI16_V_M2_M1_MASK }, // 843
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG5EI16_V_MF4_M1_MASK }, // 844
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG5EI16_V_MF2_M1_MASK }, // 845
  { 0x5, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF8_MASK }, // 846
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF4_MASK }, // 847
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF4_MASK }, // 848
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG5EI16_V_M1_MF2_MASK }, // 849
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF2_MASK }, // 850
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF2_MASK }, // 851
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG5EI32_V_M1_M1_MASK }, // 852
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG5EI32_V_M2_M1_MASK }, // 853
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG5EI32_V_M4_M1_MASK }, // 854
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG5EI32_V_MF2_M1_MASK }, // 855
  { 0x5, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF8_MASK }, // 856
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG5EI32_V_M1_MF4_MASK }, // 857
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF4_MASK }, // 858
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG5EI32_V_M1_MF2_MASK }, // 859
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG5EI32_V_M2_MF2_MASK }, // 860
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF2_MASK }, // 861
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG5EI64_V_M1_M1_MASK }, // 862
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG5EI64_V_M2_M1_MASK }, // 863
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG5EI64_V_M4_M1_MASK }, // 864
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG5EI64_V_M8_M1_MASK }, // 865
  { 0x5, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG5EI64_V_M1_MF8_MASK }, // 866
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG5EI64_V_M1_MF4_MASK }, // 867
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG5EI64_V_M2_MF4_MASK }, // 868
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG5EI64_V_M1_MF2_MASK }, // 869
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG5EI64_V_M2_MF2_MASK }, // 870
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG5EI64_V_M4_MF2_MASK }, // 871
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG6EI8_V_M1_M1 }, // 872
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG6EI8_V_MF8_M1 }, // 873
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG6EI8_V_MF4_M1 }, // 874
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG6EI8_V_MF2_M1 }, // 875
  { 0x6, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF8 }, // 876
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF4 }, // 877
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF4 }, // 878
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF2 }, // 879
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF2 }, // 880
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG6EI8_V_MF2_MF2 }, // 881
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG6EI16_V_M1_M1 }, // 882
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG6EI16_V_M2_M1 }, // 883
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG6EI16_V_MF4_M1 }, // 884
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG6EI16_V_MF2_M1 }, // 885
  { 0x6, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF8 }, // 886
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF4 }, // 887
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF4 }, // 888
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG6EI16_V_M1_MF2 }, // 889
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF2 }, // 890
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF2 }, // 891
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG6EI32_V_M1_M1 }, // 892
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG6EI32_V_M2_M1 }, // 893
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG6EI32_V_M4_M1 }, // 894
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG6EI32_V_MF2_M1 }, // 895
  { 0x6, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF8 }, // 896
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG6EI32_V_M1_MF4 }, // 897
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF4 }, // 898
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG6EI32_V_M1_MF2 }, // 899
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG6EI32_V_M2_MF2 }, // 900
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF2 }, // 901
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG6EI64_V_M1_M1 }, // 902
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG6EI64_V_M2_M1 }, // 903
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG6EI64_V_M4_M1 }, // 904
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG6EI64_V_M8_M1 }, // 905
  { 0x6, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG6EI64_V_M1_MF8 }, // 906
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG6EI64_V_M1_MF4 }, // 907
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG6EI64_V_M2_MF4 }, // 908
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG6EI64_V_M1_MF2 }, // 909
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG6EI64_V_M2_MF2 }, // 910
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG6EI64_V_M4_MF2 }, // 911
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG6EI8_V_M1_M1 }, // 912
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG6EI8_V_MF8_M1 }, // 913
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG6EI8_V_MF4_M1 }, // 914
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG6EI8_V_MF2_M1 }, // 915
  { 0x6, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF8 }, // 916
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF4 }, // 917
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF4 }, // 918
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF2 }, // 919
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF2 }, // 920
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG6EI8_V_MF2_MF2 }, // 921
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG6EI16_V_M1_M1 }, // 922
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG6EI16_V_M2_M1 }, // 923
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG6EI16_V_MF4_M1 }, // 924
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG6EI16_V_MF2_M1 }, // 925
  { 0x6, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF8 }, // 926
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF4 }, // 927
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF4 }, // 928
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG6EI16_V_M1_MF2 }, // 929
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF2 }, // 930
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF2 }, // 931
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG6EI32_V_M1_M1 }, // 932
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG6EI32_V_M2_M1 }, // 933
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG6EI32_V_M4_M1 }, // 934
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG6EI32_V_MF2_M1 }, // 935
  { 0x6, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF8 }, // 936
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG6EI32_V_M1_MF4 }, // 937
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF4 }, // 938
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG6EI32_V_M1_MF2 }, // 939
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG6EI32_V_M2_MF2 }, // 940
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF2 }, // 941
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG6EI64_V_M1_M1 }, // 942
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG6EI64_V_M2_M1 }, // 943
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG6EI64_V_M4_M1 }, // 944
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG6EI64_V_M8_M1 }, // 945
  { 0x6, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG6EI64_V_M1_MF8 }, // 946
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG6EI64_V_M1_MF4 }, // 947
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG6EI64_V_M2_MF4 }, // 948
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG6EI64_V_M1_MF2 }, // 949
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG6EI64_V_M2_MF2 }, // 950
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG6EI64_V_M4_MF2 }, // 951
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG6EI8_V_M1_M1_MASK }, // 952
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG6EI8_V_MF8_M1_MASK }, // 953
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG6EI8_V_MF4_M1_MASK }, // 954
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG6EI8_V_MF2_M1_MASK }, // 955
  { 0x6, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF8_MASK }, // 956
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF4_MASK }, // 957
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF4_MASK }, // 958
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF2_MASK }, // 959
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF2_MASK }, // 960
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG6EI8_V_MF2_MF2_MASK }, // 961
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG6EI16_V_M1_M1_MASK }, // 962
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG6EI16_V_M2_M1_MASK }, // 963
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG6EI16_V_MF4_M1_MASK }, // 964
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG6EI16_V_MF2_M1_MASK }, // 965
  { 0x6, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF8_MASK }, // 966
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF4_MASK }, // 967
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF4_MASK }, // 968
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG6EI16_V_M1_MF2_MASK }, // 969
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF2_MASK }, // 970
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF2_MASK }, // 971
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG6EI32_V_M1_M1_MASK }, // 972
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG6EI32_V_M2_M1_MASK }, // 973
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG6EI32_V_M4_M1_MASK }, // 974
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG6EI32_V_MF2_M1_MASK }, // 975
  { 0x6, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF8_MASK }, // 976
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG6EI32_V_M1_MF4_MASK }, // 977
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF4_MASK }, // 978
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG6EI32_V_M1_MF2_MASK }, // 979
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG6EI32_V_M2_MF2_MASK }, // 980
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF2_MASK }, // 981
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG6EI64_V_M1_M1_MASK }, // 982
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG6EI64_V_M2_M1_MASK }, // 983
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG6EI64_V_M4_M1_MASK }, // 984
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG6EI64_V_M8_M1_MASK }, // 985
  { 0x6, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG6EI64_V_M1_MF8_MASK }, // 986
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG6EI64_V_M1_MF4_MASK }, // 987
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG6EI64_V_M2_MF4_MASK }, // 988
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG6EI64_V_M1_MF2_MASK }, // 989
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG6EI64_V_M2_MF2_MASK }, // 990
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG6EI64_V_M4_MF2_MASK }, // 991
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG6EI8_V_M1_M1_MASK }, // 992
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG6EI8_V_MF8_M1_MASK }, // 993
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG6EI8_V_MF4_M1_MASK }, // 994
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG6EI8_V_MF2_M1_MASK }, // 995
  { 0x6, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF8_MASK }, // 996
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF4_MASK }, // 997
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF4_MASK }, // 998
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF2_MASK }, // 999
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF2_MASK }, // 1000
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG6EI8_V_MF2_MF2_MASK }, // 1001
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG6EI16_V_M1_M1_MASK }, // 1002
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG6EI16_V_M2_M1_MASK }, // 1003
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG6EI16_V_MF4_M1_MASK }, // 1004
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG6EI16_V_MF2_M1_MASK }, // 1005
  { 0x6, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF8_MASK }, // 1006
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF4_MASK }, // 1007
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF4_MASK }, // 1008
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG6EI16_V_M1_MF2_MASK }, // 1009
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF2_MASK }, // 1010
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF2_MASK }, // 1011
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG6EI32_V_M1_M1_MASK }, // 1012
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG6EI32_V_M2_M1_MASK }, // 1013
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG6EI32_V_M4_M1_MASK }, // 1014
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG6EI32_V_MF2_M1_MASK }, // 1015
  { 0x6, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF8_MASK }, // 1016
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG6EI32_V_M1_MF4_MASK }, // 1017
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF4_MASK }, // 1018
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG6EI32_V_M1_MF2_MASK }, // 1019
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG6EI32_V_M2_MF2_MASK }, // 1020
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF2_MASK }, // 1021
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG6EI64_V_M1_M1_MASK }, // 1022
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG6EI64_V_M2_M1_MASK }, // 1023
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG6EI64_V_M4_M1_MASK }, // 1024
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG6EI64_V_M8_M1_MASK }, // 1025
  { 0x6, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG6EI64_V_M1_MF8_MASK }, // 1026
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG6EI64_V_M1_MF4_MASK }, // 1027
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG6EI64_V_M2_MF4_MASK }, // 1028
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG6EI64_V_M1_MF2_MASK }, // 1029
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG6EI64_V_M2_MF2_MASK }, // 1030
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG6EI64_V_M4_MF2_MASK }, // 1031
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG7EI8_V_M1_M1 }, // 1032
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG7EI8_V_MF8_M1 }, // 1033
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG7EI8_V_MF4_M1 }, // 1034
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG7EI8_V_MF2_M1 }, // 1035
  { 0x7, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF8 }, // 1036
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF4 }, // 1037
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF4 }, // 1038
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF2 }, // 1039
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF2 }, // 1040
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG7EI8_V_MF2_MF2 }, // 1041
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG7EI16_V_M1_M1 }, // 1042
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG7EI16_V_M2_M1 }, // 1043
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG7EI16_V_MF4_M1 }, // 1044
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG7EI16_V_MF2_M1 }, // 1045
  { 0x7, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF8 }, // 1046
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF4 }, // 1047
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF4 }, // 1048
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG7EI16_V_M1_MF2 }, // 1049
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF2 }, // 1050
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF2 }, // 1051
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG7EI32_V_M1_M1 }, // 1052
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG7EI32_V_M2_M1 }, // 1053
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG7EI32_V_M4_M1 }, // 1054
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG7EI32_V_MF2_M1 }, // 1055
  { 0x7, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF8 }, // 1056
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG7EI32_V_M1_MF4 }, // 1057
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF4 }, // 1058
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG7EI32_V_M1_MF2 }, // 1059
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG7EI32_V_M2_MF2 }, // 1060
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF2 }, // 1061
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG7EI64_V_M1_M1 }, // 1062
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG7EI64_V_M2_M1 }, // 1063
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG7EI64_V_M4_M1 }, // 1064
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG7EI64_V_M8_M1 }, // 1065
  { 0x7, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG7EI64_V_M1_MF8 }, // 1066
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG7EI64_V_M1_MF4 }, // 1067
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG7EI64_V_M2_MF4 }, // 1068
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG7EI64_V_M1_MF2 }, // 1069
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG7EI64_V_M2_MF2 }, // 1070
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG7EI64_V_M4_MF2 }, // 1071
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG7EI8_V_M1_M1 }, // 1072
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG7EI8_V_MF8_M1 }, // 1073
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG7EI8_V_MF4_M1 }, // 1074
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG7EI8_V_MF2_M1 }, // 1075
  { 0x7, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF8 }, // 1076
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF4 }, // 1077
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF4 }, // 1078
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF2 }, // 1079
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF2 }, // 1080
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG7EI8_V_MF2_MF2 }, // 1081
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG7EI16_V_M1_M1 }, // 1082
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG7EI16_V_M2_M1 }, // 1083
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG7EI16_V_MF4_M1 }, // 1084
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG7EI16_V_MF2_M1 }, // 1085
  { 0x7, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF8 }, // 1086
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF4 }, // 1087
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF4 }, // 1088
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG7EI16_V_M1_MF2 }, // 1089
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF2 }, // 1090
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF2 }, // 1091
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG7EI32_V_M1_M1 }, // 1092
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG7EI32_V_M2_M1 }, // 1093
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG7EI32_V_M4_M1 }, // 1094
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG7EI32_V_MF2_M1 }, // 1095
  { 0x7, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF8 }, // 1096
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG7EI32_V_M1_MF4 }, // 1097
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF4 }, // 1098
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG7EI32_V_M1_MF2 }, // 1099
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG7EI32_V_M2_MF2 }, // 1100
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF2 }, // 1101
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG7EI64_V_M1_M1 }, // 1102
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG7EI64_V_M2_M1 }, // 1103
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG7EI64_V_M4_M1 }, // 1104
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG7EI64_V_M8_M1 }, // 1105
  { 0x7, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG7EI64_V_M1_MF8 }, // 1106
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG7EI64_V_M1_MF4 }, // 1107
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG7EI64_V_M2_MF4 }, // 1108
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG7EI64_V_M1_MF2 }, // 1109
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG7EI64_V_M2_MF2 }, // 1110
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG7EI64_V_M4_MF2 }, // 1111
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG7EI8_V_M1_M1_MASK }, // 1112
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG7EI8_V_MF8_M1_MASK }, // 1113
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG7EI8_V_MF4_M1_MASK }, // 1114
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG7EI8_V_MF2_M1_MASK }, // 1115
  { 0x7, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF8_MASK }, // 1116
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF4_MASK }, // 1117
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF4_MASK }, // 1118
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF2_MASK }, // 1119
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF2_MASK }, // 1120
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG7EI8_V_MF2_MF2_MASK }, // 1121
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG7EI16_V_M1_M1_MASK }, // 1122
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG7EI16_V_M2_M1_MASK }, // 1123
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG7EI16_V_MF4_M1_MASK }, // 1124
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG7EI16_V_MF2_M1_MASK }, // 1125
  { 0x7, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF8_MASK }, // 1126
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF4_MASK }, // 1127
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF4_MASK }, // 1128
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG7EI16_V_M1_MF2_MASK }, // 1129
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF2_MASK }, // 1130
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF2_MASK }, // 1131
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG7EI32_V_M1_M1_MASK }, // 1132
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG7EI32_V_M2_M1_MASK }, // 1133
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG7EI32_V_M4_M1_MASK }, // 1134
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG7EI32_V_MF2_M1_MASK }, // 1135
  { 0x7, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF8_MASK }, // 1136
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG7EI32_V_M1_MF4_MASK }, // 1137
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF4_MASK }, // 1138
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG7EI32_V_M1_MF2_MASK }, // 1139
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG7EI32_V_M2_MF2_MASK }, // 1140
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF2_MASK }, // 1141
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG7EI64_V_M1_M1_MASK }, // 1142
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG7EI64_V_M2_M1_MASK }, // 1143
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG7EI64_V_M4_M1_MASK }, // 1144
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG7EI64_V_M8_M1_MASK }, // 1145
  { 0x7, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG7EI64_V_M1_MF8_MASK }, // 1146
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG7EI64_V_M1_MF4_MASK }, // 1147
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG7EI64_V_M2_MF4_MASK }, // 1148
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG7EI64_V_M1_MF2_MASK }, // 1149
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG7EI64_V_M2_MF2_MASK }, // 1150
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG7EI64_V_M4_MF2_MASK }, // 1151
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG7EI8_V_M1_M1_MASK }, // 1152
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG7EI8_V_MF8_M1_MASK }, // 1153
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG7EI8_V_MF4_M1_MASK }, // 1154
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG7EI8_V_MF2_M1_MASK }, // 1155
  { 0x7, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF8_MASK }, // 1156
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF4_MASK }, // 1157
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF4_MASK }, // 1158
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF2_MASK }, // 1159
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF2_MASK }, // 1160
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG7EI8_V_MF2_MF2_MASK }, // 1161
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG7EI16_V_M1_M1_MASK }, // 1162
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG7EI16_V_M2_M1_MASK }, // 1163
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG7EI16_V_MF4_M1_MASK }, // 1164
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG7EI16_V_MF2_M1_MASK }, // 1165
  { 0x7, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF8_MASK }, // 1166
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF4_MASK }, // 1167
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF4_MASK }, // 1168
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG7EI16_V_M1_MF2_MASK }, // 1169
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF2_MASK }, // 1170
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF2_MASK }, // 1171
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG7EI32_V_M1_M1_MASK }, // 1172
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG7EI32_V_M2_M1_MASK }, // 1173
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG7EI32_V_M4_M1_MASK }, // 1174
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG7EI32_V_MF2_M1_MASK }, // 1175
  { 0x7, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF8_MASK }, // 1176
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG7EI32_V_M1_MF4_MASK }, // 1177
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF4_MASK }, // 1178
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG7EI32_V_M1_MF2_MASK }, // 1179
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG7EI32_V_M2_MF2_MASK }, // 1180
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF2_MASK }, // 1181
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG7EI64_V_M1_M1_MASK }, // 1182
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG7EI64_V_M2_M1_MASK }, // 1183
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG7EI64_V_M4_M1_MASK }, // 1184
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG7EI64_V_M8_M1_MASK }, // 1185
  { 0x7, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG7EI64_V_M1_MF8_MASK }, // 1186
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG7EI64_V_M1_MF4_MASK }, // 1187
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG7EI64_V_M2_MF4_MASK }, // 1188
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG7EI64_V_M1_MF2_MASK }, // 1189
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG7EI64_V_M2_MF2_MASK }, // 1190
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG7EI64_V_M4_MF2_MASK }, // 1191
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG8EI8_V_M1_M1 }, // 1192
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG8EI8_V_MF8_M1 }, // 1193
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG8EI8_V_MF4_M1 }, // 1194
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG8EI8_V_MF2_M1 }, // 1195
  { 0x8, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF8 }, // 1196
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF4 }, // 1197
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF4 }, // 1198
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF2 }, // 1199
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF2 }, // 1200
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG8EI8_V_MF2_MF2 }, // 1201
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG8EI16_V_M1_M1 }, // 1202
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG8EI16_V_M2_M1 }, // 1203
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG8EI16_V_MF4_M1 }, // 1204
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG8EI16_V_MF2_M1 }, // 1205
  { 0x8, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF8 }, // 1206
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF4 }, // 1207
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF4 }, // 1208
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG8EI16_V_M1_MF2 }, // 1209
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF2 }, // 1210
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF2 }, // 1211
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG8EI32_V_M1_M1 }, // 1212
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG8EI32_V_M2_M1 }, // 1213
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG8EI32_V_M4_M1 }, // 1214
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG8EI32_V_MF2_M1 }, // 1215
  { 0x8, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF8 }, // 1216
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG8EI32_V_M1_MF4 }, // 1217
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF4 }, // 1218
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG8EI32_V_M1_MF2 }, // 1219
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG8EI32_V_M2_MF2 }, // 1220
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF2 }, // 1221
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG8EI64_V_M1_M1 }, // 1222
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG8EI64_V_M2_M1 }, // 1223
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG8EI64_V_M4_M1 }, // 1224
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG8EI64_V_M8_M1 }, // 1225
  { 0x8, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG8EI64_V_M1_MF8 }, // 1226
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG8EI64_V_M1_MF4 }, // 1227
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG8EI64_V_M2_MF4 }, // 1228
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG8EI64_V_M1_MF2 }, // 1229
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG8EI64_V_M2_MF2 }, // 1230
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG8EI64_V_M4_MF2 }, // 1231
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG8EI8_V_M1_M1 }, // 1232
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG8EI8_V_MF8_M1 }, // 1233
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG8EI8_V_MF4_M1 }, // 1234
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG8EI8_V_MF2_M1 }, // 1235
  { 0x8, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF8 }, // 1236
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF4 }, // 1237
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF4 }, // 1238
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF2 }, // 1239
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF2 }, // 1240
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG8EI8_V_MF2_MF2 }, // 1241
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG8EI16_V_M1_M1 }, // 1242
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG8EI16_V_M2_M1 }, // 1243
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG8EI16_V_MF4_M1 }, // 1244
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG8EI16_V_MF2_M1 }, // 1245
  { 0x8, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF8 }, // 1246
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF4 }, // 1247
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF4 }, // 1248
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG8EI16_V_M1_MF2 }, // 1249
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF2 }, // 1250
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF2 }, // 1251
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG8EI32_V_M1_M1 }, // 1252
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG8EI32_V_M2_M1 }, // 1253
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG8EI32_V_M4_M1 }, // 1254
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG8EI32_V_MF2_M1 }, // 1255
  { 0x8, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF8 }, // 1256
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG8EI32_V_M1_MF4 }, // 1257
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF4 }, // 1258
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG8EI32_V_M1_MF2 }, // 1259
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG8EI32_V_M2_MF2 }, // 1260
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF2 }, // 1261
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG8EI64_V_M1_M1 }, // 1262
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG8EI64_V_M2_M1 }, // 1263
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG8EI64_V_M4_M1 }, // 1264
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG8EI64_V_M8_M1 }, // 1265
  { 0x8, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG8EI64_V_M1_MF8 }, // 1266
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG8EI64_V_M1_MF4 }, // 1267
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG8EI64_V_M2_MF4 }, // 1268
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG8EI64_V_M1_MF2 }, // 1269
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG8EI64_V_M2_MF2 }, // 1270
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG8EI64_V_M4_MF2 }, // 1271
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG8EI8_V_M1_M1_MASK }, // 1272
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG8EI8_V_MF8_M1_MASK }, // 1273
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG8EI8_V_MF4_M1_MASK }, // 1274
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG8EI8_V_MF2_M1_MASK }, // 1275
  { 0x8, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF8_MASK }, // 1276
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF4_MASK }, // 1277
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF4_MASK }, // 1278
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF2_MASK }, // 1279
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF2_MASK }, // 1280
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG8EI8_V_MF2_MF2_MASK }, // 1281
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG8EI16_V_M1_M1_MASK }, // 1282
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG8EI16_V_M2_M1_MASK }, // 1283
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG8EI16_V_MF4_M1_MASK }, // 1284
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG8EI16_V_MF2_M1_MASK }, // 1285
  { 0x8, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF8_MASK }, // 1286
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF4_MASK }, // 1287
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF4_MASK }, // 1288
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG8EI16_V_M1_MF2_MASK }, // 1289
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF2_MASK }, // 1290
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF2_MASK }, // 1291
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG8EI32_V_M1_M1_MASK }, // 1292
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG8EI32_V_M2_M1_MASK }, // 1293
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG8EI32_V_M4_M1_MASK }, // 1294
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG8EI32_V_MF2_M1_MASK }, // 1295
  { 0x8, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF8_MASK }, // 1296
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG8EI32_V_M1_MF4_MASK }, // 1297
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF4_MASK }, // 1298
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG8EI32_V_M1_MF2_MASK }, // 1299
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG8EI32_V_M2_MF2_MASK }, // 1300
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF2_MASK }, // 1301
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG8EI64_V_M1_M1_MASK }, // 1302
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG8EI64_V_M2_M1_MASK }, // 1303
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG8EI64_V_M4_M1_MASK }, // 1304
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG8EI64_V_M8_M1_MASK }, // 1305
  { 0x8, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG8EI64_V_M1_MF8_MASK }, // 1306
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG8EI64_V_M1_MF4_MASK }, // 1307
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG8EI64_V_M2_MF4_MASK }, // 1308
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG8EI64_V_M1_MF2_MASK }, // 1309
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG8EI64_V_M2_MF2_MASK }, // 1310
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG8EI64_V_M4_MF2_MASK }, // 1311
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG8EI8_V_M1_M1_MASK }, // 1312
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG8EI8_V_MF8_M1_MASK }, // 1313
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG8EI8_V_MF4_M1_MASK }, // 1314
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG8EI8_V_MF2_M1_MASK }, // 1315
  { 0x8, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF8_MASK }, // 1316
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF4_MASK }, // 1317
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF4_MASK }, // 1318
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF2_MASK }, // 1319
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF2_MASK }, // 1320
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG8EI8_V_MF2_MF2_MASK }, // 1321
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG8EI16_V_M1_M1_MASK }, // 1322
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG8EI16_V_M2_M1_MASK }, // 1323
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG8EI16_V_MF4_M1_MASK }, // 1324
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG8EI16_V_MF2_M1_MASK }, // 1325
  { 0x8, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF8_MASK }, // 1326
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF4_MASK }, // 1327
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF4_MASK }, // 1328
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG8EI16_V_M1_MF2_MASK }, // 1329
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF2_MASK }, // 1330
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF2_MASK }, // 1331
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG8EI32_V_M1_M1_MASK }, // 1332
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG8EI32_V_M2_M1_MASK }, // 1333
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG8EI32_V_M4_M1_MASK }, // 1334
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG8EI32_V_MF2_M1_MASK }, // 1335
  { 0x8, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF8_MASK }, // 1336
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG8EI32_V_M1_MF4_MASK }, // 1337
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF4_MASK }, // 1338
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG8EI32_V_M1_MF2_MASK }, // 1339
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG8EI32_V_M2_MF2_MASK }, // 1340
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF2_MASK }, // 1341
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG8EI64_V_M1_M1_MASK }, // 1342
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG8EI64_V_M2_M1_MASK }, // 1343
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG8EI64_V_M4_M1_MASK }, // 1344
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG8EI64_V_M8_M1_MASK }, // 1345
  { 0x8, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG8EI64_V_M1_MF8_MASK }, // 1346
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG8EI64_V_M1_MF4_MASK }, // 1347
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG8EI64_V_M2_MF4_MASK }, // 1348
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG8EI64_V_M1_MF2_MASK }, // 1349
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG8EI64_V_M2_MF2_MASK }, // 1350
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG8EI64_V_M4_MF2_MASK }, // 1351
 };

const VSXSEGPseudo *getVSXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {NF, Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  struct Comp {
    bool operator()(const VSXSEGPseudo &LHS, const KeyType &RHS) const {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVSXSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_RISCVVSXTable_DECL
const VLX_VSXPseudo *getVSXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVSXTable_IMPL
constexpr VLX_VSXPseudo RISCVVSXTable[] = {
  { 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXEI8_V_M1_M1 }, // 0
  { 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXEI8_V_MF8_M1 }, // 1
  { 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXEI8_V_MF4_M1 }, // 2
  { 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXEI8_V_MF2_M1 }, // 3
  { 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXEI8_V_M1_M2 }, // 4
  { 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXEI8_V_M2_M2 }, // 5
  { 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXEI8_V_MF4_M2 }, // 6
  { 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXEI8_V_MF2_M2 }, // 7
  { 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVSUXEI8_V_M1_M4 }, // 8
  { 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVSUXEI8_V_M2_M4 }, // 9
  { 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVSUXEI8_V_M4_M4 }, // 10
  { 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVSUXEI8_V_MF2_M4 }, // 11
  { 0x0, 0x0, 0x3, 0x3, 0x0, PseudoVSUXEI8_V_M1_M8 }, // 12
  { 0x0, 0x0, 0x3, 0x3, 0x1, PseudoVSUXEI8_V_M2_M8 }, // 13
  { 0x0, 0x0, 0x3, 0x3, 0x2, PseudoVSUXEI8_V_M4_M8 }, // 14
  { 0x0, 0x0, 0x3, 0x3, 0x3, PseudoVSUXEI8_V_M8_M8 }, // 15
  { 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXEI8_V_MF8_MF8 }, // 16
  { 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXEI8_V_MF8_MF4 }, // 17
  { 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXEI8_V_MF4_MF4 }, // 18
  { 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXEI8_V_MF8_MF2 }, // 19
  { 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXEI8_V_MF4_MF2 }, // 20
  { 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXEI8_V_MF2_MF2 }, // 21
  { 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXEI16_V_M1_M1 }, // 22
  { 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXEI16_V_M2_M1 }, // 23
  { 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXEI16_V_MF4_M1 }, // 24
  { 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXEI16_V_MF2_M1 }, // 25
  { 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXEI16_V_M1_M2 }, // 26
  { 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXEI16_V_M2_M2 }, // 27
  { 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXEI16_V_M4_M2 }, // 28
  { 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXEI16_V_MF2_M2 }, // 29
  { 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVSUXEI16_V_M1_M4 }, // 30
  { 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVSUXEI16_V_M2_M4 }, // 31
  { 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVSUXEI16_V_M4_M4 }, // 32
  { 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVSUXEI16_V_M8_M4 }, // 33
  { 0x0, 0x0, 0x4, 0x3, 0x1, PseudoVSUXEI16_V_M2_M8 }, // 34
  { 0x0, 0x0, 0x4, 0x3, 0x2, PseudoVSUXEI16_V_M4_M8 }, // 35
  { 0x0, 0x0, 0x4, 0x3, 0x3, PseudoVSUXEI16_V_M8_M8 }, // 36
  { 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXEI16_V_MF4_MF8 }, // 37
  { 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXEI16_V_MF4_MF4 }, // 38
  { 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXEI16_V_MF2_MF4 }, // 39
  { 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXEI16_V_M1_MF2 }, // 40
  { 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXEI16_V_MF4_MF2 }, // 41
  { 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXEI16_V_MF2_MF2 }, // 42
  { 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXEI32_V_M1_M1 }, // 43
  { 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXEI32_V_M2_M1 }, // 44
  { 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXEI32_V_M4_M1 }, // 45
  { 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXEI32_V_MF2_M1 }, // 46
  { 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXEI32_V_M1_M2 }, // 47
  { 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXEI32_V_M2_M2 }, // 48
  { 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXEI32_V_M4_M2 }, // 49
  { 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXEI32_V_M8_M2 }, // 50
  { 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVSUXEI32_V_M2_M4 }, // 51
  { 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVSUXEI32_V_M4_M4 }, // 52
  { 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVSUXEI32_V_M8_M4 }, // 53
  { 0x0, 0x0, 0x5, 0x3, 0x2, PseudoVSUXEI32_V_M4_M8 }, // 54
  { 0x0, 0x0, 0x5, 0x3, 0x3, PseudoVSUXEI32_V_M8_M8 }, // 55
  { 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXEI32_V_MF2_MF8 }, // 56
  { 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXEI32_V_M1_MF4 }, // 57
  { 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXEI32_V_MF2_MF4 }, // 58
  { 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXEI32_V_M1_MF2 }, // 59
  { 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXEI32_V_M2_MF2 }, // 60
  { 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXEI32_V_MF2_MF2 }, // 61
  { 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXEI64_V_M1_M1 }, // 62
  { 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXEI64_V_M2_M1 }, // 63
  { 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXEI64_V_M4_M1 }, // 64
  { 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXEI64_V_M8_M1 }, // 65
  { 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXEI64_V_M2_M2 }, // 66
  { 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXEI64_V_M4_M2 }, // 67
  { 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXEI64_V_M8_M2 }, // 68
  { 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVSUXEI64_V_M4_M4 }, // 69
  { 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVSUXEI64_V_M8_M4 }, // 70
  { 0x0, 0x0, 0x6, 0x3, 0x3, PseudoVSUXEI64_V_M8_M8 }, // 71
  { 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXEI64_V_M1_MF8 }, // 72
  { 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXEI64_V_M1_MF4 }, // 73
  { 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXEI64_V_M2_MF4 }, // 74
  { 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXEI64_V_M1_MF2 }, // 75
  { 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXEI64_V_M2_MF2 }, // 76
  { 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXEI64_V_M4_MF2 }, // 77
  { 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXEI8_V_M1_M1 }, // 78
  { 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXEI8_V_MF8_M1 }, // 79
  { 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXEI8_V_MF4_M1 }, // 80
  { 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXEI8_V_MF2_M1 }, // 81
  { 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXEI8_V_M1_M2 }, // 82
  { 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXEI8_V_M2_M2 }, // 83
  { 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXEI8_V_MF4_M2 }, // 84
  { 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXEI8_V_MF2_M2 }, // 85
  { 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVSOXEI8_V_M1_M4 }, // 86
  { 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVSOXEI8_V_M2_M4 }, // 87
  { 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVSOXEI8_V_M4_M4 }, // 88
  { 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVSOXEI8_V_MF2_M4 }, // 89
  { 0x0, 0x1, 0x3, 0x3, 0x0, PseudoVSOXEI8_V_M1_M8 }, // 90
  { 0x0, 0x1, 0x3, 0x3, 0x1, PseudoVSOXEI8_V_M2_M8 }, // 91
  { 0x0, 0x1, 0x3, 0x3, 0x2, PseudoVSOXEI8_V_M4_M8 }, // 92
  { 0x0, 0x1, 0x3, 0x3, 0x3, PseudoVSOXEI8_V_M8_M8 }, // 93
  { 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXEI8_V_MF8_MF8 }, // 94
  { 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXEI8_V_MF8_MF4 }, // 95
  { 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXEI8_V_MF4_MF4 }, // 96
  { 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXEI8_V_MF8_MF2 }, // 97
  { 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXEI8_V_MF4_MF2 }, // 98
  { 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXEI8_V_MF2_MF2 }, // 99
  { 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXEI16_V_M1_M1 }, // 100
  { 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXEI16_V_M2_M1 }, // 101
  { 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXEI16_V_MF4_M1 }, // 102
  { 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXEI16_V_MF2_M1 }, // 103
  { 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXEI16_V_M1_M2 }, // 104
  { 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXEI16_V_M2_M2 }, // 105
  { 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXEI16_V_M4_M2 }, // 106
  { 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXEI16_V_MF2_M2 }, // 107
  { 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVSOXEI16_V_M1_M4 }, // 108
  { 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVSOXEI16_V_M2_M4 }, // 109
  { 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVSOXEI16_V_M4_M4 }, // 110
  { 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVSOXEI16_V_M8_M4 }, // 111
  { 0x0, 0x1, 0x4, 0x3, 0x1, PseudoVSOXEI16_V_M2_M8 }, // 112
  { 0x0, 0x1, 0x4, 0x3, 0x2, PseudoVSOXEI16_V_M4_M8 }, // 113
  { 0x0, 0x1, 0x4, 0x3, 0x3, PseudoVSOXEI16_V_M8_M8 }, // 114
  { 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXEI16_V_MF4_MF8 }, // 115
  { 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXEI16_V_MF4_MF4 }, // 116
  { 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXEI16_V_MF2_MF4 }, // 117
  { 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXEI16_V_M1_MF2 }, // 118
  { 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXEI16_V_MF4_MF2 }, // 119
  { 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXEI16_V_MF2_MF2 }, // 120
  { 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXEI32_V_M1_M1 }, // 121
  { 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXEI32_V_M2_M1 }, // 122
  { 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXEI32_V_M4_M1 }, // 123
  { 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXEI32_V_MF2_M1 }, // 124
  { 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXEI32_V_M1_M2 }, // 125
  { 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXEI32_V_M2_M2 }, // 126
  { 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXEI32_V_M4_M2 }, // 127
  { 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXEI32_V_M8_M2 }, // 128
  { 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVSOXEI32_V_M2_M4 }, // 129
  { 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVSOXEI32_V_M4_M4 }, // 130
  { 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVSOXEI32_V_M8_M4 }, // 131
  { 0x0, 0x1, 0x5, 0x3, 0x2, PseudoVSOXEI32_V_M4_M8 }, // 132
  { 0x0, 0x1, 0x5, 0x3, 0x3, PseudoVSOXEI32_V_M8_M8 }, // 133
  { 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXEI32_V_MF2_MF8 }, // 134
  { 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXEI32_V_M1_MF4 }, // 135
  { 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXEI32_V_MF2_MF4 }, // 136
  { 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXEI32_V_M1_MF2 }, // 137
  { 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXEI32_V_M2_MF2 }, // 138
  { 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXEI32_V_MF2_MF2 }, // 139
  { 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXEI64_V_M1_M1 }, // 140
  { 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXEI64_V_M2_M1 }, // 141
  { 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXEI64_V_M4_M1 }, // 142
  { 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXEI64_V_M8_M1 }, // 143
  { 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXEI64_V_M2_M2 }, // 144
  { 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXEI64_V_M4_M2 }, // 145
  { 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXEI64_V_M8_M2 }, // 146
  { 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVSOXEI64_V_M4_M4 }, // 147
  { 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVSOXEI64_V_M8_M4 }, // 148
  { 0x0, 0x1, 0x6, 0x3, 0x3, PseudoVSOXEI64_V_M8_M8 }, // 149
  { 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXEI64_V_M1_MF8 }, // 150
  { 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXEI64_V_M1_MF4 }, // 151
  { 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXEI64_V_M2_MF4 }, // 152
  { 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXEI64_V_M1_MF2 }, // 153
  { 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXEI64_V_M2_MF2 }, // 154
  { 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXEI64_V_M4_MF2 }, // 155
  { 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXEI8_V_M1_M1_MASK }, // 156
  { 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXEI8_V_MF8_M1_MASK }, // 157
  { 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXEI8_V_MF4_M1_MASK }, // 158
  { 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXEI8_V_MF2_M1_MASK }, // 159
  { 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXEI8_V_M1_M2_MASK }, // 160
  { 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXEI8_V_M2_M2_MASK }, // 161
  { 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXEI8_V_MF4_M2_MASK }, // 162
  { 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXEI8_V_MF2_M2_MASK }, // 163
  { 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVSUXEI8_V_M1_M4_MASK }, // 164
  { 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVSUXEI8_V_M2_M4_MASK }, // 165
  { 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVSUXEI8_V_M4_M4_MASK }, // 166
  { 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVSUXEI8_V_MF2_M4_MASK }, // 167
  { 0x1, 0x0, 0x3, 0x3, 0x0, PseudoVSUXEI8_V_M1_M8_MASK }, // 168
  { 0x1, 0x0, 0x3, 0x3, 0x1, PseudoVSUXEI8_V_M2_M8_MASK }, // 169
  { 0x1, 0x0, 0x3, 0x3, 0x2, PseudoVSUXEI8_V_M4_M8_MASK }, // 170
  { 0x1, 0x0, 0x3, 0x3, 0x3, PseudoVSUXEI8_V_M8_M8_MASK }, // 171
  { 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXEI8_V_MF8_MF8_MASK }, // 172
  { 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXEI8_V_MF8_MF4_MASK }, // 173
  { 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXEI8_V_MF4_MF4_MASK }, // 174
  { 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXEI8_V_MF8_MF2_MASK }, // 175
  { 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXEI8_V_MF4_MF2_MASK }, // 176
  { 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXEI8_V_MF2_MF2_MASK }, // 177
  { 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXEI16_V_M1_M1_MASK }, // 178
  { 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXEI16_V_M2_M1_MASK }, // 179
  { 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXEI16_V_MF4_M1_MASK }, // 180
  { 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXEI16_V_MF2_M1_MASK }, // 181
  { 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXEI16_V_M1_M2_MASK }, // 182
  { 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXEI16_V_M2_M2_MASK }, // 183
  { 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXEI16_V_M4_M2_MASK }, // 184
  { 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXEI16_V_MF2_M2_MASK }, // 185
  { 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVSUXEI16_V_M1_M4_MASK }, // 186
  { 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVSUXEI16_V_M2_M4_MASK }, // 187
  { 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVSUXEI16_V_M4_M4_MASK }, // 188
  { 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVSUXEI16_V_M8_M4_MASK }, // 189
  { 0x1, 0x0, 0x4, 0x3, 0x1, PseudoVSUXEI16_V_M2_M8_MASK }, // 190
  { 0x1, 0x0, 0x4, 0x3, 0x2, PseudoVSUXEI16_V_M4_M8_MASK }, // 191
  { 0x1, 0x0, 0x4, 0x3, 0x3, PseudoVSUXEI16_V_M8_M8_MASK }, // 192
  { 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXEI16_V_MF4_MF8_MASK }, // 193
  { 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXEI16_V_MF4_MF4_MASK }, // 194
  { 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXEI16_V_MF2_MF4_MASK }, // 195
  { 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXEI16_V_M1_MF2_MASK }, // 196
  { 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXEI16_V_MF4_MF2_MASK }, // 197
  { 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXEI16_V_MF2_MF2_MASK }, // 198
  { 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXEI32_V_M1_M1_MASK }, // 199
  { 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXEI32_V_M2_M1_MASK }, // 200
  { 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXEI32_V_M4_M1_MASK }, // 201
  { 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXEI32_V_MF2_M1_MASK }, // 202
  { 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXEI32_V_M1_M2_MASK }, // 203
  { 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXEI32_V_M2_M2_MASK }, // 204
  { 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXEI32_V_M4_M2_MASK }, // 205
  { 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXEI32_V_M8_M2_MASK }, // 206
  { 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVSUXEI32_V_M2_M4_MASK }, // 207
  { 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVSUXEI32_V_M4_M4_MASK }, // 208
  { 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVSUXEI32_V_M8_M4_MASK }, // 209
  { 0x1, 0x0, 0x5, 0x3, 0x2, PseudoVSUXEI32_V_M4_M8_MASK }, // 210
  { 0x1, 0x0, 0x5, 0x3, 0x3, PseudoVSUXEI32_V_M8_M8_MASK }, // 211
  { 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXEI32_V_MF2_MF8_MASK }, // 212
  { 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXEI32_V_M1_MF4_MASK }, // 213
  { 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXEI32_V_MF2_MF4_MASK }, // 214
  { 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXEI32_V_M1_MF2_MASK }, // 215
  { 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXEI32_V_M2_MF2_MASK }, // 216
  { 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXEI32_V_MF2_MF2_MASK }, // 217
  { 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXEI64_V_M1_M1_MASK }, // 218
  { 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXEI64_V_M2_M1_MASK }, // 219
  { 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXEI64_V_M4_M1_MASK }, // 220
  { 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXEI64_V_M8_M1_MASK }, // 221
  { 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXEI64_V_M2_M2_MASK }, // 222
  { 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXEI64_V_M4_M2_MASK }, // 223
  { 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXEI64_V_M8_M2_MASK }, // 224
  { 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVSUXEI64_V_M4_M4_MASK }, // 225
  { 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVSUXEI64_V_M8_M4_MASK }, // 226
  { 0x1, 0x0, 0x6, 0x3, 0x3, PseudoVSUXEI64_V_M8_M8_MASK }, // 227
  { 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXEI64_V_M1_MF8_MASK }, // 228
  { 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXEI64_V_M1_MF4_MASK }, // 229
  { 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXEI64_V_M2_MF4_MASK }, // 230
  { 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXEI64_V_M1_MF2_MASK }, // 231
  { 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXEI64_V_M2_MF2_MASK }, // 232
  { 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXEI64_V_M4_MF2_MASK }, // 233
  { 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXEI8_V_M1_M1_MASK }, // 234
  { 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXEI8_V_MF8_M1_MASK }, // 235
  { 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXEI8_V_MF4_M1_MASK }, // 236
  { 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXEI8_V_MF2_M1_MASK }, // 237
  { 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXEI8_V_M1_M2_MASK }, // 238
  { 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXEI8_V_M2_M2_MASK }, // 239
  { 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXEI8_V_MF4_M2_MASK }, // 240
  { 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXEI8_V_MF2_M2_MASK }, // 241
  { 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVSOXEI8_V_M1_M4_MASK }, // 242
  { 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVSOXEI8_V_M2_M4_MASK }, // 243
  { 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVSOXEI8_V_M4_M4_MASK }, // 244
  { 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVSOXEI8_V_MF2_M4_MASK }, // 245
  { 0x1, 0x1, 0x3, 0x3, 0x0, PseudoVSOXEI8_V_M1_M8_MASK }, // 246
  { 0x1, 0x1, 0x3, 0x3, 0x1, PseudoVSOXEI8_V_M2_M8_MASK }, // 247
  { 0x1, 0x1, 0x3, 0x3, 0x2, PseudoVSOXEI8_V_M4_M8_MASK }, // 248
  { 0x1, 0x1, 0x3, 0x3, 0x3, PseudoVSOXEI8_V_M8_M8_MASK }, // 249
  { 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXEI8_V_MF8_MF8_MASK }, // 250
  { 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXEI8_V_MF8_MF4_MASK }, // 251
  { 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXEI8_V_MF4_MF4_MASK }, // 252
  { 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXEI8_V_MF8_MF2_MASK }, // 253
  { 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXEI8_V_MF4_MF2_MASK }, // 254
  { 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXEI8_V_MF2_MF2_MASK }, // 255
  { 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXEI16_V_M1_M1_MASK }, // 256
  { 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXEI16_V_M2_M1_MASK }, // 257
  { 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXEI16_V_MF4_M1_MASK }, // 258
  { 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXEI16_V_MF2_M1_MASK }, // 259
  { 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXEI16_V_M1_M2_MASK }, // 260
  { 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXEI16_V_M2_M2_MASK }, // 261
  { 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXEI16_V_M4_M2_MASK }, // 262
  { 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXEI16_V_MF2_M2_MASK }, // 263
  { 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVSOXEI16_V_M1_M4_MASK }, // 264
  { 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVSOXEI16_V_M2_M4_MASK }, // 265
  { 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVSOXEI16_V_M4_M4_MASK }, // 266
  { 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVSOXEI16_V_M8_M4_MASK }, // 267
  { 0x1, 0x1, 0x4, 0x3, 0x1, PseudoVSOXEI16_V_M2_M8_MASK }, // 268
  { 0x1, 0x1, 0x4, 0x3, 0x2, PseudoVSOXEI16_V_M4_M8_MASK }, // 269
  { 0x1, 0x1, 0x4, 0x3, 0x3, PseudoVSOXEI16_V_M8_M8_MASK }, // 270
  { 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXEI16_V_MF4_MF8_MASK }, // 271
  { 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXEI16_V_MF4_MF4_MASK }, // 272
  { 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXEI16_V_MF2_MF4_MASK }, // 273
  { 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXEI16_V_M1_MF2_MASK }, // 274
  { 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXEI16_V_MF4_MF2_MASK }, // 275
  { 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXEI16_V_MF2_MF2_MASK }, // 276
  { 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXEI32_V_M1_M1_MASK }, // 277
  { 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXEI32_V_M2_M1_MASK }, // 278
  { 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXEI32_V_M4_M1_MASK }, // 279
  { 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXEI32_V_MF2_M1_MASK }, // 280
  { 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXEI32_V_M1_M2_MASK }, // 281
  { 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXEI32_V_M2_M2_MASK }, // 282
  { 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXEI32_V_M4_M2_MASK }, // 283
  { 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXEI32_V_M8_M2_MASK }, // 284
  { 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVSOXEI32_V_M2_M4_MASK }, // 285
  { 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVSOXEI32_V_M4_M4_MASK }, // 286
  { 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVSOXEI32_V_M8_M4_MASK }, // 287
  { 0x1, 0x1, 0x5, 0x3, 0x2, PseudoVSOXEI32_V_M4_M8_MASK }, // 288
  { 0x1, 0x1, 0x5, 0x3, 0x3, PseudoVSOXEI32_V_M8_M8_MASK }, // 289
  { 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXEI32_V_MF2_MF8_MASK }, // 290
  { 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXEI32_V_M1_MF4_MASK }, // 291
  { 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXEI32_V_MF2_MF4_MASK }, // 292
  { 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXEI32_V_M1_MF2_MASK }, // 293
  { 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXEI32_V_M2_MF2_MASK }, // 294
  { 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXEI32_V_MF2_MF2_MASK }, // 295
  { 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXEI64_V_M1_M1_MASK }, // 296
  { 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXEI64_V_M2_M1_MASK }, // 297
  { 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXEI64_V_M4_M1_MASK }, // 298
  { 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXEI64_V_M8_M1_MASK }, // 299
  { 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXEI64_V_M2_M2_MASK }, // 300
  { 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXEI64_V_M4_M2_MASK }, // 301
  { 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXEI64_V_M8_M2_MASK }, // 302
  { 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVSOXEI64_V_M4_M4_MASK }, // 303
  { 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVSOXEI64_V_M8_M4_MASK }, // 304
  { 0x1, 0x1, 0x6, 0x3, 0x3, PseudoVSOXEI64_V_M8_M8_MASK }, // 305
  { 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXEI64_V_M1_MF8_MASK }, // 306
  { 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXEI64_V_M1_MF4_MASK }, // 307
  { 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXEI64_V_M2_MF4_MASK }, // 308
  { 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXEI64_V_M1_MF2_MASK }, // 309
  { 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXEI64_V_M2_MF2_MASK }, // 310
  { 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXEI64_V_M4_MF2_MASK }, // 311
 };

const VLX_VSXPseudo *getVSXPseudo(uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  struct Comp {
    bool operator()(const VLX_VSXPseudo &LHS, const KeyType &RHS) const {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(RISCVVSXTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;

  return &*Idx;
}
#endif

#ifdef GET_SysRegsList_DECL
llvm::iterator_range<const SysReg *> lookupSysRegByEncoding(uint16_t Encoding);
const SysReg *lookupSysRegByAltName(StringRef AltName);
const SysReg *lookupSysRegByDeprecatedName(StringRef DeprecatedName);
const SysReg *lookupSysRegByName(StringRef Name);
#endif

#ifdef GET_SysRegsList_IMPL
constexpr SysReg SysRegsList[] = {
  { "fflags", "fflags", "", 0x1,  {} , false }, // 0
  { "frm", "frm", "", 0x2,  {} , false }, // 1
  { "fcsr", "fcsr", "", 0x3,  {} , false }, // 2
  { "vstart", "vstart", "", 0x8,  {} , false }, // 3
  { "vxsat", "vxsat", "", 0x9,  {} , false }, // 4
  { "vxrm", "vxrm", "", 0xA,  {} , false }, // 5
  { "vcsr", "vcsr", "", 0xF,  {} , false }, // 6
  { "ssp", "ssp", "", 0x11,  {} , false }, // 7
  { "seed", "seed", "", 0x15,  {} , false }, // 8
  { "jvt", "jvt", "", 0x17,  {} , false }, // 9
  { "sstatus", "sstatus", "", 0x100,  {} , false }, // 10
  { "sie", "sie", "", 0x104,  {} , false }, // 11
  { "stvec", "stvec", "", 0x105,  {} , false }, // 12
  { "scounteren", "scounteren", "", 0x106,  {} , false }, // 13
  { "senvcfg", "senvcfg", "", 0x10A,  {} , false }, // 14
  { "sstateen0", "sstateen0", "", 0x10C,  {} , false }, // 15
  { "sstateen1", "sstateen1", "", 0x10D,  {} , false }, // 16
  { "sstateen2", "sstateen2", "", 0x10E,  {} , false }, // 17
  { "sstateen3", "sstateen3", "", 0x10F,  {} , false }, // 18
  { "sieh", "sieh", "", 0x114,  {} , true }, // 19
  { "scountinhibit", "scountinhibit", "", 0x120,  {} , false }, // 20
  { "sscratch", "sscratch", "", 0x140,  {} , false }, // 21
  { "sepc", "sepc", "", 0x141,  {} , false }, // 22
  { "scause", "scause", "", 0x142,  {} , false }, // 23
  { "stval", "stval", "sbadaddr", 0x143,  {} , false }, // 24
  { "sip", "sip", "", 0x144,  {} , false }, // 25
  { "stimecmp", "stimecmp", "", 0x14D,  {} , false }, // 26
  { "siselect", "siselect", "", 0x150,  {} , false }, // 27
  { "sireg", "sireg", "", 0x151,  {} , false }, // 28
  { "sireg2", "sireg2", "", 0x152,  {} , false }, // 29
  { "sireg3", "sireg3", "", 0x153,  {} , false }, // 30
  { "siph", "siph", "", 0x154,  {} , true }, // 31
  { "sireg4", "sireg4", "", 0x155,  {} , false }, // 32
  { "sireg5", "sireg5", "", 0x156,  {} , false }, // 33
  { "sireg6", "sireg6", "", 0x157,  {} , false }, // 34
  { "stopei", "stopei", "", 0x15C,  {} , false }, // 35
  { "stimecmph", "stimecmph", "", 0x15D,  {} , true }, // 36
  { "satp", "satp", "sptbr", 0x180,  {} , false }, // 37
  { "srmcfg", "srmcfg", "", 0x181,  {} , false }, // 38
  { "vsstatus", "vsstatus", "", 0x200,  {} , false }, // 39
  { "vsie", "vsie", "", 0x204,  {} , false }, // 40
  { "vstvec", "vstvec", "", 0x205,  {} , false }, // 41
  { "vsieh", "vsieh", "", 0x214,  {} , true }, // 42
  { "vsscratch", "vsscratch", "", 0x240,  {} , false }, // 43
  { "vsepc", "vsepc", "", 0x241,  {} , false }, // 44
  { "vscause", "vscause", "", 0x242,  {} , false }, // 45
  { "vstval", "vstval", "", 0x243,  {} , false }, // 46
  { "vsip", "vsip", "", 0x244,  {} , false }, // 47
  { "vstimecmp", "vstimecmp", "", 0x24D,  {} , false }, // 48
  { "vsiselect", "vsiselect", "", 0x250,  {} , false }, // 49
  { "vsireg", "vsireg", "", 0x251,  {} , false }, // 50
  { "vsireg2", "vsireg2", "", 0x252,  {} , false }, // 51
  { "vsireg3", "vsireg3", "", 0x253,  {} , false }, // 52
  { "vsiph", "vsiph", "", 0x254,  {} , true }, // 53
  { "vsireg4", "vsireg4", "", 0x255,  {} , false }, // 54
  { "vsireg5", "vsireg5", "", 0x256,  {} , false }, // 55
  { "vsireg6", "vsireg6", "", 0x257,  {} , false }, // 56
  { "vstopei", "vstopei", "", 0x25C,  {} , false }, // 57
  { "vstimecmph", "vstimecmph", "", 0x25D,  {} , true }, // 58
  { "vsatp", "vsatp", "", 0x280,  {} , false }, // 59
  { "mstatus", "mstatus", "", 0x300,  {} , false }, // 60
  { "misa", "misa", "", 0x301,  {} , false }, // 61
  { "medeleg", "medeleg", "", 0x302,  {} , false }, // 62
  { "mideleg", "mideleg", "", 0x303,  {} , false }, // 63
  { "mie", "mie", "", 0x304,  {} , false }, // 64
  { "mtvec", "mtvec", "", 0x305,  {} , false }, // 65
  { "mcounteren", "mcounteren", "", 0x306,  {} , false }, // 66
  { "mvien", "mvien", "", 0x308,  {} , false }, // 67
  { "mvip", "mvip", "", 0x309,  {} , false }, // 68
  { "menvcfg", "menvcfg", "", 0x30A,  {} , false }, // 69
  { "mstateen0", "mstateen0", "", 0x30C,  {} , false }, // 70
  { "mstateen1", "mstateen1", "", 0x30D,  {} , false }, // 71
  { "mstateen2", "mstateen2", "", 0x30E,  {} , false }, // 72
  { "mstateen3", "mstateen3", "", 0x30F,  {} , false }, // 73
  { "mstatush", "mstatush", "", 0x310,  {} , true }, // 74
  { "midelegh", "midelegh", "", 0x313,  {} , true }, // 75
  { "mieh", "mieh", "", 0x314,  {} , true }, // 76
  { "mvienh", "mvienh", "", 0x318,  {} , true }, // 77
  { "mviph", "mviph", "", 0x319,  {} , true }, // 78
  { "menvcfgh", "menvcfgh", "", 0x31A,  {} , true }, // 79
  { "mstateen0h", "mstateen0h", "", 0x31C,  {} , true }, // 80
  { "mstateen1h", "mstateen1h", "", 0x31D,  {} , true }, // 81
  { "mstateen2h", "mstateen2h", "", 0x31E,  {} , true }, // 82
  { "mstateen3h", "mstateen3h", "", 0x31F,  {} , true }, // 83
  { "mcountinhibit", "mucounteren", "", 0x320,  {} , false }, // 84
  { "mhpmevent3", "mhpmevent3", "", 0x323,  {} , false }, // 85
  { "mhpmevent4", "mhpmevent4", "", 0x324,  {} , false }, // 86
  { "mhpmevent5", "mhpmevent5", "", 0x325,  {} , false }, // 87
  { "mhpmevent6", "mhpmevent6", "", 0x326,  {} , false }, // 88
  { "mhpmevent7", "mhpmevent7", "", 0x327,  {} , false }, // 89
  { "mhpmevent8", "mhpmevent8", "", 0x328,  {} , false }, // 90
  { "mhpmevent9", "mhpmevent9", "", 0x329,  {} , false }, // 91
  { "mhpmevent10", "mhpmevent10", "", 0x32A,  {} , false }, // 92
  { "mhpmevent11", "mhpmevent11", "", 0x32B,  {} , false }, // 93
  { "mhpmevent12", "mhpmevent12", "", 0x32C,  {} , false }, // 94
  { "mhpmevent13", "mhpmevent13", "", 0x32D,  {} , false }, // 95
  { "mhpmevent14", "mhpmevent14", "", 0x32E,  {} , false }, // 96
  { "mhpmevent15", "mhpmevent15", "", 0x32F,  {} , false }, // 97
  { "mhpmevent16", "mhpmevent16", "", 0x330,  {} , false }, // 98
  { "mhpmevent17", "mhpmevent17", "", 0x331,  {} , false }, // 99
  { "mhpmevent18", "mhpmevent18", "", 0x332,  {} , false }, // 100
  { "mhpmevent19", "mhpmevent19", "", 0x333,  {} , false }, // 101
  { "mhpmevent20", "mhpmevent20", "", 0x334,  {} , false }, // 102
  { "mhpmevent21", "mhpmevent21", "", 0x335,  {} , false }, // 103
  { "mhpmevent22", "mhpmevent22", "", 0x336,  {} , false }, // 104
  { "mhpmevent23", "mhpmevent23", "", 0x337,  {} , false }, // 105
  { "mhpmevent24", "mhpmevent24", "", 0x338,  {} , false }, // 106
  { "mhpmevent25", "mhpmevent25", "", 0x339,  {} , false }, // 107
  { "mhpmevent26", "mhpmevent26", "", 0x33A,  {} , false }, // 108
  { "mhpmevent27", "mhpmevent27", "", 0x33B,  {} , false }, // 109
  { "mhpmevent28", "mhpmevent28", "", 0x33C,  {} , false }, // 110
  { "mhpmevent29", "mhpmevent29", "", 0x33D,  {} , false }, // 111
  { "mhpmevent30", "mhpmevent30", "", 0x33E,  {} , false }, // 112
  { "mhpmevent31", "mhpmevent31", "", 0x33F,  {} , false }, // 113
  { "mscratch", "mscratch", "", 0x340,  {} , false }, // 114
  { "mepc", "mepc", "", 0x341,  {} , false }, // 115
  { "mcause", "mcause", "", 0x342,  {} , false }, // 116
  { "mtval", "mtval", "mbadaddr", 0x343,  {} , false }, // 117
  { "mip", "mip", "", 0x344,  {} , false }, // 118
  { "mtinst", "mtinst", "", 0x34A,  {} , false }, // 119
  { "mtval2", "mtval2", "", 0x34B,  {} , false }, // 120
  { "miselect", "miselect", "", 0x350,  {} , false }, // 121
  { "mireg", "mireg", "", 0x351,  {} , false }, // 122
  { "mireg2", "mireg2", "", 0x352,  {} , false }, // 123
  { "mireg3", "mireg3", "", 0x353,  {} , false }, // 124
  { "miph", "miph", "", 0x354,  {} , true }, // 125
  { "mireg4", "mireg4", "", 0x355,  {} , false }, // 126
  { "mireg5", "mireg5", "", 0x356,  {} , false }, // 127
  { "mireg6", "mireg6", "", 0x357,  {} , false }, // 128
  { "mtopei", "mtopei", "", 0x35C,  {} , false }, // 129
  { "pmpcfg0", "pmpcfg0", "", 0x3A0,  {} , false }, // 130
  { "pmpcfg1", "pmpcfg1", "", 0x3A1,  {} , true }, // 131
  { "pmpcfg2", "pmpcfg2", "", 0x3A2,  {} , false }, // 132
  { "pmpcfg3", "pmpcfg3", "", 0x3A3,  {} , true }, // 133
  { "pmpcfg4", "pmpcfg4", "", 0x3A4,  {} , false }, // 134
  { "pmpcfg5", "pmpcfg5", "", 0x3A5,  {} , true }, // 135
  { "pmpcfg6", "pmpcfg6", "", 0x3A6,  {} , false }, // 136
  { "pmpcfg7", "pmpcfg7", "", 0x3A7,  {} , true }, // 137
  { "pmpcfg8", "pmpcfg8", "", 0x3A8,  {} , false }, // 138
  { "pmpcfg9", "pmpcfg9", "", 0x3A9,  {} , true }, // 139
  { "pmpcfg10", "pmpcfg10", "", 0x3AA,  {} , false }, // 140
  { "pmpcfg11", "pmpcfg11", "", 0x3AB,  {} , true }, // 141
  { "pmpcfg12", "pmpcfg12", "", 0x3AC,  {} , false }, // 142
  { "pmpcfg13", "pmpcfg13", "", 0x3AD,  {} , true }, // 143
  { "pmpcfg14", "pmpcfg14", "", 0x3AE,  {} , false }, // 144
  { "pmpcfg15", "pmpcfg15", "", 0x3AF,  {} , true }, // 145
  { "pmpaddr0", "pmpaddr0", "", 0x3B0,  {} , false }, // 146
  { "pmpaddr1", "pmpaddr1", "", 0x3B1,  {} , false }, // 147
  { "pmpaddr2", "pmpaddr2", "", 0x3B2,  {} , false }, // 148
  { "pmpaddr3", "pmpaddr3", "", 0x3B3,  {} , false }, // 149
  { "pmpaddr4", "pmpaddr4", "", 0x3B4,  {} , false }, // 150
  { "pmpaddr5", "pmpaddr5", "", 0x3B5,  {} , false }, // 151
  { "pmpaddr6", "pmpaddr6", "", 0x3B6,  {} , false }, // 152
  { "pmpaddr7", "pmpaddr7", "", 0x3B7,  {} , false }, // 153
  { "pmpaddr8", "pmpaddr8", "", 0x3B8,  {} , false }, // 154
  { "pmpaddr9", "pmpaddr9", "", 0x3B9,  {} , false }, // 155
  { "pmpaddr10", "pmpaddr10", "", 0x3BA,  {} , false }, // 156
  { "pmpaddr11", "pmpaddr11", "", 0x3BB,  {} , false }, // 157
  { "pmpaddr12", "pmpaddr12", "", 0x3BC,  {} , false }, // 158
  { "pmpaddr13", "pmpaddr13", "", 0x3BD,  {} , false }, // 159
  { "pmpaddr14", "pmpaddr14", "", 0x3BE,  {} , false }, // 160
  { "pmpaddr15", "pmpaddr15", "", 0x3BF,  {} , false }, // 161
  { "pmpaddr16", "pmpaddr16", "", 0x3C0,  {} , false }, // 162
  { "pmpaddr17", "pmpaddr17", "", 0x3C1,  {} , false }, // 163
  { "pmpaddr18", "pmpaddr18", "", 0x3C2,  {} , false }, // 164
  { "pmpaddr19", "pmpaddr19", "", 0x3C3,  {} , false }, // 165
  { "pmpaddr20", "pmpaddr20", "", 0x3C4,  {} , false }, // 166
  { "pmpaddr21", "pmpaddr21", "", 0x3C5,  {} , false }, // 167
  { "pmpaddr22", "pmpaddr22", "", 0x3C6,  {} , false }, // 168
  { "pmpaddr23", "pmpaddr23", "", 0x3C7,  {} , false }, // 169
  { "pmpaddr24", "pmpaddr24", "", 0x3C8,  {} , false }, // 170
  { "pmpaddr25", "pmpaddr25", "", 0x3C9,  {} , false }, // 171
  { "pmpaddr26", "pmpaddr26", "", 0x3CA,  {} , false }, // 172
  { "pmpaddr27", "pmpaddr27", "", 0x3CB,  {} , false }, // 173
  { "pmpaddr28", "pmpaddr28", "", 0x3CC,  {} , false }, // 174
  { "pmpaddr29", "pmpaddr29", "", 0x3CD,  {} , false }, // 175
  { "pmpaddr30", "pmpaddr30", "", 0x3CE,  {} , false }, // 176
  { "pmpaddr31", "pmpaddr31", "", 0x3CF,  {} , false }, // 177
  { "pmpaddr32", "pmpaddr32", "", 0x3D0,  {} , false }, // 178
  { "pmpaddr33", "pmpaddr33", "", 0x3D1,  {} , false }, // 179
  { "pmpaddr34", "pmpaddr34", "", 0x3D2,  {} , false }, // 180
  { "pmpaddr35", "pmpaddr35", "", 0x3D3,  {} , false }, // 181
  { "pmpaddr36", "pmpaddr36", "", 0x3D4,  {} , false }, // 182
  { "pmpaddr37", "pmpaddr37", "", 0x3D5,  {} , false }, // 183
  { "pmpaddr38", "pmpaddr38", "", 0x3D6,  {} , false }, // 184
  { "pmpaddr39", "pmpaddr39", "", 0x3D7,  {} , false }, // 185
  { "pmpaddr40", "pmpaddr40", "", 0x3D8,  {} , false }, // 186
  { "pmpaddr41", "pmpaddr41", "", 0x3D9,  {} , false }, // 187
  { "pmpaddr42", "pmpaddr42", "", 0x3DA,  {} , false }, // 188
  { "pmpaddr43", "pmpaddr43", "", 0x3DB,  {} , false }, // 189
  { "pmpaddr44", "pmpaddr44", "", 0x3DC,  {} , false }, // 190
  { "pmpaddr45", "pmpaddr45", "", 0x3DD,  {} , false }, // 191
  { "pmpaddr46", "pmpaddr46", "", 0x3DE,  {} , false }, // 192
  { "pmpaddr47", "pmpaddr47", "", 0x3DF,  {} , false }, // 193
  { "pmpaddr48", "pmpaddr48", "", 0x3E0,  {} , false }, // 194
  { "pmpaddr49", "pmpaddr49", "", 0x3E1,  {} , false }, // 195
  { "pmpaddr50", "pmpaddr50", "", 0x3E2,  {} , false }, // 196
  { "pmpaddr51", "pmpaddr51", "", 0x3E3,  {} , false }, // 197
  { "pmpaddr52", "pmpaddr52", "", 0x3E4,  {} , false }, // 198
  { "pmpaddr53", "pmpaddr53", "", 0x3E5,  {} , false }, // 199
  { "pmpaddr54", "pmpaddr54", "", 0x3E6,  {} , false }, // 200
  { "pmpaddr55", "pmpaddr55", "", 0x3E7,  {} , false }, // 201
  { "pmpaddr56", "pmpaddr56", "", 0x3E8,  {} , false }, // 202
  { "pmpaddr57", "pmpaddr57", "", 0x3E9,  {} , false }, // 203
  { "pmpaddr58", "pmpaddr58", "", 0x3EA,  {} , false }, // 204
  { "pmpaddr59", "pmpaddr59", "", 0x3EB,  {} , false }, // 205
  { "pmpaddr60", "pmpaddr60", "", 0x3EC,  {} , false }, // 206
  { "pmpaddr61", "pmpaddr61", "", 0x3ED,  {} , false }, // 207
  { "pmpaddr62", "pmpaddr62", "", 0x3EE,  {} , false }, // 208
  { "pmpaddr63", "pmpaddr63", "", 0x3EF,  {} , false }, // 209
  { "scontext", "scontext", "", 0x5A8,  {} , false }, // 210
  { "hstatus", "hstatus", "", 0x600,  {} , false }, // 211
  { "hedeleg", "hedeleg", "", 0x602,  {} , false }, // 212
  { "hideleg", "hideleg", "", 0x603,  {} , false }, // 213
  { "hie", "hie", "", 0x604,  {} , false }, // 214
  { "htimedelta", "htimedelta", "", 0x605,  {} , false }, // 215
  { "hcounteren", "hcounteren", "", 0x606,  {} , false }, // 216
  { "hgeie", "hgeie", "", 0x607,  {} , false }, // 217
  { "hvien", "hvien", "", 0x608,  {} , false }, // 218
  { "hvictl", "hvictl", "", 0x609,  {} , false }, // 219
  { "henvcfg", "henvcfg", "", 0x60A,  {} , false }, // 220
  { "hstateen0", "hstateen0", "", 0x60C,  {} , false }, // 221
  { "hstateen1", "hstateen1", "", 0x60D,  {} , false }, // 222
  { "hstateen2", "hstateen2", "", 0x60E,  {} , false }, // 223
  { "hstateen3", "hstateen3", "", 0x60F,  {} , false }, // 224
  { "hidelegh", "hidelegh", "", 0x613,  {} , true }, // 225
  { "htimedeltah", "htimedeltah", "", 0x615,  {} , true }, // 226
  { "hvienh", "hvienh", "", 0x618,  {} , true }, // 227
  { "henvcfgh", "henvcfgh", "", 0x61A,  {} , true }, // 228
  { "hstateen0h", "hstateen0h", "", 0x61C,  {} , true }, // 229
  { "hstateen1h", "hstateen1h", "", 0x61D,  {} , true }, // 230
  { "hstateen2h", "hstateen2h", "", 0x61E,  {} , true }, // 231
  { "hstateen3h", "hstateen3h", "", 0x61F,  {} , true }, // 232
  { "htval", "htval", "", 0x643,  {} , false }, // 233
  { "hip", "hip", "", 0x644,  {} , false }, // 234
  { "hvip", "hvip", "", 0x645,  {} , false }, // 235
  { "hviprio1", "hviprio1", "", 0x646,  {} , false }, // 236
  { "hviprio2", "hviprio2", "", 0x647,  {} , false }, // 237
  { "htinst", "htinst", "", 0x64A,  {} , false }, // 238
  { "hviph", "hviph", "", 0x655,  {} , true }, // 239
  { "hviprio1h", "hviprio1h", "", 0x656,  {} , true }, // 240
  { "hviprio2h", "hviprio2h", "", 0x657,  {} , true }, // 241
  { "hgatp", "hgatp", "", 0x680,  {} , false }, // 242
  { "hcontext", "hcontext", "", 0x6A8,  {} , false }, // 243
  { "mhpmevent3h", "mhpmevent3h", "", 0x723,  {} , true }, // 244
  { "mhpmevent4h", "mhpmevent4h", "", 0x724,  {} , true }, // 245
  { "mhpmevent5h", "mhpmevent5h", "", 0x725,  {} , true }, // 246
  { "mhpmevent6h", "mhpmevent6h", "", 0x726,  {} , true }, // 247
  { "mhpmevent7h", "mhpmevent7h", "", 0x727,  {} , true }, // 248
  { "mhpmevent8h", "mhpmevent8h", "", 0x728,  {} , true }, // 249
  { "mhpmevent9h", "mhpmevent9h", "", 0x729,  {} , true }, // 250
  { "mhpmevent10h", "mhpmevent10h", "", 0x72A,  {} , true }, // 251
  { "mhpmevent11h", "mhpmevent11h", "", 0x72B,  {} , true }, // 252
  { "mhpmevent12h", "mhpmevent12h", "", 0x72C,  {} , true }, // 253
  { "mhpmevent13h", "mhpmevent13h", "", 0x72D,  {} , true }, // 254
  { "mhpmevent14h", "mhpmevent14h", "", 0x72E,  {} , true }, // 255
  { "mhpmevent15h", "mhpmevent15h", "", 0x72F,  {} , true }, // 256
  { "mhpmevent16h", "mhpmevent16h", "", 0x730,  {} , true }, // 257
  { "mhpmevent17h", "mhpmevent17h", "", 0x731,  {} , true }, // 258
  { "mhpmevent18h", "mhpmevent18h", "", 0x732,  {} , true }, // 259
  { "mhpmevent19h", "mhpmevent19h", "", 0x733,  {} , true }, // 260
  { "mhpmevent20h", "mhpmevent20h", "", 0x734,  {} , true }, // 261
  { "mhpmevent21h", "mhpmevent21h", "", 0x735,  {} , true }, // 262
  { "mhpmevent22h", "mhpmevent22h", "", 0x736,  {} , true }, // 263
  { "mhpmevent23h", "mhpmevent23h", "", 0x737,  {} , true }, // 264
  { "mhpmevent24h", "mhpmevent24h", "", 0x738,  {} , true }, // 265
  { "mhpmevent25h", "mhpmevent25h", "", 0x739,  {} , true }, // 266
  { "mhpmevent26h", "mhpmevent26h", "", 0x73A,  {} , true }, // 267
  { "mhpmevent27h", "mhpmevent27h", "", 0x73B,  {} , true }, // 268
  { "mhpmevent28h", "mhpmevent28h", "", 0x73C,  {} , true }, // 269
  { "mhpmevent29h", "mhpmevent29h", "", 0x73D,  {} , true }, // 270
  { "mhpmevent30h", "mhpmevent30h", "", 0x73E,  {} , true }, // 271
  { "mhpmevent31h", "mhpmevent31h", "", 0x73F,  {} , true }, // 272
  { "mnscratch", "mnscratch", "", 0x740,  {} , false }, // 273
  { "mnepc", "mnepc", "", 0x741,  {} , false }, // 274
  { "mncause", "mncause", "", 0x742,  {} , false }, // 275
  { "mnstatus", "mnstatus", "", 0x744,  {} , false }, // 276
  { "mseccfg", "mseccfg", "", 0x747,  {} , false }, // 277
  { "mseccfgh", "mseccfgh", "", 0x757,  {} , true }, // 278
  { "tselect", "tselect", "", 0x7A0,  {} , false }, // 279
  { "tdata1", "tdata1", "", 0x7A1,  {} , false }, // 280
  { "tdata2", "tdata2", "", 0x7A2,  {} , false }, // 281
  { "tdata3", "tdata3", "", 0x7A3,  {} , false }, // 282
  { "mcontext", "mcontext", "", 0x7A8,  {} , false }, // 283
  { "dcsr", "dcsr", "", 0x7B0,  {} , false }, // 284
  { "dpc", "dpc", "", 0x7B1,  {} , false }, // 285
  { "dscratch0", "dscratch", "", 0x7B2,  {} , false }, // 286
  { "dscratch1", "dscratch1", "", 0x7B3,  {} , false }, // 287
  { "mcycle", "mcycle", "", 0xB00,  {} , false }, // 288
  { "minstret", "minstret", "", 0xB02,  {} , false }, // 289
  { "mhpmcounter3", "mhpmcounter3", "", 0xB03,  {} , false }, // 290
  { "mhpmcounter4", "mhpmcounter4", "", 0xB04,  {} , false }, // 291
  { "mhpmcounter5", "mhpmcounter5", "", 0xB05,  {} , false }, // 292
  { "mhpmcounter6", "mhpmcounter6", "", 0xB06,  {} , false }, // 293
  { "mhpmcounter7", "mhpmcounter7", "", 0xB07,  {} , false }, // 294
  { "mhpmcounter8", "mhpmcounter8", "", 0xB08,  {} , false }, // 295
  { "mhpmcounter9", "mhpmcounter9", "", 0xB09,  {} , false }, // 296
  { "mhpmcounter10", "mhpmcounter10", "", 0xB0A,  {} , false }, // 297
  { "mhpmcounter11", "mhpmcounter11", "", 0xB0B,  {} , false }, // 298
  { "mhpmcounter12", "mhpmcounter12", "", 0xB0C,  {} , false }, // 299
  { "mhpmcounter13", "mhpmcounter13", "", 0xB0D,  {} , false }, // 300
  { "mhpmcounter14", "mhpmcounter14", "", 0xB0E,  {} , false }, // 301
  { "mhpmcounter15", "mhpmcounter15", "", 0xB0F,  {} , false }, // 302
  { "mhpmcounter16", "mhpmcounter16", "", 0xB10,  {} , false }, // 303
  { "mhpmcounter17", "mhpmcounter17", "", 0xB11,  {} , false }, // 304
  { "mhpmcounter18", "mhpmcounter18", "", 0xB12,  {} , false }, // 305
  { "mhpmcounter19", "mhpmcounter19", "", 0xB13,  {} , false }, // 306
  { "mhpmcounter20", "mhpmcounter20", "", 0xB14,  {} , false }, // 307
  { "mhpmcounter21", "mhpmcounter21", "", 0xB15,  {} , false }, // 308
  { "mhpmcounter22", "mhpmcounter22", "", 0xB16,  {} , false }, // 309
  { "mhpmcounter23", "mhpmcounter23", "", 0xB17,  {} , false }, // 310
  { "mhpmcounter24", "mhpmcounter24", "", 0xB18,  {} , false }, // 311
  { "mhpmcounter25", "mhpmcounter25", "", 0xB19,  {} , false }, // 312
  { "mhpmcounter26", "mhpmcounter26", "", 0xB1A,  {} , false }, // 313
  { "mhpmcounter27", "mhpmcounter27", "", 0xB1B,  {} , false }, // 314
  { "mhpmcounter28", "mhpmcounter28", "", 0xB1C,  {} , false }, // 315
  { "mhpmcounter29", "mhpmcounter29", "", 0xB1D,  {} , false }, // 316
  { "mhpmcounter30", "mhpmcounter30", "", 0xB1E,  {} , false }, // 317
  { "mhpmcounter31", "mhpmcounter31", "", 0xB1F,  {} , false }, // 318
  { "mcycleh", "mcycleh", "", 0xB80,  {} , true }, // 319
  { "minstreth", "minstreth", "", 0xB82,  {} , true }, // 320
  { "mhpmcounter3h", "mhpmcounter3h", "", 0xB83,  {} , true }, // 321
  { "mhpmcounter4h", "mhpmcounter4h", "", 0xB84,  {} , true }, // 322
  { "mhpmcounter5h", "mhpmcounter5h", "", 0xB85,  {} , true }, // 323
  { "mhpmcounter6h", "mhpmcounter6h", "", 0xB86,  {} , true }, // 324
  { "mhpmcounter7h", "mhpmcounter7h", "", 0xB87,  {} , true }, // 325
  { "mhpmcounter8h", "mhpmcounter8h", "", 0xB88,  {} , true }, // 326
  { "mhpmcounter9h", "mhpmcounter9h", "", 0xB89,  {} , true }, // 327
  { "mhpmcounter10h", "mhpmcounter10h", "", 0xB8A,  {} , true }, // 328
  { "mhpmcounter11h", "mhpmcounter11h", "", 0xB8B,  {} , true }, // 329
  { "mhpmcounter12h", "mhpmcounter12h", "", 0xB8C,  {} , true }, // 330
  { "mhpmcounter13h", "mhpmcounter13h", "", 0xB8D,  {} , true }, // 331
  { "mhpmcounter14h", "mhpmcounter14h", "", 0xB8E,  {} , true }, // 332
  { "mhpmcounter15h", "mhpmcounter15h", "", 0xB8F,  {} , true }, // 333
  { "mhpmcounter16h", "mhpmcounter16h", "", 0xB90,  {} , true }, // 334
  { "mhpmcounter17h", "mhpmcounter17h", "", 0xB91,  {} , true }, // 335
  { "mhpmcounter18h", "mhpmcounter18h", "", 0xB92,  {} , true }, // 336
  { "mhpmcounter19h", "mhpmcounter19h", "", 0xB93,  {} , true }, // 337
  { "mhpmcounter20h", "mhpmcounter20h", "", 0xB94,  {} , true }, // 338
  { "mhpmcounter21h", "mhpmcounter21h", "", 0xB95,  {} , true }, // 339
  { "mhpmcounter22h", "mhpmcounter22h", "", 0xB96,  {} , true }, // 340
  { "mhpmcounter23h", "mhpmcounter23h", "", 0xB97,  {} , true }, // 341
  { "mhpmcounter24h", "mhpmcounter24h", "", 0xB98,  {} , true }, // 342
  { "mhpmcounter25h", "mhpmcounter25h", "", 0xB99,  {} , true }, // 343
  { "mhpmcounter26h", "mhpmcounter26h", "", 0xB9A,  {} , true }, // 344
  { "mhpmcounter27h", "mhpmcounter27h", "", 0xB9B,  {} , true }, // 345
  { "mhpmcounter28h", "mhpmcounter28h", "", 0xB9C,  {} , true }, // 346
  { "mhpmcounter29h", "mhpmcounter29h", "", 0xB9D,  {} , true }, // 347
  { "mhpmcounter30h", "mhpmcounter30h", "", 0xB9E,  {} , true }, // 348
  { "mhpmcounter31h", "mhpmcounter31h", "", 0xB9F,  {} , true }, // 349
  { "cycle", "cycle", "", 0xC00,  {} , false }, // 350
  { "time", "time", "", 0xC01,  {} , false }, // 351
  { "instret", "instret", "", 0xC02,  {} , false }, // 352
  { "hpmcounter3", "hpmcounter3", "", 0xC03,  {} , false }, // 353
  { "hpmcounter4", "hpmcounter4", "", 0xC04,  {} , false }, // 354
  { "hpmcounter5", "hpmcounter5", "", 0xC05,  {} , false }, // 355
  { "hpmcounter6", "hpmcounter6", "", 0xC06,  {} , false }, // 356
  { "hpmcounter7", "hpmcounter7", "", 0xC07,  {} , false }, // 357
  { "hpmcounter8", "hpmcounter8", "", 0xC08,  {} , false }, // 358
  { "hpmcounter9", "hpmcounter9", "", 0xC09,  {} , false }, // 359
  { "hpmcounter10", "hpmcounter10", "", 0xC0A,  {} , false }, // 360
  { "hpmcounter11", "hpmcounter11", "", 0xC0B,  {} , false }, // 361
  { "hpmcounter12", "hpmcounter12", "", 0xC0C,  {} , false }, // 362
  { "hpmcounter13", "hpmcounter13", "", 0xC0D,  {} , false }, // 363
  { "hpmcounter14", "hpmcounter14", "", 0xC0E,  {} , false }, // 364
  { "hpmcounter15", "hpmcounter15", "", 0xC0F,  {} , false }, // 365
  { "hpmcounter16", "hpmcounter16", "", 0xC10,  {} , false }, // 366
  { "hpmcounter17", "hpmcounter17", "", 0xC11,  {} , false }, // 367
  { "hpmcounter18", "hpmcounter18", "", 0xC12,  {} , false }, // 368
  { "hpmcounter19", "hpmcounter19", "", 0xC13,  {} , false }, // 369
  { "hpmcounter20", "hpmcounter20", "", 0xC14,  {} , false }, // 370
  { "hpmcounter21", "hpmcounter21", "", 0xC15,  {} , false }, // 371
  { "hpmcounter22", "hpmcounter22", "", 0xC16,  {} , false }, // 372
  { "hpmcounter23", "hpmcounter23", "", 0xC17,  {} , false }, // 373
  { "hpmcounter24", "hpmcounter24", "", 0xC18,  {} , false }, // 374
  { "hpmcounter25", "hpmcounter25", "", 0xC19,  {} , false }, // 375
  { "hpmcounter26", "hpmcounter26", "", 0xC1A,  {} , false }, // 376
  { "hpmcounter27", "hpmcounter27", "", 0xC1B,  {} , false }, // 377
  { "hpmcounter28", "hpmcounter28", "", 0xC1C,  {} , false }, // 378
  { "hpmcounter29", "hpmcounter29", "", 0xC1D,  {} , false }, // 379
  { "hpmcounter30", "hpmcounter30", "", 0xC1E,  {} , false }, // 380
  { "hpmcounter31", "hpmcounter31", "", 0xC1F,  {} , false }, // 381
  { "vl", "vl", "", 0xC20,  {} , false }, // 382
  { "vtype", "vtype", "", 0xC21,  {} , false }, // 383
  { "vlenb", "vlenb", "", 0xC22,  {} , false }, // 384
  { "cycleh", "cycleh", "", 0xC80,  {} , true }, // 385
  { "timeh", "timeh", "", 0xC81,  {} , true }, // 386
  { "instreth", "instreth", "", 0xC82,  {} , true }, // 387
  { "hpmcounter3h", "hpmcounter3h", "", 0xC83,  {} , true }, // 388
  { "hpmcounter4h", "hpmcounter4h", "", 0xC84,  {} , true }, // 389
  { "hpmcounter5h", "hpmcounter5h", "", 0xC85,  {} , true }, // 390
  { "hpmcounter6h", "hpmcounter6h", "", 0xC86,  {} , true }, // 391
  { "hpmcounter7h", "hpmcounter7h", "", 0xC87,  {} , true }, // 392
  { "hpmcounter8h", "hpmcounter8h", "", 0xC88,  {} , true }, // 393
  { "hpmcounter9h", "hpmcounter9h", "", 0xC89,  {} , true }, // 394
  { "hpmcounter10h", "hpmcounter10h", "", 0xC8A,  {} , true }, // 395
  { "hpmcounter11h", "hpmcounter11h", "", 0xC8B,  {} , true }, // 396
  { "hpmcounter12h", "hpmcounter12h", "", 0xC8C,  {} , true }, // 397
  { "hpmcounter13h", "hpmcounter13h", "", 0xC8D,  {} , true }, // 398
  { "hpmcounter14h", "hpmcounter14h", "", 0xC8E,  {} , true }, // 399
  { "hpmcounter15h", "hpmcounter15h", "", 0xC8F,  {} , true }, // 400
  { "hpmcounter16h", "hpmcounter16h", "", 0xC90,  {} , true }, // 401
  { "hpmcounter17h", "hpmcounter17h", "", 0xC91,  {} , true }, // 402
  { "hpmcounter18h", "hpmcounter18h", "", 0xC92,  {} , true }, // 403
  { "hpmcounter19h", "hpmcounter19h", "", 0xC93,  {} , true }, // 404
  { "hpmcounter20h", "hpmcounter20h", "", 0xC94,  {} , true }, // 405
  { "hpmcounter21h", "hpmcounter21h", "", 0xC95,  {} , true }, // 406
  { "hpmcounter22h", "hpmcounter22h", "", 0xC96,  {} , true }, // 407
  { "hpmcounter23h", "hpmcounter23h", "", 0xC97,  {} , true }, // 408
  { "hpmcounter24h", "hpmcounter24h", "", 0xC98,  {} , true }, // 409
  { "hpmcounter25h", "hpmcounter25h", "", 0xC99,  {} , true }, // 410
  { "hpmcounter26h", "hpmcounter26h", "", 0xC9A,  {} , true }, // 411
  { "hpmcounter27h", "hpmcounter27h", "", 0xC9B,  {} , true }, // 412
  { "hpmcounter28h", "hpmcounter28h", "", 0xC9C,  {} , true }, // 413
  { "hpmcounter29h", "hpmcounter29h", "", 0xC9D,  {} , true }, // 414
  { "hpmcounter30h", "hpmcounter30h", "", 0xC9E,  {} , true }, // 415
  { "hpmcounter31h", "hpmcounter31h", "", 0xC9F,  {} , true }, // 416
  { "scountovf", "scountovf", "", 0xDA0,  {} , false }, // 417
  { "stopi", "stopi", "", 0xDB0,  {} , false }, // 418
  { "hgeip", "hgeip", "", 0xE12,  {} , false }, // 419
  { "vstopi", "vstopi", "", 0xEB0,  {} , false }, // 420
  { "mvendorid", "mvendorid", "", 0xF11,  {} , false }, // 421
  { "marchid", "marchid", "", 0xF12,  {} , false }, // 422
  { "mimpid", "mimpid", "", 0xF13,  {} , false }, // 423
  { "mhartid", "mhartid", "", 0xF14,  {} , false }, // 424
  { "mconfigptr", "mconfigptr", "", 0xF15,  {} , false }, // 425
  { "mtopi", "mtopi", "", 0xFB0,  {} , false }, // 426
 };

llvm::iterator_range<const SysReg *> lookupSysRegByEncoding(uint16_t Encoding) {
  struct KeyType {
    uint16_t Encoding;
  };
  KeyType Key = {Encoding};
  struct Comp {
    bool operator()(const SysReg &LHS, const KeyType &RHS) const {
      if (LHS.Encoding < RHS.Encoding)
        return true;
      if (LHS.Encoding > RHS.Encoding)
        return false;
      return false;
    }
    bool operator()(const KeyType &LHS, const SysReg &RHS) const {
      if (LHS.Encoding < RHS.Encoding)
        return true;
      if (LHS.Encoding > RHS.Encoding)
        return false;
      return false;
    }
  };
  auto Table = ArrayRef(SysRegsList);
  auto It = std::equal_range(Table.begin(), Table.end(), Key, Comp());
  return llvm::make_range(It.first, It.second);
}

const SysReg *lookupSysRegByAltName(StringRef AltName) {
  struct IndexType {
    const char * AltName;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "CYCLE", 350 },
    { "CYCLEH", 385 },
    { "DCSR", 284 },
    { "DPC", 285 },
    { "DSCRATCH", 286 },
    { "DSCRATCH1", 287 },
    { "FCSR", 2 },
    { "FFLAGS", 0 },
    { "FRM", 1 },
    { "HCONTEXT", 243 },
    { "HCOUNTEREN", 216 },
    { "HEDELEG", 212 },
    { "HENVCFG", 220 },
    { "HENVCFGH", 228 },
    { "HGATP", 242 },
    { "HGEIE", 217 },
    { "HGEIP", 419 },
    { "HIDELEG", 213 },
    { "HIDELEGH", 225 },
    { "HIE", 214 },
    { "HIP", 234 },
    { "HPMCOUNTER10", 360 },
    { "HPMCOUNTER10H", 395 },
    { "HPMCOUNTER11", 361 },
    { "HPMCOUNTER11H", 396 },
    { "HPMCOUNTER12", 362 },
    { "HPMCOUNTER12H", 397 },
    { "HPMCOUNTER13", 363 },
    { "HPMCOUNTER13H", 398 },
    { "HPMCOUNTER14", 364 },
    { "HPMCOUNTER14H", 399 },
    { "HPMCOUNTER15", 365 },
    { "HPMCOUNTER15H", 400 },
    { "HPMCOUNTER16", 366 },
    { "HPMCOUNTER16H", 401 },
    { "HPMCOUNTER17", 367 },
    { "HPMCOUNTER17H", 402 },
    { "HPMCOUNTER18", 368 },
    { "HPMCOUNTER18H", 403 },
    { "HPMCOUNTER19", 369 },
    { "HPMCOUNTER19H", 404 },
    { "HPMCOUNTER20", 370 },
    { "HPMCOUNTER20H", 405 },
    { "HPMCOUNTER21", 371 },
    { "HPMCOUNTER21H", 406 },
    { "HPMCOUNTER22", 372 },
    { "HPMCOUNTER22H", 407 },
    { "HPMCOUNTER23", 373 },
    { "HPMCOUNTER23H", 408 },
    { "HPMCOUNTER24", 374 },
    { "HPMCOUNTER24H", 409 },
    { "HPMCOUNTER25", 375 },
    { "HPMCOUNTER25H", 410 },
    { "HPMCOUNTER26", 376 },
    { "HPMCOUNTER26H", 411 },
    { "HPMCOUNTER27", 377 },
    { "HPMCOUNTER27H", 412 },
    { "HPMCOUNTER28", 378 },
    { "HPMCOUNTER28H", 413 },
    { "HPMCOUNTER29", 379 },
    { "HPMCOUNTER29H", 414 },
    { "HPMCOUNTER3", 353 },
    { "HPMCOUNTER30", 380 },
    { "HPMCOUNTER30H", 415 },
    { "HPMCOUNTER31", 381 },
    { "HPMCOUNTER31H", 416 },
    { "HPMCOUNTER3H", 388 },
    { "HPMCOUNTER4", 354 },
    { "HPMCOUNTER4H", 389 },
    { "HPMCOUNTER5", 355 },
    { "HPMCOUNTER5H", 390 },
    { "HPMCOUNTER6", 356 },
    { "HPMCOUNTER6H", 391 },
    { "HPMCOUNTER7", 357 },
    { "HPMCOUNTER7H", 392 },
    { "HPMCOUNTER8", 358 },
    { "HPMCOUNTER8H", 393 },
    { "HPMCOUNTER9", 359 },
    { "HPMCOUNTER9H", 394 },
    { "HSTATEEN0", 221 },
    { "HSTATEEN0H", 229 },
    { "HSTATEEN1", 222 },
    { "HSTATEEN1H", 230 },
    { "HSTATEEN2", 223 },
    { "HSTATEEN2H", 231 },
    { "HSTATEEN3", 224 },
    { "HSTATEEN3H", 232 },
    { "HSTATUS", 211 },
    { "HTIMEDELTA", 215 },
    { "HTIMEDELTAH", 226 },
    { "HTINST", 238 },
    { "HTVAL", 233 },
    { "HVICTL", 219 },
    { "HVIEN", 218 },
    { "HVIENH", 227 },
    { "HVIP", 235 },
    { "HVIPH", 239 },
    { "HVIPRIO1", 236 },
    { "HVIPRIO1H", 240 },
    { "HVIPRIO2", 237 },
    { "HVIPRIO2H", 241 },
    { "INSTRET", 352 },
    { "INSTRETH", 387 },
    { "JVT", 9 },
    { "MARCHID", 422 },
    { "MCAUSE", 116 },
    { "MCONFIGPTR", 425 },
    { "MCONTEXT", 283 },
    { "MCOUNTEREN", 66 },
    { "MCYCLE", 288 },
    { "MCYCLEH", 319 },
    { "MEDELEG", 62 },
    { "MENVCFG", 69 },
    { "MENVCFGH", 79 },
    { "MEPC", 115 },
    { "MHARTID", 424 },
    { "MHPMCOUNTER10", 297 },
    { "MHPMCOUNTER10H", 328 },
    { "MHPMCOUNTER11", 298 },
    { "MHPMCOUNTER11H", 329 },
    { "MHPMCOUNTER12", 299 },
    { "MHPMCOUNTER12H", 330 },
    { "MHPMCOUNTER13", 300 },
    { "MHPMCOUNTER13H", 331 },
    { "MHPMCOUNTER14", 301 },
    { "MHPMCOUNTER14H", 332 },
    { "MHPMCOUNTER15", 302 },
    { "MHPMCOUNTER15H", 333 },
    { "MHPMCOUNTER16", 303 },
    { "MHPMCOUNTER16H", 334 },
    { "MHPMCOUNTER17", 304 },
    { "MHPMCOUNTER17H", 335 },
    { "MHPMCOUNTER18", 305 },
    { "MHPMCOUNTER18H", 336 },
    { "MHPMCOUNTER19", 306 },
    { "MHPMCOUNTER19H", 337 },
    { "MHPMCOUNTER20", 307 },
    { "MHPMCOUNTER20H", 338 },
    { "MHPMCOUNTER21", 308 },
    { "MHPMCOUNTER21H", 339 },
    { "MHPMCOUNTER22", 309 },
    { "MHPMCOUNTER22H", 340 },
    { "MHPMCOUNTER23", 310 },
    { "MHPMCOUNTER23H", 341 },
    { "MHPMCOUNTER24", 311 },
    { "MHPMCOUNTER24H", 342 },
    { "MHPMCOUNTER25", 312 },
    { "MHPMCOUNTER25H", 343 },
    { "MHPMCOUNTER26", 313 },
    { "MHPMCOUNTER26H", 344 },
    { "MHPMCOUNTER27", 314 },
    { "MHPMCOUNTER27H", 345 },
    { "MHPMCOUNTER28", 315 },
    { "MHPMCOUNTER28H", 346 },
    { "MHPMCOUNTER29", 316 },
    { "MHPMCOUNTER29H", 347 },
    { "MHPMCOUNTER3", 290 },
    { "MHPMCOUNTER30", 317 },
    { "MHPMCOUNTER30H", 348 },
    { "MHPMCOUNTER31", 318 },
    { "MHPMCOUNTER31H", 349 },
    { "MHPMCOUNTER3H", 321 },
    { "MHPMCOUNTER4", 291 },
    { "MHPMCOUNTER4H", 322 },
    { "MHPMCOUNTER5", 292 },
    { "MHPMCOUNTER5H", 323 },
    { "MHPMCOUNTER6", 293 },
    { "MHPMCOUNTER6H", 324 },
    { "MHPMCOUNTER7", 294 },
    { "MHPMCOUNTER7H", 325 },
    { "MHPMCOUNTER8", 295 },
    { "MHPMCOUNTER8H", 326 },
    { "MHPMCOUNTER9", 296 },
    { "MHPMCOUNTER9H", 327 },
    { "MHPMEVENT10", 92 },
    { "MHPMEVENT10H", 251 },
    { "MHPMEVENT11", 93 },
    { "MHPMEVENT11H", 252 },
    { "MHPMEVENT12", 94 },
    { "MHPMEVENT12H", 253 },
    { "MHPMEVENT13", 95 },
    { "MHPMEVENT13H", 254 },
    { "MHPMEVENT14", 96 },
    { "MHPMEVENT14H", 255 },
    { "MHPMEVENT15", 97 },
    { "MHPMEVENT15H", 256 },
    { "MHPMEVENT16", 98 },
    { "MHPMEVENT16H", 257 },
    { "MHPMEVENT17", 99 },
    { "MHPMEVENT17H", 258 },
    { "MHPMEVENT18", 100 },
    { "MHPMEVENT18H", 259 },
    { "MHPMEVENT19", 101 },
    { "MHPMEVENT19H", 260 },
    { "MHPMEVENT20", 102 },
    { "MHPMEVENT20H", 261 },
    { "MHPMEVENT21", 103 },
    { "MHPMEVENT21H", 262 },
    { "MHPMEVENT22", 104 },
    { "MHPMEVENT22H", 263 },
    { "MHPMEVENT23", 105 },
    { "MHPMEVENT23H", 264 },
    { "MHPMEVENT24", 106 },
    { "MHPMEVENT24H", 265 },
    { "MHPMEVENT25", 107 },
    { "MHPMEVENT25H", 266 },
    { "MHPMEVENT26", 108 },
    { "MHPMEVENT26H", 267 },
    { "MHPMEVENT27", 109 },
    { "MHPMEVENT27H", 268 },
    { "MHPMEVENT28", 110 },
    { "MHPMEVENT28H", 269 },
    { "MHPMEVENT29", 111 },
    { "MHPMEVENT29H", 270 },
    { "MHPMEVENT3", 85 },
    { "MHPMEVENT30", 112 },
    { "MHPMEVENT30H", 271 },
    { "MHPMEVENT31", 113 },
    { "MHPMEVENT31H", 272 },
    { "MHPMEVENT3H", 244 },
    { "MHPMEVENT4", 86 },
    { "MHPMEVENT4H", 245 },
    { "MHPMEVENT5", 87 },
    { "MHPMEVENT5H", 246 },
    { "MHPMEVENT6", 88 },
    { "MHPMEVENT6H", 247 },
    { "MHPMEVENT7", 89 },
    { "MHPMEVENT7H", 248 },
    { "MHPMEVENT8", 90 },
    { "MHPMEVENT8H", 249 },
    { "MHPMEVENT9", 91 },
    { "MHPMEVENT9H", 250 },
    { "MIDELEG", 63 },
    { "MIDELEGH", 75 },
    { "MIE", 64 },
    { "MIEH", 76 },
    { "MIMPID", 423 },
    { "MINSTRET", 289 },
    { "MINSTRETH", 320 },
    { "MIP", 118 },
    { "MIPH", 125 },
    { "MIREG", 122 },
    { "MIREG2", 123 },
    { "MIREG3", 124 },
    { "MIREG4", 126 },
    { "MIREG5", 127 },
    { "MIREG6", 128 },
    { "MISA", 61 },
    { "MISELECT", 121 },
    { "MNCAUSE", 275 },
    { "MNEPC", 274 },
    { "MNSCRATCH", 273 },
    { "MNSTATUS", 276 },
    { "MSCRATCH", 114 },
    { "MSECCFG", 277 },
    { "MSECCFGH", 278 },
    { "MSTATEEN0", 70 },
    { "MSTATEEN0H", 80 },
    { "MSTATEEN1", 71 },
    { "MSTATEEN1H", 81 },
    { "MSTATEEN2", 72 },
    { "MSTATEEN2H", 82 },
    { "MSTATEEN3", 73 },
    { "MSTATEEN3H", 83 },
    { "MSTATUS", 60 },
    { "MSTATUSH", 74 },
    { "MTINST", 119 },
    { "MTOPEI", 129 },
    { "MTOPI", 426 },
    { "MTVAL", 117 },
    { "MTVAL2", 120 },
    { "MTVEC", 65 },
    { "MUCOUNTEREN", 84 },
    { "MVENDORID", 421 },
    { "MVIEN", 67 },
    { "MVIENH", 77 },
    { "MVIP", 68 },
    { "MVIPH", 78 },
    { "PMPADDR0", 146 },
    { "PMPADDR1", 147 },
    { "PMPADDR10", 156 },
    { "PMPADDR11", 157 },
    { "PMPADDR12", 158 },
    { "PMPADDR13", 159 },
    { "PMPADDR14", 160 },
    { "PMPADDR15", 161 },
    { "PMPADDR16", 162 },
    { "PMPADDR17", 163 },
    { "PMPADDR18", 164 },
    { "PMPADDR19", 165 },
    { "PMPADDR2", 148 },
    { "PMPADDR20", 166 },
    { "PMPADDR21", 167 },
    { "PMPADDR22", 168 },
    { "PMPADDR23", 169 },
    { "PMPADDR24", 170 },
    { "PMPADDR25", 171 },
    { "PMPADDR26", 172 },
    { "PMPADDR27", 173 },
    { "PMPADDR28", 174 },
    { "PMPADDR29", 175 },
    { "PMPADDR3", 149 },
    { "PMPADDR30", 176 },
    { "PMPADDR31", 177 },
    { "PMPADDR32", 178 },
    { "PMPADDR33", 179 },
    { "PMPADDR34", 180 },
    { "PMPADDR35", 181 },
    { "PMPADDR36", 182 },
    { "PMPADDR37", 183 },
    { "PMPADDR38", 184 },
    { "PMPADDR39", 185 },
    { "PMPADDR4", 150 },
    { "PMPADDR40", 186 },
    { "PMPADDR41", 187 },
    { "PMPADDR42", 188 },
    { "PMPADDR43", 189 },
    { "PMPADDR44", 190 },
    { "PMPADDR45", 191 },
    { "PMPADDR46", 192 },
    { "PMPADDR47", 193 },
    { "PMPADDR48", 194 },
    { "PMPADDR49", 195 },
    { "PMPADDR5", 151 },
    { "PMPADDR50", 196 },
    { "PMPADDR51", 197 },
    { "PMPADDR52", 198 },
    { "PMPADDR53", 199 },
    { "PMPADDR54", 200 },
    { "PMPADDR55", 201 },
    { "PMPADDR56", 202 },
    { "PMPADDR57", 203 },
    { "PMPADDR58", 204 },
    { "PMPADDR59", 205 },
    { "PMPADDR6", 152 },
    { "PMPADDR60", 206 },
    { "PMPADDR61", 207 },
    { "PMPADDR62", 208 },
    { "PMPADDR63", 209 },
    { "PMPADDR7", 153 },
    { "PMPADDR8", 154 },
    { "PMPADDR9", 155 },
    { "PMPCFG0", 130 },
    { "PMPCFG1", 131 },
    { "PMPCFG10", 140 },
    { "PMPCFG11", 141 },
    { "PMPCFG12", 142 },
    { "PMPCFG13", 143 },
    { "PMPCFG14", 144 },
    { "PMPCFG15", 145 },
    { "PMPCFG2", 132 },
    { "PMPCFG3", 133 },
    { "PMPCFG4", 134 },
    { "PMPCFG5", 135 },
    { "PMPCFG6", 136 },
    { "PMPCFG7", 137 },
    { "PMPCFG8", 138 },
    { "PMPCFG9", 139 },
    { "SATP", 37 },
    { "SCAUSE", 23 },
    { "SCONTEXT", 210 },
    { "SCOUNTEREN", 13 },
    { "SCOUNTINHIBIT", 20 },
    { "SCOUNTOVF", 417 },
    { "SEED", 8 },
    { "SENVCFG", 14 },
    { "SEPC", 22 },
    { "SIE", 11 },
    { "SIEH", 19 },
    { "SIP", 25 },
    { "SIPH", 31 },
    { "SIREG", 28 },
    { "SIREG2", 29 },
    { "SIREG3", 30 },
    { "SIREG4", 32 },
    { "SIREG5", 33 },
    { "SIREG6", 34 },
    { "SISELECT", 27 },
    { "SRMCFG", 38 },
    { "SSCRATCH", 21 },
    { "SSP", 7 },
    { "SSTATEEN0", 15 },
    { "SSTATEEN1", 16 },
    { "SSTATEEN2", 17 },
    { "SSTATEEN3", 18 },
    { "SSTATUS", 10 },
    { "STIMECMP", 26 },
    { "STIMECMPH", 36 },
    { "STOPEI", 35 },
    { "STOPI", 418 },
    { "STVAL", 24 },
    { "STVEC", 12 },
    { "TDATA1", 280 },
    { "TDATA2", 281 },
    { "TDATA3", 282 },
    { "TIME", 351 },
    { "TIMEH", 386 },
    { "TSELECT", 279 },
    { "VCSR", 6 },
    { "VL", 382 },
    { "VLENB", 384 },
    { "VSATP", 59 },
    { "VSCAUSE", 45 },
    { "VSEPC", 44 },
    { "VSIE", 40 },
    { "VSIEH", 42 },
    { "VSIP", 47 },
    { "VSIPH", 53 },
    { "VSIREG", 50 },
    { "VSIREG2", 51 },
    { "VSIREG3", 52 },
    { "VSIREG4", 54 },
    { "VSIREG5", 55 },
    { "VSIREG6", 56 },
    { "VSISELECT", 49 },
    { "VSSCRATCH", 43 },
    { "VSSTATUS", 39 },
    { "VSTART", 3 },
    { "VSTIMECMP", 48 },
    { "VSTIMECMPH", 58 },
    { "VSTOPEI", 57 },
    { "VSTOPI", 420 },
    { "VSTVAL", 46 },
    { "VSTVEC", 41 },
    { "VTYPE", 383 },
    { "VXRM", 5 },
    { "VXSAT", 4 },
  };

  struct KeyType {
    std::string AltName;
  };
  KeyType Key = {AltName.upper()};
  struct Comp {
    bool operator()(const IndexType &LHS, const KeyType &RHS) const {
      int CmpAltName = StringRef(LHS.AltName).compare(RHS.AltName);
      if (CmpAltName < 0) return true;
      if (CmpAltName > 0) return false;
      return false;
    }
  };
  auto Table = ArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.AltName != Idx->AltName)
    return nullptr;

  return &SysRegsList[Idx->_index];
}

const SysReg *lookupSysRegByDeprecatedName(StringRef DeprecatedName) {
  struct IndexType {
    const char * DeprecatedName;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "", 0 },
    { "", 1 },
    { "", 2 },
    { "", 3 },
    { "", 4 },
    { "", 5 },
    { "", 6 },
    { "", 7 },
    { "", 8 },
    { "", 9 },
    { "", 10 },
    { "", 11 },
    { "", 12 },
    { "", 13 },
    { "", 14 },
    { "", 15 },
    { "", 16 },
    { "", 17 },
    { "", 18 },
    { "", 19 },
    { "", 20 },
    { "", 21 },
    { "", 22 },
    { "", 23 },
    { "", 25 },
    { "", 26 },
    { "", 27 },
    { "", 28 },
    { "", 29 },
    { "", 30 },
    { "", 31 },
    { "", 32 },
    { "", 33 },
    { "", 34 },
    { "", 35 },
    { "", 36 },
    { "", 38 },
    { "", 39 },
    { "", 40 },
    { "", 41 },
    { "", 42 },
    { "", 43 },
    { "", 44 },
    { "", 45 },
    { "", 46 },
    { "", 47 },
    { "", 48 },
    { "", 49 },
    { "", 50 },
    { "", 51 },
    { "", 52 },
    { "", 53 },
    { "", 54 },
    { "", 55 },
    { "", 56 },
    { "", 57 },
    { "", 58 },
    { "", 59 },
    { "", 60 },
    { "", 61 },
    { "", 62 },
    { "", 63 },
    { "", 64 },
    { "", 65 },
    { "", 66 },
    { "", 67 },
    { "", 68 },
    { "", 69 },
    { "", 70 },
    { "", 71 },
    { "", 72 },
    { "", 73 },
    { "", 74 },
    { "", 75 },
    { "", 76 },
    { "", 77 },
    { "", 78 },
    { "", 79 },
    { "", 80 },
    { "", 81 },
    { "", 82 },
    { "", 83 },
    { "", 84 },
    { "", 85 },
    { "", 86 },
    { "", 87 },
    { "", 88 },
    { "", 89 },
    { "", 90 },
    { "", 91 },
    { "", 92 },
    { "", 93 },
    { "", 94 },
    { "", 95 },
    { "", 96 },
    { "", 97 },
    { "", 98 },
    { "", 99 },
    { "", 100 },
    { "", 101 },
    { "", 102 },
    { "", 103 },
    { "", 104 },
    { "", 105 },
    { "", 106 },
    { "", 107 },
    { "", 108 },
    { "", 109 },
    { "", 110 },
    { "", 111 },
    { "", 112 },
    { "", 113 },
    { "", 114 },
    { "", 115 },
    { "", 116 },
    { "", 118 },
    { "", 119 },
    { "", 120 },
    { "", 121 },
    { "", 122 },
    { "", 123 },
    { "", 124 },
    { "", 125 },
    { "", 126 },
    { "", 127 },
    { "", 128 },
    { "", 129 },
    { "", 130 },
    { "", 131 },
    { "", 132 },
    { "", 133 },
    { "", 134 },
    { "", 135 },
    { "", 136 },
    { "", 137 },
    { "", 138 },
    { "", 139 },
    { "", 140 },
    { "", 141 },
    { "", 142 },
    { "", 143 },
    { "", 144 },
    { "", 145 },
    { "", 146 },
    { "", 147 },
    { "", 148 },
    { "", 149 },
    { "", 150 },
    { "", 151 },
    { "", 152 },
    { "", 153 },
    { "", 154 },
    { "", 155 },
    { "", 156 },
    { "", 157 },
    { "", 158 },
    { "", 159 },
    { "", 160 },
    { "", 161 },
    { "", 162 },
    { "", 163 },
    { "", 164 },
    { "", 165 },
    { "", 166 },
    { "", 167 },
    { "", 168 },
    { "", 169 },
    { "", 170 },
    { "", 171 },
    { "", 172 },
    { "", 173 },
    { "", 174 },
    { "", 175 },
    { "", 176 },
    { "", 177 },
    { "", 178 },
    { "", 179 },
    { "", 180 },
    { "", 181 },
    { "", 182 },
    { "", 183 },
    { "", 184 },
    { "", 185 },
    { "", 186 },
    { "", 187 },
    { "", 188 },
    { "", 189 },
    { "", 190 },
    { "", 191 },
    { "", 192 },
    { "", 193 },
    { "", 194 },
    { "", 195 },
    { "", 196 },
    { "", 197 },
    { "", 198 },
    { "", 199 },
    { "", 200 },
    { "", 201 },
    { "", 202 },
    { "", 203 },
    { "", 204 },
    { "", 205 },
    { "", 206 },
    { "", 207 },
    { "", 208 },
    { "", 209 },
    { "", 210 },
    { "", 211 },
    { "", 212 },
    { "", 213 },
    { "", 214 },
    { "", 215 },
    { "", 216 },
    { "", 217 },
    { "", 218 },
    { "", 219 },
    { "", 220 },
    { "", 221 },
    { "", 222 },
    { "", 223 },
    { "", 224 },
    { "", 225 },
    { "", 226 },
    { "", 227 },
    { "", 228 },
    { "", 229 },
    { "", 230 },
    { "", 231 },
    { "", 232 },
    { "", 233 },
    { "", 234 },
    { "", 235 },
    { "", 236 },
    { "", 237 },
    { "", 238 },
    { "", 239 },
    { "", 240 },
    { "", 241 },
    { "", 242 },
    { "", 243 },
    { "", 244 },
    { "", 245 },
    { "", 246 },
    { "", 247 },
    { "", 248 },
    { "", 249 },
    { "", 250 },
    { "", 251 },
    { "", 252 },
    { "", 253 },
    { "", 254 },
    { "", 255 },
    { "", 256 },
    { "", 257 },
    { "", 258 },
    { "", 259 },
    { "", 260 },
    { "", 261 },
    { "", 262 },
    { "", 263 },
    { "", 264 },
    { "", 265 },
    { "", 266 },
    { "", 267 },
    { "", 268 },
    { "", 269 },
    { "", 270 },
    { "", 271 },
    { "", 272 },
    { "", 273 },
    { "", 274 },
    { "", 275 },
    { "", 276 },
    { "", 277 },
    { "", 278 },
    { "", 279 },
    { "", 280 },
    { "", 281 },
    { "", 282 },
    { "", 283 },
    { "", 284 },
    { "", 285 },
    { "", 286 },
    { "", 287 },
    { "", 288 },
    { "", 289 },
    { "", 290 },
    { "", 291 },
    { "", 292 },
    { "", 293 },
    { "", 294 },
    { "", 295 },
    { "", 296 },
    { "", 297 },
    { "", 298 },
    { "", 299 },
    { "", 300 },
    { "", 301 },
    { "", 302 },
    { "", 303 },
    { "", 304 },
    { "", 305 },
    { "", 306 },
    { "", 307 },
    { "", 308 },
    { "", 309 },
    { "", 310 },
    { "", 311 },
    { "", 312 },
    { "", 313 },
    { "", 314 },
    { "", 315 },
    { "", 316 },
    { "", 317 },
    { "", 318 },
    { "", 319 },
    { "", 320 },
    { "", 321 },
    { "", 322 },
    { "", 323 },
    { "", 324 },
    { "", 325 },
    { "", 326 },
    { "", 327 },
    { "", 328 },
    { "", 329 },
    { "", 330 },
    { "", 331 },
    { "", 332 },
    { "", 333 },
    { "", 334 },
    { "", 335 },
    { "", 336 },
    { "", 337 },
    { "", 338 },
    { "", 339 },
    { "", 340 },
    { "", 341 },
    { "", 342 },
    { "", 343 },
    { "", 344 },
    { "", 345 },
    { "", 346 },
    { "", 347 },
    { "", 348 },
    { "", 349 },
    { "", 350 },
    { "", 351 },
    { "", 352 },
    { "", 353 },
    { "", 354 },
    { "", 355 },
    { "", 356 },
    { "", 357 },
    { "", 358 },
    { "", 359 },
    { "", 360 },
    { "", 361 },
    { "", 362 },
    { "", 363 },
    { "", 364 },
    { "", 365 },
    { "", 366 },
    { "", 367 },
    { "", 368 },
    { "", 369 },
    { "", 370 },
    { "", 371 },
    { "", 372 },
    { "", 373 },
    { "", 374 },
    { "", 375 },
    { "", 376 },
    { "", 377 },
    { "", 378 },
    { "", 379 },
    { "", 380 },
    { "", 381 },
    { "", 382 },
    { "", 383 },
    { "", 384 },
    { "", 385 },
    { "", 386 },
    { "", 387 },
    { "", 388 },
    { "", 389 },
    { "", 390 },
    { "", 391 },
    { "", 392 },
    { "", 393 },
    { "", 394 },
    { "", 395 },
    { "", 396 },
    { "", 397 },
    { "", 398 },
    { "", 399 },
    { "", 400 },
    { "", 401 },
    { "", 402 },
    { "", 403 },
    { "", 404 },
    { "", 405 },
    { "", 406 },
    { "", 407 },
    { "", 408 },
    { "", 409 },
    { "", 410 },
    { "", 411 },
    { "", 412 },
    { "", 413 },
    { "", 414 },
    { "", 415 },
    { "", 416 },
    { "", 417 },
    { "", 418 },
    { "", 419 },
    { "", 420 },
    { "", 421 },
    { "", 422 },
    { "", 423 },
    { "", 424 },
    { "", 425 },
    { "", 426 },
    { "MBADADDR", 117 },
    { "SBADADDR", 24 },
    { "SPTBR", 37 },
  };

  struct KeyType {
    std::string DeprecatedName;
  };
  KeyType Key = {DeprecatedName.upper()};
  struct Comp {
    bool operator()(const IndexType &LHS, const KeyType &RHS) const {
      int CmpDeprecatedName = StringRef(LHS.DeprecatedName).compare(RHS.DeprecatedName);
      if (CmpDeprecatedName < 0) return true;
      if (CmpDeprecatedName > 0) return false;
      return false;
    }
  };
  auto Table = ArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.DeprecatedName != Idx->DeprecatedName)
    return nullptr;

  return &SysRegsList[Idx->_index];
}

const SysReg *lookupSysRegByName(StringRef Name) {
  struct IndexType {
    const char * Name;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "CYCLE", 350 },
    { "CYCLEH", 385 },
    { "DCSR", 284 },
    { "DPC", 285 },
    { "DSCRATCH0", 286 },
    { "DSCRATCH1", 287 },
    { "FCSR", 2 },
    { "FFLAGS", 0 },
    { "FRM", 1 },
    { "HCONTEXT", 243 },
    { "HCOUNTEREN", 216 },
    { "HEDELEG", 212 },
    { "HENVCFG", 220 },
    { "HENVCFGH", 228 },
    { "HGATP", 242 },
    { "HGEIE", 217 },
    { "HGEIP", 419 },
    { "HIDELEG", 213 },
    { "HIDELEGH", 225 },
    { "HIE", 214 },
    { "HIP", 234 },
    { "HPMCOUNTER10", 360 },
    { "HPMCOUNTER10H", 395 },
    { "HPMCOUNTER11", 361 },
    { "HPMCOUNTER11H", 396 },
    { "HPMCOUNTER12", 362 },
    { "HPMCOUNTER12H", 397 },
    { "HPMCOUNTER13", 363 },
    { "HPMCOUNTER13H", 398 },
    { "HPMCOUNTER14", 364 },
    { "HPMCOUNTER14H", 399 },
    { "HPMCOUNTER15", 365 },
    { "HPMCOUNTER15H", 400 },
    { "HPMCOUNTER16", 366 },
    { "HPMCOUNTER16H", 401 },
    { "HPMCOUNTER17", 367 },
    { "HPMCOUNTER17H", 402 },
    { "HPMCOUNTER18", 368 },
    { "HPMCOUNTER18H", 403 },
    { "HPMCOUNTER19", 369 },
    { "HPMCOUNTER19H", 404 },
    { "HPMCOUNTER20", 370 },
    { "HPMCOUNTER20H", 405 },
    { "HPMCOUNTER21", 371 },
    { "HPMCOUNTER21H", 406 },
    { "HPMCOUNTER22", 372 },
    { "HPMCOUNTER22H", 407 },
    { "HPMCOUNTER23", 373 },
    { "HPMCOUNTER23H", 408 },
    { "HPMCOUNTER24", 374 },
    { "HPMCOUNTER24H", 409 },
    { "HPMCOUNTER25", 375 },
    { "HPMCOUNTER25H", 410 },
    { "HPMCOUNTER26", 376 },
    { "HPMCOUNTER26H", 411 },
    { "HPMCOUNTER27", 377 },
    { "HPMCOUNTER27H", 412 },
    { "HPMCOUNTER28", 378 },
    { "HPMCOUNTER28H", 413 },
    { "HPMCOUNTER29", 379 },
    { "HPMCOUNTER29H", 414 },
    { "HPMCOUNTER3", 353 },
    { "HPMCOUNTER30", 380 },
    { "HPMCOUNTER30H", 415 },
    { "HPMCOUNTER31", 381 },
    { "HPMCOUNTER31H", 416 },
    { "HPMCOUNTER3H", 388 },
    { "HPMCOUNTER4", 354 },
    { "HPMCOUNTER4H", 389 },
    { "HPMCOUNTER5", 355 },
    { "HPMCOUNTER5H", 390 },
    { "HPMCOUNTER6", 356 },
    { "HPMCOUNTER6H", 391 },
    { "HPMCOUNTER7", 357 },
    { "HPMCOUNTER7H", 392 },
    { "HPMCOUNTER8", 358 },
    { "HPMCOUNTER8H", 393 },
    { "HPMCOUNTER9", 359 },
    { "HPMCOUNTER9H", 394 },
    { "HSTATEEN0", 221 },
    { "HSTATEEN0H", 229 },
    { "HSTATEEN1", 222 },
    { "HSTATEEN1H", 230 },
    { "HSTATEEN2", 223 },
    { "HSTATEEN2H", 231 },
    { "HSTATEEN3", 224 },
    { "HSTATEEN3H", 232 },
    { "HSTATUS", 211 },
    { "HTIMEDELTA", 215 },
    { "HTIMEDELTAH", 226 },
    { "HTINST", 238 },
    { "HTVAL", 233 },
    { "HVICTL", 219 },
    { "HVIEN", 218 },
    { "HVIENH", 227 },
    { "HVIP", 235 },
    { "HVIPH", 239 },
    { "HVIPRIO1", 236 },
    { "HVIPRIO1H", 240 },
    { "HVIPRIO2", 237 },
    { "HVIPRIO2H", 241 },
    { "INSTRET", 352 },
    { "INSTRETH", 387 },
    { "JVT", 9 },
    { "MARCHID", 422 },
    { "MCAUSE", 116 },
    { "MCONFIGPTR", 425 },
    { "MCONTEXT", 283 },
    { "MCOUNTEREN", 66 },
    { "MCOUNTINHIBIT", 84 },
    { "MCYCLE", 288 },
    { "MCYCLEH", 319 },
    { "MEDELEG", 62 },
    { "MENVCFG", 69 },
    { "MENVCFGH", 79 },
    { "MEPC", 115 },
    { "MHARTID", 424 },
    { "MHPMCOUNTER10", 297 },
    { "MHPMCOUNTER10H", 328 },
    { "MHPMCOUNTER11", 298 },
    { "MHPMCOUNTER11H", 329 },
    { "MHPMCOUNTER12", 299 },
    { "MHPMCOUNTER12H", 330 },
    { "MHPMCOUNTER13", 300 },
    { "MHPMCOUNTER13H", 331 },
    { "MHPMCOUNTER14", 301 },
    { "MHPMCOUNTER14H", 332 },
    { "MHPMCOUNTER15", 302 },
    { "MHPMCOUNTER15H", 333 },
    { "MHPMCOUNTER16", 303 },
    { "MHPMCOUNTER16H", 334 },
    { "MHPMCOUNTER17", 304 },
    { "MHPMCOUNTER17H", 335 },
    { "MHPMCOUNTER18", 305 },
    { "MHPMCOUNTER18H", 336 },
    { "MHPMCOUNTER19", 306 },
    { "MHPMCOUNTER19H", 337 },
    { "MHPMCOUNTER20", 307 },
    { "MHPMCOUNTER20H", 338 },
    { "MHPMCOUNTER21", 308 },
    { "MHPMCOUNTER21H", 339 },
    { "MHPMCOUNTER22", 309 },
    { "MHPMCOUNTER22H", 340 },
    { "MHPMCOUNTER23", 310 },
    { "MHPMCOUNTER23H", 341 },
    { "MHPMCOUNTER24", 311 },
    { "MHPMCOUNTER24H", 342 },
    { "MHPMCOUNTER25", 312 },
    { "MHPMCOUNTER25H", 343 },
    { "MHPMCOUNTER26", 313 },
    { "MHPMCOUNTER26H", 344 },
    { "MHPMCOUNTER27", 314 },
    { "MHPMCOUNTER27H", 345 },
    { "MHPMCOUNTER28", 315 },
    { "MHPMCOUNTER28H", 346 },
    { "MHPMCOUNTER29", 316 },
    { "MHPMCOUNTER29H", 347 },
    { "MHPMCOUNTER3", 290 },
    { "MHPMCOUNTER30", 317 },
    { "MHPMCOUNTER30H", 348 },
    { "MHPMCOUNTER31", 318 },
    { "MHPMCOUNTER31H", 349 },
    { "MHPMCOUNTER3H", 321 },
    { "MHPMCOUNTER4", 291 },
    { "MHPMCOUNTER4H", 322 },
    { "MHPMCOUNTER5", 292 },
    { "MHPMCOUNTER5H", 323 },
    { "MHPMCOUNTER6", 293 },
    { "MHPMCOUNTER6H", 324 },
    { "MHPMCOUNTER7", 294 },
    { "MHPMCOUNTER7H", 325 },
    { "MHPMCOUNTER8", 295 },
    { "MHPMCOUNTER8H", 326 },
    { "MHPMCOUNTER9", 296 },
    { "MHPMCOUNTER9H", 327 },
    { "MHPMEVENT10", 92 },
    { "MHPMEVENT10H", 251 },
    { "MHPMEVENT11", 93 },
    { "MHPMEVENT11H", 252 },
    { "MHPMEVENT12", 94 },
    { "MHPMEVENT12H", 253 },
    { "MHPMEVENT13", 95 },
    { "MHPMEVENT13H", 254 },
    { "MHPMEVENT14", 96 },
    { "MHPMEVENT14H", 255 },
    { "MHPMEVENT15", 97 },
    { "MHPMEVENT15H", 256 },
    { "MHPMEVENT16", 98 },
    { "MHPMEVENT16H", 257 },
    { "MHPMEVENT17", 99 },
    { "MHPMEVENT17H", 258 },
    { "MHPMEVENT18", 100 },
    { "MHPMEVENT18H", 259 },
    { "MHPMEVENT19", 101 },
    { "MHPMEVENT19H", 260 },
    { "MHPMEVENT20", 102 },
    { "MHPMEVENT20H", 261 },
    { "MHPMEVENT21", 103 },
    { "MHPMEVENT21H", 262 },
    { "MHPMEVENT22", 104 },
    { "MHPMEVENT22H", 263 },
    { "MHPMEVENT23", 105 },
    { "MHPMEVENT23H", 264 },
    { "MHPMEVENT24", 106 },
    { "MHPMEVENT24H", 265 },
    { "MHPMEVENT25", 107 },
    { "MHPMEVENT25H", 266 },
    { "MHPMEVENT26", 108 },
    { "MHPMEVENT26H", 267 },
    { "MHPMEVENT27", 109 },
    { "MHPMEVENT27H", 268 },
    { "MHPMEVENT28", 110 },
    { "MHPMEVENT28H", 269 },
    { "MHPMEVENT29", 111 },
    { "MHPMEVENT29H", 270 },
    { "MHPMEVENT3", 85 },
    { "MHPMEVENT30", 112 },
    { "MHPMEVENT30H", 271 },
    { "MHPMEVENT31", 113 },
    { "MHPMEVENT31H", 272 },
    { "MHPMEVENT3H", 244 },
    { "MHPMEVENT4", 86 },
    { "MHPMEVENT4H", 245 },
    { "MHPMEVENT5", 87 },
    { "MHPMEVENT5H", 246 },
    { "MHPMEVENT6", 88 },
    { "MHPMEVENT6H", 247 },
    { "MHPMEVENT7", 89 },
    { "MHPMEVENT7H", 248 },
    { "MHPMEVENT8", 90 },
    { "MHPMEVENT8H", 249 },
    { "MHPMEVENT9", 91 },
    { "MHPMEVENT9H", 250 },
    { "MIDELEG", 63 },
    { "MIDELEGH", 75 },
    { "MIE", 64 },
    { "MIEH", 76 },
    { "MIMPID", 423 },
    { "MINSTRET", 289 },
    { "MINSTRETH", 320 },
    { "MIP", 118 },
    { "MIPH", 125 },
    { "MIREG", 122 },
    { "MIREG2", 123 },
    { "MIREG3", 124 },
    { "MIREG4", 126 },
    { "MIREG5", 127 },
    { "MIREG6", 128 },
    { "MISA", 61 },
    { "MISELECT", 121 },
    { "MNCAUSE", 275 },
    { "MNEPC", 274 },
    { "MNSCRATCH", 273 },
    { "MNSTATUS", 276 },
    { "MSCRATCH", 114 },
    { "MSECCFG", 277 },
    { "MSECCFGH", 278 },
    { "MSTATEEN0", 70 },
    { "MSTATEEN0H", 80 },
    { "MSTATEEN1", 71 },
    { "MSTATEEN1H", 81 },
    { "MSTATEEN2", 72 },
    { "MSTATEEN2H", 82 },
    { "MSTATEEN3", 73 },
    { "MSTATEEN3H", 83 },
    { "MSTATUS", 60 },
    { "MSTATUSH", 74 },
    { "MTINST", 119 },
    { "MTOPEI", 129 },
    { "MTOPI", 426 },
    { "MTVAL", 117 },
    { "MTVAL2", 120 },
    { "MTVEC", 65 },
    { "MVENDORID", 421 },
    { "MVIEN", 67 },
    { "MVIENH", 77 },
    { "MVIP", 68 },
    { "MVIPH", 78 },
    { "PMPADDR0", 146 },
    { "PMPADDR1", 147 },
    { "PMPADDR10", 156 },
    { "PMPADDR11", 157 },
    { "PMPADDR12", 158 },
    { "PMPADDR13", 159 },
    { "PMPADDR14", 160 },
    { "PMPADDR15", 161 },
    { "PMPADDR16", 162 },
    { "PMPADDR17", 163 },
    { "PMPADDR18", 164 },
    { "PMPADDR19", 165 },
    { "PMPADDR2", 148 },
    { "PMPADDR20", 166 },
    { "PMPADDR21", 167 },
    { "PMPADDR22", 168 },
    { "PMPADDR23", 169 },
    { "PMPADDR24", 170 },
    { "PMPADDR25", 171 },
    { "PMPADDR26", 172 },
    { "PMPADDR27", 173 },
    { "PMPADDR28", 174 },
    { "PMPADDR29", 175 },
    { "PMPADDR3", 149 },
    { "PMPADDR30", 176 },
    { "PMPADDR31", 177 },
    { "PMPADDR32", 178 },
    { "PMPADDR33", 179 },
    { "PMPADDR34", 180 },
    { "PMPADDR35", 181 },
    { "PMPADDR36", 182 },
    { "PMPADDR37", 183 },
    { "PMPADDR38", 184 },
    { "PMPADDR39", 185 },
    { "PMPADDR4", 150 },
    { "PMPADDR40", 186 },
    { "PMPADDR41", 187 },
    { "PMPADDR42", 188 },
    { "PMPADDR43", 189 },
    { "PMPADDR44", 190 },
    { "PMPADDR45", 191 },
    { "PMPADDR46", 192 },
    { "PMPADDR47", 193 },
    { "PMPADDR48", 194 },
    { "PMPADDR49", 195 },
    { "PMPADDR5", 151 },
    { "PMPADDR50", 196 },
    { "PMPADDR51", 197 },
    { "PMPADDR52", 198 },
    { "PMPADDR53", 199 },
    { "PMPADDR54", 200 },
    { "PMPADDR55", 201 },
    { "PMPADDR56", 202 },
    { "PMPADDR57", 203 },
    { "PMPADDR58", 204 },
    { "PMPADDR59", 205 },
    { "PMPADDR6", 152 },
    { "PMPADDR60", 206 },
    { "PMPADDR61", 207 },
    { "PMPADDR62", 208 },
    { "PMPADDR63", 209 },
    { "PMPADDR7", 153 },
    { "PMPADDR8", 154 },
    { "PMPADDR9", 155 },
    { "PMPCFG0", 130 },
    { "PMPCFG1", 131 },
    { "PMPCFG10", 140 },
    { "PMPCFG11", 141 },
    { "PMPCFG12", 142 },
    { "PMPCFG13", 143 },
    { "PMPCFG14", 144 },
    { "PMPCFG15", 145 },
    { "PMPCFG2", 132 },
    { "PMPCFG3", 133 },
    { "PMPCFG4", 134 },
    { "PMPCFG5", 135 },
    { "PMPCFG6", 136 },
    { "PMPCFG7", 137 },
    { "PMPCFG8", 138 },
    { "PMPCFG9", 139 },
    { "SATP", 37 },
    { "SCAUSE", 23 },
    { "SCONTEXT", 210 },
    { "SCOUNTEREN", 13 },
    { "SCOUNTINHIBIT", 20 },
    { "SCOUNTOVF", 417 },
    { "SEED", 8 },
    { "SENVCFG", 14 },
    { "SEPC", 22 },
    { "SIE", 11 },
    { "SIEH", 19 },
    { "SIP", 25 },
    { "SIPH", 31 },
    { "SIREG", 28 },
    { "SIREG2", 29 },
    { "SIREG3", 30 },
    { "SIREG4", 32 },
    { "SIREG5", 33 },
    { "SIREG6", 34 },
    { "SISELECT", 27 },
    { "SRMCFG", 38 },
    { "SSCRATCH", 21 },
    { "SSP", 7 },
    { "SSTATEEN0", 15 },
    { "SSTATEEN1", 16 },
    { "SSTATEEN2", 17 },
    { "SSTATEEN3", 18 },
    { "SSTATUS", 10 },
    { "STIMECMP", 26 },
    { "STIMECMPH", 36 },
    { "STOPEI", 35 },
    { "STOPI", 418 },
    { "STVAL", 24 },
    { "STVEC", 12 },
    { "TDATA1", 280 },
    { "TDATA2", 281 },
    { "TDATA3", 282 },
    { "TIME", 351 },
    { "TIMEH", 386 },
    { "TSELECT", 279 },
    { "VCSR", 6 },
    { "VL", 382 },
    { "VLENB", 384 },
    { "VSATP", 59 },
    { "VSCAUSE", 45 },
    { "VSEPC", 44 },
    { "VSIE", 40 },
    { "VSIEH", 42 },
    { "VSIP", 47 },
    { "VSIPH", 53 },
    { "VSIREG", 50 },
    { "VSIREG2", 51 },
    { "VSIREG3", 52 },
    { "VSIREG4", 54 },
    { "VSIREG5", 55 },
    { "VSIREG6", 56 },
    { "VSISELECT", 49 },
    { "VSSCRATCH", 43 },
    { "VSSTATUS", 39 },
    { "VSTART", 3 },
    { "VSTIMECMP", 48 },
    { "VSTIMECMPH", 58 },
    { "VSTOPEI", 57 },
    { "VSTOPI", 420 },
    { "VSTVAL", 46 },
    { "VSTVEC", 41 },
    { "VTYPE", 383 },
    { "VXRM", 5 },
    { "VXSAT", 4 },
  };

  struct KeyType {
    std::string Name;
  };
  KeyType Key = {Name.upper()};
  struct Comp {
    bool operator()(const IndexType &LHS, const KeyType &RHS) const {
      int CmpName = StringRef(LHS.Name).compare(RHS.Name);
      if (CmpName < 0) return true;
      if (CmpName > 0) return false;
      return false;
    }
  };
  auto Table = ArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key, Comp());
  if (Idx == Table.end() ||
      Key.Name != Idx->Name)
    return nullptr;

  return &SysRegsList[Idx->_index];
}
#endif

#undef GET_RISCVMaskedPseudosTable_DECL
#undef GET_RISCVMaskedPseudosTable_IMPL
#undef GET_RISCVOpcodesList_DECL
#undef GET_RISCVOpcodesList_IMPL
#undef GET_RISCVTuneInfoTable_DECL
#undef GET_RISCVTuneInfoTable_IMPL
#undef GET_RISCVVIntrinsicsTable_DECL
#undef GET_RISCVVIntrinsicsTable_IMPL
#undef GET_RISCVVInversePseudosTable_DECL
#undef GET_RISCVVInversePseudosTable_IMPL
#undef GET_RISCVVLETable_DECL
#undef GET_RISCVVLETable_IMPL
#undef GET_RISCVVLSEGTable_DECL
#undef GET_RISCVVLSEGTable_IMPL
#undef GET_RISCVVLXSEGTable_DECL
#undef GET_RISCVVLXSEGTable_IMPL
#undef GET_RISCVVLXTable_DECL
#undef GET_RISCVVLXTable_IMPL
#undef GET_RISCVVPseudosTable_DECL
#undef GET_RISCVVPseudosTable_IMPL
#undef GET_RISCVVSETable_DECL
#undef GET_RISCVVSETable_IMPL
#undef GET_RISCVVSSEGTable_DECL
#undef GET_RISCVVSSEGTable_IMPL
#undef GET_RISCVVSXSEGTable_DECL
#undef GET_RISCVVSXSEGTable_IMPL
#undef GET_RISCVVSXTable_DECL
#undef GET_RISCVVSXTable_IMPL
#undef GET_SysRegsList_DECL
#undef GET_SysRegsList_IMPL
